#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 3318
#define LARGE_STATE_COUNT 1269
#define SYMBOL_COUNT 651
#define ALIAS_COUNT 0
#define TOKEN_COUNT 318
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 1
#define MAX_ALIAS_SEQUENCE_LENGTH 6
#define PRODUCTION_ID_COUNT 2

enum ts_symbol_identifiers {
  sym_bookcode = 1,
  aux_sym_text_token1 = 2,
  sym__spaceOrLine = 3,
  anon_sym_BSLASHid = 4,
  sym_numberedLevelMax3 = 5,
  sym_numberedLevelMax4 = 6,
  sym_numberedLevelMax5 = 7,
  sym_versionNumber = 8,
  anon_sym_BSLASHusfm = 9,
  anon_sym_BSLASHide = 10,
  anon_sym_BSLASHref = 11,
  anon_sym_BSLASHref_STAR = 12,
  anon_sym_BSLASHh = 13,
  anon_sym_SPACE = 14,
  anon_sym_BSLASHtoc = 15,
  anon_sym_BSLASHtoca = 16,
  anon_sym_BSLASHsts = 17,
  anon_sym_BSLASHrem = 18,
  anon_sym_BSLASHrestore = 19,
  anon_sym_BSLASHlit = 20,
  anon_sym_BSLASHiqt = 21,
  anon_sym_BSLASHiqt_STAR = 22,
  anon_sym_BSLASHimt = 23,
  anon_sym_BSLASHimte = 24,
  aux_sym_imteTag_token1 = 25,
  anon_sym_BSLASHis = 26,
  anon_sym_BSLASHio = 27,
  anon_sym_BSLASHior = 28,
  anon_sym_BSLASHior_STAR = 29,
  anon_sym_BSLASHiot = 30,
  anon_sym_BSLASHip = 31,
  anon_sym_BSLASHim = 32,
  anon_sym_BSLASHipi = 33,
  anon_sym_BSLASHimi = 34,
  anon_sym_BSLASHili = 35,
  anon_sym_BSLASHipq = 36,
  anon_sym_BSLASHimq = 37,
  anon_sym_BSLASHipr = 38,
  anon_sym_BSLASHib = 39,
  anon_sym_BSLASHiq = 40,
  anon_sym_BSLASHie = 41,
  anon_sym_BSLASHiex = 42,
  anon_sym_BSLASHv = 43,
  sym_verseNumber = 44,
  anon_sym_BSLASHva = 45,
  anon_sym_BSLASHva_STAR = 46,
  anon_sym_BSLASHvp = 47,
  anon_sym_BSLASHvp_STAR = 48,
  anon_sym_BSLASHc = 49,
  sym_chapterNumber = 50,
  anon_sym_BSLASHcl = 51,
  anon_sym_BSLASHca = 52,
  anon_sym_BSLASHca_STAR = 53,
  anon_sym_BSLASHcp = 54,
  anon_sym_BSLASHcd = 55,
  anon_sym_BSLASHmt = 56,
  anon_sym_BSLASHmte = 57,
  anon_sym_BSLASHms = 58,
  anon_sym_BSLASHmr = 59,
  anon_sym_BSLASHs = 60,
  anon_sym_BSLASHsr = 61,
  anon_sym_BSLASHr = 62,
  anon_sym_BSLASHsp = 63,
  anon_sym_BSLASHd = 64,
  anon_sym_BSLASHsd = 65,
  anon_sym_BSLASHp = 66,
  anon_sym_BSLASHm = 67,
  anon_sym_BSLASHpo = 68,
  anon_sym_BSLASHpr = 69,
  anon_sym_BSLASHcls = 70,
  anon_sym_BSLASHpmo = 71,
  anon_sym_BSLASHpm = 72,
  anon_sym_BSLASHpmc = 73,
  anon_sym_BSLASHpmr = 74,
  anon_sym_BSLASHpi = 75,
  anon_sym_BSLASHmi = 76,
  anon_sym_BSLASHnb = 77,
  anon_sym_BSLASHpc = 78,
  anon_sym_BSLASHph = 79,
  anon_sym_BSLASHphi = 80,
  anon_sym_BSLASHb = 81,
  anon_sym_BSLASHq = 82,
  anon_sym_BSLASHqr = 83,
  anon_sym_BSLASHqc = 84,
  anon_sym_BSLASHqs = 85,
  anon_sym_BSLASHqs_STAR = 86,
  anon_sym_BSLASHqa = 87,
  anon_sym_BSLASHqac = 88,
  anon_sym_BSLASHqac_STAR = 89,
  anon_sym_BSLASHqm = 90,
  anon_sym_BSLASHqd = 91,
  anon_sym_BSLASHlh = 92,
  anon_sym_BSLASHlf = 93,
  anon_sym_BSLASHli = 94,
  anon_sym_BSLASHlim = 95,
  anon_sym_STAR = 96,
  anon_sym_BSLASHliv = 97,
  anon_sym_BSLASHlik = 98,
  anon_sym_BSLASHlik_STAR = 99,
  anon_sym_BSLASHlitl = 100,
  anon_sym_BSLASHlitl_STAR = 101,
  anon_sym_BSLASHtr = 102,
  sym_thTag = 103,
  sym_thrTag = 104,
  sym_tcTag = 105,
  sym_tcrTag = 106,
  sym_caller = 107,
  anon_sym_BSLASHf = 108,
  anon_sym_BSLASHf_STAR = 109,
  anon_sym_BSLASHfe = 110,
  anon_sym_BSLASHfe_STAR = 111,
  anon_sym_BSLASHef = 112,
  anon_sym_BSLASHef_STAR = 113,
  anon_sym_BSLASHfr = 114,
  anon_sym_BSLASHfr_STAR = 115,
  anon_sym_BSLASHfq = 116,
  anon_sym_BSLASHfq_STAR = 117,
  anon_sym_BSLASHfqa = 118,
  anon_sym_BSLASHfqa_STAR = 119,
  anon_sym_BSLASHfk = 120,
  anon_sym_BSLASHfk_STAR = 121,
  anon_sym_BSLASHfl = 122,
  anon_sym_BSLASHfl_STAR = 123,
  anon_sym_BSLASHfw = 124,
  anon_sym_BSLASHfw_STAR = 125,
  anon_sym_BSLASHfp = 126,
  anon_sym_BSLASHfp_STAR = 127,
  anon_sym_BSLASHft = 128,
  anon_sym_BSLASHft_STAR = 129,
  anon_sym_BSLASHfdc = 130,
  anon_sym_BSLASHfdc_STAR = 131,
  anon_sym_BSLASHfv = 132,
  anon_sym_BSLASHfv_STAR = 133,
  anon_sym_BSLASHfm = 134,
  anon_sym_BSLASHfm_STAR = 135,
  anon_sym_BSLASHx = 136,
  anon_sym_BSLASHx_STAR = 137,
  anon_sym_BSLASHxo = 138,
  anon_sym_BSLASHxo_STAR = 139,
  anon_sym_BSLASHxk = 140,
  anon_sym_BSLASHxk_STAR = 141,
  anon_sym_BSLASHxq = 142,
  anon_sym_BSLASHxq_STAR = 143,
  anon_sym_BSLASHxt = 144,
  anon_sym_BSLASHxt_STAR = 145,
  anon_sym_BSLASH_PLUSxt = 146,
  anon_sym_BSLASH_PLUSxt_STAR = 147,
  anon_sym_BSLASHxta = 148,
  anon_sym_BSLASHxta_STAR = 149,
  anon_sym_BSLASHxop = 150,
  anon_sym_BSLASHxop_STAR = 151,
  anon_sym_BSLASHxot = 152,
  anon_sym_BSLASHxot_STAR = 153,
  anon_sym_BSLASHxnt = 154,
  anon_sym_BSLASHxnt_STAR = 155,
  anon_sym_BSLASHxdc = 156,
  anon_sym_BSLASHxdc_STAR = 157,
  anon_sym_BSLASHrq = 158,
  anon_sym_BSLASHrq_STAR = 159,
  anon_sym_BSLASHadd = 160,
  anon_sym_BSLASHadd_STAR = 161,
  anon_sym_BSLASHbk = 162,
  anon_sym_BSLASHbk_STAR = 163,
  anon_sym_BSLASHdc = 164,
  anon_sym_BSLASHdc_STAR = 165,
  anon_sym_BSLASHk = 166,
  anon_sym_BSLASHk_STAR = 167,
  anon_sym_BSLASHnd = 168,
  anon_sym_BSLASHnd_STAR = 169,
  anon_sym_BSLASHord = 170,
  anon_sym_BSLASHord_STAR = 171,
  anon_sym_BSLASHpn = 172,
  anon_sym_BSLASHpn_STAR = 173,
  anon_sym_BSLASHpng = 174,
  anon_sym_BSLASHpng_STAR = 175,
  anon_sym_BSLASHaddpn = 176,
  anon_sym_BSLASHaddpn_STAR = 177,
  anon_sym_BSLASHqt = 178,
  anon_sym_BSLASHqt_STAR = 179,
  anon_sym_BSLASHsig = 180,
  anon_sym_BSLASHsig_STAR = 181,
  anon_sym_BSLASHsls = 182,
  anon_sym_BSLASHsls_STAR = 183,
  anon_sym_BSLASHtl = 184,
  anon_sym_BSLASHtl_STAR = 185,
  anon_sym_BSLASHwj = 186,
  anon_sym_BSLASHwj_STAR = 187,
  anon_sym_BSLASHem = 188,
  anon_sym_BSLASHem_STAR = 189,
  anon_sym_BSLASHbd = 190,
  anon_sym_BSLASHbd_STAR = 191,
  anon_sym_BSLASHit = 192,
  anon_sym_BSLASHit_STAR = 193,
  anon_sym_BSLASHbdit = 194,
  anon_sym_BSLASHbdit_STAR = 195,
  anon_sym_BSLASHno = 196,
  anon_sym_BSLASHno_STAR = 197,
  anon_sym_BSLASHsc = 198,
  anon_sym_BSLASHsc_STAR = 199,
  anon_sym_BSLASHsup = 200,
  anon_sym_BSLASHsup_STAR = 201,
  anon_sym_BSLASHndx = 202,
  anon_sym_BSLASHndx_STAR = 203,
  anon_sym_BSLASHpro = 204,
  anon_sym_BSLASHpro_STAR = 205,
  anon_sym_BSLASHrb = 206,
  anon_sym_BSLASHrb_STAR = 207,
  anon_sym_BSLASHw = 208,
  anon_sym_BSLASHw_STAR = 209,
  anon_sym_BSLASHwg = 210,
  anon_sym_BSLASHwg_STAR = 211,
  anon_sym_BSLASHwh = 212,
  anon_sym_BSLASHwh_STAR = 213,
  anon_sym_BSLASHwa = 214,
  anon_sym_BSLASHwa_STAR = 215,
  anon_sym_BSLASH_PLUSadd = 216,
  anon_sym_BSLASH_PLUSadd_STAR = 217,
  anon_sym_BSLASH_PLUSbk = 218,
  anon_sym_BSLASH_PLUSbk_STAR = 219,
  anon_sym_BSLASH_PLUSdc = 220,
  anon_sym_BSLASH_PLUSdc_STAR = 221,
  anon_sym_BSLASH_PLUSk = 222,
  anon_sym_BSLASH_PLUSk_STAR = 223,
  anon_sym_BSLASH_PLUSnd = 224,
  anon_sym_BSLASH_PLUSnd_STAR = 225,
  anon_sym_BSLASH_PLUSord = 226,
  anon_sym_BSLASH_PLUSord_STAR = 227,
  anon_sym_BSLASH_PLUSpn = 228,
  anon_sym_BSLASH_PLUSpn_STAR = 229,
  anon_sym_BSLASH_PLUSpng = 230,
  anon_sym_BSLASH_PLUSpng_STAR = 231,
  anon_sym_BSLASH_PLUSaddpn = 232,
  anon_sym_BSLASH_PLUSaddpn_STAR = 233,
  anon_sym_BSLASH_PLUSqt = 234,
  anon_sym_BSLASH_PLUSqt_STAR = 235,
  anon_sym_BSLASH_PLUSsig = 236,
  anon_sym_BSLASH_PLUSsig_STAR = 237,
  anon_sym_BSLASH_PLUSsls = 238,
  anon_sym_BSLASH_PLUSsls_STAR = 239,
  anon_sym_BSLASH_PLUStl = 240,
  anon_sym_BSLASH_PLUStl_STAR = 241,
  anon_sym_BSLASH_PLUSwj = 242,
  anon_sym_BSLASH_PLUSwj_STAR = 243,
  anon_sym_BSLASH_PLUSem = 244,
  anon_sym_BSLASH_PLUSem_STAR = 245,
  anon_sym_BSLASH_PLUSbd = 246,
  anon_sym_BSLASH_PLUSbd_STAR = 247,
  anon_sym_BSLASH_PLUSit = 248,
  anon_sym_BSLASH_PLUSit_STAR = 249,
  anon_sym_BSLASH_PLUSbdit = 250,
  anon_sym_BSLASH_PLUSbdit_STAR = 251,
  anon_sym_BSLASH_PLUSno = 252,
  anon_sym_BSLASH_PLUSno_STAR = 253,
  anon_sym_BSLASH_PLUSsc = 254,
  anon_sym_BSLASH_PLUSsc_STAR = 255,
  anon_sym_BSLASH_PLUSsup = 256,
  anon_sym_BSLASH_PLUSsup_STAR = 257,
  anon_sym_BSLASH_PLUSndx = 258,
  anon_sym_BSLASH_PLUSndx_STAR = 259,
  anon_sym_BSLASH_PLUSpro = 260,
  anon_sym_BSLASH_PLUSpro_STAR = 261,
  anon_sym_BSLASH_PLUSrb = 262,
  anon_sym_BSLASH_PLUSrb_STAR = 263,
  anon_sym_BSLASH_PLUSw = 264,
  anon_sym_BSLASH_PLUSw_STAR = 265,
  anon_sym_BSLASH_PLUSwg = 266,
  anon_sym_BSLASH_PLUSwg_STAR = 267,
  anon_sym_BSLASH_PLUSwh = 268,
  anon_sym_BSLASH_PLUSwh_STAR = 269,
  anon_sym_BSLASH_PLUSwa = 270,
  anon_sym_BSLASH_PLUSwa_STAR = 271,
  anon_sym_BSLASHfig = 272,
  anon_sym_BSLASHfig_STAR = 273,
  anon_sym_BSLASHjmp = 274,
  anon_sym_BSLASHjmp_STAR = 275,
  anon_sym_BSLASH_PLUSjmp = 276,
  anon_sym_BSLASH_PLUSjmp_STAR = 277,
  anon_sym_BSLASHpb = 278,
  anon_sym_BSLASH = 279,
  aux_sym_milestoneTag_token1 = 280,
  anon_sym_BSLASH_STAR = 281,
  sym_milestoneStartTag = 282,
  sym_milestoneEndTag = 283,
  sym_zSpaceTag = 284,
  sym__zSpaceClose = 285,
  anon_sym_BSLASHesb = 286,
  anon_sym_BSLASHesbe = 287,
  sym_category = 288,
  anon_sym_BSLASHcat = 289,
  anon_sym_BSLASHcat_STAR = 290,
  anon_sym_EQ = 291,
  anon_sym_DQUOTE = 292,
  sym_customAttributeName = 293,
  sym_attributeValue = 294,
  anon_sym_PIPE = 295,
  anon_sym_key = 296,
  anon_sym_lemma = 297,
  anon_sym_strong = 298,
  anon_sym_srcloc = 299,
  anon_sym_gloss = 300,
  anon_sym_link_DASHhref = 301,
  anon_sym_link_DASHtitle = 302,
  anon_sym_link_DASHid = 303,
  anon_sym_href = 304,
  anon_sym_title = 305,
  anon_sym_id = 306,
  anon_sym_x_DASH = 307,
  aux_sym__linkAttributeUserDefinedName_token1 = 308,
  anon_sym_alt = 309,
  anon_sym_src = 310,
  anon_sym_size = 311,
  anon_sym_loc = 312,
  anon_sym_copy = 313,
  anon_sym_ref = 314,
  anon_sym_sid = 315,
  anon_sym_eid = 316,
  anon_sym_who = 317,
  sym_File = 318,
  sym__mandatoryHead = 319,
  sym_text = 320,
  sym__text = 321,
  sym_book = 322,
  sym_description = 323,
  sym_id = 324,
  sym__bookHeader = 325,
  sym_usfm = 326,
  sym_ide = 327,
  sym_hBlock = 328,
  sym_tocBlock = 329,
  sym_tocaBlock = 330,
  sym_ref = 331,
  sym_h = 332,
  sym_hTag = 333,
  sym_toc = 334,
  sym_tocTag = 335,
  sym_toca = 336,
  sym_tocaTag = 337,
  sym__comments = 338,
  sym_sts = 339,
  sym_rem = 340,
  sym_restore = 341,
  sym_lit = 342,
  aux_sym__introText = 343,
  sym_iqt = 344,
  sym_imtBlock = 345,
  sym_imt = 346,
  sym_imtTag = 347,
  sym_imteBlock = 348,
  sym_imte = 349,
  sym_imteTag = 350,
  sym__midIntroMarker = 351,
  sym_isBlock = 352,
  sym_is = 353,
  sym_isTag = 354,
  sym_io = 355,
  sym_ioTag = 356,
  sym_ior = 357,
  sym_iot = 358,
  sym_ip = 359,
  sym_im = 360,
  sym_ipi = 361,
  sym_imi = 362,
  sym_iliBlock = 363,
  sym_ili = 364,
  sym_iliTag = 365,
  sym_ipq = 366,
  sym_imq = 367,
  sym_ipr = 368,
  sym_ib = 369,
  sym_iqBlock = 370,
  sym_iq = 371,
  sym_iqTag = 372,
  sym_ie = 373,
  sym_iex = 374,
  sym_verseText = 375,
  sym_v = 376,
  sym__verseMeta = 377,
  sym_va = 378,
  sym_vp = 379,
  sym_chapter = 380,
  sym_c = 381,
  sym__chapterContent = 382,
  sym__chapterMeta = 383,
  sym_cl = 384,
  sym_ca = 385,
  sym_cp = 386,
  sym_cd = 387,
  sym_title = 388,
  sym_mtBlock = 389,
  sym_mt = 390,
  sym_mtTag = 391,
  sym_mteBlock = 392,
  sym_mte = 393,
  sym_mteTag = 394,
  sym_msBlock = 395,
  sym_ms = 396,
  sym_msTag = 397,
  sym_mr = 398,
  sym_sBlock = 399,
  sym_s = 400,
  sym_sTag = 401,
  sym_sr = 402,
  sym_r = 403,
  sym_sp = 404,
  sym_d = 405,
  sym_sdBlock = 406,
  sym_sd = 407,
  sym_sdTag = 408,
  sym_paragraph = 409,
  sym__paragraphContent = 410,
  sym_p = 411,
  sym_m = 412,
  sym_po = 413,
  sym_pr = 414,
  sym_cls = 415,
  sym_pmo = 416,
  sym_pm = 417,
  sym_pmc = 418,
  sym_pmr = 419,
  sym_piBlock = 420,
  sym_pi = 421,
  sym_piTag = 422,
  sym_mi = 423,
  sym_nb = 424,
  sym_pc = 425,
  sym_phBlock = 426,
  sym_ph = 427,
  sym_phTag = 428,
  sym_b = 429,
  sym_poetry = 430,
  sym__poetryContent = 431,
  sym_qBlock = 432,
  sym_q = 433,
  sym_qTag = 434,
  sym_qr = 435,
  sym_qc = 436,
  sym_qs = 437,
  sym_qa = 438,
  sym_qac = 439,
  sym_qmBlock = 440,
  sym_qm = 441,
  sym_qmTag = 442,
  sym_qd = 443,
  sym_list = 444,
  sym_lh = 445,
  sym_lf = 446,
  sym__listMarker = 447,
  sym_liBlock = 448,
  sym_li = 449,
  sym_liTag = 450,
  sym_limBlock = 451,
  sym_lim = 452,
  sym_limTag = 453,
  sym_liv = 454,
  sym_livTag = 455,
  sym_lik = 456,
  sym_litl = 457,
  sym__listTextContent = 458,
  sym_table = 459,
  sym__tableText = 460,
  sym_tr = 461,
  sym_th = 462,
  sym_thr = 463,
  sym_tc = 464,
  sym_tcr = 465,
  sym_footnoteText = 466,
  sym_crossrefText = 467,
  sym_footnote = 468,
  sym_f = 469,
  sym_fe = 470,
  sym_ef = 471,
  sym_fr = 472,
  sym_fq = 473,
  sym_fqa = 474,
  sym_fk = 475,
  sym_fl = 476,
  sym_fw = 477,
  sym_fp = 478,
  sym_ft = 479,
  sym_fdc = 480,
  sym_fv = 481,
  sym_fm = 482,
  sym__footnoteContents = 483,
  sym_crossref = 484,
  sym_x = 485,
  sym_xo = 486,
  sym_xk = 487,
  sym_xq = 488,
  sym_xt = 489,
  sym_xtNested = 490,
  sym_xt_standalone = 491,
  sym_xta = 492,
  sym_xop = 493,
  sym_xot = 494,
  sym_xnt = 495,
  sym_xdc = 496,
  sym__crossrefContents = 497,
  sym_rq = 498,
  sym__innerText = 499,
  sym_add = 500,
  sym_bk = 501,
  sym_dc = 502,
  sym_k = 503,
  sym_nd = 504,
  sym_ord = 505,
  sym_pn = 506,
  sym_png = 507,
  sym_addpn = 508,
  sym_qt = 509,
  sym_sig = 510,
  sym_sls = 511,
  sym_tl = 512,
  sym_wj = 513,
  sym_em = 514,
  sym_bd = 515,
  sym_it = 516,
  sym_bdit = 517,
  sym_no = 518,
  sym_sc = 519,
  sym_sup = 520,
  sym_ndx = 521,
  sym_pro = 522,
  sym_rb = 523,
  sym_w = 524,
  sym_wg = 525,
  sym_wh = 526,
  sym_wa = 527,
  sym__characterMarker = 528,
  sym_addNested = 529,
  sym_bkNested = 530,
  sym_dcNested = 531,
  sym_kNested = 532,
  sym_ndNested = 533,
  sym_ordNested = 534,
  sym_pnNested = 535,
  sym_pngNested = 536,
  sym_addpnNested = 537,
  sym_qtNested = 538,
  sym_sigNested = 539,
  sym_slsNested = 540,
  sym_tlNested = 541,
  sym_wjNested = 542,
  sym_emNested = 543,
  sym_bdNested = 544,
  sym_itNested = 545,
  sym_bditNested = 546,
  sym_noNested = 547,
  sym_scNested = 548,
  sym_supNested = 549,
  sym_ndxNested = 550,
  sym_proNested = 551,
  sym_rbNested = 552,
  sym_wNested = 553,
  sym_wgNested = 554,
  sym_whNested = 555,
  sym_waNested = 556,
  sym__nestedCharacterMarker = 557,
  sym_fig = 558,
  sym_jmp = 559,
  sym_jmpNested = 560,
  sym_pb = 561,
  sym_milestoneTag = 562,
  sym__milestoneStandaloneMarker = 563,
  sym__milestoneStart = 564,
  sym__milestoneEnd = 565,
  sym_milestone = 566,
  sym__zNameSpaceRegular = 567,
  sym__zNameSpaceClosed = 568,
  sym__zNameSpaceStandaloneMarker = 569,
  sym_zNameSpace = 570,
  sym_esb = 571,
  sym__esbContents = 572,
  sym_cat = 573,
  sym_customAttribute = 574,
  sym_defaultAttribute = 575,
  sym__kAttributes = 576,
  sym_keyAttribute = 577,
  sym__wAttributes = 578,
  sym__rbAttributes = 579,
  sym__figAttributes = 580,
  sym__refAttributes = 581,
  sym_lemmaAttribute = 582,
  sym_strongAttribute = 583,
  sym_scrlocAttribute = 584,
  sym_glossAttribute = 585,
  sym__jmpAttribute = 586,
  sym_linkAttribute = 587,
  sym__linkAttributeName = 588,
  sym__linkAttributeUserDefinedName = 589,
  sym_altAttribute = 590,
  sym_srcAttribute = 591,
  sym_sizeAttribute = 592,
  sym_locAttribute = 593,
  sym_copyAttribute = 594,
  sym_refAttribute = 595,
  sym__milestoneAttributes = 596,
  sym_msAttribute = 597,
  sym_milestoneAttributeName = 598,
  sym__attributesInCrossref = 599,
  aux_sym_File_repeat1 = 600,
  aux_sym_File_repeat2 = 601,
  aux_sym__mandatoryHead_repeat1 = 602,
  aux_sym_hBlock_repeat1 = 603,
  aux_sym_tocBlock_repeat1 = 604,
  aux_sym_tocaBlock_repeat1 = 605,
  aux_sym_rem_repeat1 = 606,
  aux_sym_imtBlock_repeat1 = 607,
  aux_sym_imteBlock_repeat1 = 608,
  aux_sym_isBlock_repeat1 = 609,
  aux_sym_iliBlock_repeat1 = 610,
  aux_sym_iqBlock_repeat1 = 611,
  aux_sym_verseText_repeat1 = 612,
  aux_sym_v_repeat1 = 613,
  aux_sym_chapter_repeat1 = 614,
  aux_sym_c_repeat1 = 615,
  aux_sym_cd_repeat1 = 616,
  aux_sym_mtBlock_repeat1 = 617,
  aux_sym_mt_repeat1 = 618,
  aux_sym_mteBlock_repeat1 = 619,
  aux_sym_msBlock_repeat1 = 620,
  aux_sym_ms_repeat1 = 621,
  aux_sym_sBlock_repeat1 = 622,
  aux_sym_sdBlock_repeat1 = 623,
  aux_sym_p_repeat1 = 624,
  aux_sym_piBlock_repeat1 = 625,
  aux_sym_phBlock_repeat1 = 626,
  aux_sym_poetry_repeat1 = 627,
  aux_sym_qBlock_repeat1 = 628,
  aux_sym_q_repeat1 = 629,
  aux_sym_qa_repeat1 = 630,
  aux_sym_qmBlock_repeat1 = 631,
  aux_sym_list_repeat1 = 632,
  aux_sym_liBlock_repeat1 = 633,
  aux_sym_li_repeat1 = 634,
  aux_sym_limBlock_repeat1 = 635,
  aux_sym_liv_repeat1 = 636,
  aux_sym_table_repeat1 = 637,
  aux_sym_tr_repeat1 = 638,
  aux_sym_footnoteText_repeat1 = 639,
  aux_sym_crossrefText_repeat1 = 640,
  aux_sym_f_repeat1 = 641,
  aux_sym_x_repeat1 = 642,
  aux_sym__innerText_repeat1 = 643,
  aux_sym_esb_repeat1 = 644,
  aux_sym__wAttributes_repeat1 = 645,
  aux_sym__rbAttributes_repeat1 = 646,
  aux_sym__figAttributes_repeat1 = 647,
  aux_sym__jmpAttribute_repeat1 = 648,
  aux_sym__milestoneAttributes_repeat1 = 649,
  aux_sym__attributesInCrossref_repeat1 = 650,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_bookcode] = "bookcode",
  [aux_sym_text_token1] = "text_token1",
  [sym__spaceOrLine] = "_spaceOrLine",
  [anon_sym_BSLASHid] = "\\id ",
  [sym_numberedLevelMax3] = "numberedLevelMax3",
  [sym_numberedLevelMax4] = "numberedLevelMax4",
  [sym_numberedLevelMax5] = "numberedLevelMax5",
  [sym_versionNumber] = "versionNumber",
  [anon_sym_BSLASHusfm] = "\\usfm ",
  [anon_sym_BSLASHide] = "\\ide ",
  [anon_sym_BSLASHref] = "\\ref ",
  [anon_sym_BSLASHref_STAR] = "\\ref*",
  [anon_sym_BSLASHh] = "\\h",
  [anon_sym_SPACE] = " ",
  [anon_sym_BSLASHtoc] = "\\toc",
  [anon_sym_BSLASHtoca] = "\\toca",
  [anon_sym_BSLASHsts] = "\\sts ",
  [anon_sym_BSLASHrem] = "\\rem ",
  [anon_sym_BSLASHrestore] = "\\restore ",
  [anon_sym_BSLASHlit] = "\\lit ",
  [anon_sym_BSLASHiqt] = "\\iqt ",
  [anon_sym_BSLASHiqt_STAR] = "\\iqt*",
  [anon_sym_BSLASHimt] = "\\imt",
  [anon_sym_BSLASHimte] = "\\imte",
  [aux_sym_imteTag_token1] = "imteTag_token1",
  [anon_sym_BSLASHis] = "\\is",
  [anon_sym_BSLASHio] = "\\io",
  [anon_sym_BSLASHior] = "\\ior ",
  [anon_sym_BSLASHior_STAR] = "\\ior*",
  [anon_sym_BSLASHiot] = "\\iot ",
  [anon_sym_BSLASHip] = "\\ip ",
  [anon_sym_BSLASHim] = "\\im ",
  [anon_sym_BSLASHipi] = "\\ipi ",
  [anon_sym_BSLASHimi] = "\\imi ",
  [anon_sym_BSLASHili] = "\\ili",
  [anon_sym_BSLASHipq] = "\\ipq ",
  [anon_sym_BSLASHimq] = "\\imq ",
  [anon_sym_BSLASHipr] = "\\ipr ",
  [anon_sym_BSLASHib] = "\\ib",
  [anon_sym_BSLASHiq] = "\\iq",
  [anon_sym_BSLASHie] = "\\ie",
  [anon_sym_BSLASHiex] = "\\iex ",
  [anon_sym_BSLASHv] = "\\v ",
  [sym_verseNumber] = "verseNumber",
  [anon_sym_BSLASHva] = "\\va ",
  [anon_sym_BSLASHva_STAR] = "\\va*",
  [anon_sym_BSLASHvp] = "\\vp ",
  [anon_sym_BSLASHvp_STAR] = "\\vp*",
  [anon_sym_BSLASHc] = "\\c ",
  [sym_chapterNumber] = "chapterNumber",
  [anon_sym_BSLASHcl] = "\\cl ",
  [anon_sym_BSLASHca] = "\\ca ",
  [anon_sym_BSLASHca_STAR] = "\\ca*",
  [anon_sym_BSLASHcp] = "\\cp ",
  [anon_sym_BSLASHcd] = "\\cd ",
  [anon_sym_BSLASHmt] = "\\mt",
  [anon_sym_BSLASHmte] = "\\mte",
  [anon_sym_BSLASHms] = "\\ms",
  [anon_sym_BSLASHmr] = "\\mr ",
  [anon_sym_BSLASHs] = "\\s",
  [anon_sym_BSLASHsr] = "\\sr ",
  [anon_sym_BSLASHr] = "\\r ",
  [anon_sym_BSLASHsp] = "\\sp ",
  [anon_sym_BSLASHd] = "\\d ",
  [anon_sym_BSLASHsd] = "\\sd",
  [anon_sym_BSLASHp] = "\\p",
  [anon_sym_BSLASHm] = "\\m",
  [anon_sym_BSLASHpo] = "\\po",
  [anon_sym_BSLASHpr] = "\\pr",
  [anon_sym_BSLASHcls] = "\\cls",
  [anon_sym_BSLASHpmo] = "\\pmo",
  [anon_sym_BSLASHpm] = "\\pm",
  [anon_sym_BSLASHpmc] = "\\pmc",
  [anon_sym_BSLASHpmr] = "\\pmr",
  [anon_sym_BSLASHpi] = "\\pi",
  [anon_sym_BSLASHmi] = "\\mi",
  [anon_sym_BSLASHnb] = "\\nb",
  [anon_sym_BSLASHpc] = "\\pc",
  [anon_sym_BSLASHph] = "\\ph",
  [anon_sym_BSLASHphi] = "\\phi",
  [anon_sym_BSLASHb] = "\\b",
  [anon_sym_BSLASHq] = "\\q",
  [anon_sym_BSLASHqr] = "\\qr",
  [anon_sym_BSLASHqc] = "\\qc",
  [anon_sym_BSLASHqs] = "\\qs",
  [anon_sym_BSLASHqs_STAR] = "\\qs*",
  [anon_sym_BSLASHqa] = "\\qa",
  [anon_sym_BSLASHqac] = "\\qac",
  [anon_sym_BSLASHqac_STAR] = "\\qac*",
  [anon_sym_BSLASHqm] = "\\qm",
  [anon_sym_BSLASHqd] = "\\qd",
  [anon_sym_BSLASHlh] = "\\lh",
  [anon_sym_BSLASHlf] = "\\lf",
  [anon_sym_BSLASHli] = "\\li",
  [anon_sym_BSLASHlim] = "\\lim",
  [anon_sym_STAR] = "*",
  [anon_sym_BSLASHliv] = "\\liv",
  [anon_sym_BSLASHlik] = "\\lik ",
  [anon_sym_BSLASHlik_STAR] = "\\lik*",
  [anon_sym_BSLASHlitl] = "\\litl ",
  [anon_sym_BSLASHlitl_STAR] = "\\litl*",
  [anon_sym_BSLASHtr] = "\\tr",
  [sym_thTag] = "thTag",
  [sym_thrTag] = "thrTag",
  [sym_tcTag] = "tcTag",
  [sym_tcrTag] = "tcrTag",
  [sym_caller] = "caller",
  [anon_sym_BSLASHf] = "\\f ",
  [anon_sym_BSLASHf_STAR] = "\\f*",
  [anon_sym_BSLASHfe] = "\\fe ",
  [anon_sym_BSLASHfe_STAR] = "\\fe*",
  [anon_sym_BSLASHef] = "\\ef ",
  [anon_sym_BSLASHef_STAR] = "\\ef*",
  [anon_sym_BSLASHfr] = "\\fr ",
  [anon_sym_BSLASHfr_STAR] = "\\fr*",
  [anon_sym_BSLASHfq] = "\\fq ",
  [anon_sym_BSLASHfq_STAR] = "\\fq*",
  [anon_sym_BSLASHfqa] = "\\fqa ",
  [anon_sym_BSLASHfqa_STAR] = "\\fqa*",
  [anon_sym_BSLASHfk] = "\\fk ",
  [anon_sym_BSLASHfk_STAR] = "\\fk*",
  [anon_sym_BSLASHfl] = "\\fl ",
  [anon_sym_BSLASHfl_STAR] = "\\fl*",
  [anon_sym_BSLASHfw] = "\\fw ",
  [anon_sym_BSLASHfw_STAR] = "\\fw*",
  [anon_sym_BSLASHfp] = "\\fp ",
  [anon_sym_BSLASHfp_STAR] = "\\fp*",
  [anon_sym_BSLASHft] = "\\ft ",
  [anon_sym_BSLASHft_STAR] = "\\ft*",
  [anon_sym_BSLASHfdc] = "\\fdc ",
  [anon_sym_BSLASHfdc_STAR] = "\\fdc*",
  [anon_sym_BSLASHfv] = "\\fv ",
  [anon_sym_BSLASHfv_STAR] = "\\fv*",
  [anon_sym_BSLASHfm] = "\\fm ",
  [anon_sym_BSLASHfm_STAR] = "\\fm*",
  [anon_sym_BSLASHx] = "\\x ",
  [anon_sym_BSLASHx_STAR] = "\\x*",
  [anon_sym_BSLASHxo] = "\\xo ",
  [anon_sym_BSLASHxo_STAR] = "\\xo*",
  [anon_sym_BSLASHxk] = "\\xk ",
  [anon_sym_BSLASHxk_STAR] = "\\xk*",
  [anon_sym_BSLASHxq] = "\\xq ",
  [anon_sym_BSLASHxq_STAR] = "\\xq*",
  [anon_sym_BSLASHxt] = "\\xt ",
  [anon_sym_BSLASHxt_STAR] = "\\xt*",
  [anon_sym_BSLASH_PLUSxt] = "\\+xt ",
  [anon_sym_BSLASH_PLUSxt_STAR] = "\\+xt*",
  [anon_sym_BSLASHxta] = "\\xta ",
  [anon_sym_BSLASHxta_STAR] = "\\xta*",
  [anon_sym_BSLASHxop] = "\\xop ",
  [anon_sym_BSLASHxop_STAR] = "\\xop*",
  [anon_sym_BSLASHxot] = "\\xot ",
  [anon_sym_BSLASHxot_STAR] = "\\xot*",
  [anon_sym_BSLASHxnt] = "\\xnt ",
  [anon_sym_BSLASHxnt_STAR] = "\\xnt*",
  [anon_sym_BSLASHxdc] = "\\xdc ",
  [anon_sym_BSLASHxdc_STAR] = "\\xdc*",
  [anon_sym_BSLASHrq] = "\\rq ",
  [anon_sym_BSLASHrq_STAR] = "\\rq*",
  [anon_sym_BSLASHadd] = "\\add",
  [anon_sym_BSLASHadd_STAR] = "\\add*",
  [anon_sym_BSLASHbk] = "\\bk",
  [anon_sym_BSLASHbk_STAR] = "\\bk*",
  [anon_sym_BSLASHdc] = "\\dc",
  [anon_sym_BSLASHdc_STAR] = "\\dc*",
  [anon_sym_BSLASHk] = "\\k",
  [anon_sym_BSLASHk_STAR] = "\\k*",
  [anon_sym_BSLASHnd] = "\\nd",
  [anon_sym_BSLASHnd_STAR] = "\\nd*",
  [anon_sym_BSLASHord] = "\\ord",
  [anon_sym_BSLASHord_STAR] = "\\ord*",
  [anon_sym_BSLASHpn] = "\\pn",
  [anon_sym_BSLASHpn_STAR] = "\\pn*",
  [anon_sym_BSLASHpng] = "\\png",
  [anon_sym_BSLASHpng_STAR] = "\\png*",
  [anon_sym_BSLASHaddpn] = "\\addpn",
  [anon_sym_BSLASHaddpn_STAR] = "\\addpn*",
  [anon_sym_BSLASHqt] = "\\qt",
  [anon_sym_BSLASHqt_STAR] = "\\qt*",
  [anon_sym_BSLASHsig] = "\\sig",
  [anon_sym_BSLASHsig_STAR] = "\\sig*",
  [anon_sym_BSLASHsls] = "\\sls",
  [anon_sym_BSLASHsls_STAR] = "\\sls*",
  [anon_sym_BSLASHtl] = "\\tl",
  [anon_sym_BSLASHtl_STAR] = "\\tl*",
  [anon_sym_BSLASHwj] = "\\wj",
  [anon_sym_BSLASHwj_STAR] = "\\wj*",
  [anon_sym_BSLASHem] = "\\em",
  [anon_sym_BSLASHem_STAR] = "\\em*",
  [anon_sym_BSLASHbd] = "\\bd",
  [anon_sym_BSLASHbd_STAR] = "\\bd*",
  [anon_sym_BSLASHit] = "\\it",
  [anon_sym_BSLASHit_STAR] = "\\it*",
  [anon_sym_BSLASHbdit] = "\\bdit",
  [anon_sym_BSLASHbdit_STAR] = "\\bdit*",
  [anon_sym_BSLASHno] = "\\no",
  [anon_sym_BSLASHno_STAR] = "\\no*",
  [anon_sym_BSLASHsc] = "\\sc",
  [anon_sym_BSLASHsc_STAR] = "\\sc*",
  [anon_sym_BSLASHsup] = "\\sup",
  [anon_sym_BSLASHsup_STAR] = "\\sup*",
  [anon_sym_BSLASHndx] = "\\ndx",
  [anon_sym_BSLASHndx_STAR] = "\\ndx*",
  [anon_sym_BSLASHpro] = "\\pro",
  [anon_sym_BSLASHpro_STAR] = "\\pro*",
  [anon_sym_BSLASHrb] = "\\rb",
  [anon_sym_BSLASHrb_STAR] = "\\rb*",
  [anon_sym_BSLASHw] = "\\w",
  [anon_sym_BSLASHw_STAR] = "\\w*",
  [anon_sym_BSLASHwg] = "\\wg",
  [anon_sym_BSLASHwg_STAR] = "\\wg*",
  [anon_sym_BSLASHwh] = "\\wh",
  [anon_sym_BSLASHwh_STAR] = "\\wh*",
  [anon_sym_BSLASHwa] = "\\wa",
  [anon_sym_BSLASHwa_STAR] = "\\wa*",
  [anon_sym_BSLASH_PLUSadd] = "\\+add",
  [anon_sym_BSLASH_PLUSadd_STAR] = "\\+add*",
  [anon_sym_BSLASH_PLUSbk] = "\\+bk",
  [anon_sym_BSLASH_PLUSbk_STAR] = "\\+bk*",
  [anon_sym_BSLASH_PLUSdc] = "\\+dc",
  [anon_sym_BSLASH_PLUSdc_STAR] = "\\+dc*",
  [anon_sym_BSLASH_PLUSk] = "\\+k",
  [anon_sym_BSLASH_PLUSk_STAR] = "\\+k*",
  [anon_sym_BSLASH_PLUSnd] = "\\+nd",
  [anon_sym_BSLASH_PLUSnd_STAR] = "\\+nd*",
  [anon_sym_BSLASH_PLUSord] = "\\+ord",
  [anon_sym_BSLASH_PLUSord_STAR] = "\\+ord*",
  [anon_sym_BSLASH_PLUSpn] = "\\+pn",
  [anon_sym_BSLASH_PLUSpn_STAR] = "\\+pn*",
  [anon_sym_BSLASH_PLUSpng] = "\\+png",
  [anon_sym_BSLASH_PLUSpng_STAR] = "\\+png*",
  [anon_sym_BSLASH_PLUSaddpn] = "\\+addpn",
  [anon_sym_BSLASH_PLUSaddpn_STAR] = "\\+addpn*",
  [anon_sym_BSLASH_PLUSqt] = "\\+qt",
  [anon_sym_BSLASH_PLUSqt_STAR] = "\\+qt*",
  [anon_sym_BSLASH_PLUSsig] = "\\+sig",
  [anon_sym_BSLASH_PLUSsig_STAR] = "\\+sig*",
  [anon_sym_BSLASH_PLUSsls] = "\\+sls",
  [anon_sym_BSLASH_PLUSsls_STAR] = "\\+sls*",
  [anon_sym_BSLASH_PLUStl] = "\\+tl",
  [anon_sym_BSLASH_PLUStl_STAR] = "\\+tl*",
  [anon_sym_BSLASH_PLUSwj] = "\\+wj",
  [anon_sym_BSLASH_PLUSwj_STAR] = "\\+wj*",
  [anon_sym_BSLASH_PLUSem] = "\\+em",
  [anon_sym_BSLASH_PLUSem_STAR] = "\\+em*",
  [anon_sym_BSLASH_PLUSbd] = "\\+bd",
  [anon_sym_BSLASH_PLUSbd_STAR] = "\\+bd*",
  [anon_sym_BSLASH_PLUSit] = "\\+it",
  [anon_sym_BSLASH_PLUSit_STAR] = "\\+it*",
  [anon_sym_BSLASH_PLUSbdit] = "\\+bdit",
  [anon_sym_BSLASH_PLUSbdit_STAR] = "\\+bdit*",
  [anon_sym_BSLASH_PLUSno] = "\\+no",
  [anon_sym_BSLASH_PLUSno_STAR] = "\\+no*",
  [anon_sym_BSLASH_PLUSsc] = "\\+sc",
  [anon_sym_BSLASH_PLUSsc_STAR] = "\\+sc*",
  [anon_sym_BSLASH_PLUSsup] = "\\+sup",
  [anon_sym_BSLASH_PLUSsup_STAR] = "\\+sup*",
  [anon_sym_BSLASH_PLUSndx] = "\\+ndx",
  [anon_sym_BSLASH_PLUSndx_STAR] = "\\+ndx*",
  [anon_sym_BSLASH_PLUSpro] = "\\+pro",
  [anon_sym_BSLASH_PLUSpro_STAR] = "\\+pro*",
  [anon_sym_BSLASH_PLUSrb] = "\\+rb",
  [anon_sym_BSLASH_PLUSrb_STAR] = "\\+rb*",
  [anon_sym_BSLASH_PLUSw] = "\\+w",
  [anon_sym_BSLASH_PLUSw_STAR] = "\\+w*",
  [anon_sym_BSLASH_PLUSwg] = "\\+wg",
  [anon_sym_BSLASH_PLUSwg_STAR] = "\\+wg*",
  [anon_sym_BSLASH_PLUSwh] = "\\+wh",
  [anon_sym_BSLASH_PLUSwh_STAR] = "\\+wh*",
  [anon_sym_BSLASH_PLUSwa] = "\\+wa",
  [anon_sym_BSLASH_PLUSwa_STAR] = "\\+wa*",
  [anon_sym_BSLASHfig] = "\\fig",
  [anon_sym_BSLASHfig_STAR] = "\\fig*",
  [anon_sym_BSLASHjmp] = "\\jmp",
  [anon_sym_BSLASHjmp_STAR] = "\\jmp*",
  [anon_sym_BSLASH_PLUSjmp] = "\\+jmp",
  [anon_sym_BSLASH_PLUSjmp_STAR] = "\\+jmp*",
  [anon_sym_BSLASHpb] = "\\pb",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_milestoneTag_token1] = "milestoneTag_token1",
  [anon_sym_BSLASH_STAR] = "\\*",
  [sym_milestoneStartTag] = "milestoneStartTag",
  [sym_milestoneEndTag] = "milestoneEndTag",
  [sym_zSpaceTag] = "zSpaceTag",
  [sym__zSpaceClose] = "_zSpaceClose",
  [anon_sym_BSLASHesb] = "\\esb",
  [anon_sym_BSLASHesbe] = "\\esbe",
  [sym_category] = "category",
  [anon_sym_BSLASHcat] = "\\cat",
  [anon_sym_BSLASHcat_STAR] = "\\cat*",
  [anon_sym_EQ] = "=",
  [anon_sym_DQUOTE] = "\"",
  [sym_customAttributeName] = "customAttributeName",
  [sym_attributeValue] = "attributeValue",
  [anon_sym_PIPE] = "|",
  [anon_sym_key] = "key",
  [anon_sym_lemma] = "lemma",
  [anon_sym_strong] = "strong",
  [anon_sym_srcloc] = "srcloc",
  [anon_sym_gloss] = "gloss",
  [anon_sym_link_DASHhref] = "link-href",
  [anon_sym_link_DASHtitle] = "link-title",
  [anon_sym_link_DASHid] = "link-id",
  [anon_sym_href] = "href",
  [anon_sym_title] = "title",
  [anon_sym_id] = "id",
  [anon_sym_x_DASH] = "x-",
  [aux_sym__linkAttributeUserDefinedName_token1] = "_linkAttributeUserDefinedName_token1",
  [anon_sym_alt] = "alt",
  [anon_sym_src] = "src",
  [anon_sym_size] = "size",
  [anon_sym_loc] = "loc",
  [anon_sym_copy] = "copy",
  [anon_sym_ref] = "ref",
  [anon_sym_sid] = "sid",
  [anon_sym_eid] = "eid",
  [anon_sym_who] = "who",
  [sym_File] = "File",
  [sym__mandatoryHead] = "_mandatoryHead",
  [sym_text] = "text",
  [sym__text] = "_text",
  [sym_book] = "book",
  [sym_description] = "description",
  [sym_id] = "id",
  [sym__bookHeader] = "_bookHeader",
  [sym_usfm] = "usfm",
  [sym_ide] = "ide",
  [sym_hBlock] = "hBlock",
  [sym_tocBlock] = "tocBlock",
  [sym_tocaBlock] = "tocaBlock",
  [sym_ref] = "ref",
  [sym_h] = "h",
  [sym_hTag] = "hTag",
  [sym_toc] = "toc",
  [sym_tocTag] = "tocTag",
  [sym_toca] = "toca",
  [sym_tocaTag] = "tocaTag",
  [sym__comments] = "_comments",
  [sym_sts] = "sts",
  [sym_rem] = "rem",
  [sym_restore] = "restore",
  [sym_lit] = "lit",
  [aux_sym__introText] = "_introText",
  [sym_iqt] = "iqt",
  [sym_imtBlock] = "imtBlock",
  [sym_imt] = "imt",
  [sym_imtTag] = "imtTag",
  [sym_imteBlock] = "imteBlock",
  [sym_imte] = "imte",
  [sym_imteTag] = "imteTag",
  [sym__midIntroMarker] = "_midIntroMarker",
  [sym_isBlock] = "isBlock",
  [sym_is] = "is",
  [sym_isTag] = "isTag",
  [sym_io] = "io",
  [sym_ioTag] = "ioTag",
  [sym_ior] = "ior",
  [sym_iot] = "iot",
  [sym_ip] = "ip",
  [sym_im] = "im",
  [sym_ipi] = "ipi",
  [sym_imi] = "imi",
  [sym_iliBlock] = "iliBlock",
  [sym_ili] = "ili",
  [sym_iliTag] = "iliTag",
  [sym_ipq] = "ipq",
  [sym_imq] = "imq",
  [sym_ipr] = "ipr",
  [sym_ib] = "ib",
  [sym_iqBlock] = "iqBlock",
  [sym_iq] = "iq",
  [sym_iqTag] = "iqTag",
  [sym_ie] = "ie",
  [sym_iex] = "iex",
  [sym_verseText] = "verseText",
  [sym_v] = "v",
  [sym__verseMeta] = "_verseMeta",
  [sym_va] = "va",
  [sym_vp] = "vp",
  [sym_chapter] = "chapter",
  [sym_c] = "c",
  [sym__chapterContent] = "_chapterContent",
  [sym__chapterMeta] = "_chapterMeta",
  [sym_cl] = "cl",
  [sym_ca] = "ca",
  [sym_cp] = "cp",
  [sym_cd] = "cd",
  [sym_title] = "title",
  [sym_mtBlock] = "mtBlock",
  [sym_mt] = "mt",
  [sym_mtTag] = "mtTag",
  [sym_mteBlock] = "mteBlock",
  [sym_mte] = "mte",
  [sym_mteTag] = "mteTag",
  [sym_msBlock] = "msBlock",
  [sym_ms] = "ms",
  [sym_msTag] = "msTag",
  [sym_mr] = "mr",
  [sym_sBlock] = "sBlock",
  [sym_s] = "s",
  [sym_sTag] = "sTag",
  [sym_sr] = "sr",
  [sym_r] = "r",
  [sym_sp] = "sp",
  [sym_d] = "d",
  [sym_sdBlock] = "sdBlock",
  [sym_sd] = "sd",
  [sym_sdTag] = "sdTag",
  [sym_paragraph] = "paragraph",
  [sym__paragraphContent] = "_paragraphContent",
  [sym_p] = "p",
  [sym_m] = "m",
  [sym_po] = "po",
  [sym_pr] = "pr",
  [sym_cls] = "cls",
  [sym_pmo] = "pmo",
  [sym_pm] = "pm",
  [sym_pmc] = "pmc",
  [sym_pmr] = "pmr",
  [sym_piBlock] = "piBlock",
  [sym_pi] = "pi",
  [sym_piTag] = "piTag",
  [sym_mi] = "mi",
  [sym_nb] = "nb",
  [sym_pc] = "pc",
  [sym_phBlock] = "phBlock",
  [sym_ph] = "ph",
  [sym_phTag] = "phTag",
  [sym_b] = "b",
  [sym_poetry] = "poetry",
  [sym__poetryContent] = "_poetryContent",
  [sym_qBlock] = "qBlock",
  [sym_q] = "q",
  [sym_qTag] = "qTag",
  [sym_qr] = "qr",
  [sym_qc] = "qc",
  [sym_qs] = "qs",
  [sym_qa] = "qa",
  [sym_qac] = "qac",
  [sym_qmBlock] = "qmBlock",
  [sym_qm] = "qm",
  [sym_qmTag] = "qmTag",
  [sym_qd] = "qd",
  [sym_list] = "list",
  [sym_lh] = "lh",
  [sym_lf] = "lf",
  [sym__listMarker] = "_listMarker",
  [sym_liBlock] = "liBlock",
  [sym_li] = "li",
  [sym_liTag] = "liTag",
  [sym_limBlock] = "limBlock",
  [sym_lim] = "lim",
  [sym_limTag] = "limTag",
  [sym_liv] = "liv",
  [sym_livTag] = "livTag",
  [sym_lik] = "lik",
  [sym_litl] = "litl",
  [sym__listTextContent] = "_listTextContent",
  [sym_table] = "table",
  [sym__tableText] = "_tableText",
  [sym_tr] = "tr",
  [sym_th] = "th",
  [sym_thr] = "thr",
  [sym_tc] = "tc",
  [sym_tcr] = "tcr",
  [sym_footnoteText] = "footnoteText",
  [sym_crossrefText] = "crossrefText",
  [sym_footnote] = "footnote",
  [sym_f] = "f",
  [sym_fe] = "fe",
  [sym_ef] = "ef",
  [sym_fr] = "fr",
  [sym_fq] = "fq",
  [sym_fqa] = "fqa",
  [sym_fk] = "fk",
  [sym_fl] = "fl",
  [sym_fw] = "fw",
  [sym_fp] = "fp",
  [sym_ft] = "ft",
  [sym_fdc] = "fdc",
  [sym_fv] = "fv",
  [sym_fm] = "fm",
  [sym__footnoteContents] = "_footnoteContents",
  [sym_crossref] = "crossref",
  [sym_x] = "x",
  [sym_xo] = "xo",
  [sym_xk] = "xk",
  [sym_xq] = "xq",
  [sym_xt] = "xt",
  [sym_xtNested] = "xtNested",
  [sym_xt_standalone] = "xt_standalone",
  [sym_xta] = "xta",
  [sym_xop] = "xop",
  [sym_xot] = "xot",
  [sym_xnt] = "xnt",
  [sym_xdc] = "xdc",
  [sym__crossrefContents] = "_crossrefContents",
  [sym_rq] = "rq",
  [sym__innerText] = "_innerText",
  [sym_add] = "add",
  [sym_bk] = "bk",
  [sym_dc] = "dc",
  [sym_k] = "k",
  [sym_nd] = "nd",
  [sym_ord] = "ord",
  [sym_pn] = "pn",
  [sym_png] = "png",
  [sym_addpn] = "addpn",
  [sym_qt] = "qt",
  [sym_sig] = "sig",
  [sym_sls] = "sls",
  [sym_tl] = "tl",
  [sym_wj] = "wj",
  [sym_em] = "em",
  [sym_bd] = "bd",
  [sym_it] = "it",
  [sym_bdit] = "bdit",
  [sym_no] = "no",
  [sym_sc] = "sc",
  [sym_sup] = "sup",
  [sym_ndx] = "ndx",
  [sym_pro] = "pro",
  [sym_rb] = "rb",
  [sym_w] = "w",
  [sym_wg] = "wg",
  [sym_wh] = "wh",
  [sym_wa] = "wa",
  [sym__characterMarker] = "_characterMarker",
  [sym_addNested] = "addNested",
  [sym_bkNested] = "bkNested",
  [sym_dcNested] = "dcNested",
  [sym_kNested] = "kNested",
  [sym_ndNested] = "ndNested",
  [sym_ordNested] = "ordNested",
  [sym_pnNested] = "pnNested",
  [sym_pngNested] = "pngNested",
  [sym_addpnNested] = "addpnNested",
  [sym_qtNested] = "qtNested",
  [sym_sigNested] = "sigNested",
  [sym_slsNested] = "slsNested",
  [sym_tlNested] = "tlNested",
  [sym_wjNested] = "wjNested",
  [sym_emNested] = "emNested",
  [sym_bdNested] = "bdNested",
  [sym_itNested] = "itNested",
  [sym_bditNested] = "bditNested",
  [sym_noNested] = "noNested",
  [sym_scNested] = "scNested",
  [sym_supNested] = "supNested",
  [sym_ndxNested] = "ndxNested",
  [sym_proNested] = "proNested",
  [sym_rbNested] = "rbNested",
  [sym_wNested] = "wNested",
  [sym_wgNested] = "wgNested",
  [sym_whNested] = "whNested",
  [sym_waNested] = "waNested",
  [sym__nestedCharacterMarker] = "_nestedCharacterMarker",
  [sym_fig] = "fig",
  [sym_jmp] = "jmp",
  [sym_jmpNested] = "jmpNested",
  [sym_pb] = "pb",
  [sym_milestoneTag] = "milestoneTag",
  [sym__milestoneStandaloneMarker] = "_milestoneStandaloneMarker",
  [sym__milestoneStart] = "_milestoneStart",
  [sym__milestoneEnd] = "_milestoneEnd",
  [sym_milestone] = "milestone",
  [sym__zNameSpaceRegular] = "_zNameSpaceRegular",
  [sym__zNameSpaceClosed] = "_zNameSpaceClosed",
  [sym__zNameSpaceStandaloneMarker] = "_zNameSpaceStandaloneMarker",
  [sym_zNameSpace] = "zNameSpace",
  [sym_esb] = "esb",
  [sym__esbContents] = "_esbContents",
  [sym_cat] = "cat",
  [sym_customAttribute] = "customAttribute",
  [sym_defaultAttribute] = "defaultAttribute",
  [sym__kAttributes] = "_kAttributes",
  [sym_keyAttribute] = "keyAttribute",
  [sym__wAttributes] = "_wAttributes",
  [sym__rbAttributes] = "_rbAttributes",
  [sym__figAttributes] = "_figAttributes",
  [sym__refAttributes] = "_refAttributes",
  [sym_lemmaAttribute] = "lemmaAttribute",
  [sym_strongAttribute] = "strongAttribute",
  [sym_scrlocAttribute] = "scrlocAttribute",
  [sym_glossAttribute] = "glossAttribute",
  [sym__jmpAttribute] = "_jmpAttribute",
  [sym_linkAttribute] = "linkAttribute",
  [sym__linkAttributeName] = "_linkAttributeName",
  [sym__linkAttributeUserDefinedName] = "_linkAttributeUserDefinedName",
  [sym_altAttribute] = "altAttribute",
  [sym_srcAttribute] = "srcAttribute",
  [sym_sizeAttribute] = "sizeAttribute",
  [sym_locAttribute] = "locAttribute",
  [sym_copyAttribute] = "copyAttribute",
  [sym_refAttribute] = "refAttribute",
  [sym__milestoneAttributes] = "_milestoneAttributes",
  [sym_msAttribute] = "msAttribute",
  [sym_milestoneAttributeName] = "milestoneAttributeName",
  [sym__attributesInCrossref] = "_attributesInCrossref",
  [aux_sym_File_repeat1] = "File_repeat1",
  [aux_sym_File_repeat2] = "File_repeat2",
  [aux_sym__mandatoryHead_repeat1] = "_mandatoryHead_repeat1",
  [aux_sym_hBlock_repeat1] = "hBlock_repeat1",
  [aux_sym_tocBlock_repeat1] = "tocBlock_repeat1",
  [aux_sym_tocaBlock_repeat1] = "tocaBlock_repeat1",
  [aux_sym_rem_repeat1] = "rem_repeat1",
  [aux_sym_imtBlock_repeat1] = "imtBlock_repeat1",
  [aux_sym_imteBlock_repeat1] = "imteBlock_repeat1",
  [aux_sym_isBlock_repeat1] = "isBlock_repeat1",
  [aux_sym_iliBlock_repeat1] = "iliBlock_repeat1",
  [aux_sym_iqBlock_repeat1] = "iqBlock_repeat1",
  [aux_sym_verseText_repeat1] = "verseText_repeat1",
  [aux_sym_v_repeat1] = "v_repeat1",
  [aux_sym_chapter_repeat1] = "chapter_repeat1",
  [aux_sym_c_repeat1] = "c_repeat1",
  [aux_sym_cd_repeat1] = "cd_repeat1",
  [aux_sym_mtBlock_repeat1] = "mtBlock_repeat1",
  [aux_sym_mt_repeat1] = "mt_repeat1",
  [aux_sym_mteBlock_repeat1] = "mteBlock_repeat1",
  [aux_sym_msBlock_repeat1] = "msBlock_repeat1",
  [aux_sym_ms_repeat1] = "ms_repeat1",
  [aux_sym_sBlock_repeat1] = "sBlock_repeat1",
  [aux_sym_sdBlock_repeat1] = "sdBlock_repeat1",
  [aux_sym_p_repeat1] = "p_repeat1",
  [aux_sym_piBlock_repeat1] = "piBlock_repeat1",
  [aux_sym_phBlock_repeat1] = "phBlock_repeat1",
  [aux_sym_poetry_repeat1] = "poetry_repeat1",
  [aux_sym_qBlock_repeat1] = "qBlock_repeat1",
  [aux_sym_q_repeat1] = "q_repeat1",
  [aux_sym_qa_repeat1] = "qa_repeat1",
  [aux_sym_qmBlock_repeat1] = "qmBlock_repeat1",
  [aux_sym_list_repeat1] = "list_repeat1",
  [aux_sym_liBlock_repeat1] = "liBlock_repeat1",
  [aux_sym_li_repeat1] = "li_repeat1",
  [aux_sym_limBlock_repeat1] = "limBlock_repeat1",
  [aux_sym_liv_repeat1] = "liv_repeat1",
  [aux_sym_table_repeat1] = "table_repeat1",
  [aux_sym_tr_repeat1] = "tr_repeat1",
  [aux_sym_footnoteText_repeat1] = "footnoteText_repeat1",
  [aux_sym_crossrefText_repeat1] = "crossrefText_repeat1",
  [aux_sym_f_repeat1] = "f_repeat1",
  [aux_sym_x_repeat1] = "x_repeat1",
  [aux_sym__innerText_repeat1] = "_innerText_repeat1",
  [aux_sym_esb_repeat1] = "esb_repeat1",
  [aux_sym__wAttributes_repeat1] = "_wAttributes_repeat1",
  [aux_sym__rbAttributes_repeat1] = "_rbAttributes_repeat1",
  [aux_sym__figAttributes_repeat1] = "_figAttributes_repeat1",
  [aux_sym__jmpAttribute_repeat1] = "_jmpAttribute_repeat1",
  [aux_sym__milestoneAttributes_repeat1] = "_milestoneAttributes_repeat1",
  [aux_sym__attributesInCrossref_repeat1] = "_attributesInCrossref_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_bookcode] = sym_bookcode,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [sym__spaceOrLine] = sym__spaceOrLine,
  [anon_sym_BSLASHid] = anon_sym_BSLASHid,
  [sym_numberedLevelMax3] = sym_numberedLevelMax3,
  [sym_numberedLevelMax4] = sym_numberedLevelMax4,
  [sym_numberedLevelMax5] = sym_numberedLevelMax5,
  [sym_versionNumber] = sym_versionNumber,
  [anon_sym_BSLASHusfm] = anon_sym_BSLASHusfm,
  [anon_sym_BSLASHide] = anon_sym_BSLASHide,
  [anon_sym_BSLASHref] = anon_sym_BSLASHref,
  [anon_sym_BSLASHref_STAR] = anon_sym_BSLASHref_STAR,
  [anon_sym_BSLASHh] = anon_sym_BSLASHh,
  [anon_sym_SPACE] = anon_sym_SPACE,
  [anon_sym_BSLASHtoc] = anon_sym_BSLASHtoc,
  [anon_sym_BSLASHtoca] = anon_sym_BSLASHtoca,
  [anon_sym_BSLASHsts] = anon_sym_BSLASHsts,
  [anon_sym_BSLASHrem] = anon_sym_BSLASHrem,
  [anon_sym_BSLASHrestore] = anon_sym_BSLASHrestore,
  [anon_sym_BSLASHlit] = anon_sym_BSLASHlit,
  [anon_sym_BSLASHiqt] = anon_sym_BSLASHiqt,
  [anon_sym_BSLASHiqt_STAR] = anon_sym_BSLASHiqt_STAR,
  [anon_sym_BSLASHimt] = anon_sym_BSLASHimt,
  [anon_sym_BSLASHimte] = anon_sym_BSLASHimte,
  [aux_sym_imteTag_token1] = aux_sym_imteTag_token1,
  [anon_sym_BSLASHis] = anon_sym_BSLASHis,
  [anon_sym_BSLASHio] = anon_sym_BSLASHio,
  [anon_sym_BSLASHior] = anon_sym_BSLASHior,
  [anon_sym_BSLASHior_STAR] = anon_sym_BSLASHior_STAR,
  [anon_sym_BSLASHiot] = anon_sym_BSLASHiot,
  [anon_sym_BSLASHip] = anon_sym_BSLASHip,
  [anon_sym_BSLASHim] = anon_sym_BSLASHim,
  [anon_sym_BSLASHipi] = anon_sym_BSLASHipi,
  [anon_sym_BSLASHimi] = anon_sym_BSLASHimi,
  [anon_sym_BSLASHili] = anon_sym_BSLASHili,
  [anon_sym_BSLASHipq] = anon_sym_BSLASHipq,
  [anon_sym_BSLASHimq] = anon_sym_BSLASHimq,
  [anon_sym_BSLASHipr] = anon_sym_BSLASHipr,
  [anon_sym_BSLASHib] = anon_sym_BSLASHib,
  [anon_sym_BSLASHiq] = anon_sym_BSLASHiq,
  [anon_sym_BSLASHie] = anon_sym_BSLASHie,
  [anon_sym_BSLASHiex] = anon_sym_BSLASHiex,
  [anon_sym_BSLASHv] = anon_sym_BSLASHv,
  [sym_verseNumber] = sym_verseNumber,
  [anon_sym_BSLASHva] = anon_sym_BSLASHva,
  [anon_sym_BSLASHva_STAR] = anon_sym_BSLASHva_STAR,
  [anon_sym_BSLASHvp] = anon_sym_BSLASHvp,
  [anon_sym_BSLASHvp_STAR] = anon_sym_BSLASHvp_STAR,
  [anon_sym_BSLASHc] = anon_sym_BSLASHc,
  [sym_chapterNumber] = sym_chapterNumber,
  [anon_sym_BSLASHcl] = anon_sym_BSLASHcl,
  [anon_sym_BSLASHca] = anon_sym_BSLASHca,
  [anon_sym_BSLASHca_STAR] = anon_sym_BSLASHca_STAR,
  [anon_sym_BSLASHcp] = anon_sym_BSLASHcp,
  [anon_sym_BSLASHcd] = anon_sym_BSLASHcd,
  [anon_sym_BSLASHmt] = anon_sym_BSLASHmt,
  [anon_sym_BSLASHmte] = anon_sym_BSLASHmte,
  [anon_sym_BSLASHms] = anon_sym_BSLASHms,
  [anon_sym_BSLASHmr] = anon_sym_BSLASHmr,
  [anon_sym_BSLASHs] = anon_sym_BSLASHs,
  [anon_sym_BSLASHsr] = anon_sym_BSLASHsr,
  [anon_sym_BSLASHr] = anon_sym_BSLASHr,
  [anon_sym_BSLASHsp] = anon_sym_BSLASHsp,
  [anon_sym_BSLASHd] = anon_sym_BSLASHd,
  [anon_sym_BSLASHsd] = anon_sym_BSLASHsd,
  [anon_sym_BSLASHp] = anon_sym_BSLASHp,
  [anon_sym_BSLASHm] = anon_sym_BSLASHm,
  [anon_sym_BSLASHpo] = anon_sym_BSLASHpo,
  [anon_sym_BSLASHpr] = anon_sym_BSLASHpr,
  [anon_sym_BSLASHcls] = anon_sym_BSLASHcls,
  [anon_sym_BSLASHpmo] = anon_sym_BSLASHpmo,
  [anon_sym_BSLASHpm] = anon_sym_BSLASHpm,
  [anon_sym_BSLASHpmc] = anon_sym_BSLASHpmc,
  [anon_sym_BSLASHpmr] = anon_sym_BSLASHpmr,
  [anon_sym_BSLASHpi] = anon_sym_BSLASHpi,
  [anon_sym_BSLASHmi] = anon_sym_BSLASHmi,
  [anon_sym_BSLASHnb] = anon_sym_BSLASHnb,
  [anon_sym_BSLASHpc] = anon_sym_BSLASHpc,
  [anon_sym_BSLASHph] = anon_sym_BSLASHph,
  [anon_sym_BSLASHphi] = anon_sym_BSLASHphi,
  [anon_sym_BSLASHb] = anon_sym_BSLASHb,
  [anon_sym_BSLASHq] = anon_sym_BSLASHq,
  [anon_sym_BSLASHqr] = anon_sym_BSLASHqr,
  [anon_sym_BSLASHqc] = anon_sym_BSLASHqc,
  [anon_sym_BSLASHqs] = anon_sym_BSLASHqs,
  [anon_sym_BSLASHqs_STAR] = anon_sym_BSLASHqs_STAR,
  [anon_sym_BSLASHqa] = anon_sym_BSLASHqa,
  [anon_sym_BSLASHqac] = anon_sym_BSLASHqac,
  [anon_sym_BSLASHqac_STAR] = anon_sym_BSLASHqac_STAR,
  [anon_sym_BSLASHqm] = anon_sym_BSLASHqm,
  [anon_sym_BSLASHqd] = anon_sym_BSLASHqd,
  [anon_sym_BSLASHlh] = anon_sym_BSLASHlh,
  [anon_sym_BSLASHlf] = anon_sym_BSLASHlf,
  [anon_sym_BSLASHli] = anon_sym_BSLASHli,
  [anon_sym_BSLASHlim] = anon_sym_BSLASHlim,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_BSLASHliv] = anon_sym_BSLASHliv,
  [anon_sym_BSLASHlik] = anon_sym_BSLASHlik,
  [anon_sym_BSLASHlik_STAR] = anon_sym_BSLASHlik_STAR,
  [anon_sym_BSLASHlitl] = anon_sym_BSLASHlitl,
  [anon_sym_BSLASHlitl_STAR] = anon_sym_BSLASHlitl_STAR,
  [anon_sym_BSLASHtr] = anon_sym_BSLASHtr,
  [sym_thTag] = sym_thTag,
  [sym_thrTag] = sym_thrTag,
  [sym_tcTag] = sym_tcTag,
  [sym_tcrTag] = sym_tcrTag,
  [sym_caller] = sym_caller,
  [anon_sym_BSLASHf] = anon_sym_BSLASHf,
  [anon_sym_BSLASHf_STAR] = anon_sym_BSLASHf_STAR,
  [anon_sym_BSLASHfe] = anon_sym_BSLASHfe,
  [anon_sym_BSLASHfe_STAR] = anon_sym_BSLASHfe_STAR,
  [anon_sym_BSLASHef] = anon_sym_BSLASHef,
  [anon_sym_BSLASHef_STAR] = anon_sym_BSLASHef_STAR,
  [anon_sym_BSLASHfr] = anon_sym_BSLASHfr,
  [anon_sym_BSLASHfr_STAR] = anon_sym_BSLASHfr_STAR,
  [anon_sym_BSLASHfq] = anon_sym_BSLASHfq,
  [anon_sym_BSLASHfq_STAR] = anon_sym_BSLASHfq_STAR,
  [anon_sym_BSLASHfqa] = anon_sym_BSLASHfqa,
  [anon_sym_BSLASHfqa_STAR] = anon_sym_BSLASHfqa_STAR,
  [anon_sym_BSLASHfk] = anon_sym_BSLASHfk,
  [anon_sym_BSLASHfk_STAR] = anon_sym_BSLASHfk_STAR,
  [anon_sym_BSLASHfl] = anon_sym_BSLASHfl,
  [anon_sym_BSLASHfl_STAR] = anon_sym_BSLASHfl_STAR,
  [anon_sym_BSLASHfw] = anon_sym_BSLASHfw,
  [anon_sym_BSLASHfw_STAR] = anon_sym_BSLASHfw_STAR,
  [anon_sym_BSLASHfp] = anon_sym_BSLASHfp,
  [anon_sym_BSLASHfp_STAR] = anon_sym_BSLASHfp_STAR,
  [anon_sym_BSLASHft] = anon_sym_BSLASHft,
  [anon_sym_BSLASHft_STAR] = anon_sym_BSLASHft_STAR,
  [anon_sym_BSLASHfdc] = anon_sym_BSLASHfdc,
  [anon_sym_BSLASHfdc_STAR] = anon_sym_BSLASHfdc_STAR,
  [anon_sym_BSLASHfv] = anon_sym_BSLASHfv,
  [anon_sym_BSLASHfv_STAR] = anon_sym_BSLASHfv_STAR,
  [anon_sym_BSLASHfm] = anon_sym_BSLASHfm,
  [anon_sym_BSLASHfm_STAR] = anon_sym_BSLASHfm_STAR,
  [anon_sym_BSLASHx] = anon_sym_BSLASHx,
  [anon_sym_BSLASHx_STAR] = anon_sym_BSLASHx_STAR,
  [anon_sym_BSLASHxo] = anon_sym_BSLASHxo,
  [anon_sym_BSLASHxo_STAR] = anon_sym_BSLASHxo_STAR,
  [anon_sym_BSLASHxk] = anon_sym_BSLASHxk,
  [anon_sym_BSLASHxk_STAR] = anon_sym_BSLASHxk_STAR,
  [anon_sym_BSLASHxq] = anon_sym_BSLASHxq,
  [anon_sym_BSLASHxq_STAR] = anon_sym_BSLASHxq_STAR,
  [anon_sym_BSLASHxt] = anon_sym_BSLASHxt,
  [anon_sym_BSLASHxt_STAR] = anon_sym_BSLASHxt_STAR,
  [anon_sym_BSLASH_PLUSxt] = anon_sym_BSLASH_PLUSxt,
  [anon_sym_BSLASH_PLUSxt_STAR] = anon_sym_BSLASH_PLUSxt_STAR,
  [anon_sym_BSLASHxta] = anon_sym_BSLASHxta,
  [anon_sym_BSLASHxta_STAR] = anon_sym_BSLASHxta_STAR,
  [anon_sym_BSLASHxop] = anon_sym_BSLASHxop,
  [anon_sym_BSLASHxop_STAR] = anon_sym_BSLASHxop_STAR,
  [anon_sym_BSLASHxot] = anon_sym_BSLASHxot,
  [anon_sym_BSLASHxot_STAR] = anon_sym_BSLASHxot_STAR,
  [anon_sym_BSLASHxnt] = anon_sym_BSLASHxnt,
  [anon_sym_BSLASHxnt_STAR] = anon_sym_BSLASHxnt_STAR,
  [anon_sym_BSLASHxdc] = anon_sym_BSLASHxdc,
  [anon_sym_BSLASHxdc_STAR] = anon_sym_BSLASHxdc_STAR,
  [anon_sym_BSLASHrq] = anon_sym_BSLASHrq,
  [anon_sym_BSLASHrq_STAR] = anon_sym_BSLASHrq_STAR,
  [anon_sym_BSLASHadd] = anon_sym_BSLASHadd,
  [anon_sym_BSLASHadd_STAR] = anon_sym_BSLASHadd_STAR,
  [anon_sym_BSLASHbk] = anon_sym_BSLASHbk,
  [anon_sym_BSLASHbk_STAR] = anon_sym_BSLASHbk_STAR,
  [anon_sym_BSLASHdc] = anon_sym_BSLASHdc,
  [anon_sym_BSLASHdc_STAR] = anon_sym_BSLASHdc_STAR,
  [anon_sym_BSLASHk] = anon_sym_BSLASHk,
  [anon_sym_BSLASHk_STAR] = anon_sym_BSLASHk_STAR,
  [anon_sym_BSLASHnd] = anon_sym_BSLASHnd,
  [anon_sym_BSLASHnd_STAR] = anon_sym_BSLASHnd_STAR,
  [anon_sym_BSLASHord] = anon_sym_BSLASHord,
  [anon_sym_BSLASHord_STAR] = anon_sym_BSLASHord_STAR,
  [anon_sym_BSLASHpn] = anon_sym_BSLASHpn,
  [anon_sym_BSLASHpn_STAR] = anon_sym_BSLASHpn_STAR,
  [anon_sym_BSLASHpng] = anon_sym_BSLASHpng,
  [anon_sym_BSLASHpng_STAR] = anon_sym_BSLASHpng_STAR,
  [anon_sym_BSLASHaddpn] = anon_sym_BSLASHaddpn,
  [anon_sym_BSLASHaddpn_STAR] = anon_sym_BSLASHaddpn_STAR,
  [anon_sym_BSLASHqt] = anon_sym_BSLASHqt,
  [anon_sym_BSLASHqt_STAR] = anon_sym_BSLASHqt_STAR,
  [anon_sym_BSLASHsig] = anon_sym_BSLASHsig,
  [anon_sym_BSLASHsig_STAR] = anon_sym_BSLASHsig_STAR,
  [anon_sym_BSLASHsls] = anon_sym_BSLASHsls,
  [anon_sym_BSLASHsls_STAR] = anon_sym_BSLASHsls_STAR,
  [anon_sym_BSLASHtl] = anon_sym_BSLASHtl,
  [anon_sym_BSLASHtl_STAR] = anon_sym_BSLASHtl_STAR,
  [anon_sym_BSLASHwj] = anon_sym_BSLASHwj,
  [anon_sym_BSLASHwj_STAR] = anon_sym_BSLASHwj_STAR,
  [anon_sym_BSLASHem] = anon_sym_BSLASHem,
  [anon_sym_BSLASHem_STAR] = anon_sym_BSLASHem_STAR,
  [anon_sym_BSLASHbd] = anon_sym_BSLASHbd,
  [anon_sym_BSLASHbd_STAR] = anon_sym_BSLASHbd_STAR,
  [anon_sym_BSLASHit] = anon_sym_BSLASHit,
  [anon_sym_BSLASHit_STAR] = anon_sym_BSLASHit_STAR,
  [anon_sym_BSLASHbdit] = anon_sym_BSLASHbdit,
  [anon_sym_BSLASHbdit_STAR] = anon_sym_BSLASHbdit_STAR,
  [anon_sym_BSLASHno] = anon_sym_BSLASHno,
  [anon_sym_BSLASHno_STAR] = anon_sym_BSLASHno_STAR,
  [anon_sym_BSLASHsc] = anon_sym_BSLASHsc,
  [anon_sym_BSLASHsc_STAR] = anon_sym_BSLASHsc_STAR,
  [anon_sym_BSLASHsup] = anon_sym_BSLASHsup,
  [anon_sym_BSLASHsup_STAR] = anon_sym_BSLASHsup_STAR,
  [anon_sym_BSLASHndx] = anon_sym_BSLASHndx,
  [anon_sym_BSLASHndx_STAR] = anon_sym_BSLASHndx_STAR,
  [anon_sym_BSLASHpro] = anon_sym_BSLASHpro,
  [anon_sym_BSLASHpro_STAR] = anon_sym_BSLASHpro_STAR,
  [anon_sym_BSLASHrb] = anon_sym_BSLASHrb,
  [anon_sym_BSLASHrb_STAR] = anon_sym_BSLASHrb_STAR,
  [anon_sym_BSLASHw] = anon_sym_BSLASHw,
  [anon_sym_BSLASHw_STAR] = anon_sym_BSLASHw_STAR,
  [anon_sym_BSLASHwg] = anon_sym_BSLASHwg,
  [anon_sym_BSLASHwg_STAR] = anon_sym_BSLASHwg_STAR,
  [anon_sym_BSLASHwh] = anon_sym_BSLASHwh,
  [anon_sym_BSLASHwh_STAR] = anon_sym_BSLASHwh_STAR,
  [anon_sym_BSLASHwa] = anon_sym_BSLASHwa,
  [anon_sym_BSLASHwa_STAR] = anon_sym_BSLASHwa_STAR,
  [anon_sym_BSLASH_PLUSadd] = anon_sym_BSLASH_PLUSadd,
  [anon_sym_BSLASH_PLUSadd_STAR] = anon_sym_BSLASH_PLUSadd_STAR,
  [anon_sym_BSLASH_PLUSbk] = anon_sym_BSLASH_PLUSbk,
  [anon_sym_BSLASH_PLUSbk_STAR] = anon_sym_BSLASH_PLUSbk_STAR,
  [anon_sym_BSLASH_PLUSdc] = anon_sym_BSLASH_PLUSdc,
  [anon_sym_BSLASH_PLUSdc_STAR] = anon_sym_BSLASH_PLUSdc_STAR,
  [anon_sym_BSLASH_PLUSk] = anon_sym_BSLASH_PLUSk,
  [anon_sym_BSLASH_PLUSk_STAR] = anon_sym_BSLASH_PLUSk_STAR,
  [anon_sym_BSLASH_PLUSnd] = anon_sym_BSLASH_PLUSnd,
  [anon_sym_BSLASH_PLUSnd_STAR] = anon_sym_BSLASH_PLUSnd_STAR,
  [anon_sym_BSLASH_PLUSord] = anon_sym_BSLASH_PLUSord,
  [anon_sym_BSLASH_PLUSord_STAR] = anon_sym_BSLASH_PLUSord_STAR,
  [anon_sym_BSLASH_PLUSpn] = anon_sym_BSLASH_PLUSpn,
  [anon_sym_BSLASH_PLUSpn_STAR] = anon_sym_BSLASH_PLUSpn_STAR,
  [anon_sym_BSLASH_PLUSpng] = anon_sym_BSLASH_PLUSpng,
  [anon_sym_BSLASH_PLUSpng_STAR] = anon_sym_BSLASH_PLUSpng_STAR,
  [anon_sym_BSLASH_PLUSaddpn] = anon_sym_BSLASH_PLUSaddpn,
  [anon_sym_BSLASH_PLUSaddpn_STAR] = anon_sym_BSLASH_PLUSaddpn_STAR,
  [anon_sym_BSLASH_PLUSqt] = anon_sym_BSLASH_PLUSqt,
  [anon_sym_BSLASH_PLUSqt_STAR] = anon_sym_BSLASH_PLUSqt_STAR,
  [anon_sym_BSLASH_PLUSsig] = anon_sym_BSLASH_PLUSsig,
  [anon_sym_BSLASH_PLUSsig_STAR] = anon_sym_BSLASH_PLUSsig_STAR,
  [anon_sym_BSLASH_PLUSsls] = anon_sym_BSLASH_PLUSsls,
  [anon_sym_BSLASH_PLUSsls_STAR] = anon_sym_BSLASH_PLUSsls_STAR,
  [anon_sym_BSLASH_PLUStl] = anon_sym_BSLASH_PLUStl,
  [anon_sym_BSLASH_PLUStl_STAR] = anon_sym_BSLASH_PLUStl_STAR,
  [anon_sym_BSLASH_PLUSwj] = anon_sym_BSLASH_PLUSwj,
  [anon_sym_BSLASH_PLUSwj_STAR] = anon_sym_BSLASH_PLUSwj_STAR,
  [anon_sym_BSLASH_PLUSem] = anon_sym_BSLASH_PLUSem,
  [anon_sym_BSLASH_PLUSem_STAR] = anon_sym_BSLASH_PLUSem_STAR,
  [anon_sym_BSLASH_PLUSbd] = anon_sym_BSLASH_PLUSbd,
  [anon_sym_BSLASH_PLUSbd_STAR] = anon_sym_BSLASH_PLUSbd_STAR,
  [anon_sym_BSLASH_PLUSit] = anon_sym_BSLASH_PLUSit,
  [anon_sym_BSLASH_PLUSit_STAR] = anon_sym_BSLASH_PLUSit_STAR,
  [anon_sym_BSLASH_PLUSbdit] = anon_sym_BSLASH_PLUSbdit,
  [anon_sym_BSLASH_PLUSbdit_STAR] = anon_sym_BSLASH_PLUSbdit_STAR,
  [anon_sym_BSLASH_PLUSno] = anon_sym_BSLASH_PLUSno,
  [anon_sym_BSLASH_PLUSno_STAR] = anon_sym_BSLASH_PLUSno_STAR,
  [anon_sym_BSLASH_PLUSsc] = anon_sym_BSLASH_PLUSsc,
  [anon_sym_BSLASH_PLUSsc_STAR] = anon_sym_BSLASH_PLUSsc_STAR,
  [anon_sym_BSLASH_PLUSsup] = anon_sym_BSLASH_PLUSsup,
  [anon_sym_BSLASH_PLUSsup_STAR] = anon_sym_BSLASH_PLUSsup_STAR,
  [anon_sym_BSLASH_PLUSndx] = anon_sym_BSLASH_PLUSndx,
  [anon_sym_BSLASH_PLUSndx_STAR] = anon_sym_BSLASH_PLUSndx_STAR,
  [anon_sym_BSLASH_PLUSpro] = anon_sym_BSLASH_PLUSpro,
  [anon_sym_BSLASH_PLUSpro_STAR] = anon_sym_BSLASH_PLUSpro_STAR,
  [anon_sym_BSLASH_PLUSrb] = anon_sym_BSLASH_PLUSrb,
  [anon_sym_BSLASH_PLUSrb_STAR] = anon_sym_BSLASH_PLUSrb_STAR,
  [anon_sym_BSLASH_PLUSw] = anon_sym_BSLASH_PLUSw,
  [anon_sym_BSLASH_PLUSw_STAR] = anon_sym_BSLASH_PLUSw_STAR,
  [anon_sym_BSLASH_PLUSwg] = anon_sym_BSLASH_PLUSwg,
  [anon_sym_BSLASH_PLUSwg_STAR] = anon_sym_BSLASH_PLUSwg_STAR,
  [anon_sym_BSLASH_PLUSwh] = anon_sym_BSLASH_PLUSwh,
  [anon_sym_BSLASH_PLUSwh_STAR] = anon_sym_BSLASH_PLUSwh_STAR,
  [anon_sym_BSLASH_PLUSwa] = anon_sym_BSLASH_PLUSwa,
  [anon_sym_BSLASH_PLUSwa_STAR] = anon_sym_BSLASH_PLUSwa_STAR,
  [anon_sym_BSLASHfig] = anon_sym_BSLASHfig,
  [anon_sym_BSLASHfig_STAR] = anon_sym_BSLASHfig_STAR,
  [anon_sym_BSLASHjmp] = anon_sym_BSLASHjmp,
  [anon_sym_BSLASHjmp_STAR] = anon_sym_BSLASHjmp_STAR,
  [anon_sym_BSLASH_PLUSjmp] = anon_sym_BSLASH_PLUSjmp,
  [anon_sym_BSLASH_PLUSjmp_STAR] = anon_sym_BSLASH_PLUSjmp_STAR,
  [anon_sym_BSLASHpb] = anon_sym_BSLASHpb,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_milestoneTag_token1] = aux_sym_milestoneTag_token1,
  [anon_sym_BSLASH_STAR] = anon_sym_BSLASH_STAR,
  [sym_milestoneStartTag] = sym_milestoneStartTag,
  [sym_milestoneEndTag] = sym_milestoneEndTag,
  [sym_zSpaceTag] = sym_zSpaceTag,
  [sym__zSpaceClose] = sym__zSpaceClose,
  [anon_sym_BSLASHesb] = anon_sym_BSLASHesb,
  [anon_sym_BSLASHesbe] = anon_sym_BSLASHesbe,
  [sym_category] = sym_category,
  [anon_sym_BSLASHcat] = anon_sym_BSLASHcat,
  [anon_sym_BSLASHcat_STAR] = anon_sym_BSLASHcat_STAR,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym_customAttributeName] = sym_customAttributeName,
  [sym_attributeValue] = sym_attributeValue,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_key] = anon_sym_key,
  [anon_sym_lemma] = anon_sym_lemma,
  [anon_sym_strong] = anon_sym_strong,
  [anon_sym_srcloc] = anon_sym_srcloc,
  [anon_sym_gloss] = anon_sym_gloss,
  [anon_sym_link_DASHhref] = anon_sym_link_DASHhref,
  [anon_sym_link_DASHtitle] = anon_sym_link_DASHtitle,
  [anon_sym_link_DASHid] = anon_sym_link_DASHid,
  [anon_sym_href] = anon_sym_href,
  [anon_sym_title] = anon_sym_title,
  [anon_sym_id] = anon_sym_id,
  [anon_sym_x_DASH] = anon_sym_x_DASH,
  [aux_sym__linkAttributeUserDefinedName_token1] = aux_sym__linkAttributeUserDefinedName_token1,
  [anon_sym_alt] = anon_sym_alt,
  [anon_sym_src] = anon_sym_src,
  [anon_sym_size] = anon_sym_size,
  [anon_sym_loc] = anon_sym_loc,
  [anon_sym_copy] = anon_sym_copy,
  [anon_sym_ref] = anon_sym_ref,
  [anon_sym_sid] = anon_sym_sid,
  [anon_sym_eid] = anon_sym_eid,
  [anon_sym_who] = anon_sym_who,
  [sym_File] = sym_File,
  [sym__mandatoryHead] = sym__mandatoryHead,
  [sym_text] = sym_text,
  [sym__text] = sym__text,
  [sym_book] = sym_book,
  [sym_description] = sym_description,
  [sym_id] = sym_id,
  [sym__bookHeader] = sym__bookHeader,
  [sym_usfm] = sym_usfm,
  [sym_ide] = sym_ide,
  [sym_hBlock] = sym_hBlock,
  [sym_tocBlock] = sym_tocBlock,
  [sym_tocaBlock] = sym_tocaBlock,
  [sym_ref] = sym_ref,
  [sym_h] = sym_h,
  [sym_hTag] = sym_hTag,
  [sym_toc] = sym_toc,
  [sym_tocTag] = sym_tocTag,
  [sym_toca] = sym_toca,
  [sym_tocaTag] = sym_tocaTag,
  [sym__comments] = sym__comments,
  [sym_sts] = sym_sts,
  [sym_rem] = sym_rem,
  [sym_restore] = sym_restore,
  [sym_lit] = sym_lit,
  [aux_sym__introText] = aux_sym__introText,
  [sym_iqt] = sym_iqt,
  [sym_imtBlock] = sym_imtBlock,
  [sym_imt] = sym_imt,
  [sym_imtTag] = sym_imtTag,
  [sym_imteBlock] = sym_imteBlock,
  [sym_imte] = sym_imte,
  [sym_imteTag] = sym_imteTag,
  [sym__midIntroMarker] = sym__midIntroMarker,
  [sym_isBlock] = sym_isBlock,
  [sym_is] = sym_is,
  [sym_isTag] = sym_isTag,
  [sym_io] = sym_io,
  [sym_ioTag] = sym_ioTag,
  [sym_ior] = sym_ior,
  [sym_iot] = sym_iot,
  [sym_ip] = sym_ip,
  [sym_im] = sym_im,
  [sym_ipi] = sym_ipi,
  [sym_imi] = sym_imi,
  [sym_iliBlock] = sym_iliBlock,
  [sym_ili] = sym_ili,
  [sym_iliTag] = sym_iliTag,
  [sym_ipq] = sym_ipq,
  [sym_imq] = sym_imq,
  [sym_ipr] = sym_ipr,
  [sym_ib] = sym_ib,
  [sym_iqBlock] = sym_iqBlock,
  [sym_iq] = sym_iq,
  [sym_iqTag] = sym_iqTag,
  [sym_ie] = sym_ie,
  [sym_iex] = sym_iex,
  [sym_verseText] = sym_verseText,
  [sym_v] = sym_v,
  [sym__verseMeta] = sym__verseMeta,
  [sym_va] = sym_va,
  [sym_vp] = sym_vp,
  [sym_chapter] = sym_chapter,
  [sym_c] = sym_c,
  [sym__chapterContent] = sym__chapterContent,
  [sym__chapterMeta] = sym__chapterMeta,
  [sym_cl] = sym_cl,
  [sym_ca] = sym_ca,
  [sym_cp] = sym_cp,
  [sym_cd] = sym_cd,
  [sym_title] = sym_title,
  [sym_mtBlock] = sym_mtBlock,
  [sym_mt] = sym_mt,
  [sym_mtTag] = sym_mtTag,
  [sym_mteBlock] = sym_mteBlock,
  [sym_mte] = sym_mte,
  [sym_mteTag] = sym_mteTag,
  [sym_msBlock] = sym_msBlock,
  [sym_ms] = sym_ms,
  [sym_msTag] = sym_msTag,
  [sym_mr] = sym_mr,
  [sym_sBlock] = sym_sBlock,
  [sym_s] = sym_s,
  [sym_sTag] = sym_sTag,
  [sym_sr] = sym_sr,
  [sym_r] = sym_r,
  [sym_sp] = sym_sp,
  [sym_d] = sym_d,
  [sym_sdBlock] = sym_sdBlock,
  [sym_sd] = sym_sd,
  [sym_sdTag] = sym_sdTag,
  [sym_paragraph] = sym_paragraph,
  [sym__paragraphContent] = sym__paragraphContent,
  [sym_p] = sym_p,
  [sym_m] = sym_m,
  [sym_po] = sym_po,
  [sym_pr] = sym_pr,
  [sym_cls] = sym_cls,
  [sym_pmo] = sym_pmo,
  [sym_pm] = sym_pm,
  [sym_pmc] = sym_pmc,
  [sym_pmr] = sym_pmr,
  [sym_piBlock] = sym_piBlock,
  [sym_pi] = sym_pi,
  [sym_piTag] = sym_piTag,
  [sym_mi] = sym_mi,
  [sym_nb] = sym_nb,
  [sym_pc] = sym_pc,
  [sym_phBlock] = sym_phBlock,
  [sym_ph] = sym_ph,
  [sym_phTag] = sym_phTag,
  [sym_b] = sym_b,
  [sym_poetry] = sym_poetry,
  [sym__poetryContent] = sym__poetryContent,
  [sym_qBlock] = sym_qBlock,
  [sym_q] = sym_q,
  [sym_qTag] = sym_qTag,
  [sym_qr] = sym_qr,
  [sym_qc] = sym_qc,
  [sym_qs] = sym_qs,
  [sym_qa] = sym_qa,
  [sym_qac] = sym_qac,
  [sym_qmBlock] = sym_qmBlock,
  [sym_qm] = sym_qm,
  [sym_qmTag] = sym_qmTag,
  [sym_qd] = sym_qd,
  [sym_list] = sym_list,
  [sym_lh] = sym_lh,
  [sym_lf] = sym_lf,
  [sym__listMarker] = sym__listMarker,
  [sym_liBlock] = sym_liBlock,
  [sym_li] = sym_li,
  [sym_liTag] = sym_liTag,
  [sym_limBlock] = sym_limBlock,
  [sym_lim] = sym_lim,
  [sym_limTag] = sym_limTag,
  [sym_liv] = sym_liv,
  [sym_livTag] = sym_livTag,
  [sym_lik] = sym_lik,
  [sym_litl] = sym_litl,
  [sym__listTextContent] = sym__listTextContent,
  [sym_table] = sym_table,
  [sym__tableText] = sym__tableText,
  [sym_tr] = sym_tr,
  [sym_th] = sym_th,
  [sym_thr] = sym_thr,
  [sym_tc] = sym_tc,
  [sym_tcr] = sym_tcr,
  [sym_footnoteText] = sym_footnoteText,
  [sym_crossrefText] = sym_crossrefText,
  [sym_footnote] = sym_footnote,
  [sym_f] = sym_f,
  [sym_fe] = sym_fe,
  [sym_ef] = sym_ef,
  [sym_fr] = sym_fr,
  [sym_fq] = sym_fq,
  [sym_fqa] = sym_fqa,
  [sym_fk] = sym_fk,
  [sym_fl] = sym_fl,
  [sym_fw] = sym_fw,
  [sym_fp] = sym_fp,
  [sym_ft] = sym_ft,
  [sym_fdc] = sym_fdc,
  [sym_fv] = sym_fv,
  [sym_fm] = sym_fm,
  [sym__footnoteContents] = sym__footnoteContents,
  [sym_crossref] = sym_crossref,
  [sym_x] = sym_x,
  [sym_xo] = sym_xo,
  [sym_xk] = sym_xk,
  [sym_xq] = sym_xq,
  [sym_xt] = sym_xt,
  [sym_xtNested] = sym_xtNested,
  [sym_xt_standalone] = sym_xt_standalone,
  [sym_xta] = sym_xta,
  [sym_xop] = sym_xop,
  [sym_xot] = sym_xot,
  [sym_xnt] = sym_xnt,
  [sym_xdc] = sym_xdc,
  [sym__crossrefContents] = sym__crossrefContents,
  [sym_rq] = sym_rq,
  [sym__innerText] = sym__innerText,
  [sym_add] = sym_add,
  [sym_bk] = sym_bk,
  [sym_dc] = sym_dc,
  [sym_k] = sym_k,
  [sym_nd] = sym_nd,
  [sym_ord] = sym_ord,
  [sym_pn] = sym_pn,
  [sym_png] = sym_png,
  [sym_addpn] = sym_addpn,
  [sym_qt] = sym_qt,
  [sym_sig] = sym_sig,
  [sym_sls] = sym_sls,
  [sym_tl] = sym_tl,
  [sym_wj] = sym_wj,
  [sym_em] = sym_em,
  [sym_bd] = sym_bd,
  [sym_it] = sym_it,
  [sym_bdit] = sym_bdit,
  [sym_no] = sym_no,
  [sym_sc] = sym_sc,
  [sym_sup] = sym_sup,
  [sym_ndx] = sym_ndx,
  [sym_pro] = sym_pro,
  [sym_rb] = sym_rb,
  [sym_w] = sym_w,
  [sym_wg] = sym_wg,
  [sym_wh] = sym_wh,
  [sym_wa] = sym_wa,
  [sym__characterMarker] = sym__characterMarker,
  [sym_addNested] = sym_addNested,
  [sym_bkNested] = sym_bkNested,
  [sym_dcNested] = sym_dcNested,
  [sym_kNested] = sym_kNested,
  [sym_ndNested] = sym_ndNested,
  [sym_ordNested] = sym_ordNested,
  [sym_pnNested] = sym_pnNested,
  [sym_pngNested] = sym_pngNested,
  [sym_addpnNested] = sym_addpnNested,
  [sym_qtNested] = sym_qtNested,
  [sym_sigNested] = sym_sigNested,
  [sym_slsNested] = sym_slsNested,
  [sym_tlNested] = sym_tlNested,
  [sym_wjNested] = sym_wjNested,
  [sym_emNested] = sym_emNested,
  [sym_bdNested] = sym_bdNested,
  [sym_itNested] = sym_itNested,
  [sym_bditNested] = sym_bditNested,
  [sym_noNested] = sym_noNested,
  [sym_scNested] = sym_scNested,
  [sym_supNested] = sym_supNested,
  [sym_ndxNested] = sym_ndxNested,
  [sym_proNested] = sym_proNested,
  [sym_rbNested] = sym_rbNested,
  [sym_wNested] = sym_wNested,
  [sym_wgNested] = sym_wgNested,
  [sym_whNested] = sym_whNested,
  [sym_waNested] = sym_waNested,
  [sym__nestedCharacterMarker] = sym__nestedCharacterMarker,
  [sym_fig] = sym_fig,
  [sym_jmp] = sym_jmp,
  [sym_jmpNested] = sym_jmpNested,
  [sym_pb] = sym_pb,
  [sym_milestoneTag] = sym_milestoneTag,
  [sym__milestoneStandaloneMarker] = sym__milestoneStandaloneMarker,
  [sym__milestoneStart] = sym__milestoneStart,
  [sym__milestoneEnd] = sym__milestoneEnd,
  [sym_milestone] = sym_milestone,
  [sym__zNameSpaceRegular] = sym__zNameSpaceRegular,
  [sym__zNameSpaceClosed] = sym__zNameSpaceClosed,
  [sym__zNameSpaceStandaloneMarker] = sym__zNameSpaceStandaloneMarker,
  [sym_zNameSpace] = sym_zNameSpace,
  [sym_esb] = sym_esb,
  [sym__esbContents] = sym__esbContents,
  [sym_cat] = sym_cat,
  [sym_customAttribute] = sym_customAttribute,
  [sym_defaultAttribute] = sym_defaultAttribute,
  [sym__kAttributes] = sym__kAttributes,
  [sym_keyAttribute] = sym_keyAttribute,
  [sym__wAttributes] = sym__wAttributes,
  [sym__rbAttributes] = sym__rbAttributes,
  [sym__figAttributes] = sym__figAttributes,
  [sym__refAttributes] = sym__refAttributes,
  [sym_lemmaAttribute] = sym_lemmaAttribute,
  [sym_strongAttribute] = sym_strongAttribute,
  [sym_scrlocAttribute] = sym_scrlocAttribute,
  [sym_glossAttribute] = sym_glossAttribute,
  [sym__jmpAttribute] = sym__jmpAttribute,
  [sym_linkAttribute] = sym_linkAttribute,
  [sym__linkAttributeName] = sym__linkAttributeName,
  [sym__linkAttributeUserDefinedName] = sym__linkAttributeUserDefinedName,
  [sym_altAttribute] = sym_altAttribute,
  [sym_srcAttribute] = sym_srcAttribute,
  [sym_sizeAttribute] = sym_sizeAttribute,
  [sym_locAttribute] = sym_locAttribute,
  [sym_copyAttribute] = sym_copyAttribute,
  [sym_refAttribute] = sym_refAttribute,
  [sym__milestoneAttributes] = sym__milestoneAttributes,
  [sym_msAttribute] = sym_msAttribute,
  [sym_milestoneAttributeName] = sym_milestoneAttributeName,
  [sym__attributesInCrossref] = sym__attributesInCrossref,
  [aux_sym_File_repeat1] = aux_sym_File_repeat1,
  [aux_sym_File_repeat2] = aux_sym_File_repeat2,
  [aux_sym__mandatoryHead_repeat1] = aux_sym__mandatoryHead_repeat1,
  [aux_sym_hBlock_repeat1] = aux_sym_hBlock_repeat1,
  [aux_sym_tocBlock_repeat1] = aux_sym_tocBlock_repeat1,
  [aux_sym_tocaBlock_repeat1] = aux_sym_tocaBlock_repeat1,
  [aux_sym_rem_repeat1] = aux_sym_rem_repeat1,
  [aux_sym_imtBlock_repeat1] = aux_sym_imtBlock_repeat1,
  [aux_sym_imteBlock_repeat1] = aux_sym_imteBlock_repeat1,
  [aux_sym_isBlock_repeat1] = aux_sym_isBlock_repeat1,
  [aux_sym_iliBlock_repeat1] = aux_sym_iliBlock_repeat1,
  [aux_sym_iqBlock_repeat1] = aux_sym_iqBlock_repeat1,
  [aux_sym_verseText_repeat1] = aux_sym_verseText_repeat1,
  [aux_sym_v_repeat1] = aux_sym_v_repeat1,
  [aux_sym_chapter_repeat1] = aux_sym_chapter_repeat1,
  [aux_sym_c_repeat1] = aux_sym_c_repeat1,
  [aux_sym_cd_repeat1] = aux_sym_cd_repeat1,
  [aux_sym_mtBlock_repeat1] = aux_sym_mtBlock_repeat1,
  [aux_sym_mt_repeat1] = aux_sym_mt_repeat1,
  [aux_sym_mteBlock_repeat1] = aux_sym_mteBlock_repeat1,
  [aux_sym_msBlock_repeat1] = aux_sym_msBlock_repeat1,
  [aux_sym_ms_repeat1] = aux_sym_ms_repeat1,
  [aux_sym_sBlock_repeat1] = aux_sym_sBlock_repeat1,
  [aux_sym_sdBlock_repeat1] = aux_sym_sdBlock_repeat1,
  [aux_sym_p_repeat1] = aux_sym_p_repeat1,
  [aux_sym_piBlock_repeat1] = aux_sym_piBlock_repeat1,
  [aux_sym_phBlock_repeat1] = aux_sym_phBlock_repeat1,
  [aux_sym_poetry_repeat1] = aux_sym_poetry_repeat1,
  [aux_sym_qBlock_repeat1] = aux_sym_qBlock_repeat1,
  [aux_sym_q_repeat1] = aux_sym_q_repeat1,
  [aux_sym_qa_repeat1] = aux_sym_qa_repeat1,
  [aux_sym_qmBlock_repeat1] = aux_sym_qmBlock_repeat1,
  [aux_sym_list_repeat1] = aux_sym_list_repeat1,
  [aux_sym_liBlock_repeat1] = aux_sym_liBlock_repeat1,
  [aux_sym_li_repeat1] = aux_sym_li_repeat1,
  [aux_sym_limBlock_repeat1] = aux_sym_limBlock_repeat1,
  [aux_sym_liv_repeat1] = aux_sym_liv_repeat1,
  [aux_sym_table_repeat1] = aux_sym_table_repeat1,
  [aux_sym_tr_repeat1] = aux_sym_tr_repeat1,
  [aux_sym_footnoteText_repeat1] = aux_sym_footnoteText_repeat1,
  [aux_sym_crossrefText_repeat1] = aux_sym_crossrefText_repeat1,
  [aux_sym_f_repeat1] = aux_sym_f_repeat1,
  [aux_sym_x_repeat1] = aux_sym_x_repeat1,
  [aux_sym__innerText_repeat1] = aux_sym__innerText_repeat1,
  [aux_sym_esb_repeat1] = aux_sym_esb_repeat1,
  [aux_sym__wAttributes_repeat1] = aux_sym__wAttributes_repeat1,
  [aux_sym__rbAttributes_repeat1] = aux_sym__rbAttributes_repeat1,
  [aux_sym__figAttributes_repeat1] = aux_sym__figAttributes_repeat1,
  [aux_sym__jmpAttribute_repeat1] = aux_sym__jmpAttribute_repeat1,
  [aux_sym__milestoneAttributes_repeat1] = aux_sym__milestoneAttributes_repeat1,
  [aux_sym__attributesInCrossref_repeat1] = aux_sym__attributesInCrossref_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_bookcode] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__spaceOrLine] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_BSLASHid] = {
    .visible = true,
    .named = false,
  },
  [sym_numberedLevelMax3] = {
    .visible = true,
    .named = true,
  },
  [sym_numberedLevelMax4] = {
    .visible = true,
    .named = true,
  },
  [sym_numberedLevelMax5] = {
    .visible = true,
    .named = true,
  },
  [sym_versionNumber] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHusfm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHide] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHref_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHh] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SPACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtoc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtoca] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrem] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrestore] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiqt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiqt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHimt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHimte] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_imteTag_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASHis] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHio] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHior] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHior_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiot] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHip] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHim] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHipi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHimi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHili] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHipq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHimq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHipr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHib] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHie] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiex] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHv] = {
    .visible = true,
    .named = false,
  },
  [sym_verseNumber] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHva] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHva_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHvp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHvp_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHc] = {
    .visible = true,
    .named = false,
  },
  [sym_chapterNumber] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHcl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHca] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHca_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHmt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHmte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHms] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHmr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcls] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpmo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpmc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpmr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHmi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHph] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHphi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqs_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqac_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlh] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlf] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHli] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlim] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHliv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlik] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlik_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlitl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlitl_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtr] = {
    .visible = true,
    .named = false,
  },
  [sym_thTag] = {
    .visible = true,
    .named = true,
  },
  [sym_thrTag] = {
    .visible = true,
    .named = true,
  },
  [sym_tcTag] = {
    .visible = true,
    .named = true,
  },
  [sym_tcrTag] = {
    .visible = true,
    .named = true,
  },
  [sym_caller] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHf] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHf_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfe_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHef_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfr_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfq_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfqa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfqa_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfl_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfw_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfp_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHft] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHft_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfdc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfdc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfv_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfm_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHx] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHx_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxo_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxq_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSxt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSxt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxta] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxta_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxop_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxot] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxot_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxnt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxnt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxdc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxdc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrq_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHadd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHadd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHdc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHdc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHord] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHord_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpn_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpng] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpng_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaddpn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaddpn_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsig_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsls] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsls_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtl_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwj] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwj_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHem] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHem_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHit_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbdit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbdit_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHno] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHno_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsup] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsup_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHndx] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHndx_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpro_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrb_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHw_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwg] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwg_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwh] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwh_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwa_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSadd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSadd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSdc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSdc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSnd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSnd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSord] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSord_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpn_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpng] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpng_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSaddpn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSaddpn_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSqt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSqt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsig_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsls] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsls_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUStl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUStl_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwj] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwj_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSem] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSem_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSit_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbdit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbdit_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSno] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSno_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsup] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsup_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSndx] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSndx_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpro_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSrb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSrb_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSw_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwg] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwg_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwh] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwh_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwa_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfig_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHjmp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHjmp_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSjmp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSjmp_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_milestoneTag_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASH_STAR] = {
    .visible = true,
    .named = false,
  },
  [sym_milestoneStartTag] = {
    .visible = true,
    .named = true,
  },
  [sym_milestoneEndTag] = {
    .visible = true,
    .named = true,
  },
  [sym_zSpaceTag] = {
    .visible = true,
    .named = true,
  },
  [sym__zSpaceClose] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_BSLASHesb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHesbe] = {
    .visible = true,
    .named = false,
  },
  [sym_category] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHcat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcat_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_customAttributeName] = {
    .visible = true,
    .named = true,
  },
  [sym_attributeValue] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_key] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lemma] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_srcloc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gloss] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_link_DASHhref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_link_DASHtitle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_link_DASHid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_href] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_title] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_id] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_x_DASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__linkAttributeUserDefinedName_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_alt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_src] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_size] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_loc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_copy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_who] = {
    .visible = true,
    .named = false,
  },
  [sym_File] = {
    .visible = true,
    .named = true,
  },
  [sym__mandatoryHead] = {
    .visible = false,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym__text] = {
    .visible = false,
    .named = true,
  },
  [sym_book] = {
    .visible = true,
    .named = true,
  },
  [sym_description] = {
    .visible = true,
    .named = true,
  },
  [sym_id] = {
    .visible = true,
    .named = true,
  },
  [sym__bookHeader] = {
    .visible = false,
    .named = true,
  },
  [sym_usfm] = {
    .visible = true,
    .named = true,
  },
  [sym_ide] = {
    .visible = true,
    .named = true,
  },
  [sym_hBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_tocBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_tocaBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_h] = {
    .visible = true,
    .named = true,
  },
  [sym_hTag] = {
    .visible = true,
    .named = true,
  },
  [sym_toc] = {
    .visible = true,
    .named = true,
  },
  [sym_tocTag] = {
    .visible = true,
    .named = true,
  },
  [sym_toca] = {
    .visible = true,
    .named = true,
  },
  [sym_tocaTag] = {
    .visible = true,
    .named = true,
  },
  [sym__comments] = {
    .visible = false,
    .named = true,
  },
  [sym_sts] = {
    .visible = true,
    .named = true,
  },
  [sym_rem] = {
    .visible = true,
    .named = true,
  },
  [sym_restore] = {
    .visible = true,
    .named = true,
  },
  [sym_lit] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__introText] = {
    .visible = false,
    .named = false,
  },
  [sym_iqt] = {
    .visible = true,
    .named = true,
  },
  [sym_imtBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_imt] = {
    .visible = true,
    .named = true,
  },
  [sym_imtTag] = {
    .visible = true,
    .named = true,
  },
  [sym_imteBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_imte] = {
    .visible = true,
    .named = true,
  },
  [sym_imteTag] = {
    .visible = true,
    .named = true,
  },
  [sym__midIntroMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_isBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_is] = {
    .visible = true,
    .named = true,
  },
  [sym_isTag] = {
    .visible = true,
    .named = true,
  },
  [sym_io] = {
    .visible = true,
    .named = true,
  },
  [sym_ioTag] = {
    .visible = true,
    .named = true,
  },
  [sym_ior] = {
    .visible = true,
    .named = true,
  },
  [sym_iot] = {
    .visible = true,
    .named = true,
  },
  [sym_ip] = {
    .visible = true,
    .named = true,
  },
  [sym_im] = {
    .visible = true,
    .named = true,
  },
  [sym_ipi] = {
    .visible = true,
    .named = true,
  },
  [sym_imi] = {
    .visible = true,
    .named = true,
  },
  [sym_iliBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_ili] = {
    .visible = true,
    .named = true,
  },
  [sym_iliTag] = {
    .visible = true,
    .named = true,
  },
  [sym_ipq] = {
    .visible = true,
    .named = true,
  },
  [sym_imq] = {
    .visible = true,
    .named = true,
  },
  [sym_ipr] = {
    .visible = true,
    .named = true,
  },
  [sym_ib] = {
    .visible = true,
    .named = true,
  },
  [sym_iqBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_iq] = {
    .visible = true,
    .named = true,
  },
  [sym_iqTag] = {
    .visible = true,
    .named = true,
  },
  [sym_ie] = {
    .visible = true,
    .named = true,
  },
  [sym_iex] = {
    .visible = true,
    .named = true,
  },
  [sym_verseText] = {
    .visible = true,
    .named = true,
  },
  [sym_v] = {
    .visible = true,
    .named = true,
  },
  [sym__verseMeta] = {
    .visible = false,
    .named = true,
  },
  [sym_va] = {
    .visible = true,
    .named = true,
  },
  [sym_vp] = {
    .visible = true,
    .named = true,
  },
  [sym_chapter] = {
    .visible = true,
    .named = true,
  },
  [sym_c] = {
    .visible = true,
    .named = true,
  },
  [sym__chapterContent] = {
    .visible = false,
    .named = true,
  },
  [sym__chapterMeta] = {
    .visible = false,
    .named = true,
  },
  [sym_cl] = {
    .visible = true,
    .named = true,
  },
  [sym_ca] = {
    .visible = true,
    .named = true,
  },
  [sym_cp] = {
    .visible = true,
    .named = true,
  },
  [sym_cd] = {
    .visible = true,
    .named = true,
  },
  [sym_title] = {
    .visible = true,
    .named = true,
  },
  [sym_mtBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_mt] = {
    .visible = true,
    .named = true,
  },
  [sym_mtTag] = {
    .visible = true,
    .named = true,
  },
  [sym_mteBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_mte] = {
    .visible = true,
    .named = true,
  },
  [sym_mteTag] = {
    .visible = true,
    .named = true,
  },
  [sym_msBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_ms] = {
    .visible = true,
    .named = true,
  },
  [sym_msTag] = {
    .visible = true,
    .named = true,
  },
  [sym_mr] = {
    .visible = true,
    .named = true,
  },
  [sym_sBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_s] = {
    .visible = true,
    .named = true,
  },
  [sym_sTag] = {
    .visible = true,
    .named = true,
  },
  [sym_sr] = {
    .visible = true,
    .named = true,
  },
  [sym_r] = {
    .visible = true,
    .named = true,
  },
  [sym_sp] = {
    .visible = true,
    .named = true,
  },
  [sym_d] = {
    .visible = true,
    .named = true,
  },
  [sym_sdBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_sd] = {
    .visible = true,
    .named = true,
  },
  [sym_sdTag] = {
    .visible = true,
    .named = true,
  },
  [sym_paragraph] = {
    .visible = true,
    .named = true,
  },
  [sym__paragraphContent] = {
    .visible = false,
    .named = true,
  },
  [sym_p] = {
    .visible = true,
    .named = true,
  },
  [sym_m] = {
    .visible = true,
    .named = true,
  },
  [sym_po] = {
    .visible = true,
    .named = true,
  },
  [sym_pr] = {
    .visible = true,
    .named = true,
  },
  [sym_cls] = {
    .visible = true,
    .named = true,
  },
  [sym_pmo] = {
    .visible = true,
    .named = true,
  },
  [sym_pm] = {
    .visible = true,
    .named = true,
  },
  [sym_pmc] = {
    .visible = true,
    .named = true,
  },
  [sym_pmr] = {
    .visible = true,
    .named = true,
  },
  [sym_piBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_pi] = {
    .visible = true,
    .named = true,
  },
  [sym_piTag] = {
    .visible = true,
    .named = true,
  },
  [sym_mi] = {
    .visible = true,
    .named = true,
  },
  [sym_nb] = {
    .visible = true,
    .named = true,
  },
  [sym_pc] = {
    .visible = true,
    .named = true,
  },
  [sym_phBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_ph] = {
    .visible = true,
    .named = true,
  },
  [sym_phTag] = {
    .visible = true,
    .named = true,
  },
  [sym_b] = {
    .visible = true,
    .named = true,
  },
  [sym_poetry] = {
    .visible = true,
    .named = true,
  },
  [sym__poetryContent] = {
    .visible = false,
    .named = true,
  },
  [sym_qBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_q] = {
    .visible = true,
    .named = true,
  },
  [sym_qTag] = {
    .visible = true,
    .named = true,
  },
  [sym_qr] = {
    .visible = true,
    .named = true,
  },
  [sym_qc] = {
    .visible = true,
    .named = true,
  },
  [sym_qs] = {
    .visible = true,
    .named = true,
  },
  [sym_qa] = {
    .visible = true,
    .named = true,
  },
  [sym_qac] = {
    .visible = true,
    .named = true,
  },
  [sym_qmBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_qm] = {
    .visible = true,
    .named = true,
  },
  [sym_qmTag] = {
    .visible = true,
    .named = true,
  },
  [sym_qd] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_lh] = {
    .visible = true,
    .named = true,
  },
  [sym_lf] = {
    .visible = true,
    .named = true,
  },
  [sym__listMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_liBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_li] = {
    .visible = true,
    .named = true,
  },
  [sym_liTag] = {
    .visible = true,
    .named = true,
  },
  [sym_limBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_lim] = {
    .visible = true,
    .named = true,
  },
  [sym_limTag] = {
    .visible = true,
    .named = true,
  },
  [sym_liv] = {
    .visible = true,
    .named = true,
  },
  [sym_livTag] = {
    .visible = true,
    .named = true,
  },
  [sym_lik] = {
    .visible = true,
    .named = true,
  },
  [sym_litl] = {
    .visible = true,
    .named = true,
  },
  [sym__listTextContent] = {
    .visible = false,
    .named = true,
  },
  [sym_table] = {
    .visible = true,
    .named = true,
  },
  [sym__tableText] = {
    .visible = false,
    .named = true,
  },
  [sym_tr] = {
    .visible = true,
    .named = true,
  },
  [sym_th] = {
    .visible = true,
    .named = true,
  },
  [sym_thr] = {
    .visible = true,
    .named = true,
  },
  [sym_tc] = {
    .visible = true,
    .named = true,
  },
  [sym_tcr] = {
    .visible = true,
    .named = true,
  },
  [sym_footnoteText] = {
    .visible = true,
    .named = true,
  },
  [sym_crossrefText] = {
    .visible = true,
    .named = true,
  },
  [sym_footnote] = {
    .visible = true,
    .named = true,
  },
  [sym_f] = {
    .visible = true,
    .named = true,
  },
  [sym_fe] = {
    .visible = true,
    .named = true,
  },
  [sym_ef] = {
    .visible = true,
    .named = true,
  },
  [sym_fr] = {
    .visible = true,
    .named = true,
  },
  [sym_fq] = {
    .visible = true,
    .named = true,
  },
  [sym_fqa] = {
    .visible = true,
    .named = true,
  },
  [sym_fk] = {
    .visible = true,
    .named = true,
  },
  [sym_fl] = {
    .visible = true,
    .named = true,
  },
  [sym_fw] = {
    .visible = true,
    .named = true,
  },
  [sym_fp] = {
    .visible = true,
    .named = true,
  },
  [sym_ft] = {
    .visible = true,
    .named = true,
  },
  [sym_fdc] = {
    .visible = true,
    .named = true,
  },
  [sym_fv] = {
    .visible = true,
    .named = true,
  },
  [sym_fm] = {
    .visible = true,
    .named = true,
  },
  [sym__footnoteContents] = {
    .visible = false,
    .named = true,
  },
  [sym_crossref] = {
    .visible = true,
    .named = true,
  },
  [sym_x] = {
    .visible = true,
    .named = true,
  },
  [sym_xo] = {
    .visible = true,
    .named = true,
  },
  [sym_xk] = {
    .visible = true,
    .named = true,
  },
  [sym_xq] = {
    .visible = true,
    .named = true,
  },
  [sym_xt] = {
    .visible = true,
    .named = true,
  },
  [sym_xtNested] = {
    .visible = true,
    .named = true,
  },
  [sym_xt_standalone] = {
    .visible = true,
    .named = true,
  },
  [sym_xta] = {
    .visible = true,
    .named = true,
  },
  [sym_xop] = {
    .visible = true,
    .named = true,
  },
  [sym_xot] = {
    .visible = true,
    .named = true,
  },
  [sym_xnt] = {
    .visible = true,
    .named = true,
  },
  [sym_xdc] = {
    .visible = true,
    .named = true,
  },
  [sym__crossrefContents] = {
    .visible = false,
    .named = true,
  },
  [sym_rq] = {
    .visible = true,
    .named = true,
  },
  [sym__innerText] = {
    .visible = false,
    .named = true,
  },
  [sym_add] = {
    .visible = true,
    .named = true,
  },
  [sym_bk] = {
    .visible = true,
    .named = true,
  },
  [sym_dc] = {
    .visible = true,
    .named = true,
  },
  [sym_k] = {
    .visible = true,
    .named = true,
  },
  [sym_nd] = {
    .visible = true,
    .named = true,
  },
  [sym_ord] = {
    .visible = true,
    .named = true,
  },
  [sym_pn] = {
    .visible = true,
    .named = true,
  },
  [sym_png] = {
    .visible = true,
    .named = true,
  },
  [sym_addpn] = {
    .visible = true,
    .named = true,
  },
  [sym_qt] = {
    .visible = true,
    .named = true,
  },
  [sym_sig] = {
    .visible = true,
    .named = true,
  },
  [sym_sls] = {
    .visible = true,
    .named = true,
  },
  [sym_tl] = {
    .visible = true,
    .named = true,
  },
  [sym_wj] = {
    .visible = true,
    .named = true,
  },
  [sym_em] = {
    .visible = true,
    .named = true,
  },
  [sym_bd] = {
    .visible = true,
    .named = true,
  },
  [sym_it] = {
    .visible = true,
    .named = true,
  },
  [sym_bdit] = {
    .visible = true,
    .named = true,
  },
  [sym_no] = {
    .visible = true,
    .named = true,
  },
  [sym_sc] = {
    .visible = true,
    .named = true,
  },
  [sym_sup] = {
    .visible = true,
    .named = true,
  },
  [sym_ndx] = {
    .visible = true,
    .named = true,
  },
  [sym_pro] = {
    .visible = true,
    .named = true,
  },
  [sym_rb] = {
    .visible = true,
    .named = true,
  },
  [sym_w] = {
    .visible = true,
    .named = true,
  },
  [sym_wg] = {
    .visible = true,
    .named = true,
  },
  [sym_wh] = {
    .visible = true,
    .named = true,
  },
  [sym_wa] = {
    .visible = true,
    .named = true,
  },
  [sym__characterMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_addNested] = {
    .visible = true,
    .named = true,
  },
  [sym_bkNested] = {
    .visible = true,
    .named = true,
  },
  [sym_dcNested] = {
    .visible = true,
    .named = true,
  },
  [sym_kNested] = {
    .visible = true,
    .named = true,
  },
  [sym_ndNested] = {
    .visible = true,
    .named = true,
  },
  [sym_ordNested] = {
    .visible = true,
    .named = true,
  },
  [sym_pnNested] = {
    .visible = true,
    .named = true,
  },
  [sym_pngNested] = {
    .visible = true,
    .named = true,
  },
  [sym_addpnNested] = {
    .visible = true,
    .named = true,
  },
  [sym_qtNested] = {
    .visible = true,
    .named = true,
  },
  [sym_sigNested] = {
    .visible = true,
    .named = true,
  },
  [sym_slsNested] = {
    .visible = true,
    .named = true,
  },
  [sym_tlNested] = {
    .visible = true,
    .named = true,
  },
  [sym_wjNested] = {
    .visible = true,
    .named = true,
  },
  [sym_emNested] = {
    .visible = true,
    .named = true,
  },
  [sym_bdNested] = {
    .visible = true,
    .named = true,
  },
  [sym_itNested] = {
    .visible = true,
    .named = true,
  },
  [sym_bditNested] = {
    .visible = true,
    .named = true,
  },
  [sym_noNested] = {
    .visible = true,
    .named = true,
  },
  [sym_scNested] = {
    .visible = true,
    .named = true,
  },
  [sym_supNested] = {
    .visible = true,
    .named = true,
  },
  [sym_ndxNested] = {
    .visible = true,
    .named = true,
  },
  [sym_proNested] = {
    .visible = true,
    .named = true,
  },
  [sym_rbNested] = {
    .visible = true,
    .named = true,
  },
  [sym_wNested] = {
    .visible = true,
    .named = true,
  },
  [sym_wgNested] = {
    .visible = true,
    .named = true,
  },
  [sym_whNested] = {
    .visible = true,
    .named = true,
  },
  [sym_waNested] = {
    .visible = true,
    .named = true,
  },
  [sym__nestedCharacterMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_fig] = {
    .visible = true,
    .named = true,
  },
  [sym_jmp] = {
    .visible = true,
    .named = true,
  },
  [sym_jmpNested] = {
    .visible = true,
    .named = true,
  },
  [sym_pb] = {
    .visible = true,
    .named = true,
  },
  [sym_milestoneTag] = {
    .visible = true,
    .named = true,
  },
  [sym__milestoneStandaloneMarker] = {
    .visible = false,
    .named = true,
  },
  [sym__milestoneStart] = {
    .visible = false,
    .named = true,
  },
  [sym__milestoneEnd] = {
    .visible = false,
    .named = true,
  },
  [sym_milestone] = {
    .visible = true,
    .named = true,
  },
  [sym__zNameSpaceRegular] = {
    .visible = false,
    .named = true,
  },
  [sym__zNameSpaceClosed] = {
    .visible = false,
    .named = true,
  },
  [sym__zNameSpaceStandaloneMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_zNameSpace] = {
    .visible = true,
    .named = true,
  },
  [sym_esb] = {
    .visible = true,
    .named = true,
  },
  [sym__esbContents] = {
    .visible = false,
    .named = true,
  },
  [sym_cat] = {
    .visible = true,
    .named = true,
  },
  [sym_customAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_defaultAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__kAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym_keyAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__wAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym__rbAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym__figAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym__refAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym_lemmaAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_strongAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_scrlocAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_glossAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jmpAttribute] = {
    .visible = false,
    .named = true,
  },
  [sym_linkAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__linkAttributeName] = {
    .visible = false,
    .named = true,
  },
  [sym__linkAttributeUserDefinedName] = {
    .visible = false,
    .named = true,
  },
  [sym_altAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_srcAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_locAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_copyAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_refAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__milestoneAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym_msAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_milestoneAttributeName] = {
    .visible = true,
    .named = true,
  },
  [sym__attributesInCrossref] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_File_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_File_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__mandatoryHead_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_hBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tocBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tocaBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_rem_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_imtBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_imteBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_isBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_iliBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_iqBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_verseText_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_v_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_chapter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_c_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cd_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_mtBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_mt_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_mteBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_msBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ms_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sdBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_p_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_piBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_phBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_poetry_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_qBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_q_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_qa_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_qmBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_liBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_li_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_limBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_liv_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tr_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_footnoteText_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_crossrefText_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_f_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_x_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__innerText_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_esb_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__wAttributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__rbAttributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__figAttributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jmpAttribute_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__milestoneAttributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attributesInCrossref_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_label = 1,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_label] = "label",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_label, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 59,
  [75] = 60,
  [76] = 56,
  [77] = 58,
  [78] = 57,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 65,
  [113] = 63,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 111,
  [118] = 118,
  [119] = 115,
  [120] = 114,
  [121] = 118,
  [122] = 122,
  [123] = 114,
  [124] = 115,
  [125] = 125,
  [126] = 67,
  [127] = 118,
  [128] = 69,
  [129] = 114,
  [130] = 111,
  [131] = 115,
  [132] = 122,
  [133] = 116,
  [134] = 111,
  [135] = 111,
  [136] = 66,
  [137] = 122,
  [138] = 118,
  [139] = 114,
  [140] = 115,
  [141] = 116,
  [142] = 111,
  [143] = 122,
  [144] = 118,
  [145] = 114,
  [146] = 116,
  [147] = 68,
  [148] = 115,
  [149] = 122,
  [150] = 116,
  [151] = 116,
  [152] = 115,
  [153] = 118,
  [154] = 70,
  [155] = 116,
  [156] = 111,
  [157] = 115,
  [158] = 118,
  [159] = 122,
  [160] = 114,
  [161] = 118,
  [162] = 118,
  [163] = 122,
  [164] = 111,
  [165] = 116,
  [166] = 118,
  [167] = 115,
  [168] = 168,
  [169] = 169,
  [170] = 114,
  [171] = 118,
  [172] = 118,
  [173] = 114,
  [174] = 115,
  [175] = 116,
  [176] = 72,
  [177] = 114,
  [178] = 115,
  [179] = 122,
  [180] = 111,
  [181] = 122,
  [182] = 111,
  [183] = 71,
  [184] = 116,
  [185] = 111,
  [186] = 122,
  [187] = 118,
  [188] = 114,
  [189] = 115,
  [190] = 116,
  [191] = 116,
  [192] = 115,
  [193] = 111,
  [194] = 122,
  [195] = 73,
  [196] = 64,
  [197] = 111,
  [198] = 114,
  [199] = 116,
  [200] = 200,
  [201] = 201,
  [202] = 122,
  [203] = 122,
  [204] = 114,
  [205] = 205,
  [206] = 206,
  [207] = 91,
  [208] = 96,
  [209] = 86,
  [210] = 85,
  [211] = 108,
  [212] = 107,
  [213] = 98,
  [214] = 106,
  [215] = 80,
  [216] = 84,
  [217] = 99,
  [218] = 105,
  [219] = 81,
  [220] = 104,
  [221] = 103,
  [222] = 87,
  [223] = 88,
  [224] = 89,
  [225] = 90,
  [226] = 109,
  [227] = 97,
  [228] = 102,
  [229] = 95,
  [230] = 110,
  [231] = 83,
  [232] = 94,
  [233] = 93,
  [234] = 92,
  [235] = 100,
  [236] = 82,
  [237] = 101,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 282,
  [284] = 284,
  [285] = 281,
  [286] = 282,
  [287] = 281,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 290,
  [292] = 292,
  [293] = 290,
  [294] = 290,
  [295] = 295,
  [296] = 290,
  [297] = 297,
  [298] = 290,
  [299] = 290,
  [300] = 290,
  [301] = 290,
  [302] = 290,
  [303] = 290,
  [304] = 290,
  [305] = 290,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 310,
  [315] = 311,
  [316] = 297,
  [317] = 292,
  [318] = 312,
  [319] = 313,
  [320] = 308,
  [321] = 321,
  [322] = 307,
  [323] = 311,
  [324] = 310,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 309,
  [329] = 311,
  [330] = 312,
  [331] = 310,
  [332] = 313,
  [333] = 310,
  [334] = 311,
  [335] = 69,
  [336] = 313,
  [337] = 312,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 339,
  [343] = 341,
  [344] = 339,
  [345] = 341,
  [346] = 327,
  [347] = 325,
  [348] = 310,
  [349] = 349,
  [350] = 350,
  [351] = 109,
  [352] = 311,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 325,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 259,
  [363] = 8,
  [364] = 6,
  [365] = 365,
  [366] = 356,
  [367] = 7,
  [368] = 270,
  [369] = 246,
  [370] = 5,
  [371] = 268,
  [372] = 248,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 327,
  [380] = 380,
  [381] = 4,
  [382] = 3,
  [383] = 326,
  [384] = 384,
  [385] = 245,
  [386] = 244,
  [387] = 242,
  [388] = 2,
  [389] = 254,
  [390] = 390,
  [391] = 240,
  [392] = 251,
  [393] = 243,
  [394] = 253,
  [395] = 263,
  [396] = 241,
  [397] = 397,
  [398] = 249,
  [399] = 247,
  [400] = 250,
  [401] = 252,
  [402] = 238,
  [403] = 271,
  [404] = 264,
  [405] = 257,
  [406] = 256,
  [407] = 267,
  [408] = 269,
  [409] = 266,
  [410] = 265,
  [411] = 239,
  [412] = 262,
  [413] = 261,
  [414] = 260,
  [415] = 2,
  [416] = 258,
  [417] = 255,
  [418] = 18,
  [419] = 20,
  [420] = 14,
  [421] = 313,
  [422] = 312,
  [423] = 17,
  [424] = 359,
  [425] = 361,
  [426] = 19,
  [427] = 360,
  [428] = 10,
  [429] = 9,
  [430] = 357,
  [431] = 15,
  [432] = 21,
  [433] = 11,
  [434] = 13,
  [435] = 16,
  [436] = 12,
  [437] = 437,
  [438] = 2,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 61,
  [445] = 62,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 356,
  [474] = 246,
  [475] = 5,
  [476] = 271,
  [477] = 469,
  [478] = 2,
  [479] = 470,
  [480] = 238,
  [481] = 252,
  [482] = 471,
  [483] = 447,
  [484] = 247,
  [485] = 239,
  [486] = 17,
  [487] = 457,
  [488] = 458,
  [489] = 459,
  [490] = 460,
  [491] = 62,
  [492] = 245,
  [493] = 464,
  [494] = 465,
  [495] = 359,
  [496] = 467,
  [497] = 497,
  [498] = 498,
  [499] = 267,
  [500] = 472,
  [501] = 259,
  [502] = 262,
  [503] = 61,
  [504] = 256,
  [505] = 270,
  [506] = 268,
  [507] = 257,
  [508] = 261,
  [509] = 360,
  [510] = 248,
  [511] = 258,
  [512] = 466,
  [513] = 357,
  [514] = 462,
  [515] = 463,
  [516] = 461,
  [517] = 269,
  [518] = 244,
  [519] = 12,
  [520] = 242,
  [521] = 260,
  [522] = 361,
  [523] = 523,
  [524] = 255,
  [525] = 240,
  [526] = 4,
  [527] = 456,
  [528] = 251,
  [529] = 455,
  [530] = 243,
  [531] = 253,
  [532] = 263,
  [533] = 533,
  [534] = 15,
  [535] = 254,
  [536] = 250,
  [537] = 14,
  [538] = 249,
  [539] = 266,
  [540] = 3,
  [541] = 241,
  [542] = 265,
  [543] = 543,
  [544] = 18,
  [545] = 21,
  [546] = 20,
  [547] = 8,
  [548] = 16,
  [549] = 19,
  [550] = 10,
  [551] = 9,
  [552] = 6,
  [553] = 11,
  [554] = 7,
  [555] = 555,
  [556] = 468,
  [557] = 13,
  [558] = 264,
  [559] = 559,
  [560] = 560,
  [561] = 2,
  [562] = 356,
  [563] = 563,
  [564] = 361,
  [565] = 357,
  [566] = 359,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 360,
  [571] = 313,
  [572] = 2,
  [573] = 573,
  [574] = 312,
  [575] = 465,
  [576] = 463,
  [577] = 453,
  [578] = 455,
  [579] = 472,
  [580] = 450,
  [581] = 451,
  [582] = 454,
  [583] = 467,
  [584] = 461,
  [585] = 462,
  [586] = 448,
  [587] = 464,
  [588] = 456,
  [589] = 460,
  [590] = 466,
  [591] = 459,
  [592] = 468,
  [593] = 469,
  [594] = 470,
  [595] = 471,
  [596] = 458,
  [597] = 457,
  [598] = 447,
  [599] = 446,
  [600] = 449,
  [601] = 452,
  [602] = 256,
  [603] = 263,
  [604] = 255,
  [605] = 259,
  [606] = 270,
  [607] = 260,
  [608] = 261,
  [609] = 262,
  [610] = 239,
  [611] = 265,
  [612] = 266,
  [613] = 254,
  [614] = 250,
  [615] = 269,
  [616] = 267,
  [617] = 3,
  [618] = 249,
  [619] = 241,
  [620] = 257,
  [621] = 258,
  [622] = 253,
  [623] = 243,
  [624] = 264,
  [625] = 2,
  [626] = 271,
  [627] = 238,
  [628] = 252,
  [629] = 247,
  [630] = 630,
  [631] = 631,
  [632] = 251,
  [633] = 240,
  [634] = 242,
  [635] = 244,
  [636] = 245,
  [637] = 248,
  [638] = 268,
  [639] = 5,
  [640] = 246,
  [641] = 4,
  [642] = 258,
  [643] = 465,
  [644] = 456,
  [645] = 455,
  [646] = 646,
  [647] = 5,
  [648] = 648,
  [649] = 18,
  [650] = 650,
  [651] = 21,
  [652] = 267,
  [653] = 61,
  [654] = 4,
  [655] = 20,
  [656] = 8,
  [657] = 17,
  [658] = 247,
  [659] = 252,
  [660] = 238,
  [661] = 543,
  [662] = 441,
  [663] = 15,
  [664] = 14,
  [665] = 62,
  [666] = 16,
  [667] = 271,
  [668] = 3,
  [669] = 555,
  [670] = 19,
  [671] = 264,
  [672] = 257,
  [673] = 256,
  [674] = 10,
  [675] = 9,
  [676] = 269,
  [677] = 461,
  [678] = 266,
  [679] = 497,
  [680] = 498,
  [681] = 265,
  [682] = 462,
  [683] = 239,
  [684] = 262,
  [685] = 261,
  [686] = 260,
  [687] = 259,
  [688] = 255,
  [689] = 6,
  [690] = 2,
  [691] = 466,
  [692] = 11,
  [693] = 468,
  [694] = 469,
  [695] = 254,
  [696] = 250,
  [697] = 249,
  [698] = 439,
  [699] = 470,
  [700] = 241,
  [701] = 263,
  [702] = 253,
  [703] = 471,
  [704] = 243,
  [705] = 7,
  [706] = 251,
  [707] = 240,
  [708] = 242,
  [709] = 447,
  [710] = 12,
  [711] = 457,
  [712] = 458,
  [713] = 459,
  [714] = 523,
  [715] = 460,
  [716] = 533,
  [717] = 463,
  [718] = 464,
  [719] = 467,
  [720] = 472,
  [721] = 721,
  [722] = 560,
  [723] = 270,
  [724] = 559,
  [725] = 246,
  [726] = 268,
  [727] = 13,
  [728] = 248,
  [729] = 245,
  [730] = 244,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 311,
  [737] = 310,
  [738] = 568,
  [739] = 567,
  [740] = 563,
  [741] = 569,
  [742] = 311,
  [743] = 312,
  [744] = 313,
  [745] = 310,
  [746] = 746,
  [747] = 747,
  [748] = 313,
  [749] = 747,
  [750] = 746,
  [751] = 751,
  [752] = 752,
  [753] = 751,
  [754] = 312,
  [755] = 752,
  [756] = 249,
  [757] = 255,
  [758] = 259,
  [759] = 260,
  [760] = 261,
  [761] = 262,
  [762] = 239,
  [763] = 265,
  [764] = 266,
  [765] = 269,
  [766] = 267,
  [767] = 256,
  [768] = 257,
  [769] = 264,
  [770] = 271,
  [771] = 238,
  [772] = 252,
  [773] = 247,
  [774] = 774,
  [775] = 630,
  [776] = 776,
  [777] = 4,
  [778] = 5,
  [779] = 263,
  [780] = 2,
  [781] = 258,
  [782] = 254,
  [783] = 250,
  [784] = 270,
  [785] = 631,
  [786] = 246,
  [787] = 306,
  [788] = 253,
  [789] = 268,
  [790] = 248,
  [791] = 245,
  [792] = 244,
  [793] = 241,
  [794] = 295,
  [795] = 242,
  [796] = 796,
  [797] = 243,
  [798] = 251,
  [799] = 3,
  [800] = 240,
  [801] = 801,
  [802] = 650,
  [803] = 295,
  [804] = 306,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 808,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 809,
  [820] = 815,
  [821] = 807,
  [822] = 808,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 805,
  [831] = 831,
  [832] = 809,
  [833] = 833,
  [834] = 810,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 811,
  [840] = 812,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 814,
  [845] = 815,
  [846] = 816,
  [847] = 843,
  [848] = 824,
  [849] = 817,
  [850] = 843,
  [851] = 825,
  [852] = 826,
  [853] = 843,
  [854] = 827,
  [855] = 828,
  [856] = 843,
  [857] = 843,
  [858] = 829,
  [859] = 805,
  [860] = 831,
  [861] = 843,
  [862] = 833,
  [863] = 835,
  [864] = 843,
  [865] = 836,
  [866] = 837,
  [867] = 843,
  [868] = 841,
  [869] = 838,
  [870] = 807,
  [871] = 823,
  [872] = 837,
  [873] = 836,
  [874] = 835,
  [875] = 833,
  [876] = 831,
  [877] = 805,
  [878] = 824,
  [879] = 825,
  [880] = 829,
  [881] = 828,
  [882] = 827,
  [883] = 826,
  [884] = 827,
  [885] = 826,
  [886] = 825,
  [887] = 838,
  [888] = 824,
  [889] = 823,
  [890] = 818,
  [891] = 817,
  [892] = 828,
  [893] = 841,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 807,
  [898] = 808,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 809,
  [911] = 911,
  [912] = 810,
  [913] = 806,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 823,
  [920] = 920,
  [921] = 811,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 829,
  [928] = 905,
  [929] = 805,
  [930] = 831,
  [931] = 833,
  [932] = 835,
  [933] = 843,
  [934] = 894,
  [935] = 812,
  [936] = 895,
  [937] = 896,
  [938] = 899,
  [939] = 816,
  [940] = 900,
  [941] = 901,
  [942] = 902,
  [943] = 814,
  [944] = 903,
  [945] = 904,
  [946] = 810,
  [947] = 906,
  [948] = 842,
  [949] = 907,
  [950] = 812,
  [951] = 811,
  [952] = 810,
  [953] = 809,
  [954] = 908,
  [955] = 808,
  [956] = 909,
  [957] = 911,
  [958] = 807,
  [959] = 914,
  [960] = 915,
  [961] = 823,
  [962] = 916,
  [963] = 917,
  [964] = 824,
  [965] = 918,
  [966] = 836,
  [967] = 825,
  [968] = 837,
  [969] = 838,
  [970] = 841,
  [971] = 826,
  [972] = 827,
  [973] = 828,
  [974] = 974,
  [975] = 829,
  [976] = 805,
  [977] = 920,
  [978] = 831,
  [979] = 833,
  [980] = 814,
  [981] = 974,
  [982] = 835,
  [983] = 836,
  [984] = 837,
  [985] = 923,
  [986] = 815,
  [987] = 816,
  [988] = 838,
  [989] = 924,
  [990] = 842,
  [991] = 925,
  [992] = 926,
  [993] = 817,
  [994] = 811,
  [995] = 818,
  [996] = 818,
  [997] = 817,
  [998] = 841,
  [999] = 816,
  [1000] = 818,
  [1001] = 817,
  [1002] = 816,
  [1003] = 815,
  [1004] = 814,
  [1005] = 815,
  [1006] = 814,
  [1007] = 842,
  [1008] = 812,
  [1009] = 841,
  [1010] = 811,
  [1011] = 810,
  [1012] = 809,
  [1013] = 812,
  [1014] = 842,
  [1015] = 812,
  [1016] = 811,
  [1017] = 810,
  [1018] = 808,
  [1019] = 807,
  [1020] = 842,
  [1021] = 809,
  [1022] = 808,
  [1023] = 807,
  [1024] = 823,
  [1025] = 824,
  [1026] = 825,
  [1027] = 826,
  [1028] = 827,
  [1029] = 828,
  [1030] = 829,
  [1031] = 814,
  [1032] = 805,
  [1033] = 831,
  [1034] = 833,
  [1035] = 838,
  [1036] = 823,
  [1037] = 835,
  [1038] = 836,
  [1039] = 837,
  [1040] = 836,
  [1041] = 837,
  [1042] = 824,
  [1043] = 825,
  [1044] = 922,
  [1045] = 835,
  [1046] = 833,
  [1047] = 831,
  [1048] = 805,
  [1049] = 829,
  [1050] = 838,
  [1051] = 841,
  [1052] = 818,
  [1053] = 817,
  [1054] = 816,
  [1055] = 815,
  [1056] = 814,
  [1057] = 828,
  [1058] = 827,
  [1059] = 826,
  [1060] = 825,
  [1061] = 824,
  [1062] = 823,
  [1063] = 807,
  [1064] = 808,
  [1065] = 809,
  [1066] = 810,
  [1067] = 811,
  [1068] = 812,
  [1069] = 842,
  [1070] = 814,
  [1071] = 815,
  [1072] = 816,
  [1073] = 817,
  [1074] = 818,
  [1075] = 841,
  [1076] = 838,
  [1077] = 837,
  [1078] = 836,
  [1079] = 835,
  [1080] = 833,
  [1081] = 831,
  [1082] = 818,
  [1083] = 829,
  [1084] = 828,
  [1085] = 827,
  [1086] = 826,
  [1087] = 826,
  [1088] = 825,
  [1089] = 837,
  [1090] = 824,
  [1091] = 842,
  [1092] = 823,
  [1093] = 827,
  [1094] = 812,
  [1095] = 807,
  [1096] = 808,
  [1097] = 809,
  [1098] = 810,
  [1099] = 842,
  [1100] = 812,
  [1101] = 842,
  [1102] = 811,
  [1103] = 810,
  [1104] = 814,
  [1105] = 815,
  [1106] = 816,
  [1107] = 817,
  [1108] = 818,
  [1109] = 841,
  [1110] = 828,
  [1111] = 815,
  [1112] = 838,
  [1113] = 816,
  [1114] = 811,
  [1115] = 809,
  [1116] = 836,
  [1117] = 835,
  [1118] = 833,
  [1119] = 817,
  [1120] = 831,
  [1121] = 805,
  [1122] = 829,
  [1123] = 818,
  [1124] = 841,
  [1125] = 828,
  [1126] = 829,
  [1127] = 808,
  [1128] = 827,
  [1129] = 826,
  [1130] = 825,
  [1131] = 805,
  [1132] = 824,
  [1133] = 823,
  [1134] = 831,
  [1135] = 833,
  [1136] = 807,
  [1137] = 835,
  [1138] = 838,
  [1139] = 837,
  [1140] = 836,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1142,
  [1144] = 1141,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1183,
  [1185] = 1183,
  [1186] = 1183,
  [1187] = 1183,
  [1188] = 1183,
  [1189] = 1183,
  [1190] = 1183,
  [1191] = 1183,
  [1192] = 1183,
  [1193] = 1183,
  [1194] = 1183,
  [1195] = 1183,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1196,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1196,
  [1212] = 1208,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1217,
  [1219] = 1216,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 259,
  [1225] = 1225,
  [1226] = 258,
  [1227] = 270,
  [1228] = 260,
  [1229] = 261,
  [1230] = 262,
  [1231] = 239,
  [1232] = 265,
  [1233] = 266,
  [1234] = 269,
  [1235] = 267,
  [1236] = 250,
  [1237] = 256,
  [1238] = 257,
  [1239] = 264,
  [1240] = 246,
  [1241] = 271,
  [1242] = 268,
  [1243] = 248,
  [1244] = 245,
  [1245] = 255,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 2,
  [1250] = 242,
  [1251] = 240,
  [1252] = 251,
  [1253] = 243,
  [1254] = 252,
  [1255] = 263,
  [1256] = 253,
  [1257] = 238,
  [1258] = 241,
  [1259] = 1259,
  [1260] = 254,
  [1261] = 247,
  [1262] = 244,
  [1263] = 249,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1265,
  [1267] = 1267,
  [1268] = 1267,
  [1269] = 255,
  [1270] = 266,
  [1271] = 264,
  [1272] = 242,
  [1273] = 257,
  [1274] = 244,
  [1275] = 256,
  [1276] = 61,
  [1277] = 267,
  [1278] = 2,
  [1279] = 245,
  [1280] = 246,
  [1281] = 269,
  [1282] = 248,
  [1283] = 240,
  [1284] = 268,
  [1285] = 252,
  [1286] = 6,
  [1287] = 5,
  [1288] = 254,
  [1289] = 238,
  [1290] = 650,
  [1291] = 62,
  [1292] = 247,
  [1293] = 250,
  [1294] = 4,
  [1295] = 265,
  [1296] = 239,
  [1297] = 262,
  [1298] = 261,
  [1299] = 270,
  [1300] = 260,
  [1301] = 259,
  [1302] = 271,
  [1303] = 258,
  [1304] = 249,
  [1305] = 7,
  [1306] = 243,
  [1307] = 3,
  [1308] = 253,
  [1309] = 241,
  [1310] = 8,
  [1311] = 251,
  [1312] = 263,
  [1313] = 1215,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1214,
  [1318] = 1318,
  [1319] = 1318,
  [1320] = 1318,
  [1321] = 1318,
  [1322] = 1318,
  [1323] = 1318,
  [1324] = 1318,
  [1325] = 1318,
  [1326] = 16,
  [1327] = 1327,
  [1328] = 357,
  [1329] = 1248,
  [1330] = 1330,
  [1331] = 1225,
  [1332] = 15,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 19,
  [1337] = 10,
  [1338] = 14,
  [1339] = 356,
  [1340] = 8,
  [1341] = 62,
  [1342] = 61,
  [1343] = 13,
  [1344] = 17,
  [1345] = 18,
  [1346] = 21,
  [1347] = 12,
  [1348] = 20,
  [1349] = 1247,
  [1350] = 1246,
  [1351] = 1351,
  [1352] = 7,
  [1353] = 1353,
  [1354] = 9,
  [1355] = 6,
  [1356] = 11,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 2,
  [1360] = 1264,
  [1361] = 17,
  [1362] = 12,
  [1363] = 7,
  [1364] = 1364,
  [1365] = 16,
  [1366] = 19,
  [1367] = 21,
  [1368] = 20,
  [1369] = 13,
  [1370] = 10,
  [1371] = 9,
  [1372] = 356,
  [1373] = 1373,
  [1374] = 6,
  [1375] = 2,
  [1376] = 11,
  [1377] = 8,
  [1378] = 14,
  [1379] = 18,
  [1380] = 1180,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 15,
  [1384] = 1316,
  [1385] = 1385,
  [1386] = 361,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1314,
  [1391] = 360,
  [1392] = 1315,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 356,
  [1401] = 357,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 359,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 460,
  [1412] = 465,
  [1413] = 360,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 11,
  [1417] = 1417,
  [1418] = 361,
  [1419] = 359,
  [1420] = 447,
  [1421] = 466,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 457,
  [1425] = 458,
  [1426] = 459,
  [1427] = 21,
  [1428] = 463,
  [1429] = 1429,
  [1430] = 464,
  [1431] = 18,
  [1432] = 2,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 462,
  [1437] = 471,
  [1438] = 470,
  [1439] = 469,
  [1440] = 20,
  [1441] = 1441,
  [1442] = 461,
  [1443] = 468,
  [1444] = 12,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 9,
  [1449] = 1449,
  [1450] = 467,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 2,
  [1454] = 357,
  [1455] = 10,
  [1456] = 19,
  [1457] = 16,
  [1458] = 472,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 2,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 356,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 246,
  [1470] = 243,
  [1471] = 253,
  [1472] = 3,
  [1473] = 263,
  [1474] = 241,
  [1475] = 249,
  [1476] = 4,
  [1477] = 250,
  [1478] = 254,
  [1479] = 255,
  [1480] = 258,
  [1481] = 259,
  [1482] = 260,
  [1483] = 261,
  [1484] = 262,
  [1485] = 239,
  [1486] = 265,
  [1487] = 266,
  [1488] = 269,
  [1489] = 267,
  [1490] = 498,
  [1491] = 497,
  [1492] = 256,
  [1493] = 523,
  [1494] = 533,
  [1495] = 5,
  [1496] = 257,
  [1497] = 264,
  [1498] = 271,
  [1499] = 251,
  [1500] = 455,
  [1501] = 456,
  [1502] = 240,
  [1503] = 242,
  [1504] = 244,
  [1505] = 17,
  [1506] = 245,
  [1507] = 248,
  [1508] = 268,
  [1509] = 2,
  [1510] = 270,
  [1511] = 238,
  [1512] = 252,
  [1513] = 472,
  [1514] = 15,
  [1515] = 14,
  [1516] = 467,
  [1517] = 247,
  [1518] = 465,
  [1519] = 464,
  [1520] = 463,
  [1521] = 13,
  [1522] = 12,
  [1523] = 7,
  [1524] = 11,
  [1525] = 6,
  [1526] = 9,
  [1527] = 10,
  [1528] = 19,
  [1529] = 16,
  [1530] = 460,
  [1531] = 459,
  [1532] = 8,
  [1533] = 20,
  [1534] = 21,
  [1535] = 62,
  [1536] = 461,
  [1537] = 462,
  [1538] = 458,
  [1539] = 18,
  [1540] = 61,
  [1541] = 466,
  [1542] = 468,
  [1543] = 469,
  [1544] = 457,
  [1545] = 447,
  [1546] = 471,
  [1547] = 470,
  [1548] = 259,
  [1549] = 21,
  [1550] = 269,
  [1551] = 266,
  [1552] = 265,
  [1553] = 239,
  [1554] = 262,
  [1555] = 261,
  [1556] = 260,
  [1557] = 258,
  [1558] = 255,
  [1559] = 254,
  [1560] = 250,
  [1561] = 249,
  [1562] = 241,
  [1563] = 263,
  [1564] = 253,
  [1565] = 243,
  [1566] = 251,
  [1567] = 240,
  [1568] = 242,
  [1569] = 244,
  [1570] = 245,
  [1571] = 248,
  [1572] = 456,
  [1573] = 256,
  [1574] = 5,
  [1575] = 257,
  [1576] = 2,
  [1577] = 264,
  [1578] = 268,
  [1579] = 246,
  [1580] = 270,
  [1581] = 271,
  [1582] = 472,
  [1583] = 467,
  [1584] = 4,
  [1585] = 465,
  [1586] = 238,
  [1587] = 464,
  [1588] = 463,
  [1589] = 460,
  [1590] = 459,
  [1591] = 458,
  [1592] = 457,
  [1593] = 252,
  [1594] = 18,
  [1595] = 267,
  [1596] = 447,
  [1597] = 247,
  [1598] = 1364,
  [1599] = 1373,
  [1600] = 20,
  [1601] = 471,
  [1602] = 470,
  [1603] = 469,
  [1604] = 468,
  [1605] = 8,
  [1606] = 2,
  [1607] = 466,
  [1608] = 61,
  [1609] = 16,
  [1610] = 19,
  [1611] = 10,
  [1612] = 9,
  [1613] = 462,
  [1614] = 461,
  [1615] = 6,
  [1616] = 11,
  [1617] = 7,
  [1618] = 1381,
  [1619] = 3,
  [1620] = 12,
  [1621] = 1382,
  [1622] = 62,
  [1623] = 13,
  [1624] = 17,
  [1625] = 15,
  [1626] = 14,
  [1627] = 13,
  [1628] = 455,
  [1629] = 12,
  [1630] = 7,
  [1631] = 11,
  [1632] = 6,
  [1633] = 17,
  [1634] = 10,
  [1635] = 19,
  [1636] = 16,
  [1637] = 8,
  [1638] = 20,
  [1639] = 21,
  [1640] = 18,
  [1641] = 15,
  [1642] = 14,
  [1643] = 9,
  [1644] = 1397,
  [1645] = 1396,
  [1646] = 1387,
  [1647] = 1395,
  [1648] = 1389,
  [1649] = 1410,
  [1650] = 1385,
  [1651] = 1394,
  [1652] = 1399,
  [1653] = 1409,
  [1654] = 1398,
  [1655] = 1408,
  [1656] = 1393,
  [1657] = 1402,
  [1658] = 1403,
  [1659] = 1404,
  [1660] = 1405,
  [1661] = 1452,
  [1662] = 1429,
  [1663] = 1663,
  [1664] = 1214,
  [1665] = 356,
  [1666] = 8,
  [1667] = 40,
  [1668] = 4,
  [1669] = 442,
  [1670] = 13,
  [1671] = 5,
  [1672] = 2,
  [1673] = 3,
  [1674] = 17,
  [1675] = 50,
  [1676] = 15,
  [1677] = 26,
  [1678] = 38,
  [1679] = 12,
  [1680] = 440,
  [1681] = 37,
  [1682] = 2,
  [1683] = 7,
  [1684] = 39,
  [1685] = 41,
  [1686] = 11,
  [1687] = 437,
  [1688] = 6,
  [1689] = 42,
  [1690] = 45,
  [1691] = 9,
  [1692] = 10,
  [1693] = 19,
  [1694] = 16,
  [1695] = 18,
  [1696] = 21,
  [1697] = 46,
  [1698] = 55,
  [1699] = 54,
  [1700] = 53,
  [1701] = 52,
  [1702] = 51,
  [1703] = 49,
  [1704] = 20,
  [1705] = 48,
  [1706] = 47,
  [1707] = 44,
  [1708] = 23,
  [1709] = 443,
  [1710] = 43,
  [1711] = 24,
  [1712] = 25,
  [1713] = 14,
  [1714] = 27,
  [1715] = 28,
  [1716] = 29,
  [1717] = 30,
  [1718] = 22,
  [1719] = 31,
  [1720] = 32,
  [1721] = 33,
  [1722] = 34,
  [1723] = 35,
  [1724] = 36,
  [1725] = 16,
  [1726] = 10,
  [1727] = 21,
  [1728] = 20,
  [1729] = 14,
  [1730] = 15,
  [1731] = 13,
  [1732] = 18,
  [1733] = 357,
  [1734] = 17,
  [1735] = 8,
  [1736] = 12,
  [1737] = 4,
  [1738] = 7,
  [1739] = 5,
  [1740] = 6,
  [1741] = 3,
  [1742] = 19,
  [1743] = 9,
  [1744] = 11,
  [1745] = 2,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 2,
  [1754] = 1754,
  [1755] = 6,
  [1756] = 2,
  [1757] = 1757,
  [1758] = 13,
  [1759] = 15,
  [1760] = 14,
  [1761] = 12,
  [1762] = 7,
  [1763] = 9,
  [1764] = 18,
  [1765] = 21,
  [1766] = 20,
  [1767] = 8,
  [1768] = 16,
  [1769] = 19,
  [1770] = 10,
  [1771] = 11,
  [1772] = 17,
  [1773] = 1464,
  [1774] = 447,
  [1775] = 465,
  [1776] = 1776,
  [1777] = 472,
  [1778] = 463,
  [1779] = 62,
  [1780] = 467,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 464,
  [1787] = 2,
  [1788] = 468,
  [1789] = 462,
  [1790] = 466,
  [1791] = 469,
  [1792] = 460,
  [1793] = 470,
  [1794] = 471,
  [1795] = 461,
  [1796] = 459,
  [1797] = 61,
  [1798] = 1466,
  [1799] = 458,
  [1800] = 457,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 441,
  [1804] = 439,
  [1805] = 356,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 357,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 2,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 471,
  [1831] = 459,
  [1832] = 468,
  [1833] = 472,
  [1834] = 463,
  [1835] = 464,
  [1836] = 469,
  [1837] = 470,
  [1838] = 1466,
  [1839] = 1839,
  [1840] = 465,
  [1841] = 1841,
  [1842] = 447,
  [1843] = 460,
  [1844] = 458,
  [1845] = 461,
  [1846] = 467,
  [1847] = 1847,
  [1848] = 462,
  [1849] = 457,
  [1850] = 466,
  [1851] = 1851,
  [1852] = 1464,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 353,
  [1856] = 354,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1857,
  [1860] = 1858,
  [1861] = 1857,
  [1862] = 1857,
  [1863] = 1858,
  [1864] = 1857,
  [1865] = 1858,
  [1866] = 1857,
  [1867] = 1857,
  [1868] = 1858,
  [1869] = 1858,
  [1870] = 1857,
  [1871] = 1858,
  [1872] = 1858,
  [1873] = 1858,
  [1874] = 1857,
  [1875] = 1875,
  [1876] = 1858,
  [1877] = 1857,
  [1878] = 1857,
  [1879] = 1857,
  [1880] = 1858,
  [1881] = 1858,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1889,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1895,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1923,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 442,
  [1956] = 1956,
  [1957] = 443,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1975,
  [1977] = 1975,
  [1978] = 1978,
  [1979] = 1978,
  [1980] = 1978,
  [1981] = 1978,
  [1982] = 1978,
  [1983] = 1975,
  [1984] = 1975,
  [1985] = 1978,
  [1986] = 1975,
  [1987] = 1975,
  [1988] = 1975,
  [1989] = 1978,
  [1990] = 1975,
  [1991] = 1978,
  [1992] = 1975,
  [1993] = 1975,
  [1994] = 1978,
  [1995] = 1978,
  [1996] = 1996,
  [1997] = 1996,
  [1998] = 1998,
  [1999] = 1996,
  [2000] = 1996,
  [2001] = 1996,
  [2002] = 1996,
  [2003] = 1996,
  [2004] = 1996,
  [2005] = 1998,
  [2006] = 1996,
  [2007] = 1996,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 2008,
  [2012] = 1396,
  [2013] = 2009,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2008,
  [2017] = 2017,
  [2018] = 2010,
  [2019] = 2015,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2008,
  [2024] = 2015,
  [2025] = 2008,
  [2026] = 2022,
  [2027] = 2010,
  [2028] = 2020,
  [2029] = 2021,
  [2030] = 2009,
  [2031] = 2010,
  [2032] = 2015,
  [2033] = 2008,
  [2034] = 2008,
  [2035] = 2015,
  [2036] = 2017,
  [2037] = 2015,
  [2038] = 2038,
  [2039] = 2010,
  [2040] = 2009,
  [2041] = 2014,
  [2042] = 2009,
  [2043] = 2015,
  [2044] = 2015,
  [2045] = 2008,
  [2046] = 2015,
  [2047] = 2009,
  [2048] = 2020,
  [2049] = 2010,
  [2050] = 2020,
  [2051] = 2015,
  [2052] = 2014,
  [2053] = 2020,
  [2054] = 2008,
  [2055] = 2020,
  [2056] = 2010,
  [2057] = 2020,
  [2058] = 2020,
  [2059] = 2010,
  [2060] = 2015,
  [2061] = 2009,
  [2062] = 2009,
  [2063] = 2020,
  [2064] = 2010,
  [2065] = 2015,
  [2066] = 2010,
  [2067] = 2008,
  [2068] = 2017,
  [2069] = 2008,
  [2070] = 2009,
  [2071] = 2015,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2076,
  [2080] = 2078,
  [2081] = 2073,
  [2082] = 2072,
  [2083] = 2073,
  [2084] = 2078,
  [2085] = 2072,
  [2086] = 2072,
  [2087] = 2074,
  [2088] = 2076,
  [2089] = 2078,
  [2090] = 2073,
  [2091] = 2078,
  [2092] = 2072,
  [2093] = 2073,
  [2094] = 2076,
  [2095] = 2073,
  [2096] = 2072,
  [2097] = 2072,
  [2098] = 2073,
  [2099] = 2076,
  [2100] = 2100,
  [2101] = 2076,
  [2102] = 2078,
  [2103] = 2078,
  [2104] = 2076,
  [2105] = 2076,
  [2106] = 2078,
  [2107] = 2072,
  [2108] = 2072,
  [2109] = 2078,
  [2110] = 2076,
  [2111] = 2073,
  [2112] = 2073,
  [2113] = 2073,
  [2114] = 2072,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2123,
  [2128] = 2116,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2118,
  [2134] = 2117,
  [2135] = 2118,
  [2136] = 2132,
  [2137] = 2115,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 2117,
  [2143] = 2115,
  [2144] = 2120,
  [2145] = 2118,
  [2146] = 2115,
  [2147] = 2147,
  [2148] = 2116,
  [2149] = 2149,
  [2150] = 2118,
  [2151] = 2117,
  [2152] = 2152,
  [2153] = 2132,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2126,
  [2159] = 2159,
  [2160] = 2116,
  [2161] = 2123,
  [2162] = 2125,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2129,
  [2169] = 2115,
  [2170] = 2167,
  [2171] = 2118,
  [2172] = 2117,
  [2173] = 2173,
  [2174] = 2126,
  [2175] = 2132,
  [2176] = 2166,
  [2177] = 2177,
  [2178] = 2117,
  [2179] = 2126,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2123,
  [2184] = 2125,
  [2185] = 2165,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2132,
  [2191] = 2126,
  [2192] = 2159,
  [2193] = 2156,
  [2194] = 2125,
  [2195] = 2195,
  [2196] = 2123,
  [2197] = 2116,
  [2198] = 2198,
  [2199] = 2115,
  [2200] = 2200,
  [2201] = 2118,
  [2202] = 2115,
  [2203] = 2203,
  [2204] = 2116,
  [2205] = 2123,
  [2206] = 2132,
  [2207] = 2207,
  [2208] = 2125,
  [2209] = 2118,
  [2210] = 2210,
  [2211] = 2132,
  [2212] = 2212,
  [2213] = 2117,
  [2214] = 2214,
  [2215] = 2154,
  [2216] = 2115,
  [2217] = 2217,
  [2218] = 2126,
  [2219] = 2118,
  [2220] = 2117,
  [2221] = 2116,
  [2222] = 2222,
  [2223] = 2123,
  [2224] = 2125,
  [2225] = 2122,
  [2226] = 2122,
  [2227] = 2139,
  [2228] = 2132,
  [2229] = 2152,
  [2230] = 2120,
  [2231] = 2118,
  [2232] = 2232,
  [2233] = 2115,
  [2234] = 2117,
  [2235] = 2118,
  [2236] = 2236,
  [2237] = 2116,
  [2238] = 2123,
  [2239] = 2239,
  [2240] = 2125,
  [2241] = 2236,
  [2242] = 2132,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2125,
  [2247] = 2125,
  [2248] = 2118,
  [2249] = 2123,
  [2250] = 2116,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2285,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2298,
  [2300] = 2292,
  [2301] = 2289,
  [2302] = 2288,
  [2303] = 2287,
  [2304] = 2304,
  [2305] = 2253,
  [2306] = 2254,
  [2307] = 2255,
  [2308] = 2256,
  [2309] = 2257,
  [2310] = 2258,
  [2311] = 2259,
  [2312] = 2260,
  [2313] = 2261,
  [2314] = 2262,
  [2315] = 2263,
  [2316] = 2264,
  [2317] = 2265,
  [2318] = 2297,
  [2319] = 2266,
  [2320] = 2267,
  [2321] = 2268,
  [2322] = 2269,
  [2323] = 2270,
  [2324] = 2271,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2296,
  [2329] = 2275,
  [2330] = 2276,
  [2331] = 2277,
  [2332] = 2278,
  [2333] = 2279,
  [2334] = 2295,
  [2335] = 2335,
  [2336] = 2294,
  [2337] = 2293,
  [2338] = 2291,
  [2339] = 2290,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2264,
  [2344] = 2280,
  [2345] = 2281,
  [2346] = 2284,
  [2347] = 2271,
  [2348] = 2282,
  [2349] = 2283,
  [2350] = 2282,
  [2351] = 2283,
  [2352] = 2352,
  [2353] = 2284,
  [2354] = 2281,
  [2355] = 2285,
  [2356] = 2280,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2290,
  [2361] = 2279,
  [2362] = 2293,
  [2363] = 2294,
  [2364] = 2295,
  [2365] = 2296,
  [2366] = 2297,
  [2367] = 2278,
  [2368] = 2298,
  [2369] = 2292,
  [2370] = 2289,
  [2371] = 2288,
  [2372] = 2287,
  [2373] = 2304,
  [2374] = 2253,
  [2375] = 2254,
  [2376] = 2255,
  [2377] = 2256,
  [2378] = 2257,
  [2379] = 2258,
  [2380] = 2259,
  [2381] = 2260,
  [2382] = 2261,
  [2383] = 2262,
  [2384] = 2263,
  [2385] = 2264,
  [2386] = 2265,
  [2387] = 2277,
  [2388] = 2266,
  [2389] = 2267,
  [2390] = 2268,
  [2391] = 2269,
  [2392] = 2270,
  [2393] = 2271,
  [2394] = 2276,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2275,
  [2398] = 2275,
  [2399] = 2276,
  [2400] = 2277,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2271,
  [2404] = 2270,
  [2405] = 2269,
  [2406] = 2268,
  [2407] = 2267,
  [2408] = 2266,
  [2409] = 2270,
  [2410] = 2265,
  [2411] = 2280,
  [2412] = 2281,
  [2413] = 2277,
  [2414] = 2263,
  [2415] = 2282,
  [2416] = 2262,
  [2417] = 2261,
  [2418] = 2283,
  [2419] = 2260,
  [2420] = 2284,
  [2421] = 2259,
  [2422] = 2285,
  [2423] = 2258,
  [2424] = 2257,
  [2425] = 2425,
  [2426] = 2259,
  [2427] = 2290,
  [2428] = 2256,
  [2429] = 2293,
  [2430] = 2294,
  [2431] = 2295,
  [2432] = 2296,
  [2433] = 2297,
  [2434] = 2255,
  [2435] = 2298,
  [2436] = 2292,
  [2437] = 2289,
  [2438] = 2288,
  [2439] = 2287,
  [2440] = 2304,
  [2441] = 2253,
  [2442] = 2254,
  [2443] = 2255,
  [2444] = 2256,
  [2445] = 2257,
  [2446] = 2258,
  [2447] = 2259,
  [2448] = 2260,
  [2449] = 2261,
  [2450] = 2262,
  [2451] = 2263,
  [2452] = 2264,
  [2453] = 2265,
  [2454] = 2254,
  [2455] = 2266,
  [2456] = 2267,
  [2457] = 2268,
  [2458] = 2269,
  [2459] = 2270,
  [2460] = 2271,
  [2461] = 2269,
  [2462] = 2253,
  [2463] = 2268,
  [2464] = 2304,
  [2465] = 2275,
  [2466] = 2276,
  [2467] = 2277,
  [2468] = 2287,
  [2469] = 2288,
  [2470] = 2289,
  [2471] = 2292,
  [2472] = 2298,
  [2473] = 2297,
  [2474] = 2296,
  [2475] = 2267,
  [2476] = 2295,
  [2477] = 2280,
  [2478] = 2281,
  [2479] = 2294,
  [2480] = 2266,
  [2481] = 2282,
  [2482] = 2293,
  [2483] = 2291,
  [2484] = 2283,
  [2485] = 2290,
  [2486] = 2284,
  [2487] = 2487,
  [2488] = 2285,
  [2489] = 2285,
  [2490] = 2284,
  [2491] = 2283,
  [2492] = 2265,
  [2493] = 2290,
  [2494] = 2282,
  [2495] = 2293,
  [2496] = 2294,
  [2497] = 2295,
  [2498] = 2296,
  [2499] = 2297,
  [2500] = 2281,
  [2501] = 2298,
  [2502] = 2292,
  [2503] = 2289,
  [2504] = 2288,
  [2505] = 2287,
  [2506] = 2304,
  [2507] = 2253,
  [2508] = 2254,
  [2509] = 2255,
  [2510] = 2256,
  [2511] = 2257,
  [2512] = 2258,
  [2513] = 2259,
  [2514] = 2260,
  [2515] = 2261,
  [2516] = 2262,
  [2517] = 2263,
  [2518] = 2264,
  [2519] = 2265,
  [2520] = 2280,
  [2521] = 2266,
  [2522] = 2267,
  [2523] = 2268,
  [2524] = 2269,
  [2525] = 2270,
  [2526] = 2271,
  [2527] = 2264,
  [2528] = 2263,
  [2529] = 2262,
  [2530] = 2530,
  [2531] = 2275,
  [2532] = 2276,
  [2533] = 2277,
  [2534] = 2534,
  [2535] = 2261,
  [2536] = 2536,
  [2537] = 2260,
  [2538] = 2279,
  [2539] = 2283,
  [2540] = 2278,
  [2541] = 2284,
  [2542] = 2287,
  [2543] = 2285,
  [2544] = 2544,
  [2545] = 2258,
  [2546] = 2257,
  [2547] = 2290,
  [2548] = 2276,
  [2549] = 2293,
  [2550] = 2295,
  [2551] = 2296,
  [2552] = 2297,
  [2553] = 2275,
  [2554] = 2298,
  [2555] = 2292,
  [2556] = 2289,
  [2557] = 2288,
  [2558] = 2287,
  [2559] = 2304,
  [2560] = 2253,
  [2561] = 2254,
  [2562] = 2255,
  [2563] = 2256,
  [2564] = 2257,
  [2565] = 2258,
  [2566] = 2259,
  [2567] = 2260,
  [2568] = 2261,
  [2569] = 2262,
  [2570] = 2263,
  [2571] = 2264,
  [2572] = 2265,
  [2573] = 2573,
  [2574] = 2266,
  [2575] = 2267,
  [2576] = 2268,
  [2577] = 2269,
  [2578] = 2270,
  [2579] = 2271,
  [2580] = 2256,
  [2581] = 2255,
  [2582] = 2254,
  [2583] = 2275,
  [2584] = 2275,
  [2585] = 2276,
  [2586] = 2277,
  [2587] = 2253,
  [2588] = 2342,
  [2589] = 2304,
  [2590] = 2271,
  [2591] = 2284,
  [2592] = 2270,
  [2593] = 2285,
  [2594] = 2287,
  [2595] = 2288,
  [2596] = 2289,
  [2597] = 2290,
  [2598] = 2269,
  [2599] = 2293,
  [2600] = 2270,
  [2601] = 2271,
  [2602] = 2292,
  [2603] = 2298,
  [2604] = 2268,
  [2605] = 2267,
  [2606] = 2297,
  [2607] = 2296,
  [2608] = 2266,
  [2609] = 2284,
  [2610] = 2295,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2290,
  [2614] = 2265,
  [2615] = 2293,
  [2616] = 2270,
  [2617] = 2617,
  [2618] = 2294,
  [2619] = 2264,
  [2620] = 2263,
  [2621] = 2262,
  [2622] = 2261,
  [2623] = 2260,
  [2624] = 2284,
  [2625] = 2259,
  [2626] = 2293,
  [2627] = 2258,
  [2628] = 2290,
  [2629] = 2270,
  [2630] = 2257,
  [2631] = 2256,
  [2632] = 2632,
  [2633] = 2255,
  [2634] = 2254,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2637,
  [2638] = 2638,
  [2639] = 2639,
  [2640] = 2253,
  [2641] = 2304,
  [2642] = 2283,
  [2643] = 2288,
  [2644] = 2289,
  [2645] = 2292,
  [2646] = 2298,
  [2647] = 2297,
  [2648] = 2648,
  [2649] = 2296,
  [2650] = 2295,
  [2651] = 2294,
  [2652] = 2293,
  [2653] = 2291,
  [2654] = 2290,
  [2655] = 2276,
  [2656] = 2656,
  [2657] = 2277,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2285,
  [2661] = 2661,
  [2662] = 2291,
  [2663] = 2284,
  [2664] = 2664,
  [2665] = 2290,
  [2666] = 2666,
  [2667] = 2667,
  [2668] = 2668,
  [2669] = 2659,
  [2670] = 2658,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2282,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2678,
  [2679] = 2679,
  [2680] = 2281,
  [2681] = 2681,
  [2682] = 2682,
  [2683] = 2280,
  [2684] = 2671,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 2687,
  [2688] = 2688,
  [2689] = 2534,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2692,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2695,
  [2696] = 2668,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2699,
  [2700] = 2285,
  [2701] = 2701,
  [2702] = 2335,
  [2703] = 2326,
  [2704] = 2274,
  [2705] = 2273,
  [2706] = 2272,
  [2707] = 2340,
  [2708] = 2279,
  [2709] = 2352,
  [2710] = 2357,
  [2711] = 2284,
  [2712] = 2278,
  [2713] = 2713,
  [2714] = 2714,
  [2715] = 2715,
  [2716] = 2635,
  [2717] = 2636,
  [2718] = 2637,
  [2719] = 2639,
  [2720] = 2720,
  [2721] = 2721,
  [2722] = 2722,
  [2723] = 2723,
  [2724] = 2724,
  [2725] = 2725,
  [2726] = 2726,
  [2727] = 2727,
  [2728] = 2728,
  [2729] = 2729,
  [2730] = 2730,
  [2731] = 2731,
  [2732] = 2732,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 2735,
  [2736] = 2736,
  [2737] = 2737,
  [2738] = 2738,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2744,
  [2745] = 2745,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 2668,
  [2749] = 2659,
  [2750] = 2658,
  [2751] = 2751,
  [2752] = 2326,
  [2753] = 2352,
  [2754] = 2357,
  [2755] = 2755,
  [2756] = 2635,
  [2757] = 2636,
  [2758] = 2637,
  [2759] = 2639,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 2666,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 2766,
  [2767] = 2767,
  [2768] = 2283,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 2771,
  [2772] = 2772,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2781,
  [2782] = 2782,
  [2783] = 2715,
  [2784] = 2304,
  [2785] = 2714,
  [2786] = 2713,
  [2787] = 2701,
  [2788] = 2687,
  [2789] = 2352,
  [2790] = 2357,
  [2791] = 2686,
  [2792] = 2635,
  [2793] = 2636,
  [2794] = 2637,
  [2795] = 2639,
  [2796] = 2685,
  [2797] = 2292,
  [2798] = 2798,
  [2799] = 2674,
  [2800] = 2277,
  [2801] = 2276,
  [2802] = 2282,
  [2803] = 2275,
  [2804] = 2776,
  [2805] = 2530,
  [2806] = 2401,
  [2807] = 2639,
  [2808] = 2775,
  [2809] = 2774,
  [2810] = 2810,
  [2811] = 2773,
  [2812] = 2772,
  [2813] = 2342,
  [2814] = 2271,
  [2815] = 2270,
  [2816] = 2425,
  [2817] = 2269,
  [2818] = 2268,
  [2819] = 2267,
  [2820] = 2266,
  [2821] = 2265,
  [2822] = 2264,
  [2823] = 2263,
  [2824] = 2262,
  [2825] = 2352,
  [2826] = 2357,
  [2827] = 2261,
  [2828] = 2635,
  [2829] = 2636,
  [2830] = 2637,
  [2831] = 2639,
  [2832] = 2260,
  [2833] = 2259,
  [2834] = 2638,
  [2835] = 2258,
  [2836] = 2836,
  [2837] = 2637,
  [2838] = 2636,
  [2839] = 2635,
  [2840] = 2840,
  [2841] = 2257,
  [2842] = 2256,
  [2843] = 2843,
  [2844] = 2844,
  [2845] = 2255,
  [2846] = 2846,
  [2847] = 2847,
  [2848] = 2848,
  [2849] = 2254,
  [2850] = 2850,
  [2851] = 2253,
  [2852] = 2852,
  [2853] = 2853,
  [2854] = 2854,
  [2855] = 2304,
  [2856] = 2856,
  [2857] = 2857,
  [2858] = 2858,
  [2859] = 2859,
  [2860] = 2287,
  [2861] = 2352,
  [2862] = 2357,
  [2863] = 2288,
  [2864] = 2635,
  [2865] = 2636,
  [2866] = 2637,
  [2867] = 2639,
  [2868] = 2289,
  [2869] = 2869,
  [2870] = 2870,
  [2871] = 2871,
  [2872] = 2872,
  [2873] = 2873,
  [2874] = 2679,
  [2875] = 2298,
  [2876] = 2297,
  [2877] = 2296,
  [2878] = 2771,
  [2879] = 2295,
  [2880] = 2294,
  [2881] = 2293,
  [2882] = 2770,
  [2883] = 2769,
  [2884] = 2281,
  [2885] = 2767,
  [2886] = 2648,
  [2887] = 2280,
  [2888] = 2766,
  [2889] = 2765,
  [2890] = 2764,
  [2891] = 2760,
  [2892] = 2892,
  [2893] = 2755,
  [2894] = 2894,
  [2895] = 2895,
  [2896] = 2751,
  [2897] = 2721,
  [2898] = 2635,
  [2899] = 2636,
  [2900] = 2637,
  [2901] = 2639,
  [2902] = 2291,
  [2903] = 2664,
  [2904] = 2290,
  [2905] = 2720,
  [2906] = 2906,
  [2907] = 2907,
  [2908] = 2908,
  [2909] = 2667,
  [2910] = 2910,
  [2911] = 2544,
  [2912] = 2672,
  [2913] = 2913,
  [2914] = 2675,
  [2915] = 2676,
  [2916] = 2677,
  [2917] = 2917,
  [2918] = 2918,
  [2919] = 2919,
  [2920] = 2920,
  [2921] = 2921,
  [2922] = 2922,
  [2923] = 2923,
  [2924] = 2924,
  [2925] = 2925,
  [2926] = 2926,
  [2927] = 2927,
  [2928] = 2928,
  [2929] = 2929,
  [2930] = 2285,
  [2931] = 2284,
  [2932] = 2635,
  [2933] = 2636,
  [2934] = 2637,
  [2935] = 2639,
  [2936] = 2666,
  [2937] = 2937,
  [2938] = 2938,
  [2939] = 2939,
  [2940] = 2940,
  [2941] = 2941,
  [2942] = 2942,
  [2943] = 2943,
  [2944] = 2944,
  [2945] = 2945,
  [2946] = 2946,
  [2947] = 2947,
  [2948] = 2948,
  [2949] = 2949,
  [2950] = 2950,
  [2951] = 2951,
  [2952] = 2283,
  [2953] = 2282,
  [2954] = 2954,
  [2955] = 2955,
  [2956] = 2956,
  [2957] = 2957,
  [2958] = 2958,
  [2959] = 2252,
  [2960] = 2278,
  [2961] = 2279,
  [2962] = 2844,
  [2963] = 2846,
  [2964] = 2847,
  [2965] = 2635,
  [2966] = 2636,
  [2967] = 2637,
  [2968] = 2639,
  [2969] = 2848,
  [2970] = 2852,
  [2971] = 2853,
  [2972] = 2854,
  [2973] = 2973,
  [2974] = 2856,
  [2975] = 2857,
  [2976] = 2858,
  [2977] = 2859,
  [2978] = 2869,
  [2979] = 2870,
  [2980] = 2871,
  [2981] = 2872,
  [2982] = 2873,
  [2983] = 2281,
  [2984] = 2280,
  [2985] = 2985,
  [2986] = 2986,
  [2987] = 2987,
  [2988] = 2988,
  [2989] = 2989,
  [2990] = 2698,
  [2991] = 2991,
  [2992] = 2697,
  [2993] = 2694,
  [2994] = 2994,
  [2995] = 2534,
  [2996] = 2996,
  [2997] = 2688,
  [2998] = 2635,
  [2999] = 2636,
  [3000] = 2637,
  [3001] = 2639,
  [3002] = 2699,
  [3003] = 2635,
  [3004] = 2636,
  [3005] = 2637,
  [3006] = 2639,
  [3007] = 3007,
  [3008] = 2635,
  [3009] = 2636,
  [3010] = 2637,
  [3011] = 2951,
  [3012] = 2950,
  [3013] = 2949,
  [3014] = 2948,
  [3015] = 2947,
  [3016] = 2946,
  [3017] = 2945,
  [3018] = 2944,
  [3019] = 2943,
  [3020] = 2942,
  [3021] = 2941,
  [3022] = 2940,
  [3023] = 2939,
  [3024] = 2938,
  [3025] = 2937,
  [3026] = 2929,
  [3027] = 2928,
  [3028] = 2927,
  [3029] = 2894,
  [3030] = 2925,
  [3031] = 2924,
  [3032] = 2923,
  [3033] = 2922,
  [3034] = 2920,
  [3035] = 2919,
  [3036] = 2918,
  [3037] = 2917,
  [3038] = 3038,
  [3039] = 2762,
  [3040] = 2761,
  [3041] = 2747,
  [3042] = 2746,
  [3043] = 2745,
  [3044] = 2744,
  [3045] = 2743,
  [3046] = 2742,
  [3047] = 2741,
  [3048] = 2740,
  [3049] = 2739,
  [3050] = 2738,
  [3051] = 2737,
  [3052] = 2736,
  [3053] = 2735,
  [3054] = 2734,
  [3055] = 2733,
  [3056] = 2732,
  [3057] = 2731,
  [3058] = 2730,
  [3059] = 2729,
  [3060] = 2728,
  [3061] = 2727,
  [3062] = 2726,
  [3063] = 2725,
  [3064] = 2724,
  [3065] = 2723,
  [3066] = 2722,
  [3067] = 2695,
  [3068] = 2691,
  [3069] = 3069,
  [3070] = 2661,
  [3071] = 3071,
  [3072] = 2656,
  [3073] = 2951,
  [3074] = 2950,
  [3075] = 2949,
  [3076] = 2948,
  [3077] = 2947,
  [3078] = 2946,
  [3079] = 2945,
  [3080] = 2944,
  [3081] = 2943,
  [3082] = 2942,
  [3083] = 2941,
  [3084] = 2940,
  [3085] = 2939,
  [3086] = 2938,
  [3087] = 2937,
  [3088] = 2929,
  [3089] = 2928,
  [3090] = 2927,
  [3091] = 2894,
  [3092] = 2925,
  [3093] = 2924,
  [3094] = 2923,
  [3095] = 2922,
  [3096] = 2920,
  [3097] = 2919,
  [3098] = 2918,
  [3099] = 2917,
  [3100] = 3100,
  [3101] = 2691,
  [3102] = 2661,
  [3103] = 3103,
  [3104] = 2951,
  [3105] = 2950,
  [3106] = 2949,
  [3107] = 2948,
  [3108] = 2947,
  [3109] = 2946,
  [3110] = 2945,
  [3111] = 2944,
  [3112] = 2943,
  [3113] = 2942,
  [3114] = 2941,
  [3115] = 2940,
  [3116] = 2939,
  [3117] = 2938,
  [3118] = 2937,
  [3119] = 2929,
  [3120] = 2928,
  [3121] = 2927,
  [3122] = 2894,
  [3123] = 2925,
  [3124] = 2924,
  [3125] = 2923,
  [3126] = 2922,
  [3127] = 2920,
  [3128] = 2919,
  [3129] = 2918,
  [3130] = 2917,
  [3131] = 3131,
  [3132] = 2661,
  [3133] = 3133,
  [3134] = 2951,
  [3135] = 2950,
  [3136] = 2949,
  [3137] = 2948,
  [3138] = 2947,
  [3139] = 2946,
  [3140] = 2945,
  [3141] = 2944,
  [3142] = 2943,
  [3143] = 2942,
  [3144] = 2941,
  [3145] = 2940,
  [3146] = 2939,
  [3147] = 2938,
  [3148] = 2937,
  [3149] = 2929,
  [3150] = 2928,
  [3151] = 2927,
  [3152] = 2894,
  [3153] = 2925,
  [3154] = 2924,
  [3155] = 2923,
  [3156] = 2922,
  [3157] = 2920,
  [3158] = 2919,
  [3159] = 2918,
  [3160] = 2917,
  [3161] = 3161,
  [3162] = 2661,
  [3163] = 3163,
  [3164] = 2951,
  [3165] = 2950,
  [3166] = 2949,
  [3167] = 2948,
  [3168] = 2947,
  [3169] = 2946,
  [3170] = 2945,
  [3171] = 2944,
  [3172] = 2943,
  [3173] = 2942,
  [3174] = 2941,
  [3175] = 2940,
  [3176] = 2939,
  [3177] = 2938,
  [3178] = 2937,
  [3179] = 2929,
  [3180] = 2928,
  [3181] = 2927,
  [3182] = 2894,
  [3183] = 2925,
  [3184] = 2924,
  [3185] = 2923,
  [3186] = 2922,
  [3187] = 2920,
  [3188] = 2919,
  [3189] = 2918,
  [3190] = 2917,
  [3191] = 3191,
  [3192] = 2661,
  [3193] = 3193,
  [3194] = 2951,
  [3195] = 2950,
  [3196] = 2949,
  [3197] = 2948,
  [3198] = 2947,
  [3199] = 2946,
  [3200] = 2945,
  [3201] = 2944,
  [3202] = 2943,
  [3203] = 2942,
  [3204] = 2941,
  [3205] = 2940,
  [3206] = 2939,
  [3207] = 2938,
  [3208] = 2937,
  [3209] = 2929,
  [3210] = 2928,
  [3211] = 2927,
  [3212] = 2894,
  [3213] = 2925,
  [3214] = 2924,
  [3215] = 2923,
  [3216] = 2922,
  [3217] = 2920,
  [3218] = 2919,
  [3219] = 2918,
  [3220] = 2917,
  [3221] = 3221,
  [3222] = 2951,
  [3223] = 2950,
  [3224] = 2949,
  [3225] = 2948,
  [3226] = 2947,
  [3227] = 2946,
  [3228] = 2945,
  [3229] = 2944,
  [3230] = 2943,
  [3231] = 2942,
  [3232] = 2941,
  [3233] = 2940,
  [3234] = 2939,
  [3235] = 2938,
  [3236] = 2937,
  [3237] = 2929,
  [3238] = 2928,
  [3239] = 2927,
  [3240] = 2894,
  [3241] = 2925,
  [3242] = 2924,
  [3243] = 2923,
  [3244] = 2922,
  [3245] = 2920,
  [3246] = 2919,
  [3247] = 2918,
  [3248] = 2917,
  [3249] = 3249,
  [3250] = 2951,
  [3251] = 2950,
  [3252] = 2949,
  [3253] = 2948,
  [3254] = 2947,
  [3255] = 2946,
  [3256] = 2945,
  [3257] = 2944,
  [3258] = 2943,
  [3259] = 2942,
  [3260] = 2941,
  [3261] = 2940,
  [3262] = 2939,
  [3263] = 2938,
  [3264] = 2937,
  [3265] = 2929,
  [3266] = 2928,
  [3267] = 2927,
  [3268] = 2894,
  [3269] = 2925,
  [3270] = 2924,
  [3271] = 2923,
  [3272] = 2922,
  [3273] = 2920,
  [3274] = 2919,
  [3275] = 2918,
  [3276] = 2917,
  [3277] = 3277,
  [3278] = 2951,
  [3279] = 2950,
  [3280] = 2949,
  [3281] = 2948,
  [3282] = 2947,
  [3283] = 2946,
  [3284] = 2945,
  [3285] = 2944,
  [3286] = 2943,
  [3287] = 2942,
  [3288] = 2941,
  [3289] = 2940,
  [3290] = 2939,
  [3291] = 2938,
  [3292] = 2937,
  [3293] = 2929,
  [3294] = 2928,
  [3295] = 2927,
  [3296] = 2894,
  [3297] = 2925,
  [3298] = 2924,
  [3299] = 2923,
  [3300] = 2922,
  [3301] = 2920,
  [3302] = 2919,
  [3303] = 2918,
  [3304] = 2917,
  [3305] = 3305,
  [3306] = 2921,
  [3307] = 2840,
  [3308] = 3308,
  [3309] = 3309,
  [3310] = 2921,
  [3311] = 2921,
  [3312] = 2921,
  [3313] = 2921,
  [3314] = 2921,
  [3315] = 2921,
  [3316] = 2921,
  [3317] = 2921,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(603);
      ADVANCE_MAP(
        '"', 1082,
        '*', 775,
        '3', 647,
        '4', 649,
        '5', 651,
        '=', 1081,
        '\\', 1024,
        'a', 1215,
        'c', 1219,
        'e', 1211,
        'g', 1214,
        'h', 1225,
        'i', 1199,
        'k', 1202,
        'l', 1203,
        'q', 1227,
        'r', 1204,
        's', 1210,
        't', 1212,
        'w', 1209,
        'x', 1193,
        '|', 1152,
        '1', 647,
        '2', 647,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(579);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1233);
      END_STATE();
    case 1:
      if (lookahead == ' ') ADVANCE(706);
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'd') ADVANCE(24);
      if (lookahead == 'l') ADVANCE(26);
      if (lookahead == 'p') ADVANCE(27);
      END_STATE();
    case 2:
      if (lookahead == ' ') ADVANCE(706);
      if (lookahead == 'a') ADVANCE(23);
      if (lookahead == 'd') ADVANCE(24);
      if (lookahead == 'l') ADVANCE(26);
      if (lookahead == 'p') ADVANCE(27);
      END_STATE();
    case 3:
      if (lookahead == ' ') ADVANCE(706);
      if (lookahead == 'a') ADVANCE(21);
      if (lookahead == 'd') ADVANCE(24);
      if (lookahead == 'l') ADVANCE(26);
      if (lookahead == 'p') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == ' ') ADVANCE(706);
      if (lookahead == 'l') ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == ' ') ADVANCE(725);
      END_STATE();
    case 6:
      if (lookahead == ' ') ADVANCE(725);
      if (lookahead == 'c') ADVANCE(854);
      END_STATE();
    case 7:
      if (lookahead == ' ') ADVANCE(725);
      if (lookahead == 'c') ADVANCE(853);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        ' ', 795,
        '*', 796,
        'd', 307,
        'e', 31,
        'i', 397,
        'k', 32,
        'l', 33,
        'm', 35,
        'p', 36,
        'q', 37,
        'r', 38,
        't', 39,
        'v', 41,
        'w', 42,
      );
      END_STATE();
    case 9:
      ADVANCE_MAP(
        ' ', 795,
        '*', 796,
        'd', 307,
        'e', 31,
        'i', 397,
        'k', 32,
        'l', 33,
        'm', 35,
        'p', 36,
        'q', 37,
        'r', 38,
        't', 39,
        'v', 40,
        'w', 42,
      );
      END_STATE();
    case 10:
      if (lookahead == ' ') ADVANCE(795);
      if (lookahead == 'e') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(397);
      if (lookahead == 'm') ADVANCE(34);
      END_STATE();
    case 11:
      if (lookahead == ' ') ADVANCE(795);
      if (lookahead == 'e') ADVANCE(30);
      if (lookahead == 'm') ADVANCE(34);
      END_STATE();
    case 12:
      if (lookahead == ' ') ADVANCE(723);
      if (lookahead == 'b') ADVANCE(919);
      if (lookahead == 'e') ADVANCE(382);
      if (lookahead == 'q') ADVANCE(50);
      END_STATE();
    case 13:
      if (lookahead == ' ') ADVANCE(723);
      if (lookahead == 'b') ADVANCE(918);
      if (lookahead == 'e') ADVANCE(449);
      END_STATE();
    case 14:
      if (lookahead == ' ') ADVANCE(723);
      if (lookahead == 'b') ADVANCE(918);
      if (lookahead == 'e') ADVANCE(384);
      if (lookahead == 'q') ADVANCE(49);
      END_STATE();
    case 15:
      if (lookahead == ' ') ADVANCE(723);
      if (lookahead == 'e') ADVANCE(449);
      END_STATE();
    case 16:
      if (lookahead == ' ') ADVANCE(723);
      if (lookahead == 'e') ADVANCE(449);
      if (lookahead == 'q') ADVANCE(49);
      END_STATE();
    case 17:
      if (lookahead == ' ') ADVANCE(697);
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'p') ADVANCE(56);
      END_STATE();
    case 18:
      if (lookahead == ' ') ADVANCE(697);
      if (lookahead == 'a') ADVANCE(53);
      if (lookahead == 'p') ADVANCE(55);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        ' ', 823,
        '*', 824,
        'd', 309,
        'k', 58,
        'n', 547,
        'o', 59,
        'q', 62,
        't', 64,
      );
      END_STATE();
    case 20:
      if (lookahead == ' ') ADVANCE(823);
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 21:
      if (lookahead == ' ') ADVANCE(709);
      END_STATE();
    case 22:
      if (lookahead == ' ') ADVANCE(709);
      if (lookahead == '*') ADVANCE(710);
      if (lookahead == 't') ADVANCE(1079);
      END_STATE();
    case 23:
      if (lookahead == ' ') ADVANCE(709);
      if (lookahead == 't') ADVANCE(1078);
      END_STATE();
    case 24:
      if (lookahead == ' ') ADVANCE(712);
      END_STATE();
    case 25:
      if (lookahead == ' ') ADVANCE(708);
      END_STATE();
    case 26:
      if (lookahead == ' ') ADVANCE(708);
      if (lookahead == 's') ADVANCE(738);
      END_STATE();
    case 27:
      if (lookahead == ' ') ADVANCE(711);
      END_STATE();
    case 28:
      if (lookahead == ' ') ADVANCE(799);
      END_STATE();
    case 29:
      if (lookahead == ' ') ADVANCE(799);
      if (lookahead == '*') ADVANCE(800);
      END_STATE();
    case 30:
      if (lookahead == ' ') ADVANCE(797);
      END_STATE();
    case 31:
      if (lookahead == ' ') ADVANCE(797);
      if (lookahead == '*') ADVANCE(798);
      END_STATE();
    case 32:
      if (lookahead == ' ') ADVANCE(807);
      if (lookahead == '*') ADVANCE(808);
      END_STATE();
    case 33:
      if (lookahead == ' ') ADVANCE(809);
      if (lookahead == '*') ADVANCE(810);
      END_STATE();
    case 34:
      if (lookahead == ' ') ADVANCE(821);
      END_STATE();
    case 35:
      if (lookahead == ' ') ADVANCE(821);
      if (lookahead == '*') ADVANCE(822);
      END_STATE();
    case 36:
      if (lookahead == ' ') ADVANCE(813);
      if (lookahead == '*') ADVANCE(814);
      END_STATE();
    case 37:
      if (lookahead == ' ') ADVANCE(803);
      if (lookahead == '*') ADVANCE(804);
      if (lookahead == 'a') ADVANCE(70);
      END_STATE();
    case 38:
      if (lookahead == ' ') ADVANCE(801);
      if (lookahead == '*') ADVANCE(802);
      END_STATE();
    case 39:
      if (lookahead == ' ') ADVANCE(815);
      if (lookahead == '*') ADVANCE(816);
      END_STATE();
    case 40:
      if (lookahead == ' ') ADVANCE(819);
      END_STATE();
    case 41:
      if (lookahead == ' ') ADVANCE(819);
      if (lookahead == '*') ADVANCE(820);
      END_STATE();
    case 42:
      if (lookahead == ' ') ADVANCE(811);
      if (lookahead == '*') ADVANCE(812);
      END_STATE();
    case 43:
      if (lookahead == ' ') ADVANCE(645);
      END_STATE();
    case 44:
      if (lookahead == ' ') ADVANCE(645);
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 45:
      if (lookahead == ' ') ADVANCE(683);
      if (lookahead == 'i') ADVANCE(73);
      if (lookahead == 'q') ADVANCE(74);
      if (lookahead == 't') ADVANCE(671);
      END_STATE();
    case 46:
      if (lookahead == ' ') ADVANCE(682);
      END_STATE();
    case 47:
      if (lookahead == ' ') ADVANCE(682);
      if (lookahead == 'i') ADVANCE(78);
      if (lookahead == 'q') ADVANCE(79);
      if (lookahead == 'r') ADVANCE(80);
      END_STATE();
    case 48:
      if (lookahead == ' ') ADVANCE(717);
      END_STATE();
    case 49:
      if (lookahead == ' ') ADVANCE(845);
      END_STATE();
    case 50:
      if (lookahead == ' ') ADVANCE(845);
      if (lookahead == '*') ADVANCE(846);
      END_STATE();
    case 51:
      if (lookahead == ' ') ADVANCE(724);
      END_STATE();
    case 52:
      if (lookahead == ' ') ADVANCE(722);
      END_STATE();
    case 53:
      if (lookahead == ' ') ADVANCE(702);
      END_STATE();
    case 54:
      if (lookahead == ' ') ADVANCE(702);
      if (lookahead == '*') ADVANCE(703);
      END_STATE();
    case 55:
      if (lookahead == ' ') ADVANCE(704);
      END_STATE();
    case 56:
      if (lookahead == ' ') ADVANCE(704);
      if (lookahead == '*') ADVANCE(705);
      END_STATE();
    case 57:
      if (lookahead == ' ') ADVANCE(827);
      END_STATE();
    case 58:
      if (lookahead == ' ') ADVANCE(827);
      if (lookahead == '*') ADVANCE(828);
      END_STATE();
    case 59:
      if (lookahead == ' ') ADVANCE(825);
      if (lookahead == '*') ADVANCE(826);
      if (lookahead == 'p') ADVANCE(97);
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 60:
      if (lookahead == ' ') ADVANCE(825);
      if (lookahead == 'p') ADVANCE(96);
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 61:
      if (lookahead == ' ') ADVANCE(829);
      END_STATE();
    case 62:
      if (lookahead == ' ') ADVANCE(829);
      if (lookahead == '*') ADVANCE(830);
      END_STATE();
    case 63:
      if (lookahead == ' ') ADVANCE(831);
      END_STATE();
    case 64:
      if (lookahead == ' ') ADVANCE(831);
      if (lookahead == '*') ADVANCE(832);
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 65:
      if (lookahead == ' ') ADVANCE(831);
      if (lookahead == '*') ADVANCE(832);
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 66:
      if (lookahead == ' ') ADVANCE(831);
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 67:
      if (lookahead == ' ') ADVANCE(833);
      END_STATE();
    case 68:
      if (lookahead == ' ') ADVANCE(833);
      if (lookahead == '*') ADVANCE(834);
      END_STATE();
    case 69:
      if (lookahead == ' ') ADVANCE(817);
      if (lookahead == '*') ADVANCE(818);
      END_STATE();
    case 70:
      if (lookahead == ' ') ADVANCE(805);
      if (lookahead == '*') ADVANCE(806);
      END_STATE();
    case 71:
      if (lookahead == ' ') ADVANCE(658);
      END_STATE();
    case 72:
      if (lookahead == ' ') ADVANCE(696);
      END_STATE();
    case 73:
      if (lookahead == ' ') ADVANCE(685);
      END_STATE();
    case 74:
      if (lookahead == ' ') ADVANCE(688);
      END_STATE();
    case 75:
      if (lookahead == ' ') ADVANCE(679);
      END_STATE();
    case 76:
      if (lookahead == ' ') ADVANCE(679);
      if (lookahead == '*') ADVANCE(680);
      END_STATE();
    case 77:
      if (lookahead == ' ') ADVANCE(681);
      END_STATE();
    case 78:
      if (lookahead == ' ') ADVANCE(684);
      END_STATE();
    case 79:
      if (lookahead == ' ') ADVANCE(687);
      END_STATE();
    case 80:
      if (lookahead == ' ') ADVANCE(689);
      END_STATE();
    case 81:
      if (lookahead == ' ') ADVANCE(669);
      END_STATE();
    case 82:
      if (lookahead == ' ') ADVANCE(669);
      if (lookahead == '*') ADVANCE(670);
      END_STATE();
    case 83:
      if (lookahead == ' ') ADVANCE(777);
      END_STATE();
    case 84:
      if (lookahead == ' ') ADVANCE(777);
      if (lookahead == '*') ADVANCE(778);
      END_STATE();
    case 85:
      if (lookahead == ' ') ADVANCE(668);
      END_STATE();
    case 86:
      if (lookahead == ' ') ADVANCE(668);
      if (lookahead == 'l') ADVANCE(103);
      END_STATE();
    case 87:
      if (lookahead == ' ') ADVANCE(668);
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 88:
      if (lookahead == ' ') ADVANCE(659);
      END_STATE();
    case 89:
      if (lookahead == ' ') ADVANCE(659);
      if (lookahead == '*') ADVANCE(660);
      END_STATE();
    case 90:
      if (lookahead == ' ') ADVANCE(666);
      END_STATE();
    case 91:
      if (lookahead == ' ') ADVANCE(665);
      END_STATE();
    case 92:
      if (lookahead == ' ') ADVANCE(843);
      END_STATE();
    case 93:
      if (lookahead == ' ') ADVANCE(843);
      if (lookahead == '*') ADVANCE(844);
      END_STATE();
    case 94:
      if (lookahead == ' ') ADVANCE(841);
      END_STATE();
    case 95:
      if (lookahead == ' ') ADVANCE(841);
      if (lookahead == '*') ADVANCE(842);
      END_STATE();
    case 96:
      if (lookahead == ' ') ADVANCE(837);
      END_STATE();
    case 97:
      if (lookahead == ' ') ADVANCE(837);
      if (lookahead == '*') ADVANCE(838);
      END_STATE();
    case 98:
      if (lookahead == ' ') ADVANCE(839);
      END_STATE();
    case 99:
      if (lookahead == ' ') ADVANCE(839);
      if (lookahead == '*') ADVANCE(840);
      END_STATE();
    case 100:
      if (lookahead == ' ') ADVANCE(835);
      END_STATE();
    case 101:
      if (lookahead == ' ') ADVANCE(835);
      if (lookahead == '*') ADVANCE(836);
      END_STATE();
    case 102:
      if (lookahead == ' ') ADVANCE(779);
      END_STATE();
    case 103:
      if (lookahead == ' ') ADVANCE(779);
      if (lookahead == '*') ADVANCE(780);
      END_STATE();
    case 104:
      if (lookahead == ' ') ADVANCE(657);
      END_STATE();
    case 105:
      if (lookahead == ' ') ADVANCE(667);
      END_STATE();
    case 106:
      if (lookahead == ' ') ADVANCE(662);
      if (lookahead == '1' ||
          lookahead == '2') ADVANCE(673);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(109);
      END_STATE();
    case 107:
      if (lookahead == ' ') ADVANCE(662);
      if (('1' <= lookahead && lookahead <= '3')) ADVANCE(646);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(109);
      END_STATE();
    case 108:
      if (lookahead == ' ') ADVANCE(662);
      if (('1' <= lookahead && lookahead <= '4')) ADVANCE(648);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(109);
      END_STATE();
    case 109:
      if (lookahead == ' ') ADVANCE(662);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(109);
      END_STATE();
    case 110:
      if (lookahead == ' ') ADVANCE(662);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(109);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(650);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '"', 1082,
        'a', 1122,
        'c', 1132,
        'h', 1141,
        'i', 1093,
        'l', 1114,
        'r', 1097,
        's', 1116,
        't', 1117,
        'x', 1085,
        '|', 1152,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1087);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\') ADVANCE(1151);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '"', 1082,
        'e', 1118,
        'h', 1141,
        'i', 1093,
        'l', 1115,
        's', 1119,
        't', 1117,
        'w', 1112,
        'x', 1085,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1102);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 113:
      if (lookahead == '"') ADVANCE(1082);
      if (lookahead == 'g') ADVANCE(1126);
      if (lookahead == 'h') ADVANCE(1141);
      if (lookahead == 'i') ADVANCE(1093);
      if (lookahead == 'l') ADVANCE(1115);
      if (lookahead == 't') ADVANCE(1117);
      if (lookahead == 'x') ADVANCE(1085);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1109);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 114:
      if (lookahead == '"') ADVANCE(1082);
      if (lookahead == 'h') ADVANCE(1141);
      if (lookahead == 'i') ADVANCE(1093);
      if (lookahead == 'l') ADVANCE(1101);
      if (lookahead == 's') ADVANCE(1140);
      if (lookahead == 't') ADVANCE(1117);
      if (lookahead == 'x') ADVANCE(1085);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1110);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 115:
      if (lookahead == '"') ADVANCE(1082);
      if (lookahead == 'h') ADVANCE(1141);
      if (lookahead == 'i') ADVANCE(1093);
      if (lookahead == 'l') ADVANCE(1115);
      if (lookahead == 't') ADVANCE(1117);
      if (lookahead == 'x') ADVANCE(1085);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1111);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\') ADVANCE(1151);
      END_STATE();
    case 116:
      if (lookahead == '"') ADVANCE(1082);
      if (lookahead == 'l') ADVANCE(1133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1127);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 117:
      if (lookahead == '"') ADVANCE(1082);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1150);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 118:
      if (lookahead == '*') ADVANCE(775);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(650);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(644);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '*', 1067,
        '+', 264,
        'a', 342,
        'b', 324,
        'c', 253,
        'd', 305,
        'e', 446,
        'f', 418,
        'i', 346,
        'j', 448,
        'k', 122,
        'l', 411,
        'n', 325,
        'o', 504,
        'p', 457,
        'q', 543,
        'r', 288,
        's', 306,
        't', 437,
        'v', 258,
        'w', 124,
        'x', 127,
        'z', 577,
      );
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '*', 1067,
        '+', 500,
        'c', 256,
        'f', 417,
        'k', 122,
        'l', 414,
        'r', 287,
        'w', 123,
        'x', 126,
      );
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '*', 796,
        'd', 307,
        'e', 137,
        'i', 397,
        'k', 32,
        'l', 33,
        'm', 138,
        'p', 36,
        'q', 37,
        'r', 38,
        't', 39,
        'v', 40,
        'w', 42,
      );
      END_STATE();
    case 122:
      if (lookahead == '*') ADVANCE(859);
      END_STATE();
    case 123:
      if (lookahead == '*') ADVANCE(923);
      END_STATE();
    case 124:
      if (lookahead == '*') ADVANCE(923);
      if (lookahead == 'a') ADVANCE(149);
      if (lookahead == 'g') ADVANCE(150);
      if (lookahead == 'h') ADVANCE(151);
      if (lookahead == 'j') ADVANCE(152);
      END_STATE();
    case 125:
      if (lookahead == '*') ADVANCE(824);
      if (lookahead == 'd') ADVANCE(311);
      if (lookahead == 'k') ADVANCE(57);
      if (lookahead == 'n') ADVANCE(554);
      if (lookahead == 'o') ADVANCE(60);
      if (lookahead == 'q') ADVANCE(61);
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 126:
      if (lookahead == '*') ADVANCE(824);
      if (lookahead == 'd') ADVANCE(311);
      if (lookahead == 'k') ADVANCE(57);
      if (lookahead == 'n') ADVANCE(554);
      if (lookahead == 'o') ADVANCE(60);
      if (lookahead == 'q') ADVANCE(61);
      if (lookahead == 't') ADVANCE(65);
      END_STATE();
    case 127:
      if (lookahead == '*') ADVANCE(824);
      if (lookahead == 'd') ADVANCE(309);
      if (lookahead == 'k') ADVANCE(58);
      if (lookahead == 'n') ADVANCE(547);
      if (lookahead == 'o') ADVANCE(59);
      if (lookahead == 'q') ADVANCE(62);
      if (lookahead == 't') ADVANCE(64);
      END_STATE();
    case 128:
      if (lookahead == '*') ADVANCE(944);
      END_STATE();
    case 129:
      if (lookahead == '*') ADVANCE(1007);
      END_STATE();
    case 130:
      if (lookahead == '*') ADVANCE(1007);
      if (lookahead == 'a') ADVANCE(166);
      if (lookahead == 'g') ADVANCE(167);
      if (lookahead == 'h') ADVANCE(168);
      if (lookahead == 'j') ADVANCE(169);
      END_STATE();
    case 131:
      if (lookahead == '*') ADVANCE(896);
      if (lookahead == 'i') ADVANCE(555);
      END_STATE();
    case 132:
      if (lookahead == '*') ADVANCE(852);
      END_STATE();
    case 133:
      if (lookahead == '*') ADVANCE(710);
      if (lookahead == 't') ADVANCE(1078);
      END_STATE();
    case 134:
      if (lookahead == '*') ADVANCE(855);
      END_STATE();
    case 135:
      if (lookahead == '*') ADVANCE(800);
      END_STATE();
    case 136:
      if (lookahead == '*') ADVANCE(893);
      END_STATE();
    case 137:
      if (lookahead == '*') ADVANCE(798);
      END_STATE();
    case 138:
      if (lookahead == '*') ADVANCE(822);
      END_STATE();
    case 139:
      if (lookahead == '*') ADVANCE(820);
      END_STATE();
    case 140:
      if (lookahead == '*') ADVANCE(899);
      END_STATE();
    case 141:
      if (lookahead == '*') ADVANCE(862);
      if (lookahead == 'x') ADVANCE(175);
      END_STATE();
    case 142:
      if (lookahead == '*') ADVANCE(905);
      END_STATE();
    case 143:
      if (lookahead == '*') ADVANCE(868);
      if (lookahead == 'g') ADVANCE(177);
      END_STATE();
    case 144:
      if (lookahead == '*') ADVANCE(920);
      END_STATE();
    case 145:
      if (lookahead == '*') ADVANCE(846);
      END_STATE();
    case 146:
      if (lookahead == '*') ADVANCE(908);
      END_STATE();
    case 147:
      if (lookahead == '*') ADVANCE(703);
      END_STATE();
    case 148:
      if (lookahead == '*') ADVANCE(705);
      END_STATE();
    case 149:
      if (lookahead == '*') ADVANCE(932);
      END_STATE();
    case 150:
      if (lookahead == '*') ADVANCE(926);
      END_STATE();
    case 151:
      if (lookahead == '*') ADVANCE(929);
      END_STATE();
    case 152:
      if (lookahead == '*') ADVANCE(890);
      END_STATE();
    case 153:
      if (lookahead == '*') ADVANCE(1072);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(153);
      END_STATE();
    case 154:
      if (lookahead == '*') ADVANCE(980);
      if (lookahead == 'i') ADVANCE(556);
      END_STATE();
    case 155:
      if (lookahead == '*') ADVANCE(938);
      END_STATE();
    case 156:
      if (lookahead == '*') ADVANCE(941);
      END_STATE();
    case 157:
      if (lookahead == '*') ADVANCE(977);
      END_STATE();
    case 158:
      if (lookahead == '*') ADVANCE(983);
      END_STATE();
    case 159:
      if (lookahead == '*') ADVANCE(947);
      if (lookahead == 'x') ADVANCE(184);
      END_STATE();
    case 160:
      if (lookahead == '*') ADVANCE(989);
      END_STATE();
    case 161:
      if (lookahead == '*') ADVANCE(953);
      if (lookahead == 'g') ADVANCE(186);
      END_STATE();
    case 162:
      if (lookahead == '*') ADVANCE(962);
      END_STATE();
    case 163:
      if (lookahead == '*') ADVANCE(1004);
      END_STATE();
    case 164:
      if (lookahead == '*') ADVANCE(992);
      END_STATE();
    case 165:
      if (lookahead == '*') ADVANCE(971);
      END_STATE();
    case 166:
      if (lookahead == '*') ADVANCE(1016);
      END_STATE();
    case 167:
      if (lookahead == '*') ADVANCE(1010);
      END_STATE();
    case 168:
      if (lookahead == '*') ADVANCE(1013);
      END_STATE();
    case 169:
      if (lookahead == '*') ADVANCE(974);
      END_STATE();
    case 170:
      if (lookahead == '*') ADVANCE(849);
      if (lookahead == 'p') ADVANCE(465);
      END_STATE();
    case 171:
      if (lookahead == '*') ADVANCE(1080);
      END_STATE();
    case 172:
      if (lookahead == '*') ADVANCE(680);
      END_STATE();
    case 173:
      if (lookahead == '*') ADVANCE(670);
      END_STATE();
    case 174:
      if (lookahead == '*') ADVANCE(778);
      END_STATE();
    case 175:
      if (lookahead == '*') ADVANCE(914);
      END_STATE();
    case 176:
      if (lookahead == '*') ADVANCE(865);
      END_STATE();
    case 177:
      if (lookahead == '*') ADVANCE(871);
      END_STATE();
    case 178:
      if (lookahead == '*') ADVANCE(917);
      END_STATE();
    case 179:
      if (lookahead == '*') ADVANCE(660);
      END_STATE();
    case 180:
      if (lookahead == '*') ADVANCE(881);
      END_STATE();
    case 181:
      if (lookahead == '*') ADVANCE(884);
      END_STATE();
    case 182:
      if (lookahead == '*') ADVANCE(911);
      END_STATE();
    case 183:
      if (lookahead == '*') ADVANCE(935);
      if (lookahead == 'p') ADVANCE(466);
      END_STATE();
    case 184:
      if (lookahead == '*') ADVANCE(998);
      END_STATE();
    case 185:
      if (lookahead == '*') ADVANCE(950);
      END_STATE();
    case 186:
      if (lookahead == '*') ADVANCE(956);
      END_STATE();
    case 187:
      if (lookahead == '*') ADVANCE(1001);
      END_STATE();
    case 188:
      if (lookahead == '*') ADVANCE(965);
      END_STATE();
    case 189:
      if (lookahead == '*') ADVANCE(968);
      END_STATE();
    case 190:
      if (lookahead == '*') ADVANCE(995);
      END_STATE();
    case 191:
      if (lookahead == '*') ADVANCE(902);
      END_STATE();
    case 192:
      if (lookahead == '*') ADVANCE(780);
      END_STATE();
    case 193:
      if (lookahead == '*') ADVANCE(986);
      END_STATE();
    case 194:
      if (lookahead == '*') ADVANCE(874);
      END_STATE();
    case 195:
      if (lookahead == '*') ADVANCE(959);
      END_STATE();
    case 196:
      if (lookahead == '*') ADVANCE(878);
      END_STATE();
    case 197:
      if (lookahead == '*') ADVANCE(887);
      END_STATE();
    case 198:
      if (lookahead == '*') ADVANCE(1018);
      END_STATE();
    case 199:
      if (lookahead == '*') ADVANCE(1020);
      END_STATE();
    case 200:
      if (lookahead == '*') ADVANCE(1022);
      END_STATE();
    case 201:
      if (lookahead == '*') ADVANCE(765);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '+', 260,
        'a', 337,
        'b', 314,
        'c', 256,
        'd', 290,
        'e', 371,
        'f', 8,
        'i', 522,
        'j', 440,
        'k', 856,
        'n', 315,
        'o', 499,
        'p', 453,
        'q', 262,
        'r', 283,
        's', 291,
        't', 430,
        'w', 921,
        'x', 19,
      );
      END_STATE();
    case 203:
      if (lookahead == '+') ADVANCE(425);
      if (lookahead == 'f') ADVANCE(417);
      END_STATE();
    case 204:
      if (lookahead == '+') ADVANCE(425);
      if (lookahead == 'j') ADVANCE(448);
      END_STATE();
    case 205:
      if (lookahead == '+') ADVANCE(559);
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'w') ADVANCE(123);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '+', 266,
        'a', 344,
        'b', 329,
        'c', 256,
        'd', 299,
        'e', 396,
        'f', 121,
        'i', 532,
        'j', 440,
        'k', 856,
        'n', 330,
        'o', 505,
        'p', 459,
        'q', 537,
        'r', 282,
        's', 301,
        't', 428,
        'w', 922,
        'x', 127,
      );
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '+', 266,
        'a', 344,
        'b', 329,
        'c', 256,
        'd', 299,
        'e', 396,
        'f', 121,
        'i', 532,
        'j', 440,
        'k', 856,
        'n', 330,
        'o', 505,
        'p', 459,
        'q', 537,
        'r', 282,
        's', 301,
        't', 428,
        'w', 922,
        'x', 549,
      );
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '+', 259,
        'a', 342,
        'b', 324,
        'd', 305,
        'e', 390,
        'f', 10,
        'i', 542,
        'j', 448,
        'n', 325,
        'o', 504,
        'p', 457,
        'q', 263,
        'r', 496,
        's', 306,
        't', 437,
        'w', 124,
        'x', 20,
      );
      END_STATE();
    case 209:
      if (lookahead == '+') ADVANCE(265);
      if (lookahead == 'e') ADVANCE(385);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'k') ADVANCE(122);
      if (lookahead == 'r') ADVANCE(496);
      if (lookahead == 'x') ADVANCE(20);
      END_STATE();
    case 210:
      if (lookahead == '-') ADVANCE(1190);
      END_STATE();
    case 211:
      if (lookahead == '-') ADVANCE(350);
      if (lookahead == 'c') ADVANCE(790);
      if (lookahead == 'h') ADVANCE(784);
      if (lookahead == 'l') ADVANCE(885);
      if (lookahead == 'o') ADVANCE(295);
      if (lookahead == 'r') ADVANCE(781);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 212:
      if (lookahead == '-') ADVANCE(350);
      if (lookahead == 'c') ADVANCE(790);
      if (lookahead == 'h') ADVANCE(784);
      if (lookahead == 'l') ADVANCE(885);
      if (lookahead == 'r') ADVANCE(781);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 213:
      if (lookahead == '-') ADVANCE(350);
      if (lookahead == 'c') ADVANCE(790);
      if (lookahead == 'h') ADVANCE(784);
      if (lookahead == 'r') ADVANCE(781);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 214:
      if (lookahead == '-') ADVANCE(350);
      if (lookahead == 'l') ADVANCE(885);
      if (lookahead == 'o') ADVANCE(295);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 215:
      if (lookahead == '-') ADVANCE(350);
      if (lookahead == 'l') ADVANCE(885);
      if (lookahead == 'r') ADVANCE(781);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 216:
      if (lookahead == '-') ADVANCE(350);
      if (lookahead == 'l') ADVANCE(885);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 217:
      if (lookahead == '-') ADVANCE(350);
      if (lookahead == 'o') ADVANCE(295);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 218:
      if (lookahead == '-') ADVANCE(350);
      if (lookahead == 'r') ADVANCE(781);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 219:
      if (lookahead == '-') ADVANCE(350);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 220:
      if (lookahead == '-') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 221:
      if (lookahead == '-') ADVANCE(407);
      END_STATE();
    case 222:
      if (lookahead == '-') ADVANCE(1189);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '\\', 119,
        'a', 436,
        'c', 474,
        'e', 421,
        'g', 433,
        'h', 502,
        'i', 323,
        'k', 355,
        'l', 366,
        'q', 529,
        'r', 364,
        's', 410,
        't', 423,
        'w', 408,
        'x', 210,
        '|', 1152,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(699);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '\\', 119,
        'a', 436,
        'c', 474,
        'e', 421,
        'g', 433,
        'h', 502,
        'i', 323,
        'k', 355,
        'l', 366,
        'r', 364,
        's', 410,
        't', 422,
        'w', 408,
        'x', 210,
        '|', 1152,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(699);
      END_STATE();
    case 225:
      if (lookahead == '\\') ADVANCE(1036);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 226:
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 227:
      if (lookahead == '\\') ADVANCE(208);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 228:
      if (lookahead == '\\') ADVANCE(1051);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 229:
      if (lookahead == '\\') ADVANCE(209);
      if (lookahead == 'k') ADVANCE(622);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(632);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 230:
      if (lookahead == '\\') ADVANCE(1030);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '\\', 120,
        'a', 436,
        'c', 474,
        'h', 502,
        'i', 323,
        'l', 416,
        'r', 364,
        's', 413,
        't', 422,
        'x', 210,
        '|', 1152,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      END_STATE();
    case 232:
      if (lookahead == '\\') ADVANCE(205);
      if (lookahead == 'h') ADVANCE(502);
      if (lookahead == 'i') ADVANCE(323);
      if (lookahead == 'l') ADVANCE(365);
      if (lookahead == 's') ADVANCE(506);
      if (lookahead == 't') ADVANCE(422);
      if (lookahead == 'x') ADVANCE(210);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      END_STATE();
    case 233:
      if (lookahead == '\\') ADVANCE(204);
      if (lookahead == 'h') ADVANCE(502);
      if (lookahead == 'i') ADVANCE(323);
      if (lookahead == 'l') ADVANCE(415);
      if (lookahead == 't') ADVANCE(422);
      if (lookahead == 'x') ADVANCE(222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      END_STATE();
    case 234:
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 235:
      if (lookahead == '\\') ADVANCE(1040);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 236:
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 237:
      if (lookahead == '\\') ADVANCE(1055);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 238:
      if (lookahead == '\\') ADVANCE(1044);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 239:
      if (lookahead == '\\') ADVANCE(1052);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 240:
      if (lookahead == '\\') ADVANCE(1031);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 241:
      if (lookahead == '\\') ADVANCE(1029);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 242:
      if (lookahead == '\\') ADVANCE(1039);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 243:
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == 'h') ADVANCE(636);
      if (lookahead == 'i') ADVANCE(617);
      if (lookahead == 'l') ADVANCE(628);
      if (lookahead == 't') ADVANCE(629);
      if (lookahead == 'x') ADVANCE(615);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(626);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 244:
      if (lookahead == '\\') ADVANCE(1042);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 245:
      if (lookahead == '\\') ADVANCE(1026);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 246:
      if (lookahead == '\\') ADVANCE(1053);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      END_STATE();
    case 247:
      if (lookahead == '\\') ADVANCE(1038);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 248:
      if (lookahead == '\\') ADVANCE(1045);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 249:
      if (lookahead == '\\') ADVANCE(1025);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 250:
      if (lookahead == '\\') ADVANCE(1041);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 251:
      if (lookahead == '\\') ADVANCE(1043);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 252:
      if (lookahead == '\\') ADVANCE(1054);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      END_STATE();
    case 253:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 254:
      if (lookahead == 'a') ADVANCE(1156);
      END_STATE();
    case 255:
      if (lookahead == 'a') ADVANCE(294);
      if (lookahead == 's') ADVANCE(760);
      if (lookahead == 't') ADVANCE(877);
      END_STATE();
    case 256:
      if (lookahead == 'a') ADVANCE(531);
      END_STATE();
    case 257:
      if (lookahead == 'a') ADVANCE(531);
      if (lookahead == 'l') ADVANCE(511);
      END_STATE();
    case 258:
      if (lookahead == 'a') ADVANCE(147);
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 259:
      ADVANCE_MAP(
        'a', 341,
        'b', 316,
        'd', 292,
        'e', 441,
        'i', 525,
        'j', 445,
        'k', 943,
        'n', 317,
        'o', 501,
        'p', 454,
        'q', 526,
        'r', 278,
        's', 293,
        't', 429,
        'w', 1005,
      );
      END_STATE();
    case 260:
      ADVANCE_MAP(
        'a', 341,
        'b', 316,
        'd', 292,
        'e', 441,
        'i', 525,
        'j', 445,
        'k', 943,
        'n', 317,
        'o', 501,
        'p', 454,
        'q', 526,
        'r', 278,
        's', 293,
        't', 429,
        'w', 1005,
        'x', 545,
      );
      END_STATE();
    case 261:
      ADVANCE_MAP(
        'a', 341,
        'b', 316,
        'd', 292,
        'e', 441,
        'i', 525,
        'j', 445,
        'k', 943,
        'n', 317,
        'o', 501,
        'p', 454,
        'q', 526,
        'r', 278,
        's', 293,
        't', 429,
        'w', 1005,
        'x', 551,
      );
      END_STATE();
    case 262:
      if (lookahead == 'a') ADVANCE(312);
      if (lookahead == 't') ADVANCE(876);
      END_STATE();
    case 263:
      if (lookahead == 'a') ADVANCE(312);
      if (lookahead == 't') ADVANCE(196);
      END_STATE();
    case 264:
      ADVANCE_MAP(
        'a', 343,
        'b', 338,
        'd', 308,
        'e', 451,
        'i', 548,
        'j', 452,
        'k', 128,
        'n', 339,
        'o', 509,
        'p', 463,
        'q', 550,
        'r', 289,
        's', 310,
        't', 438,
        'w', 130,
      );
      END_STATE();
    case 265:
      ADVANCE_MAP(
        'a', 345,
        'b', 333,
        'd', 302,
        'e', 443,
        'i', 534,
        'j', 445,
        'k', 942,
        'n', 334,
        'o', 507,
        'p', 461,
        'q', 535,
        'r', 285,
        's', 303,
        't', 431,
        'w', 1006,
      );
      END_STATE();
    case 266:
      ADVANCE_MAP(
        'a', 345,
        'b', 333,
        'd', 302,
        'e', 443,
        'i', 534,
        'j', 445,
        'k', 942,
        'n', 334,
        'o', 507,
        'p', 461,
        'q', 535,
        'r', 285,
        's', 303,
        't', 431,
        'w', 1006,
        'x', 545,
      );
      END_STATE();
    case 267:
      ADVANCE_MAP(
        'a', 345,
        'b', 333,
        'd', 302,
        'e', 443,
        'i', 534,
        'j', 445,
        'k', 942,
        'n', 334,
        'o', 507,
        'p', 461,
        'q', 535,
        'r', 285,
        's', 303,
        't', 431,
        'w', 1006,
        'x', 551,
      );
      END_STATE();
    case 268:
      if (lookahead == 'a') ADVANCE(557);
      END_STATE();
    case 269:
      ADVANCE_MAP(
        'b', 690,
        'd', 44,
        'e', 695,
        'l', 409,
        'm', 45,
        'o', 675,
        'p', 47,
        'q', 692,
        's', 674,
        't', 898,
      );
      END_STATE();
    case 270:
      ADVANCE_MAP(
        'b', 690,
        'd', 368,
        'e', 695,
        'l', 409,
        'm', 45,
        'o', 678,
        'p', 47,
        'q', 691,
        's', 674,
      );
      END_STATE();
    case 271:
      ADVANCE_MAP(
        'b', 690,
        'd', 368,
        'e', 695,
        'l', 409,
        'm', 45,
        'o', 678,
        'p', 47,
        'q', 691,
        's', 674,
        't', 897,
      );
      END_STATE();
    case 272:
      ADVANCE_MAP(
        'b', 690,
        'e', 695,
        'l', 409,
        'm', 45,
        'o', 678,
        'p', 47,
        'q', 691,
        's', 674,
      );
      END_STATE();
    case 273:
      ADVANCE_MAP(
        'b', 690,
        'e', 695,
        'l', 409,
        'm', 45,
        'o', 677,
        'p', 47,
        'q', 693,
        's', 674,
        't', 897,
      );
      END_STATE();
    case 274:
      ADVANCE_MAP(
        'b', 690,
        'e', 695,
        'l', 409,
        'm', 45,
        'o', 676,
        'p', 47,
        'q', 694,
        's', 674,
      );
      END_STATE();
    case 275:
      if (lookahead == 'b') ADVANCE(745);
      END_STATE();
    case 276:
      if (lookahead == 'b') ADVANCE(745);
      if (lookahead == 'd') ADVANCE(860);
      if (lookahead == 'o') ADVANCE(904);
      END_STATE();
    case 277:
      if (lookahead == 'b') ADVANCE(745);
      if (lookahead == 'd') ADVANCE(861);
      if (lookahead == 'o') ADVANCE(903);
      END_STATE();
    case 278:
      if (lookahead == 'b') ADVANCE(1003);
      END_STATE();
    case 279:
      if (lookahead == 'b') ADVANCE(1074);
      END_STATE();
    case 280:
      if (lookahead == 'b') ADVANCE(918);
      if (lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 281:
      if (lookahead == 'b') ADVANCE(918);
      if (lookahead == 'e') ADVANCE(384);
      if (lookahead == 'q') ADVANCE(49);
      END_STATE();
    case 282:
      if (lookahead == 'b') ADVANCE(918);
      if (lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 283:
      if (lookahead == 'b') ADVANCE(918);
      if (lookahead == 'e') ADVANCE(383);
      if (lookahead == 'q') ADVANCE(49);
      END_STATE();
    case 284:
      if (lookahead == 'b') ADVANCE(1073);
      END_STATE();
    case 285:
      if (lookahead == 'b') ADVANCE(1002);
      END_STATE();
    case 286:
      if (lookahead == 'b') ADVANCE(352);
      END_STATE();
    case 287:
      if (lookahead == 'b') ADVANCE(144);
      if (lookahead == 'e') ADVANCE(394);
      END_STATE();
    case 288:
      if (lookahead == 'b') ADVANCE(144);
      if (lookahead == 'e') ADVANCE(394);
      if (lookahead == 'q') ADVANCE(145);
      END_STATE();
    case 289:
      if (lookahead == 'b') ADVANCE(163);
      END_STATE();
    case 290:
      if (lookahead == 'c') ADVANCE(854);
      END_STATE();
    case 291:
      if (lookahead == 'c') ADVANCE(907);
      if (lookahead == 'i') ADVANCE(398);
      if (lookahead == 'l') ADVANCE(512);
      if (lookahead == 'u') ADVANCE(480);
      END_STATE();
    case 292:
      if (lookahead == 'c') ADVANCE(940);
      END_STATE();
    case 293:
      if (lookahead == 'c') ADVANCE(991);
      if (lookahead == 'i') ADVANCE(399);
      if (lookahead == 'l') ADVANCE(513);
      if (lookahead == 'u') ADVANCE(482);
      END_STATE();
    case 294:
      if (lookahead == 'c') ADVANCE(764);
      END_STATE();
    case 295:
      if (lookahead == 'c') ADVANCE(663);
      END_STATE();
    case 296:
      if (lookahead == 'c') ADVANCE(1245);
      END_STATE();
    case 297:
      if (lookahead == 'c') ADVANCE(1240);
      END_STATE();
    case 298:
      if (lookahead == 'c') ADVANCE(1162);
      END_STATE();
    case 299:
      if (lookahead == 'c') ADVANCE(853);
      END_STATE();
    case 300:
      if (lookahead == 'c') ADVANCE(906);
      if (lookahead == 'i') ADVANCE(401);
      if (lookahead == 'l') ADVANCE(515);
      if (lookahead == 't') ADVANCE(519);
      if (lookahead == 'u') ADVANCE(483);
      END_STATE();
    case 301:
      if (lookahead == 'c') ADVANCE(906);
      if (lookahead == 'i') ADVANCE(401);
      if (lookahead == 'l') ADVANCE(515);
      if (lookahead == 'u') ADVANCE(483);
      END_STATE();
    case 302:
      if (lookahead == 'c') ADVANCE(939);
      END_STATE();
    case 303:
      if (lookahead == 'c') ADVANCE(990);
      if (lookahead == 'i') ADVANCE(402);
      if (lookahead == 'l') ADVANCE(516);
      if (lookahead == 'u') ADVANCE(484);
      END_STATE();
    case 304:
      if (lookahead == 'c') ADVANCE(1238);
      END_STATE();
    case 305:
      if (lookahead == 'c') ADVANCE(134);
      END_STATE();
    case 306:
      if (lookahead == 'c') ADVANCE(146);
      if (lookahead == 'i') ADVANCE(404);
      if (lookahead == 'l') ADVANCE(520);
      if (lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 307:
      if (lookahead == 'c') ADVANCE(69);
      END_STATE();
    case 308:
      if (lookahead == 'c') ADVANCE(156);
      END_STATE();
    case 309:
      if (lookahead == 'c') ADVANCE(93);
      END_STATE();
    case 310:
      if (lookahead == 'c') ADVANCE(164);
      if (lookahead == 'i') ADVANCE(405);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'u') ADVANCE(495);
      END_STATE();
    case 311:
      if (lookahead == 'c') ADVANCE(92);
      END_STATE();
    case 312:
      if (lookahead == 'c') ADVANCE(201);
      END_STATE();
    case 313:
      if (lookahead == 'c') ADVANCE(434);
      END_STATE();
    case 314:
      if (lookahead == 'd') ADVANCE(894);
      if (lookahead == 'k') ADVANCE(851);
      END_STATE();
    case 315:
      if (lookahead == 'd') ADVANCE(860);
      if (lookahead == 'o') ADVANCE(904);
      END_STATE();
    case 316:
      if (lookahead == 'd') ADVANCE(978);
      if (lookahead == 'k') ADVANCE(937);
      END_STATE();
    case 317:
      if (lookahead == 'd') ADVANCE(945);
      if (lookahead == 'o') ADVANCE(988);
      END_STATE();
    case 318:
      if (lookahead == 'd') ADVANCE(847);
      END_STATE();
    case 319:
      if (lookahead == 'd') ADVANCE(864);
      END_STATE();
    case 320:
      if (lookahead == 'd') ADVANCE(933);
      END_STATE();
    case 321:
      if (lookahead == 'd') ADVANCE(949);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(1174);
      END_STATE();
    case 323:
      if (lookahead == 'd') ADVANCE(1185);
      END_STATE();
    case 324:
      if (lookahead == 'd') ADVANCE(131);
      if (lookahead == 'k') ADVANCE(132);
      END_STATE();
    case 325:
      if (lookahead == 'd') ADVANCE(141);
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 326:
      if (lookahead == 'd') ADVANCE(1257);
      END_STATE();
    case 327:
      if (lookahead == 'd') ADVANCE(1254);
      if (lookahead == 'z') ADVANCE(356);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(170);
      END_STATE();
    case 329:
      if (lookahead == 'd') ADVANCE(895);
      if (lookahead == 'k') ADVANCE(850);
      END_STATE();
    case 330:
      if (lookahead == 'd') ADVANCE(861);
      if (lookahead == 'o') ADVANCE(903);
      END_STATE();
    case 331:
      if (lookahead == 'd') ADVANCE(848);
      END_STATE();
    case 332:
      if (lookahead == 'd') ADVANCE(863);
      END_STATE();
    case 333:
      if (lookahead == 'd') ADVANCE(979);
      if (lookahead == 'k') ADVANCE(936);
      END_STATE();
    case 334:
      if (lookahead == 'd') ADVANCE(946);
      if (lookahead == 'o') ADVANCE(987);
      END_STATE();
    case 335:
      if (lookahead == 'd') ADVANCE(934);
      END_STATE();
    case 336:
      if (lookahead == 'd') ADVANCE(948);
      END_STATE();
    case 337:
      if (lookahead == 'd') ADVANCE(318);
      END_STATE();
    case 338:
      if (lookahead == 'd') ADVANCE(154);
      if (lookahead == 'k') ADVANCE(155);
      END_STATE();
    case 339:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'o') ADVANCE(160);
      END_STATE();
    case 340:
      if (lookahead == 'd') ADVANCE(183);
      END_STATE();
    case 341:
      if (lookahead == 'd') ADVANCE(320);
      END_STATE();
    case 342:
      if (lookahead == 'd') ADVANCE(328);
      END_STATE();
    case 343:
      if (lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 344:
      if (lookahead == 'd') ADVANCE(331);
      END_STATE();
    case 345:
      if (lookahead == 'd') ADVANCE(335);
      END_STATE();
    case 346:
      if (lookahead == 'd') ADVANCE(43);
      if (lookahead == 'o') ADVANCE(508);
      if (lookahead == 'q') ADVANCE(553);
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 347:
      if (lookahead == 'd') ADVANCE(176);
      END_STATE();
    case 348:
      if (lookahead == 'd') ADVANCE(185);
      END_STATE();
    case 349:
      if (lookahead == 'e') ADVANCE(695);
      if (lookahead == 'm') ADVANCE(544);
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 'q') ADVANCE(546);
      if (lookahead == 't') ADVANCE(897);
      END_STATE();
    case 350:
      if (lookahead == 'e') ADVANCE(1069);
      if (lookahead == 's') ADVANCE(1068);
      END_STATE();
    case 351:
      if (lookahead == 'e') ADVANCE(715);
      END_STATE();
    case 352:
      if (lookahead == 'e') ADVANCE(1075);
      END_STATE();
    case 353:
      if (lookahead == 'e') ADVANCE(672);
      END_STATE();
    case 354:
      if (lookahead == 'e') ADVANCE(1171);
      END_STATE();
    case 355:
      if (lookahead == 'e') ADVANCE(561);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(1242);
      END_STATE();
    case 357:
      if (lookahead == 'e') ADVANCE(1181);
      END_STATE();
    case 358:
      if (lookahead == 'e') ADVANCE(560);
      if (lookahead == 'p') ADVANCE(46);
      END_STATE();
    case 359:
      if (lookahead == 'e') ADVANCE(560);
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 't') ADVANCE(897);
      END_STATE();
    case 360:
      if (lookahead == 'e') ADVANCE(449);
      END_STATE();
    case 361:
      if (lookahead == 'e') ADVANCE(449);
      if (lookahead == 'q') ADVANCE(49);
      END_STATE();
    case 362:
      if (lookahead == 'e') ADVANCE(378);
      END_STATE();
    case 363:
      if (lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 364:
      if (lookahead == 'e') ADVANCE(379);
      END_STATE();
    case 365:
      if (lookahead == 'e') ADVANCE(447);
      if (lookahead == 'i') ADVANCE(458);
      END_STATE();
    case 366:
      if (lookahead == 'e') ADVANCE(447);
      if (lookahead == 'i') ADVANCE(458);
      if (lookahead == 'o') ADVANCE(296);
      END_STATE();
    case 367:
      if (lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 368:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 369:
      if (lookahead == 'e') ADVANCE(395);
      if (lookahead == 'q') ADVANCE(145);
      END_STATE();
    case 370:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 371:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(892);
      END_STATE();
    case 372:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(892);
      if (lookahead == 's') ADVANCE(279);
      END_STATE();
    case 373:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(892);
      if (lookahead == 's') ADVANCE(286);
      END_STATE();
    case 374:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(891);
      if (lookahead == 's') ADVANCE(286);
      END_STATE();
    case 375:
      if (lookahead == 'f') ADVANCE(769);
      if (lookahead == 'h') ADVANCE(768);
      if (lookahead == 'i') ADVANCE(770);
      END_STATE();
    case 376:
      if (lookahead == 'f') ADVANCE(769);
      if (lookahead == 'h') ADVANCE(768);
      if (lookahead == 'i') ADVANCE(773);
      END_STATE();
    case 377:
      if (lookahead == 'f') ADVANCE(769);
      if (lookahead == 'h') ADVANCE(768);
      if (lookahead == 'i') ADVANCE(771);
      END_STATE();
    case 378:
      if (lookahead == 'f') ADVANCE(1168);
      END_STATE();
    case 379:
      if (lookahead == 'f') ADVANCE(1251);
      END_STATE();
    case 380:
      if (lookahead == 'f') ADVANCE(1177);
      END_STATE();
    case 381:
      if (lookahead == 'f') ADVANCE(450);
      END_STATE();
    case 382:
      if (lookahead == 'f') ADVANCE(89);
      if (lookahead == 'm') ADVANCE(90);
      if (lookahead == 's') ADVANCE(540);
      END_STATE();
    case 383:
      if (lookahead == 'f') ADVANCE(88);
      END_STATE();
    case 384:
      if (lookahead == 'f') ADVANCE(88);
      if (lookahead == 'm') ADVANCE(90);
      if (lookahead == 's') ADVANCE(540);
      END_STATE();
    case 385:
      if (lookahead == 'f') ADVANCE(28);
      END_STATE();
    case 386:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 'm') ADVANCE(892);
      if (lookahead == 's') ADVANCE(286);
      END_STATE();
    case 387:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 'm') ADVANCE(891);
      END_STATE();
    case 388:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 'm') ADVANCE(891);
      if (lookahead == 's') ADVANCE(286);
      END_STATE();
    case 389:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 'm') ADVANCE(891);
      if (lookahead == 's') ADVANCE(284);
      END_STATE();
    case 390:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 'm') ADVANCE(136);
      END_STATE();
    case 391:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 's') ADVANCE(279);
      END_STATE();
    case 392:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 's') ADVANCE(286);
      END_STATE();
    case 393:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 's') ADVANCE(284);
      END_STATE();
    case 394:
      if (lookahead == 'f') ADVANCE(179);
      END_STATE();
    case 395:
      if (lookahead == 'f') ADVANCE(179);
      if (lookahead == 'm') ADVANCE(90);
      if (lookahead == 's') ADVANCE(540);
      END_STATE();
    case 396:
      if (lookahead == 'f') ADVANCE(135);
      if (lookahead == 'm') ADVANCE(891);
      END_STATE();
    case 397:
      if (lookahead == 'g') ADVANCE(1017);
      END_STATE();
    case 398:
      if (lookahead == 'g') ADVANCE(880);
      END_STATE();
    case 399:
      if (lookahead == 'g') ADVANCE(964);
      END_STATE();
    case 400:
      if (lookahead == 'g') ADVANCE(1159);
      END_STATE();
    case 401:
      if (lookahead == 'g') ADVANCE(879);
      END_STATE();
    case 402:
      if (lookahead == 'g') ADVANCE(963);
      END_STATE();
    case 403:
      if (lookahead == 'g') ADVANCE(198);
      END_STATE();
    case 404:
      if (lookahead == 'g') ADVANCE(180);
      END_STATE();
    case 405:
      if (lookahead == 'g') ADVANCE(188);
      END_STATE();
    case 406:
      if (lookahead == 'h') ADVANCE(768);
      if (lookahead == 'i') ADVANCE(773);
      END_STATE();
    case 407:
      if (lookahead == 'h') ADVANCE(498);
      if (lookahead == 'i') ADVANCE(322);
      if (lookahead == 't') ADVANCE(420);
      END_STATE();
    case 408:
      if (lookahead == 'h') ADVANCE(469);
      END_STATE();
    case 409:
      if (lookahead == 'i') ADVANCE(686);
      END_STATE();
    case 410:
      if (lookahead == 'i') ADVANCE(327);
      if (lookahead == 'r') ADVANCE(297);
      if (lookahead == 't') ADVANCE(503);
      END_STATE();
    case 411:
      if (lookahead == 'i') ADVANCE(772);
      END_STATE();
    case 412:
      if (lookahead == 'i') ADVANCE(773);
      END_STATE();
    case 413:
      if (lookahead == 'i') ADVANCE(563);
      if (lookahead == 'r') ADVANCE(304);
      END_STATE();
    case 414:
      if (lookahead == 'i') ADVANCE(427);
      END_STATE();
    case 415:
      if (lookahead == 'i') ADVANCE(458);
      END_STATE();
    case 416:
      if (lookahead == 'i') ADVANCE(458);
      if (lookahead == 'o') ADVANCE(296);
      END_STATE();
    case 417:
      if (lookahead == 'i') ADVANCE(403);
      END_STATE();
    case 418:
      if (lookahead == 'i') ADVANCE(403);
      if (lookahead == 'm') ADVANCE(138);
      if (lookahead == 'v') ADVANCE(139);
      END_STATE();
    case 419:
      if (lookahead == 'i') ADVANCE(403);
      if (lookahead == 'v') ADVANCE(139);
      END_STATE();
    case 420:
      if (lookahead == 'i') ADVANCE(539);
      END_STATE();
    case 421:
      if (lookahead == 'i') ADVANCE(326);
      END_STATE();
    case 422:
      if (lookahead == 'i') ADVANCE(558);
      END_STATE();
    case 423:
      if (lookahead == 'i') ADVANCE(558);
      if (lookahead == 's') ADVANCE(1064);
      END_STATE();
    case 424:
      if (lookahead == 'i') ADVANCE(552);
      END_STATE();
    case 425:
      if (lookahead == 'j') ADVANCE(452);
      END_STATE();
    case 426:
      if (lookahead == 'k') ADVANCE(221);
      END_STATE();
    case 427:
      if (lookahead == 'k') ADVANCE(174);
      if (lookahead == 't') ADVANCE(439);
      END_STATE();
    case 428:
      if (lookahead == 'l') ADVANCE(885);
      END_STATE();
    case 429:
      if (lookahead == 'l') ADVANCE(970);
      END_STATE();
    case 430:
      if (lookahead == 'l') ADVANCE(886);
      END_STATE();
    case 431:
      if (lookahead == 'l') ADVANCE(969);
      END_STATE();
    case 432:
      if (lookahead == 'l') ADVANCE(354);
      END_STATE();
    case 433:
      if (lookahead == 'l') ADVANCE(475);
      END_STATE();
    case 434:
      if (lookahead == 'l') ADVANCE(476);
      END_STATE();
    case 435:
      if (lookahead == 'l') ADVANCE(357);
      END_STATE();
    case 436:
      if (lookahead == 'l') ADVANCE(530);
      END_STATE();
    case 437:
      if (lookahead == 'l') ADVANCE(197);
      END_STATE();
    case 438:
      if (lookahead == 'l') ADVANCE(165);
      END_STATE();
    case 439:
      if (lookahead == 'l') ADVANCE(192);
      END_STATE();
    case 440:
      if (lookahead == 'm') ADVANCE(479);
      END_STATE();
    case 441:
      if (lookahead == 'm') ADVANCE(976);
      END_STATE();
    case 442:
      if (lookahead == 'm') ADVANCE(891);
      if (lookahead == 's') ADVANCE(284);
      END_STATE();
    case 443:
      if (lookahead == 'm') ADVANCE(975);
      END_STATE();
    case 444:
      if (lookahead == 'm') ADVANCE(254);
      END_STATE();
    case 445:
      if (lookahead == 'm') ADVANCE(481);
      END_STATE();
    case 446:
      if (lookahead == 'm') ADVANCE(136);
      END_STATE();
    case 447:
      if (lookahead == 'm') ADVANCE(444);
      END_STATE();
    case 448:
      if (lookahead == 'm') ADVANCE(492);
      END_STATE();
    case 449:
      if (lookahead == 'm') ADVANCE(90);
      if (lookahead == 's') ADVANCE(540);
      END_STATE();
    case 450:
      if (lookahead == 'm') ADVANCE(104);
      END_STATE();
    case 451:
      if (lookahead == 'm') ADVANCE(157);
      END_STATE();
    case 452:
      if (lookahead == 'm') ADVANCE(494);
      END_STATE();
    case 453:
      if (lookahead == 'n') ADVANCE(866);
      if (lookahead == 'r') ADVANCE(467);
      END_STATE();
    case 454:
      if (lookahead == 'n') ADVANCE(951);
      if (lookahead == 'r') ADVANCE(468);
      END_STATE();
    case 455:
      if (lookahead == 'n') ADVANCE(873);
      END_STATE();
    case 456:
      if (lookahead == 'n') ADVANCE(958);
      END_STATE();
    case 457:
      if (lookahead == 'n') ADVANCE(143);
      if (lookahead == 'r') ADVANCE(477);
      END_STATE();
    case 458:
      if (lookahead == 'n') ADVANCE(426);
      END_STATE();
    case 459:
      if (lookahead == 'n') ADVANCE(867);
      if (lookahead == 'r') ADVANCE(470);
      END_STATE();
    case 460:
      if (lookahead == 'n') ADVANCE(872);
      END_STATE();
    case 461:
      if (lookahead == 'n') ADVANCE(952);
      if (lookahead == 'r') ADVANCE(471);
      END_STATE();
    case 462:
      if (lookahead == 'n') ADVANCE(957);
      END_STATE();
    case 463:
      if (lookahead == 'n') ADVANCE(161);
      if (lookahead == 'r') ADVANCE(478);
      END_STATE();
    case 464:
      if (lookahead == 'n') ADVANCE(400);
      END_STATE();
    case 465:
      if (lookahead == 'n') ADVANCE(194);
      END_STATE();
    case 466:
      if (lookahead == 'n') ADVANCE(195);
      END_STATE();
    case 467:
      if (lookahead == 'o') ADVANCE(916);
      END_STATE();
    case 468:
      if (lookahead == 'o') ADVANCE(1000);
      END_STATE();
    case 469:
      if (lookahead == 'o') ADVANCE(1260);
      END_STATE();
    case 470:
      if (lookahead == 'o') ADVANCE(915);
      END_STATE();
    case 471:
      if (lookahead == 'o') ADVANCE(999);
      END_STATE();
    case 472:
      if (lookahead == 'o') ADVANCE(497);
      END_STATE();
    case 473:
      if (lookahead == 'o') ADVANCE(464);
      END_STATE();
    case 474:
      if (lookahead == 'o') ADVANCE(485);
      END_STATE();
    case 475:
      if (lookahead == 'o') ADVANCE(518);
      END_STATE();
    case 476:
      if (lookahead == 'o') ADVANCE(298);
      END_STATE();
    case 477:
      if (lookahead == 'o') ADVANCE(178);
      END_STATE();
    case 478:
      if (lookahead == 'o') ADVANCE(187);
      END_STATE();
    case 479:
      if (lookahead == 'p') ADVANCE(1019);
      END_STATE();
    case 480:
      if (lookahead == 'p') ADVANCE(910);
      END_STATE();
    case 481:
      if (lookahead == 'p') ADVANCE(1021);
      END_STATE();
    case 482:
      if (lookahead == 'p') ADVANCE(994);
      END_STATE();
    case 483:
      if (lookahead == 'p') ADVANCE(909);
      END_STATE();
    case 484:
      if (lookahead == 'p') ADVANCE(993);
      END_STATE();
    case 485:
      if (lookahead == 'p') ADVANCE(562);
      END_STATE();
    case 486:
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 487:
      if (lookahead == 'p') ADVANCE(46);
      END_STATE();
    case 488:
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 'q') ADVANCE(546);
      if (lookahead == 't') ADVANCE(898);
      END_STATE();
    case 489:
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 'q') ADVANCE(546);
      if (lookahead == 't') ADVANCE(897);
      END_STATE();
    case 490:
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 't') ADVANCE(898);
      END_STATE();
    case 491:
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 't') ADVANCE(897);
      END_STATE();
    case 492:
      if (lookahead == 'p') ADVANCE(199);
      END_STATE();
    case 493:
      if (lookahead == 'p') ADVANCE(182);
      END_STATE();
    case 494:
      if (lookahead == 'p') ADVANCE(200);
      END_STATE();
    case 495:
      if (lookahead == 'p') ADVANCE(190);
      END_STATE();
    case 496:
      if (lookahead == 'q') ADVANCE(49);
      END_STATE();
    case 497:
      if (lookahead == 'r') ADVANCE(370);
      END_STATE();
    case 498:
      if (lookahead == 'r') ADVANCE(362);
      END_STATE();
    case 499:
      if (lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 500:
      if (lookahead == 'r') ADVANCE(289);
      if (lookahead == 'w') ADVANCE(129);
      END_STATE();
    case 501:
      if (lookahead == 'r') ADVANCE(321);
      END_STATE();
    case 502:
      if (lookahead == 'r') ADVANCE(367);
      END_STATE();
    case 503:
      if (lookahead == 'r') ADVANCE(473);
      END_STATE();
    case 504:
      if (lookahead == 'r') ADVANCE(347);
      END_STATE();
    case 505:
      if (lookahead == 'r') ADVANCE(332);
      END_STATE();
    case 506:
      if (lookahead == 'r') ADVANCE(313);
      if (lookahead == 't') ADVANCE(503);
      END_STATE();
    case 507:
      if (lookahead == 'r') ADVANCE(336);
      END_STATE();
    case 508:
      if (lookahead == 'r') ADVANCE(172);
      END_STATE();
    case 509:
      if (lookahead == 'r') ADVANCE(348);
      END_STATE();
    case 510:
      if (lookahead == 's') ADVANCE(381);
      END_STATE();
    case 511:
      if (lookahead == 's') ADVANCE(738);
      END_STATE();
    case 512:
      if (lookahead == 's') ADVANCE(883);
      END_STATE();
    case 513:
      if (lookahead == 's') ADVANCE(967);
      END_STATE();
    case 514:
      if (lookahead == 's') ADVANCE(1165);
      END_STATE();
    case 515:
      if (lookahead == 's') ADVANCE(882);
      END_STATE();
    case 516:
      if (lookahead == 's') ADVANCE(966);
      END_STATE();
    case 517:
      if (lookahead == 's') ADVANCE(284);
      END_STATE();
    case 518:
      if (lookahead == 's') ADVANCE(514);
      END_STATE();
    case 519:
      if (lookahead == 's') ADVANCE(91);
      END_STATE();
    case 520:
      if (lookahead == 's') ADVANCE(181);
      END_STATE();
    case 521:
      if (lookahead == 's') ADVANCE(189);
      END_STATE();
    case 522:
      if (lookahead == 't') ADVANCE(898);
      END_STATE();
    case 523:
      if (lookahead == 't') ADVANCE(220);
      END_STATE();
    case 524:
      if (lookahead == 't') ADVANCE(877);
      END_STATE();
    case 525:
      if (lookahead == 't') ADVANCE(982);
      END_STATE();
    case 526:
      if (lookahead == 't') ADVANCE(961);
      END_STATE();
    case 527:
      if (lookahead == 't') ADVANCE(901);
      END_STATE();
    case 528:
      if (lookahead == 't') ADVANCE(985);
      END_STATE();
    case 529:
      if (lookahead == 't') ADVANCE(564);
      END_STATE();
    case 530:
      if (lookahead == 't') ADVANCE(1235);
      END_STATE();
    case 531:
      if (lookahead == 't') ADVANCE(1078);
      END_STATE();
    case 532:
      if (lookahead == 't') ADVANCE(897);
      END_STATE();
    case 533:
      if (lookahead == 't') ADVANCE(900);
      END_STATE();
    case 534:
      if (lookahead == 't') ADVANCE(981);
      END_STATE();
    case 535:
      if (lookahead == 't') ADVANCE(960);
      END_STATE();
    case 536:
      if (lookahead == 't') ADVANCE(984);
      END_STATE();
    case 537:
      if (lookahead == 't') ADVANCE(875);
      END_STATE();
    case 538:
      if (lookahead == 't') ADVANCE(713);
      END_STATE();
    case 539:
      if (lookahead == 't') ADVANCE(432);
      END_STATE();
    case 540:
      if (lookahead == 't') ADVANCE(472);
      END_STATE();
    case 541:
      if (lookahead == 't') ADVANCE(519);
      END_STATE();
    case 542:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 543:
      if (lookahead == 't') ADVANCE(196);
      END_STATE();
    case 544:
      if (lookahead == 't') ADVANCE(353);
      END_STATE();
    case 545:
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 546:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 547:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 548:
      if (lookahead == 't') ADVANCE(158);
      END_STATE();
    case 549:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 550:
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 551:
      if (lookahead == 't') ADVANCE(67);
      END_STATE();
    case 552:
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 553:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 554:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 555:
      if (lookahead == 't') ADVANCE(191);
      END_STATE();
    case 556:
      if (lookahead == 't') ADVANCE(193);
      END_STATE();
    case 557:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 558:
      if (lookahead == 't') ADVANCE(435);
      END_STATE();
    case 559:
      if (lookahead == 'w') ADVANCE(129);
      END_STATE();
    case 560:
      if (lookahead == 'x') ADVANCE(72);
      END_STATE();
    case 561:
      if (lookahead == 'y') ADVANCE(1153);
      END_STATE();
    case 562:
      if (lookahead == 'y') ADVANCE(1248);
      END_STATE();
    case 563:
      if (lookahead == 'z') ADVANCE(356);
      END_STATE();
    case 564:
      if (lookahead == 'e' ||
          lookahead == 's') ADVANCE(1064);
      END_STATE();
    case 565:
      if (('1' <= lookahead && lookahead <= '3')) ADVANCE(646);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(644);
      END_STATE();
    case 566:
      if (('1' <= lookahead && lookahead <= '4')) ADVANCE(648);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(644);
      END_STATE();
    case 567:
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(788);
      END_STATE();
    case 568:
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(782);
      END_STATE();
    case 569:
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(791);
      END_STATE();
    case 570:
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(785);
      END_STATE();
    case 571:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1076);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1077);
      END_STATE();
    case 572:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(656);
      END_STATE();
    case 573:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(701);
      END_STATE();
    case 574:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(604);
      END_STATE();
    case 575:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(574);
      END_STATE();
    case 576:
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1070);
      END_STATE();
    case 577:
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(153);
      END_STATE();
    case 578:
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      END_STATE();
    case 579:
      if (eof) ADVANCE(603);
      ADVANCE_MAP(
        '"', 1082,
        '=', 1081,
        '\\', 1024,
        'a', 1215,
        'c', 1219,
        'e', 1211,
        'g', 1214,
        'h', 1225,
        'i', 1199,
        'k', 1202,
        'l', 1203,
        'r', 1204,
        's', 1210,
        't', 1213,
        'w', 1209,
        'x', 1193,
        '|', 1152,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(579);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1233);
      END_STATE();
    case 580:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1046);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 581:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1058);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(581);
      if (lookahead != 0) ADVANCE(794);
      END_STATE();
    case 582:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1047);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 583:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1050);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 584:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1028);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 585:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1049);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 586:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1063);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(586);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(707);
      END_STATE();
    case 587:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1056);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 588:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1062);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 589:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1062);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(589);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(653);
      END_STATE();
    case 590:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1033);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(590);
      END_STATE();
    case 591:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1061);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 592:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1034);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 593:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1034);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(593);
      END_STATE();
    case 594:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1037);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(594);
      END_STATE();
    case 595:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1035);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 596:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1035);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(596);
      END_STATE();
    case 597:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1048);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 598:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1027);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 599:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1057);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(599);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(575);
      END_STATE();
    case 600:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1060);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(600);
      END_STATE();
    case 601:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1059);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(601);
      END_STATE();
    case 602:
      if (eof) ADVANCE(603);
      if (lookahead == '\\') ADVANCE(1032);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_bookcode);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == '.') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'e') ADVANCE(1243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'f') ADVANCE(1178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'k') ADVANCE(1194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'l') ADVANCE(1206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'm') ADVANCE(1195);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'o') ADVANCE(1218);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 's') ADVANCE(1226);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'y') ADVANCE(1249);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_bookcode);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '-') ADVANCE(1191);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '-') ADVANCE(627);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'd') ADVANCE(1188);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'd') ADVANCE(1176);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(624);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(1184);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(1173);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(640);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(625);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'f') ADVANCE(1180);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'f') ADVANCE(1170);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'h') ADVANCE(636);
      if (lookahead == 'i') ADVANCE(617);
      if (lookahead == 'l') ADVANCE(628);
      if (lookahead == 't') ADVANCE(629);
      if (lookahead == 'x') ADVANCE(615);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(626);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'h') ADVANCE(637);
      if (lookahead == 'i') ADVANCE(618);
      if (lookahead == 't') ADVANCE(630);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'i') ADVANCE(635);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'i') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'i') ADVANCE(639);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'k') ADVANCE(616);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'k') ADVANCE(622);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(632);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'l') ADVANCE(620);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'l') ADVANCE(621);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'n') ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'r') ADVANCE(619);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'r') ADVANCE(623);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 't') ADVANCE(633);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 't') ADVANCE(634);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'y') ADVANCE(1155);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(642);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym__spaceOrLine);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(644);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(anon_sym_BSLASHid);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_numberedLevelMax3);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_numberedLevelMax3);
      if (lookahead == '.') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(652);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_numberedLevelMax4);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_numberedLevelMax4);
      if (lookahead == '.') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(652);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_numberedLevelMax5);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_numberedLevelMax5);
      if (lookahead == '.') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(652);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_versionNumber);
      if (lookahead == '.') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(605);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_versionNumber);
      if (lookahead == '.') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(653);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_versionNumber);
      if (lookahead == '.') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(652);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_versionNumber);
      if (lookahead == '.') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_versionNumber);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(656);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(anon_sym_BSLASHusfm);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(anon_sym_BSLASHide);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(anon_sym_BSLASHref);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(anon_sym_BSLASHref_STAR);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(anon_sym_BSLASHh);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == ' ') ADVANCE(662);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(anon_sym_BSLASHtoc);
      if (lookahead == 'a') ADVANCE(664);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(anon_sym_BSLASHtoca);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(anon_sym_BSLASHsts);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(anon_sym_BSLASHrem);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(anon_sym_BSLASHrestore);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(anon_sym_BSLASHlit);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(anon_sym_BSLASHiqt);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(anon_sym_BSLASHiqt_STAR);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(anon_sym_BSLASHimt);
      if (lookahead == 'e') ADVANCE(672);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(anon_sym_BSLASHimte);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(aux_sym_imteTag_token1);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(anon_sym_BSLASHis);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(anon_sym_BSLASHio);
      if (lookahead == 'r') ADVANCE(76);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(anon_sym_BSLASHio);
      if (lookahead == 'r') ADVANCE(172);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(anon_sym_BSLASHio);
      if (lookahead == 'r') ADVANCE(75);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(anon_sym_BSLASHio);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(anon_sym_BSLASHior);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(anon_sym_BSLASHior_STAR);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(anon_sym_BSLASHiot);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(anon_sym_BSLASHip);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(anon_sym_BSLASHim);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(anon_sym_BSLASHipi);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(anon_sym_BSLASHimi);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(anon_sym_BSLASHili);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(anon_sym_BSLASHipq);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(anon_sym_BSLASHimq);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(anon_sym_BSLASHipr);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(anon_sym_BSLASHib);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(anon_sym_BSLASHiq);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(anon_sym_BSLASHiq);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(anon_sym_BSLASHiq);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(anon_sym_BSLASHiq);
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(anon_sym_BSLASHie);
      if (lookahead == 'x') ADVANCE(72);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(anon_sym_BSLASHiex);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(anon_sym_BSLASHv);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_verseNumber);
      if (lookahead == '-') ADVANCE(573);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(700);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_verseNumber);
      if (lookahead == '-') ADVANCE(573);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(700);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(699);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(698);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_verseNumber);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(700);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_verseNumber);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(700);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(701);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(700);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(anon_sym_BSLASHva);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(anon_sym_BSLASHva_STAR);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(anon_sym_BSLASHvp);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(anon_sym_BSLASHvp_STAR);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(anon_sym_BSLASHc);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_chapterNumber);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(707);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(anon_sym_BSLASHcl);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(anon_sym_BSLASHca);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(anon_sym_BSLASHca_STAR);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(anon_sym_BSLASHcp);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(anon_sym_BSLASHcd);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(anon_sym_BSLASHmt);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(anon_sym_BSLASHmt);
      if (lookahead == 'e') ADVANCE(715);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(anon_sym_BSLASHmte);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(anon_sym_BSLASHms);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(anon_sym_BSLASHmr);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(anon_sym_BSLASHs);
      ADVANCE_MAP(
        'c', 907,
        'd', 726,
        'i', 398,
        'l', 512,
        'p', 51,
        'r', 52,
        't', 519,
        'u', 480,
      );
      END_STATE();
    case 719:
      ACCEPT_TOKEN(anon_sym_BSLASHs);
      ADVANCE_MAP(
        'c', 906,
        'd', 726,
        'i', 401,
        'l', 515,
        'p', 51,
        'r', 52,
        't', 519,
        'u', 483,
      );
      END_STATE();
    case 720:
      ACCEPT_TOKEN(anon_sym_BSLASHs);
      if (lookahead == 'c') ADVANCE(906);
      if (lookahead == 'd') ADVANCE(726);
      if (lookahead == 'i') ADVANCE(401);
      if (lookahead == 'l') ADVANCE(515);
      if (lookahead == 'p') ADVANCE(51);
      if (lookahead == 't') ADVANCE(519);
      if (lookahead == 'u') ADVANCE(483);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(anon_sym_BSLASHs);
      if (lookahead == 'd') ADVANCE(726);
      if (lookahead == 'p') ADVANCE(51);
      if (lookahead == 't') ADVANCE(519);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(anon_sym_BSLASHsr);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(anon_sym_BSLASHr);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(anon_sym_BSLASHsp);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(anon_sym_BSLASHd);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(anon_sym_BSLASHsd);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(anon_sym_BSLASHp);
      ADVANCE_MAP(
        'b', 1023,
        'c', 746,
        'h', 748,
        'i', 743,
        'm', 740,
        'n', 866,
        'o', 734,
        'r', 736,
      );
      END_STATE();
    case 728:
      ACCEPT_TOKEN(anon_sym_BSLASHp);
      ADVANCE_MAP(
        'b', 1023,
        'c', 746,
        'h', 747,
        'i', 743,
        'm', 740,
        'n', 866,
        'o', 734,
        'r', 736,
      );
      END_STATE();
    case 729:
      ACCEPT_TOKEN(anon_sym_BSLASHp);
      ADVANCE_MAP(
        'b', 1023,
        'c', 746,
        'h', 747,
        'i', 743,
        'm', 740,
        'n', 867,
        'o', 734,
        'r', 737,
      );
      END_STATE();
    case 730:
      ACCEPT_TOKEN(anon_sym_BSLASHp);
      if (lookahead == 'b') ADVANCE(1023);
      if (lookahead == 'c') ADVANCE(746);
      if (lookahead == 'h') ADVANCE(747);
      if (lookahead == 'i') ADVANCE(743);
      if (lookahead == 'm') ADVANCE(740);
      if (lookahead == 'o') ADVANCE(734);
      if (lookahead == 'r') ADVANCE(735);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(anon_sym_BSLASHm);
      if (lookahead == 'i') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(48);
      if (lookahead == 's') ADVANCE(716);
      if (lookahead == 't') ADVANCE(714);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(anon_sym_BSLASHm);
      if (lookahead == 'i') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(48);
      if (lookahead == 's') ADVANCE(716);
      if (lookahead == 't') ADVANCE(351);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(anon_sym_BSLASHm);
      if (lookahead == 'i') ADVANCE(744);
      if (lookahead == 's') ADVANCE(716);
      if (lookahead == 't') ADVANCE(351);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(anon_sym_BSLASHpo);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(anon_sym_BSLASHpr);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(anon_sym_BSLASHpr);
      if (lookahead == 'o') ADVANCE(916);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(anon_sym_BSLASHpr);
      if (lookahead == 'o') ADVANCE(915);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(anon_sym_BSLASHcls);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(anon_sym_BSLASHpmo);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(anon_sym_BSLASHpm);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'o') ADVANCE(739);
      if (lookahead == 'r') ADVANCE(742);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(anon_sym_BSLASHpmc);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(anon_sym_BSLASHpmr);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(anon_sym_BSLASHpi);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(anon_sym_BSLASHmi);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(anon_sym_BSLASHnb);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(anon_sym_BSLASHpc);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(anon_sym_BSLASHph);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(anon_sym_BSLASHph);
      if (lookahead == 'i') ADVANCE(749);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(anon_sym_BSLASHphi);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(anon_sym_BSLASHb);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(anon_sym_BSLASHb);
      if (lookahead == 'd') ADVANCE(894);
      if (lookahead == 'k') ADVANCE(851);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(anon_sym_BSLASHb);
      if (lookahead == 'd') ADVANCE(895);
      if (lookahead == 'k') ADVANCE(850);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(anon_sym_BSLASHq);
      if (lookahead == 'a') ADVANCE(763);
      if (lookahead == 'c') ADVANCE(758);
      if (lookahead == 'd') ADVANCE(767);
      if (lookahead == 'm') ADVANCE(766);
      if (lookahead == 'r') ADVANCE(757);
      if (lookahead == 's') ADVANCE(760);
      if (lookahead == 't') ADVANCE(877);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(anon_sym_BSLASHq);
      if (lookahead == 'a') ADVANCE(763);
      if (lookahead == 'c') ADVANCE(758);
      if (lookahead == 'd') ADVANCE(767);
      if (lookahead == 'm') ADVANCE(766);
      if (lookahead == 'r') ADVANCE(757);
      if (lookahead == 's') ADVANCE(759);
      if (lookahead == 't') ADVANCE(877);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(anon_sym_BSLASHq);
      if (lookahead == 'a') ADVANCE(762);
      if (lookahead == 'c') ADVANCE(758);
      if (lookahead == 'd') ADVANCE(767);
      if (lookahead == 'm') ADVANCE(766);
      if (lookahead == 'r') ADVANCE(757);
      if (lookahead == 't') ADVANCE(220);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(anon_sym_BSLASHq);
      if (lookahead == 'a') ADVANCE(762);
      if (lookahead == 'c') ADVANCE(758);
      if (lookahead == 'd') ADVANCE(767);
      if (lookahead == 'm') ADVANCE(766);
      if (lookahead == 'r') ADVANCE(757);
      if (lookahead == 't') ADVANCE(877);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(anon_sym_BSLASHqr);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(anon_sym_BSLASHqc);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(anon_sym_BSLASHqs);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(anon_sym_BSLASHqs);
      if (lookahead == '*') ADVANCE(761);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(anon_sym_BSLASHqs_STAR);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(anon_sym_BSLASHqa);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(anon_sym_BSLASHqa);
      if (lookahead == 'c') ADVANCE(764);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(anon_sym_BSLASHqac);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(anon_sym_BSLASHqac_STAR);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(anon_sym_BSLASHqm);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(anon_sym_BSLASHqd);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(anon_sym_BSLASHlh);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(anon_sym_BSLASHlf);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(anon_sym_BSLASHli);
      if (lookahead == 'k') ADVANCE(84);
      if (lookahead == 'm') ADVANCE(774);
      if (lookahead == 't') ADVANCE(86);
      if (lookahead == 'v') ADVANCE(776);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(anon_sym_BSLASHli);
      if (lookahead == 'k') ADVANCE(83);
      if (lookahead == 'm') ADVANCE(774);
      if (lookahead == 't') ADVANCE(87);
      if (lookahead == 'v') ADVANCE(776);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(anon_sym_BSLASHli);
      if (lookahead == 'm') ADVANCE(774);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(anon_sym_BSLASHli);
      if (lookahead == 'm') ADVANCE(774);
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(anon_sym_BSLASHlim);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(anon_sym_BSLASHliv);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(anon_sym_BSLASHlik);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(anon_sym_BSLASHlik_STAR);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(anon_sym_BSLASHlitl);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(anon_sym_BSLASHlitl_STAR);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(anon_sym_BSLASHtr);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_thTag);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_thTag);
      if (lookahead == '-') ADVANCE(568);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_thTag);
      if (lookahead == 'r') ADVANCE(787);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(783);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_thrTag);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_thrTag);
      if (lookahead == '-') ADVANCE(570);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_thrTag);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(786);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_tcTag);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_tcTag);
      if (lookahead == '-') ADVANCE(567);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_tcTag);
      if (lookahead == 'r') ADVANCE(793);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(789);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_tcrTag);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_tcrTag);
      if (lookahead == '-') ADVANCE(569);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_tcrTag);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(792);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_caller);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '\\') ADVANCE(794);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(anon_sym_BSLASHf);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(anon_sym_BSLASHf_STAR);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(anon_sym_BSLASHfe);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(anon_sym_BSLASHfe_STAR);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(anon_sym_BSLASHef);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(anon_sym_BSLASHef_STAR);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(anon_sym_BSLASHfr);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(anon_sym_BSLASHfr_STAR);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(anon_sym_BSLASHfq);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(anon_sym_BSLASHfq_STAR);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(anon_sym_BSLASHfqa);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(anon_sym_BSLASHfqa_STAR);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(anon_sym_BSLASHfk);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(anon_sym_BSLASHfk_STAR);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(anon_sym_BSLASHfl);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(anon_sym_BSLASHfl_STAR);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(anon_sym_BSLASHfw);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(anon_sym_BSLASHfw_STAR);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(anon_sym_BSLASHfp);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(anon_sym_BSLASHfp_STAR);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(anon_sym_BSLASHft);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(anon_sym_BSLASHft_STAR);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(anon_sym_BSLASHfdc);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(anon_sym_BSLASHfdc_STAR);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(anon_sym_BSLASHfv);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(anon_sym_BSLASHfv_STAR);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(anon_sym_BSLASHfm);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(anon_sym_BSLASHfm_STAR);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(anon_sym_BSLASHx);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(anon_sym_BSLASHx_STAR);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(anon_sym_BSLASHxo);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(anon_sym_BSLASHxo_STAR);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(anon_sym_BSLASHxk);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(anon_sym_BSLASHxk_STAR);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(anon_sym_BSLASHxq);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(anon_sym_BSLASHxq_STAR);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(anon_sym_BSLASHxt);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(anon_sym_BSLASHxt_STAR);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSxt);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSxt_STAR);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(anon_sym_BSLASHxta);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(anon_sym_BSLASHxta_STAR);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(anon_sym_BSLASHxop);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(anon_sym_BSLASHxop_STAR);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(anon_sym_BSLASHxot);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(anon_sym_BSLASHxot_STAR);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(anon_sym_BSLASHxnt);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(anon_sym_BSLASHxnt_STAR);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(anon_sym_BSLASHxdc);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(anon_sym_BSLASHxdc_STAR);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(anon_sym_BSLASHrq);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(anon_sym_BSLASHrq_STAR);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(anon_sym_BSLASHadd);
      if (lookahead == '*') ADVANCE(849);
      if (lookahead == 'p') ADVANCE(455);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(anon_sym_BSLASHadd);
      if (lookahead == 'p') ADVANCE(460);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(anon_sym_BSLASHadd_STAR);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(anon_sym_BSLASHbk);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(anon_sym_BSLASHbk);
      if (lookahead == '*') ADVANCE(852);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(anon_sym_BSLASHbk_STAR);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(anon_sym_BSLASHdc);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(anon_sym_BSLASHdc);
      if (lookahead == '*') ADVANCE(855);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(anon_sym_BSLASHdc_STAR);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(anon_sym_BSLASHk);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(anon_sym_BSLASHk);
      if (lookahead == '*') ADVANCE(859);
      if (lookahead == '-') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(anon_sym_BSLASHk);
      if (lookahead == '-') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(anon_sym_BSLASHk_STAR);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(anon_sym_BSLASHnd);
      if (lookahead == '*') ADVANCE(862);
      if (lookahead == 'x') ADVANCE(913);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(anon_sym_BSLASHnd);
      if (lookahead == 'x') ADVANCE(912);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(anon_sym_BSLASHnd_STAR);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(anon_sym_BSLASHord);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(anon_sym_BSLASHord);
      if (lookahead == '*') ADVANCE(865);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(anon_sym_BSLASHord_STAR);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(anon_sym_BSLASHpn);
      if (lookahead == '*') ADVANCE(868);
      if (lookahead == 'g') ADVANCE(870);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(anon_sym_BSLASHpn);
      if (lookahead == 'g') ADVANCE(869);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(anon_sym_BSLASHpn_STAR);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(anon_sym_BSLASHpng);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(anon_sym_BSLASHpng);
      if (lookahead == '*') ADVANCE(871);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(anon_sym_BSLASHpng_STAR);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(anon_sym_BSLASHaddpn);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(anon_sym_BSLASHaddpn);
      if (lookahead == '*') ADVANCE(874);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(anon_sym_BSLASHaddpn_STAR);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(anon_sym_BSLASHqt);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(anon_sym_BSLASHqt);
      if (lookahead == '*') ADVANCE(878);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(anon_sym_BSLASHqt);
      if (lookahead == '-') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(anon_sym_BSLASHqt_STAR);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(anon_sym_BSLASHsig);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(anon_sym_BSLASHsig);
      if (lookahead == '*') ADVANCE(881);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(anon_sym_BSLASHsig_STAR);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(anon_sym_BSLASHsls);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(anon_sym_BSLASHsls);
      if (lookahead == '*') ADVANCE(884);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(anon_sym_BSLASHsls_STAR);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(anon_sym_BSLASHtl);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(anon_sym_BSLASHtl);
      if (lookahead == '*') ADVANCE(887);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(anon_sym_BSLASHtl_STAR);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(anon_sym_BSLASHwj);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(anon_sym_BSLASHwj);
      if (lookahead == '*') ADVANCE(890);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(anon_sym_BSLASHwj_STAR);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(anon_sym_BSLASHem);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(anon_sym_BSLASHem);
      if (lookahead == '*') ADVANCE(893);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(anon_sym_BSLASHem_STAR);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(anon_sym_BSLASHbd);
      if (lookahead == '*') ADVANCE(896);
      if (lookahead == 'i') ADVANCE(527);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(anon_sym_BSLASHbd);
      if (lookahead == 'i') ADVANCE(533);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(anon_sym_BSLASHbd_STAR);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(anon_sym_BSLASHit);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(anon_sym_BSLASHit);
      if (lookahead == '*') ADVANCE(899);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(anon_sym_BSLASHit_STAR);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(anon_sym_BSLASHbdit);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(anon_sym_BSLASHbdit);
      if (lookahead == '*') ADVANCE(902);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(anon_sym_BSLASHbdit_STAR);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(anon_sym_BSLASHno);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(anon_sym_BSLASHno);
      if (lookahead == '*') ADVANCE(905);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(anon_sym_BSLASHno_STAR);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(anon_sym_BSLASHsc);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(anon_sym_BSLASHsc);
      if (lookahead == '*') ADVANCE(908);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(anon_sym_BSLASHsc_STAR);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(anon_sym_BSLASHsup);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(anon_sym_BSLASHsup);
      if (lookahead == '*') ADVANCE(911);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(anon_sym_BSLASHsup_STAR);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(anon_sym_BSLASHndx);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(anon_sym_BSLASHndx);
      if (lookahead == '*') ADVANCE(914);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(anon_sym_BSLASHndx_STAR);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(anon_sym_BSLASHpro);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(anon_sym_BSLASHpro);
      if (lookahead == '*') ADVANCE(917);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(anon_sym_BSLASHpro_STAR);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(anon_sym_BSLASHrb);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(anon_sym_BSLASHrb);
      if (lookahead == '*') ADVANCE(920);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(anon_sym_BSLASHrb_STAR);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(anon_sym_BSLASHw);
      if (lookahead == '*') ADVANCE(923);
      if (lookahead == 'a') ADVANCE(931);
      if (lookahead == 'g') ADVANCE(925);
      if (lookahead == 'h') ADVANCE(928);
      if (lookahead == 'j') ADVANCE(889);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(anon_sym_BSLASHw);
      if (lookahead == 'a') ADVANCE(930);
      if (lookahead == 'g') ADVANCE(924);
      if (lookahead == 'h') ADVANCE(927);
      if (lookahead == 'j') ADVANCE(888);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(anon_sym_BSLASHw_STAR);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(anon_sym_BSLASHwg);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(anon_sym_BSLASHwg);
      if (lookahead == '*') ADVANCE(926);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(anon_sym_BSLASHwg_STAR);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(anon_sym_BSLASHwh);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(anon_sym_BSLASHwh);
      if (lookahead == '*') ADVANCE(929);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(anon_sym_BSLASHwh_STAR);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(anon_sym_BSLASHwa);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(anon_sym_BSLASHwa);
      if (lookahead == '*') ADVANCE(932);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(anon_sym_BSLASHwa_STAR);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSadd);
      if (lookahead == '*') ADVANCE(935);
      if (lookahead == 'p') ADVANCE(456);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSadd);
      if (lookahead == 'p') ADVANCE(462);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSadd_STAR);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbk);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbk);
      if (lookahead == '*') ADVANCE(938);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbk_STAR);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSdc);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSdc);
      if (lookahead == '*') ADVANCE(941);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSdc_STAR);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSk);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSk);
      if (lookahead == '*') ADVANCE(944);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSk_STAR);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSnd);
      if (lookahead == '*') ADVANCE(947);
      if (lookahead == 'x') ADVANCE(997);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSnd);
      if (lookahead == 'x') ADVANCE(996);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSnd_STAR);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSord);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSord);
      if (lookahead == '*') ADVANCE(950);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSord_STAR);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpn);
      if (lookahead == '*') ADVANCE(953);
      if (lookahead == 'g') ADVANCE(955);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpn);
      if (lookahead == 'g') ADVANCE(954);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpn_STAR);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpng);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpng);
      if (lookahead == '*') ADVANCE(956);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpng_STAR);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSaddpn);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSaddpn);
      if (lookahead == '*') ADVANCE(959);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSaddpn_STAR);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSqt);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSqt);
      if (lookahead == '*') ADVANCE(962);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSqt_STAR);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsig);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsig);
      if (lookahead == '*') ADVANCE(965);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsig_STAR);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsls);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsls);
      if (lookahead == '*') ADVANCE(968);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsls_STAR);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUStl);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUStl);
      if (lookahead == '*') ADVANCE(971);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUStl_STAR);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwj);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwj);
      if (lookahead == '*') ADVANCE(974);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwj_STAR);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSem);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSem);
      if (lookahead == '*') ADVANCE(977);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSem_STAR);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbd);
      if (lookahead == '*') ADVANCE(980);
      if (lookahead == 'i') ADVANCE(528);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbd);
      if (lookahead == 'i') ADVANCE(536);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbd_STAR);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSit);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSit);
      if (lookahead == '*') ADVANCE(983);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSit_STAR);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbdit);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbdit);
      if (lookahead == '*') ADVANCE(986);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbdit_STAR);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSno);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSno);
      if (lookahead == '*') ADVANCE(989);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSno_STAR);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsc);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsc);
      if (lookahead == '*') ADVANCE(992);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsc_STAR);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsup);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsup);
      if (lookahead == '*') ADVANCE(995);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsup_STAR);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSndx);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSndx);
      if (lookahead == '*') ADVANCE(998);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSndx_STAR);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpro);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpro);
      if (lookahead == '*') ADVANCE(1001);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpro_STAR);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSrb);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSrb);
      if (lookahead == '*') ADVANCE(1004);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSrb_STAR);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSw);
      if (lookahead == '*') ADVANCE(1007);
      if (lookahead == 'a') ADVANCE(1015);
      if (lookahead == 'g') ADVANCE(1009);
      if (lookahead == 'h') ADVANCE(1012);
      if (lookahead == 'j') ADVANCE(973);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSw);
      if (lookahead == 'a') ADVANCE(1014);
      if (lookahead == 'g') ADVANCE(1008);
      if (lookahead == 'h') ADVANCE(1011);
      if (lookahead == 'j') ADVANCE(972);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSw_STAR);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwg);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwg);
      if (lookahead == '*') ADVANCE(1010);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwg_STAR);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwh);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwh);
      if (lookahead == '*') ADVANCE(1013);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwh_STAR);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwa);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwa);
      if (lookahead == '*') ADVANCE(1016);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwa_STAR);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(anon_sym_BSLASHfig);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(anon_sym_BSLASHfig_STAR);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(anon_sym_BSLASHjmp);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(anon_sym_BSLASHjmp_STAR);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSjmp);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSjmp_STAR);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(anon_sym_BSLASHpb);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        '+', 260,
        'a', 337,
        'b', 751,
        'c', 1,
        'd', 6,
        'e', 372,
        'f', 8,
        'h', 661,
        'i', 269,
        'j', 440,
        'k', 857,
        'l', 375,
        'm', 731,
        'n', 276,
        'o', 499,
        'p', 727,
        'q', 753,
        'r', 12,
        's', 718,
        't', 211,
        'u', 510,
        'v', 17,
        'w', 921,
        'x', 19,
        'z', 576,
      );
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'a', 344,
        'b', 752,
        'c', 257,
        'd', 7,
        'e', 388,
        'f', 10,
        'i', 491,
        'j', 440,
        'k', 858,
        'l', 406,
        'm', 733,
        'n', 277,
        'o', 505,
        'p', 729,
        'q', 754,
        'r', 14,
        's', 720,
        't', 215,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 576,
      );
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'a', 344,
        'b', 752,
        'c', 257,
        'd', 7,
        'e', 388,
        'f', 10,
        'i', 491,
        'j', 440,
        'k', 858,
        'l', 377,
        'm', 733,
        'n', 277,
        'o', 505,
        'p', 729,
        'q', 756,
        'r', 14,
        's', 720,
        't', 215,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 576,
      );
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'a', 344,
        'b', 752,
        'c', 3,
        'd', 7,
        'e', 389,
        'f', 10,
        'i', 359,
        'j', 440,
        'k', 858,
        'l', 406,
        'm', 733,
        'n', 277,
        'o', 505,
        'p', 729,
        'q', 754,
        'r', 14,
        's', 720,
        't', 215,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 576,
      );
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'a', 344,
        'b', 752,
        'c', 3,
        'd', 7,
        'e', 389,
        'f', 10,
        'i', 359,
        'j', 440,
        'k', 858,
        'l', 377,
        'm', 733,
        'n', 277,
        'o', 505,
        'p', 729,
        'q', 756,
        'r', 14,
        's', 720,
        't', 215,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 576,
      );
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'a', 344,
        'b', 329,
        'd', 299,
        'e', 387,
        'f', 10,
        'i', 532,
        'j', 440,
        'k', 858,
        'l', 412,
        'n', 330,
        'o', 505,
        'p', 459,
        'q', 524,
        'r', 281,
        's', 300,
        't', 216,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 576,
      );
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'a', 344,
        'b', 329,
        'd', 299,
        'e', 387,
        'f', 10,
        'i', 532,
        'j', 440,
        'k', 858,
        'l', 424,
        'n', 330,
        'o', 505,
        'p', 459,
        'q', 255,
        'r', 281,
        's', 300,
        't', 216,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 576,
      );
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'b', 750,
        'c', 257,
        'd', 5,
        'e', 392,
        'f', 11,
        'i', 487,
        'k', 220,
        'l', 406,
        'm', 733,
        'n', 275,
        'p', 730,
        'q', 755,
        'r', 15,
        's', 721,
        't', 218,
        'z', 576,
      );
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'b', 750,
        'c', 3,
        'd', 5,
        'e', 393,
        'f', 11,
        'i', 358,
        'k', 220,
        'l', 406,
        'm', 733,
        'n', 275,
        'p', 730,
        'q', 755,
        'r', 15,
        's', 721,
        't', 218,
        'z', 576,
      );
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'b', 750,
        'c', 2,
        'd', 5,
        'e', 391,
        'f', 11,
        'i', 358,
        'k', 220,
        'l', 406,
        'm', 733,
        'n', 275,
        'p', 730,
        'q', 755,
        'r', 15,
        's', 721,
        't', 218,
        'z', 576,
      );
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'c', 4,
        'e', 517,
        'h', 661,
        'i', 270,
        'k', 220,
        'l', 424,
        'm', 538,
        'q', 523,
        'r', 363,
        's', 541,
        't', 217,
        'u', 510,
        'z', 576,
      );
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'c', 4,
        'e', 517,
        'i', 272,
        'k', 220,
        'l', 424,
        'q', 523,
        'r', 360,
        's', 541,
        't', 219,
        'z', 576,
      );
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 260,
        'a', 337,
        'b', 751,
        'c', 257,
        'd', 6,
        'e', 373,
        'f', 9,
        'i', 488,
        'j', 440,
        'k', 858,
        'l', 375,
        'm', 732,
        'n', 276,
        'o', 499,
        'p', 728,
        'q', 756,
        'r', 14,
        's', 718,
        't', 215,
        'v', 18,
        'w', 921,
        'x', 19,
        'z', 578,
      );
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 425,
        'c', 4,
        'e', 517,
        'f', 419,
        'i', 274,
        'j', 448,
        'k', 220,
        'l', 424,
        'q', 523,
        'r', 369,
        's', 541,
        't', 219,
        'v', 486,
        'z', 578,
      );
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 266,
        'a', 344,
        'b', 752,
        'c', 257,
        'd', 7,
        'e', 374,
        'f', 9,
        'i', 489,
        'j', 440,
        'k', 858,
        'l', 377,
        'm', 733,
        'n', 277,
        'o', 505,
        'p', 729,
        'q', 756,
        'r', 14,
        's', 720,
        't', 215,
        'v', 18,
        'w', 922,
        'x', 19,
        'z', 578,
      );
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 259,
        'a', 337,
        'b', 751,
        'c', 257,
        'd', 6,
        'e', 386,
        'f', 10,
        'i', 490,
        'j', 440,
        'k', 858,
        'l', 377,
        'm', 732,
        'n', 276,
        'o', 499,
        'p', 728,
        'q', 756,
        'r', 14,
        's', 718,
        't', 215,
        'v', 18,
        'w', 921,
        'x', 20,
        'z', 578,
      );
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 261,
        'a', 337,
        'b', 751,
        'c', 257,
        'd', 6,
        'e', 373,
        'f', 9,
        'i', 488,
        'j', 440,
        'k', 858,
        'l', 377,
        'm', 732,
        'n', 276,
        'o', 499,
        'p', 728,
        'q', 756,
        'r', 14,
        's', 718,
        't', 215,
        'v', 18,
        'w', 921,
        'x', 20,
        'z', 578,
      );
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 267,
        'a', 344,
        'b', 752,
        'c', 257,
        'd', 7,
        'e', 374,
        'f', 9,
        'i', 489,
        'j', 440,
        'k', 858,
        'l', 375,
        'm', 732,
        'n', 277,
        'o', 505,
        'p', 729,
        'q', 756,
        'r', 14,
        's', 719,
        't', 215,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 578,
      );
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 344,
        'b', 752,
        'c', 257,
        'd', 7,
        'e', 388,
        'f', 10,
        'i', 489,
        'j', 440,
        'k', 858,
        'l', 377,
        'm', 732,
        'n', 277,
        'o', 505,
        'p', 729,
        'q', 756,
        'r', 14,
        's', 719,
        't', 215,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 578,
      );
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 344,
        'b', 752,
        'c', 257,
        'd', 7,
        'e', 388,
        'f', 10,
        'i', 491,
        'j', 440,
        'k', 858,
        'l', 375,
        'm', 733,
        'n', 277,
        'o', 505,
        'p', 729,
        'q', 756,
        'r', 14,
        's', 720,
        't', 215,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 578,
      );
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 344,
        'b', 752,
        'c', 257,
        'd', 7,
        'e', 388,
        'f', 10,
        'i', 491,
        'j', 440,
        'k', 858,
        'l', 406,
        'm', 733,
        'n', 277,
        'o', 505,
        'p', 729,
        'q', 756,
        'r', 13,
        's', 720,
        't', 212,
        'w', 922,
        'z', 578,
      );
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 344,
        'b', 752,
        'c', 257,
        'd', 7,
        'e', 388,
        'f', 10,
        'i', 491,
        'j', 440,
        'k', 858,
        'l', 406,
        'm', 733,
        'n', 277,
        'o', 505,
        'p', 729,
        'q', 754,
        'r', 14,
        's', 720,
        't', 215,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 578,
      );
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 344,
        'b', 752,
        'c', 3,
        'd', 7,
        'e', 389,
        'f', 10,
        'i', 349,
        'j', 440,
        'k', 858,
        'l', 377,
        'm', 732,
        'n', 277,
        'o', 505,
        'p', 729,
        'q', 756,
        'r', 14,
        's', 719,
        't', 215,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 578,
      );
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 344,
        'b', 752,
        'c', 3,
        'd', 7,
        'e', 389,
        'f', 10,
        'i', 359,
        'j', 440,
        'k', 858,
        'l', 406,
        'm', 733,
        'n', 277,
        'o', 505,
        'p', 729,
        'q', 756,
        'r', 13,
        's', 720,
        't', 212,
        'w', 922,
        'z', 578,
      );
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 344,
        'b', 752,
        'c', 3,
        'd', 7,
        'e', 389,
        'f', 10,
        'i', 359,
        'j', 440,
        'k', 858,
        'l', 406,
        'm', 733,
        'n', 277,
        'o', 505,
        'p', 729,
        'q', 754,
        'r', 14,
        's', 720,
        't', 215,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 578,
      );
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 344,
        'b', 329,
        'c', 4,
        'd', 299,
        'e', 442,
        'h', 661,
        'i', 271,
        'j', 440,
        'k', 858,
        'l', 424,
        'm', 538,
        'n', 330,
        'o', 505,
        'p', 459,
        'q', 524,
        'r', 280,
        's', 300,
        't', 214,
        'u', 510,
        'w', 922,
        'z', 578,
      );
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 344,
        'b', 329,
        'c', 4,
        'd', 299,
        'e', 389,
        'f', 10,
        'i', 273,
        'j', 440,
        'k', 858,
        'l', 412,
        'n', 330,
        'o', 505,
        'p', 459,
        'q', 524,
        'r', 281,
        's', 300,
        't', 216,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 578,
      );
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 344,
        'b', 329,
        'd', 299,
        'e', 387,
        'f', 10,
        'i', 532,
        'j', 440,
        'k', 858,
        'l', 424,
        'n', 330,
        'o', 505,
        'p', 459,
        'q', 255,
        'r', 281,
        's', 300,
        't', 216,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 578,
      );
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 257,
        'd', 5,
        'e', 392,
        'f', 11,
        'i', 487,
        'k', 220,
        'l', 406,
        'm', 733,
        'n', 275,
        'p', 730,
        'q', 755,
        'r', 16,
        's', 721,
        't', 218,
        'x', 20,
        'z', 578,
      );
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 257,
        'd', 5,
        'e', 392,
        'f', 11,
        'i', 487,
        'k', 220,
        'l', 406,
        'm', 733,
        'n', 275,
        'p', 730,
        'q', 755,
        'r', 15,
        's', 721,
        't', 218,
        'x', 125,
        'z', 578,
      );
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 257,
        'd', 5,
        'e', 392,
        'f', 11,
        'i', 487,
        'k', 220,
        'l', 406,
        'm', 733,
        'n', 275,
        'p', 730,
        'q', 755,
        'r', 15,
        's', 721,
        't', 213,
        'z', 578,
      );
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 257,
        'd', 5,
        'e', 392,
        'f', 11,
        'i', 487,
        'k', 220,
        'l', 376,
        'm', 733,
        'n', 275,
        'p', 730,
        'q', 755,
        'r', 15,
        's', 721,
        't', 218,
        'z', 578,
      );
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 3,
        'd', 5,
        'e', 393,
        'f', 11,
        'i', 358,
        'k', 220,
        'l', 406,
        'm', 733,
        'n', 275,
        'p', 730,
        'q', 755,
        'r', 16,
        's', 721,
        't', 218,
        'x', 20,
        'z', 578,
      );
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 3,
        'd', 5,
        'e', 393,
        'f', 11,
        'i', 358,
        'k', 220,
        'l', 406,
        'm', 733,
        'n', 275,
        'p', 730,
        'q', 755,
        'r', 15,
        's', 721,
        't', 213,
        'z', 578,
      );
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 3,
        'd', 5,
        'e', 393,
        'f', 11,
        'i', 358,
        'k', 220,
        'l', 376,
        'm', 733,
        'n', 275,
        'p', 730,
        'q', 755,
        'r', 15,
        's', 721,
        't', 218,
        'z', 578,
      );
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 2,
        'd', 5,
        'e', 391,
        'f', 11,
        'i', 358,
        'k', 220,
        'l', 406,
        'm', 733,
        'n', 275,
        'p', 730,
        'q', 755,
        'r', 15,
        's', 721,
        't', 218,
        'z', 578,
      );
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 2,
        'd', 5,
        'e', 391,
        'f', 11,
        'i', 358,
        'k', 220,
        'l', 406,
        'm', 733,
        'n', 275,
        'p', 730,
        'q', 755,
        'r', 15,
        's', 721,
        't', 213,
        'z', 578,
      );
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'c', 4,
        'e', 393,
        'f', 11,
        'i', 272,
        'k', 220,
        'l', 424,
        'm', 538,
        'q', 523,
        'r', 361,
        's', 541,
        't', 219,
        'x', 20,
        'z', 578,
      );
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'c', 4,
        'e', 517,
        'h', 661,
        'i', 270,
        'k', 220,
        'l', 424,
        'm', 538,
        'q', 523,
        'r', 363,
        's', 541,
        't', 217,
        'u', 510,
        'z', 578,
      );
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'c', 4,
        'e', 517,
        'i', 272,
        'k', 220,
        'l', 424,
        'm', 538,
        'q', 523,
        'r', 360,
        's', 541,
        't', 219,
        'z', 578,
      );
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(aux_sym_milestoneTag_token1);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(aux_sym_milestoneTag_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(aux_sym_milestoneTag_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(anon_sym_BSLASH_STAR);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(sym_milestoneStartTag);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(sym_milestoneEndTag);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(sym_zSpaceTag);
      if (lookahead == '*') ADVANCE(1072);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1070);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(sym_zSpaceTag);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(sym__zSpaceClose);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(anon_sym_BSLASHesb);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(anon_sym_BSLASHesb);
      if (lookahead == 'e') ADVANCE(1075);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(anon_sym_BSLASHesbe);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(sym_category);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1076);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1077);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(sym_category);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1077);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(anon_sym_BSLASHcat);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(anon_sym_BSLASHcat);
      if (lookahead == '*') ADVANCE(1080);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(anon_sym_BSLASHcat_STAR);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(sym_customAttributeName);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1083);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(sym_customAttributeName);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1084);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == '-') ADVANCE(1192);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == '-') ADVANCE(1113);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(sym_attributeValue);
      ADVANCE_MAP(
        'a', 1122,
        'c', 1132,
        'h', 1141,
        'i', 1093,
        'l', 1114,
        'r', 1097,
        's', 1116,
        't', 1117,
        'x', 1085,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1087);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'a') ADVANCE(1158);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'c') ADVANCE(1247);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'c') ADVANCE(1241);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'c') ADVANCE(1164);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'c') ADVANCE(1123);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'd') ADVANCE(1187);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'd') ADVANCE(1175);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'd') ADVANCE(1259);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'd') ADVANCE(1256);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1105);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1244);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1183);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1172);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1129);
      if (lookahead == 'i') ADVANCE(1130);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(sym_attributeValue);
      ADVANCE_MAP(
        'e', 1118,
        'h', 1141,
        'i', 1093,
        'l', 1115,
        's', 1119,
        't', 1117,
        'w', 1112,
        'x', 1085,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1102);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1106);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1104:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1107);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'f') ADVANCE(1253);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1106:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'f') ADVANCE(1179);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1107:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'f') ADVANCE(1169);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1108:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'g') ADVANCE(1161);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1109:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'g') ADVANCE(1126);
      if (lookahead == 'h') ADVANCE(1141);
      if (lookahead == 'i') ADVANCE(1093);
      if (lookahead == 'l') ADVANCE(1115);
      if (lookahead == 't') ADVANCE(1117);
      if (lookahead == 'x') ADVANCE(1085);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1109);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1110:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'h') ADVANCE(1141);
      if (lookahead == 'i') ADVANCE(1093);
      if (lookahead == 'l') ADVANCE(1101);
      if (lookahead == 's') ADVANCE(1140);
      if (lookahead == 't') ADVANCE(1117);
      if (lookahead == 'x') ADVANCE(1085);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1110);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1111:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'h') ADVANCE(1141);
      if (lookahead == 'i') ADVANCE(1093);
      if (lookahead == 'l') ADVANCE(1115);
      if (lookahead == 't') ADVANCE(1117);
      if (lookahead == 'x') ADVANCE(1085);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1112:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'h') ADVANCE(1134);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1113:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'h') ADVANCE(1142);
      if (lookahead == 'i') ADVANCE(1094);
      if (lookahead == 't') ADVANCE(1120);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1114:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1130);
      if (lookahead == 'o') ADVANCE(1089);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1115:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1130);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1116:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1149);
      if (lookahead == 'r') ADVANCE(1090);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1117:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1146);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1118:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1095);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1096);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1120:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1147);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1121:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'k') ADVANCE(1086);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1122:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1145);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1123:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1137);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1124:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1099);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1125:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1100);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1126:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1135);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1127);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1128:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'm') ADVANCE(1088);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1129:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'm') ADVANCE(1128);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1130:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'n') ADVANCE(1121);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1131:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'n') ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1132:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1138);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1089);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1134:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1262);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1135:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1144);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1136:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1131);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1137:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1091);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1138:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'p') ADVANCE(1148);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1139:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'r') ADVANCE(1136);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1140:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'r') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(1139);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'r') ADVANCE(1103);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1142:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'r') ADVANCE(1104);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1143:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 's') ADVANCE(1167);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1144:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 's') ADVANCE(1143);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1145:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 't') ADVANCE(1237);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1146:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 't') ADVANCE(1124);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 't') ADVANCE(1125);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1148:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'y') ADVANCE(1250);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'z') ADVANCE(1098);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1150:
      ACCEPT_TOKEN(sym_attributeValue);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1150);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1151:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1152:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 1153:
      ACCEPT_TOKEN(anon_sym_key);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(anon_sym_key);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(anon_sym_key);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 1156:
      ACCEPT_TOKEN(anon_sym_lemma);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(anon_sym_lemma);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1158:
      ACCEPT_TOKEN(anon_sym_lemma);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(anon_sym_strong);
      END_STATE();
    case 1160:
      ACCEPT_TOKEN(anon_sym_strong);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1161:
      ACCEPT_TOKEN(anon_sym_strong);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(anon_sym_srcloc);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(anon_sym_srcloc);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1164:
      ACCEPT_TOKEN(anon_sym_srcloc);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1165:
      ACCEPT_TOKEN(anon_sym_gloss);
      END_STATE();
    case 1166:
      ACCEPT_TOKEN(anon_sym_gloss);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1167:
      ACCEPT_TOKEN(anon_sym_gloss);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(anon_sym_link_DASHhref);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(anon_sym_link_DASHhref);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(anon_sym_link_DASHhref);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 1171:
      ACCEPT_TOKEN(anon_sym_link_DASHtitle);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(anon_sym_link_DASHtitle);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(anon_sym_link_DASHtitle);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 1174:
      ACCEPT_TOKEN(anon_sym_link_DASHid);
      END_STATE();
    case 1175:
      ACCEPT_TOKEN(anon_sym_link_DASHid);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1176:
      ACCEPT_TOKEN(anon_sym_link_DASHid);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 1177:
      ACCEPT_TOKEN(anon_sym_href);
      END_STATE();
    case 1178:
      ACCEPT_TOKEN(anon_sym_href);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1179:
      ACCEPT_TOKEN(anon_sym_href);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1180:
      ACCEPT_TOKEN(anon_sym_href);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(anon_sym_title);
      END_STATE();
    case 1182:
      ACCEPT_TOKEN(anon_sym_title);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1183:
      ACCEPT_TOKEN(anon_sym_title);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1184:
      ACCEPT_TOKEN(anon_sym_title);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 1185:
      ACCEPT_TOKEN(anon_sym_id);
      END_STATE();
    case 1186:
      ACCEPT_TOKEN(anon_sym_id);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1187:
      ACCEPT_TOKEN(anon_sym_id);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1188:
      ACCEPT_TOKEN(anon_sym_id);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 1189:
      ACCEPT_TOKEN(anon_sym_x_DASH);
      END_STATE();
    case 1190:
      ACCEPT_TOKEN(anon_sym_x_DASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1083);
      END_STATE();
    case 1191:
      ACCEPT_TOKEN(anon_sym_x_DASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(642);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(643);
      END_STATE();
    case 1192:
      ACCEPT_TOKEN(anon_sym_x_DASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1084);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1193:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == '-') ADVANCE(1190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1194:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == '-') ADVANCE(407);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1195:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'a') ADVANCE(1157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1196:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'c') ADVANCE(1246);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1197:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'c') ADVANCE(1239);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1198:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'c') ADVANCE(1163);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1199:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'd') ADVANCE(1186);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1200:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'd') ADVANCE(1258);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1201:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'd') ADVANCE(1255);
      if (lookahead == 'z') ADVANCE(606);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(614);
      END_STATE();
    case 1202:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(1230);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1203:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(1216);
      if (lookahead == 'i') ADVANCE(1217);
      if (lookahead == 'o') ADVANCE(1196);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1204:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(1207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1205:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(607);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1206:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(1182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1207:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'f') ADVANCE(1252);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1208:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'g') ADVANCE(1160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1209:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'h') ADVANCE(1221);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1210:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'i') ADVANCE(1201);
      if (lookahead == 'r') ADVANCE(1197);
      if (lookahead == 't') ADVANCE(1224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1211:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'i') ADVANCE(1200);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1212:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'i') ADVANCE(1229);
      if (lookahead == 's') ADVANCE(1065);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1213:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'i') ADVANCE(1229);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1214:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'l') ADVANCE(1220);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1215:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'l') ADVANCE(1228);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1216:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'm') ADVANCE(610);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1217:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'n') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1218:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'n') ADVANCE(1208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1219:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'o') ADVANCE(1223);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1220:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'o') ADVANCE(612);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1221:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'o') ADVANCE(1261);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1222:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'o') ADVANCE(1198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1223:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'p') ADVANCE(613);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1224:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'r') ADVANCE(611);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'r') ADVANCE(1205);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1226:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 's') ADVANCE(1166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1227:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 't') ADVANCE(1231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1228:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 't') ADVANCE(1236);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1229:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 't') ADVANCE(609);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1230:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'y') ADVANCE(1154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1231:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e' ||
          lookahead == 's') ADVANCE(1066);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1232:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(614);
      END_STATE();
    case 1233:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1234:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1235:
      ACCEPT_TOKEN(anon_sym_alt);
      END_STATE();
    case 1236:
      ACCEPT_TOKEN(anon_sym_alt);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1237:
      ACCEPT_TOKEN(anon_sym_alt);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1238:
      ACCEPT_TOKEN(anon_sym_src);
      END_STATE();
    case 1239:
      ACCEPT_TOKEN(anon_sym_src);
      if (lookahead == 'l') ADVANCE(1222);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1240:
      ACCEPT_TOKEN(anon_sym_src);
      if (lookahead == 'l') ADVANCE(476);
      END_STATE();
    case 1241:
      ACCEPT_TOKEN(anon_sym_src);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1242:
      ACCEPT_TOKEN(anon_sym_size);
      END_STATE();
    case 1243:
      ACCEPT_TOKEN(anon_sym_size);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1244:
      ACCEPT_TOKEN(anon_sym_size);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1245:
      ACCEPT_TOKEN(anon_sym_loc);
      END_STATE();
    case 1246:
      ACCEPT_TOKEN(anon_sym_loc);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1247:
      ACCEPT_TOKEN(anon_sym_loc);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1248:
      ACCEPT_TOKEN(anon_sym_copy);
      END_STATE();
    case 1249:
      ACCEPT_TOKEN(anon_sym_copy);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1250:
      ACCEPT_TOKEN(anon_sym_copy);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1251:
      ACCEPT_TOKEN(anon_sym_ref);
      END_STATE();
    case 1252:
      ACCEPT_TOKEN(anon_sym_ref);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1253:
      ACCEPT_TOKEN(anon_sym_ref);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1254:
      ACCEPT_TOKEN(anon_sym_sid);
      END_STATE();
    case 1255:
      ACCEPT_TOKEN(anon_sym_sid);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1256:
      ACCEPT_TOKEN(anon_sym_sid);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1257:
      ACCEPT_TOKEN(anon_sym_eid);
      END_STATE();
    case 1258:
      ACCEPT_TOKEN(anon_sym_eid);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1259:
      ACCEPT_TOKEN(anon_sym_eid);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1260:
      ACCEPT_TOKEN(anon_sym_who);
      END_STATE();
    case 1261:
      ACCEPT_TOKEN(anon_sym_who);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1262:
      ACCEPT_TOKEN(anon_sym_who);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 223},
  [2] = {.lex_state = 225},
  [3] = {.lex_state = 225},
  [4] = {.lex_state = 225},
  [5] = {.lex_state = 225},
  [6] = {.lex_state = 235},
  [7] = {.lex_state = 235},
  [8] = {.lex_state = 235},
  [9] = {.lex_state = 242},
  [10] = {.lex_state = 242},
  [11] = {.lex_state = 242},
  [12] = {.lex_state = 242},
  [13] = {.lex_state = 242},
  [14] = {.lex_state = 242},
  [15] = {.lex_state = 242},
  [16] = {.lex_state = 242},
  [17] = {.lex_state = 242},
  [18] = {.lex_state = 242},
  [19] = {.lex_state = 242},
  [20] = {.lex_state = 242},
  [21] = {.lex_state = 242},
  [22] = {.lex_state = 226},
  [23] = {.lex_state = 226},
  [24] = {.lex_state = 226},
  [25] = {.lex_state = 226},
  [26] = {.lex_state = 226},
  [27] = {.lex_state = 226},
  [28] = {.lex_state = 226},
  [29] = {.lex_state = 226},
  [30] = {.lex_state = 226},
  [31] = {.lex_state = 226},
  [32] = {.lex_state = 226},
  [33] = {.lex_state = 226},
  [34] = {.lex_state = 226},
  [35] = {.lex_state = 226},
  [36] = {.lex_state = 226},
  [37] = {.lex_state = 226},
  [38] = {.lex_state = 226},
  [39] = {.lex_state = 226},
  [40] = {.lex_state = 226},
  [41] = {.lex_state = 226},
  [42] = {.lex_state = 226},
  [43] = {.lex_state = 226},
  [44] = {.lex_state = 226},
  [45] = {.lex_state = 226},
  [46] = {.lex_state = 226},
  [47] = {.lex_state = 226},
  [48] = {.lex_state = 226},
  [49] = {.lex_state = 226},
  [50] = {.lex_state = 226},
  [51] = {.lex_state = 226},
  [52] = {.lex_state = 226},
  [53] = {.lex_state = 226},
  [54] = {.lex_state = 226},
  [55] = {.lex_state = 226},
  [56] = {.lex_state = 580},
  [57] = {.lex_state = 580},
  [58] = {.lex_state = 580},
  [59] = {.lex_state = 580},
  [60] = {.lex_state = 580},
  [61] = {.lex_state = 247},
  [62] = {.lex_state = 247},
  [63] = {.lex_state = 597},
  [64] = {.lex_state = 597},
  [65] = {.lex_state = 597},
  [66] = {.lex_state = 597},
  [67] = {.lex_state = 597},
  [68] = {.lex_state = 597},
  [69] = {.lex_state = 597},
  [70] = {.lex_state = 597},
  [71] = {.lex_state = 597},
  [72] = {.lex_state = 597},
  [73] = {.lex_state = 597},
  [74] = {.lex_state = 244},
  [75] = {.lex_state = 244},
  [76] = {.lex_state = 244},
  [77] = {.lex_state = 244},
  [78] = {.lex_state = 244},
  [79] = {.lex_state = 236},
  [80] = {.lex_state = 580},
  [81] = {.lex_state = 580},
  [82] = {.lex_state = 580},
  [83] = {.lex_state = 580},
  [84] = {.lex_state = 580},
  [85] = {.lex_state = 580},
  [86] = {.lex_state = 580},
  [87] = {.lex_state = 580},
  [88] = {.lex_state = 580},
  [89] = {.lex_state = 580},
  [90] = {.lex_state = 580},
  [91] = {.lex_state = 580},
  [92] = {.lex_state = 580},
  [93] = {.lex_state = 580},
  [94] = {.lex_state = 580},
  [95] = {.lex_state = 580},
  [96] = {.lex_state = 580},
  [97] = {.lex_state = 580},
  [98] = {.lex_state = 580},
  [99] = {.lex_state = 580},
  [100] = {.lex_state = 580},
  [101] = {.lex_state = 580},
  [102] = {.lex_state = 580},
  [103] = {.lex_state = 580},
  [104] = {.lex_state = 580},
  [105] = {.lex_state = 580},
  [106] = {.lex_state = 580},
  [107] = {.lex_state = 580},
  [108] = {.lex_state = 580},
  [109] = {.lex_state = 580},
  [110] = {.lex_state = 580},
  [111] = {.lex_state = 236},
  [112] = {.lex_state = 248},
  [113] = {.lex_state = 248},
  [114] = {.lex_state = 236},
  [115] = {.lex_state = 236},
  [116] = {.lex_state = 236},
  [117] = {.lex_state = 236},
  [118] = {.lex_state = 236},
  [119] = {.lex_state = 236},
  [120] = {.lex_state = 236},
  [121] = {.lex_state = 236},
  [122] = {.lex_state = 236},
  [123] = {.lex_state = 236},
  [124] = {.lex_state = 236},
  [125] = {.lex_state = 581},
  [126] = {.lex_state = 248},
  [127] = {.lex_state = 236},
  [128] = {.lex_state = 248},
  [129] = {.lex_state = 236},
  [130] = {.lex_state = 236},
  [131] = {.lex_state = 236},
  [132] = {.lex_state = 236},
  [133] = {.lex_state = 236},
  [134] = {.lex_state = 236},
  [135] = {.lex_state = 236},
  [136] = {.lex_state = 248},
  [137] = {.lex_state = 236},
  [138] = {.lex_state = 236},
  [139] = {.lex_state = 236},
  [140] = {.lex_state = 236},
  [141] = {.lex_state = 236},
  [142] = {.lex_state = 236},
  [143] = {.lex_state = 236},
  [144] = {.lex_state = 236},
  [145] = {.lex_state = 236},
  [146] = {.lex_state = 236},
  [147] = {.lex_state = 248},
  [148] = {.lex_state = 236},
  [149] = {.lex_state = 236},
  [150] = {.lex_state = 236},
  [151] = {.lex_state = 236},
  [152] = {.lex_state = 236},
  [153] = {.lex_state = 236},
  [154] = {.lex_state = 248},
  [155] = {.lex_state = 236},
  [156] = {.lex_state = 236},
  [157] = {.lex_state = 236},
  [158] = {.lex_state = 236},
  [159] = {.lex_state = 236},
  [160] = {.lex_state = 236},
  [161] = {.lex_state = 236},
  [162] = {.lex_state = 236},
  [163] = {.lex_state = 236},
  [164] = {.lex_state = 236},
  [165] = {.lex_state = 236},
  [166] = {.lex_state = 236},
  [167] = {.lex_state = 236},
  [168] = {.lex_state = 581},
  [169] = {.lex_state = 581},
  [170] = {.lex_state = 236},
  [171] = {.lex_state = 236},
  [172] = {.lex_state = 236},
  [173] = {.lex_state = 236},
  [174] = {.lex_state = 236},
  [175] = {.lex_state = 236},
  [176] = {.lex_state = 248},
  [177] = {.lex_state = 236},
  [178] = {.lex_state = 236},
  [179] = {.lex_state = 236},
  [180] = {.lex_state = 236},
  [181] = {.lex_state = 236},
  [182] = {.lex_state = 236},
  [183] = {.lex_state = 248},
  [184] = {.lex_state = 236},
  [185] = {.lex_state = 236},
  [186] = {.lex_state = 236},
  [187] = {.lex_state = 236},
  [188] = {.lex_state = 236},
  [189] = {.lex_state = 236},
  [190] = {.lex_state = 236},
  [191] = {.lex_state = 236},
  [192] = {.lex_state = 236},
  [193] = {.lex_state = 236},
  [194] = {.lex_state = 236},
  [195] = {.lex_state = 248},
  [196] = {.lex_state = 248},
  [197] = {.lex_state = 236},
  [198] = {.lex_state = 236},
  [199] = {.lex_state = 236},
  [200] = {.lex_state = 581},
  [201] = {.lex_state = 581},
  [202] = {.lex_state = 236},
  [203] = {.lex_state = 236},
  [204] = {.lex_state = 236},
  [205] = {.lex_state = 236},
  [206] = {.lex_state = 236},
  [207] = {.lex_state = 244},
  [208] = {.lex_state = 244},
  [209] = {.lex_state = 244},
  [210] = {.lex_state = 244},
  [211] = {.lex_state = 244},
  [212] = {.lex_state = 244},
  [213] = {.lex_state = 244},
  [214] = {.lex_state = 244},
  [215] = {.lex_state = 244},
  [216] = {.lex_state = 244},
  [217] = {.lex_state = 244},
  [218] = {.lex_state = 244},
  [219] = {.lex_state = 244},
  [220] = {.lex_state = 244},
  [221] = {.lex_state = 244},
  [222] = {.lex_state = 244},
  [223] = {.lex_state = 244},
  [224] = {.lex_state = 244},
  [225] = {.lex_state = 244},
  [226] = {.lex_state = 244},
  [227] = {.lex_state = 244},
  [228] = {.lex_state = 244},
  [229] = {.lex_state = 244},
  [230] = {.lex_state = 244},
  [231] = {.lex_state = 244},
  [232] = {.lex_state = 244},
  [233] = {.lex_state = 244},
  [234] = {.lex_state = 244},
  [235] = {.lex_state = 244},
  [236] = {.lex_state = 244},
  [237] = {.lex_state = 244},
  [238] = {.lex_state = 250},
  [239] = {.lex_state = 250},
  [240] = {.lex_state = 250},
  [241] = {.lex_state = 250},
  [242] = {.lex_state = 250},
  [243] = {.lex_state = 250},
  [244] = {.lex_state = 250},
  [245] = {.lex_state = 250},
  [246] = {.lex_state = 250},
  [247] = {.lex_state = 250},
  [248] = {.lex_state = 250},
  [249] = {.lex_state = 250},
  [250] = {.lex_state = 250},
  [251] = {.lex_state = 250},
  [252] = {.lex_state = 250},
  [253] = {.lex_state = 250},
  [254] = {.lex_state = 250},
  [255] = {.lex_state = 250},
  [256] = {.lex_state = 250},
  [257] = {.lex_state = 250},
  [258] = {.lex_state = 250},
  [259] = {.lex_state = 250},
  [260] = {.lex_state = 250},
  [261] = {.lex_state = 250},
  [262] = {.lex_state = 250},
  [263] = {.lex_state = 250},
  [264] = {.lex_state = 250},
  [265] = {.lex_state = 250},
  [266] = {.lex_state = 250},
  [267] = {.lex_state = 250},
  [268] = {.lex_state = 250},
  [269] = {.lex_state = 250},
  [270] = {.lex_state = 250},
  [271] = {.lex_state = 250},
  [272] = {.lex_state = 236},
  [273] = {.lex_state = 236},
  [274] = {.lex_state = 236},
  [275] = {.lex_state = 236},
  [276] = {.lex_state = 236},
  [277] = {.lex_state = 236},
  [278] = {.lex_state = 236},
  [279] = {.lex_state = 236},
  [280] = {.lex_state = 236},
  [281] = {.lex_state = 237},
  [282] = {.lex_state = 237},
  [283] = {.lex_state = 237},
  [284] = {.lex_state = 237},
  [285] = {.lex_state = 237},
  [286] = {.lex_state = 237},
  [287] = {.lex_state = 237},
  [288] = {.lex_state = 236},
  [289] = {.lex_state = 236},
  [290] = {.lex_state = 236},
  [291] = {.lex_state = 236},
  [292] = {.lex_state = 580},
  [293] = {.lex_state = 236},
  [294] = {.lex_state = 236},
  [295] = {.lex_state = 227},
  [296] = {.lex_state = 236},
  [297] = {.lex_state = 580},
  [298] = {.lex_state = 236},
  [299] = {.lex_state = 236},
  [300] = {.lex_state = 236},
  [301] = {.lex_state = 236},
  [302] = {.lex_state = 236},
  [303] = {.lex_state = 236},
  [304] = {.lex_state = 236},
  [305] = {.lex_state = 236},
  [306] = {.lex_state = 227},
  [307] = {.lex_state = 580},
  [308] = {.lex_state = 580},
  [309] = {.lex_state = 580},
  [310] = {.lex_state = 580},
  [311] = {.lex_state = 580},
  [312] = {.lex_state = 580},
  [313] = {.lex_state = 580},
  [314] = {.lex_state = 597},
  [315] = {.lex_state = 597},
  [316] = {.lex_state = 244},
  [317] = {.lex_state = 244},
  [318] = {.lex_state = 597},
  [319] = {.lex_state = 597},
  [320] = {.lex_state = 244},
  [321] = {.lex_state = 236},
  [322] = {.lex_state = 244},
  [323] = {.lex_state = 251},
  [324] = {.lex_state = 251},
  [325] = {.lex_state = 580},
  [326] = {.lex_state = 580},
  [327] = {.lex_state = 580},
  [328] = {.lex_state = 244},
  [329] = {.lex_state = 582},
  [330] = {.lex_state = 244},
  [331] = {.lex_state = 582},
  [332] = {.lex_state = 244},
  [333] = {.lex_state = 248},
  [334] = {.lex_state = 248},
  [335] = {.lex_state = 228},
  [336] = {.lex_state = 248},
  [337] = {.lex_state = 248},
  [338] = {.lex_state = 580},
  [339] = {.lex_state = 228},
  [340] = {.lex_state = 580},
  [341] = {.lex_state = 228},
  [342] = {.lex_state = 228},
  [343] = {.lex_state = 228},
  [344] = {.lex_state = 228},
  [345] = {.lex_state = 228},
  [346] = {.lex_state = 244},
  [347] = {.lex_state = 244},
  [348] = {.lex_state = 238},
  [349] = {.lex_state = 583},
  [350] = {.lex_state = 583},
  [351] = {.lex_state = 583},
  [352] = {.lex_state = 238},
  [353] = {.lex_state = 243},
  [354] = {.lex_state = 243},
  [355] = {.lex_state = 583},
  [356] = {.lex_state = 584},
  [357] = {.lex_state = 584},
  [358] = {.lex_state = 583},
  [359] = {.lex_state = 580},
  [360] = {.lex_state = 580},
  [361] = {.lex_state = 580},
  [362] = {.lex_state = 580},
  [363] = {.lex_state = 580},
  [364] = {.lex_state = 580},
  [365] = {.lex_state = 583},
  [366] = {.lex_state = 598},
  [367] = {.lex_state = 580},
  [368] = {.lex_state = 580},
  [369] = {.lex_state = 580},
  [370] = {.lex_state = 580},
  [371] = {.lex_state = 580},
  [372] = {.lex_state = 580},
  [373] = {.lex_state = 583},
  [374] = {.lex_state = 583},
  [375] = {.lex_state = 583},
  [376] = {.lex_state = 583},
  [377] = {.lex_state = 583},
  [378] = {.lex_state = 583},
  [379] = {.lex_state = 583},
  [380] = {.lex_state = 583},
  [381] = {.lex_state = 580},
  [382] = {.lex_state = 580},
  [383] = {.lex_state = 583},
  [384] = {.lex_state = 583},
  [385] = {.lex_state = 580},
  [386] = {.lex_state = 580},
  [387] = {.lex_state = 580},
  [388] = {.lex_state = 584},
  [389] = {.lex_state = 580},
  [390] = {.lex_state = 583},
  [391] = {.lex_state = 580},
  [392] = {.lex_state = 580},
  [393] = {.lex_state = 580},
  [394] = {.lex_state = 580},
  [395] = {.lex_state = 580},
  [396] = {.lex_state = 580},
  [397] = {.lex_state = 583},
  [398] = {.lex_state = 580},
  [399] = {.lex_state = 580},
  [400] = {.lex_state = 580},
  [401] = {.lex_state = 580},
  [402] = {.lex_state = 580},
  [403] = {.lex_state = 580},
  [404] = {.lex_state = 580},
  [405] = {.lex_state = 580},
  [406] = {.lex_state = 580},
  [407] = {.lex_state = 580},
  [408] = {.lex_state = 580},
  [409] = {.lex_state = 580},
  [410] = {.lex_state = 580},
  [411] = {.lex_state = 580},
  [412] = {.lex_state = 580},
  [413] = {.lex_state = 580},
  [414] = {.lex_state = 580},
  [415] = {.lex_state = 580},
  [416] = {.lex_state = 580},
  [417] = {.lex_state = 580},
  [418] = {.lex_state = 580},
  [419] = {.lex_state = 580},
  [420] = {.lex_state = 580},
  [421] = {.lex_state = 585},
  [422] = {.lex_state = 585},
  [423] = {.lex_state = 580},
  [424] = {.lex_state = 597},
  [425] = {.lex_state = 597},
  [426] = {.lex_state = 580},
  [427] = {.lex_state = 597},
  [428] = {.lex_state = 580},
  [429] = {.lex_state = 580},
  [430] = {.lex_state = 598},
  [431] = {.lex_state = 580},
  [432] = {.lex_state = 580},
  [433] = {.lex_state = 580},
  [434] = {.lex_state = 580},
  [435] = {.lex_state = 580},
  [436] = {.lex_state = 580},
  [437] = {.lex_state = 243},
  [438] = {.lex_state = 598},
  [439] = {.lex_state = 243},
  [440] = {.lex_state = 243},
  [441] = {.lex_state = 243},
  [442] = {.lex_state = 243},
  [443] = {.lex_state = 243},
  [444] = {.lex_state = 580},
  [445] = {.lex_state = 580},
  [446] = {.lex_state = 580},
  [447] = {.lex_state = 580},
  [448] = {.lex_state = 580},
  [449] = {.lex_state = 580},
  [450] = {.lex_state = 580},
  [451] = {.lex_state = 580},
  [452] = {.lex_state = 580},
  [453] = {.lex_state = 580},
  [454] = {.lex_state = 580},
  [455] = {.lex_state = 580},
  [456] = {.lex_state = 580},
  [457] = {.lex_state = 580},
  [458] = {.lex_state = 580},
  [459] = {.lex_state = 580},
  [460] = {.lex_state = 580},
  [461] = {.lex_state = 580},
  [462] = {.lex_state = 580},
  [463] = {.lex_state = 580},
  [464] = {.lex_state = 580},
  [465] = {.lex_state = 580},
  [466] = {.lex_state = 580},
  [467] = {.lex_state = 580},
  [468] = {.lex_state = 580},
  [469] = {.lex_state = 580},
  [470] = {.lex_state = 580},
  [471] = {.lex_state = 580},
  [472] = {.lex_state = 580},
  [473] = {.lex_state = 245},
  [474] = {.lex_state = 597},
  [475] = {.lex_state = 597},
  [476] = {.lex_state = 597},
  [477] = {.lex_state = 597},
  [478] = {.lex_state = 597},
  [479] = {.lex_state = 597},
  [480] = {.lex_state = 597},
  [481] = {.lex_state = 597},
  [482] = {.lex_state = 597},
  [483] = {.lex_state = 597},
  [484] = {.lex_state = 597},
  [485] = {.lex_state = 597},
  [486] = {.lex_state = 597},
  [487] = {.lex_state = 597},
  [488] = {.lex_state = 597},
  [489] = {.lex_state = 597},
  [490] = {.lex_state = 597},
  [491] = {.lex_state = 597},
  [492] = {.lex_state = 597},
  [493] = {.lex_state = 597},
  [494] = {.lex_state = 597},
  [495] = {.lex_state = 244},
  [496] = {.lex_state = 597},
  [497] = {.lex_state = 597},
  [498] = {.lex_state = 597},
  [499] = {.lex_state = 597},
  [500] = {.lex_state = 597},
  [501] = {.lex_state = 597},
  [502] = {.lex_state = 597},
  [503] = {.lex_state = 597},
  [504] = {.lex_state = 597},
  [505] = {.lex_state = 597},
  [506] = {.lex_state = 597},
  [507] = {.lex_state = 597},
  [508] = {.lex_state = 597},
  [509] = {.lex_state = 244},
  [510] = {.lex_state = 597},
  [511] = {.lex_state = 597},
  [512] = {.lex_state = 597},
  [513] = {.lex_state = 245},
  [514] = {.lex_state = 597},
  [515] = {.lex_state = 597},
  [516] = {.lex_state = 597},
  [517] = {.lex_state = 597},
  [518] = {.lex_state = 597},
  [519] = {.lex_state = 597},
  [520] = {.lex_state = 597},
  [521] = {.lex_state = 597},
  [522] = {.lex_state = 244},
  [523] = {.lex_state = 597},
  [524] = {.lex_state = 597},
  [525] = {.lex_state = 597},
  [526] = {.lex_state = 597},
  [527] = {.lex_state = 597},
  [528] = {.lex_state = 597},
  [529] = {.lex_state = 597},
  [530] = {.lex_state = 597},
  [531] = {.lex_state = 597},
  [532] = {.lex_state = 597},
  [533] = {.lex_state = 597},
  [534] = {.lex_state = 597},
  [535] = {.lex_state = 597},
  [536] = {.lex_state = 597},
  [537] = {.lex_state = 597},
  [538] = {.lex_state = 597},
  [539] = {.lex_state = 597},
  [540] = {.lex_state = 597},
  [541] = {.lex_state = 597},
  [542] = {.lex_state = 597},
  [543] = {.lex_state = 597},
  [544] = {.lex_state = 597},
  [545] = {.lex_state = 597},
  [546] = {.lex_state = 597},
  [547] = {.lex_state = 597},
  [548] = {.lex_state = 597},
  [549] = {.lex_state = 597},
  [550] = {.lex_state = 597},
  [551] = {.lex_state = 597},
  [552] = {.lex_state = 597},
  [553] = {.lex_state = 597},
  [554] = {.lex_state = 597},
  [555] = {.lex_state = 597},
  [556] = {.lex_state = 597},
  [557] = {.lex_state = 597},
  [558] = {.lex_state = 597},
  [559] = {.lex_state = 597},
  [560] = {.lex_state = 597},
  [561] = {.lex_state = 245},
  [562] = {.lex_state = 249},
  [563] = {.lex_state = 580},
  [564] = {.lex_state = 248},
  [565] = {.lex_state = 249},
  [566] = {.lex_state = 248},
  [567] = {.lex_state = 580},
  [568] = {.lex_state = 580},
  [569] = {.lex_state = 580},
  [570] = {.lex_state = 248},
  [571] = {.lex_state = 583},
  [572] = {.lex_state = 249},
  [573] = {.lex_state = 236},
  [574] = {.lex_state = 583},
  [575] = {.lex_state = 244},
  [576] = {.lex_state = 244},
  [577] = {.lex_state = 244},
  [578] = {.lex_state = 244},
  [579] = {.lex_state = 244},
  [580] = {.lex_state = 244},
  [581] = {.lex_state = 244},
  [582] = {.lex_state = 244},
  [583] = {.lex_state = 244},
  [584] = {.lex_state = 244},
  [585] = {.lex_state = 244},
  [586] = {.lex_state = 244},
  [587] = {.lex_state = 244},
  [588] = {.lex_state = 244},
  [589] = {.lex_state = 244},
  [590] = {.lex_state = 244},
  [591] = {.lex_state = 244},
  [592] = {.lex_state = 244},
  [593] = {.lex_state = 244},
  [594] = {.lex_state = 244},
  [595] = {.lex_state = 244},
  [596] = {.lex_state = 244},
  [597] = {.lex_state = 244},
  [598] = {.lex_state = 244},
  [599] = {.lex_state = 244},
  [600] = {.lex_state = 244},
  [601] = {.lex_state = 244},
  [602] = {.lex_state = 582},
  [603] = {.lex_state = 582},
  [604] = {.lex_state = 582},
  [605] = {.lex_state = 582},
  [606] = {.lex_state = 582},
  [607] = {.lex_state = 582},
  [608] = {.lex_state = 582},
  [609] = {.lex_state = 582},
  [610] = {.lex_state = 582},
  [611] = {.lex_state = 582},
  [612] = {.lex_state = 582},
  [613] = {.lex_state = 582},
  [614] = {.lex_state = 582},
  [615] = {.lex_state = 582},
  [616] = {.lex_state = 582},
  [617] = {.lex_state = 582},
  [618] = {.lex_state = 582},
  [619] = {.lex_state = 582},
  [620] = {.lex_state = 582},
  [621] = {.lex_state = 582},
  [622] = {.lex_state = 582},
  [623] = {.lex_state = 582},
  [624] = {.lex_state = 582},
  [625] = {.lex_state = 582},
  [626] = {.lex_state = 582},
  [627] = {.lex_state = 582},
  [628] = {.lex_state = 582},
  [629] = {.lex_state = 582},
  [630] = {.lex_state = 580},
  [631] = {.lex_state = 580},
  [632] = {.lex_state = 582},
  [633] = {.lex_state = 582},
  [634] = {.lex_state = 582},
  [635] = {.lex_state = 582},
  [636] = {.lex_state = 582},
  [637] = {.lex_state = 582},
  [638] = {.lex_state = 582},
  [639] = {.lex_state = 582},
  [640] = {.lex_state = 582},
  [641] = {.lex_state = 582},
  [642] = {.lex_state = 248},
  [643] = {.lex_state = 248},
  [644] = {.lex_state = 248},
  [645] = {.lex_state = 248},
  [646] = {.lex_state = 586},
  [647] = {.lex_state = 248},
  [648] = {.lex_state = 236},
  [649] = {.lex_state = 248},
  [650] = {.lex_state = 580},
  [651] = {.lex_state = 248},
  [652] = {.lex_state = 248},
  [653] = {.lex_state = 248},
  [654] = {.lex_state = 248},
  [655] = {.lex_state = 248},
  [656] = {.lex_state = 248},
  [657] = {.lex_state = 248},
  [658] = {.lex_state = 248},
  [659] = {.lex_state = 248},
  [660] = {.lex_state = 248},
  [661] = {.lex_state = 248},
  [662] = {.lex_state = 236},
  [663] = {.lex_state = 248},
  [664] = {.lex_state = 248},
  [665] = {.lex_state = 248},
  [666] = {.lex_state = 248},
  [667] = {.lex_state = 248},
  [668] = {.lex_state = 248},
  [669] = {.lex_state = 248},
  [670] = {.lex_state = 248},
  [671] = {.lex_state = 248},
  [672] = {.lex_state = 248},
  [673] = {.lex_state = 248},
  [674] = {.lex_state = 248},
  [675] = {.lex_state = 248},
  [676] = {.lex_state = 248},
  [677] = {.lex_state = 248},
  [678] = {.lex_state = 248},
  [679] = {.lex_state = 248},
  [680] = {.lex_state = 248},
  [681] = {.lex_state = 248},
  [682] = {.lex_state = 248},
  [683] = {.lex_state = 248},
  [684] = {.lex_state = 248},
  [685] = {.lex_state = 248},
  [686] = {.lex_state = 248},
  [687] = {.lex_state = 248},
  [688] = {.lex_state = 248},
  [689] = {.lex_state = 248},
  [690] = {.lex_state = 248},
  [691] = {.lex_state = 248},
  [692] = {.lex_state = 248},
  [693] = {.lex_state = 248},
  [694] = {.lex_state = 248},
  [695] = {.lex_state = 248},
  [696] = {.lex_state = 248},
  [697] = {.lex_state = 248},
  [698] = {.lex_state = 236},
  [699] = {.lex_state = 248},
  [700] = {.lex_state = 248},
  [701] = {.lex_state = 248},
  [702] = {.lex_state = 248},
  [703] = {.lex_state = 248},
  [704] = {.lex_state = 248},
  [705] = {.lex_state = 248},
  [706] = {.lex_state = 248},
  [707] = {.lex_state = 248},
  [708] = {.lex_state = 248},
  [709] = {.lex_state = 248},
  [710] = {.lex_state = 248},
  [711] = {.lex_state = 248},
  [712] = {.lex_state = 248},
  [713] = {.lex_state = 248},
  [714] = {.lex_state = 248},
  [715] = {.lex_state = 248},
  [716] = {.lex_state = 248},
  [717] = {.lex_state = 248},
  [718] = {.lex_state = 248},
  [719] = {.lex_state = 248},
  [720] = {.lex_state = 248},
  [721] = {.lex_state = 236},
  [722] = {.lex_state = 248},
  [723] = {.lex_state = 248},
  [724] = {.lex_state = 248},
  [725] = {.lex_state = 248},
  [726] = {.lex_state = 248},
  [727] = {.lex_state = 248},
  [728] = {.lex_state = 248},
  [729] = {.lex_state = 248},
  [730] = {.lex_state = 248},
  [731] = {.lex_state = 236},
  [732] = {.lex_state = 236},
  [733] = {.lex_state = 236},
  [734] = {.lex_state = 236},
  [735] = {.lex_state = 236},
  [736] = {.lex_state = 228},
  [737] = {.lex_state = 228},
  [738] = {.lex_state = 244},
  [739] = {.lex_state = 244},
  [740] = {.lex_state = 244},
  [741] = {.lex_state = 244},
  [742] = {.lex_state = 583},
  [743] = {.lex_state = 228},
  [744] = {.lex_state = 228},
  [745] = {.lex_state = 583},
  [746] = {.lex_state = 580},
  [747] = {.lex_state = 580},
  [748] = {.lex_state = 583},
  [749] = {.lex_state = 580},
  [750] = {.lex_state = 580},
  [751] = {.lex_state = 580},
  [752] = {.lex_state = 580},
  [753] = {.lex_state = 580},
  [754] = {.lex_state = 583},
  [755] = {.lex_state = 580},
  [756] = {.lex_state = 238},
  [757] = {.lex_state = 238},
  [758] = {.lex_state = 238},
  [759] = {.lex_state = 238},
  [760] = {.lex_state = 238},
  [761] = {.lex_state = 238},
  [762] = {.lex_state = 238},
  [763] = {.lex_state = 238},
  [764] = {.lex_state = 238},
  [765] = {.lex_state = 238},
  [766] = {.lex_state = 238},
  [767] = {.lex_state = 238},
  [768] = {.lex_state = 238},
  [769] = {.lex_state = 238},
  [770] = {.lex_state = 238},
  [771] = {.lex_state = 238},
  [772] = {.lex_state = 238},
  [773] = {.lex_state = 238},
  [774] = {.lex_state = 586},
  [775] = {.lex_state = 244},
  [776] = {.lex_state = 586},
  [777] = {.lex_state = 238},
  [778] = {.lex_state = 238},
  [779] = {.lex_state = 238},
  [780] = {.lex_state = 238},
  [781] = {.lex_state = 238},
  [782] = {.lex_state = 238},
  [783] = {.lex_state = 238},
  [784] = {.lex_state = 238},
  [785] = {.lex_state = 244},
  [786] = {.lex_state = 238},
  [787] = {.lex_state = 229},
  [788] = {.lex_state = 238},
  [789] = {.lex_state = 238},
  [790] = {.lex_state = 238},
  [791] = {.lex_state = 238},
  [792] = {.lex_state = 238},
  [793] = {.lex_state = 238},
  [794] = {.lex_state = 229},
  [795] = {.lex_state = 238},
  [796] = {.lex_state = 586},
  [797] = {.lex_state = 238},
  [798] = {.lex_state = 238},
  [799] = {.lex_state = 238},
  [800] = {.lex_state = 238},
  [801] = {.lex_state = 226},
  [802] = {.lex_state = 244},
  [803] = {.lex_state = 227},
  [804] = {.lex_state = 227},
  [805] = {.lex_state = 226},
  [806] = {.lex_state = 226},
  [807] = {.lex_state = 226},
  [808] = {.lex_state = 226},
  [809] = {.lex_state = 226},
  [810] = {.lex_state = 226},
  [811] = {.lex_state = 226},
  [812] = {.lex_state = 226},
  [813] = {.lex_state = 226},
  [814] = {.lex_state = 226},
  [815] = {.lex_state = 226},
  [816] = {.lex_state = 226},
  [817] = {.lex_state = 226},
  [818] = {.lex_state = 226},
  [819] = {.lex_state = 226},
  [820] = {.lex_state = 226},
  [821] = {.lex_state = 226},
  [822] = {.lex_state = 226},
  [823] = {.lex_state = 226},
  [824] = {.lex_state = 226},
  [825] = {.lex_state = 226},
  [826] = {.lex_state = 226},
  [827] = {.lex_state = 226},
  [828] = {.lex_state = 226},
  [829] = {.lex_state = 226},
  [830] = {.lex_state = 226},
  [831] = {.lex_state = 226},
  [832] = {.lex_state = 226},
  [833] = {.lex_state = 226},
  [834] = {.lex_state = 226},
  [835] = {.lex_state = 226},
  [836] = {.lex_state = 226},
  [837] = {.lex_state = 226},
  [838] = {.lex_state = 226},
  [839] = {.lex_state = 226},
  [840] = {.lex_state = 226},
  [841] = {.lex_state = 226},
  [842] = {.lex_state = 226},
  [843] = {.lex_state = 226},
  [844] = {.lex_state = 226},
  [845] = {.lex_state = 226},
  [846] = {.lex_state = 226},
  [847] = {.lex_state = 226},
  [848] = {.lex_state = 226},
  [849] = {.lex_state = 226},
  [850] = {.lex_state = 226},
  [851] = {.lex_state = 226},
  [852] = {.lex_state = 226},
  [853] = {.lex_state = 226},
  [854] = {.lex_state = 226},
  [855] = {.lex_state = 226},
  [856] = {.lex_state = 226},
  [857] = {.lex_state = 226},
  [858] = {.lex_state = 226},
  [859] = {.lex_state = 226},
  [860] = {.lex_state = 226},
  [861] = {.lex_state = 226},
  [862] = {.lex_state = 226},
  [863] = {.lex_state = 226},
  [864] = {.lex_state = 226},
  [865] = {.lex_state = 226},
  [866] = {.lex_state = 226},
  [867] = {.lex_state = 226},
  [868] = {.lex_state = 226},
  [869] = {.lex_state = 226},
  [870] = {.lex_state = 226},
  [871] = {.lex_state = 226},
  [872] = {.lex_state = 226},
  [873] = {.lex_state = 226},
  [874] = {.lex_state = 226},
  [875] = {.lex_state = 226},
  [876] = {.lex_state = 226},
  [877] = {.lex_state = 226},
  [878] = {.lex_state = 226},
  [879] = {.lex_state = 226},
  [880] = {.lex_state = 226},
  [881] = {.lex_state = 226},
  [882] = {.lex_state = 226},
  [883] = {.lex_state = 226},
  [884] = {.lex_state = 226},
  [885] = {.lex_state = 226},
  [886] = {.lex_state = 226},
  [887] = {.lex_state = 226},
  [888] = {.lex_state = 226},
  [889] = {.lex_state = 226},
  [890] = {.lex_state = 226},
  [891] = {.lex_state = 226},
  [892] = {.lex_state = 226},
  [893] = {.lex_state = 226},
  [894] = {.lex_state = 226},
  [895] = {.lex_state = 226},
  [896] = {.lex_state = 226},
  [897] = {.lex_state = 226},
  [898] = {.lex_state = 226},
  [899] = {.lex_state = 226},
  [900] = {.lex_state = 226},
  [901] = {.lex_state = 226},
  [902] = {.lex_state = 226},
  [903] = {.lex_state = 226},
  [904] = {.lex_state = 226},
  [905] = {.lex_state = 226},
  [906] = {.lex_state = 226},
  [907] = {.lex_state = 226},
  [908] = {.lex_state = 226},
  [909] = {.lex_state = 226},
  [910] = {.lex_state = 226},
  [911] = {.lex_state = 226},
  [912] = {.lex_state = 226},
  [913] = {.lex_state = 226},
  [914] = {.lex_state = 226},
  [915] = {.lex_state = 226},
  [916] = {.lex_state = 226},
  [917] = {.lex_state = 226},
  [918] = {.lex_state = 226},
  [919] = {.lex_state = 226},
  [920] = {.lex_state = 226},
  [921] = {.lex_state = 226},
  [922] = {.lex_state = 226},
  [923] = {.lex_state = 226},
  [924] = {.lex_state = 226},
  [925] = {.lex_state = 226},
  [926] = {.lex_state = 226},
  [927] = {.lex_state = 226},
  [928] = {.lex_state = 226},
  [929] = {.lex_state = 226},
  [930] = {.lex_state = 226},
  [931] = {.lex_state = 226},
  [932] = {.lex_state = 226},
  [933] = {.lex_state = 226},
  [934] = {.lex_state = 226},
  [935] = {.lex_state = 226},
  [936] = {.lex_state = 226},
  [937] = {.lex_state = 226},
  [938] = {.lex_state = 226},
  [939] = {.lex_state = 226},
  [940] = {.lex_state = 226},
  [941] = {.lex_state = 226},
  [942] = {.lex_state = 226},
  [943] = {.lex_state = 226},
  [944] = {.lex_state = 226},
  [945] = {.lex_state = 226},
  [946] = {.lex_state = 226},
  [947] = {.lex_state = 226},
  [948] = {.lex_state = 226},
  [949] = {.lex_state = 226},
  [950] = {.lex_state = 226},
  [951] = {.lex_state = 226},
  [952] = {.lex_state = 226},
  [953] = {.lex_state = 226},
  [954] = {.lex_state = 226},
  [955] = {.lex_state = 226},
  [956] = {.lex_state = 226},
  [957] = {.lex_state = 226},
  [958] = {.lex_state = 226},
  [959] = {.lex_state = 226},
  [960] = {.lex_state = 226},
  [961] = {.lex_state = 226},
  [962] = {.lex_state = 226},
  [963] = {.lex_state = 226},
  [964] = {.lex_state = 226},
  [965] = {.lex_state = 226},
  [966] = {.lex_state = 226},
  [967] = {.lex_state = 226},
  [968] = {.lex_state = 226},
  [969] = {.lex_state = 226},
  [970] = {.lex_state = 226},
  [971] = {.lex_state = 226},
  [972] = {.lex_state = 226},
  [973] = {.lex_state = 226},
  [974] = {.lex_state = 226},
  [975] = {.lex_state = 226},
  [976] = {.lex_state = 226},
  [977] = {.lex_state = 226},
  [978] = {.lex_state = 226},
  [979] = {.lex_state = 226},
  [980] = {.lex_state = 226},
  [981] = {.lex_state = 226},
  [982] = {.lex_state = 226},
  [983] = {.lex_state = 226},
  [984] = {.lex_state = 226},
  [985] = {.lex_state = 226},
  [986] = {.lex_state = 226},
  [987] = {.lex_state = 226},
  [988] = {.lex_state = 226},
  [989] = {.lex_state = 226},
  [990] = {.lex_state = 226},
  [991] = {.lex_state = 226},
  [992] = {.lex_state = 226},
  [993] = {.lex_state = 226},
  [994] = {.lex_state = 226},
  [995] = {.lex_state = 226},
  [996] = {.lex_state = 226},
  [997] = {.lex_state = 226},
  [998] = {.lex_state = 226},
  [999] = {.lex_state = 226},
  [1000] = {.lex_state = 226},
  [1001] = {.lex_state = 226},
  [1002] = {.lex_state = 226},
  [1003] = {.lex_state = 226},
  [1004] = {.lex_state = 226},
  [1005] = {.lex_state = 226},
  [1006] = {.lex_state = 226},
  [1007] = {.lex_state = 226},
  [1008] = {.lex_state = 226},
  [1009] = {.lex_state = 226},
  [1010] = {.lex_state = 226},
  [1011] = {.lex_state = 226},
  [1012] = {.lex_state = 226},
  [1013] = {.lex_state = 226},
  [1014] = {.lex_state = 226},
  [1015] = {.lex_state = 226},
  [1016] = {.lex_state = 226},
  [1017] = {.lex_state = 226},
  [1018] = {.lex_state = 226},
  [1019] = {.lex_state = 226},
  [1020] = {.lex_state = 226},
  [1021] = {.lex_state = 226},
  [1022] = {.lex_state = 226},
  [1023] = {.lex_state = 226},
  [1024] = {.lex_state = 226},
  [1025] = {.lex_state = 226},
  [1026] = {.lex_state = 226},
  [1027] = {.lex_state = 226},
  [1028] = {.lex_state = 226},
  [1029] = {.lex_state = 226},
  [1030] = {.lex_state = 226},
  [1031] = {.lex_state = 226},
  [1032] = {.lex_state = 226},
  [1033] = {.lex_state = 226},
  [1034] = {.lex_state = 226},
  [1035] = {.lex_state = 226},
  [1036] = {.lex_state = 226},
  [1037] = {.lex_state = 226},
  [1038] = {.lex_state = 226},
  [1039] = {.lex_state = 226},
  [1040] = {.lex_state = 226},
  [1041] = {.lex_state = 226},
  [1042] = {.lex_state = 226},
  [1043] = {.lex_state = 226},
  [1044] = {.lex_state = 226},
  [1045] = {.lex_state = 226},
  [1046] = {.lex_state = 226},
  [1047] = {.lex_state = 226},
  [1048] = {.lex_state = 226},
  [1049] = {.lex_state = 226},
  [1050] = {.lex_state = 226},
  [1051] = {.lex_state = 226},
  [1052] = {.lex_state = 226},
  [1053] = {.lex_state = 226},
  [1054] = {.lex_state = 226},
  [1055] = {.lex_state = 226},
  [1056] = {.lex_state = 226},
  [1057] = {.lex_state = 226},
  [1058] = {.lex_state = 226},
  [1059] = {.lex_state = 226},
  [1060] = {.lex_state = 226},
  [1061] = {.lex_state = 226},
  [1062] = {.lex_state = 226},
  [1063] = {.lex_state = 226},
  [1064] = {.lex_state = 226},
  [1065] = {.lex_state = 226},
  [1066] = {.lex_state = 226},
  [1067] = {.lex_state = 226},
  [1068] = {.lex_state = 226},
  [1069] = {.lex_state = 226},
  [1070] = {.lex_state = 226},
  [1071] = {.lex_state = 226},
  [1072] = {.lex_state = 226},
  [1073] = {.lex_state = 226},
  [1074] = {.lex_state = 226},
  [1075] = {.lex_state = 226},
  [1076] = {.lex_state = 226},
  [1077] = {.lex_state = 226},
  [1078] = {.lex_state = 226},
  [1079] = {.lex_state = 226},
  [1080] = {.lex_state = 226},
  [1081] = {.lex_state = 226},
  [1082] = {.lex_state = 226},
  [1083] = {.lex_state = 226},
  [1084] = {.lex_state = 226},
  [1085] = {.lex_state = 226},
  [1086] = {.lex_state = 226},
  [1087] = {.lex_state = 226},
  [1088] = {.lex_state = 226},
  [1089] = {.lex_state = 226},
  [1090] = {.lex_state = 226},
  [1091] = {.lex_state = 226},
  [1092] = {.lex_state = 226},
  [1093] = {.lex_state = 226},
  [1094] = {.lex_state = 226},
  [1095] = {.lex_state = 226},
  [1096] = {.lex_state = 226},
  [1097] = {.lex_state = 226},
  [1098] = {.lex_state = 226},
  [1099] = {.lex_state = 226},
  [1100] = {.lex_state = 226},
  [1101] = {.lex_state = 226},
  [1102] = {.lex_state = 226},
  [1103] = {.lex_state = 226},
  [1104] = {.lex_state = 226},
  [1105] = {.lex_state = 226},
  [1106] = {.lex_state = 226},
  [1107] = {.lex_state = 226},
  [1108] = {.lex_state = 226},
  [1109] = {.lex_state = 226},
  [1110] = {.lex_state = 226},
  [1111] = {.lex_state = 226},
  [1112] = {.lex_state = 226},
  [1113] = {.lex_state = 226},
  [1114] = {.lex_state = 226},
  [1115] = {.lex_state = 226},
  [1116] = {.lex_state = 226},
  [1117] = {.lex_state = 226},
  [1118] = {.lex_state = 226},
  [1119] = {.lex_state = 226},
  [1120] = {.lex_state = 226},
  [1121] = {.lex_state = 226},
  [1122] = {.lex_state = 226},
  [1123] = {.lex_state = 226},
  [1124] = {.lex_state = 226},
  [1125] = {.lex_state = 226},
  [1126] = {.lex_state = 226},
  [1127] = {.lex_state = 226},
  [1128] = {.lex_state = 226},
  [1129] = {.lex_state = 226},
  [1130] = {.lex_state = 226},
  [1131] = {.lex_state = 226},
  [1132] = {.lex_state = 226},
  [1133] = {.lex_state = 226},
  [1134] = {.lex_state = 226},
  [1135] = {.lex_state = 226},
  [1136] = {.lex_state = 226},
  [1137] = {.lex_state = 226},
  [1138] = {.lex_state = 226},
  [1139] = {.lex_state = 226},
  [1140] = {.lex_state = 226},
  [1141] = {.lex_state = 580},
  [1142] = {.lex_state = 580},
  [1143] = {.lex_state = 580},
  [1144] = {.lex_state = 580},
  [1145] = {.lex_state = 226},
  [1146] = {.lex_state = 226},
  [1147] = {.lex_state = 226},
  [1148] = {.lex_state = 226},
  [1149] = {.lex_state = 226},
  [1150] = {.lex_state = 226},
  [1151] = {.lex_state = 226},
  [1152] = {.lex_state = 226},
  [1153] = {.lex_state = 236},
  [1154] = {.lex_state = 236},
  [1155] = {.lex_state = 236},
  [1156] = {.lex_state = 236},
  [1157] = {.lex_state = 236},
  [1158] = {.lex_state = 236},
  [1159] = {.lex_state = 236},
  [1160] = {.lex_state = 236},
  [1161] = {.lex_state = 236},
  [1162] = {.lex_state = 236},
  [1163] = {.lex_state = 236},
  [1164] = {.lex_state = 236},
  [1165] = {.lex_state = 236},
  [1166] = {.lex_state = 236},
  [1167] = {.lex_state = 236},
  [1168] = {.lex_state = 236},
  [1169] = {.lex_state = 236},
  [1170] = {.lex_state = 236},
  [1171] = {.lex_state = 236},
  [1172] = {.lex_state = 236},
  [1173] = {.lex_state = 236},
  [1174] = {.lex_state = 236},
  [1175] = {.lex_state = 236},
  [1176] = {.lex_state = 236},
  [1177] = {.lex_state = 236},
  [1178] = {.lex_state = 236},
  [1179] = {.lex_state = 236},
  [1180] = {.lex_state = 236},
  [1181] = {.lex_state = 580},
  [1182] = {.lex_state = 586},
  [1183] = {.lex_state = 226},
  [1184] = {.lex_state = 226},
  [1185] = {.lex_state = 226},
  [1186] = {.lex_state = 226},
  [1187] = {.lex_state = 226},
  [1188] = {.lex_state = 226},
  [1189] = {.lex_state = 226},
  [1190] = {.lex_state = 226},
  [1191] = {.lex_state = 226},
  [1192] = {.lex_state = 226},
  [1193] = {.lex_state = 226},
  [1194] = {.lex_state = 226},
  [1195] = {.lex_state = 226},
  [1196] = {.lex_state = 580},
  [1197] = {.lex_state = 580},
  [1198] = {.lex_state = 580},
  [1199] = {.lex_state = 580},
  [1200] = {.lex_state = 580},
  [1201] = {.lex_state = 580},
  [1202] = {.lex_state = 580},
  [1203] = {.lex_state = 580},
  [1204] = {.lex_state = 580},
  [1205] = {.lex_state = 580},
  [1206] = {.lex_state = 580},
  [1207] = {.lex_state = 580},
  [1208] = {.lex_state = 580},
  [1209] = {.lex_state = 580},
  [1210] = {.lex_state = 580},
  [1211] = {.lex_state = 580},
  [1212] = {.lex_state = 580},
  [1213] = {.lex_state = 580},
  [1214] = {.lex_state = 587},
  [1215] = {.lex_state = 587},
  [1216] = {.lex_state = 580},
  [1217] = {.lex_state = 580},
  [1218] = {.lex_state = 580},
  [1219] = {.lex_state = 580},
  [1220] = {.lex_state = 589},
  [1221] = {.lex_state = 589},
  [1222] = {.lex_state = 589},
  [1223] = {.lex_state = 580},
  [1224] = {.lex_state = 585},
  [1225] = {.lex_state = 581},
  [1226] = {.lex_state = 585},
  [1227] = {.lex_state = 585},
  [1228] = {.lex_state = 585},
  [1229] = {.lex_state = 585},
  [1230] = {.lex_state = 585},
  [1231] = {.lex_state = 585},
  [1232] = {.lex_state = 585},
  [1233] = {.lex_state = 585},
  [1234] = {.lex_state = 585},
  [1235] = {.lex_state = 585},
  [1236] = {.lex_state = 585},
  [1237] = {.lex_state = 585},
  [1238] = {.lex_state = 585},
  [1239] = {.lex_state = 585},
  [1240] = {.lex_state = 585},
  [1241] = {.lex_state = 585},
  [1242] = {.lex_state = 585},
  [1243] = {.lex_state = 585},
  [1244] = {.lex_state = 585},
  [1245] = {.lex_state = 585},
  [1246] = {.lex_state = 581},
  [1247] = {.lex_state = 581},
  [1248] = {.lex_state = 581},
  [1249] = {.lex_state = 585},
  [1250] = {.lex_state = 585},
  [1251] = {.lex_state = 585},
  [1252] = {.lex_state = 585},
  [1253] = {.lex_state = 585},
  [1254] = {.lex_state = 585},
  [1255] = {.lex_state = 585},
  [1256] = {.lex_state = 585},
  [1257] = {.lex_state = 585},
  [1258] = {.lex_state = 585},
  [1259] = {.lex_state = 580},
  [1260] = {.lex_state = 585},
  [1261] = {.lex_state = 585},
  [1262] = {.lex_state = 585},
  [1263] = {.lex_state = 585},
  [1264] = {.lex_state = 581},
  [1265] = {.lex_state = 580},
  [1266] = {.lex_state = 580},
  [1267] = {.lex_state = 580},
  [1268] = {.lex_state = 580},
  [1269] = {.lex_state = 583},
  [1270] = {.lex_state = 583},
  [1271] = {.lex_state = 583},
  [1272] = {.lex_state = 583},
  [1273] = {.lex_state = 583},
  [1274] = {.lex_state = 583},
  [1275] = {.lex_state = 583},
  [1276] = {.lex_state = 583},
  [1277] = {.lex_state = 583},
  [1278] = {.lex_state = 583},
  [1279] = {.lex_state = 583},
  [1280] = {.lex_state = 583},
  [1281] = {.lex_state = 583},
  [1282] = {.lex_state = 583},
  [1283] = {.lex_state = 583},
  [1284] = {.lex_state = 583},
  [1285] = {.lex_state = 583},
  [1286] = {.lex_state = 583},
  [1287] = {.lex_state = 583},
  [1288] = {.lex_state = 583},
  [1289] = {.lex_state = 583},
  [1290] = {.lex_state = 583},
  [1291] = {.lex_state = 583},
  [1292] = {.lex_state = 583},
  [1293] = {.lex_state = 583},
  [1294] = {.lex_state = 583},
  [1295] = {.lex_state = 583},
  [1296] = {.lex_state = 583},
  [1297] = {.lex_state = 583},
  [1298] = {.lex_state = 583},
  [1299] = {.lex_state = 583},
  [1300] = {.lex_state = 583},
  [1301] = {.lex_state = 583},
  [1302] = {.lex_state = 583},
  [1303] = {.lex_state = 583},
  [1304] = {.lex_state = 583},
  [1305] = {.lex_state = 583},
  [1306] = {.lex_state = 583},
  [1307] = {.lex_state = 583},
  [1308] = {.lex_state = 583},
  [1309] = {.lex_state = 583},
  [1310] = {.lex_state = 583},
  [1311] = {.lex_state = 583},
  [1312] = {.lex_state = 583},
  [1313] = {.lex_state = 239},
  [1314] = {.lex_state = 599},
  [1315] = {.lex_state = 599},
  [1316] = {.lex_state = 599},
  [1317] = {.lex_state = 239},
  [1318] = {.lex_state = 580},
  [1319] = {.lex_state = 580},
  [1320] = {.lex_state = 580},
  [1321] = {.lex_state = 580},
  [1322] = {.lex_state = 580},
  [1323] = {.lex_state = 580},
  [1324] = {.lex_state = 580},
  [1325] = {.lex_state = 580},
  [1326] = {.lex_state = 600},
  [1327] = {.lex_state = 600},
  [1328] = {.lex_state = 590},
  [1329] = {.lex_state = 237},
  [1330] = {.lex_state = 600},
  [1331] = {.lex_state = 237},
  [1332] = {.lex_state = 600},
  [1333] = {.lex_state = 581},
  [1334] = {.lex_state = 600},
  [1335] = {.lex_state = 600},
  [1336] = {.lex_state = 600},
  [1337] = {.lex_state = 600},
  [1338] = {.lex_state = 600},
  [1339] = {.lex_state = 602},
  [1340] = {.lex_state = 600},
  [1341] = {.lex_state = 600},
  [1342] = {.lex_state = 600},
  [1343] = {.lex_state = 600},
  [1344] = {.lex_state = 600},
  [1345] = {.lex_state = 600},
  [1346] = {.lex_state = 600},
  [1347] = {.lex_state = 600},
  [1348] = {.lex_state = 600},
  [1349] = {.lex_state = 237},
  [1350] = {.lex_state = 237},
  [1351] = {.lex_state = 581},
  [1352] = {.lex_state = 600},
  [1353] = {.lex_state = 581},
  [1354] = {.lex_state = 600},
  [1355] = {.lex_state = 600},
  [1356] = {.lex_state = 600},
  [1357] = {.lex_state = 601},
  [1358] = {.lex_state = 601},
  [1359] = {.lex_state = 590},
  [1360] = {.lex_state = 237},
  [1361] = {.lex_state = 587},
  [1362] = {.lex_state = 587},
  [1363] = {.lex_state = 587},
  [1364] = {.lex_state = 581},
  [1365] = {.lex_state = 587},
  [1366] = {.lex_state = 587},
  [1367] = {.lex_state = 587},
  [1368] = {.lex_state = 587},
  [1369] = {.lex_state = 587},
  [1370] = {.lex_state = 587},
  [1371] = {.lex_state = 587},
  [1372] = {.lex_state = 230},
  [1373] = {.lex_state = 581},
  [1374] = {.lex_state = 587},
  [1375] = {.lex_state = 587},
  [1376] = {.lex_state = 587},
  [1377] = {.lex_state = 587},
  [1378] = {.lex_state = 587},
  [1379] = {.lex_state = 587},
  [1380] = {.lex_state = 246},
  [1381] = {.lex_state = 581},
  [1382] = {.lex_state = 581},
  [1383] = {.lex_state = 587},
  [1384] = {.lex_state = 252},
  [1385] = {.lex_state = 581},
  [1386] = {.lex_state = 228},
  [1387] = {.lex_state = 587},
  [1388] = {.lex_state = 601},
  [1389] = {.lex_state = 581},
  [1390] = {.lex_state = 252},
  [1391] = {.lex_state = 228},
  [1392] = {.lex_state = 252},
  [1393] = {.lex_state = 587},
  [1394] = {.lex_state = 581},
  [1395] = {.lex_state = 581},
  [1396] = {.lex_state = 587},
  [1397] = {.lex_state = 581},
  [1398] = {.lex_state = 581},
  [1399] = {.lex_state = 581},
  [1400] = {.lex_state = 241},
  [1401] = {.lex_state = 230},
  [1402] = {.lex_state = 581},
  [1403] = {.lex_state = 581},
  [1404] = {.lex_state = 581},
  [1405] = {.lex_state = 581},
  [1406] = {.lex_state = 601},
  [1407] = {.lex_state = 228},
  [1408] = {.lex_state = 581},
  [1409] = {.lex_state = 581},
  [1410] = {.lex_state = 581},
  [1411] = {.lex_state = 601},
  [1412] = {.lex_state = 601},
  [1413] = {.lex_state = 583},
  [1414] = {.lex_state = 601},
  [1415] = {.lex_state = 601},
  [1416] = {.lex_state = 601},
  [1417] = {.lex_state = 601},
  [1418] = {.lex_state = 583},
  [1419] = {.lex_state = 583},
  [1420] = {.lex_state = 601},
  [1421] = {.lex_state = 601},
  [1422] = {.lex_state = 601},
  [1423] = {.lex_state = 601},
  [1424] = {.lex_state = 601},
  [1425] = {.lex_state = 601},
  [1426] = {.lex_state = 601},
  [1427] = {.lex_state = 601},
  [1428] = {.lex_state = 601},
  [1429] = {.lex_state = 581},
  [1430] = {.lex_state = 601},
  [1431] = {.lex_state = 601},
  [1432] = {.lex_state = 601},
  [1433] = {.lex_state = 601},
  [1434] = {.lex_state = 601},
  [1435] = {.lex_state = 601},
  [1436] = {.lex_state = 601},
  [1437] = {.lex_state = 601},
  [1438] = {.lex_state = 601},
  [1439] = {.lex_state = 601},
  [1440] = {.lex_state = 601},
  [1441] = {.lex_state = 601},
  [1442] = {.lex_state = 601},
  [1443] = {.lex_state = 601},
  [1444] = {.lex_state = 601},
  [1445] = {.lex_state = 601},
  [1446] = {.lex_state = 601},
  [1447] = {.lex_state = 601},
  [1448] = {.lex_state = 601},
  [1449] = {.lex_state = 601},
  [1450] = {.lex_state = 601},
  [1451] = {.lex_state = 601},
  [1452] = {.lex_state = 581},
  [1453] = {.lex_state = 230},
  [1454] = {.lex_state = 241},
  [1455] = {.lex_state = 601},
  [1456] = {.lex_state = 601},
  [1457] = {.lex_state = 601},
  [1458] = {.lex_state = 601},
  [1459] = {.lex_state = 601},
  [1460] = {.lex_state = 601},
  [1461] = {.lex_state = 601},
  [1462] = {.lex_state = 241},
  [1463] = {.lex_state = 581},
  [1464] = {.lex_state = 581},
  [1465] = {.lex_state = 240},
  [1466] = {.lex_state = 581},
  [1467] = {.lex_state = 581},
  [1468] = {.lex_state = 581},
  [1469] = {.lex_state = 228},
  [1470] = {.lex_state = 228},
  [1471] = {.lex_state = 228},
  [1472] = {.lex_state = 228},
  [1473] = {.lex_state = 228},
  [1474] = {.lex_state = 228},
  [1475] = {.lex_state = 228},
  [1476] = {.lex_state = 228},
  [1477] = {.lex_state = 228},
  [1478] = {.lex_state = 228},
  [1479] = {.lex_state = 228},
  [1480] = {.lex_state = 228},
  [1481] = {.lex_state = 228},
  [1482] = {.lex_state = 228},
  [1483] = {.lex_state = 228},
  [1484] = {.lex_state = 228},
  [1485] = {.lex_state = 228},
  [1486] = {.lex_state = 228},
  [1487] = {.lex_state = 228},
  [1488] = {.lex_state = 228},
  [1489] = {.lex_state = 228},
  [1490] = {.lex_state = 228},
  [1491] = {.lex_state = 228},
  [1492] = {.lex_state = 228},
  [1493] = {.lex_state = 228},
  [1494] = {.lex_state = 228},
  [1495] = {.lex_state = 228},
  [1496] = {.lex_state = 228},
  [1497] = {.lex_state = 228},
  [1498] = {.lex_state = 228},
  [1499] = {.lex_state = 228},
  [1500] = {.lex_state = 228},
  [1501] = {.lex_state = 228},
  [1502] = {.lex_state = 228},
  [1503] = {.lex_state = 228},
  [1504] = {.lex_state = 228},
  [1505] = {.lex_state = 228},
  [1506] = {.lex_state = 228},
  [1507] = {.lex_state = 228},
  [1508] = {.lex_state = 228},
  [1509] = {.lex_state = 228},
  [1510] = {.lex_state = 228},
  [1511] = {.lex_state = 228},
  [1512] = {.lex_state = 228},
  [1513] = {.lex_state = 228},
  [1514] = {.lex_state = 228},
  [1515] = {.lex_state = 228},
  [1516] = {.lex_state = 228},
  [1517] = {.lex_state = 228},
  [1518] = {.lex_state = 228},
  [1519] = {.lex_state = 228},
  [1520] = {.lex_state = 228},
  [1521] = {.lex_state = 228},
  [1522] = {.lex_state = 228},
  [1523] = {.lex_state = 228},
  [1524] = {.lex_state = 228},
  [1525] = {.lex_state = 228},
  [1526] = {.lex_state = 228},
  [1527] = {.lex_state = 228},
  [1528] = {.lex_state = 228},
  [1529] = {.lex_state = 228},
  [1530] = {.lex_state = 228},
  [1531] = {.lex_state = 228},
  [1532] = {.lex_state = 228},
  [1533] = {.lex_state = 228},
  [1534] = {.lex_state = 228},
  [1535] = {.lex_state = 228},
  [1536] = {.lex_state = 228},
  [1537] = {.lex_state = 228},
  [1538] = {.lex_state = 228},
  [1539] = {.lex_state = 228},
  [1540] = {.lex_state = 228},
  [1541] = {.lex_state = 228},
  [1542] = {.lex_state = 228},
  [1543] = {.lex_state = 228},
  [1544] = {.lex_state = 228},
  [1545] = {.lex_state = 228},
  [1546] = {.lex_state = 228},
  [1547] = {.lex_state = 228},
  [1548] = {.lex_state = 583},
  [1549] = {.lex_state = 583},
  [1550] = {.lex_state = 583},
  [1551] = {.lex_state = 583},
  [1552] = {.lex_state = 583},
  [1553] = {.lex_state = 583},
  [1554] = {.lex_state = 583},
  [1555] = {.lex_state = 583},
  [1556] = {.lex_state = 583},
  [1557] = {.lex_state = 583},
  [1558] = {.lex_state = 583},
  [1559] = {.lex_state = 583},
  [1560] = {.lex_state = 583},
  [1561] = {.lex_state = 583},
  [1562] = {.lex_state = 583},
  [1563] = {.lex_state = 583},
  [1564] = {.lex_state = 583},
  [1565] = {.lex_state = 583},
  [1566] = {.lex_state = 583},
  [1567] = {.lex_state = 583},
  [1568] = {.lex_state = 583},
  [1569] = {.lex_state = 583},
  [1570] = {.lex_state = 583},
  [1571] = {.lex_state = 583},
  [1572] = {.lex_state = 583},
  [1573] = {.lex_state = 583},
  [1574] = {.lex_state = 583},
  [1575] = {.lex_state = 583},
  [1576] = {.lex_state = 239},
  [1577] = {.lex_state = 583},
  [1578] = {.lex_state = 583},
  [1579] = {.lex_state = 583},
  [1580] = {.lex_state = 583},
  [1581] = {.lex_state = 583},
  [1582] = {.lex_state = 583},
  [1583] = {.lex_state = 583},
  [1584] = {.lex_state = 583},
  [1585] = {.lex_state = 583},
  [1586] = {.lex_state = 583},
  [1587] = {.lex_state = 583},
  [1588] = {.lex_state = 583},
  [1589] = {.lex_state = 583},
  [1590] = {.lex_state = 583},
  [1591] = {.lex_state = 583},
  [1592] = {.lex_state = 583},
  [1593] = {.lex_state = 583},
  [1594] = {.lex_state = 583},
  [1595] = {.lex_state = 583},
  [1596] = {.lex_state = 583},
  [1597] = {.lex_state = 583},
  [1598] = {.lex_state = 237},
  [1599] = {.lex_state = 237},
  [1600] = {.lex_state = 583},
  [1601] = {.lex_state = 583},
  [1602] = {.lex_state = 583},
  [1603] = {.lex_state = 583},
  [1604] = {.lex_state = 583},
  [1605] = {.lex_state = 583},
  [1606] = {.lex_state = 583},
  [1607] = {.lex_state = 583},
  [1608] = {.lex_state = 583},
  [1609] = {.lex_state = 583},
  [1610] = {.lex_state = 583},
  [1611] = {.lex_state = 583},
  [1612] = {.lex_state = 583},
  [1613] = {.lex_state = 583},
  [1614] = {.lex_state = 583},
  [1615] = {.lex_state = 583},
  [1616] = {.lex_state = 583},
  [1617] = {.lex_state = 583},
  [1618] = {.lex_state = 237},
  [1619] = {.lex_state = 583},
  [1620] = {.lex_state = 583},
  [1621] = {.lex_state = 237},
  [1622] = {.lex_state = 583},
  [1623] = {.lex_state = 583},
  [1624] = {.lex_state = 583},
  [1625] = {.lex_state = 239},
  [1626] = {.lex_state = 239},
  [1627] = {.lex_state = 239},
  [1628] = {.lex_state = 583},
  [1629] = {.lex_state = 239},
  [1630] = {.lex_state = 239},
  [1631] = {.lex_state = 239},
  [1632] = {.lex_state = 239},
  [1633] = {.lex_state = 239},
  [1634] = {.lex_state = 239},
  [1635] = {.lex_state = 239},
  [1636] = {.lex_state = 239},
  [1637] = {.lex_state = 239},
  [1638] = {.lex_state = 239},
  [1639] = {.lex_state = 239},
  [1640] = {.lex_state = 239},
  [1641] = {.lex_state = 583},
  [1642] = {.lex_state = 583},
  [1643] = {.lex_state = 239},
  [1644] = {.lex_state = 237},
  [1645] = {.lex_state = 239},
  [1646] = {.lex_state = 239},
  [1647] = {.lex_state = 237},
  [1648] = {.lex_state = 237},
  [1649] = {.lex_state = 237},
  [1650] = {.lex_state = 237},
  [1651] = {.lex_state = 237},
  [1652] = {.lex_state = 237},
  [1653] = {.lex_state = 237},
  [1654] = {.lex_state = 237},
  [1655] = {.lex_state = 237},
  [1656] = {.lex_state = 239},
  [1657] = {.lex_state = 237},
  [1658] = {.lex_state = 237},
  [1659] = {.lex_state = 237},
  [1660] = {.lex_state = 237},
  [1661] = {.lex_state = 237},
  [1662] = {.lex_state = 237},
  [1663] = {.lex_state = 591},
  [1664] = {.lex_state = 591},
  [1665] = {.lex_state = 592},
  [1666] = {.lex_state = 229},
  [1667] = {.lex_state = 229},
  [1668] = {.lex_state = 229},
  [1669] = {.lex_state = 223},
  [1670] = {.lex_state = 229},
  [1671] = {.lex_state = 229},
  [1672] = {.lex_state = 227},
  [1673] = {.lex_state = 229},
  [1674] = {.lex_state = 229},
  [1675] = {.lex_state = 229},
  [1676] = {.lex_state = 229},
  [1677] = {.lex_state = 229},
  [1678] = {.lex_state = 229},
  [1679] = {.lex_state = 229},
  [1680] = {.lex_state = 223},
  [1681] = {.lex_state = 229},
  [1682] = {.lex_state = 229},
  [1683] = {.lex_state = 229},
  [1684] = {.lex_state = 229},
  [1685] = {.lex_state = 229},
  [1686] = {.lex_state = 229},
  [1687] = {.lex_state = 223},
  [1688] = {.lex_state = 229},
  [1689] = {.lex_state = 229},
  [1690] = {.lex_state = 229},
  [1691] = {.lex_state = 229},
  [1692] = {.lex_state = 229},
  [1693] = {.lex_state = 229},
  [1694] = {.lex_state = 229},
  [1695] = {.lex_state = 229},
  [1696] = {.lex_state = 229},
  [1697] = {.lex_state = 229},
  [1698] = {.lex_state = 229},
  [1699] = {.lex_state = 229},
  [1700] = {.lex_state = 229},
  [1701] = {.lex_state = 229},
  [1702] = {.lex_state = 229},
  [1703] = {.lex_state = 229},
  [1704] = {.lex_state = 229},
  [1705] = {.lex_state = 229},
  [1706] = {.lex_state = 229},
  [1707] = {.lex_state = 229},
  [1708] = {.lex_state = 229},
  [1709] = {.lex_state = 223},
  [1710] = {.lex_state = 229},
  [1711] = {.lex_state = 229},
  [1712] = {.lex_state = 229},
  [1713] = {.lex_state = 229},
  [1714] = {.lex_state = 229},
  [1715] = {.lex_state = 229},
  [1716] = {.lex_state = 229},
  [1717] = {.lex_state = 229},
  [1718] = {.lex_state = 229},
  [1719] = {.lex_state = 229},
  [1720] = {.lex_state = 229},
  [1721] = {.lex_state = 229},
  [1722] = {.lex_state = 229},
  [1723] = {.lex_state = 229},
  [1724] = {.lex_state = 229},
  [1725] = {.lex_state = 227},
  [1726] = {.lex_state = 227},
  [1727] = {.lex_state = 227},
  [1728] = {.lex_state = 227},
  [1729] = {.lex_state = 227},
  [1730] = {.lex_state = 227},
  [1731] = {.lex_state = 227},
  [1732] = {.lex_state = 227},
  [1733] = {.lex_state = 593},
  [1734] = {.lex_state = 227},
  [1735] = {.lex_state = 227},
  [1736] = {.lex_state = 227},
  [1737] = {.lex_state = 227},
  [1738] = {.lex_state = 227},
  [1739] = {.lex_state = 227},
  [1740] = {.lex_state = 227},
  [1741] = {.lex_state = 227},
  [1742] = {.lex_state = 227},
  [1743] = {.lex_state = 227},
  [1744] = {.lex_state = 227},
  [1745] = {.lex_state = 594},
  [1746] = {.lex_state = 589},
  [1747] = {.lex_state = 589},
  [1748] = {.lex_state = 589},
  [1749] = {.lex_state = 589},
  [1750] = {.lex_state = 589},
  [1751] = {.lex_state = 589},
  [1752] = {.lex_state = 588},
  [1753] = {.lex_state = 593},
  [1754] = {.lex_state = 580},
  [1755] = {.lex_state = 591},
  [1756] = {.lex_state = 591},
  [1757] = {.lex_state = 580},
  [1758] = {.lex_state = 591},
  [1759] = {.lex_state = 591},
  [1760] = {.lex_state = 591},
  [1761] = {.lex_state = 591},
  [1762] = {.lex_state = 591},
  [1763] = {.lex_state = 591},
  [1764] = {.lex_state = 591},
  [1765] = {.lex_state = 591},
  [1766] = {.lex_state = 591},
  [1767] = {.lex_state = 591},
  [1768] = {.lex_state = 591},
  [1769] = {.lex_state = 591},
  [1770] = {.lex_state = 591},
  [1771] = {.lex_state = 591},
  [1772] = {.lex_state = 591},
  [1773] = {.lex_state = 589},
  [1774] = {.lex_state = 589},
  [1775] = {.lex_state = 589},
  [1776] = {.lex_state = 589},
  [1777] = {.lex_state = 589},
  [1778] = {.lex_state = 589},
  [1779] = {.lex_state = 589},
  [1780] = {.lex_state = 589},
  [1781] = {.lex_state = 589},
  [1782] = {.lex_state = 589},
  [1783] = {.lex_state = 589},
  [1784] = {.lex_state = 589},
  [1785] = {.lex_state = 589},
  [1786] = {.lex_state = 589},
  [1787] = {.lex_state = 589},
  [1788] = {.lex_state = 589},
  [1789] = {.lex_state = 589},
  [1790] = {.lex_state = 589},
  [1791] = {.lex_state = 589},
  [1792] = {.lex_state = 589},
  [1793] = {.lex_state = 589},
  [1794] = {.lex_state = 589},
  [1795] = {.lex_state = 589},
  [1796] = {.lex_state = 589},
  [1797] = {.lex_state = 589},
  [1798] = {.lex_state = 589},
  [1799] = {.lex_state = 589},
  [1800] = {.lex_state = 589},
  [1801] = {.lex_state = 589},
  [1802] = {.lex_state = 589},
  [1803] = {.lex_state = 231},
  [1804] = {.lex_state = 231},
  [1805] = {.lex_state = 595},
  [1806] = {.lex_state = 580},
  [1807] = {.lex_state = 580},
  [1808] = {.lex_state = 580},
  [1809] = {.lex_state = 580},
  [1810] = {.lex_state = 580},
  [1811] = {.lex_state = 580},
  [1812] = {.lex_state = 580},
  [1813] = {.lex_state = 580},
  [1814] = {.lex_state = 580},
  [1815] = {.lex_state = 580},
  [1816] = {.lex_state = 580},
  [1817] = {.lex_state = 580},
  [1818] = {.lex_state = 596},
  [1819] = {.lex_state = 586},
  [1820] = {.lex_state = 586},
  [1821] = {.lex_state = 586},
  [1822] = {.lex_state = 586},
  [1823] = {.lex_state = 586},
  [1824] = {.lex_state = 586},
  [1825] = {.lex_state = 586},
  [1826] = {.lex_state = 596},
  [1827] = {.lex_state = 586},
  [1828] = {.lex_state = 586},
  [1829] = {.lex_state = 586},
  [1830] = {.lex_state = 586},
  [1831] = {.lex_state = 586},
  [1832] = {.lex_state = 586},
  [1833] = {.lex_state = 586},
  [1834] = {.lex_state = 586},
  [1835] = {.lex_state = 586},
  [1836] = {.lex_state = 586},
  [1837] = {.lex_state = 586},
  [1838] = {.lex_state = 586},
  [1839] = {.lex_state = 586},
  [1840] = {.lex_state = 586},
  [1841] = {.lex_state = 111},
  [1842] = {.lex_state = 586},
  [1843] = {.lex_state = 586},
  [1844] = {.lex_state = 586},
  [1845] = {.lex_state = 586},
  [1846] = {.lex_state = 586},
  [1847] = {.lex_state = 586},
  [1848] = {.lex_state = 586},
  [1849] = {.lex_state = 586},
  [1850] = {.lex_state = 586},
  [1851] = {.lex_state = 586},
  [1852] = {.lex_state = 586},
  [1853] = {.lex_state = 231},
  [1854] = {.lex_state = 231},
  [1855] = {.lex_state = 223},
  [1856] = {.lex_state = 223},
  [1857] = {.lex_state = 223},
  [1858] = {.lex_state = 223},
  [1859] = {.lex_state = 223},
  [1860] = {.lex_state = 223},
  [1861] = {.lex_state = 223},
  [1862] = {.lex_state = 223},
  [1863] = {.lex_state = 223},
  [1864] = {.lex_state = 223},
  [1865] = {.lex_state = 223},
  [1866] = {.lex_state = 223},
  [1867] = {.lex_state = 223},
  [1868] = {.lex_state = 223},
  [1869] = {.lex_state = 223},
  [1870] = {.lex_state = 223},
  [1871] = {.lex_state = 223},
  [1872] = {.lex_state = 223},
  [1873] = {.lex_state = 223},
  [1874] = {.lex_state = 223},
  [1875] = {.lex_state = 223},
  [1876] = {.lex_state = 223},
  [1877] = {.lex_state = 223},
  [1878] = {.lex_state = 223},
  [1879] = {.lex_state = 223},
  [1880] = {.lex_state = 223},
  [1881] = {.lex_state = 223},
  [1882] = {.lex_state = 232},
  [1883] = {.lex_state = 232},
  [1884] = {.lex_state = 114},
  [1885] = {.lex_state = 223},
  [1886] = {.lex_state = 223},
  [1887] = {.lex_state = 112},
  [1888] = {.lex_state = 225},
  [1889] = {.lex_state = 225},
  [1890] = {.lex_state = 225},
  [1891] = {.lex_state = 223},
  [1892] = {.lex_state = 223},
  [1893] = {.lex_state = 231},
  [1894] = {.lex_state = 223},
  [1895] = {.lex_state = 115},
  [1896] = {.lex_state = 113},
  [1897] = {.lex_state = 115},
  [1898] = {.lex_state = 231},
  [1899] = {.lex_state = 231},
  [1900] = {.lex_state = 231},
  [1901] = {.lex_state = 231},
  [1902] = {.lex_state = 231},
  [1903] = {.lex_state = 231},
  [1904] = {.lex_state = 231},
  [1905] = {.lex_state = 231},
  [1906] = {.lex_state = 231},
  [1907] = {.lex_state = 231},
  [1908] = {.lex_state = 231},
  [1909] = {.lex_state = 223},
  [1910] = {.lex_state = 232},
  [1911] = {.lex_state = 232},
  [1912] = {.lex_state = 232},
  [1913] = {.lex_state = 223},
  [1914] = {.lex_state = 223},
  [1915] = {.lex_state = 233},
  [1916] = {.lex_state = 233},
  [1917] = {.lex_state = 232},
  [1918] = {.lex_state = 233},
  [1919] = {.lex_state = 232},
  [1920] = {.lex_state = 232},
  [1921] = {.lex_state = 223},
  [1922] = {.lex_state = 223},
  [1923] = {.lex_state = 223},
  [1924] = {.lex_state = 223},
  [1925] = {.lex_state = 223},
  [1926] = {.lex_state = 223},
  [1927] = {.lex_state = 223},
  [1928] = {.lex_state = 223},
  [1929] = {.lex_state = 223},
  [1930] = {.lex_state = 223},
  [1931] = {.lex_state = 223},
  [1932] = {.lex_state = 223},
  [1933] = {.lex_state = 223},
  [1934] = {.lex_state = 223},
  [1935] = {.lex_state = 223},
  [1936] = {.lex_state = 223},
  [1937] = {.lex_state = 223},
  [1938] = {.lex_state = 223},
  [1939] = {.lex_state = 223},
  [1940] = {.lex_state = 223},
  [1941] = {.lex_state = 223},
  [1942] = {.lex_state = 223},
  [1943] = {.lex_state = 223},
  [1944] = {.lex_state = 223},
  [1945] = {.lex_state = 223},
  [1946] = {.lex_state = 223},
  [1947] = {.lex_state = 223},
  [1948] = {.lex_state = 223},
  [1949] = {.lex_state = 223},
  [1950] = {.lex_state = 223},
  [1951] = {.lex_state = 223},
  [1952] = {.lex_state = 223},
  [1953] = {.lex_state = 223},
  [1954] = {.lex_state = 0},
  [1955] = {.lex_state = 233},
  [1956] = {.lex_state = 0},
  [1957] = {.lex_state = 233},
  [1958] = {.lex_state = 0},
  [1959] = {.lex_state = 225},
  [1960] = {.lex_state = 225},
  [1961] = {.lex_state = 225},
  [1962] = {.lex_state = 0},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 225},
  [1965] = {.lex_state = 0},
  [1966] = {.lex_state = 0},
  [1967] = {.lex_state = 0},
  [1968] = {.lex_state = 0},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 0},
  [1971] = {.lex_state = 0},
  [1972] = {.lex_state = 0},
  [1973] = {.lex_state = 0},
  [1974] = {.lex_state = 0},
  [1975] = {.lex_state = 234},
  [1976] = {.lex_state = 234},
  [1977] = {.lex_state = 234},
  [1978] = {.lex_state = 223},
  [1979] = {.lex_state = 223},
  [1980] = {.lex_state = 223},
  [1981] = {.lex_state = 223},
  [1982] = {.lex_state = 223},
  [1983] = {.lex_state = 234},
  [1984] = {.lex_state = 234},
  [1985] = {.lex_state = 223},
  [1986] = {.lex_state = 234},
  [1987] = {.lex_state = 234},
  [1988] = {.lex_state = 234},
  [1989] = {.lex_state = 223},
  [1990] = {.lex_state = 234},
  [1991] = {.lex_state = 223},
  [1992] = {.lex_state = 234},
  [1993] = {.lex_state = 234},
  [1994] = {.lex_state = 223},
  [1995] = {.lex_state = 223},
  [1996] = {.lex_state = 227},
  [1997] = {.lex_state = 227},
  [1998] = {.lex_state = 234},
  [1999] = {.lex_state = 227},
  [2000] = {.lex_state = 227},
  [2001] = {.lex_state = 227},
  [2002] = {.lex_state = 227},
  [2003] = {.lex_state = 227},
  [2004] = {.lex_state = 227},
  [2005] = {.lex_state = 234},
  [2006] = {.lex_state = 227},
  [2007] = {.lex_state = 227},
  [2008] = {.lex_state = 223},
  [2009] = {.lex_state = 223},
  [2010] = {.lex_state = 223},
  [2011] = {.lex_state = 223},
  [2012] = {.lex_state = 226},
  [2013] = {.lex_state = 223},
  [2014] = {.lex_state = 226},
  [2015] = {.lex_state = 223},
  [2016] = {.lex_state = 223},
  [2017] = {.lex_state = 226},
  [2018] = {.lex_state = 223},
  [2019] = {.lex_state = 223},
  [2020] = {.lex_state = 0},
  [2021] = {.lex_state = 223},
  [2022] = {.lex_state = 223},
  [2023] = {.lex_state = 223},
  [2024] = {.lex_state = 223},
  [2025] = {.lex_state = 223},
  [2026] = {.lex_state = 223},
  [2027] = {.lex_state = 223},
  [2028] = {.lex_state = 0},
  [2029] = {.lex_state = 223},
  [2030] = {.lex_state = 223},
  [2031] = {.lex_state = 223},
  [2032] = {.lex_state = 223},
  [2033] = {.lex_state = 223},
  [2034] = {.lex_state = 223},
  [2035] = {.lex_state = 223},
  [2036] = {.lex_state = 226},
  [2037] = {.lex_state = 223},
  [2038] = {.lex_state = 116},
  [2039] = {.lex_state = 223},
  [2040] = {.lex_state = 223},
  [2041] = {.lex_state = 226},
  [2042] = {.lex_state = 223},
  [2043] = {.lex_state = 223},
  [2044] = {.lex_state = 223},
  [2045] = {.lex_state = 223},
  [2046] = {.lex_state = 223},
  [2047] = {.lex_state = 223},
  [2048] = {.lex_state = 0},
  [2049] = {.lex_state = 223},
  [2050] = {.lex_state = 0},
  [2051] = {.lex_state = 223},
  [2052] = {.lex_state = 226},
  [2053] = {.lex_state = 0},
  [2054] = {.lex_state = 223},
  [2055] = {.lex_state = 0},
  [2056] = {.lex_state = 223},
  [2057] = {.lex_state = 0},
  [2058] = {.lex_state = 0},
  [2059] = {.lex_state = 223},
  [2060] = {.lex_state = 223},
  [2061] = {.lex_state = 223},
  [2062] = {.lex_state = 223},
  [2063] = {.lex_state = 0},
  [2064] = {.lex_state = 223},
  [2065] = {.lex_state = 223},
  [2066] = {.lex_state = 223},
  [2067] = {.lex_state = 223},
  [2068] = {.lex_state = 226},
  [2069] = {.lex_state = 223},
  [2070] = {.lex_state = 223},
  [2071] = {.lex_state = 223},
  [2072] = {.lex_state = 0},
  [2073] = {.lex_state = 223},
  [2074] = {.lex_state = 223},
  [2075] = {.lex_state = 118},
  [2076] = {.lex_state = 0},
  [2077] = {.lex_state = 226},
  [2078] = {.lex_state = 0},
  [2079] = {.lex_state = 0},
  [2080] = {.lex_state = 0},
  [2081] = {.lex_state = 223},
  [2082] = {.lex_state = 0},
  [2083] = {.lex_state = 223},
  [2084] = {.lex_state = 0},
  [2085] = {.lex_state = 0},
  [2086] = {.lex_state = 0},
  [2087] = {.lex_state = 223},
  [2088] = {.lex_state = 0},
  [2089] = {.lex_state = 0},
  [2090] = {.lex_state = 223},
  [2091] = {.lex_state = 0},
  [2092] = {.lex_state = 0},
  [2093] = {.lex_state = 223},
  [2094] = {.lex_state = 0},
  [2095] = {.lex_state = 223},
  [2096] = {.lex_state = 0},
  [2097] = {.lex_state = 0},
  [2098] = {.lex_state = 223},
  [2099] = {.lex_state = 0},
  [2100] = {.lex_state = 0},
  [2101] = {.lex_state = 0},
  [2102] = {.lex_state = 0},
  [2103] = {.lex_state = 0},
  [2104] = {.lex_state = 0},
  [2105] = {.lex_state = 0},
  [2106] = {.lex_state = 0},
  [2107] = {.lex_state = 0},
  [2108] = {.lex_state = 0},
  [2109] = {.lex_state = 0},
  [2110] = {.lex_state = 0},
  [2111] = {.lex_state = 223},
  [2112] = {.lex_state = 223},
  [2113] = {.lex_state = 223},
  [2114] = {.lex_state = 0},
  [2115] = {.lex_state = 0},
  [2116] = {.lex_state = 225},
  [2117] = {.lex_state = 225},
  [2118] = {.lex_state = 225},
  [2119] = {.lex_state = 117},
  [2120] = {.lex_state = 225},
  [2121] = {.lex_state = 117},
  [2122] = {.lex_state = 117},
  [2123] = {.lex_state = 225},
  [2124] = {.lex_state = 106},
  [2125] = {.lex_state = 225},
  [2126] = {.lex_state = 225},
  [2127] = {.lex_state = 225},
  [2128] = {.lex_state = 225},
  [2129] = {.lex_state = 117},
  [2130] = {.lex_state = 0},
  [2131] = {.lex_state = 117},
  [2132] = {.lex_state = 0},
  [2133] = {.lex_state = 225},
  [2134] = {.lex_state = 225},
  [2135] = {.lex_state = 225},
  [2136] = {.lex_state = 0},
  [2137] = {.lex_state = 0},
  [2138] = {.lex_state = 107},
  [2139] = {.lex_state = 110},
  [2140] = {.lex_state = 225},
  [2141] = {.lex_state = 225},
  [2142] = {.lex_state = 225},
  [2143] = {.lex_state = 0},
  [2144] = {.lex_state = 225},
  [2145] = {.lex_state = 225},
  [2146] = {.lex_state = 0},
  [2147] = {.lex_state = 566},
  [2148] = {.lex_state = 225},
  [2149] = {.lex_state = 225},
  [2150] = {.lex_state = 225},
  [2151] = {.lex_state = 225},
  [2152] = {.lex_state = 117},
  [2153] = {.lex_state = 0},
  [2154] = {.lex_state = 565},
  [2155] = {.lex_state = 117},
  [2156] = {.lex_state = 565},
  [2157] = {.lex_state = 117},
  [2158] = {.lex_state = 225},
  [2159] = {.lex_state = 565},
  [2160] = {.lex_state = 225},
  [2161] = {.lex_state = 225},
  [2162] = {.lex_state = 225},
  [2163] = {.lex_state = 225},
  [2164] = {.lex_state = 225},
  [2165] = {.lex_state = 565},
  [2166] = {.lex_state = 566},
  [2167] = {.lex_state = 566},
  [2168] = {.lex_state = 117},
  [2169] = {.lex_state = 0},
  [2170] = {.lex_state = 566},
  [2171] = {.lex_state = 225},
  [2172] = {.lex_state = 225},
  [2173] = {.lex_state = 117},
  [2174] = {.lex_state = 225},
  [2175] = {.lex_state = 0},
  [2176] = {.lex_state = 566},
  [2177] = {.lex_state = 225},
  [2178] = {.lex_state = 225},
  [2179] = {.lex_state = 225},
  [2180] = {.lex_state = 225},
  [2181] = {.lex_state = 117},
  [2182] = {.lex_state = 117},
  [2183] = {.lex_state = 225},
  [2184] = {.lex_state = 225},
  [2185] = {.lex_state = 565},
  [2186] = {.lex_state = 107},
  [2187] = {.lex_state = 118},
  [2188] = {.lex_state = 107},
  [2189] = {.lex_state = 108},
  [2190] = {.lex_state = 0},
  [2191] = {.lex_state = 225},
  [2192] = {.lex_state = 565},
  [2193] = {.lex_state = 565},
  [2194] = {.lex_state = 225},
  [2195] = {.lex_state = 117},
  [2196] = {.lex_state = 225},
  [2197] = {.lex_state = 225},
  [2198] = {.lex_state = 117},
  [2199] = {.lex_state = 0},
  [2200] = {.lex_state = 117},
  [2201] = {.lex_state = 225},
  [2202] = {.lex_state = 0},
  [2203] = {.lex_state = 107},
  [2204] = {.lex_state = 225},
  [2205] = {.lex_state = 225},
  [2206] = {.lex_state = 0},
  [2207] = {.lex_state = 225},
  [2208] = {.lex_state = 225},
  [2209] = {.lex_state = 225},
  [2210] = {.lex_state = 117},
  [2211] = {.lex_state = 0},
  [2212] = {.lex_state = 106},
  [2213] = {.lex_state = 225},
  [2214] = {.lex_state = 107},
  [2215] = {.lex_state = 565},
  [2216] = {.lex_state = 0},
  [2217] = {.lex_state = 225},
  [2218] = {.lex_state = 225},
  [2219] = {.lex_state = 225},
  [2220] = {.lex_state = 225},
  [2221] = {.lex_state = 225},
  [2222] = {.lex_state = 225},
  [2223] = {.lex_state = 225},
  [2224] = {.lex_state = 225},
  [2225] = {.lex_state = 117},
  [2226] = {.lex_state = 117},
  [2227] = {.lex_state = 110},
  [2228] = {.lex_state = 0},
  [2229] = {.lex_state = 117},
  [2230] = {.lex_state = 225},
  [2231] = {.lex_state = 225},
  [2232] = {.lex_state = 108},
  [2233] = {.lex_state = 0},
  [2234] = {.lex_state = 225},
  [2235] = {.lex_state = 225},
  [2236] = {.lex_state = 225},
  [2237] = {.lex_state = 225},
  [2238] = {.lex_state = 225},
  [2239] = {.lex_state = 106},
  [2240] = {.lex_state = 225},
  [2241] = {.lex_state = 225},
  [2242] = {.lex_state = 0},
  [2243] = {.lex_state = 0},
  [2244] = {.lex_state = 106},
  [2245] = {.lex_state = 108},
  [2246] = {.lex_state = 225},
  [2247] = {.lex_state = 225},
  [2248] = {.lex_state = 225},
  [2249] = {.lex_state = 225},
  [2250] = {.lex_state = 225},
  [2251] = {.lex_state = 0},
  [2252] = {.lex_state = 223},
  [2253] = {.lex_state = 223},
  [2254] = {.lex_state = 223},
  [2255] = {.lex_state = 223},
  [2256] = {.lex_state = 223},
  [2257] = {.lex_state = 223},
  [2258] = {.lex_state = 223},
  [2259] = {.lex_state = 223},
  [2260] = {.lex_state = 223},
  [2261] = {.lex_state = 223},
  [2262] = {.lex_state = 223},
  [2263] = {.lex_state = 223},
  [2264] = {.lex_state = 223},
  [2265] = {.lex_state = 223},
  [2266] = {.lex_state = 223},
  [2267] = {.lex_state = 223},
  [2268] = {.lex_state = 223},
  [2269] = {.lex_state = 223},
  [2270] = {.lex_state = 223},
  [2271] = {.lex_state = 223},
  [2272] = {.lex_state = 118},
  [2273] = {.lex_state = 118},
  [2274] = {.lex_state = 118},
  [2275] = {.lex_state = 223},
  [2276] = {.lex_state = 223},
  [2277] = {.lex_state = 223},
  [2278] = {.lex_state = 118},
  [2279] = {.lex_state = 118},
  [2280] = {.lex_state = 0},
  [2281] = {.lex_state = 0},
  [2282] = {.lex_state = 0},
  [2283] = {.lex_state = 223},
  [2284] = {.lex_state = 223},
  [2285] = {.lex_state = 223},
  [2286] = {.lex_state = 223},
  [2287] = {.lex_state = 223},
  [2288] = {.lex_state = 223},
  [2289] = {.lex_state = 223},
  [2290] = {.lex_state = 223},
  [2291] = {.lex_state = 223},
  [2292] = {.lex_state = 223},
  [2293] = {.lex_state = 223},
  [2294] = {.lex_state = 223},
  [2295] = {.lex_state = 223},
  [2296] = {.lex_state = 223},
  [2297] = {.lex_state = 223},
  [2298] = {.lex_state = 223},
  [2299] = {.lex_state = 223},
  [2300] = {.lex_state = 223},
  [2301] = {.lex_state = 223},
  [2302] = {.lex_state = 223},
  [2303] = {.lex_state = 223},
  [2304] = {.lex_state = 223},
  [2305] = {.lex_state = 223},
  [2306] = {.lex_state = 223},
  [2307] = {.lex_state = 223},
  [2308] = {.lex_state = 223},
  [2309] = {.lex_state = 223},
  [2310] = {.lex_state = 223},
  [2311] = {.lex_state = 223},
  [2312] = {.lex_state = 223},
  [2313] = {.lex_state = 223},
  [2314] = {.lex_state = 223},
  [2315] = {.lex_state = 223},
  [2316] = {.lex_state = 223},
  [2317] = {.lex_state = 223},
  [2318] = {.lex_state = 223},
  [2319] = {.lex_state = 223},
  [2320] = {.lex_state = 223},
  [2321] = {.lex_state = 223},
  [2322] = {.lex_state = 223},
  [2323] = {.lex_state = 223},
  [2324] = {.lex_state = 223},
  [2325] = {.lex_state = 0},
  [2326] = {.lex_state = 0},
  [2327] = {.lex_state = 0},
  [2328] = {.lex_state = 223},
  [2329] = {.lex_state = 223},
  [2330] = {.lex_state = 223},
  [2331] = {.lex_state = 223},
  [2332] = {.lex_state = 118},
  [2333] = {.lex_state = 118},
  [2334] = {.lex_state = 223},
  [2335] = {.lex_state = 0},
  [2336] = {.lex_state = 223},
  [2337] = {.lex_state = 223},
  [2338] = {.lex_state = 223},
  [2339] = {.lex_state = 223},
  [2340] = {.lex_state = 118},
  [2341] = {.lex_state = 223},
  [2342] = {.lex_state = 0},
  [2343] = {.lex_state = 223},
  [2344] = {.lex_state = 0},
  [2345] = {.lex_state = 0},
  [2346] = {.lex_state = 223},
  [2347] = {.lex_state = 223},
  [2348] = {.lex_state = 0},
  [2349] = {.lex_state = 223},
  [2350] = {.lex_state = 0},
  [2351] = {.lex_state = 223},
  [2352] = {.lex_state = 223},
  [2353] = {.lex_state = 223},
  [2354] = {.lex_state = 0},
  [2355] = {.lex_state = 223},
  [2356] = {.lex_state = 0},
  [2357] = {.lex_state = 223},
  [2358] = {.lex_state = 0},
  [2359] = {.lex_state = 0},
  [2360] = {.lex_state = 223},
  [2361] = {.lex_state = 118},
  [2362] = {.lex_state = 223},
  [2363] = {.lex_state = 223},
  [2364] = {.lex_state = 223},
  [2365] = {.lex_state = 223},
  [2366] = {.lex_state = 223},
  [2367] = {.lex_state = 118},
  [2368] = {.lex_state = 223},
  [2369] = {.lex_state = 223},
  [2370] = {.lex_state = 223},
  [2371] = {.lex_state = 223},
  [2372] = {.lex_state = 223},
  [2373] = {.lex_state = 223},
  [2374] = {.lex_state = 223},
  [2375] = {.lex_state = 223},
  [2376] = {.lex_state = 223},
  [2377] = {.lex_state = 223},
  [2378] = {.lex_state = 223},
  [2379] = {.lex_state = 223},
  [2380] = {.lex_state = 223},
  [2381] = {.lex_state = 223},
  [2382] = {.lex_state = 223},
  [2383] = {.lex_state = 223},
  [2384] = {.lex_state = 223},
  [2385] = {.lex_state = 223},
  [2386] = {.lex_state = 223},
  [2387] = {.lex_state = 223},
  [2388] = {.lex_state = 223},
  [2389] = {.lex_state = 223},
  [2390] = {.lex_state = 223},
  [2391] = {.lex_state = 223},
  [2392] = {.lex_state = 223},
  [2393] = {.lex_state = 223},
  [2394] = {.lex_state = 223},
  [2395] = {.lex_state = 0},
  [2396] = {.lex_state = 0},
  [2397] = {.lex_state = 223},
  [2398] = {.lex_state = 223},
  [2399] = {.lex_state = 223},
  [2400] = {.lex_state = 223},
  [2401] = {.lex_state = 231},
  [2402] = {.lex_state = 0},
  [2403] = {.lex_state = 223},
  [2404] = {.lex_state = 223},
  [2405] = {.lex_state = 223},
  [2406] = {.lex_state = 223},
  [2407] = {.lex_state = 223},
  [2408] = {.lex_state = 223},
  [2409] = {.lex_state = 223},
  [2410] = {.lex_state = 223},
  [2411] = {.lex_state = 0},
  [2412] = {.lex_state = 0},
  [2413] = {.lex_state = 223},
  [2414] = {.lex_state = 223},
  [2415] = {.lex_state = 0},
  [2416] = {.lex_state = 223},
  [2417] = {.lex_state = 223},
  [2418] = {.lex_state = 223},
  [2419] = {.lex_state = 223},
  [2420] = {.lex_state = 223},
  [2421] = {.lex_state = 223},
  [2422] = {.lex_state = 223},
  [2423] = {.lex_state = 223},
  [2424] = {.lex_state = 223},
  [2425] = {.lex_state = 223},
  [2426] = {.lex_state = 223},
  [2427] = {.lex_state = 223},
  [2428] = {.lex_state = 223},
  [2429] = {.lex_state = 223},
  [2430] = {.lex_state = 223},
  [2431] = {.lex_state = 223},
  [2432] = {.lex_state = 223},
  [2433] = {.lex_state = 223},
  [2434] = {.lex_state = 223},
  [2435] = {.lex_state = 223},
  [2436] = {.lex_state = 223},
  [2437] = {.lex_state = 223},
  [2438] = {.lex_state = 223},
  [2439] = {.lex_state = 223},
  [2440] = {.lex_state = 223},
  [2441] = {.lex_state = 223},
  [2442] = {.lex_state = 223},
  [2443] = {.lex_state = 223},
  [2444] = {.lex_state = 223},
  [2445] = {.lex_state = 223},
  [2446] = {.lex_state = 223},
  [2447] = {.lex_state = 223},
  [2448] = {.lex_state = 223},
  [2449] = {.lex_state = 223},
  [2450] = {.lex_state = 223},
  [2451] = {.lex_state = 223},
  [2452] = {.lex_state = 223},
  [2453] = {.lex_state = 223},
  [2454] = {.lex_state = 223},
  [2455] = {.lex_state = 223},
  [2456] = {.lex_state = 223},
  [2457] = {.lex_state = 223},
  [2458] = {.lex_state = 223},
  [2459] = {.lex_state = 223},
  [2460] = {.lex_state = 223},
  [2461] = {.lex_state = 223},
  [2462] = {.lex_state = 223},
  [2463] = {.lex_state = 223},
  [2464] = {.lex_state = 223},
  [2465] = {.lex_state = 223},
  [2466] = {.lex_state = 223},
  [2467] = {.lex_state = 223},
  [2468] = {.lex_state = 223},
  [2469] = {.lex_state = 223},
  [2470] = {.lex_state = 223},
  [2471] = {.lex_state = 223},
  [2472] = {.lex_state = 223},
  [2473] = {.lex_state = 223},
  [2474] = {.lex_state = 223},
  [2475] = {.lex_state = 223},
  [2476] = {.lex_state = 223},
  [2477] = {.lex_state = 0},
  [2478] = {.lex_state = 0},
  [2479] = {.lex_state = 223},
  [2480] = {.lex_state = 223},
  [2481] = {.lex_state = 0},
  [2482] = {.lex_state = 223},
  [2483] = {.lex_state = 223},
  [2484] = {.lex_state = 223},
  [2485] = {.lex_state = 223},
  [2486] = {.lex_state = 223},
  [2487] = {.lex_state = 223},
  [2488] = {.lex_state = 223},
  [2489] = {.lex_state = 223},
  [2490] = {.lex_state = 223},
  [2491] = {.lex_state = 223},
  [2492] = {.lex_state = 223},
  [2493] = {.lex_state = 223},
  [2494] = {.lex_state = 0},
  [2495] = {.lex_state = 223},
  [2496] = {.lex_state = 223},
  [2497] = {.lex_state = 223},
  [2498] = {.lex_state = 223},
  [2499] = {.lex_state = 223},
  [2500] = {.lex_state = 0},
  [2501] = {.lex_state = 223},
  [2502] = {.lex_state = 223},
  [2503] = {.lex_state = 223},
  [2504] = {.lex_state = 223},
  [2505] = {.lex_state = 223},
  [2506] = {.lex_state = 223},
  [2507] = {.lex_state = 223},
  [2508] = {.lex_state = 223},
  [2509] = {.lex_state = 223},
  [2510] = {.lex_state = 223},
  [2511] = {.lex_state = 223},
  [2512] = {.lex_state = 223},
  [2513] = {.lex_state = 223},
  [2514] = {.lex_state = 223},
  [2515] = {.lex_state = 223},
  [2516] = {.lex_state = 223},
  [2517] = {.lex_state = 223},
  [2518] = {.lex_state = 223},
  [2519] = {.lex_state = 223},
  [2520] = {.lex_state = 0},
  [2521] = {.lex_state = 223},
  [2522] = {.lex_state = 223},
  [2523] = {.lex_state = 223},
  [2524] = {.lex_state = 223},
  [2525] = {.lex_state = 223},
  [2526] = {.lex_state = 223},
  [2527] = {.lex_state = 223},
  [2528] = {.lex_state = 223},
  [2529] = {.lex_state = 223},
  [2530] = {.lex_state = 231},
  [2531] = {.lex_state = 223},
  [2532] = {.lex_state = 223},
  [2533] = {.lex_state = 223},
  [2534] = {.lex_state = 0},
  [2535] = {.lex_state = 223},
  [2536] = {.lex_state = 223},
  [2537] = {.lex_state = 223},
  [2538] = {.lex_state = 118},
  [2539] = {.lex_state = 223},
  [2540] = {.lex_state = 118},
  [2541] = {.lex_state = 223},
  [2542] = {.lex_state = 223},
  [2543] = {.lex_state = 223},
  [2544] = {.lex_state = 118},
  [2545] = {.lex_state = 223},
  [2546] = {.lex_state = 223},
  [2547] = {.lex_state = 223},
  [2548] = {.lex_state = 223},
  [2549] = {.lex_state = 223},
  [2550] = {.lex_state = 223},
  [2551] = {.lex_state = 223},
  [2552] = {.lex_state = 223},
  [2553] = {.lex_state = 223},
  [2554] = {.lex_state = 223},
  [2555] = {.lex_state = 223},
  [2556] = {.lex_state = 223},
  [2557] = {.lex_state = 223},
  [2558] = {.lex_state = 223},
  [2559] = {.lex_state = 223},
  [2560] = {.lex_state = 223},
  [2561] = {.lex_state = 223},
  [2562] = {.lex_state = 223},
  [2563] = {.lex_state = 223},
  [2564] = {.lex_state = 223},
  [2565] = {.lex_state = 223},
  [2566] = {.lex_state = 223},
  [2567] = {.lex_state = 223},
  [2568] = {.lex_state = 223},
  [2569] = {.lex_state = 223},
  [2570] = {.lex_state = 223},
  [2571] = {.lex_state = 223},
  [2572] = {.lex_state = 223},
  [2573] = {.lex_state = 0},
  [2574] = {.lex_state = 223},
  [2575] = {.lex_state = 223},
  [2576] = {.lex_state = 223},
  [2577] = {.lex_state = 223},
  [2578] = {.lex_state = 223},
  [2579] = {.lex_state = 223},
  [2580] = {.lex_state = 223},
  [2581] = {.lex_state = 223},
  [2582] = {.lex_state = 223},
  [2583] = {.lex_state = 223},
  [2584] = {.lex_state = 223},
  [2585] = {.lex_state = 223},
  [2586] = {.lex_state = 223},
  [2587] = {.lex_state = 223},
  [2588] = {.lex_state = 0},
  [2589] = {.lex_state = 223},
  [2590] = {.lex_state = 223},
  [2591] = {.lex_state = 223},
  [2592] = {.lex_state = 223},
  [2593] = {.lex_state = 223},
  [2594] = {.lex_state = 223},
  [2595] = {.lex_state = 223},
  [2596] = {.lex_state = 223},
  [2597] = {.lex_state = 223},
  [2598] = {.lex_state = 223},
  [2599] = {.lex_state = 223},
  [2600] = {.lex_state = 223},
  [2601] = {.lex_state = 223},
  [2602] = {.lex_state = 223},
  [2603] = {.lex_state = 223},
  [2604] = {.lex_state = 223},
  [2605] = {.lex_state = 223},
  [2606] = {.lex_state = 223},
  [2607] = {.lex_state = 223},
  [2608] = {.lex_state = 223},
  [2609] = {.lex_state = 223},
  [2610] = {.lex_state = 223},
  [2611] = {.lex_state = 225},
  [2612] = {.lex_state = 225},
  [2613] = {.lex_state = 223},
  [2614] = {.lex_state = 223},
  [2615] = {.lex_state = 223},
  [2616] = {.lex_state = 223},
  [2617] = {.lex_state = 225},
  [2618] = {.lex_state = 223},
  [2619] = {.lex_state = 223},
  [2620] = {.lex_state = 223},
  [2621] = {.lex_state = 223},
  [2622] = {.lex_state = 223},
  [2623] = {.lex_state = 223},
  [2624] = {.lex_state = 223},
  [2625] = {.lex_state = 223},
  [2626] = {.lex_state = 223},
  [2627] = {.lex_state = 223},
  [2628] = {.lex_state = 223},
  [2629] = {.lex_state = 223},
  [2630] = {.lex_state = 223},
  [2631] = {.lex_state = 223},
  [2632] = {.lex_state = 223},
  [2633] = {.lex_state = 223},
  [2634] = {.lex_state = 223},
  [2635] = {.lex_state = 581},
  [2636] = {.lex_state = 581},
  [2637] = {.lex_state = 581},
  [2638] = {.lex_state = 571},
  [2639] = {.lex_state = 581},
  [2640] = {.lex_state = 223},
  [2641] = {.lex_state = 223},
  [2642] = {.lex_state = 223},
  [2643] = {.lex_state = 223},
  [2644] = {.lex_state = 223},
  [2645] = {.lex_state = 223},
  [2646] = {.lex_state = 223},
  [2647] = {.lex_state = 223},
  [2648] = {.lex_state = 118},
  [2649] = {.lex_state = 223},
  [2650] = {.lex_state = 223},
  [2651] = {.lex_state = 223},
  [2652] = {.lex_state = 223},
  [2653] = {.lex_state = 223},
  [2654] = {.lex_state = 223},
  [2655] = {.lex_state = 223},
  [2656] = {.lex_state = 118},
  [2657] = {.lex_state = 223},
  [2658] = {.lex_state = 118},
  [2659] = {.lex_state = 118},
  [2660] = {.lex_state = 223},
  [2661] = {.lex_state = 223},
  [2662] = {.lex_state = 223},
  [2663] = {.lex_state = 223},
  [2664] = {.lex_state = 232},
  [2665] = {.lex_state = 223},
  [2666] = {.lex_state = 223},
  [2667] = {.lex_state = 118},
  [2668] = {.lex_state = 117},
  [2669] = {.lex_state = 118},
  [2670] = {.lex_state = 118},
  [2671] = {.lex_state = 223},
  [2672] = {.lex_state = 118},
  [2673] = {.lex_state = 0},
  [2674] = {.lex_state = 223},
  [2675] = {.lex_state = 118},
  [2676] = {.lex_state = 118},
  [2677] = {.lex_state = 118},
  [2678] = {.lex_state = 118},
  [2679] = {.lex_state = 106},
  [2680] = {.lex_state = 0},
  [2681] = {.lex_state = 106},
  [2682] = {.lex_state = 106},
  [2683] = {.lex_state = 0},
  [2684] = {.lex_state = 223},
  [2685] = {.lex_state = 223},
  [2686] = {.lex_state = 223},
  [2687] = {.lex_state = 223},
  [2688] = {.lex_state = 0},
  [2689] = {.lex_state = 0},
  [2690] = {.lex_state = 0},
  [2691] = {.lex_state = 0},
  [2692] = {.lex_state = 0},
  [2693] = {.lex_state = 237},
  [2694] = {.lex_state = 0},
  [2695] = {.lex_state = 0},
  [2696] = {.lex_state = 117},
  [2697] = {.lex_state = 223},
  [2698] = {.lex_state = 223},
  [2699] = {.lex_state = 0},
  [2700] = {.lex_state = 223},
  [2701] = {.lex_state = 223},
  [2702] = {.lex_state = 0},
  [2703] = {.lex_state = 0},
  [2704] = {.lex_state = 118},
  [2705] = {.lex_state = 118},
  [2706] = {.lex_state = 118},
  [2707] = {.lex_state = 118},
  [2708] = {.lex_state = 118},
  [2709] = {.lex_state = 223},
  [2710] = {.lex_state = 223},
  [2711] = {.lex_state = 223},
  [2712] = {.lex_state = 118},
  [2713] = {.lex_state = 223},
  [2714] = {.lex_state = 223},
  [2715] = {.lex_state = 223},
  [2716] = {.lex_state = 581},
  [2717] = {.lex_state = 581},
  [2718] = {.lex_state = 581},
  [2719] = {.lex_state = 581},
  [2720] = {.lex_state = 223},
  [2721] = {.lex_state = 223},
  [2722] = {.lex_state = 118},
  [2723] = {.lex_state = 118},
  [2724] = {.lex_state = 118},
  [2725] = {.lex_state = 118},
  [2726] = {.lex_state = 118},
  [2727] = {.lex_state = 118},
  [2728] = {.lex_state = 118},
  [2729] = {.lex_state = 118},
  [2730] = {.lex_state = 118},
  [2731] = {.lex_state = 118},
  [2732] = {.lex_state = 118},
  [2733] = {.lex_state = 118},
  [2734] = {.lex_state = 118},
  [2735] = {.lex_state = 118},
  [2736] = {.lex_state = 118},
  [2737] = {.lex_state = 118},
  [2738] = {.lex_state = 118},
  [2739] = {.lex_state = 118},
  [2740] = {.lex_state = 118},
  [2741] = {.lex_state = 118},
  [2742] = {.lex_state = 118},
  [2743] = {.lex_state = 118},
  [2744] = {.lex_state = 118},
  [2745] = {.lex_state = 118},
  [2746] = {.lex_state = 118},
  [2747] = {.lex_state = 118},
  [2748] = {.lex_state = 117},
  [2749] = {.lex_state = 118},
  [2750] = {.lex_state = 118},
  [2751] = {.lex_state = 223},
  [2752] = {.lex_state = 0},
  [2753] = {.lex_state = 223},
  [2754] = {.lex_state = 223},
  [2755] = {.lex_state = 223},
  [2756] = {.lex_state = 581},
  [2757] = {.lex_state = 581},
  [2758] = {.lex_state = 581},
  [2759] = {.lex_state = 581},
  [2760] = {.lex_state = 223},
  [2761] = {.lex_state = 118},
  [2762] = {.lex_state = 118},
  [2763] = {.lex_state = 223},
  [2764] = {.lex_state = 223},
  [2765] = {.lex_state = 223},
  [2766] = {.lex_state = 223},
  [2767] = {.lex_state = 223},
  [2768] = {.lex_state = 223},
  [2769] = {.lex_state = 223},
  [2770] = {.lex_state = 223},
  [2771] = {.lex_state = 223},
  [2772] = {.lex_state = 223},
  [2773] = {.lex_state = 223},
  [2774] = {.lex_state = 223},
  [2775] = {.lex_state = 223},
  [2776] = {.lex_state = 223},
  [2777] = {.lex_state = 225},
  [2778] = {.lex_state = 106},
  [2779] = {.lex_state = 225},
  [2780] = {.lex_state = 106},
  [2781] = {.lex_state = 225},
  [2782] = {.lex_state = 106},
  [2783] = {.lex_state = 223},
  [2784] = {.lex_state = 223},
  [2785] = {.lex_state = 223},
  [2786] = {.lex_state = 223},
  [2787] = {.lex_state = 223},
  [2788] = {.lex_state = 223},
  [2789] = {.lex_state = 223},
  [2790] = {.lex_state = 223},
  [2791] = {.lex_state = 223},
  [2792] = {.lex_state = 581},
  [2793] = {.lex_state = 581},
  [2794] = {.lex_state = 581},
  [2795] = {.lex_state = 581},
  [2796] = {.lex_state = 223},
  [2797] = {.lex_state = 223},
  [2798] = {.lex_state = 106},
  [2799] = {.lex_state = 223},
  [2800] = {.lex_state = 223},
  [2801] = {.lex_state = 223},
  [2802] = {.lex_state = 0},
  [2803] = {.lex_state = 223},
  [2804] = {.lex_state = 223},
  [2805] = {.lex_state = 231},
  [2806] = {.lex_state = 231},
  [2807] = {.lex_state = 581},
  [2808] = {.lex_state = 223},
  [2809] = {.lex_state = 223},
  [2810] = {.lex_state = 586},
  [2811] = {.lex_state = 223},
  [2812] = {.lex_state = 223},
  [2813] = {.lex_state = 0},
  [2814] = {.lex_state = 223},
  [2815] = {.lex_state = 223},
  [2816] = {.lex_state = 223},
  [2817] = {.lex_state = 223},
  [2818] = {.lex_state = 223},
  [2819] = {.lex_state = 223},
  [2820] = {.lex_state = 223},
  [2821] = {.lex_state = 223},
  [2822] = {.lex_state = 223},
  [2823] = {.lex_state = 223},
  [2824] = {.lex_state = 223},
  [2825] = {.lex_state = 223},
  [2826] = {.lex_state = 223},
  [2827] = {.lex_state = 223},
  [2828] = {.lex_state = 581},
  [2829] = {.lex_state = 581},
  [2830] = {.lex_state = 581},
  [2831] = {.lex_state = 581},
  [2832] = {.lex_state = 223},
  [2833] = {.lex_state = 223},
  [2834] = {.lex_state = 571},
  [2835] = {.lex_state = 223},
  [2836] = {.lex_state = 118},
  [2837] = {.lex_state = 581},
  [2838] = {.lex_state = 581},
  [2839] = {.lex_state = 581},
  [2840] = {.lex_state = 118},
  [2841] = {.lex_state = 223},
  [2842] = {.lex_state = 223},
  [2843] = {.lex_state = 118},
  [2844] = {.lex_state = 118},
  [2845] = {.lex_state = 223},
  [2846] = {.lex_state = 118},
  [2847] = {.lex_state = 118},
  [2848] = {.lex_state = 118},
  [2849] = {.lex_state = 223},
  [2850] = {.lex_state = 118},
  [2851] = {.lex_state = 223},
  [2852] = {.lex_state = 118},
  [2853] = {.lex_state = 118},
  [2854] = {.lex_state = 118},
  [2855] = {.lex_state = 223},
  [2856] = {.lex_state = 118},
  [2857] = {.lex_state = 118},
  [2858] = {.lex_state = 118},
  [2859] = {.lex_state = 118},
  [2860] = {.lex_state = 223},
  [2861] = {.lex_state = 223},
  [2862] = {.lex_state = 223},
  [2863] = {.lex_state = 223},
  [2864] = {.lex_state = 581},
  [2865] = {.lex_state = 581},
  [2866] = {.lex_state = 581},
  [2867] = {.lex_state = 581},
  [2868] = {.lex_state = 223},
  [2869] = {.lex_state = 118},
  [2870] = {.lex_state = 118},
  [2871] = {.lex_state = 118},
  [2872] = {.lex_state = 118},
  [2873] = {.lex_state = 118},
  [2874] = {.lex_state = 106},
  [2875] = {.lex_state = 223},
  [2876] = {.lex_state = 223},
  [2877] = {.lex_state = 223},
  [2878] = {.lex_state = 223},
  [2879] = {.lex_state = 223},
  [2880] = {.lex_state = 223},
  [2881] = {.lex_state = 223},
  [2882] = {.lex_state = 223},
  [2883] = {.lex_state = 223},
  [2884] = {.lex_state = 0},
  [2885] = {.lex_state = 223},
  [2886] = {.lex_state = 118},
  [2887] = {.lex_state = 0},
  [2888] = {.lex_state = 223},
  [2889] = {.lex_state = 223},
  [2890] = {.lex_state = 223},
  [2891] = {.lex_state = 223},
  [2892] = {.lex_state = 106},
  [2893] = {.lex_state = 223},
  [2894] = {.lex_state = 118},
  [2895] = {.lex_state = 106},
  [2896] = {.lex_state = 223},
  [2897] = {.lex_state = 223},
  [2898] = {.lex_state = 581},
  [2899] = {.lex_state = 581},
  [2900] = {.lex_state = 581},
  [2901] = {.lex_state = 581},
  [2902] = {.lex_state = 223},
  [2903] = {.lex_state = 232},
  [2904] = {.lex_state = 223},
  [2905] = {.lex_state = 223},
  [2906] = {.lex_state = 0},
  [2907] = {.lex_state = 106},
  [2908] = {.lex_state = 106},
  [2909] = {.lex_state = 118},
  [2910] = {.lex_state = 106},
  [2911] = {.lex_state = 118},
  [2912] = {.lex_state = 118},
  [2913] = {.lex_state = 106},
  [2914] = {.lex_state = 118},
  [2915] = {.lex_state = 118},
  [2916] = {.lex_state = 118},
  [2917] = {.lex_state = 118},
  [2918] = {.lex_state = 118},
  [2919] = {.lex_state = 118},
  [2920] = {.lex_state = 118},
  [2921] = {.lex_state = 118},
  [2922] = {.lex_state = 118},
  [2923] = {.lex_state = 118},
  [2924] = {.lex_state = 118},
  [2925] = {.lex_state = 118},
  [2926] = {.lex_state = 0},
  [2927] = {.lex_state = 118},
  [2928] = {.lex_state = 118},
  [2929] = {.lex_state = 118},
  [2930] = {.lex_state = 223},
  [2931] = {.lex_state = 223},
  [2932] = {.lex_state = 581},
  [2933] = {.lex_state = 581},
  [2934] = {.lex_state = 581},
  [2935] = {.lex_state = 581},
  [2936] = {.lex_state = 223},
  [2937] = {.lex_state = 118},
  [2938] = {.lex_state = 118},
  [2939] = {.lex_state = 118},
  [2940] = {.lex_state = 118},
  [2941] = {.lex_state = 118},
  [2942] = {.lex_state = 118},
  [2943] = {.lex_state = 118},
  [2944] = {.lex_state = 118},
  [2945] = {.lex_state = 118},
  [2946] = {.lex_state = 118},
  [2947] = {.lex_state = 118},
  [2948] = {.lex_state = 118},
  [2949] = {.lex_state = 118},
  [2950] = {.lex_state = 118},
  [2951] = {.lex_state = 118},
  [2952] = {.lex_state = 223},
  [2953] = {.lex_state = 0},
  [2954] = {.lex_state = 0},
  [2955] = {.lex_state = 0},
  [2956] = {.lex_state = 0},
  [2957] = {.lex_state = 0},
  [2958] = {.lex_state = 0},
  [2959] = {.lex_state = 223},
  [2960] = {.lex_state = 118},
  [2961] = {.lex_state = 118},
  [2962] = {.lex_state = 118},
  [2963] = {.lex_state = 118},
  [2964] = {.lex_state = 118},
  [2965] = {.lex_state = 581},
  [2966] = {.lex_state = 581},
  [2967] = {.lex_state = 581},
  [2968] = {.lex_state = 581},
  [2969] = {.lex_state = 118},
  [2970] = {.lex_state = 118},
  [2971] = {.lex_state = 118},
  [2972] = {.lex_state = 118},
  [2973] = {.lex_state = 589},
  [2974] = {.lex_state = 118},
  [2975] = {.lex_state = 118},
  [2976] = {.lex_state = 118},
  [2977] = {.lex_state = 118},
  [2978] = {.lex_state = 118},
  [2979] = {.lex_state = 118},
  [2980] = {.lex_state = 118},
  [2981] = {.lex_state = 118},
  [2982] = {.lex_state = 118},
  [2983] = {.lex_state = 0},
  [2984] = {.lex_state = 0},
  [2985] = {.lex_state = 0},
  [2986] = {.lex_state = 0},
  [2987] = {.lex_state = 0},
  [2988] = {.lex_state = 0},
  [2989] = {.lex_state = 0},
  [2990] = {.lex_state = 223},
  [2991] = {.lex_state = 223},
  [2992] = {.lex_state = 223},
  [2993] = {.lex_state = 0},
  [2994] = {.lex_state = 586},
  [2995] = {.lex_state = 0},
  [2996] = {.lex_state = 0},
  [2997] = {.lex_state = 0},
  [2998] = {.lex_state = 581},
  [2999] = {.lex_state = 581},
  [3000] = {.lex_state = 581},
  [3001] = {.lex_state = 581},
  [3002] = {.lex_state = 0},
  [3003] = {.lex_state = 581},
  [3004] = {.lex_state = 581},
  [3005] = {.lex_state = 581},
  [3006] = {.lex_state = 581},
  [3007] = {.lex_state = 0},
  [3008] = {.lex_state = 581},
  [3009] = {.lex_state = 581},
  [3010] = {.lex_state = 581},
  [3011] = {.lex_state = 118},
  [3012] = {.lex_state = 118},
  [3013] = {.lex_state = 118},
  [3014] = {.lex_state = 118},
  [3015] = {.lex_state = 118},
  [3016] = {.lex_state = 118},
  [3017] = {.lex_state = 118},
  [3018] = {.lex_state = 118},
  [3019] = {.lex_state = 118},
  [3020] = {.lex_state = 118},
  [3021] = {.lex_state = 118},
  [3022] = {.lex_state = 118},
  [3023] = {.lex_state = 118},
  [3024] = {.lex_state = 118},
  [3025] = {.lex_state = 118},
  [3026] = {.lex_state = 118},
  [3027] = {.lex_state = 118},
  [3028] = {.lex_state = 118},
  [3029] = {.lex_state = 118},
  [3030] = {.lex_state = 118},
  [3031] = {.lex_state = 118},
  [3032] = {.lex_state = 118},
  [3033] = {.lex_state = 118},
  [3034] = {.lex_state = 118},
  [3035] = {.lex_state = 118},
  [3036] = {.lex_state = 118},
  [3037] = {.lex_state = 118},
  [3038] = {.lex_state = 0},
  [3039] = {.lex_state = 118},
  [3040] = {.lex_state = 118},
  [3041] = {.lex_state = 118},
  [3042] = {.lex_state = 118},
  [3043] = {.lex_state = 118},
  [3044] = {.lex_state = 118},
  [3045] = {.lex_state = 118},
  [3046] = {.lex_state = 118},
  [3047] = {.lex_state = 118},
  [3048] = {.lex_state = 118},
  [3049] = {.lex_state = 118},
  [3050] = {.lex_state = 118},
  [3051] = {.lex_state = 118},
  [3052] = {.lex_state = 118},
  [3053] = {.lex_state = 118},
  [3054] = {.lex_state = 118},
  [3055] = {.lex_state = 118},
  [3056] = {.lex_state = 118},
  [3057] = {.lex_state = 118},
  [3058] = {.lex_state = 118},
  [3059] = {.lex_state = 118},
  [3060] = {.lex_state = 118},
  [3061] = {.lex_state = 118},
  [3062] = {.lex_state = 118},
  [3063] = {.lex_state = 118},
  [3064] = {.lex_state = 118},
  [3065] = {.lex_state = 118},
  [3066] = {.lex_state = 118},
  [3067] = {.lex_state = 0},
  [3068] = {.lex_state = 0},
  [3069] = {.lex_state = 223},
  [3070] = {.lex_state = 223},
  [3071] = {.lex_state = 0},
  [3072] = {.lex_state = 118},
  [3073] = {.lex_state = 118},
  [3074] = {.lex_state = 118},
  [3075] = {.lex_state = 118},
  [3076] = {.lex_state = 118},
  [3077] = {.lex_state = 118},
  [3078] = {.lex_state = 118},
  [3079] = {.lex_state = 118},
  [3080] = {.lex_state = 118},
  [3081] = {.lex_state = 118},
  [3082] = {.lex_state = 118},
  [3083] = {.lex_state = 118},
  [3084] = {.lex_state = 118},
  [3085] = {.lex_state = 118},
  [3086] = {.lex_state = 118},
  [3087] = {.lex_state = 118},
  [3088] = {.lex_state = 118},
  [3089] = {.lex_state = 118},
  [3090] = {.lex_state = 118},
  [3091] = {.lex_state = 118},
  [3092] = {.lex_state = 118},
  [3093] = {.lex_state = 118},
  [3094] = {.lex_state = 118},
  [3095] = {.lex_state = 118},
  [3096] = {.lex_state = 118},
  [3097] = {.lex_state = 118},
  [3098] = {.lex_state = 118},
  [3099] = {.lex_state = 118},
  [3100] = {.lex_state = 0},
  [3101] = {.lex_state = 0},
  [3102] = {.lex_state = 223},
  [3103] = {.lex_state = 0},
  [3104] = {.lex_state = 118},
  [3105] = {.lex_state = 118},
  [3106] = {.lex_state = 118},
  [3107] = {.lex_state = 118},
  [3108] = {.lex_state = 118},
  [3109] = {.lex_state = 118},
  [3110] = {.lex_state = 118},
  [3111] = {.lex_state = 118},
  [3112] = {.lex_state = 118},
  [3113] = {.lex_state = 118},
  [3114] = {.lex_state = 118},
  [3115] = {.lex_state = 118},
  [3116] = {.lex_state = 118},
  [3117] = {.lex_state = 118},
  [3118] = {.lex_state = 118},
  [3119] = {.lex_state = 118},
  [3120] = {.lex_state = 118},
  [3121] = {.lex_state = 118},
  [3122] = {.lex_state = 118},
  [3123] = {.lex_state = 118},
  [3124] = {.lex_state = 118},
  [3125] = {.lex_state = 118},
  [3126] = {.lex_state = 118},
  [3127] = {.lex_state = 118},
  [3128] = {.lex_state = 118},
  [3129] = {.lex_state = 118},
  [3130] = {.lex_state = 118},
  [3131] = {.lex_state = 0},
  [3132] = {.lex_state = 223},
  [3133] = {.lex_state = 0},
  [3134] = {.lex_state = 118},
  [3135] = {.lex_state = 118},
  [3136] = {.lex_state = 118},
  [3137] = {.lex_state = 118},
  [3138] = {.lex_state = 118},
  [3139] = {.lex_state = 118},
  [3140] = {.lex_state = 118},
  [3141] = {.lex_state = 118},
  [3142] = {.lex_state = 118},
  [3143] = {.lex_state = 118},
  [3144] = {.lex_state = 118},
  [3145] = {.lex_state = 118},
  [3146] = {.lex_state = 118},
  [3147] = {.lex_state = 118},
  [3148] = {.lex_state = 118},
  [3149] = {.lex_state = 118},
  [3150] = {.lex_state = 118},
  [3151] = {.lex_state = 118},
  [3152] = {.lex_state = 118},
  [3153] = {.lex_state = 118},
  [3154] = {.lex_state = 118},
  [3155] = {.lex_state = 118},
  [3156] = {.lex_state = 118},
  [3157] = {.lex_state = 118},
  [3158] = {.lex_state = 118},
  [3159] = {.lex_state = 118},
  [3160] = {.lex_state = 118},
  [3161] = {.lex_state = 0},
  [3162] = {.lex_state = 223},
  [3163] = {.lex_state = 0},
  [3164] = {.lex_state = 118},
  [3165] = {.lex_state = 118},
  [3166] = {.lex_state = 118},
  [3167] = {.lex_state = 118},
  [3168] = {.lex_state = 118},
  [3169] = {.lex_state = 118},
  [3170] = {.lex_state = 118},
  [3171] = {.lex_state = 118},
  [3172] = {.lex_state = 118},
  [3173] = {.lex_state = 118},
  [3174] = {.lex_state = 118},
  [3175] = {.lex_state = 118},
  [3176] = {.lex_state = 118},
  [3177] = {.lex_state = 118},
  [3178] = {.lex_state = 118},
  [3179] = {.lex_state = 118},
  [3180] = {.lex_state = 118},
  [3181] = {.lex_state = 118},
  [3182] = {.lex_state = 118},
  [3183] = {.lex_state = 118},
  [3184] = {.lex_state = 118},
  [3185] = {.lex_state = 118},
  [3186] = {.lex_state = 118},
  [3187] = {.lex_state = 118},
  [3188] = {.lex_state = 118},
  [3189] = {.lex_state = 118},
  [3190] = {.lex_state = 118},
  [3191] = {.lex_state = 599},
  [3192] = {.lex_state = 223},
  [3193] = {.lex_state = 0},
  [3194] = {.lex_state = 118},
  [3195] = {.lex_state = 118},
  [3196] = {.lex_state = 118},
  [3197] = {.lex_state = 118},
  [3198] = {.lex_state = 118},
  [3199] = {.lex_state = 118},
  [3200] = {.lex_state = 118},
  [3201] = {.lex_state = 118},
  [3202] = {.lex_state = 118},
  [3203] = {.lex_state = 118},
  [3204] = {.lex_state = 118},
  [3205] = {.lex_state = 118},
  [3206] = {.lex_state = 118},
  [3207] = {.lex_state = 118},
  [3208] = {.lex_state = 118},
  [3209] = {.lex_state = 118},
  [3210] = {.lex_state = 118},
  [3211] = {.lex_state = 118},
  [3212] = {.lex_state = 118},
  [3213] = {.lex_state = 118},
  [3214] = {.lex_state = 118},
  [3215] = {.lex_state = 118},
  [3216] = {.lex_state = 118},
  [3217] = {.lex_state = 118},
  [3218] = {.lex_state = 118},
  [3219] = {.lex_state = 118},
  [3220] = {.lex_state = 118},
  [3221] = {.lex_state = 0},
  [3222] = {.lex_state = 118},
  [3223] = {.lex_state = 118},
  [3224] = {.lex_state = 118},
  [3225] = {.lex_state = 118},
  [3226] = {.lex_state = 118},
  [3227] = {.lex_state = 118},
  [3228] = {.lex_state = 118},
  [3229] = {.lex_state = 118},
  [3230] = {.lex_state = 118},
  [3231] = {.lex_state = 118},
  [3232] = {.lex_state = 118},
  [3233] = {.lex_state = 118},
  [3234] = {.lex_state = 118},
  [3235] = {.lex_state = 118},
  [3236] = {.lex_state = 118},
  [3237] = {.lex_state = 118},
  [3238] = {.lex_state = 118},
  [3239] = {.lex_state = 118},
  [3240] = {.lex_state = 118},
  [3241] = {.lex_state = 118},
  [3242] = {.lex_state = 118},
  [3243] = {.lex_state = 118},
  [3244] = {.lex_state = 118},
  [3245] = {.lex_state = 118},
  [3246] = {.lex_state = 118},
  [3247] = {.lex_state = 118},
  [3248] = {.lex_state = 118},
  [3249] = {.lex_state = 223},
  [3250] = {.lex_state = 118},
  [3251] = {.lex_state = 118},
  [3252] = {.lex_state = 118},
  [3253] = {.lex_state = 118},
  [3254] = {.lex_state = 118},
  [3255] = {.lex_state = 118},
  [3256] = {.lex_state = 118},
  [3257] = {.lex_state = 118},
  [3258] = {.lex_state = 118},
  [3259] = {.lex_state = 118},
  [3260] = {.lex_state = 118},
  [3261] = {.lex_state = 118},
  [3262] = {.lex_state = 118},
  [3263] = {.lex_state = 118},
  [3264] = {.lex_state = 118},
  [3265] = {.lex_state = 118},
  [3266] = {.lex_state = 118},
  [3267] = {.lex_state = 118},
  [3268] = {.lex_state = 118},
  [3269] = {.lex_state = 118},
  [3270] = {.lex_state = 118},
  [3271] = {.lex_state = 118},
  [3272] = {.lex_state = 118},
  [3273] = {.lex_state = 118},
  [3274] = {.lex_state = 118},
  [3275] = {.lex_state = 118},
  [3276] = {.lex_state = 118},
  [3277] = {.lex_state = 0},
  [3278] = {.lex_state = 118},
  [3279] = {.lex_state = 118},
  [3280] = {.lex_state = 118},
  [3281] = {.lex_state = 118},
  [3282] = {.lex_state = 118},
  [3283] = {.lex_state = 118},
  [3284] = {.lex_state = 118},
  [3285] = {.lex_state = 118},
  [3286] = {.lex_state = 118},
  [3287] = {.lex_state = 118},
  [3288] = {.lex_state = 118},
  [3289] = {.lex_state = 118},
  [3290] = {.lex_state = 118},
  [3291] = {.lex_state = 118},
  [3292] = {.lex_state = 118},
  [3293] = {.lex_state = 118},
  [3294] = {.lex_state = 118},
  [3295] = {.lex_state = 118},
  [3296] = {.lex_state = 118},
  [3297] = {.lex_state = 118},
  [3298] = {.lex_state = 118},
  [3299] = {.lex_state = 118},
  [3300] = {.lex_state = 118},
  [3301] = {.lex_state = 118},
  [3302] = {.lex_state = 118},
  [3303] = {.lex_state = 118},
  [3304] = {.lex_state = 118},
  [3305] = {.lex_state = 0},
  [3306] = {.lex_state = 118},
  [3307] = {.lex_state = 118},
  [3308] = {.lex_state = 0},
  [3309] = {.lex_state = 0},
  [3310] = {.lex_state = 118},
  [3311] = {.lex_state = 118},
  [3312] = {.lex_state = 118},
  [3313] = {.lex_state = 118},
  [3314] = {.lex_state = 118},
  [3315] = {.lex_state = 118},
  [3316] = {.lex_state = 118},
  [3317] = {.lex_state = 118},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_bookcode] = ACTIONS(1),
    [anon_sym_BSLASHid] = ACTIONS(1),
    [sym_numberedLevelMax3] = ACTIONS(1),
    [sym_numberedLevelMax4] = ACTIONS(1),
    [sym_numberedLevelMax5] = ACTIONS(1),
    [sym_versionNumber] = ACTIONS(1),
    [anon_sym_BSLASHusfm] = ACTIONS(1),
    [anon_sym_BSLASHide] = ACTIONS(1),
    [anon_sym_BSLASHref] = ACTIONS(1),
    [anon_sym_BSLASHref_STAR] = ACTIONS(1),
    [anon_sym_BSLASHh] = ACTIONS(1),
    [anon_sym_BSLASHtoc] = ACTIONS(1),
    [anon_sym_BSLASHtoca] = ACTIONS(1),
    [anon_sym_BSLASHsts] = ACTIONS(1),
    [anon_sym_BSLASHrem] = ACTIONS(1),
    [anon_sym_BSLASHrestore] = ACTIONS(1),
    [anon_sym_BSLASHlit] = ACTIONS(1),
    [anon_sym_BSLASHiqt] = ACTIONS(1),
    [anon_sym_BSLASHiqt_STAR] = ACTIONS(1),
    [anon_sym_BSLASHimt] = ACTIONS(1),
    [anon_sym_BSLASHimte] = ACTIONS(1),
    [aux_sym_imteTag_token1] = ACTIONS(1),
    [anon_sym_BSLASHis] = ACTIONS(1),
    [anon_sym_BSLASHio] = ACTIONS(1),
    [anon_sym_BSLASHior] = ACTIONS(1),
    [anon_sym_BSLASHior_STAR] = ACTIONS(1),
    [anon_sym_BSLASHiot] = ACTIONS(1),
    [anon_sym_BSLASHip] = ACTIONS(1),
    [anon_sym_BSLASHim] = ACTIONS(1),
    [anon_sym_BSLASHipi] = ACTIONS(1),
    [anon_sym_BSLASHimi] = ACTIONS(1),
    [anon_sym_BSLASHili] = ACTIONS(1),
    [anon_sym_BSLASHipq] = ACTIONS(1),
    [anon_sym_BSLASHimq] = ACTIONS(1),
    [anon_sym_BSLASHipr] = ACTIONS(1),
    [anon_sym_BSLASHib] = ACTIONS(1),
    [anon_sym_BSLASHiq] = ACTIONS(1),
    [anon_sym_BSLASHie] = ACTIONS(1),
    [anon_sym_BSLASHiex] = ACTIONS(1),
    [anon_sym_BSLASHv] = ACTIONS(1),
    [anon_sym_BSLASHva] = ACTIONS(1),
    [anon_sym_BSLASHva_STAR] = ACTIONS(1),
    [anon_sym_BSLASHvp] = ACTIONS(1),
    [anon_sym_BSLASHvp_STAR] = ACTIONS(1),
    [anon_sym_BSLASHc] = ACTIONS(1),
    [sym_chapterNumber] = ACTIONS(1),
    [anon_sym_BSLASHcl] = ACTIONS(1),
    [anon_sym_BSLASHca] = ACTIONS(1),
    [anon_sym_BSLASHca_STAR] = ACTIONS(1),
    [anon_sym_BSLASHcp] = ACTIONS(1),
    [anon_sym_BSLASHcd] = ACTIONS(1),
    [anon_sym_BSLASHmt] = ACTIONS(1),
    [anon_sym_BSLASHmte] = ACTIONS(1),
    [anon_sym_BSLASHms] = ACTIONS(1),
    [anon_sym_BSLASHmr] = ACTIONS(1),
    [anon_sym_BSLASHs] = ACTIONS(1),
    [anon_sym_BSLASHsr] = ACTIONS(1),
    [anon_sym_BSLASHr] = ACTIONS(1),
    [anon_sym_BSLASHsp] = ACTIONS(1),
    [anon_sym_BSLASHd] = ACTIONS(1),
    [anon_sym_BSLASHsd] = ACTIONS(1),
    [anon_sym_BSLASHp] = ACTIONS(1),
    [anon_sym_BSLASHm] = ACTIONS(1),
    [anon_sym_BSLASHpo] = ACTIONS(1),
    [anon_sym_BSLASHpr] = ACTIONS(1),
    [anon_sym_BSLASHcls] = ACTIONS(1),
    [anon_sym_BSLASHpmo] = ACTIONS(1),
    [anon_sym_BSLASHpm] = ACTIONS(1),
    [anon_sym_BSLASHpmc] = ACTIONS(1),
    [anon_sym_BSLASHpmr] = ACTIONS(1),
    [anon_sym_BSLASHpi] = ACTIONS(1),
    [anon_sym_BSLASHmi] = ACTIONS(1),
    [anon_sym_BSLASHnb] = ACTIONS(1),
    [anon_sym_BSLASHpc] = ACTIONS(1),
    [anon_sym_BSLASHph] = ACTIONS(1),
    [anon_sym_BSLASHphi] = ACTIONS(1),
    [anon_sym_BSLASHb] = ACTIONS(1),
    [anon_sym_BSLASHq] = ACTIONS(1),
    [anon_sym_BSLASHqr] = ACTIONS(1),
    [anon_sym_BSLASHqc] = ACTIONS(1),
    [anon_sym_BSLASHqs] = ACTIONS(1),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(1),
    [anon_sym_BSLASHqa] = ACTIONS(1),
    [anon_sym_BSLASHqac] = ACTIONS(1),
    [anon_sym_BSLASHqm] = ACTIONS(1),
    [anon_sym_BSLASHqd] = ACTIONS(1),
    [anon_sym_BSLASHlh] = ACTIONS(1),
    [anon_sym_BSLASHlf] = ACTIONS(1),
    [anon_sym_BSLASHli] = ACTIONS(1),
    [anon_sym_BSLASHlim] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_BSLASHliv] = ACTIONS(1),
    [anon_sym_BSLASHlik] = ACTIONS(1),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(1),
    [anon_sym_BSLASHlitl] = ACTIONS(1),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(1),
    [anon_sym_BSLASHtr] = ACTIONS(1),
    [sym_thTag] = ACTIONS(1),
    [sym_thrTag] = ACTIONS(1),
    [sym_tcTag] = ACTIONS(1),
    [sym_tcrTag] = ACTIONS(1),
    [anon_sym_BSLASHf] = ACTIONS(1),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfe] = ACTIONS(1),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1),
    [anon_sym_BSLASHef] = ACTIONS(1),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfr] = ACTIONS(1),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfq] = ACTIONS(1),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfqa] = ACTIONS(1),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfk] = ACTIONS(1),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfl] = ACTIONS(1),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfw] = ACTIONS(1),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfp] = ACTIONS(1),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(1),
    [anon_sym_BSLASHft] = ACTIONS(1),
    [anon_sym_BSLASHft_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfdc] = ACTIONS(1),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfv] = ACTIONS(1),
    [anon_sym_BSLASHfv_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfm] = ACTIONS(1),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(1),
    [anon_sym_BSLASHx] = ACTIONS(1),
    [anon_sym_BSLASHx_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxo] = ACTIONS(1),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxk] = ACTIONS(1),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxq] = ACTIONS(1),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxt] = ACTIONS(1),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxta] = ACTIONS(1),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxop] = ACTIONS(1),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxot] = ACTIONS(1),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxnt] = ACTIONS(1),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxdc] = ACTIONS(1),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(1),
    [anon_sym_BSLASHrq] = ACTIONS(1),
    [anon_sym_BSLASHrq_STAR] = ACTIONS(1),
    [anon_sym_BSLASHadd] = ACTIONS(1),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(1),
    [anon_sym_BSLASHbk] = ACTIONS(1),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(1),
    [anon_sym_BSLASHdc] = ACTIONS(1),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(1),
    [anon_sym_BSLASHk] = ACTIONS(1),
    [anon_sym_BSLASHk_STAR] = ACTIONS(1),
    [anon_sym_BSLASHnd] = ACTIONS(1),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(1),
    [anon_sym_BSLASHord] = ACTIONS(1),
    [anon_sym_BSLASHord_STAR] = ACTIONS(1),
    [anon_sym_BSLASHpn] = ACTIONS(1),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(1),
    [anon_sym_BSLASHpng] = ACTIONS(1),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(1),
    [anon_sym_BSLASHaddpn] = ACTIONS(1),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(1),
    [anon_sym_BSLASHqt] = ACTIONS(1),
    [anon_sym_BSLASHsig] = ACTIONS(1),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(1),
    [anon_sym_BSLASHsls] = ACTIONS(1),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(1),
    [anon_sym_BSLASHtl] = ACTIONS(1),
    [anon_sym_BSLASHwj] = ACTIONS(1),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(1),
    [anon_sym_BSLASHem] = ACTIONS(1),
    [anon_sym_BSLASHem_STAR] = ACTIONS(1),
    [anon_sym_BSLASHbd] = ACTIONS(1),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(1),
    [anon_sym_BSLASHit] = ACTIONS(1),
    [anon_sym_BSLASHit_STAR] = ACTIONS(1),
    [anon_sym_BSLASHbdit] = ACTIONS(1),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(1),
    [anon_sym_BSLASHno] = ACTIONS(1),
    [anon_sym_BSLASHno_STAR] = ACTIONS(1),
    [anon_sym_BSLASHsc] = ACTIONS(1),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(1),
    [anon_sym_BSLASHsup] = ACTIONS(1),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(1),
    [anon_sym_BSLASHndx] = ACTIONS(1),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(1),
    [anon_sym_BSLASHpro] = ACTIONS(1),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(1),
    [anon_sym_BSLASHrb] = ACTIONS(1),
    [anon_sym_BSLASHrb_STAR] = ACTIONS(1),
    [anon_sym_BSLASHw] = ACTIONS(1),
    [anon_sym_BSLASHw_STAR] = ACTIONS(1),
    [anon_sym_BSLASHwg] = ACTIONS(1),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(1),
    [anon_sym_BSLASHwh] = ACTIONS(1),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(1),
    [anon_sym_BSLASHwa] = ACTIONS(1),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfig] = ACTIONS(1),
    [anon_sym_BSLASHjmp] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1),
    [anon_sym_BSLASHpb] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_milestoneTag_token1] = ACTIONS(1),
    [anon_sym_BSLASH_STAR] = ACTIONS(1),
    [sym_milestoneStartTag] = ACTIONS(1),
    [sym_milestoneEndTag] = ACTIONS(1),
    [sym_zSpaceTag] = ACTIONS(1),
    [sym__zSpaceClose] = ACTIONS(1),
    [anon_sym_BSLASHesb] = ACTIONS(1),
    [anon_sym_BSLASHesbe] = ACTIONS(1),
    [anon_sym_BSLASHcat] = ACTIONS(1),
    [anon_sym_BSLASHcat_STAR] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_customAttributeName] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_key] = ACTIONS(1),
    [anon_sym_lemma] = ACTIONS(1),
    [anon_sym_strong] = ACTIONS(1),
    [anon_sym_srcloc] = ACTIONS(1),
    [anon_sym_gloss] = ACTIONS(1),
    [anon_sym_link_DASHhref] = ACTIONS(1),
    [anon_sym_link_DASHtitle] = ACTIONS(1),
    [anon_sym_link_DASHid] = ACTIONS(1),
    [anon_sym_href] = ACTIONS(1),
    [anon_sym_title] = ACTIONS(1),
    [anon_sym_id] = ACTIONS(1),
    [anon_sym_x_DASH] = ACTIONS(1),
    [aux_sym__linkAttributeUserDefinedName_token1] = ACTIONS(1),
    [anon_sym_alt] = ACTIONS(1),
    [anon_sym_src] = ACTIONS(1),
    [anon_sym_size] = ACTIONS(1),
    [anon_sym_loc] = ACTIONS(1),
    [anon_sym_copy] = ACTIONS(1),
    [anon_sym_ref] = ACTIONS(1),
    [anon_sym_sid] = ACTIONS(1),
    [anon_sym_eid] = ACTIONS(1),
    [anon_sym_who] = ACTIONS(1),
  },
  [1] = {
    [sym_File] = STATE(3309),
    [sym__mandatoryHead] = STATE(646),
    [sym_book] = STATE(1222),
    [sym_id] = STATE(1776),
    [anon_sym_BSLASHid] = ACTIONS(3),
  },
  [2] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHiqt] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHmr] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHsr] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHlf] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHliv] = ACTIONS(7),
    [anon_sym_BSLASHlik] = ACTIONS(7),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(7),
    [anon_sym_BSLASHlitl] = ACTIONS(7),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfr] = ACTIONS(7),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfq] = ACTIONS(7),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfqa] = ACTIONS(7),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfk] = ACTIONS(7),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfl] = ACTIONS(7),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfw] = ACTIONS(7),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfp] = ACTIONS(7),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(7),
    [anon_sym_BSLASHft] = ACTIONS(7),
    [anon_sym_BSLASHft_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfdc] = ACTIONS(7),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfv] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHx_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxo] = ACTIONS(7),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxk] = ACTIONS(7),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxq] = ACTIONS(7),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxta] = ACTIONS(7),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxop] = ACTIONS(7),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxot] = ACTIONS(7),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxnt] = ACTIONS(7),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxdc] = ACTIONS(7),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHord_STAR] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHem_STAR] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHit_STAR] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHno_STAR] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHw_STAR] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [3] = {
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHref] = ACTIONS(11),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHiqt] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHv] = ACTIONS(11),
    [anon_sym_BSLASHva] = ACTIONS(11),
    [anon_sym_BSLASHvp] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHmr] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHsr] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHlf] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHliv] = ACTIONS(11),
    [anon_sym_BSLASHlik] = ACTIONS(11),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(11),
    [anon_sym_BSLASHlitl] = ACTIONS(11),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHf_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHef_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfr] = ACTIONS(11),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfq] = ACTIONS(11),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfqa] = ACTIONS(11),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfk] = ACTIONS(11),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfl] = ACTIONS(11),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfw] = ACTIONS(11),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfp] = ACTIONS(11),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(11),
    [anon_sym_BSLASHft] = ACTIONS(11),
    [anon_sym_BSLASHft_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfdc] = ACTIONS(11),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfv] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(11),
    [anon_sym_BSLASHx] = ACTIONS(11),
    [anon_sym_BSLASHx_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxo] = ACTIONS(11),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxk] = ACTIONS(11),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxq] = ACTIONS(11),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxt] = ACTIONS(11),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxta] = ACTIONS(11),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxop] = ACTIONS(11),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxot] = ACTIONS(11),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxnt] = ACTIONS(11),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxdc] = ACTIONS(11),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(11),
    [anon_sym_BSLASHrq] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHord_STAR] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHem_STAR] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHit_STAR] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHno_STAR] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHw_STAR] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(11),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesbe] = ACTIONS(11),
    [anon_sym_BSLASHcat] = ACTIONS(11),
    [anon_sym_PIPE] = ACTIONS(11),
  },
  [4] = {
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHref] = ACTIONS(15),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHiqt] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHv] = ACTIONS(15),
    [anon_sym_BSLASHva] = ACTIONS(15),
    [anon_sym_BSLASHvp] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHmr] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHsr] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHlf] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHliv] = ACTIONS(15),
    [anon_sym_BSLASHlik] = ACTIONS(15),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(15),
    [anon_sym_BSLASHlitl] = ACTIONS(15),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHf_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHef_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfr] = ACTIONS(15),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfq] = ACTIONS(15),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfqa] = ACTIONS(15),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfk] = ACTIONS(15),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfl] = ACTIONS(15),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfw] = ACTIONS(15),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfp] = ACTIONS(15),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(15),
    [anon_sym_BSLASHft] = ACTIONS(15),
    [anon_sym_BSLASHft_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfdc] = ACTIONS(15),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfv] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(15),
    [anon_sym_BSLASHx] = ACTIONS(15),
    [anon_sym_BSLASHx_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxo] = ACTIONS(15),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxk] = ACTIONS(15),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxq] = ACTIONS(15),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxt] = ACTIONS(15),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxta] = ACTIONS(15),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxop] = ACTIONS(15),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxot] = ACTIONS(15),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxnt] = ACTIONS(15),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxdc] = ACTIONS(15),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(15),
    [anon_sym_BSLASHrq] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHord_STAR] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHem_STAR] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHit_STAR] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHno_STAR] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHw_STAR] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(15),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesbe] = ACTIONS(15),
    [anon_sym_BSLASHcat] = ACTIONS(15),
    [anon_sym_PIPE] = ACTIONS(15),
  },
  [5] = {
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHref] = ACTIONS(19),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHiqt] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHv] = ACTIONS(19),
    [anon_sym_BSLASHva] = ACTIONS(19),
    [anon_sym_BSLASHvp] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHmr] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHsr] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHlf] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHliv] = ACTIONS(19),
    [anon_sym_BSLASHlik] = ACTIONS(19),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(19),
    [anon_sym_BSLASHlitl] = ACTIONS(19),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHf_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHef_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfr] = ACTIONS(19),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfq] = ACTIONS(19),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfqa] = ACTIONS(19),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfk] = ACTIONS(19),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfl] = ACTIONS(19),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfw] = ACTIONS(19),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfp] = ACTIONS(19),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(19),
    [anon_sym_BSLASHft] = ACTIONS(19),
    [anon_sym_BSLASHft_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfdc] = ACTIONS(19),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfv] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(19),
    [anon_sym_BSLASHx] = ACTIONS(19),
    [anon_sym_BSLASHx_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxo] = ACTIONS(19),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxk] = ACTIONS(19),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxq] = ACTIONS(19),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxt] = ACTIONS(19),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxta] = ACTIONS(19),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxop] = ACTIONS(19),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxot] = ACTIONS(19),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxnt] = ACTIONS(19),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxdc] = ACTIONS(19),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(19),
    [anon_sym_BSLASHrq] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHord_STAR] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHem_STAR] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHit_STAR] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHno_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHw_STAR] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(19),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesbe] = ACTIONS(19),
    [anon_sym_BSLASHcat] = ACTIONS(19),
    [anon_sym_PIPE] = ACTIONS(19),
  },
  [6] = {
    [aux_sym_text_token1] = ACTIONS(21),
    [anon_sym_BSLASHref] = ACTIONS(23),
    [anon_sym_BSLASHsts] = ACTIONS(23),
    [anon_sym_BSLASHrem] = ACTIONS(23),
    [anon_sym_BSLASHrestore] = ACTIONS(23),
    [anon_sym_BSLASHlit] = ACTIONS(23),
    [anon_sym_BSLASHiqt] = ACTIONS(23),
    [anon_sym_BSLASHip] = ACTIONS(23),
    [anon_sym_BSLASHv] = ACTIONS(23),
    [anon_sym_BSLASHva] = ACTIONS(23),
    [anon_sym_BSLASHvp] = ACTIONS(23),
    [anon_sym_BSLASHmte] = ACTIONS(23),
    [anon_sym_BSLASHms] = ACTIONS(23),
    [anon_sym_BSLASHmr] = ACTIONS(23),
    [anon_sym_BSLASHs] = ACTIONS(23),
    [anon_sym_BSLASHsr] = ACTIONS(23),
    [anon_sym_BSLASHr] = ACTIONS(23),
    [anon_sym_BSLASHsp] = ACTIONS(23),
    [anon_sym_BSLASHd] = ACTIONS(23),
    [anon_sym_BSLASHsd] = ACTIONS(23),
    [anon_sym_BSLASHp] = ACTIONS(23),
    [anon_sym_BSLASHm] = ACTIONS(23),
    [anon_sym_BSLASHpo] = ACTIONS(23),
    [anon_sym_BSLASHpr] = ACTIONS(23),
    [anon_sym_BSLASHcls] = ACTIONS(23),
    [anon_sym_BSLASHpmo] = ACTIONS(23),
    [anon_sym_BSLASHpm] = ACTIONS(23),
    [anon_sym_BSLASHpmc] = ACTIONS(23),
    [anon_sym_BSLASHpmr] = ACTIONS(23),
    [anon_sym_BSLASHpi] = ACTIONS(23),
    [anon_sym_BSLASHmi] = ACTIONS(23),
    [anon_sym_BSLASHnb] = ACTIONS(23),
    [anon_sym_BSLASHpc] = ACTIONS(23),
    [anon_sym_BSLASHph] = ACTIONS(23),
    [anon_sym_BSLASHb] = ACTIONS(23),
    [anon_sym_BSLASHq] = ACTIONS(23),
    [anon_sym_BSLASHqr] = ACTIONS(23),
    [anon_sym_BSLASHqc] = ACTIONS(23),
    [anon_sym_BSLASHqa] = ACTIONS(23),
    [anon_sym_BSLASHqm] = ACTIONS(23),
    [anon_sym_BSLASHqd] = ACTIONS(23),
    [anon_sym_BSLASHlh] = ACTIONS(23),
    [anon_sym_BSLASHlf] = ACTIONS(23),
    [anon_sym_BSLASHli] = ACTIONS(23),
    [anon_sym_BSLASHlim] = ACTIONS(23),
    [anon_sym_BSLASHliv] = ACTIONS(23),
    [anon_sym_BSLASHlik] = ACTIONS(23),
    [anon_sym_BSLASHlitl] = ACTIONS(23),
    [anon_sym_BSLASHtr] = ACTIONS(23),
    [anon_sym_BSLASHf] = ACTIONS(23),
    [anon_sym_BSLASHf_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfe] = ACTIONS(23),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(23),
    [anon_sym_BSLASHef] = ACTIONS(23),
    [anon_sym_BSLASHef_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfr] = ACTIONS(23),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfq] = ACTIONS(23),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfqa] = ACTIONS(23),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfk] = ACTIONS(23),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfl] = ACTIONS(23),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfw] = ACTIONS(23),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfp] = ACTIONS(23),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(23),
    [anon_sym_BSLASHft] = ACTIONS(23),
    [anon_sym_BSLASHft_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfdc] = ACTIONS(23),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfv] = ACTIONS(23),
    [anon_sym_BSLASHfm] = ACTIONS(23),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(23),
    [anon_sym_BSLASHxt] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(23),
    [anon_sym_BSLASHrq] = ACTIONS(23),
    [anon_sym_BSLASHadd] = ACTIONS(23),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(23),
    [anon_sym_BSLASHbk] = ACTIONS(23),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(23),
    [anon_sym_BSLASHdc] = ACTIONS(23),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(23),
    [anon_sym_BSLASHk] = ACTIONS(23),
    [anon_sym_BSLASHnd] = ACTIONS(23),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(23),
    [anon_sym_BSLASHord] = ACTIONS(23),
    [anon_sym_BSLASHord_STAR] = ACTIONS(23),
    [anon_sym_BSLASHpn] = ACTIONS(23),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(23),
    [anon_sym_BSLASHpng] = ACTIONS(23),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddpn] = ACTIONS(23),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(23),
    [anon_sym_BSLASHqt] = ACTIONS(23),
    [anon_sym_BSLASHsig] = ACTIONS(23),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsls] = ACTIONS(23),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(23),
    [anon_sym_BSLASHtl] = ACTIONS(23),
    [anon_sym_BSLASHwj] = ACTIONS(23),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(23),
    [anon_sym_BSLASHem] = ACTIONS(23),
    [anon_sym_BSLASHem_STAR] = ACTIONS(23),
    [anon_sym_BSLASHbd] = ACTIONS(23),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(23),
    [anon_sym_BSLASHit] = ACTIONS(23),
    [anon_sym_BSLASHit_STAR] = ACTIONS(23),
    [anon_sym_BSLASHbdit] = ACTIONS(23),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(23),
    [anon_sym_BSLASHno] = ACTIONS(23),
    [anon_sym_BSLASHno_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsc] = ACTIONS(23),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsup] = ACTIONS(23),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(23),
    [anon_sym_BSLASHndx] = ACTIONS(23),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(23),
    [anon_sym_BSLASHpro] = ACTIONS(23),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(23),
    [anon_sym_BSLASHrb] = ACTIONS(23),
    [anon_sym_BSLASHw] = ACTIONS(23),
    [anon_sym_BSLASHw_STAR] = ACTIONS(23),
    [anon_sym_BSLASHwg] = ACTIONS(23),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(23),
    [anon_sym_BSLASHwh] = ACTIONS(23),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(23),
    [anon_sym_BSLASHwa] = ACTIONS(23),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(23),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfig] = ACTIONS(23),
    [anon_sym_BSLASHjmp] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(23),
    [anon_sym_BSLASHpb] = ACTIONS(23),
    [anon_sym_BSLASH] = ACTIONS(23),
    [sym_milestoneStartTag] = ACTIONS(23),
    [sym_milestoneEndTag] = ACTIONS(23),
    [sym_zSpaceTag] = ACTIONS(23),
    [anon_sym_BSLASHesbe] = ACTIONS(23),
    [anon_sym_BSLASHcat] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(23),
  },
  [7] = {
    [aux_sym_text_token1] = ACTIONS(25),
    [anon_sym_BSLASHref] = ACTIONS(27),
    [anon_sym_BSLASHsts] = ACTIONS(27),
    [anon_sym_BSLASHrem] = ACTIONS(27),
    [anon_sym_BSLASHrestore] = ACTIONS(27),
    [anon_sym_BSLASHlit] = ACTIONS(27),
    [anon_sym_BSLASHiqt] = ACTIONS(27),
    [anon_sym_BSLASHip] = ACTIONS(27),
    [anon_sym_BSLASHv] = ACTIONS(27),
    [anon_sym_BSLASHva] = ACTIONS(27),
    [anon_sym_BSLASHvp] = ACTIONS(27),
    [anon_sym_BSLASHmte] = ACTIONS(27),
    [anon_sym_BSLASHms] = ACTIONS(27),
    [anon_sym_BSLASHmr] = ACTIONS(27),
    [anon_sym_BSLASHs] = ACTIONS(27),
    [anon_sym_BSLASHsr] = ACTIONS(27),
    [anon_sym_BSLASHr] = ACTIONS(27),
    [anon_sym_BSLASHsp] = ACTIONS(27),
    [anon_sym_BSLASHd] = ACTIONS(27),
    [anon_sym_BSLASHsd] = ACTIONS(27),
    [anon_sym_BSLASHp] = ACTIONS(27),
    [anon_sym_BSLASHm] = ACTIONS(27),
    [anon_sym_BSLASHpo] = ACTIONS(27),
    [anon_sym_BSLASHpr] = ACTIONS(27),
    [anon_sym_BSLASHcls] = ACTIONS(27),
    [anon_sym_BSLASHpmo] = ACTIONS(27),
    [anon_sym_BSLASHpm] = ACTIONS(27),
    [anon_sym_BSLASHpmc] = ACTIONS(27),
    [anon_sym_BSLASHpmr] = ACTIONS(27),
    [anon_sym_BSLASHpi] = ACTIONS(27),
    [anon_sym_BSLASHmi] = ACTIONS(27),
    [anon_sym_BSLASHnb] = ACTIONS(27),
    [anon_sym_BSLASHpc] = ACTIONS(27),
    [anon_sym_BSLASHph] = ACTIONS(27),
    [anon_sym_BSLASHb] = ACTIONS(27),
    [anon_sym_BSLASHq] = ACTIONS(27),
    [anon_sym_BSLASHqr] = ACTIONS(27),
    [anon_sym_BSLASHqc] = ACTIONS(27),
    [anon_sym_BSLASHqa] = ACTIONS(27),
    [anon_sym_BSLASHqm] = ACTIONS(27),
    [anon_sym_BSLASHqd] = ACTIONS(27),
    [anon_sym_BSLASHlh] = ACTIONS(27),
    [anon_sym_BSLASHlf] = ACTIONS(27),
    [anon_sym_BSLASHli] = ACTIONS(27),
    [anon_sym_BSLASHlim] = ACTIONS(27),
    [anon_sym_BSLASHliv] = ACTIONS(27),
    [anon_sym_BSLASHlik] = ACTIONS(27),
    [anon_sym_BSLASHlitl] = ACTIONS(27),
    [anon_sym_BSLASHtr] = ACTIONS(27),
    [anon_sym_BSLASHf] = ACTIONS(27),
    [anon_sym_BSLASHf_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfe] = ACTIONS(27),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(27),
    [anon_sym_BSLASHef] = ACTIONS(27),
    [anon_sym_BSLASHef_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfr] = ACTIONS(27),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfq] = ACTIONS(27),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfqa] = ACTIONS(27),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfk] = ACTIONS(27),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfl] = ACTIONS(27),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfw] = ACTIONS(27),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfp] = ACTIONS(27),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(27),
    [anon_sym_BSLASHft] = ACTIONS(27),
    [anon_sym_BSLASHft_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfdc] = ACTIONS(27),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfv] = ACTIONS(27),
    [anon_sym_BSLASHfm] = ACTIONS(27),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(27),
    [anon_sym_BSLASHx] = ACTIONS(27),
    [anon_sym_BSLASHxt] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(27),
    [anon_sym_BSLASHrq] = ACTIONS(27),
    [anon_sym_BSLASHadd] = ACTIONS(27),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(27),
    [anon_sym_BSLASHbk] = ACTIONS(27),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(27),
    [anon_sym_BSLASHdc] = ACTIONS(27),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(27),
    [anon_sym_BSLASHk] = ACTIONS(27),
    [anon_sym_BSLASHnd] = ACTIONS(27),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(27),
    [anon_sym_BSLASHord] = ACTIONS(27),
    [anon_sym_BSLASHord_STAR] = ACTIONS(27),
    [anon_sym_BSLASHpn] = ACTIONS(27),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(27),
    [anon_sym_BSLASHpng] = ACTIONS(27),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(27),
    [anon_sym_BSLASHaddpn] = ACTIONS(27),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(27),
    [anon_sym_BSLASHqt] = ACTIONS(27),
    [anon_sym_BSLASHsig] = ACTIONS(27),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsls] = ACTIONS(27),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(27),
    [anon_sym_BSLASHtl] = ACTIONS(27),
    [anon_sym_BSLASHwj] = ACTIONS(27),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(27),
    [anon_sym_BSLASHem] = ACTIONS(27),
    [anon_sym_BSLASHem_STAR] = ACTIONS(27),
    [anon_sym_BSLASHbd] = ACTIONS(27),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(27),
    [anon_sym_BSLASHit] = ACTIONS(27),
    [anon_sym_BSLASHit_STAR] = ACTIONS(27),
    [anon_sym_BSLASHbdit] = ACTIONS(27),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(27),
    [anon_sym_BSLASHno] = ACTIONS(27),
    [anon_sym_BSLASHno_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsc] = ACTIONS(27),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsup] = ACTIONS(27),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(27),
    [anon_sym_BSLASHndx] = ACTIONS(27),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(27),
    [anon_sym_BSLASHpro] = ACTIONS(27),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(27),
    [anon_sym_BSLASHrb] = ACTIONS(27),
    [anon_sym_BSLASHw] = ACTIONS(27),
    [anon_sym_BSLASHw_STAR] = ACTIONS(27),
    [anon_sym_BSLASHwg] = ACTIONS(27),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(27),
    [anon_sym_BSLASHwh] = ACTIONS(27),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(27),
    [anon_sym_BSLASHwa] = ACTIONS(27),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(27),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfig] = ACTIONS(27),
    [anon_sym_BSLASHjmp] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(27),
    [anon_sym_BSLASHpb] = ACTIONS(27),
    [anon_sym_BSLASH] = ACTIONS(27),
    [sym_milestoneStartTag] = ACTIONS(27),
    [sym_milestoneEndTag] = ACTIONS(27),
    [sym_zSpaceTag] = ACTIONS(27),
    [anon_sym_BSLASHesbe] = ACTIONS(27),
    [anon_sym_BSLASHcat] = ACTIONS(27),
    [anon_sym_PIPE] = ACTIONS(27),
  },
  [8] = {
    [aux_sym_text_token1] = ACTIONS(29),
    [anon_sym_BSLASHref] = ACTIONS(31),
    [anon_sym_BSLASHsts] = ACTIONS(31),
    [anon_sym_BSLASHrem] = ACTIONS(31),
    [anon_sym_BSLASHrestore] = ACTIONS(31),
    [anon_sym_BSLASHlit] = ACTIONS(31),
    [anon_sym_BSLASHiqt] = ACTIONS(31),
    [anon_sym_BSLASHip] = ACTIONS(31),
    [anon_sym_BSLASHv] = ACTIONS(31),
    [anon_sym_BSLASHva] = ACTIONS(31),
    [anon_sym_BSLASHvp] = ACTIONS(31),
    [anon_sym_BSLASHmte] = ACTIONS(31),
    [anon_sym_BSLASHms] = ACTIONS(31),
    [anon_sym_BSLASHmr] = ACTIONS(31),
    [anon_sym_BSLASHs] = ACTIONS(31),
    [anon_sym_BSLASHsr] = ACTIONS(31),
    [anon_sym_BSLASHr] = ACTIONS(31),
    [anon_sym_BSLASHsp] = ACTIONS(31),
    [anon_sym_BSLASHd] = ACTIONS(31),
    [anon_sym_BSLASHsd] = ACTIONS(31),
    [anon_sym_BSLASHp] = ACTIONS(31),
    [anon_sym_BSLASHm] = ACTIONS(31),
    [anon_sym_BSLASHpo] = ACTIONS(31),
    [anon_sym_BSLASHpr] = ACTIONS(31),
    [anon_sym_BSLASHcls] = ACTIONS(31),
    [anon_sym_BSLASHpmo] = ACTIONS(31),
    [anon_sym_BSLASHpm] = ACTIONS(31),
    [anon_sym_BSLASHpmc] = ACTIONS(31),
    [anon_sym_BSLASHpmr] = ACTIONS(31),
    [anon_sym_BSLASHpi] = ACTIONS(31),
    [anon_sym_BSLASHmi] = ACTIONS(31),
    [anon_sym_BSLASHnb] = ACTIONS(31),
    [anon_sym_BSLASHpc] = ACTIONS(31),
    [anon_sym_BSLASHph] = ACTIONS(31),
    [anon_sym_BSLASHb] = ACTIONS(31),
    [anon_sym_BSLASHq] = ACTIONS(31),
    [anon_sym_BSLASHqr] = ACTIONS(31),
    [anon_sym_BSLASHqc] = ACTIONS(31),
    [anon_sym_BSLASHqa] = ACTIONS(31),
    [anon_sym_BSLASHqm] = ACTIONS(31),
    [anon_sym_BSLASHqd] = ACTIONS(31),
    [anon_sym_BSLASHlh] = ACTIONS(31),
    [anon_sym_BSLASHlf] = ACTIONS(31),
    [anon_sym_BSLASHli] = ACTIONS(31),
    [anon_sym_BSLASHlim] = ACTIONS(31),
    [anon_sym_BSLASHliv] = ACTIONS(31),
    [anon_sym_BSLASHlik] = ACTIONS(31),
    [anon_sym_BSLASHlitl] = ACTIONS(31),
    [anon_sym_BSLASHtr] = ACTIONS(31),
    [anon_sym_BSLASHf] = ACTIONS(31),
    [anon_sym_BSLASHf_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfe] = ACTIONS(31),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(31),
    [anon_sym_BSLASHef] = ACTIONS(31),
    [anon_sym_BSLASHef_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfr] = ACTIONS(31),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfq] = ACTIONS(31),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfqa] = ACTIONS(31),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfk] = ACTIONS(31),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfl] = ACTIONS(31),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfw] = ACTIONS(31),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfp] = ACTIONS(31),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(31),
    [anon_sym_BSLASHft] = ACTIONS(31),
    [anon_sym_BSLASHft_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfdc] = ACTIONS(31),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfv] = ACTIONS(31),
    [anon_sym_BSLASHfm] = ACTIONS(31),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(31),
    [anon_sym_BSLASHx] = ACTIONS(31),
    [anon_sym_BSLASHxt] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(31),
    [anon_sym_BSLASHrq] = ACTIONS(31),
    [anon_sym_BSLASHadd] = ACTIONS(31),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(31),
    [anon_sym_BSLASHbk] = ACTIONS(31),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(31),
    [anon_sym_BSLASHdc] = ACTIONS(31),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(31),
    [anon_sym_BSLASHk] = ACTIONS(31),
    [anon_sym_BSLASHnd] = ACTIONS(31),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(31),
    [anon_sym_BSLASHord] = ACTIONS(31),
    [anon_sym_BSLASHord_STAR] = ACTIONS(31),
    [anon_sym_BSLASHpn] = ACTIONS(31),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(31),
    [anon_sym_BSLASHpng] = ACTIONS(31),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(31),
    [anon_sym_BSLASHaddpn] = ACTIONS(31),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(31),
    [anon_sym_BSLASHqt] = ACTIONS(31),
    [anon_sym_BSLASHsig] = ACTIONS(31),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(31),
    [anon_sym_BSLASHsls] = ACTIONS(31),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(31),
    [anon_sym_BSLASHtl] = ACTIONS(31),
    [anon_sym_BSLASHwj] = ACTIONS(31),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(31),
    [anon_sym_BSLASHem] = ACTIONS(31),
    [anon_sym_BSLASHem_STAR] = ACTIONS(31),
    [anon_sym_BSLASHbd] = ACTIONS(31),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(31),
    [anon_sym_BSLASHit] = ACTIONS(31),
    [anon_sym_BSLASHit_STAR] = ACTIONS(31),
    [anon_sym_BSLASHbdit] = ACTIONS(31),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(31),
    [anon_sym_BSLASHno] = ACTIONS(31),
    [anon_sym_BSLASHno_STAR] = ACTIONS(31),
    [anon_sym_BSLASHsc] = ACTIONS(31),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(31),
    [anon_sym_BSLASHsup] = ACTIONS(31),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(31),
    [anon_sym_BSLASHndx] = ACTIONS(31),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(31),
    [anon_sym_BSLASHpro] = ACTIONS(31),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(31),
    [anon_sym_BSLASHrb] = ACTIONS(31),
    [anon_sym_BSLASHw] = ACTIONS(31),
    [anon_sym_BSLASHw_STAR] = ACTIONS(31),
    [anon_sym_BSLASHwg] = ACTIONS(31),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(31),
    [anon_sym_BSLASHwh] = ACTIONS(31),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(31),
    [anon_sym_BSLASHwa] = ACTIONS(31),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(31),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfig] = ACTIONS(31),
    [anon_sym_BSLASHjmp] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(31),
    [anon_sym_BSLASHpb] = ACTIONS(31),
    [anon_sym_BSLASH] = ACTIONS(31),
    [sym_milestoneStartTag] = ACTIONS(31),
    [sym_milestoneEndTag] = ACTIONS(31),
    [sym_zSpaceTag] = ACTIONS(31),
    [anon_sym_BSLASHesbe] = ACTIONS(31),
    [anon_sym_BSLASHcat] = ACTIONS(31),
    [anon_sym_PIPE] = ACTIONS(31),
  },
  [9] = {
    [aux_sym_text_token1] = ACTIONS(33),
    [anon_sym_BSLASHref] = ACTIONS(35),
    [anon_sym_BSLASHsts] = ACTIONS(35),
    [anon_sym_BSLASHrem] = ACTIONS(35),
    [anon_sym_BSLASHrestore] = ACTIONS(35),
    [anon_sym_BSLASHlit] = ACTIONS(35),
    [anon_sym_BSLASHip] = ACTIONS(35),
    [anon_sym_BSLASHv] = ACTIONS(35),
    [anon_sym_BSLASHva] = ACTIONS(35),
    [anon_sym_BSLASHvp] = ACTIONS(35),
    [anon_sym_BSLASHmte] = ACTIONS(35),
    [anon_sym_BSLASHms] = ACTIONS(35),
    [anon_sym_BSLASHmr] = ACTIONS(35),
    [anon_sym_BSLASHs] = ACTIONS(35),
    [anon_sym_BSLASHsr] = ACTIONS(35),
    [anon_sym_BSLASHr] = ACTIONS(35),
    [anon_sym_BSLASHsp] = ACTIONS(35),
    [anon_sym_BSLASHd] = ACTIONS(35),
    [anon_sym_BSLASHsd] = ACTIONS(35),
    [anon_sym_BSLASHp] = ACTIONS(35),
    [anon_sym_BSLASHm] = ACTIONS(35),
    [anon_sym_BSLASHpo] = ACTIONS(35),
    [anon_sym_BSLASHpr] = ACTIONS(35),
    [anon_sym_BSLASHcls] = ACTIONS(35),
    [anon_sym_BSLASHpmo] = ACTIONS(35),
    [anon_sym_BSLASHpm] = ACTIONS(35),
    [anon_sym_BSLASHpmc] = ACTIONS(35),
    [anon_sym_BSLASHpmr] = ACTIONS(35),
    [anon_sym_BSLASHpi] = ACTIONS(35),
    [anon_sym_BSLASHmi] = ACTIONS(35),
    [anon_sym_BSLASHnb] = ACTIONS(35),
    [anon_sym_BSLASHpc] = ACTIONS(35),
    [anon_sym_BSLASHph] = ACTIONS(35),
    [anon_sym_BSLASHb] = ACTIONS(35),
    [anon_sym_BSLASHq] = ACTIONS(35),
    [anon_sym_BSLASHqr] = ACTIONS(35),
    [anon_sym_BSLASHqc] = ACTIONS(35),
    [anon_sym_BSLASHqa] = ACTIONS(35),
    [anon_sym_BSLASHqm] = ACTIONS(35),
    [anon_sym_BSLASHqd] = ACTIONS(35),
    [anon_sym_BSLASHlh] = ACTIONS(35),
    [anon_sym_BSLASHlf] = ACTIONS(35),
    [anon_sym_BSLASHli] = ACTIONS(35),
    [anon_sym_BSLASHlim] = ACTIONS(35),
    [anon_sym_BSLASHliv] = ACTIONS(35),
    [anon_sym_BSLASHlik] = ACTIONS(35),
    [anon_sym_BSLASHlitl] = ACTIONS(35),
    [anon_sym_BSLASHtr] = ACTIONS(35),
    [anon_sym_BSLASHf] = ACTIONS(35),
    [anon_sym_BSLASHfe] = ACTIONS(35),
    [anon_sym_BSLASHef] = ACTIONS(35),
    [anon_sym_BSLASHfm] = ACTIONS(35),
    [anon_sym_BSLASHx] = ACTIONS(35),
    [anon_sym_BSLASHxt] = ACTIONS(35),
    [anon_sym_BSLASHrq] = ACTIONS(35),
    [anon_sym_BSLASHadd] = ACTIONS(35),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(35),
    [anon_sym_BSLASHbk] = ACTIONS(35),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(35),
    [anon_sym_BSLASHdc] = ACTIONS(35),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(35),
    [anon_sym_BSLASHk] = ACTIONS(35),
    [anon_sym_BSLASHnd] = ACTIONS(35),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(35),
    [anon_sym_BSLASHord] = ACTIONS(35),
    [anon_sym_BSLASHord_STAR] = ACTIONS(35),
    [anon_sym_BSLASHpn] = ACTIONS(35),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(35),
    [anon_sym_BSLASHpng] = ACTIONS(35),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(35),
    [anon_sym_BSLASHaddpn] = ACTIONS(35),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(35),
    [anon_sym_BSLASHqt] = ACTIONS(35),
    [anon_sym_BSLASHsig] = ACTIONS(35),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsls] = ACTIONS(35),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(35),
    [anon_sym_BSLASHtl] = ACTIONS(35),
    [anon_sym_BSLASHwj] = ACTIONS(35),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(35),
    [anon_sym_BSLASHem] = ACTIONS(35),
    [anon_sym_BSLASHem_STAR] = ACTIONS(35),
    [anon_sym_BSLASHbd] = ACTIONS(35),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(35),
    [anon_sym_BSLASHit] = ACTIONS(35),
    [anon_sym_BSLASHit_STAR] = ACTIONS(35),
    [anon_sym_BSLASHbdit] = ACTIONS(35),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(35),
    [anon_sym_BSLASHno] = ACTIONS(35),
    [anon_sym_BSLASHno_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsc] = ACTIONS(35),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsup] = ACTIONS(35),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(35),
    [anon_sym_BSLASHndx] = ACTIONS(35),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(35),
    [anon_sym_BSLASHpro] = ACTIONS(35),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(35),
    [anon_sym_BSLASHrb] = ACTIONS(35),
    [anon_sym_BSLASHw] = ACTIONS(35),
    [anon_sym_BSLASHw_STAR] = ACTIONS(35),
    [anon_sym_BSLASHwg] = ACTIONS(35),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(35),
    [anon_sym_BSLASHwh] = ACTIONS(35),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(35),
    [anon_sym_BSLASHwa] = ACTIONS(35),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(35),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(35),
    [anon_sym_BSLASHfig] = ACTIONS(35),
    [anon_sym_BSLASHjmp] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(35),
    [anon_sym_BSLASHpb] = ACTIONS(35),
    [anon_sym_BSLASH] = ACTIONS(35),
    [sym_milestoneStartTag] = ACTIONS(35),
    [sym_milestoneEndTag] = ACTIONS(35),
    [sym_zSpaceTag] = ACTIONS(35),
    [anon_sym_BSLASHesbe] = ACTIONS(35),
    [anon_sym_BSLASHcat] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
  },
  [10] = {
    [aux_sym_text_token1] = ACTIONS(37),
    [anon_sym_BSLASHref] = ACTIONS(39),
    [anon_sym_BSLASHsts] = ACTIONS(39),
    [anon_sym_BSLASHrem] = ACTIONS(39),
    [anon_sym_BSLASHrestore] = ACTIONS(39),
    [anon_sym_BSLASHlit] = ACTIONS(39),
    [anon_sym_BSLASHip] = ACTIONS(39),
    [anon_sym_BSLASHv] = ACTIONS(39),
    [anon_sym_BSLASHva] = ACTIONS(39),
    [anon_sym_BSLASHvp] = ACTIONS(39),
    [anon_sym_BSLASHmte] = ACTIONS(39),
    [anon_sym_BSLASHms] = ACTIONS(39),
    [anon_sym_BSLASHmr] = ACTIONS(39),
    [anon_sym_BSLASHs] = ACTIONS(39),
    [anon_sym_BSLASHsr] = ACTIONS(39),
    [anon_sym_BSLASHr] = ACTIONS(39),
    [anon_sym_BSLASHsp] = ACTIONS(39),
    [anon_sym_BSLASHd] = ACTIONS(39),
    [anon_sym_BSLASHsd] = ACTIONS(39),
    [anon_sym_BSLASHp] = ACTIONS(39),
    [anon_sym_BSLASHm] = ACTIONS(39),
    [anon_sym_BSLASHpo] = ACTIONS(39),
    [anon_sym_BSLASHpr] = ACTIONS(39),
    [anon_sym_BSLASHcls] = ACTIONS(39),
    [anon_sym_BSLASHpmo] = ACTIONS(39),
    [anon_sym_BSLASHpm] = ACTIONS(39),
    [anon_sym_BSLASHpmc] = ACTIONS(39),
    [anon_sym_BSLASHpmr] = ACTIONS(39),
    [anon_sym_BSLASHpi] = ACTIONS(39),
    [anon_sym_BSLASHmi] = ACTIONS(39),
    [anon_sym_BSLASHnb] = ACTIONS(39),
    [anon_sym_BSLASHpc] = ACTIONS(39),
    [anon_sym_BSLASHph] = ACTIONS(39),
    [anon_sym_BSLASHb] = ACTIONS(39),
    [anon_sym_BSLASHq] = ACTIONS(39),
    [anon_sym_BSLASHqr] = ACTIONS(39),
    [anon_sym_BSLASHqc] = ACTIONS(39),
    [anon_sym_BSLASHqa] = ACTIONS(39),
    [anon_sym_BSLASHqm] = ACTIONS(39),
    [anon_sym_BSLASHqd] = ACTIONS(39),
    [anon_sym_BSLASHlh] = ACTIONS(39),
    [anon_sym_BSLASHlf] = ACTIONS(39),
    [anon_sym_BSLASHli] = ACTIONS(39),
    [anon_sym_BSLASHlim] = ACTIONS(39),
    [anon_sym_BSLASHliv] = ACTIONS(39),
    [anon_sym_BSLASHlik] = ACTIONS(39),
    [anon_sym_BSLASHlitl] = ACTIONS(39),
    [anon_sym_BSLASHtr] = ACTIONS(39),
    [anon_sym_BSLASHf] = ACTIONS(39),
    [anon_sym_BSLASHfe] = ACTIONS(39),
    [anon_sym_BSLASHef] = ACTIONS(39),
    [anon_sym_BSLASHfm] = ACTIONS(39),
    [anon_sym_BSLASHx] = ACTIONS(39),
    [anon_sym_BSLASHxt] = ACTIONS(39),
    [anon_sym_BSLASHrq] = ACTIONS(39),
    [anon_sym_BSLASHadd] = ACTIONS(39),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(39),
    [anon_sym_BSLASHbk] = ACTIONS(39),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(39),
    [anon_sym_BSLASHdc] = ACTIONS(39),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(39),
    [anon_sym_BSLASHk] = ACTIONS(39),
    [anon_sym_BSLASHnd] = ACTIONS(39),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(39),
    [anon_sym_BSLASHord] = ACTIONS(39),
    [anon_sym_BSLASHord_STAR] = ACTIONS(39),
    [anon_sym_BSLASHpn] = ACTIONS(39),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(39),
    [anon_sym_BSLASHpng] = ACTIONS(39),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(39),
    [anon_sym_BSLASHaddpn] = ACTIONS(39),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(39),
    [anon_sym_BSLASHqt] = ACTIONS(39),
    [anon_sym_BSLASHsig] = ACTIONS(39),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(39),
    [anon_sym_BSLASHsls] = ACTIONS(39),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(39),
    [anon_sym_BSLASHtl] = ACTIONS(39),
    [anon_sym_BSLASHwj] = ACTIONS(39),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(39),
    [anon_sym_BSLASHem] = ACTIONS(39),
    [anon_sym_BSLASHem_STAR] = ACTIONS(39),
    [anon_sym_BSLASHbd] = ACTIONS(39),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(39),
    [anon_sym_BSLASHit] = ACTIONS(39),
    [anon_sym_BSLASHit_STAR] = ACTIONS(39),
    [anon_sym_BSLASHbdit] = ACTIONS(39),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(39),
    [anon_sym_BSLASHno] = ACTIONS(39),
    [anon_sym_BSLASHno_STAR] = ACTIONS(39),
    [anon_sym_BSLASHsc] = ACTIONS(39),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(39),
    [anon_sym_BSLASHsup] = ACTIONS(39),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(39),
    [anon_sym_BSLASHndx] = ACTIONS(39),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(39),
    [anon_sym_BSLASHpro] = ACTIONS(39),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(39),
    [anon_sym_BSLASHrb] = ACTIONS(39),
    [anon_sym_BSLASHw] = ACTIONS(39),
    [anon_sym_BSLASHw_STAR] = ACTIONS(39),
    [anon_sym_BSLASHwg] = ACTIONS(39),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(39),
    [anon_sym_BSLASHwh] = ACTIONS(39),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(39),
    [anon_sym_BSLASHwa] = ACTIONS(39),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(39),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(39),
    [anon_sym_BSLASHfig] = ACTIONS(39),
    [anon_sym_BSLASHjmp] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(39),
    [anon_sym_BSLASHpb] = ACTIONS(39),
    [anon_sym_BSLASH] = ACTIONS(39),
    [sym_milestoneStartTag] = ACTIONS(39),
    [sym_milestoneEndTag] = ACTIONS(39),
    [sym_zSpaceTag] = ACTIONS(39),
    [anon_sym_BSLASHesbe] = ACTIONS(39),
    [anon_sym_BSLASHcat] = ACTIONS(39),
    [anon_sym_PIPE] = ACTIONS(39),
  },
  [11] = {
    [aux_sym_text_token1] = ACTIONS(41),
    [anon_sym_BSLASHref] = ACTIONS(43),
    [anon_sym_BSLASHsts] = ACTIONS(43),
    [anon_sym_BSLASHrem] = ACTIONS(43),
    [anon_sym_BSLASHrestore] = ACTIONS(43),
    [anon_sym_BSLASHlit] = ACTIONS(43),
    [anon_sym_BSLASHip] = ACTIONS(43),
    [anon_sym_BSLASHv] = ACTIONS(43),
    [anon_sym_BSLASHva] = ACTIONS(43),
    [anon_sym_BSLASHvp] = ACTIONS(43),
    [anon_sym_BSLASHmte] = ACTIONS(43),
    [anon_sym_BSLASHms] = ACTIONS(43),
    [anon_sym_BSLASHmr] = ACTIONS(43),
    [anon_sym_BSLASHs] = ACTIONS(43),
    [anon_sym_BSLASHsr] = ACTIONS(43),
    [anon_sym_BSLASHr] = ACTIONS(43),
    [anon_sym_BSLASHsp] = ACTIONS(43),
    [anon_sym_BSLASHd] = ACTIONS(43),
    [anon_sym_BSLASHsd] = ACTIONS(43),
    [anon_sym_BSLASHp] = ACTIONS(43),
    [anon_sym_BSLASHm] = ACTIONS(43),
    [anon_sym_BSLASHpo] = ACTIONS(43),
    [anon_sym_BSLASHpr] = ACTIONS(43),
    [anon_sym_BSLASHcls] = ACTIONS(43),
    [anon_sym_BSLASHpmo] = ACTIONS(43),
    [anon_sym_BSLASHpm] = ACTIONS(43),
    [anon_sym_BSLASHpmc] = ACTIONS(43),
    [anon_sym_BSLASHpmr] = ACTIONS(43),
    [anon_sym_BSLASHpi] = ACTIONS(43),
    [anon_sym_BSLASHmi] = ACTIONS(43),
    [anon_sym_BSLASHnb] = ACTIONS(43),
    [anon_sym_BSLASHpc] = ACTIONS(43),
    [anon_sym_BSLASHph] = ACTIONS(43),
    [anon_sym_BSLASHb] = ACTIONS(43),
    [anon_sym_BSLASHq] = ACTIONS(43),
    [anon_sym_BSLASHqr] = ACTIONS(43),
    [anon_sym_BSLASHqc] = ACTIONS(43),
    [anon_sym_BSLASHqa] = ACTIONS(43),
    [anon_sym_BSLASHqm] = ACTIONS(43),
    [anon_sym_BSLASHqd] = ACTIONS(43),
    [anon_sym_BSLASHlh] = ACTIONS(43),
    [anon_sym_BSLASHlf] = ACTIONS(43),
    [anon_sym_BSLASHli] = ACTIONS(43),
    [anon_sym_BSLASHlim] = ACTIONS(43),
    [anon_sym_BSLASHliv] = ACTIONS(43),
    [anon_sym_BSLASHlik] = ACTIONS(43),
    [anon_sym_BSLASHlitl] = ACTIONS(43),
    [anon_sym_BSLASHtr] = ACTIONS(43),
    [anon_sym_BSLASHf] = ACTIONS(43),
    [anon_sym_BSLASHfe] = ACTIONS(43),
    [anon_sym_BSLASHef] = ACTIONS(43),
    [anon_sym_BSLASHfm] = ACTIONS(43),
    [anon_sym_BSLASHx] = ACTIONS(43),
    [anon_sym_BSLASHxt] = ACTIONS(43),
    [anon_sym_BSLASHrq] = ACTIONS(43),
    [anon_sym_BSLASHadd] = ACTIONS(43),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(43),
    [anon_sym_BSLASHbk] = ACTIONS(43),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(43),
    [anon_sym_BSLASHdc] = ACTIONS(43),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(43),
    [anon_sym_BSLASHk] = ACTIONS(43),
    [anon_sym_BSLASHnd] = ACTIONS(43),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(43),
    [anon_sym_BSLASHord] = ACTIONS(43),
    [anon_sym_BSLASHord_STAR] = ACTIONS(43),
    [anon_sym_BSLASHpn] = ACTIONS(43),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(43),
    [anon_sym_BSLASHpng] = ACTIONS(43),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(43),
    [anon_sym_BSLASHaddpn] = ACTIONS(43),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(43),
    [anon_sym_BSLASHqt] = ACTIONS(43),
    [anon_sym_BSLASHsig] = ACTIONS(43),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(43),
    [anon_sym_BSLASHsls] = ACTIONS(43),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(43),
    [anon_sym_BSLASHtl] = ACTIONS(43),
    [anon_sym_BSLASHwj] = ACTIONS(43),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(43),
    [anon_sym_BSLASHem] = ACTIONS(43),
    [anon_sym_BSLASHem_STAR] = ACTIONS(43),
    [anon_sym_BSLASHbd] = ACTIONS(43),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(43),
    [anon_sym_BSLASHit] = ACTIONS(43),
    [anon_sym_BSLASHit_STAR] = ACTIONS(43),
    [anon_sym_BSLASHbdit] = ACTIONS(43),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(43),
    [anon_sym_BSLASHno] = ACTIONS(43),
    [anon_sym_BSLASHno_STAR] = ACTIONS(43),
    [anon_sym_BSLASHsc] = ACTIONS(43),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(43),
    [anon_sym_BSLASHsup] = ACTIONS(43),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(43),
    [anon_sym_BSLASHndx] = ACTIONS(43),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(43),
    [anon_sym_BSLASHpro] = ACTIONS(43),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(43),
    [anon_sym_BSLASHrb] = ACTIONS(43),
    [anon_sym_BSLASHw] = ACTIONS(43),
    [anon_sym_BSLASHw_STAR] = ACTIONS(43),
    [anon_sym_BSLASHwg] = ACTIONS(43),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(43),
    [anon_sym_BSLASHwh] = ACTIONS(43),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(43),
    [anon_sym_BSLASHwa] = ACTIONS(43),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(43),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(43),
    [anon_sym_BSLASHfig] = ACTIONS(43),
    [anon_sym_BSLASHjmp] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(43),
    [anon_sym_BSLASHpb] = ACTIONS(43),
    [anon_sym_BSLASH] = ACTIONS(43),
    [sym_milestoneStartTag] = ACTIONS(43),
    [sym_milestoneEndTag] = ACTIONS(43),
    [sym_zSpaceTag] = ACTIONS(43),
    [anon_sym_BSLASHesbe] = ACTIONS(43),
    [anon_sym_BSLASHcat] = ACTIONS(43),
    [anon_sym_PIPE] = ACTIONS(43),
  },
  [12] = {
    [aux_sym_text_token1] = ACTIONS(45),
    [anon_sym_BSLASHref] = ACTIONS(47),
    [anon_sym_BSLASHsts] = ACTIONS(47),
    [anon_sym_BSLASHrem] = ACTIONS(47),
    [anon_sym_BSLASHrestore] = ACTIONS(47),
    [anon_sym_BSLASHlit] = ACTIONS(47),
    [anon_sym_BSLASHip] = ACTIONS(47),
    [anon_sym_BSLASHv] = ACTIONS(47),
    [anon_sym_BSLASHva] = ACTIONS(47),
    [anon_sym_BSLASHvp] = ACTIONS(47),
    [anon_sym_BSLASHmte] = ACTIONS(47),
    [anon_sym_BSLASHms] = ACTIONS(47),
    [anon_sym_BSLASHmr] = ACTIONS(47),
    [anon_sym_BSLASHs] = ACTIONS(47),
    [anon_sym_BSLASHsr] = ACTIONS(47),
    [anon_sym_BSLASHr] = ACTIONS(47),
    [anon_sym_BSLASHsp] = ACTIONS(47),
    [anon_sym_BSLASHd] = ACTIONS(47),
    [anon_sym_BSLASHsd] = ACTIONS(47),
    [anon_sym_BSLASHp] = ACTIONS(47),
    [anon_sym_BSLASHm] = ACTIONS(47),
    [anon_sym_BSLASHpo] = ACTIONS(47),
    [anon_sym_BSLASHpr] = ACTIONS(47),
    [anon_sym_BSLASHcls] = ACTIONS(47),
    [anon_sym_BSLASHpmo] = ACTIONS(47),
    [anon_sym_BSLASHpm] = ACTIONS(47),
    [anon_sym_BSLASHpmc] = ACTIONS(47),
    [anon_sym_BSLASHpmr] = ACTIONS(47),
    [anon_sym_BSLASHpi] = ACTIONS(47),
    [anon_sym_BSLASHmi] = ACTIONS(47),
    [anon_sym_BSLASHnb] = ACTIONS(47),
    [anon_sym_BSLASHpc] = ACTIONS(47),
    [anon_sym_BSLASHph] = ACTIONS(47),
    [anon_sym_BSLASHb] = ACTIONS(47),
    [anon_sym_BSLASHq] = ACTIONS(47),
    [anon_sym_BSLASHqr] = ACTIONS(47),
    [anon_sym_BSLASHqc] = ACTIONS(47),
    [anon_sym_BSLASHqa] = ACTIONS(47),
    [anon_sym_BSLASHqm] = ACTIONS(47),
    [anon_sym_BSLASHqd] = ACTIONS(47),
    [anon_sym_BSLASHlh] = ACTIONS(47),
    [anon_sym_BSLASHlf] = ACTIONS(47),
    [anon_sym_BSLASHli] = ACTIONS(47),
    [anon_sym_BSLASHlim] = ACTIONS(47),
    [anon_sym_BSLASHliv] = ACTIONS(47),
    [anon_sym_BSLASHlik] = ACTIONS(47),
    [anon_sym_BSLASHlitl] = ACTIONS(47),
    [anon_sym_BSLASHtr] = ACTIONS(47),
    [anon_sym_BSLASHf] = ACTIONS(47),
    [anon_sym_BSLASHfe] = ACTIONS(47),
    [anon_sym_BSLASHef] = ACTIONS(47),
    [anon_sym_BSLASHfm] = ACTIONS(47),
    [anon_sym_BSLASHx] = ACTIONS(47),
    [anon_sym_BSLASHxt] = ACTIONS(47),
    [anon_sym_BSLASHrq] = ACTIONS(47),
    [anon_sym_BSLASHadd] = ACTIONS(47),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(47),
    [anon_sym_BSLASHbk] = ACTIONS(47),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(47),
    [anon_sym_BSLASHdc] = ACTIONS(47),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(47),
    [anon_sym_BSLASHk] = ACTIONS(47),
    [anon_sym_BSLASHnd] = ACTIONS(47),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(47),
    [anon_sym_BSLASHord] = ACTIONS(47),
    [anon_sym_BSLASHord_STAR] = ACTIONS(47),
    [anon_sym_BSLASHpn] = ACTIONS(47),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(47),
    [anon_sym_BSLASHpng] = ACTIONS(47),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(47),
    [anon_sym_BSLASHaddpn] = ACTIONS(47),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(47),
    [anon_sym_BSLASHqt] = ACTIONS(47),
    [anon_sym_BSLASHsig] = ACTIONS(47),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(47),
    [anon_sym_BSLASHsls] = ACTIONS(47),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(47),
    [anon_sym_BSLASHtl] = ACTIONS(47),
    [anon_sym_BSLASHwj] = ACTIONS(47),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(47),
    [anon_sym_BSLASHem] = ACTIONS(47),
    [anon_sym_BSLASHem_STAR] = ACTIONS(47),
    [anon_sym_BSLASHbd] = ACTIONS(47),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(47),
    [anon_sym_BSLASHit] = ACTIONS(47),
    [anon_sym_BSLASHit_STAR] = ACTIONS(47),
    [anon_sym_BSLASHbdit] = ACTIONS(47),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(47),
    [anon_sym_BSLASHno] = ACTIONS(47),
    [anon_sym_BSLASHno_STAR] = ACTIONS(47),
    [anon_sym_BSLASHsc] = ACTIONS(47),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(47),
    [anon_sym_BSLASHsup] = ACTIONS(47),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(47),
    [anon_sym_BSLASHndx] = ACTIONS(47),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(47),
    [anon_sym_BSLASHpro] = ACTIONS(47),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(47),
    [anon_sym_BSLASHrb] = ACTIONS(47),
    [anon_sym_BSLASHw] = ACTIONS(47),
    [anon_sym_BSLASHw_STAR] = ACTIONS(47),
    [anon_sym_BSLASHwg] = ACTIONS(47),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(47),
    [anon_sym_BSLASHwh] = ACTIONS(47),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(47),
    [anon_sym_BSLASHwa] = ACTIONS(47),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(47),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(47),
    [anon_sym_BSLASHfig] = ACTIONS(47),
    [anon_sym_BSLASHjmp] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(47),
    [anon_sym_BSLASHpb] = ACTIONS(47),
    [anon_sym_BSLASH] = ACTIONS(47),
    [sym_milestoneStartTag] = ACTIONS(47),
    [sym_milestoneEndTag] = ACTIONS(47),
    [sym_zSpaceTag] = ACTIONS(47),
    [anon_sym_BSLASHesbe] = ACTIONS(47),
    [anon_sym_BSLASHcat] = ACTIONS(47),
    [anon_sym_PIPE] = ACTIONS(47),
  },
  [13] = {
    [aux_sym_text_token1] = ACTIONS(49),
    [anon_sym_BSLASHref] = ACTIONS(51),
    [anon_sym_BSLASHsts] = ACTIONS(51),
    [anon_sym_BSLASHrem] = ACTIONS(51),
    [anon_sym_BSLASHrestore] = ACTIONS(51),
    [anon_sym_BSLASHlit] = ACTIONS(51),
    [anon_sym_BSLASHip] = ACTIONS(51),
    [anon_sym_BSLASHv] = ACTIONS(51),
    [anon_sym_BSLASHva] = ACTIONS(51),
    [anon_sym_BSLASHvp] = ACTIONS(51),
    [anon_sym_BSLASHmte] = ACTIONS(51),
    [anon_sym_BSLASHms] = ACTIONS(51),
    [anon_sym_BSLASHmr] = ACTIONS(51),
    [anon_sym_BSLASHs] = ACTIONS(51),
    [anon_sym_BSLASHsr] = ACTIONS(51),
    [anon_sym_BSLASHr] = ACTIONS(51),
    [anon_sym_BSLASHsp] = ACTIONS(51),
    [anon_sym_BSLASHd] = ACTIONS(51),
    [anon_sym_BSLASHsd] = ACTIONS(51),
    [anon_sym_BSLASHp] = ACTIONS(51),
    [anon_sym_BSLASHm] = ACTIONS(51),
    [anon_sym_BSLASHpo] = ACTIONS(51),
    [anon_sym_BSLASHpr] = ACTIONS(51),
    [anon_sym_BSLASHcls] = ACTIONS(51),
    [anon_sym_BSLASHpmo] = ACTIONS(51),
    [anon_sym_BSLASHpm] = ACTIONS(51),
    [anon_sym_BSLASHpmc] = ACTIONS(51),
    [anon_sym_BSLASHpmr] = ACTIONS(51),
    [anon_sym_BSLASHpi] = ACTIONS(51),
    [anon_sym_BSLASHmi] = ACTIONS(51),
    [anon_sym_BSLASHnb] = ACTIONS(51),
    [anon_sym_BSLASHpc] = ACTIONS(51),
    [anon_sym_BSLASHph] = ACTIONS(51),
    [anon_sym_BSLASHb] = ACTIONS(51),
    [anon_sym_BSLASHq] = ACTIONS(51),
    [anon_sym_BSLASHqr] = ACTIONS(51),
    [anon_sym_BSLASHqc] = ACTIONS(51),
    [anon_sym_BSLASHqa] = ACTIONS(51),
    [anon_sym_BSLASHqm] = ACTIONS(51),
    [anon_sym_BSLASHqd] = ACTIONS(51),
    [anon_sym_BSLASHlh] = ACTIONS(51),
    [anon_sym_BSLASHlf] = ACTIONS(51),
    [anon_sym_BSLASHli] = ACTIONS(51),
    [anon_sym_BSLASHlim] = ACTIONS(51),
    [anon_sym_BSLASHliv] = ACTIONS(51),
    [anon_sym_BSLASHlik] = ACTIONS(51),
    [anon_sym_BSLASHlitl] = ACTIONS(51),
    [anon_sym_BSLASHtr] = ACTIONS(51),
    [anon_sym_BSLASHf] = ACTIONS(51),
    [anon_sym_BSLASHfe] = ACTIONS(51),
    [anon_sym_BSLASHef] = ACTIONS(51),
    [anon_sym_BSLASHfm] = ACTIONS(51),
    [anon_sym_BSLASHx] = ACTIONS(51),
    [anon_sym_BSLASHxt] = ACTIONS(51),
    [anon_sym_BSLASHrq] = ACTIONS(51),
    [anon_sym_BSLASHadd] = ACTIONS(51),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(51),
    [anon_sym_BSLASHbk] = ACTIONS(51),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(51),
    [anon_sym_BSLASHdc] = ACTIONS(51),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(51),
    [anon_sym_BSLASHk] = ACTIONS(51),
    [anon_sym_BSLASHnd] = ACTIONS(51),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(51),
    [anon_sym_BSLASHord] = ACTIONS(51),
    [anon_sym_BSLASHord_STAR] = ACTIONS(51),
    [anon_sym_BSLASHpn] = ACTIONS(51),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(51),
    [anon_sym_BSLASHpng] = ACTIONS(51),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(51),
    [anon_sym_BSLASHaddpn] = ACTIONS(51),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(51),
    [anon_sym_BSLASHqt] = ACTIONS(51),
    [anon_sym_BSLASHsig] = ACTIONS(51),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(51),
    [anon_sym_BSLASHsls] = ACTIONS(51),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(51),
    [anon_sym_BSLASHtl] = ACTIONS(51),
    [anon_sym_BSLASHwj] = ACTIONS(51),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(51),
    [anon_sym_BSLASHem] = ACTIONS(51),
    [anon_sym_BSLASHem_STAR] = ACTIONS(51),
    [anon_sym_BSLASHbd] = ACTIONS(51),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(51),
    [anon_sym_BSLASHit] = ACTIONS(51),
    [anon_sym_BSLASHit_STAR] = ACTIONS(51),
    [anon_sym_BSLASHbdit] = ACTIONS(51),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(51),
    [anon_sym_BSLASHno] = ACTIONS(51),
    [anon_sym_BSLASHno_STAR] = ACTIONS(51),
    [anon_sym_BSLASHsc] = ACTIONS(51),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(51),
    [anon_sym_BSLASHsup] = ACTIONS(51),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(51),
    [anon_sym_BSLASHndx] = ACTIONS(51),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(51),
    [anon_sym_BSLASHpro] = ACTIONS(51),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(51),
    [anon_sym_BSLASHrb] = ACTIONS(51),
    [anon_sym_BSLASHw] = ACTIONS(51),
    [anon_sym_BSLASHw_STAR] = ACTIONS(51),
    [anon_sym_BSLASHwg] = ACTIONS(51),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(51),
    [anon_sym_BSLASHwh] = ACTIONS(51),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(51),
    [anon_sym_BSLASHwa] = ACTIONS(51),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(51),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(51),
    [anon_sym_BSLASHfig] = ACTIONS(51),
    [anon_sym_BSLASHjmp] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(51),
    [anon_sym_BSLASHpb] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(51),
    [sym_milestoneStartTag] = ACTIONS(51),
    [sym_milestoneEndTag] = ACTIONS(51),
    [sym_zSpaceTag] = ACTIONS(51),
    [anon_sym_BSLASHesbe] = ACTIONS(51),
    [anon_sym_BSLASHcat] = ACTIONS(51),
    [anon_sym_PIPE] = ACTIONS(51),
  },
  [14] = {
    [aux_sym_text_token1] = ACTIONS(53),
    [anon_sym_BSLASHref] = ACTIONS(55),
    [anon_sym_BSLASHsts] = ACTIONS(55),
    [anon_sym_BSLASHrem] = ACTIONS(55),
    [anon_sym_BSLASHrestore] = ACTIONS(55),
    [anon_sym_BSLASHlit] = ACTIONS(55),
    [anon_sym_BSLASHip] = ACTIONS(55),
    [anon_sym_BSLASHv] = ACTIONS(55),
    [anon_sym_BSLASHva] = ACTIONS(55),
    [anon_sym_BSLASHvp] = ACTIONS(55),
    [anon_sym_BSLASHmte] = ACTIONS(55),
    [anon_sym_BSLASHms] = ACTIONS(55),
    [anon_sym_BSLASHmr] = ACTIONS(55),
    [anon_sym_BSLASHs] = ACTIONS(55),
    [anon_sym_BSLASHsr] = ACTIONS(55),
    [anon_sym_BSLASHr] = ACTIONS(55),
    [anon_sym_BSLASHsp] = ACTIONS(55),
    [anon_sym_BSLASHd] = ACTIONS(55),
    [anon_sym_BSLASHsd] = ACTIONS(55),
    [anon_sym_BSLASHp] = ACTIONS(55),
    [anon_sym_BSLASHm] = ACTIONS(55),
    [anon_sym_BSLASHpo] = ACTIONS(55),
    [anon_sym_BSLASHpr] = ACTIONS(55),
    [anon_sym_BSLASHcls] = ACTIONS(55),
    [anon_sym_BSLASHpmo] = ACTIONS(55),
    [anon_sym_BSLASHpm] = ACTIONS(55),
    [anon_sym_BSLASHpmc] = ACTIONS(55),
    [anon_sym_BSLASHpmr] = ACTIONS(55),
    [anon_sym_BSLASHpi] = ACTIONS(55),
    [anon_sym_BSLASHmi] = ACTIONS(55),
    [anon_sym_BSLASHnb] = ACTIONS(55),
    [anon_sym_BSLASHpc] = ACTIONS(55),
    [anon_sym_BSLASHph] = ACTIONS(55),
    [anon_sym_BSLASHb] = ACTIONS(55),
    [anon_sym_BSLASHq] = ACTIONS(55),
    [anon_sym_BSLASHqr] = ACTIONS(55),
    [anon_sym_BSLASHqc] = ACTIONS(55),
    [anon_sym_BSLASHqa] = ACTIONS(55),
    [anon_sym_BSLASHqm] = ACTIONS(55),
    [anon_sym_BSLASHqd] = ACTIONS(55),
    [anon_sym_BSLASHlh] = ACTIONS(55),
    [anon_sym_BSLASHlf] = ACTIONS(55),
    [anon_sym_BSLASHli] = ACTIONS(55),
    [anon_sym_BSLASHlim] = ACTIONS(55),
    [anon_sym_BSLASHliv] = ACTIONS(55),
    [anon_sym_BSLASHlik] = ACTIONS(55),
    [anon_sym_BSLASHlitl] = ACTIONS(55),
    [anon_sym_BSLASHtr] = ACTIONS(55),
    [anon_sym_BSLASHf] = ACTIONS(55),
    [anon_sym_BSLASHfe] = ACTIONS(55),
    [anon_sym_BSLASHef] = ACTIONS(55),
    [anon_sym_BSLASHfm] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHxt] = ACTIONS(55),
    [anon_sym_BSLASHrq] = ACTIONS(55),
    [anon_sym_BSLASHadd] = ACTIONS(55),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(55),
    [anon_sym_BSLASHbk] = ACTIONS(55),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(55),
    [anon_sym_BSLASHdc] = ACTIONS(55),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(55),
    [anon_sym_BSLASHk] = ACTIONS(55),
    [anon_sym_BSLASHnd] = ACTIONS(55),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(55),
    [anon_sym_BSLASHord] = ACTIONS(55),
    [anon_sym_BSLASHord_STAR] = ACTIONS(55),
    [anon_sym_BSLASHpn] = ACTIONS(55),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(55),
    [anon_sym_BSLASHpng] = ACTIONS(55),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(55),
    [anon_sym_BSLASHaddpn] = ACTIONS(55),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(55),
    [anon_sym_BSLASHqt] = ACTIONS(55),
    [anon_sym_BSLASHsig] = ACTIONS(55),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(55),
    [anon_sym_BSLASHsls] = ACTIONS(55),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(55),
    [anon_sym_BSLASHtl] = ACTIONS(55),
    [anon_sym_BSLASHwj] = ACTIONS(55),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(55),
    [anon_sym_BSLASHem] = ACTIONS(55),
    [anon_sym_BSLASHem_STAR] = ACTIONS(55),
    [anon_sym_BSLASHbd] = ACTIONS(55),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(55),
    [anon_sym_BSLASHit] = ACTIONS(55),
    [anon_sym_BSLASHit_STAR] = ACTIONS(55),
    [anon_sym_BSLASHbdit] = ACTIONS(55),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(55),
    [anon_sym_BSLASHno] = ACTIONS(55),
    [anon_sym_BSLASHno_STAR] = ACTIONS(55),
    [anon_sym_BSLASHsc] = ACTIONS(55),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(55),
    [anon_sym_BSLASHsup] = ACTIONS(55),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(55),
    [anon_sym_BSLASHndx] = ACTIONS(55),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(55),
    [anon_sym_BSLASHpro] = ACTIONS(55),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(55),
    [anon_sym_BSLASHrb] = ACTIONS(55),
    [anon_sym_BSLASHw] = ACTIONS(55),
    [anon_sym_BSLASHw_STAR] = ACTIONS(55),
    [anon_sym_BSLASHwg] = ACTIONS(55),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(55),
    [anon_sym_BSLASHwh] = ACTIONS(55),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(55),
    [anon_sym_BSLASHwa] = ACTIONS(55),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(55),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(55),
    [anon_sym_BSLASHfig] = ACTIONS(55),
    [anon_sym_BSLASHjmp] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(55),
    [anon_sym_BSLASHpb] = ACTIONS(55),
    [anon_sym_BSLASH] = ACTIONS(55),
    [sym_milestoneStartTag] = ACTIONS(55),
    [sym_milestoneEndTag] = ACTIONS(55),
    [sym_zSpaceTag] = ACTIONS(55),
    [anon_sym_BSLASHesbe] = ACTIONS(55),
    [anon_sym_BSLASHcat] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(55),
  },
  [15] = {
    [aux_sym_text_token1] = ACTIONS(57),
    [anon_sym_BSLASHref] = ACTIONS(59),
    [anon_sym_BSLASHsts] = ACTIONS(59),
    [anon_sym_BSLASHrem] = ACTIONS(59),
    [anon_sym_BSLASHrestore] = ACTIONS(59),
    [anon_sym_BSLASHlit] = ACTIONS(59),
    [anon_sym_BSLASHip] = ACTIONS(59),
    [anon_sym_BSLASHv] = ACTIONS(59),
    [anon_sym_BSLASHva] = ACTIONS(59),
    [anon_sym_BSLASHvp] = ACTIONS(59),
    [anon_sym_BSLASHmte] = ACTIONS(59),
    [anon_sym_BSLASHms] = ACTIONS(59),
    [anon_sym_BSLASHmr] = ACTIONS(59),
    [anon_sym_BSLASHs] = ACTIONS(59),
    [anon_sym_BSLASHsr] = ACTIONS(59),
    [anon_sym_BSLASHr] = ACTIONS(59),
    [anon_sym_BSLASHsp] = ACTIONS(59),
    [anon_sym_BSLASHd] = ACTIONS(59),
    [anon_sym_BSLASHsd] = ACTIONS(59),
    [anon_sym_BSLASHp] = ACTIONS(59),
    [anon_sym_BSLASHm] = ACTIONS(59),
    [anon_sym_BSLASHpo] = ACTIONS(59),
    [anon_sym_BSLASHpr] = ACTIONS(59),
    [anon_sym_BSLASHcls] = ACTIONS(59),
    [anon_sym_BSLASHpmo] = ACTIONS(59),
    [anon_sym_BSLASHpm] = ACTIONS(59),
    [anon_sym_BSLASHpmc] = ACTIONS(59),
    [anon_sym_BSLASHpmr] = ACTIONS(59),
    [anon_sym_BSLASHpi] = ACTIONS(59),
    [anon_sym_BSLASHmi] = ACTIONS(59),
    [anon_sym_BSLASHnb] = ACTIONS(59),
    [anon_sym_BSLASHpc] = ACTIONS(59),
    [anon_sym_BSLASHph] = ACTIONS(59),
    [anon_sym_BSLASHb] = ACTIONS(59),
    [anon_sym_BSLASHq] = ACTIONS(59),
    [anon_sym_BSLASHqr] = ACTIONS(59),
    [anon_sym_BSLASHqc] = ACTIONS(59),
    [anon_sym_BSLASHqa] = ACTIONS(59),
    [anon_sym_BSLASHqm] = ACTIONS(59),
    [anon_sym_BSLASHqd] = ACTIONS(59),
    [anon_sym_BSLASHlh] = ACTIONS(59),
    [anon_sym_BSLASHlf] = ACTIONS(59),
    [anon_sym_BSLASHli] = ACTIONS(59),
    [anon_sym_BSLASHlim] = ACTIONS(59),
    [anon_sym_BSLASHliv] = ACTIONS(59),
    [anon_sym_BSLASHlik] = ACTIONS(59),
    [anon_sym_BSLASHlitl] = ACTIONS(59),
    [anon_sym_BSLASHtr] = ACTIONS(59),
    [anon_sym_BSLASHf] = ACTIONS(59),
    [anon_sym_BSLASHfe] = ACTIONS(59),
    [anon_sym_BSLASHef] = ACTIONS(59),
    [anon_sym_BSLASHfm] = ACTIONS(59),
    [anon_sym_BSLASHx] = ACTIONS(59),
    [anon_sym_BSLASHxt] = ACTIONS(59),
    [anon_sym_BSLASHrq] = ACTIONS(59),
    [anon_sym_BSLASHadd] = ACTIONS(59),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(59),
    [anon_sym_BSLASHbk] = ACTIONS(59),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(59),
    [anon_sym_BSLASHdc] = ACTIONS(59),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(59),
    [anon_sym_BSLASHk] = ACTIONS(59),
    [anon_sym_BSLASHnd] = ACTIONS(59),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(59),
    [anon_sym_BSLASHord] = ACTIONS(59),
    [anon_sym_BSLASHord_STAR] = ACTIONS(59),
    [anon_sym_BSLASHpn] = ACTIONS(59),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(59),
    [anon_sym_BSLASHpng] = ACTIONS(59),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(59),
    [anon_sym_BSLASHaddpn] = ACTIONS(59),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(59),
    [anon_sym_BSLASHqt] = ACTIONS(59),
    [anon_sym_BSLASHsig] = ACTIONS(59),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(59),
    [anon_sym_BSLASHsls] = ACTIONS(59),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(59),
    [anon_sym_BSLASHtl] = ACTIONS(59),
    [anon_sym_BSLASHwj] = ACTIONS(59),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(59),
    [anon_sym_BSLASHem] = ACTIONS(59),
    [anon_sym_BSLASHem_STAR] = ACTIONS(59),
    [anon_sym_BSLASHbd] = ACTIONS(59),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(59),
    [anon_sym_BSLASHit] = ACTIONS(59),
    [anon_sym_BSLASHit_STAR] = ACTIONS(59),
    [anon_sym_BSLASHbdit] = ACTIONS(59),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(59),
    [anon_sym_BSLASHno] = ACTIONS(59),
    [anon_sym_BSLASHno_STAR] = ACTIONS(59),
    [anon_sym_BSLASHsc] = ACTIONS(59),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(59),
    [anon_sym_BSLASHsup] = ACTIONS(59),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(59),
    [anon_sym_BSLASHndx] = ACTIONS(59),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(59),
    [anon_sym_BSLASHpro] = ACTIONS(59),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(59),
    [anon_sym_BSLASHrb] = ACTIONS(59),
    [anon_sym_BSLASHw] = ACTIONS(59),
    [anon_sym_BSLASHw_STAR] = ACTIONS(59),
    [anon_sym_BSLASHwg] = ACTIONS(59),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(59),
    [anon_sym_BSLASHwh] = ACTIONS(59),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(59),
    [anon_sym_BSLASHwa] = ACTIONS(59),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(59),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(59),
    [anon_sym_BSLASHfig] = ACTIONS(59),
    [anon_sym_BSLASHjmp] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(59),
    [anon_sym_BSLASHpb] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(59),
    [sym_milestoneStartTag] = ACTIONS(59),
    [sym_milestoneEndTag] = ACTIONS(59),
    [sym_zSpaceTag] = ACTIONS(59),
    [anon_sym_BSLASHesbe] = ACTIONS(59),
    [anon_sym_BSLASHcat] = ACTIONS(59),
    [anon_sym_PIPE] = ACTIONS(59),
  },
  [16] = {
    [aux_sym_text_token1] = ACTIONS(61),
    [anon_sym_BSLASHref] = ACTIONS(63),
    [anon_sym_BSLASHsts] = ACTIONS(63),
    [anon_sym_BSLASHrem] = ACTIONS(63),
    [anon_sym_BSLASHrestore] = ACTIONS(63),
    [anon_sym_BSLASHlit] = ACTIONS(63),
    [anon_sym_BSLASHip] = ACTIONS(63),
    [anon_sym_BSLASHv] = ACTIONS(63),
    [anon_sym_BSLASHva] = ACTIONS(63),
    [anon_sym_BSLASHvp] = ACTIONS(63),
    [anon_sym_BSLASHmte] = ACTIONS(63),
    [anon_sym_BSLASHms] = ACTIONS(63),
    [anon_sym_BSLASHmr] = ACTIONS(63),
    [anon_sym_BSLASHs] = ACTIONS(63),
    [anon_sym_BSLASHsr] = ACTIONS(63),
    [anon_sym_BSLASHr] = ACTIONS(63),
    [anon_sym_BSLASHsp] = ACTIONS(63),
    [anon_sym_BSLASHd] = ACTIONS(63),
    [anon_sym_BSLASHsd] = ACTIONS(63),
    [anon_sym_BSLASHp] = ACTIONS(63),
    [anon_sym_BSLASHm] = ACTIONS(63),
    [anon_sym_BSLASHpo] = ACTIONS(63),
    [anon_sym_BSLASHpr] = ACTIONS(63),
    [anon_sym_BSLASHcls] = ACTIONS(63),
    [anon_sym_BSLASHpmo] = ACTIONS(63),
    [anon_sym_BSLASHpm] = ACTIONS(63),
    [anon_sym_BSLASHpmc] = ACTIONS(63),
    [anon_sym_BSLASHpmr] = ACTIONS(63),
    [anon_sym_BSLASHpi] = ACTIONS(63),
    [anon_sym_BSLASHmi] = ACTIONS(63),
    [anon_sym_BSLASHnb] = ACTIONS(63),
    [anon_sym_BSLASHpc] = ACTIONS(63),
    [anon_sym_BSLASHph] = ACTIONS(63),
    [anon_sym_BSLASHb] = ACTIONS(63),
    [anon_sym_BSLASHq] = ACTIONS(63),
    [anon_sym_BSLASHqr] = ACTIONS(63),
    [anon_sym_BSLASHqc] = ACTIONS(63),
    [anon_sym_BSLASHqa] = ACTIONS(63),
    [anon_sym_BSLASHqm] = ACTIONS(63),
    [anon_sym_BSLASHqd] = ACTIONS(63),
    [anon_sym_BSLASHlh] = ACTIONS(63),
    [anon_sym_BSLASHlf] = ACTIONS(63),
    [anon_sym_BSLASHli] = ACTIONS(63),
    [anon_sym_BSLASHlim] = ACTIONS(63),
    [anon_sym_BSLASHliv] = ACTIONS(63),
    [anon_sym_BSLASHlik] = ACTIONS(63),
    [anon_sym_BSLASHlitl] = ACTIONS(63),
    [anon_sym_BSLASHtr] = ACTIONS(63),
    [anon_sym_BSLASHf] = ACTIONS(63),
    [anon_sym_BSLASHfe] = ACTIONS(63),
    [anon_sym_BSLASHef] = ACTIONS(63),
    [anon_sym_BSLASHfm] = ACTIONS(63),
    [anon_sym_BSLASHx] = ACTIONS(63),
    [anon_sym_BSLASHxt] = ACTIONS(63),
    [anon_sym_BSLASHrq] = ACTIONS(63),
    [anon_sym_BSLASHadd] = ACTIONS(63),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(63),
    [anon_sym_BSLASHbk] = ACTIONS(63),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(63),
    [anon_sym_BSLASHdc] = ACTIONS(63),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(63),
    [anon_sym_BSLASHk] = ACTIONS(63),
    [anon_sym_BSLASHnd] = ACTIONS(63),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(63),
    [anon_sym_BSLASHord] = ACTIONS(63),
    [anon_sym_BSLASHord_STAR] = ACTIONS(63),
    [anon_sym_BSLASHpn] = ACTIONS(63),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(63),
    [anon_sym_BSLASHpng] = ACTIONS(63),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(63),
    [anon_sym_BSLASHaddpn] = ACTIONS(63),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(63),
    [anon_sym_BSLASHqt] = ACTIONS(63),
    [anon_sym_BSLASHsig] = ACTIONS(63),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(63),
    [anon_sym_BSLASHsls] = ACTIONS(63),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(63),
    [anon_sym_BSLASHtl] = ACTIONS(63),
    [anon_sym_BSLASHwj] = ACTIONS(63),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(63),
    [anon_sym_BSLASHem] = ACTIONS(63),
    [anon_sym_BSLASHem_STAR] = ACTIONS(63),
    [anon_sym_BSLASHbd] = ACTIONS(63),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(63),
    [anon_sym_BSLASHit] = ACTIONS(63),
    [anon_sym_BSLASHit_STAR] = ACTIONS(63),
    [anon_sym_BSLASHbdit] = ACTIONS(63),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(63),
    [anon_sym_BSLASHno] = ACTIONS(63),
    [anon_sym_BSLASHno_STAR] = ACTIONS(63),
    [anon_sym_BSLASHsc] = ACTIONS(63),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(63),
    [anon_sym_BSLASHsup] = ACTIONS(63),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(63),
    [anon_sym_BSLASHndx] = ACTIONS(63),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(63),
    [anon_sym_BSLASHpro] = ACTIONS(63),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(63),
    [anon_sym_BSLASHrb] = ACTIONS(63),
    [anon_sym_BSLASHw] = ACTIONS(63),
    [anon_sym_BSLASHw_STAR] = ACTIONS(63),
    [anon_sym_BSLASHwg] = ACTIONS(63),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(63),
    [anon_sym_BSLASHwh] = ACTIONS(63),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(63),
    [anon_sym_BSLASHwa] = ACTIONS(63),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(63),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(63),
    [anon_sym_BSLASHfig] = ACTIONS(63),
    [anon_sym_BSLASHjmp] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(63),
    [anon_sym_BSLASHpb] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(63),
    [sym_milestoneStartTag] = ACTIONS(63),
    [sym_milestoneEndTag] = ACTIONS(63),
    [sym_zSpaceTag] = ACTIONS(63),
    [anon_sym_BSLASHesbe] = ACTIONS(63),
    [anon_sym_BSLASHcat] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(63),
  },
  [17] = {
    [aux_sym_text_token1] = ACTIONS(65),
    [anon_sym_BSLASHref] = ACTIONS(67),
    [anon_sym_BSLASHsts] = ACTIONS(67),
    [anon_sym_BSLASHrem] = ACTIONS(67),
    [anon_sym_BSLASHrestore] = ACTIONS(67),
    [anon_sym_BSLASHlit] = ACTIONS(67),
    [anon_sym_BSLASHip] = ACTIONS(67),
    [anon_sym_BSLASHv] = ACTIONS(67),
    [anon_sym_BSLASHva] = ACTIONS(67),
    [anon_sym_BSLASHvp] = ACTIONS(67),
    [anon_sym_BSLASHmte] = ACTIONS(67),
    [anon_sym_BSLASHms] = ACTIONS(67),
    [anon_sym_BSLASHmr] = ACTIONS(67),
    [anon_sym_BSLASHs] = ACTIONS(67),
    [anon_sym_BSLASHsr] = ACTIONS(67),
    [anon_sym_BSLASHr] = ACTIONS(67),
    [anon_sym_BSLASHsp] = ACTIONS(67),
    [anon_sym_BSLASHd] = ACTIONS(67),
    [anon_sym_BSLASHsd] = ACTIONS(67),
    [anon_sym_BSLASHp] = ACTIONS(67),
    [anon_sym_BSLASHm] = ACTIONS(67),
    [anon_sym_BSLASHpo] = ACTIONS(67),
    [anon_sym_BSLASHpr] = ACTIONS(67),
    [anon_sym_BSLASHcls] = ACTIONS(67),
    [anon_sym_BSLASHpmo] = ACTIONS(67),
    [anon_sym_BSLASHpm] = ACTIONS(67),
    [anon_sym_BSLASHpmc] = ACTIONS(67),
    [anon_sym_BSLASHpmr] = ACTIONS(67),
    [anon_sym_BSLASHpi] = ACTIONS(67),
    [anon_sym_BSLASHmi] = ACTIONS(67),
    [anon_sym_BSLASHnb] = ACTIONS(67),
    [anon_sym_BSLASHpc] = ACTIONS(67),
    [anon_sym_BSLASHph] = ACTIONS(67),
    [anon_sym_BSLASHb] = ACTIONS(67),
    [anon_sym_BSLASHq] = ACTIONS(67),
    [anon_sym_BSLASHqr] = ACTIONS(67),
    [anon_sym_BSLASHqc] = ACTIONS(67),
    [anon_sym_BSLASHqa] = ACTIONS(67),
    [anon_sym_BSLASHqm] = ACTIONS(67),
    [anon_sym_BSLASHqd] = ACTIONS(67),
    [anon_sym_BSLASHlh] = ACTIONS(67),
    [anon_sym_BSLASHlf] = ACTIONS(67),
    [anon_sym_BSLASHli] = ACTIONS(67),
    [anon_sym_BSLASHlim] = ACTIONS(67),
    [anon_sym_BSLASHliv] = ACTIONS(67),
    [anon_sym_BSLASHlik] = ACTIONS(67),
    [anon_sym_BSLASHlitl] = ACTIONS(67),
    [anon_sym_BSLASHtr] = ACTIONS(67),
    [anon_sym_BSLASHf] = ACTIONS(67),
    [anon_sym_BSLASHfe] = ACTIONS(67),
    [anon_sym_BSLASHef] = ACTIONS(67),
    [anon_sym_BSLASHfm] = ACTIONS(67),
    [anon_sym_BSLASHx] = ACTIONS(67),
    [anon_sym_BSLASHxt] = ACTIONS(67),
    [anon_sym_BSLASHrq] = ACTIONS(67),
    [anon_sym_BSLASHadd] = ACTIONS(67),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(67),
    [anon_sym_BSLASHbk] = ACTIONS(67),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(67),
    [anon_sym_BSLASHdc] = ACTIONS(67),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(67),
    [anon_sym_BSLASHk] = ACTIONS(67),
    [anon_sym_BSLASHnd] = ACTIONS(67),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(67),
    [anon_sym_BSLASHord] = ACTIONS(67),
    [anon_sym_BSLASHord_STAR] = ACTIONS(67),
    [anon_sym_BSLASHpn] = ACTIONS(67),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(67),
    [anon_sym_BSLASHpng] = ACTIONS(67),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(67),
    [anon_sym_BSLASHaddpn] = ACTIONS(67),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(67),
    [anon_sym_BSLASHqt] = ACTIONS(67),
    [anon_sym_BSLASHsig] = ACTIONS(67),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(67),
    [anon_sym_BSLASHsls] = ACTIONS(67),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(67),
    [anon_sym_BSLASHtl] = ACTIONS(67),
    [anon_sym_BSLASHwj] = ACTIONS(67),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(67),
    [anon_sym_BSLASHem] = ACTIONS(67),
    [anon_sym_BSLASHem_STAR] = ACTIONS(67),
    [anon_sym_BSLASHbd] = ACTIONS(67),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(67),
    [anon_sym_BSLASHit] = ACTIONS(67),
    [anon_sym_BSLASHit_STAR] = ACTIONS(67),
    [anon_sym_BSLASHbdit] = ACTIONS(67),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(67),
    [anon_sym_BSLASHno] = ACTIONS(67),
    [anon_sym_BSLASHno_STAR] = ACTIONS(67),
    [anon_sym_BSLASHsc] = ACTIONS(67),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(67),
    [anon_sym_BSLASHsup] = ACTIONS(67),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(67),
    [anon_sym_BSLASHndx] = ACTIONS(67),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(67),
    [anon_sym_BSLASHpro] = ACTIONS(67),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(67),
    [anon_sym_BSLASHrb] = ACTIONS(67),
    [anon_sym_BSLASHw] = ACTIONS(67),
    [anon_sym_BSLASHw_STAR] = ACTIONS(67),
    [anon_sym_BSLASHwg] = ACTIONS(67),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(67),
    [anon_sym_BSLASHwh] = ACTIONS(67),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(67),
    [anon_sym_BSLASHwa] = ACTIONS(67),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(67),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(67),
    [anon_sym_BSLASHfig] = ACTIONS(67),
    [anon_sym_BSLASHjmp] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(67),
    [anon_sym_BSLASHpb] = ACTIONS(67),
    [anon_sym_BSLASH] = ACTIONS(67),
    [sym_milestoneStartTag] = ACTIONS(67),
    [sym_milestoneEndTag] = ACTIONS(67),
    [sym_zSpaceTag] = ACTIONS(67),
    [anon_sym_BSLASHesbe] = ACTIONS(67),
    [anon_sym_BSLASHcat] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(67),
  },
  [18] = {
    [aux_sym_text_token1] = ACTIONS(69),
    [anon_sym_BSLASHref] = ACTIONS(71),
    [anon_sym_BSLASHsts] = ACTIONS(71),
    [anon_sym_BSLASHrem] = ACTIONS(71),
    [anon_sym_BSLASHrestore] = ACTIONS(71),
    [anon_sym_BSLASHlit] = ACTIONS(71),
    [anon_sym_BSLASHip] = ACTIONS(71),
    [anon_sym_BSLASHv] = ACTIONS(71),
    [anon_sym_BSLASHva] = ACTIONS(71),
    [anon_sym_BSLASHvp] = ACTIONS(71),
    [anon_sym_BSLASHmte] = ACTIONS(71),
    [anon_sym_BSLASHms] = ACTIONS(71),
    [anon_sym_BSLASHmr] = ACTIONS(71),
    [anon_sym_BSLASHs] = ACTIONS(71),
    [anon_sym_BSLASHsr] = ACTIONS(71),
    [anon_sym_BSLASHr] = ACTIONS(71),
    [anon_sym_BSLASHsp] = ACTIONS(71),
    [anon_sym_BSLASHd] = ACTIONS(71),
    [anon_sym_BSLASHsd] = ACTIONS(71),
    [anon_sym_BSLASHp] = ACTIONS(71),
    [anon_sym_BSLASHm] = ACTIONS(71),
    [anon_sym_BSLASHpo] = ACTIONS(71),
    [anon_sym_BSLASHpr] = ACTIONS(71),
    [anon_sym_BSLASHcls] = ACTIONS(71),
    [anon_sym_BSLASHpmo] = ACTIONS(71),
    [anon_sym_BSLASHpm] = ACTIONS(71),
    [anon_sym_BSLASHpmc] = ACTIONS(71),
    [anon_sym_BSLASHpmr] = ACTIONS(71),
    [anon_sym_BSLASHpi] = ACTIONS(71),
    [anon_sym_BSLASHmi] = ACTIONS(71),
    [anon_sym_BSLASHnb] = ACTIONS(71),
    [anon_sym_BSLASHpc] = ACTIONS(71),
    [anon_sym_BSLASHph] = ACTIONS(71),
    [anon_sym_BSLASHb] = ACTIONS(71),
    [anon_sym_BSLASHq] = ACTIONS(71),
    [anon_sym_BSLASHqr] = ACTIONS(71),
    [anon_sym_BSLASHqc] = ACTIONS(71),
    [anon_sym_BSLASHqa] = ACTIONS(71),
    [anon_sym_BSLASHqm] = ACTIONS(71),
    [anon_sym_BSLASHqd] = ACTIONS(71),
    [anon_sym_BSLASHlh] = ACTIONS(71),
    [anon_sym_BSLASHlf] = ACTIONS(71),
    [anon_sym_BSLASHli] = ACTIONS(71),
    [anon_sym_BSLASHlim] = ACTIONS(71),
    [anon_sym_BSLASHliv] = ACTIONS(71),
    [anon_sym_BSLASHlik] = ACTIONS(71),
    [anon_sym_BSLASHlitl] = ACTIONS(71),
    [anon_sym_BSLASHtr] = ACTIONS(71),
    [anon_sym_BSLASHf] = ACTIONS(71),
    [anon_sym_BSLASHfe] = ACTIONS(71),
    [anon_sym_BSLASHef] = ACTIONS(71),
    [anon_sym_BSLASHfm] = ACTIONS(71),
    [anon_sym_BSLASHx] = ACTIONS(71),
    [anon_sym_BSLASHxt] = ACTIONS(71),
    [anon_sym_BSLASHrq] = ACTIONS(71),
    [anon_sym_BSLASHadd] = ACTIONS(71),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(71),
    [anon_sym_BSLASHbk] = ACTIONS(71),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(71),
    [anon_sym_BSLASHdc] = ACTIONS(71),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(71),
    [anon_sym_BSLASHk] = ACTIONS(71),
    [anon_sym_BSLASHnd] = ACTIONS(71),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(71),
    [anon_sym_BSLASHord] = ACTIONS(71),
    [anon_sym_BSLASHord_STAR] = ACTIONS(71),
    [anon_sym_BSLASHpn] = ACTIONS(71),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(71),
    [anon_sym_BSLASHpng] = ACTIONS(71),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(71),
    [anon_sym_BSLASHaddpn] = ACTIONS(71),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(71),
    [anon_sym_BSLASHqt] = ACTIONS(71),
    [anon_sym_BSLASHsig] = ACTIONS(71),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(71),
    [anon_sym_BSLASHsls] = ACTIONS(71),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(71),
    [anon_sym_BSLASHtl] = ACTIONS(71),
    [anon_sym_BSLASHwj] = ACTIONS(71),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(71),
    [anon_sym_BSLASHem] = ACTIONS(71),
    [anon_sym_BSLASHem_STAR] = ACTIONS(71),
    [anon_sym_BSLASHbd] = ACTIONS(71),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(71),
    [anon_sym_BSLASHit] = ACTIONS(71),
    [anon_sym_BSLASHit_STAR] = ACTIONS(71),
    [anon_sym_BSLASHbdit] = ACTIONS(71),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(71),
    [anon_sym_BSLASHno] = ACTIONS(71),
    [anon_sym_BSLASHno_STAR] = ACTIONS(71),
    [anon_sym_BSLASHsc] = ACTIONS(71),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(71),
    [anon_sym_BSLASHsup] = ACTIONS(71),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(71),
    [anon_sym_BSLASHndx] = ACTIONS(71),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(71),
    [anon_sym_BSLASHpro] = ACTIONS(71),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(71),
    [anon_sym_BSLASHrb] = ACTIONS(71),
    [anon_sym_BSLASHw] = ACTIONS(71),
    [anon_sym_BSLASHw_STAR] = ACTIONS(71),
    [anon_sym_BSLASHwg] = ACTIONS(71),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(71),
    [anon_sym_BSLASHwh] = ACTIONS(71),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(71),
    [anon_sym_BSLASHwa] = ACTIONS(71),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(71),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(71),
    [anon_sym_BSLASHfig] = ACTIONS(71),
    [anon_sym_BSLASHjmp] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(71),
    [anon_sym_BSLASHpb] = ACTIONS(71),
    [anon_sym_BSLASH] = ACTIONS(71),
    [sym_milestoneStartTag] = ACTIONS(71),
    [sym_milestoneEndTag] = ACTIONS(71),
    [sym_zSpaceTag] = ACTIONS(71),
    [anon_sym_BSLASHesbe] = ACTIONS(71),
    [anon_sym_BSLASHcat] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
  },
  [19] = {
    [aux_sym_text_token1] = ACTIONS(73),
    [anon_sym_BSLASHref] = ACTIONS(75),
    [anon_sym_BSLASHsts] = ACTIONS(75),
    [anon_sym_BSLASHrem] = ACTIONS(75),
    [anon_sym_BSLASHrestore] = ACTIONS(75),
    [anon_sym_BSLASHlit] = ACTIONS(75),
    [anon_sym_BSLASHip] = ACTIONS(75),
    [anon_sym_BSLASHv] = ACTIONS(75),
    [anon_sym_BSLASHva] = ACTIONS(75),
    [anon_sym_BSLASHvp] = ACTIONS(75),
    [anon_sym_BSLASHmte] = ACTIONS(75),
    [anon_sym_BSLASHms] = ACTIONS(75),
    [anon_sym_BSLASHmr] = ACTIONS(75),
    [anon_sym_BSLASHs] = ACTIONS(75),
    [anon_sym_BSLASHsr] = ACTIONS(75),
    [anon_sym_BSLASHr] = ACTIONS(75),
    [anon_sym_BSLASHsp] = ACTIONS(75),
    [anon_sym_BSLASHd] = ACTIONS(75),
    [anon_sym_BSLASHsd] = ACTIONS(75),
    [anon_sym_BSLASHp] = ACTIONS(75),
    [anon_sym_BSLASHm] = ACTIONS(75),
    [anon_sym_BSLASHpo] = ACTIONS(75),
    [anon_sym_BSLASHpr] = ACTIONS(75),
    [anon_sym_BSLASHcls] = ACTIONS(75),
    [anon_sym_BSLASHpmo] = ACTIONS(75),
    [anon_sym_BSLASHpm] = ACTIONS(75),
    [anon_sym_BSLASHpmc] = ACTIONS(75),
    [anon_sym_BSLASHpmr] = ACTIONS(75),
    [anon_sym_BSLASHpi] = ACTIONS(75),
    [anon_sym_BSLASHmi] = ACTIONS(75),
    [anon_sym_BSLASHnb] = ACTIONS(75),
    [anon_sym_BSLASHpc] = ACTIONS(75),
    [anon_sym_BSLASHph] = ACTIONS(75),
    [anon_sym_BSLASHb] = ACTIONS(75),
    [anon_sym_BSLASHq] = ACTIONS(75),
    [anon_sym_BSLASHqr] = ACTIONS(75),
    [anon_sym_BSLASHqc] = ACTIONS(75),
    [anon_sym_BSLASHqa] = ACTIONS(75),
    [anon_sym_BSLASHqm] = ACTIONS(75),
    [anon_sym_BSLASHqd] = ACTIONS(75),
    [anon_sym_BSLASHlh] = ACTIONS(75),
    [anon_sym_BSLASHlf] = ACTIONS(75),
    [anon_sym_BSLASHli] = ACTIONS(75),
    [anon_sym_BSLASHlim] = ACTIONS(75),
    [anon_sym_BSLASHliv] = ACTIONS(75),
    [anon_sym_BSLASHlik] = ACTIONS(75),
    [anon_sym_BSLASHlitl] = ACTIONS(75),
    [anon_sym_BSLASHtr] = ACTIONS(75),
    [anon_sym_BSLASHf] = ACTIONS(75),
    [anon_sym_BSLASHfe] = ACTIONS(75),
    [anon_sym_BSLASHef] = ACTIONS(75),
    [anon_sym_BSLASHfm] = ACTIONS(75),
    [anon_sym_BSLASHx] = ACTIONS(75),
    [anon_sym_BSLASHxt] = ACTIONS(75),
    [anon_sym_BSLASHrq] = ACTIONS(75),
    [anon_sym_BSLASHadd] = ACTIONS(75),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(75),
    [anon_sym_BSLASHbk] = ACTIONS(75),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(75),
    [anon_sym_BSLASHdc] = ACTIONS(75),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(75),
    [anon_sym_BSLASHk] = ACTIONS(75),
    [anon_sym_BSLASHnd] = ACTIONS(75),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(75),
    [anon_sym_BSLASHord] = ACTIONS(75),
    [anon_sym_BSLASHord_STAR] = ACTIONS(75),
    [anon_sym_BSLASHpn] = ACTIONS(75),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(75),
    [anon_sym_BSLASHpng] = ACTIONS(75),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(75),
    [anon_sym_BSLASHaddpn] = ACTIONS(75),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(75),
    [anon_sym_BSLASHqt] = ACTIONS(75),
    [anon_sym_BSLASHsig] = ACTIONS(75),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(75),
    [anon_sym_BSLASHsls] = ACTIONS(75),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(75),
    [anon_sym_BSLASHtl] = ACTIONS(75),
    [anon_sym_BSLASHwj] = ACTIONS(75),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(75),
    [anon_sym_BSLASHem] = ACTIONS(75),
    [anon_sym_BSLASHem_STAR] = ACTIONS(75),
    [anon_sym_BSLASHbd] = ACTIONS(75),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(75),
    [anon_sym_BSLASHit] = ACTIONS(75),
    [anon_sym_BSLASHit_STAR] = ACTIONS(75),
    [anon_sym_BSLASHbdit] = ACTIONS(75),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(75),
    [anon_sym_BSLASHno] = ACTIONS(75),
    [anon_sym_BSLASHno_STAR] = ACTIONS(75),
    [anon_sym_BSLASHsc] = ACTIONS(75),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(75),
    [anon_sym_BSLASHsup] = ACTIONS(75),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(75),
    [anon_sym_BSLASHndx] = ACTIONS(75),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(75),
    [anon_sym_BSLASHpro] = ACTIONS(75),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(75),
    [anon_sym_BSLASHrb] = ACTIONS(75),
    [anon_sym_BSLASHw] = ACTIONS(75),
    [anon_sym_BSLASHw_STAR] = ACTIONS(75),
    [anon_sym_BSLASHwg] = ACTIONS(75),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(75),
    [anon_sym_BSLASHwh] = ACTIONS(75),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(75),
    [anon_sym_BSLASHwa] = ACTIONS(75),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(75),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(75),
    [anon_sym_BSLASHfig] = ACTIONS(75),
    [anon_sym_BSLASHjmp] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(75),
    [anon_sym_BSLASHpb] = ACTIONS(75),
    [anon_sym_BSLASH] = ACTIONS(75),
    [sym_milestoneStartTag] = ACTIONS(75),
    [sym_milestoneEndTag] = ACTIONS(75),
    [sym_zSpaceTag] = ACTIONS(75),
    [anon_sym_BSLASHesbe] = ACTIONS(75),
    [anon_sym_BSLASHcat] = ACTIONS(75),
    [anon_sym_PIPE] = ACTIONS(75),
  },
  [20] = {
    [aux_sym_text_token1] = ACTIONS(77),
    [anon_sym_BSLASHref] = ACTIONS(79),
    [anon_sym_BSLASHsts] = ACTIONS(79),
    [anon_sym_BSLASHrem] = ACTIONS(79),
    [anon_sym_BSLASHrestore] = ACTIONS(79),
    [anon_sym_BSLASHlit] = ACTIONS(79),
    [anon_sym_BSLASHip] = ACTIONS(79),
    [anon_sym_BSLASHv] = ACTIONS(79),
    [anon_sym_BSLASHva] = ACTIONS(79),
    [anon_sym_BSLASHvp] = ACTIONS(79),
    [anon_sym_BSLASHmte] = ACTIONS(79),
    [anon_sym_BSLASHms] = ACTIONS(79),
    [anon_sym_BSLASHmr] = ACTIONS(79),
    [anon_sym_BSLASHs] = ACTIONS(79),
    [anon_sym_BSLASHsr] = ACTIONS(79),
    [anon_sym_BSLASHr] = ACTIONS(79),
    [anon_sym_BSLASHsp] = ACTIONS(79),
    [anon_sym_BSLASHd] = ACTIONS(79),
    [anon_sym_BSLASHsd] = ACTIONS(79),
    [anon_sym_BSLASHp] = ACTIONS(79),
    [anon_sym_BSLASHm] = ACTIONS(79),
    [anon_sym_BSLASHpo] = ACTIONS(79),
    [anon_sym_BSLASHpr] = ACTIONS(79),
    [anon_sym_BSLASHcls] = ACTIONS(79),
    [anon_sym_BSLASHpmo] = ACTIONS(79),
    [anon_sym_BSLASHpm] = ACTIONS(79),
    [anon_sym_BSLASHpmc] = ACTIONS(79),
    [anon_sym_BSLASHpmr] = ACTIONS(79),
    [anon_sym_BSLASHpi] = ACTIONS(79),
    [anon_sym_BSLASHmi] = ACTIONS(79),
    [anon_sym_BSLASHnb] = ACTIONS(79),
    [anon_sym_BSLASHpc] = ACTIONS(79),
    [anon_sym_BSLASHph] = ACTIONS(79),
    [anon_sym_BSLASHb] = ACTIONS(79),
    [anon_sym_BSLASHq] = ACTIONS(79),
    [anon_sym_BSLASHqr] = ACTIONS(79),
    [anon_sym_BSLASHqc] = ACTIONS(79),
    [anon_sym_BSLASHqa] = ACTIONS(79),
    [anon_sym_BSLASHqm] = ACTIONS(79),
    [anon_sym_BSLASHqd] = ACTIONS(79),
    [anon_sym_BSLASHlh] = ACTIONS(79),
    [anon_sym_BSLASHlf] = ACTIONS(79),
    [anon_sym_BSLASHli] = ACTIONS(79),
    [anon_sym_BSLASHlim] = ACTIONS(79),
    [anon_sym_BSLASHliv] = ACTIONS(79),
    [anon_sym_BSLASHlik] = ACTIONS(79),
    [anon_sym_BSLASHlitl] = ACTIONS(79),
    [anon_sym_BSLASHtr] = ACTIONS(79),
    [anon_sym_BSLASHf] = ACTIONS(79),
    [anon_sym_BSLASHfe] = ACTIONS(79),
    [anon_sym_BSLASHef] = ACTIONS(79),
    [anon_sym_BSLASHfm] = ACTIONS(79),
    [anon_sym_BSLASHx] = ACTIONS(79),
    [anon_sym_BSLASHxt] = ACTIONS(79),
    [anon_sym_BSLASHrq] = ACTIONS(79),
    [anon_sym_BSLASHadd] = ACTIONS(79),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(79),
    [anon_sym_BSLASHbk] = ACTIONS(79),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(79),
    [anon_sym_BSLASHdc] = ACTIONS(79),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(79),
    [anon_sym_BSLASHk] = ACTIONS(79),
    [anon_sym_BSLASHnd] = ACTIONS(79),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(79),
    [anon_sym_BSLASHord] = ACTIONS(79),
    [anon_sym_BSLASHord_STAR] = ACTIONS(79),
    [anon_sym_BSLASHpn] = ACTIONS(79),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(79),
    [anon_sym_BSLASHpng] = ACTIONS(79),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(79),
    [anon_sym_BSLASHaddpn] = ACTIONS(79),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(79),
    [anon_sym_BSLASHqt] = ACTIONS(79),
    [anon_sym_BSLASHsig] = ACTIONS(79),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(79),
    [anon_sym_BSLASHsls] = ACTIONS(79),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(79),
    [anon_sym_BSLASHtl] = ACTIONS(79),
    [anon_sym_BSLASHwj] = ACTIONS(79),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(79),
    [anon_sym_BSLASHem] = ACTIONS(79),
    [anon_sym_BSLASHem_STAR] = ACTIONS(79),
    [anon_sym_BSLASHbd] = ACTIONS(79),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(79),
    [anon_sym_BSLASHit] = ACTIONS(79),
    [anon_sym_BSLASHit_STAR] = ACTIONS(79),
    [anon_sym_BSLASHbdit] = ACTIONS(79),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(79),
    [anon_sym_BSLASHno] = ACTIONS(79),
    [anon_sym_BSLASHno_STAR] = ACTIONS(79),
    [anon_sym_BSLASHsc] = ACTIONS(79),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(79),
    [anon_sym_BSLASHsup] = ACTIONS(79),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(79),
    [anon_sym_BSLASHndx] = ACTIONS(79),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(79),
    [anon_sym_BSLASHpro] = ACTIONS(79),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(79),
    [anon_sym_BSLASHrb] = ACTIONS(79),
    [anon_sym_BSLASHw] = ACTIONS(79),
    [anon_sym_BSLASHw_STAR] = ACTIONS(79),
    [anon_sym_BSLASHwg] = ACTIONS(79),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(79),
    [anon_sym_BSLASHwh] = ACTIONS(79),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(79),
    [anon_sym_BSLASHwa] = ACTIONS(79),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(79),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfig] = ACTIONS(79),
    [anon_sym_BSLASHjmp] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(79),
    [anon_sym_BSLASHpb] = ACTIONS(79),
    [anon_sym_BSLASH] = ACTIONS(79),
    [sym_milestoneStartTag] = ACTIONS(79),
    [sym_milestoneEndTag] = ACTIONS(79),
    [sym_zSpaceTag] = ACTIONS(79),
    [anon_sym_BSLASHesbe] = ACTIONS(79),
    [anon_sym_BSLASHcat] = ACTIONS(79),
    [anon_sym_PIPE] = ACTIONS(79),
  },
  [21] = {
    [aux_sym_text_token1] = ACTIONS(81),
    [anon_sym_BSLASHref] = ACTIONS(83),
    [anon_sym_BSLASHsts] = ACTIONS(83),
    [anon_sym_BSLASHrem] = ACTIONS(83),
    [anon_sym_BSLASHrestore] = ACTIONS(83),
    [anon_sym_BSLASHlit] = ACTIONS(83),
    [anon_sym_BSLASHip] = ACTIONS(83),
    [anon_sym_BSLASHv] = ACTIONS(83),
    [anon_sym_BSLASHva] = ACTIONS(83),
    [anon_sym_BSLASHvp] = ACTIONS(83),
    [anon_sym_BSLASHmte] = ACTIONS(83),
    [anon_sym_BSLASHms] = ACTIONS(83),
    [anon_sym_BSLASHmr] = ACTIONS(83),
    [anon_sym_BSLASHs] = ACTIONS(83),
    [anon_sym_BSLASHsr] = ACTIONS(83),
    [anon_sym_BSLASHr] = ACTIONS(83),
    [anon_sym_BSLASHsp] = ACTIONS(83),
    [anon_sym_BSLASHd] = ACTIONS(83),
    [anon_sym_BSLASHsd] = ACTIONS(83),
    [anon_sym_BSLASHp] = ACTIONS(83),
    [anon_sym_BSLASHm] = ACTIONS(83),
    [anon_sym_BSLASHpo] = ACTIONS(83),
    [anon_sym_BSLASHpr] = ACTIONS(83),
    [anon_sym_BSLASHcls] = ACTIONS(83),
    [anon_sym_BSLASHpmo] = ACTIONS(83),
    [anon_sym_BSLASHpm] = ACTIONS(83),
    [anon_sym_BSLASHpmc] = ACTIONS(83),
    [anon_sym_BSLASHpmr] = ACTIONS(83),
    [anon_sym_BSLASHpi] = ACTIONS(83),
    [anon_sym_BSLASHmi] = ACTIONS(83),
    [anon_sym_BSLASHnb] = ACTIONS(83),
    [anon_sym_BSLASHpc] = ACTIONS(83),
    [anon_sym_BSLASHph] = ACTIONS(83),
    [anon_sym_BSLASHb] = ACTIONS(83),
    [anon_sym_BSLASHq] = ACTIONS(83),
    [anon_sym_BSLASHqr] = ACTIONS(83),
    [anon_sym_BSLASHqc] = ACTIONS(83),
    [anon_sym_BSLASHqa] = ACTIONS(83),
    [anon_sym_BSLASHqm] = ACTIONS(83),
    [anon_sym_BSLASHqd] = ACTIONS(83),
    [anon_sym_BSLASHlh] = ACTIONS(83),
    [anon_sym_BSLASHlf] = ACTIONS(83),
    [anon_sym_BSLASHli] = ACTIONS(83),
    [anon_sym_BSLASHlim] = ACTIONS(83),
    [anon_sym_BSLASHliv] = ACTIONS(83),
    [anon_sym_BSLASHlik] = ACTIONS(83),
    [anon_sym_BSLASHlitl] = ACTIONS(83),
    [anon_sym_BSLASHtr] = ACTIONS(83),
    [anon_sym_BSLASHf] = ACTIONS(83),
    [anon_sym_BSLASHfe] = ACTIONS(83),
    [anon_sym_BSLASHef] = ACTIONS(83),
    [anon_sym_BSLASHfm] = ACTIONS(83),
    [anon_sym_BSLASHx] = ACTIONS(83),
    [anon_sym_BSLASHxt] = ACTIONS(83),
    [anon_sym_BSLASHrq] = ACTIONS(83),
    [anon_sym_BSLASHadd] = ACTIONS(83),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(83),
    [anon_sym_BSLASHbk] = ACTIONS(83),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(83),
    [anon_sym_BSLASHdc] = ACTIONS(83),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(83),
    [anon_sym_BSLASHk] = ACTIONS(83),
    [anon_sym_BSLASHnd] = ACTIONS(83),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(83),
    [anon_sym_BSLASHord] = ACTIONS(83),
    [anon_sym_BSLASHord_STAR] = ACTIONS(83),
    [anon_sym_BSLASHpn] = ACTIONS(83),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(83),
    [anon_sym_BSLASHpng] = ACTIONS(83),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(83),
    [anon_sym_BSLASHaddpn] = ACTIONS(83),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(83),
    [anon_sym_BSLASHqt] = ACTIONS(83),
    [anon_sym_BSLASHsig] = ACTIONS(83),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(83),
    [anon_sym_BSLASHsls] = ACTIONS(83),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(83),
    [anon_sym_BSLASHtl] = ACTIONS(83),
    [anon_sym_BSLASHwj] = ACTIONS(83),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(83),
    [anon_sym_BSLASHem] = ACTIONS(83),
    [anon_sym_BSLASHem_STAR] = ACTIONS(83),
    [anon_sym_BSLASHbd] = ACTIONS(83),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(83),
    [anon_sym_BSLASHit] = ACTIONS(83),
    [anon_sym_BSLASHit_STAR] = ACTIONS(83),
    [anon_sym_BSLASHbdit] = ACTIONS(83),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(83),
    [anon_sym_BSLASHno] = ACTIONS(83),
    [anon_sym_BSLASHno_STAR] = ACTIONS(83),
    [anon_sym_BSLASHsc] = ACTIONS(83),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(83),
    [anon_sym_BSLASHsup] = ACTIONS(83),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(83),
    [anon_sym_BSLASHndx] = ACTIONS(83),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(83),
    [anon_sym_BSLASHpro] = ACTIONS(83),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(83),
    [anon_sym_BSLASHrb] = ACTIONS(83),
    [anon_sym_BSLASHw] = ACTIONS(83),
    [anon_sym_BSLASHw_STAR] = ACTIONS(83),
    [anon_sym_BSLASHwg] = ACTIONS(83),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(83),
    [anon_sym_BSLASHwh] = ACTIONS(83),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(83),
    [anon_sym_BSLASHwa] = ACTIONS(83),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(83),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfig] = ACTIONS(83),
    [anon_sym_BSLASHjmp] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(83),
    [anon_sym_BSLASHpb] = ACTIONS(83),
    [anon_sym_BSLASH] = ACTIONS(83),
    [sym_milestoneStartTag] = ACTIONS(83),
    [sym_milestoneEndTag] = ACTIONS(83),
    [sym_zSpaceTag] = ACTIONS(83),
    [anon_sym_BSLASHesbe] = ACTIONS(83),
    [anon_sym_BSLASHcat] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(83),
  },
  [22] = {
    [aux_sym_text_token1] = ACTIONS(85),
    [anon_sym_BSLASHref] = ACTIONS(87),
    [anon_sym_BSLASHf] = ACTIONS(87),
    [anon_sym_BSLASHf_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfe] = ACTIONS(87),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(87),
    [anon_sym_BSLASHef] = ACTIONS(87),
    [anon_sym_BSLASHef_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfr] = ACTIONS(87),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfq] = ACTIONS(87),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfqa] = ACTIONS(87),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfk] = ACTIONS(87),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfl] = ACTIONS(87),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfw] = ACTIONS(87),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfp] = ACTIONS(87),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(87),
    [anon_sym_BSLASHft] = ACTIONS(87),
    [anon_sym_BSLASHft_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfdc] = ACTIONS(87),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfv] = ACTIONS(87),
    [anon_sym_BSLASHfm] = ACTIONS(87),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(87),
    [anon_sym_BSLASHx] = ACTIONS(87),
    [anon_sym_BSLASHx_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxo] = ACTIONS(87),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxk] = ACTIONS(87),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxq] = ACTIONS(87),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxt] = ACTIONS(87),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxta] = ACTIONS(87),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxop] = ACTIONS(87),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxot] = ACTIONS(87),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxnt] = ACTIONS(87),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxdc] = ACTIONS(87),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(87),
    [anon_sym_BSLASHrq] = ACTIONS(87),
    [anon_sym_BSLASHadd] = ACTIONS(87),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(87),
    [anon_sym_BSLASHbk] = ACTIONS(87),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(87),
    [anon_sym_BSLASHdc] = ACTIONS(87),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(87),
    [anon_sym_BSLASHk] = ACTIONS(87),
    [anon_sym_BSLASHnd] = ACTIONS(87),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(87),
    [anon_sym_BSLASHord] = ACTIONS(87),
    [anon_sym_BSLASHord_STAR] = ACTIONS(87),
    [anon_sym_BSLASHpn] = ACTIONS(87),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(87),
    [anon_sym_BSLASHpng] = ACTIONS(87),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(87),
    [anon_sym_BSLASHaddpn] = ACTIONS(87),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(87),
    [anon_sym_BSLASHqt] = ACTIONS(87),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(87),
    [anon_sym_BSLASHsig] = ACTIONS(87),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(87),
    [anon_sym_BSLASHsls] = ACTIONS(87),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(87),
    [anon_sym_BSLASHtl] = ACTIONS(87),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(87),
    [anon_sym_BSLASHwj] = ACTIONS(87),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(87),
    [anon_sym_BSLASHem] = ACTIONS(87),
    [anon_sym_BSLASHem_STAR] = ACTIONS(87),
    [anon_sym_BSLASHbd] = ACTIONS(87),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(87),
    [anon_sym_BSLASHit] = ACTIONS(87),
    [anon_sym_BSLASHit_STAR] = ACTIONS(87),
    [anon_sym_BSLASHbdit] = ACTIONS(87),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(87),
    [anon_sym_BSLASHno] = ACTIONS(87),
    [anon_sym_BSLASHno_STAR] = ACTIONS(87),
    [anon_sym_BSLASHsc] = ACTIONS(87),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(87),
    [anon_sym_BSLASHsup] = ACTIONS(87),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(87),
    [anon_sym_BSLASHndx] = ACTIONS(87),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(87),
    [anon_sym_BSLASHpro] = ACTIONS(87),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(87),
    [anon_sym_BSLASHrb] = ACTIONS(87),
    [anon_sym_BSLASHw] = ACTIONS(87),
    [anon_sym_BSLASHw_STAR] = ACTIONS(87),
    [anon_sym_BSLASHwg] = ACTIONS(87),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(87),
    [anon_sym_BSLASHwh] = ACTIONS(87),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(87),
    [anon_sym_BSLASHwa] = ACTIONS(87),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(87),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfig] = ACTIONS(87),
    [anon_sym_BSLASHjmp] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(87),
    [anon_sym_BSLASHcat] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(87),
  },
  [23] = {
    [aux_sym_text_token1] = ACTIONS(89),
    [anon_sym_BSLASHref] = ACTIONS(91),
    [anon_sym_BSLASHf] = ACTIONS(91),
    [anon_sym_BSLASHf_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfe] = ACTIONS(91),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(91),
    [anon_sym_BSLASHef] = ACTIONS(91),
    [anon_sym_BSLASHef_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfr] = ACTIONS(91),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfq] = ACTIONS(91),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfqa] = ACTIONS(91),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfk] = ACTIONS(91),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfl] = ACTIONS(91),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfw] = ACTIONS(91),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfp] = ACTIONS(91),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(91),
    [anon_sym_BSLASHft] = ACTIONS(91),
    [anon_sym_BSLASHft_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfdc] = ACTIONS(91),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfv] = ACTIONS(91),
    [anon_sym_BSLASHfm] = ACTIONS(91),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(91),
    [anon_sym_BSLASHx] = ACTIONS(91),
    [anon_sym_BSLASHx_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxo] = ACTIONS(91),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxk] = ACTIONS(91),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxq] = ACTIONS(91),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxt] = ACTIONS(91),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxta] = ACTIONS(91),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxop] = ACTIONS(91),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxot] = ACTIONS(91),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxnt] = ACTIONS(91),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxdc] = ACTIONS(91),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(91),
    [anon_sym_BSLASHrq] = ACTIONS(91),
    [anon_sym_BSLASHadd] = ACTIONS(91),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(91),
    [anon_sym_BSLASHbk] = ACTIONS(91),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(91),
    [anon_sym_BSLASHdc] = ACTIONS(91),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(91),
    [anon_sym_BSLASHk] = ACTIONS(91),
    [anon_sym_BSLASHnd] = ACTIONS(91),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(91),
    [anon_sym_BSLASHord] = ACTIONS(91),
    [anon_sym_BSLASHord_STAR] = ACTIONS(91),
    [anon_sym_BSLASHpn] = ACTIONS(91),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(91),
    [anon_sym_BSLASHpng] = ACTIONS(91),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(91),
    [anon_sym_BSLASHaddpn] = ACTIONS(91),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(91),
    [anon_sym_BSLASHqt] = ACTIONS(91),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(91),
    [anon_sym_BSLASHsig] = ACTIONS(91),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(91),
    [anon_sym_BSLASHsls] = ACTIONS(91),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(91),
    [anon_sym_BSLASHtl] = ACTIONS(91),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(91),
    [anon_sym_BSLASHwj] = ACTIONS(91),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(91),
    [anon_sym_BSLASHem] = ACTIONS(91),
    [anon_sym_BSLASHem_STAR] = ACTIONS(91),
    [anon_sym_BSLASHbd] = ACTIONS(91),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(91),
    [anon_sym_BSLASHit] = ACTIONS(91),
    [anon_sym_BSLASHit_STAR] = ACTIONS(91),
    [anon_sym_BSLASHbdit] = ACTIONS(91),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(91),
    [anon_sym_BSLASHno] = ACTIONS(91),
    [anon_sym_BSLASHno_STAR] = ACTIONS(91),
    [anon_sym_BSLASHsc] = ACTIONS(91),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(91),
    [anon_sym_BSLASHsup] = ACTIONS(91),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(91),
    [anon_sym_BSLASHndx] = ACTIONS(91),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(91),
    [anon_sym_BSLASHpro] = ACTIONS(91),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(91),
    [anon_sym_BSLASHrb] = ACTIONS(91),
    [anon_sym_BSLASHw] = ACTIONS(91),
    [anon_sym_BSLASHw_STAR] = ACTIONS(91),
    [anon_sym_BSLASHwg] = ACTIONS(91),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(91),
    [anon_sym_BSLASHwh] = ACTIONS(91),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(91),
    [anon_sym_BSLASHwa] = ACTIONS(91),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(91),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfig] = ACTIONS(91),
    [anon_sym_BSLASHjmp] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(91),
    [anon_sym_BSLASHcat] = ACTIONS(91),
    [anon_sym_PIPE] = ACTIONS(91),
  },
  [24] = {
    [aux_sym_text_token1] = ACTIONS(93),
    [anon_sym_BSLASHref] = ACTIONS(95),
    [anon_sym_BSLASHf] = ACTIONS(95),
    [anon_sym_BSLASHf_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfe] = ACTIONS(95),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(95),
    [anon_sym_BSLASHef] = ACTIONS(95),
    [anon_sym_BSLASHef_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfr] = ACTIONS(95),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfq] = ACTIONS(95),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfqa] = ACTIONS(95),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfk] = ACTIONS(95),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfl] = ACTIONS(95),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfw] = ACTIONS(95),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfp] = ACTIONS(95),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(95),
    [anon_sym_BSLASHft] = ACTIONS(95),
    [anon_sym_BSLASHft_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfdc] = ACTIONS(95),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfv] = ACTIONS(95),
    [anon_sym_BSLASHfm] = ACTIONS(95),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(95),
    [anon_sym_BSLASHx] = ACTIONS(95),
    [anon_sym_BSLASHx_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxo] = ACTIONS(95),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxk] = ACTIONS(95),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxq] = ACTIONS(95),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxt] = ACTIONS(95),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxta] = ACTIONS(95),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxop] = ACTIONS(95),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxot] = ACTIONS(95),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxnt] = ACTIONS(95),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxdc] = ACTIONS(95),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(95),
    [anon_sym_BSLASHrq] = ACTIONS(95),
    [anon_sym_BSLASHadd] = ACTIONS(95),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(95),
    [anon_sym_BSLASHbk] = ACTIONS(95),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(95),
    [anon_sym_BSLASHdc] = ACTIONS(95),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(95),
    [anon_sym_BSLASHk] = ACTIONS(95),
    [anon_sym_BSLASHnd] = ACTIONS(95),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(95),
    [anon_sym_BSLASHord] = ACTIONS(95),
    [anon_sym_BSLASHord_STAR] = ACTIONS(95),
    [anon_sym_BSLASHpn] = ACTIONS(95),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(95),
    [anon_sym_BSLASHpng] = ACTIONS(95),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(95),
    [anon_sym_BSLASHaddpn] = ACTIONS(95),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(95),
    [anon_sym_BSLASHqt] = ACTIONS(95),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(95),
    [anon_sym_BSLASHsig] = ACTIONS(95),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(95),
    [anon_sym_BSLASHsls] = ACTIONS(95),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(95),
    [anon_sym_BSLASHtl] = ACTIONS(95),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(95),
    [anon_sym_BSLASHwj] = ACTIONS(95),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(95),
    [anon_sym_BSLASHem] = ACTIONS(95),
    [anon_sym_BSLASHem_STAR] = ACTIONS(95),
    [anon_sym_BSLASHbd] = ACTIONS(95),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(95),
    [anon_sym_BSLASHit] = ACTIONS(95),
    [anon_sym_BSLASHit_STAR] = ACTIONS(95),
    [anon_sym_BSLASHbdit] = ACTIONS(95),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(95),
    [anon_sym_BSLASHno] = ACTIONS(95),
    [anon_sym_BSLASHno_STAR] = ACTIONS(95),
    [anon_sym_BSLASHsc] = ACTIONS(95),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(95),
    [anon_sym_BSLASHsup] = ACTIONS(95),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(95),
    [anon_sym_BSLASHndx] = ACTIONS(95),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(95),
    [anon_sym_BSLASHpro] = ACTIONS(95),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(95),
    [anon_sym_BSLASHrb] = ACTIONS(95),
    [anon_sym_BSLASHw] = ACTIONS(95),
    [anon_sym_BSLASHw_STAR] = ACTIONS(95),
    [anon_sym_BSLASHwg] = ACTIONS(95),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(95),
    [anon_sym_BSLASHwh] = ACTIONS(95),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(95),
    [anon_sym_BSLASHwa] = ACTIONS(95),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(95),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfig] = ACTIONS(95),
    [anon_sym_BSLASHjmp] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(95),
    [anon_sym_BSLASHcat] = ACTIONS(95),
    [anon_sym_PIPE] = ACTIONS(95),
  },
  [25] = {
    [aux_sym_text_token1] = ACTIONS(97),
    [anon_sym_BSLASHref] = ACTIONS(99),
    [anon_sym_BSLASHf] = ACTIONS(99),
    [anon_sym_BSLASHf_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfe] = ACTIONS(99),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(99),
    [anon_sym_BSLASHef] = ACTIONS(99),
    [anon_sym_BSLASHef_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfr] = ACTIONS(99),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfq] = ACTIONS(99),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfqa] = ACTIONS(99),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfk] = ACTIONS(99),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfl] = ACTIONS(99),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfw] = ACTIONS(99),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfp] = ACTIONS(99),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(99),
    [anon_sym_BSLASHft] = ACTIONS(99),
    [anon_sym_BSLASHft_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfdc] = ACTIONS(99),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfv] = ACTIONS(99),
    [anon_sym_BSLASHfm] = ACTIONS(99),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(99),
    [anon_sym_BSLASHx] = ACTIONS(99),
    [anon_sym_BSLASHx_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxo] = ACTIONS(99),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxk] = ACTIONS(99),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxq] = ACTIONS(99),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxt] = ACTIONS(99),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxta] = ACTIONS(99),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxop] = ACTIONS(99),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxot] = ACTIONS(99),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxnt] = ACTIONS(99),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxdc] = ACTIONS(99),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(99),
    [anon_sym_BSLASHrq] = ACTIONS(99),
    [anon_sym_BSLASHadd] = ACTIONS(99),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(99),
    [anon_sym_BSLASHbk] = ACTIONS(99),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(99),
    [anon_sym_BSLASHdc] = ACTIONS(99),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(99),
    [anon_sym_BSLASHk] = ACTIONS(99),
    [anon_sym_BSLASHnd] = ACTIONS(99),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(99),
    [anon_sym_BSLASHord] = ACTIONS(99),
    [anon_sym_BSLASHord_STAR] = ACTIONS(99),
    [anon_sym_BSLASHpn] = ACTIONS(99),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(99),
    [anon_sym_BSLASHpng] = ACTIONS(99),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(99),
    [anon_sym_BSLASHaddpn] = ACTIONS(99),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(99),
    [anon_sym_BSLASHqt] = ACTIONS(99),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(99),
    [anon_sym_BSLASHsig] = ACTIONS(99),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(99),
    [anon_sym_BSLASHsls] = ACTIONS(99),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(99),
    [anon_sym_BSLASHtl] = ACTIONS(99),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(99),
    [anon_sym_BSLASHwj] = ACTIONS(99),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(99),
    [anon_sym_BSLASHem] = ACTIONS(99),
    [anon_sym_BSLASHem_STAR] = ACTIONS(99),
    [anon_sym_BSLASHbd] = ACTIONS(99),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(99),
    [anon_sym_BSLASHit] = ACTIONS(99),
    [anon_sym_BSLASHit_STAR] = ACTIONS(99),
    [anon_sym_BSLASHbdit] = ACTIONS(99),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(99),
    [anon_sym_BSLASHno] = ACTIONS(99),
    [anon_sym_BSLASHno_STAR] = ACTIONS(99),
    [anon_sym_BSLASHsc] = ACTIONS(99),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(99),
    [anon_sym_BSLASHsup] = ACTIONS(99),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(99),
    [anon_sym_BSLASHndx] = ACTIONS(99),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(99),
    [anon_sym_BSLASHpro] = ACTIONS(99),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(99),
    [anon_sym_BSLASHrb] = ACTIONS(99),
    [anon_sym_BSLASHw] = ACTIONS(99),
    [anon_sym_BSLASHw_STAR] = ACTIONS(99),
    [anon_sym_BSLASHwg] = ACTIONS(99),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(99),
    [anon_sym_BSLASHwh] = ACTIONS(99),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(99),
    [anon_sym_BSLASHwa] = ACTIONS(99),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(99),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfig] = ACTIONS(99),
    [anon_sym_BSLASHjmp] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(99),
    [anon_sym_BSLASHcat] = ACTIONS(99),
    [anon_sym_PIPE] = ACTIONS(99),
  },
  [26] = {
    [aux_sym_text_token1] = ACTIONS(101),
    [anon_sym_BSLASHref] = ACTIONS(103),
    [anon_sym_BSLASHf] = ACTIONS(103),
    [anon_sym_BSLASHf_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfe] = ACTIONS(103),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(103),
    [anon_sym_BSLASHef] = ACTIONS(103),
    [anon_sym_BSLASHef_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfr] = ACTIONS(103),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfq] = ACTIONS(103),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfqa] = ACTIONS(103),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfk] = ACTIONS(103),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfl] = ACTIONS(103),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfw] = ACTIONS(103),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfp] = ACTIONS(103),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(103),
    [anon_sym_BSLASHft] = ACTIONS(103),
    [anon_sym_BSLASHft_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfdc] = ACTIONS(103),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfv] = ACTIONS(103),
    [anon_sym_BSLASHfm] = ACTIONS(103),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(103),
    [anon_sym_BSLASHx] = ACTIONS(103),
    [anon_sym_BSLASHx_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxo] = ACTIONS(103),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxk] = ACTIONS(103),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxq] = ACTIONS(103),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxt] = ACTIONS(103),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxta] = ACTIONS(103),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxop] = ACTIONS(103),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxot] = ACTIONS(103),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxnt] = ACTIONS(103),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxdc] = ACTIONS(103),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(103),
    [anon_sym_BSLASHrq] = ACTIONS(103),
    [anon_sym_BSLASHadd] = ACTIONS(103),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(103),
    [anon_sym_BSLASHbk] = ACTIONS(103),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(103),
    [anon_sym_BSLASHdc] = ACTIONS(103),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(103),
    [anon_sym_BSLASHk] = ACTIONS(103),
    [anon_sym_BSLASHnd] = ACTIONS(103),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(103),
    [anon_sym_BSLASHord] = ACTIONS(103),
    [anon_sym_BSLASHord_STAR] = ACTIONS(103),
    [anon_sym_BSLASHpn] = ACTIONS(103),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(103),
    [anon_sym_BSLASHpng] = ACTIONS(103),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(103),
    [anon_sym_BSLASHaddpn] = ACTIONS(103),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(103),
    [anon_sym_BSLASHqt] = ACTIONS(103),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(103),
    [anon_sym_BSLASHsig] = ACTIONS(103),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(103),
    [anon_sym_BSLASHsls] = ACTIONS(103),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(103),
    [anon_sym_BSLASHtl] = ACTIONS(103),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(103),
    [anon_sym_BSLASHwj] = ACTIONS(103),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(103),
    [anon_sym_BSLASHem] = ACTIONS(103),
    [anon_sym_BSLASHem_STAR] = ACTIONS(103),
    [anon_sym_BSLASHbd] = ACTIONS(103),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(103),
    [anon_sym_BSLASHit] = ACTIONS(103),
    [anon_sym_BSLASHit_STAR] = ACTIONS(103),
    [anon_sym_BSLASHbdit] = ACTIONS(103),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(103),
    [anon_sym_BSLASHno] = ACTIONS(103),
    [anon_sym_BSLASHno_STAR] = ACTIONS(103),
    [anon_sym_BSLASHsc] = ACTIONS(103),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(103),
    [anon_sym_BSLASHsup] = ACTIONS(103),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(103),
    [anon_sym_BSLASHndx] = ACTIONS(103),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(103),
    [anon_sym_BSLASHpro] = ACTIONS(103),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(103),
    [anon_sym_BSLASHrb] = ACTIONS(103),
    [anon_sym_BSLASHw] = ACTIONS(103),
    [anon_sym_BSLASHw_STAR] = ACTIONS(103),
    [anon_sym_BSLASHwg] = ACTIONS(103),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(103),
    [anon_sym_BSLASHwh] = ACTIONS(103),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(103),
    [anon_sym_BSLASHwa] = ACTIONS(103),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(103),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfig] = ACTIONS(103),
    [anon_sym_BSLASHjmp] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(103),
    [anon_sym_BSLASHcat] = ACTIONS(103),
    [anon_sym_PIPE] = ACTIONS(103),
  },
  [27] = {
    [aux_sym_text_token1] = ACTIONS(105),
    [anon_sym_BSLASHref] = ACTIONS(107),
    [anon_sym_BSLASHf] = ACTIONS(107),
    [anon_sym_BSLASHf_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfe] = ACTIONS(107),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(107),
    [anon_sym_BSLASHef] = ACTIONS(107),
    [anon_sym_BSLASHef_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfr] = ACTIONS(107),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfq] = ACTIONS(107),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfqa] = ACTIONS(107),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfk] = ACTIONS(107),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfl] = ACTIONS(107),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfw] = ACTIONS(107),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfp] = ACTIONS(107),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(107),
    [anon_sym_BSLASHft] = ACTIONS(107),
    [anon_sym_BSLASHft_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfdc] = ACTIONS(107),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfv] = ACTIONS(107),
    [anon_sym_BSLASHfm] = ACTIONS(107),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(107),
    [anon_sym_BSLASHx] = ACTIONS(107),
    [anon_sym_BSLASHx_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxo] = ACTIONS(107),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxk] = ACTIONS(107),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxq] = ACTIONS(107),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxt] = ACTIONS(107),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxta] = ACTIONS(107),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxop] = ACTIONS(107),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxot] = ACTIONS(107),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxnt] = ACTIONS(107),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxdc] = ACTIONS(107),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(107),
    [anon_sym_BSLASHrq] = ACTIONS(107),
    [anon_sym_BSLASHadd] = ACTIONS(107),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(107),
    [anon_sym_BSLASHbk] = ACTIONS(107),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(107),
    [anon_sym_BSLASHdc] = ACTIONS(107),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(107),
    [anon_sym_BSLASHk] = ACTIONS(107),
    [anon_sym_BSLASHnd] = ACTIONS(107),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(107),
    [anon_sym_BSLASHord] = ACTIONS(107),
    [anon_sym_BSLASHord_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpn] = ACTIONS(107),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpng] = ACTIONS(107),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(107),
    [anon_sym_BSLASHaddpn] = ACTIONS(107),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(107),
    [anon_sym_BSLASHqt] = ACTIONS(107),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(107),
    [anon_sym_BSLASHsig] = ACTIONS(107),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(107),
    [anon_sym_BSLASHsls] = ACTIONS(107),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(107),
    [anon_sym_BSLASHtl] = ACTIONS(107),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(107),
    [anon_sym_BSLASHwj] = ACTIONS(107),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(107),
    [anon_sym_BSLASHem] = ACTIONS(107),
    [anon_sym_BSLASHem_STAR] = ACTIONS(107),
    [anon_sym_BSLASHbd] = ACTIONS(107),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(107),
    [anon_sym_BSLASHit] = ACTIONS(107),
    [anon_sym_BSLASHit_STAR] = ACTIONS(107),
    [anon_sym_BSLASHbdit] = ACTIONS(107),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(107),
    [anon_sym_BSLASHno] = ACTIONS(107),
    [anon_sym_BSLASHno_STAR] = ACTIONS(107),
    [anon_sym_BSLASHsc] = ACTIONS(107),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(107),
    [anon_sym_BSLASHsup] = ACTIONS(107),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(107),
    [anon_sym_BSLASHndx] = ACTIONS(107),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpro] = ACTIONS(107),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(107),
    [anon_sym_BSLASHrb] = ACTIONS(107),
    [anon_sym_BSLASHw] = ACTIONS(107),
    [anon_sym_BSLASHw_STAR] = ACTIONS(107),
    [anon_sym_BSLASHwg] = ACTIONS(107),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(107),
    [anon_sym_BSLASHwh] = ACTIONS(107),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(107),
    [anon_sym_BSLASHwa] = ACTIONS(107),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(107),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfig] = ACTIONS(107),
    [anon_sym_BSLASHjmp] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(107),
    [anon_sym_BSLASHcat] = ACTIONS(107),
    [anon_sym_PIPE] = ACTIONS(107),
  },
  [28] = {
    [aux_sym_text_token1] = ACTIONS(109),
    [anon_sym_BSLASHref] = ACTIONS(111),
    [anon_sym_BSLASHf] = ACTIONS(111),
    [anon_sym_BSLASHf_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfe] = ACTIONS(111),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(111),
    [anon_sym_BSLASHef] = ACTIONS(111),
    [anon_sym_BSLASHef_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfr] = ACTIONS(111),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfq] = ACTIONS(111),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfqa] = ACTIONS(111),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfk] = ACTIONS(111),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfl] = ACTIONS(111),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfw] = ACTIONS(111),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfp] = ACTIONS(111),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(111),
    [anon_sym_BSLASHft] = ACTIONS(111),
    [anon_sym_BSLASHft_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfdc] = ACTIONS(111),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfv] = ACTIONS(111),
    [anon_sym_BSLASHfm] = ACTIONS(111),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(111),
    [anon_sym_BSLASHx] = ACTIONS(111),
    [anon_sym_BSLASHx_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxo] = ACTIONS(111),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxk] = ACTIONS(111),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxq] = ACTIONS(111),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxt] = ACTIONS(111),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxta] = ACTIONS(111),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxop] = ACTIONS(111),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxot] = ACTIONS(111),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxnt] = ACTIONS(111),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxdc] = ACTIONS(111),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(111),
    [anon_sym_BSLASHrq] = ACTIONS(111),
    [anon_sym_BSLASHadd] = ACTIONS(111),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(111),
    [anon_sym_BSLASHbk] = ACTIONS(111),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(111),
    [anon_sym_BSLASHdc] = ACTIONS(111),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(111),
    [anon_sym_BSLASHk] = ACTIONS(111),
    [anon_sym_BSLASHnd] = ACTIONS(111),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(111),
    [anon_sym_BSLASHord] = ACTIONS(111),
    [anon_sym_BSLASHord_STAR] = ACTIONS(111),
    [anon_sym_BSLASHpn] = ACTIONS(111),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(111),
    [anon_sym_BSLASHpng] = ACTIONS(111),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(111),
    [anon_sym_BSLASHaddpn] = ACTIONS(111),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(111),
    [anon_sym_BSLASHqt] = ACTIONS(111),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(111),
    [anon_sym_BSLASHsig] = ACTIONS(111),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(111),
    [anon_sym_BSLASHsls] = ACTIONS(111),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(111),
    [anon_sym_BSLASHtl] = ACTIONS(111),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(111),
    [anon_sym_BSLASHwj] = ACTIONS(111),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(111),
    [anon_sym_BSLASHem] = ACTIONS(111),
    [anon_sym_BSLASHem_STAR] = ACTIONS(111),
    [anon_sym_BSLASHbd] = ACTIONS(111),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(111),
    [anon_sym_BSLASHit] = ACTIONS(111),
    [anon_sym_BSLASHit_STAR] = ACTIONS(111),
    [anon_sym_BSLASHbdit] = ACTIONS(111),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(111),
    [anon_sym_BSLASHno] = ACTIONS(111),
    [anon_sym_BSLASHno_STAR] = ACTIONS(111),
    [anon_sym_BSLASHsc] = ACTIONS(111),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(111),
    [anon_sym_BSLASHsup] = ACTIONS(111),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(111),
    [anon_sym_BSLASHndx] = ACTIONS(111),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(111),
    [anon_sym_BSLASHpro] = ACTIONS(111),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(111),
    [anon_sym_BSLASHrb] = ACTIONS(111),
    [anon_sym_BSLASHw] = ACTIONS(111),
    [anon_sym_BSLASHw_STAR] = ACTIONS(111),
    [anon_sym_BSLASHwg] = ACTIONS(111),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(111),
    [anon_sym_BSLASHwh] = ACTIONS(111),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(111),
    [anon_sym_BSLASHwa] = ACTIONS(111),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(111),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfig] = ACTIONS(111),
    [anon_sym_BSLASHjmp] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(111),
    [anon_sym_BSLASHcat] = ACTIONS(111),
    [anon_sym_PIPE] = ACTIONS(111),
  },
  [29] = {
    [aux_sym_text_token1] = ACTIONS(113),
    [anon_sym_BSLASHref] = ACTIONS(115),
    [anon_sym_BSLASHf] = ACTIONS(115),
    [anon_sym_BSLASHf_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfe] = ACTIONS(115),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(115),
    [anon_sym_BSLASHef] = ACTIONS(115),
    [anon_sym_BSLASHef_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfr] = ACTIONS(115),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfq] = ACTIONS(115),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfqa] = ACTIONS(115),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfk] = ACTIONS(115),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfl] = ACTIONS(115),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfw] = ACTIONS(115),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfp] = ACTIONS(115),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(115),
    [anon_sym_BSLASHft] = ACTIONS(115),
    [anon_sym_BSLASHft_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfdc] = ACTIONS(115),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfv] = ACTIONS(115),
    [anon_sym_BSLASHfm] = ACTIONS(115),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(115),
    [anon_sym_BSLASHx] = ACTIONS(115),
    [anon_sym_BSLASHx_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxo] = ACTIONS(115),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxk] = ACTIONS(115),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxq] = ACTIONS(115),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxt] = ACTIONS(115),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxta] = ACTIONS(115),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxop] = ACTIONS(115),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxot] = ACTIONS(115),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxnt] = ACTIONS(115),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxdc] = ACTIONS(115),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(115),
    [anon_sym_BSLASHrq] = ACTIONS(115),
    [anon_sym_BSLASHadd] = ACTIONS(115),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(115),
    [anon_sym_BSLASHbk] = ACTIONS(115),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(115),
    [anon_sym_BSLASHdc] = ACTIONS(115),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(115),
    [anon_sym_BSLASHk] = ACTIONS(115),
    [anon_sym_BSLASHnd] = ACTIONS(115),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(115),
    [anon_sym_BSLASHord] = ACTIONS(115),
    [anon_sym_BSLASHord_STAR] = ACTIONS(115),
    [anon_sym_BSLASHpn] = ACTIONS(115),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(115),
    [anon_sym_BSLASHpng] = ACTIONS(115),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(115),
    [anon_sym_BSLASHaddpn] = ACTIONS(115),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(115),
    [anon_sym_BSLASHqt] = ACTIONS(115),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(115),
    [anon_sym_BSLASHsig] = ACTIONS(115),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(115),
    [anon_sym_BSLASHsls] = ACTIONS(115),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(115),
    [anon_sym_BSLASHtl] = ACTIONS(115),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(115),
    [anon_sym_BSLASHwj] = ACTIONS(115),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(115),
    [anon_sym_BSLASHem] = ACTIONS(115),
    [anon_sym_BSLASHem_STAR] = ACTIONS(115),
    [anon_sym_BSLASHbd] = ACTIONS(115),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(115),
    [anon_sym_BSLASHit] = ACTIONS(115),
    [anon_sym_BSLASHit_STAR] = ACTIONS(115),
    [anon_sym_BSLASHbdit] = ACTIONS(115),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(115),
    [anon_sym_BSLASHno] = ACTIONS(115),
    [anon_sym_BSLASHno_STAR] = ACTIONS(115),
    [anon_sym_BSLASHsc] = ACTIONS(115),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(115),
    [anon_sym_BSLASHsup] = ACTIONS(115),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(115),
    [anon_sym_BSLASHndx] = ACTIONS(115),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(115),
    [anon_sym_BSLASHpro] = ACTIONS(115),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(115),
    [anon_sym_BSLASHrb] = ACTIONS(115),
    [anon_sym_BSLASHw] = ACTIONS(115),
    [anon_sym_BSLASHw_STAR] = ACTIONS(115),
    [anon_sym_BSLASHwg] = ACTIONS(115),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(115),
    [anon_sym_BSLASHwh] = ACTIONS(115),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(115),
    [anon_sym_BSLASHwa] = ACTIONS(115),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(115),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfig] = ACTIONS(115),
    [anon_sym_BSLASHjmp] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(115),
    [anon_sym_BSLASHcat] = ACTIONS(115),
    [anon_sym_PIPE] = ACTIONS(115),
  },
  [30] = {
    [aux_sym_text_token1] = ACTIONS(117),
    [anon_sym_BSLASHref] = ACTIONS(119),
    [anon_sym_BSLASHf] = ACTIONS(119),
    [anon_sym_BSLASHf_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfe] = ACTIONS(119),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(119),
    [anon_sym_BSLASHef] = ACTIONS(119),
    [anon_sym_BSLASHef_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfr] = ACTIONS(119),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfq] = ACTIONS(119),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfqa] = ACTIONS(119),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfk] = ACTIONS(119),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfl] = ACTIONS(119),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfw] = ACTIONS(119),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfp] = ACTIONS(119),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(119),
    [anon_sym_BSLASHft] = ACTIONS(119),
    [anon_sym_BSLASHft_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfdc] = ACTIONS(119),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfv] = ACTIONS(119),
    [anon_sym_BSLASHfm] = ACTIONS(119),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(119),
    [anon_sym_BSLASHx] = ACTIONS(119),
    [anon_sym_BSLASHx_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxo] = ACTIONS(119),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxk] = ACTIONS(119),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxq] = ACTIONS(119),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxt] = ACTIONS(119),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxta] = ACTIONS(119),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxop] = ACTIONS(119),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxot] = ACTIONS(119),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxnt] = ACTIONS(119),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxdc] = ACTIONS(119),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(119),
    [anon_sym_BSLASHrq] = ACTIONS(119),
    [anon_sym_BSLASHadd] = ACTIONS(119),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(119),
    [anon_sym_BSLASHbk] = ACTIONS(119),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(119),
    [anon_sym_BSLASHdc] = ACTIONS(119),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(119),
    [anon_sym_BSLASHk] = ACTIONS(119),
    [anon_sym_BSLASHnd] = ACTIONS(119),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(119),
    [anon_sym_BSLASHord] = ACTIONS(119),
    [anon_sym_BSLASHord_STAR] = ACTIONS(119),
    [anon_sym_BSLASHpn] = ACTIONS(119),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(119),
    [anon_sym_BSLASHpng] = ACTIONS(119),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(119),
    [anon_sym_BSLASHaddpn] = ACTIONS(119),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(119),
    [anon_sym_BSLASHqt] = ACTIONS(119),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(119),
    [anon_sym_BSLASHsig] = ACTIONS(119),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(119),
    [anon_sym_BSLASHsls] = ACTIONS(119),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(119),
    [anon_sym_BSLASHtl] = ACTIONS(119),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(119),
    [anon_sym_BSLASHwj] = ACTIONS(119),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(119),
    [anon_sym_BSLASHem] = ACTIONS(119),
    [anon_sym_BSLASHem_STAR] = ACTIONS(119),
    [anon_sym_BSLASHbd] = ACTIONS(119),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(119),
    [anon_sym_BSLASHit] = ACTIONS(119),
    [anon_sym_BSLASHit_STAR] = ACTIONS(119),
    [anon_sym_BSLASHbdit] = ACTIONS(119),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(119),
    [anon_sym_BSLASHno] = ACTIONS(119),
    [anon_sym_BSLASHno_STAR] = ACTIONS(119),
    [anon_sym_BSLASHsc] = ACTIONS(119),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(119),
    [anon_sym_BSLASHsup] = ACTIONS(119),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(119),
    [anon_sym_BSLASHndx] = ACTIONS(119),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(119),
    [anon_sym_BSLASHpro] = ACTIONS(119),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(119),
    [anon_sym_BSLASHrb] = ACTIONS(119),
    [anon_sym_BSLASHw] = ACTIONS(119),
    [anon_sym_BSLASHw_STAR] = ACTIONS(119),
    [anon_sym_BSLASHwg] = ACTIONS(119),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(119),
    [anon_sym_BSLASHwh] = ACTIONS(119),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(119),
    [anon_sym_BSLASHwa] = ACTIONS(119),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(119),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfig] = ACTIONS(119),
    [anon_sym_BSLASHjmp] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(119),
    [anon_sym_BSLASHcat] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(119),
  },
  [31] = {
    [aux_sym_text_token1] = ACTIONS(121),
    [anon_sym_BSLASHref] = ACTIONS(123),
    [anon_sym_BSLASHf] = ACTIONS(123),
    [anon_sym_BSLASHf_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfe] = ACTIONS(123),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(123),
    [anon_sym_BSLASHef] = ACTIONS(123),
    [anon_sym_BSLASHef_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfr] = ACTIONS(123),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfq] = ACTIONS(123),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfqa] = ACTIONS(123),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfk] = ACTIONS(123),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfl] = ACTIONS(123),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfw] = ACTIONS(123),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfp] = ACTIONS(123),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(123),
    [anon_sym_BSLASHft] = ACTIONS(123),
    [anon_sym_BSLASHft_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfdc] = ACTIONS(123),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfv] = ACTIONS(123),
    [anon_sym_BSLASHfm] = ACTIONS(123),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(123),
    [anon_sym_BSLASHx] = ACTIONS(123),
    [anon_sym_BSLASHx_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxo] = ACTIONS(123),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxk] = ACTIONS(123),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxq] = ACTIONS(123),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxt] = ACTIONS(123),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxta] = ACTIONS(123),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxop] = ACTIONS(123),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxot] = ACTIONS(123),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxnt] = ACTIONS(123),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxdc] = ACTIONS(123),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(123),
    [anon_sym_BSLASHrq] = ACTIONS(123),
    [anon_sym_BSLASHadd] = ACTIONS(123),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(123),
    [anon_sym_BSLASHbk] = ACTIONS(123),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(123),
    [anon_sym_BSLASHdc] = ACTIONS(123),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(123),
    [anon_sym_BSLASHk] = ACTIONS(123),
    [anon_sym_BSLASHnd] = ACTIONS(123),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(123),
    [anon_sym_BSLASHord] = ACTIONS(123),
    [anon_sym_BSLASHord_STAR] = ACTIONS(123),
    [anon_sym_BSLASHpn] = ACTIONS(123),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(123),
    [anon_sym_BSLASHpng] = ACTIONS(123),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(123),
    [anon_sym_BSLASHaddpn] = ACTIONS(123),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(123),
    [anon_sym_BSLASHqt] = ACTIONS(123),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(123),
    [anon_sym_BSLASHsig] = ACTIONS(123),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(123),
    [anon_sym_BSLASHsls] = ACTIONS(123),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(123),
    [anon_sym_BSLASHtl] = ACTIONS(123),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(123),
    [anon_sym_BSLASHwj] = ACTIONS(123),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(123),
    [anon_sym_BSLASHem] = ACTIONS(123),
    [anon_sym_BSLASHem_STAR] = ACTIONS(123),
    [anon_sym_BSLASHbd] = ACTIONS(123),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(123),
    [anon_sym_BSLASHit] = ACTIONS(123),
    [anon_sym_BSLASHit_STAR] = ACTIONS(123),
    [anon_sym_BSLASHbdit] = ACTIONS(123),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(123),
    [anon_sym_BSLASHno] = ACTIONS(123),
    [anon_sym_BSLASHno_STAR] = ACTIONS(123),
    [anon_sym_BSLASHsc] = ACTIONS(123),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(123),
    [anon_sym_BSLASHsup] = ACTIONS(123),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(123),
    [anon_sym_BSLASHndx] = ACTIONS(123),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(123),
    [anon_sym_BSLASHpro] = ACTIONS(123),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(123),
    [anon_sym_BSLASHrb] = ACTIONS(123),
    [anon_sym_BSLASHw] = ACTIONS(123),
    [anon_sym_BSLASHw_STAR] = ACTIONS(123),
    [anon_sym_BSLASHwg] = ACTIONS(123),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(123),
    [anon_sym_BSLASHwh] = ACTIONS(123),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(123),
    [anon_sym_BSLASHwa] = ACTIONS(123),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(123),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfig] = ACTIONS(123),
    [anon_sym_BSLASHjmp] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(123),
    [anon_sym_BSLASHcat] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
  },
  [32] = {
    [aux_sym_text_token1] = ACTIONS(125),
    [anon_sym_BSLASHref] = ACTIONS(127),
    [anon_sym_BSLASHf] = ACTIONS(127),
    [anon_sym_BSLASHf_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfe] = ACTIONS(127),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(127),
    [anon_sym_BSLASHef] = ACTIONS(127),
    [anon_sym_BSLASHef_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfr] = ACTIONS(127),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfq] = ACTIONS(127),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfqa] = ACTIONS(127),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfk] = ACTIONS(127),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfl] = ACTIONS(127),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfw] = ACTIONS(127),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfp] = ACTIONS(127),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(127),
    [anon_sym_BSLASHft] = ACTIONS(127),
    [anon_sym_BSLASHft_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfdc] = ACTIONS(127),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfv] = ACTIONS(127),
    [anon_sym_BSLASHfm] = ACTIONS(127),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(127),
    [anon_sym_BSLASHx] = ACTIONS(127),
    [anon_sym_BSLASHx_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxo] = ACTIONS(127),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxk] = ACTIONS(127),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxq] = ACTIONS(127),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxt] = ACTIONS(127),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxta] = ACTIONS(127),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxop] = ACTIONS(127),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxot] = ACTIONS(127),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxnt] = ACTIONS(127),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxdc] = ACTIONS(127),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(127),
    [anon_sym_BSLASHrq] = ACTIONS(127),
    [anon_sym_BSLASHadd] = ACTIONS(127),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(127),
    [anon_sym_BSLASHbk] = ACTIONS(127),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(127),
    [anon_sym_BSLASHdc] = ACTIONS(127),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(127),
    [anon_sym_BSLASHk] = ACTIONS(127),
    [anon_sym_BSLASHnd] = ACTIONS(127),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(127),
    [anon_sym_BSLASHord] = ACTIONS(127),
    [anon_sym_BSLASHord_STAR] = ACTIONS(127),
    [anon_sym_BSLASHpn] = ACTIONS(127),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(127),
    [anon_sym_BSLASHpng] = ACTIONS(127),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(127),
    [anon_sym_BSLASHaddpn] = ACTIONS(127),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(127),
    [anon_sym_BSLASHqt] = ACTIONS(127),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(127),
    [anon_sym_BSLASHsig] = ACTIONS(127),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(127),
    [anon_sym_BSLASHsls] = ACTIONS(127),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(127),
    [anon_sym_BSLASHtl] = ACTIONS(127),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(127),
    [anon_sym_BSLASHwj] = ACTIONS(127),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(127),
    [anon_sym_BSLASHem] = ACTIONS(127),
    [anon_sym_BSLASHem_STAR] = ACTIONS(127),
    [anon_sym_BSLASHbd] = ACTIONS(127),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(127),
    [anon_sym_BSLASHit] = ACTIONS(127),
    [anon_sym_BSLASHit_STAR] = ACTIONS(127),
    [anon_sym_BSLASHbdit] = ACTIONS(127),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(127),
    [anon_sym_BSLASHno] = ACTIONS(127),
    [anon_sym_BSLASHno_STAR] = ACTIONS(127),
    [anon_sym_BSLASHsc] = ACTIONS(127),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(127),
    [anon_sym_BSLASHsup] = ACTIONS(127),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(127),
    [anon_sym_BSLASHndx] = ACTIONS(127),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(127),
    [anon_sym_BSLASHpro] = ACTIONS(127),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(127),
    [anon_sym_BSLASHrb] = ACTIONS(127),
    [anon_sym_BSLASHw] = ACTIONS(127),
    [anon_sym_BSLASHw_STAR] = ACTIONS(127),
    [anon_sym_BSLASHwg] = ACTIONS(127),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(127),
    [anon_sym_BSLASHwh] = ACTIONS(127),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(127),
    [anon_sym_BSLASHwa] = ACTIONS(127),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(127),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfig] = ACTIONS(127),
    [anon_sym_BSLASHjmp] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(127),
    [anon_sym_BSLASHcat] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
  },
  [33] = {
    [aux_sym_text_token1] = ACTIONS(129),
    [anon_sym_BSLASHref] = ACTIONS(131),
    [anon_sym_BSLASHf] = ACTIONS(131),
    [anon_sym_BSLASHf_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfe] = ACTIONS(131),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(131),
    [anon_sym_BSLASHef] = ACTIONS(131),
    [anon_sym_BSLASHef_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfr] = ACTIONS(131),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfq] = ACTIONS(131),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfqa] = ACTIONS(131),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfk] = ACTIONS(131),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfl] = ACTIONS(131),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfw] = ACTIONS(131),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfp] = ACTIONS(131),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(131),
    [anon_sym_BSLASHft] = ACTIONS(131),
    [anon_sym_BSLASHft_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfdc] = ACTIONS(131),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfv] = ACTIONS(131),
    [anon_sym_BSLASHfm] = ACTIONS(131),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(131),
    [anon_sym_BSLASHx] = ACTIONS(131),
    [anon_sym_BSLASHx_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxo] = ACTIONS(131),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxk] = ACTIONS(131),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxq] = ACTIONS(131),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxt] = ACTIONS(131),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxta] = ACTIONS(131),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxop] = ACTIONS(131),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxot] = ACTIONS(131),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxnt] = ACTIONS(131),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxdc] = ACTIONS(131),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(131),
    [anon_sym_BSLASHrq] = ACTIONS(131),
    [anon_sym_BSLASHadd] = ACTIONS(131),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(131),
    [anon_sym_BSLASHbk] = ACTIONS(131),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(131),
    [anon_sym_BSLASHdc] = ACTIONS(131),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(131),
    [anon_sym_BSLASHk] = ACTIONS(131),
    [anon_sym_BSLASHnd] = ACTIONS(131),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(131),
    [anon_sym_BSLASHord] = ACTIONS(131),
    [anon_sym_BSLASHord_STAR] = ACTIONS(131),
    [anon_sym_BSLASHpn] = ACTIONS(131),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(131),
    [anon_sym_BSLASHpng] = ACTIONS(131),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(131),
    [anon_sym_BSLASHaddpn] = ACTIONS(131),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(131),
    [anon_sym_BSLASHqt] = ACTIONS(131),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(131),
    [anon_sym_BSLASHsig] = ACTIONS(131),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(131),
    [anon_sym_BSLASHsls] = ACTIONS(131),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(131),
    [anon_sym_BSLASHtl] = ACTIONS(131),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(131),
    [anon_sym_BSLASHwj] = ACTIONS(131),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(131),
    [anon_sym_BSLASHem] = ACTIONS(131),
    [anon_sym_BSLASHem_STAR] = ACTIONS(131),
    [anon_sym_BSLASHbd] = ACTIONS(131),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(131),
    [anon_sym_BSLASHit] = ACTIONS(131),
    [anon_sym_BSLASHit_STAR] = ACTIONS(131),
    [anon_sym_BSLASHbdit] = ACTIONS(131),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(131),
    [anon_sym_BSLASHno] = ACTIONS(131),
    [anon_sym_BSLASHno_STAR] = ACTIONS(131),
    [anon_sym_BSLASHsc] = ACTIONS(131),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(131),
    [anon_sym_BSLASHsup] = ACTIONS(131),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(131),
    [anon_sym_BSLASHndx] = ACTIONS(131),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(131),
    [anon_sym_BSLASHpro] = ACTIONS(131),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(131),
    [anon_sym_BSLASHrb] = ACTIONS(131),
    [anon_sym_BSLASHw] = ACTIONS(131),
    [anon_sym_BSLASHw_STAR] = ACTIONS(131),
    [anon_sym_BSLASHwg] = ACTIONS(131),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(131),
    [anon_sym_BSLASHwh] = ACTIONS(131),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(131),
    [anon_sym_BSLASHwa] = ACTIONS(131),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(131),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfig] = ACTIONS(131),
    [anon_sym_BSLASHjmp] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(131),
    [anon_sym_BSLASHcat] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
  },
  [34] = {
    [aux_sym_text_token1] = ACTIONS(133),
    [anon_sym_BSLASHref] = ACTIONS(135),
    [anon_sym_BSLASHf] = ACTIONS(135),
    [anon_sym_BSLASHf_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfe] = ACTIONS(135),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(135),
    [anon_sym_BSLASHef] = ACTIONS(135),
    [anon_sym_BSLASHef_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfr] = ACTIONS(135),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfq] = ACTIONS(135),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfqa] = ACTIONS(135),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfk] = ACTIONS(135),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfl] = ACTIONS(135),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfw] = ACTIONS(135),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfp] = ACTIONS(135),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(135),
    [anon_sym_BSLASHft] = ACTIONS(135),
    [anon_sym_BSLASHft_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfdc] = ACTIONS(135),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfv] = ACTIONS(135),
    [anon_sym_BSLASHfm] = ACTIONS(135),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(135),
    [anon_sym_BSLASHx] = ACTIONS(135),
    [anon_sym_BSLASHx_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxo] = ACTIONS(135),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxk] = ACTIONS(135),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxq] = ACTIONS(135),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxt] = ACTIONS(135),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxta] = ACTIONS(135),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxop] = ACTIONS(135),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxot] = ACTIONS(135),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxnt] = ACTIONS(135),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxdc] = ACTIONS(135),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(135),
    [anon_sym_BSLASHrq] = ACTIONS(135),
    [anon_sym_BSLASHadd] = ACTIONS(135),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(135),
    [anon_sym_BSLASHbk] = ACTIONS(135),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(135),
    [anon_sym_BSLASHdc] = ACTIONS(135),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(135),
    [anon_sym_BSLASHk] = ACTIONS(135),
    [anon_sym_BSLASHnd] = ACTIONS(135),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(135),
    [anon_sym_BSLASHord] = ACTIONS(135),
    [anon_sym_BSLASHord_STAR] = ACTIONS(135),
    [anon_sym_BSLASHpn] = ACTIONS(135),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(135),
    [anon_sym_BSLASHpng] = ACTIONS(135),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(135),
    [anon_sym_BSLASHaddpn] = ACTIONS(135),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(135),
    [anon_sym_BSLASHqt] = ACTIONS(135),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(135),
    [anon_sym_BSLASHsig] = ACTIONS(135),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(135),
    [anon_sym_BSLASHsls] = ACTIONS(135),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(135),
    [anon_sym_BSLASHtl] = ACTIONS(135),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(135),
    [anon_sym_BSLASHwj] = ACTIONS(135),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(135),
    [anon_sym_BSLASHem] = ACTIONS(135),
    [anon_sym_BSLASHem_STAR] = ACTIONS(135),
    [anon_sym_BSLASHbd] = ACTIONS(135),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(135),
    [anon_sym_BSLASHit] = ACTIONS(135),
    [anon_sym_BSLASHit_STAR] = ACTIONS(135),
    [anon_sym_BSLASHbdit] = ACTIONS(135),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(135),
    [anon_sym_BSLASHno] = ACTIONS(135),
    [anon_sym_BSLASHno_STAR] = ACTIONS(135),
    [anon_sym_BSLASHsc] = ACTIONS(135),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(135),
    [anon_sym_BSLASHsup] = ACTIONS(135),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(135),
    [anon_sym_BSLASHndx] = ACTIONS(135),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(135),
    [anon_sym_BSLASHpro] = ACTIONS(135),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(135),
    [anon_sym_BSLASHrb] = ACTIONS(135),
    [anon_sym_BSLASHw] = ACTIONS(135),
    [anon_sym_BSLASHw_STAR] = ACTIONS(135),
    [anon_sym_BSLASHwg] = ACTIONS(135),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(135),
    [anon_sym_BSLASHwh] = ACTIONS(135),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(135),
    [anon_sym_BSLASHwa] = ACTIONS(135),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(135),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfig] = ACTIONS(135),
    [anon_sym_BSLASHjmp] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(135),
    [anon_sym_BSLASHcat] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
  },
  [35] = {
    [aux_sym_text_token1] = ACTIONS(137),
    [anon_sym_BSLASHref] = ACTIONS(139),
    [anon_sym_BSLASHf] = ACTIONS(139),
    [anon_sym_BSLASHf_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfe] = ACTIONS(139),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(139),
    [anon_sym_BSLASHef] = ACTIONS(139),
    [anon_sym_BSLASHef_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfr] = ACTIONS(139),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfq] = ACTIONS(139),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfqa] = ACTIONS(139),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfk] = ACTIONS(139),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfl] = ACTIONS(139),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfw] = ACTIONS(139),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfp] = ACTIONS(139),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(139),
    [anon_sym_BSLASHft] = ACTIONS(139),
    [anon_sym_BSLASHft_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfdc] = ACTIONS(139),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfv] = ACTIONS(139),
    [anon_sym_BSLASHfm] = ACTIONS(139),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(139),
    [anon_sym_BSLASHx] = ACTIONS(139),
    [anon_sym_BSLASHx_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxo] = ACTIONS(139),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxk] = ACTIONS(139),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxq] = ACTIONS(139),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxt] = ACTIONS(139),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxta] = ACTIONS(139),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxop] = ACTIONS(139),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxot] = ACTIONS(139),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxnt] = ACTIONS(139),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxdc] = ACTIONS(139),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(139),
    [anon_sym_BSLASHrq] = ACTIONS(139),
    [anon_sym_BSLASHadd] = ACTIONS(139),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(139),
    [anon_sym_BSLASHbk] = ACTIONS(139),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(139),
    [anon_sym_BSLASHdc] = ACTIONS(139),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(139),
    [anon_sym_BSLASHk] = ACTIONS(139),
    [anon_sym_BSLASHnd] = ACTIONS(139),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(139),
    [anon_sym_BSLASHord] = ACTIONS(139),
    [anon_sym_BSLASHord_STAR] = ACTIONS(139),
    [anon_sym_BSLASHpn] = ACTIONS(139),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(139),
    [anon_sym_BSLASHpng] = ACTIONS(139),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(139),
    [anon_sym_BSLASHaddpn] = ACTIONS(139),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(139),
    [anon_sym_BSLASHqt] = ACTIONS(139),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(139),
    [anon_sym_BSLASHsig] = ACTIONS(139),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(139),
    [anon_sym_BSLASHsls] = ACTIONS(139),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(139),
    [anon_sym_BSLASHtl] = ACTIONS(139),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(139),
    [anon_sym_BSLASHwj] = ACTIONS(139),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(139),
    [anon_sym_BSLASHem] = ACTIONS(139),
    [anon_sym_BSLASHem_STAR] = ACTIONS(139),
    [anon_sym_BSLASHbd] = ACTIONS(139),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(139),
    [anon_sym_BSLASHit] = ACTIONS(139),
    [anon_sym_BSLASHit_STAR] = ACTIONS(139),
    [anon_sym_BSLASHbdit] = ACTIONS(139),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(139),
    [anon_sym_BSLASHno] = ACTIONS(139),
    [anon_sym_BSLASHno_STAR] = ACTIONS(139),
    [anon_sym_BSLASHsc] = ACTIONS(139),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(139),
    [anon_sym_BSLASHsup] = ACTIONS(139),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(139),
    [anon_sym_BSLASHndx] = ACTIONS(139),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(139),
    [anon_sym_BSLASHpro] = ACTIONS(139),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(139),
    [anon_sym_BSLASHrb] = ACTIONS(139),
    [anon_sym_BSLASHw] = ACTIONS(139),
    [anon_sym_BSLASHw_STAR] = ACTIONS(139),
    [anon_sym_BSLASHwg] = ACTIONS(139),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(139),
    [anon_sym_BSLASHwh] = ACTIONS(139),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(139),
    [anon_sym_BSLASHwa] = ACTIONS(139),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(139),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfig] = ACTIONS(139),
    [anon_sym_BSLASHjmp] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(139),
    [anon_sym_BSLASHcat] = ACTIONS(139),
    [anon_sym_PIPE] = ACTIONS(139),
  },
  [36] = {
    [aux_sym_text_token1] = ACTIONS(141),
    [anon_sym_BSLASHref] = ACTIONS(143),
    [anon_sym_BSLASHf] = ACTIONS(143),
    [anon_sym_BSLASHf_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfe] = ACTIONS(143),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(143),
    [anon_sym_BSLASHef] = ACTIONS(143),
    [anon_sym_BSLASHef_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfr] = ACTIONS(143),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfq] = ACTIONS(143),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfqa] = ACTIONS(143),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfk] = ACTIONS(143),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfl] = ACTIONS(143),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfw] = ACTIONS(143),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfp] = ACTIONS(143),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(143),
    [anon_sym_BSLASHft] = ACTIONS(143),
    [anon_sym_BSLASHft_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfdc] = ACTIONS(143),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfv] = ACTIONS(143),
    [anon_sym_BSLASHfm] = ACTIONS(143),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(143),
    [anon_sym_BSLASHx] = ACTIONS(143),
    [anon_sym_BSLASHx_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxo] = ACTIONS(143),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxk] = ACTIONS(143),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxq] = ACTIONS(143),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxt] = ACTIONS(143),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxta] = ACTIONS(143),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxop] = ACTIONS(143),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxot] = ACTIONS(143),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxnt] = ACTIONS(143),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxdc] = ACTIONS(143),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(143),
    [anon_sym_BSLASHrq] = ACTIONS(143),
    [anon_sym_BSLASHadd] = ACTIONS(143),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(143),
    [anon_sym_BSLASHbk] = ACTIONS(143),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(143),
    [anon_sym_BSLASHdc] = ACTIONS(143),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(143),
    [anon_sym_BSLASHk] = ACTIONS(143),
    [anon_sym_BSLASHnd] = ACTIONS(143),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(143),
    [anon_sym_BSLASHord] = ACTIONS(143),
    [anon_sym_BSLASHord_STAR] = ACTIONS(143),
    [anon_sym_BSLASHpn] = ACTIONS(143),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(143),
    [anon_sym_BSLASHpng] = ACTIONS(143),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(143),
    [anon_sym_BSLASHaddpn] = ACTIONS(143),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(143),
    [anon_sym_BSLASHqt] = ACTIONS(143),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(143),
    [anon_sym_BSLASHsig] = ACTIONS(143),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(143),
    [anon_sym_BSLASHsls] = ACTIONS(143),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(143),
    [anon_sym_BSLASHtl] = ACTIONS(143),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(143),
    [anon_sym_BSLASHwj] = ACTIONS(143),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(143),
    [anon_sym_BSLASHem] = ACTIONS(143),
    [anon_sym_BSLASHem_STAR] = ACTIONS(143),
    [anon_sym_BSLASHbd] = ACTIONS(143),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(143),
    [anon_sym_BSLASHit] = ACTIONS(143),
    [anon_sym_BSLASHit_STAR] = ACTIONS(143),
    [anon_sym_BSLASHbdit] = ACTIONS(143),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(143),
    [anon_sym_BSLASHno] = ACTIONS(143),
    [anon_sym_BSLASHno_STAR] = ACTIONS(143),
    [anon_sym_BSLASHsc] = ACTIONS(143),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(143),
    [anon_sym_BSLASHsup] = ACTIONS(143),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(143),
    [anon_sym_BSLASHndx] = ACTIONS(143),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(143),
    [anon_sym_BSLASHpro] = ACTIONS(143),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(143),
    [anon_sym_BSLASHrb] = ACTIONS(143),
    [anon_sym_BSLASHw] = ACTIONS(143),
    [anon_sym_BSLASHw_STAR] = ACTIONS(143),
    [anon_sym_BSLASHwg] = ACTIONS(143),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(143),
    [anon_sym_BSLASHwh] = ACTIONS(143),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(143),
    [anon_sym_BSLASHwa] = ACTIONS(143),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(143),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfig] = ACTIONS(143),
    [anon_sym_BSLASHjmp] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(143),
    [anon_sym_BSLASHcat] = ACTIONS(143),
    [anon_sym_PIPE] = ACTIONS(143),
  },
  [37] = {
    [aux_sym_text_token1] = ACTIONS(145),
    [anon_sym_BSLASHref] = ACTIONS(147),
    [anon_sym_BSLASHf] = ACTIONS(147),
    [anon_sym_BSLASHf_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfe] = ACTIONS(147),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(147),
    [anon_sym_BSLASHef] = ACTIONS(147),
    [anon_sym_BSLASHef_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfr] = ACTIONS(147),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfq] = ACTIONS(147),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfqa] = ACTIONS(147),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfk] = ACTIONS(147),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfl] = ACTIONS(147),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfw] = ACTIONS(147),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfp] = ACTIONS(147),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(147),
    [anon_sym_BSLASHft] = ACTIONS(147),
    [anon_sym_BSLASHft_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfdc] = ACTIONS(147),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfv] = ACTIONS(147),
    [anon_sym_BSLASHfm] = ACTIONS(147),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(147),
    [anon_sym_BSLASHx] = ACTIONS(147),
    [anon_sym_BSLASHx_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxo] = ACTIONS(147),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxk] = ACTIONS(147),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxq] = ACTIONS(147),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxt] = ACTIONS(147),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxta] = ACTIONS(147),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxop] = ACTIONS(147),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxot] = ACTIONS(147),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxnt] = ACTIONS(147),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxdc] = ACTIONS(147),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(147),
    [anon_sym_BSLASHrq] = ACTIONS(147),
    [anon_sym_BSLASHadd] = ACTIONS(147),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(147),
    [anon_sym_BSLASHbk] = ACTIONS(147),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(147),
    [anon_sym_BSLASHdc] = ACTIONS(147),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(147),
    [anon_sym_BSLASHk] = ACTIONS(147),
    [anon_sym_BSLASHnd] = ACTIONS(147),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(147),
    [anon_sym_BSLASHord] = ACTIONS(147),
    [anon_sym_BSLASHord_STAR] = ACTIONS(147),
    [anon_sym_BSLASHpn] = ACTIONS(147),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(147),
    [anon_sym_BSLASHpng] = ACTIONS(147),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(147),
    [anon_sym_BSLASHaddpn] = ACTIONS(147),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(147),
    [anon_sym_BSLASHqt] = ACTIONS(147),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(147),
    [anon_sym_BSLASHsig] = ACTIONS(147),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(147),
    [anon_sym_BSLASHsls] = ACTIONS(147),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(147),
    [anon_sym_BSLASHtl] = ACTIONS(147),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(147),
    [anon_sym_BSLASHwj] = ACTIONS(147),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(147),
    [anon_sym_BSLASHem] = ACTIONS(147),
    [anon_sym_BSLASHem_STAR] = ACTIONS(147),
    [anon_sym_BSLASHbd] = ACTIONS(147),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(147),
    [anon_sym_BSLASHit] = ACTIONS(147),
    [anon_sym_BSLASHit_STAR] = ACTIONS(147),
    [anon_sym_BSLASHbdit] = ACTIONS(147),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(147),
    [anon_sym_BSLASHno] = ACTIONS(147),
    [anon_sym_BSLASHno_STAR] = ACTIONS(147),
    [anon_sym_BSLASHsc] = ACTIONS(147),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(147),
    [anon_sym_BSLASHsup] = ACTIONS(147),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(147),
    [anon_sym_BSLASHndx] = ACTIONS(147),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(147),
    [anon_sym_BSLASHpro] = ACTIONS(147),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(147),
    [anon_sym_BSLASHrb] = ACTIONS(147),
    [anon_sym_BSLASHw] = ACTIONS(147),
    [anon_sym_BSLASHw_STAR] = ACTIONS(147),
    [anon_sym_BSLASHwg] = ACTIONS(147),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(147),
    [anon_sym_BSLASHwh] = ACTIONS(147),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(147),
    [anon_sym_BSLASHwa] = ACTIONS(147),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(147),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfig] = ACTIONS(147),
    [anon_sym_BSLASHjmp] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(147),
    [anon_sym_BSLASHcat] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(147),
  },
  [38] = {
    [aux_sym_text_token1] = ACTIONS(149),
    [anon_sym_BSLASHref] = ACTIONS(151),
    [anon_sym_BSLASHf] = ACTIONS(151),
    [anon_sym_BSLASHf_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfe] = ACTIONS(151),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(151),
    [anon_sym_BSLASHef] = ACTIONS(151),
    [anon_sym_BSLASHef_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfr] = ACTIONS(151),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfq] = ACTIONS(151),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfqa] = ACTIONS(151),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfk] = ACTIONS(151),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfl] = ACTIONS(151),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfw] = ACTIONS(151),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfp] = ACTIONS(151),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(151),
    [anon_sym_BSLASHft] = ACTIONS(151),
    [anon_sym_BSLASHft_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfdc] = ACTIONS(151),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfv] = ACTIONS(151),
    [anon_sym_BSLASHfm] = ACTIONS(151),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(151),
    [anon_sym_BSLASHx] = ACTIONS(151),
    [anon_sym_BSLASHx_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxo] = ACTIONS(151),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxk] = ACTIONS(151),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxq] = ACTIONS(151),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxt] = ACTIONS(151),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxta] = ACTIONS(151),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxop] = ACTIONS(151),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxot] = ACTIONS(151),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxnt] = ACTIONS(151),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxdc] = ACTIONS(151),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(151),
    [anon_sym_BSLASHrq] = ACTIONS(151),
    [anon_sym_BSLASHadd] = ACTIONS(151),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(151),
    [anon_sym_BSLASHbk] = ACTIONS(151),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(151),
    [anon_sym_BSLASHdc] = ACTIONS(151),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(151),
    [anon_sym_BSLASHk] = ACTIONS(151),
    [anon_sym_BSLASHnd] = ACTIONS(151),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(151),
    [anon_sym_BSLASHord] = ACTIONS(151),
    [anon_sym_BSLASHord_STAR] = ACTIONS(151),
    [anon_sym_BSLASHpn] = ACTIONS(151),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(151),
    [anon_sym_BSLASHpng] = ACTIONS(151),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(151),
    [anon_sym_BSLASHaddpn] = ACTIONS(151),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(151),
    [anon_sym_BSLASHqt] = ACTIONS(151),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(151),
    [anon_sym_BSLASHsig] = ACTIONS(151),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(151),
    [anon_sym_BSLASHsls] = ACTIONS(151),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(151),
    [anon_sym_BSLASHtl] = ACTIONS(151),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(151),
    [anon_sym_BSLASHwj] = ACTIONS(151),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(151),
    [anon_sym_BSLASHem] = ACTIONS(151),
    [anon_sym_BSLASHem_STAR] = ACTIONS(151),
    [anon_sym_BSLASHbd] = ACTIONS(151),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(151),
    [anon_sym_BSLASHit] = ACTIONS(151),
    [anon_sym_BSLASHit_STAR] = ACTIONS(151),
    [anon_sym_BSLASHbdit] = ACTIONS(151),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(151),
    [anon_sym_BSLASHno] = ACTIONS(151),
    [anon_sym_BSLASHno_STAR] = ACTIONS(151),
    [anon_sym_BSLASHsc] = ACTIONS(151),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(151),
    [anon_sym_BSLASHsup] = ACTIONS(151),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(151),
    [anon_sym_BSLASHndx] = ACTIONS(151),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(151),
    [anon_sym_BSLASHpro] = ACTIONS(151),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(151),
    [anon_sym_BSLASHrb] = ACTIONS(151),
    [anon_sym_BSLASHw] = ACTIONS(151),
    [anon_sym_BSLASHw_STAR] = ACTIONS(151),
    [anon_sym_BSLASHwg] = ACTIONS(151),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(151),
    [anon_sym_BSLASHwh] = ACTIONS(151),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(151),
    [anon_sym_BSLASHwa] = ACTIONS(151),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(151),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfig] = ACTIONS(151),
    [anon_sym_BSLASHjmp] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(151),
    [anon_sym_BSLASHcat] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(151),
  },
  [39] = {
    [aux_sym_text_token1] = ACTIONS(153),
    [anon_sym_BSLASHref] = ACTIONS(155),
    [anon_sym_BSLASHf] = ACTIONS(155),
    [anon_sym_BSLASHf_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfe] = ACTIONS(155),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(155),
    [anon_sym_BSLASHef] = ACTIONS(155),
    [anon_sym_BSLASHef_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfr] = ACTIONS(155),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfq] = ACTIONS(155),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfqa] = ACTIONS(155),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfk] = ACTIONS(155),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfl] = ACTIONS(155),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfw] = ACTIONS(155),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfp] = ACTIONS(155),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(155),
    [anon_sym_BSLASHft] = ACTIONS(155),
    [anon_sym_BSLASHft_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfdc] = ACTIONS(155),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfv] = ACTIONS(155),
    [anon_sym_BSLASHfm] = ACTIONS(155),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(155),
    [anon_sym_BSLASHx] = ACTIONS(155),
    [anon_sym_BSLASHx_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxo] = ACTIONS(155),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxk] = ACTIONS(155),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxq] = ACTIONS(155),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxt] = ACTIONS(155),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxta] = ACTIONS(155),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxop] = ACTIONS(155),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxot] = ACTIONS(155),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxnt] = ACTIONS(155),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxdc] = ACTIONS(155),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(155),
    [anon_sym_BSLASHrq] = ACTIONS(155),
    [anon_sym_BSLASHadd] = ACTIONS(155),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(155),
    [anon_sym_BSLASHbk] = ACTIONS(155),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(155),
    [anon_sym_BSLASHdc] = ACTIONS(155),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(155),
    [anon_sym_BSLASHk] = ACTIONS(155),
    [anon_sym_BSLASHnd] = ACTIONS(155),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(155),
    [anon_sym_BSLASHord] = ACTIONS(155),
    [anon_sym_BSLASHord_STAR] = ACTIONS(155),
    [anon_sym_BSLASHpn] = ACTIONS(155),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(155),
    [anon_sym_BSLASHpng] = ACTIONS(155),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(155),
    [anon_sym_BSLASHaddpn] = ACTIONS(155),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(155),
    [anon_sym_BSLASHqt] = ACTIONS(155),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(155),
    [anon_sym_BSLASHsig] = ACTIONS(155),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(155),
    [anon_sym_BSLASHsls] = ACTIONS(155),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(155),
    [anon_sym_BSLASHtl] = ACTIONS(155),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(155),
    [anon_sym_BSLASHwj] = ACTIONS(155),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(155),
    [anon_sym_BSLASHem] = ACTIONS(155),
    [anon_sym_BSLASHem_STAR] = ACTIONS(155),
    [anon_sym_BSLASHbd] = ACTIONS(155),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(155),
    [anon_sym_BSLASHit] = ACTIONS(155),
    [anon_sym_BSLASHit_STAR] = ACTIONS(155),
    [anon_sym_BSLASHbdit] = ACTIONS(155),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(155),
    [anon_sym_BSLASHno] = ACTIONS(155),
    [anon_sym_BSLASHno_STAR] = ACTIONS(155),
    [anon_sym_BSLASHsc] = ACTIONS(155),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(155),
    [anon_sym_BSLASHsup] = ACTIONS(155),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(155),
    [anon_sym_BSLASHndx] = ACTIONS(155),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(155),
    [anon_sym_BSLASHpro] = ACTIONS(155),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(155),
    [anon_sym_BSLASHrb] = ACTIONS(155),
    [anon_sym_BSLASHw] = ACTIONS(155),
    [anon_sym_BSLASHw_STAR] = ACTIONS(155),
    [anon_sym_BSLASHwg] = ACTIONS(155),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(155),
    [anon_sym_BSLASHwh] = ACTIONS(155),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(155),
    [anon_sym_BSLASHwa] = ACTIONS(155),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(155),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfig] = ACTIONS(155),
    [anon_sym_BSLASHjmp] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(155),
    [anon_sym_BSLASHcat] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
  },
  [40] = {
    [aux_sym_text_token1] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(159),
    [anon_sym_BSLASHf] = ACTIONS(159),
    [anon_sym_BSLASHf_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfe] = ACTIONS(159),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(159),
    [anon_sym_BSLASHef] = ACTIONS(159),
    [anon_sym_BSLASHef_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfr] = ACTIONS(159),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfq] = ACTIONS(159),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfqa] = ACTIONS(159),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfk] = ACTIONS(159),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfl] = ACTIONS(159),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfw] = ACTIONS(159),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfp] = ACTIONS(159),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(159),
    [anon_sym_BSLASHft] = ACTIONS(159),
    [anon_sym_BSLASHft_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfdc] = ACTIONS(159),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfv] = ACTIONS(159),
    [anon_sym_BSLASHfm] = ACTIONS(159),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(159),
    [anon_sym_BSLASHx] = ACTIONS(159),
    [anon_sym_BSLASHx_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxo] = ACTIONS(159),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxk] = ACTIONS(159),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxq] = ACTIONS(159),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxt] = ACTIONS(159),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxta] = ACTIONS(159),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxop] = ACTIONS(159),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxot] = ACTIONS(159),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxnt] = ACTIONS(159),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxdc] = ACTIONS(159),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrq] = ACTIONS(159),
    [anon_sym_BSLASHadd] = ACTIONS(159),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(159),
    [anon_sym_BSLASHbk] = ACTIONS(159),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdc] = ACTIONS(159),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(159),
    [anon_sym_BSLASHk] = ACTIONS(159),
    [anon_sym_BSLASHnd] = ACTIONS(159),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(159),
    [anon_sym_BSLASHord] = ACTIONS(159),
    [anon_sym_BSLASHord_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpn] = ACTIONS(159),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpng] = ACTIONS(159),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddpn] = ACTIONS(159),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(159),
    [anon_sym_BSLASHqt] = ACTIONS(159),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsig] = ACTIONS(159),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsls] = ACTIONS(159),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(159),
    [anon_sym_BSLASHtl] = ACTIONS(159),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(159),
    [anon_sym_BSLASHwj] = ACTIONS(159),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(159),
    [anon_sym_BSLASHem] = ACTIONS(159),
    [anon_sym_BSLASHem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHbd] = ACTIONS(159),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(159),
    [anon_sym_BSLASHit] = ACTIONS(159),
    [anon_sym_BSLASHit_STAR] = ACTIONS(159),
    [anon_sym_BSLASHbdit] = ACTIONS(159),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(159),
    [anon_sym_BSLASHno] = ACTIONS(159),
    [anon_sym_BSLASHno_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsc] = ACTIONS(159),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsup] = ACTIONS(159),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(159),
    [anon_sym_BSLASHndx] = ACTIONS(159),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpro] = ACTIONS(159),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrb] = ACTIONS(159),
    [anon_sym_BSLASHw] = ACTIONS(159),
    [anon_sym_BSLASHw_STAR] = ACTIONS(159),
    [anon_sym_BSLASHwg] = ACTIONS(159),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(159),
    [anon_sym_BSLASHwh] = ACTIONS(159),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(159),
    [anon_sym_BSLASHwa] = ACTIONS(159),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(159),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfig] = ACTIONS(159),
    [anon_sym_BSLASHjmp] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(159),
    [anon_sym_BSLASHcat] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(159),
  },
  [41] = {
    [aux_sym_text_token1] = ACTIONS(161),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHf] = ACTIONS(163),
    [anon_sym_BSLASHf_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfe] = ACTIONS(163),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(163),
    [anon_sym_BSLASHef] = ACTIONS(163),
    [anon_sym_BSLASHef_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfr] = ACTIONS(163),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfq] = ACTIONS(163),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfqa] = ACTIONS(163),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfk] = ACTIONS(163),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfl] = ACTIONS(163),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfw] = ACTIONS(163),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfp] = ACTIONS(163),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(163),
    [anon_sym_BSLASHft] = ACTIONS(163),
    [anon_sym_BSLASHft_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfdc] = ACTIONS(163),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfv] = ACTIONS(163),
    [anon_sym_BSLASHfm] = ACTIONS(163),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(163),
    [anon_sym_BSLASHx] = ACTIONS(163),
    [anon_sym_BSLASHx_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxo] = ACTIONS(163),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxk] = ACTIONS(163),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxq] = ACTIONS(163),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxt] = ACTIONS(163),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxta] = ACTIONS(163),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxop] = ACTIONS(163),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxot] = ACTIONS(163),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxnt] = ACTIONS(163),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxdc] = ACTIONS(163),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(163),
    [anon_sym_BSLASHrq] = ACTIONS(163),
    [anon_sym_BSLASHadd] = ACTIONS(163),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(163),
    [anon_sym_BSLASHbk] = ACTIONS(163),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(163),
    [anon_sym_BSLASHdc] = ACTIONS(163),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(163),
    [anon_sym_BSLASHk] = ACTIONS(163),
    [anon_sym_BSLASHnd] = ACTIONS(163),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(163),
    [anon_sym_BSLASHord] = ACTIONS(163),
    [anon_sym_BSLASHord_STAR] = ACTIONS(163),
    [anon_sym_BSLASHpn] = ACTIONS(163),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(163),
    [anon_sym_BSLASHpng] = ACTIONS(163),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(163),
    [anon_sym_BSLASHaddpn] = ACTIONS(163),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(163),
    [anon_sym_BSLASHqt] = ACTIONS(163),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(163),
    [anon_sym_BSLASHsig] = ACTIONS(163),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(163),
    [anon_sym_BSLASHsls] = ACTIONS(163),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(163),
    [anon_sym_BSLASHtl] = ACTIONS(163),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(163),
    [anon_sym_BSLASHwj] = ACTIONS(163),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(163),
    [anon_sym_BSLASHem] = ACTIONS(163),
    [anon_sym_BSLASHem_STAR] = ACTIONS(163),
    [anon_sym_BSLASHbd] = ACTIONS(163),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(163),
    [anon_sym_BSLASHit] = ACTIONS(163),
    [anon_sym_BSLASHit_STAR] = ACTIONS(163),
    [anon_sym_BSLASHbdit] = ACTIONS(163),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(163),
    [anon_sym_BSLASHno] = ACTIONS(163),
    [anon_sym_BSLASHno_STAR] = ACTIONS(163),
    [anon_sym_BSLASHsc] = ACTIONS(163),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(163),
    [anon_sym_BSLASHsup] = ACTIONS(163),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(163),
    [anon_sym_BSLASHndx] = ACTIONS(163),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(163),
    [anon_sym_BSLASHpro] = ACTIONS(163),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(163),
    [anon_sym_BSLASHrb] = ACTIONS(163),
    [anon_sym_BSLASHw] = ACTIONS(163),
    [anon_sym_BSLASHw_STAR] = ACTIONS(163),
    [anon_sym_BSLASHwg] = ACTIONS(163),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(163),
    [anon_sym_BSLASHwh] = ACTIONS(163),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(163),
    [anon_sym_BSLASHwa] = ACTIONS(163),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(163),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfig] = ACTIONS(163),
    [anon_sym_BSLASHjmp] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(163),
    [anon_sym_BSLASHcat] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
  },
  [42] = {
    [aux_sym_text_token1] = ACTIONS(165),
    [anon_sym_BSLASHref] = ACTIONS(167),
    [anon_sym_BSLASHf] = ACTIONS(167),
    [anon_sym_BSLASHf_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfe] = ACTIONS(167),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(167),
    [anon_sym_BSLASHef] = ACTIONS(167),
    [anon_sym_BSLASHef_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfr] = ACTIONS(167),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfq] = ACTIONS(167),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfqa] = ACTIONS(167),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfk] = ACTIONS(167),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfl] = ACTIONS(167),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfw] = ACTIONS(167),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfp] = ACTIONS(167),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(167),
    [anon_sym_BSLASHft] = ACTIONS(167),
    [anon_sym_BSLASHft_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfdc] = ACTIONS(167),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfv] = ACTIONS(167),
    [anon_sym_BSLASHfm] = ACTIONS(167),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(167),
    [anon_sym_BSLASHx] = ACTIONS(167),
    [anon_sym_BSLASHx_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxo] = ACTIONS(167),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxk] = ACTIONS(167),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxq] = ACTIONS(167),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxt] = ACTIONS(167),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxta] = ACTIONS(167),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxop] = ACTIONS(167),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxot] = ACTIONS(167),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxnt] = ACTIONS(167),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxdc] = ACTIONS(167),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(167),
    [anon_sym_BSLASHrq] = ACTIONS(167),
    [anon_sym_BSLASHadd] = ACTIONS(167),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(167),
    [anon_sym_BSLASHbk] = ACTIONS(167),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(167),
    [anon_sym_BSLASHdc] = ACTIONS(167),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(167),
    [anon_sym_BSLASHk] = ACTIONS(167),
    [anon_sym_BSLASHnd] = ACTIONS(167),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(167),
    [anon_sym_BSLASHord] = ACTIONS(167),
    [anon_sym_BSLASHord_STAR] = ACTIONS(167),
    [anon_sym_BSLASHpn] = ACTIONS(167),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(167),
    [anon_sym_BSLASHpng] = ACTIONS(167),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(167),
    [anon_sym_BSLASHaddpn] = ACTIONS(167),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(167),
    [anon_sym_BSLASHqt] = ACTIONS(167),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(167),
    [anon_sym_BSLASHsig] = ACTIONS(167),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(167),
    [anon_sym_BSLASHsls] = ACTIONS(167),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(167),
    [anon_sym_BSLASHtl] = ACTIONS(167),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(167),
    [anon_sym_BSLASHwj] = ACTIONS(167),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(167),
    [anon_sym_BSLASHem] = ACTIONS(167),
    [anon_sym_BSLASHem_STAR] = ACTIONS(167),
    [anon_sym_BSLASHbd] = ACTIONS(167),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(167),
    [anon_sym_BSLASHit] = ACTIONS(167),
    [anon_sym_BSLASHit_STAR] = ACTIONS(167),
    [anon_sym_BSLASHbdit] = ACTIONS(167),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(167),
    [anon_sym_BSLASHno] = ACTIONS(167),
    [anon_sym_BSLASHno_STAR] = ACTIONS(167),
    [anon_sym_BSLASHsc] = ACTIONS(167),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(167),
    [anon_sym_BSLASHsup] = ACTIONS(167),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(167),
    [anon_sym_BSLASHndx] = ACTIONS(167),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(167),
    [anon_sym_BSLASHpro] = ACTIONS(167),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(167),
    [anon_sym_BSLASHrb] = ACTIONS(167),
    [anon_sym_BSLASHw] = ACTIONS(167),
    [anon_sym_BSLASHw_STAR] = ACTIONS(167),
    [anon_sym_BSLASHwg] = ACTIONS(167),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(167),
    [anon_sym_BSLASHwh] = ACTIONS(167),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(167),
    [anon_sym_BSLASHwa] = ACTIONS(167),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(167),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfig] = ACTIONS(167),
    [anon_sym_BSLASHjmp] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(167),
    [anon_sym_BSLASHcat] = ACTIONS(167),
    [anon_sym_PIPE] = ACTIONS(167),
  },
  [43] = {
    [aux_sym_text_token1] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(171),
    [anon_sym_BSLASHf] = ACTIONS(171),
    [anon_sym_BSLASHf_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfe] = ACTIONS(171),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(171),
    [anon_sym_BSLASHef] = ACTIONS(171),
    [anon_sym_BSLASHef_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfr] = ACTIONS(171),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfq] = ACTIONS(171),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfqa] = ACTIONS(171),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfk] = ACTIONS(171),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfl] = ACTIONS(171),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfw] = ACTIONS(171),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfp] = ACTIONS(171),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(171),
    [anon_sym_BSLASHft] = ACTIONS(171),
    [anon_sym_BSLASHft_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfdc] = ACTIONS(171),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfv] = ACTIONS(171),
    [anon_sym_BSLASHfm] = ACTIONS(171),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(171),
    [anon_sym_BSLASHx] = ACTIONS(171),
    [anon_sym_BSLASHx_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxo] = ACTIONS(171),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxk] = ACTIONS(171),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxq] = ACTIONS(171),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxt] = ACTIONS(171),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxta] = ACTIONS(171),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxop] = ACTIONS(171),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxot] = ACTIONS(171),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxnt] = ACTIONS(171),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxdc] = ACTIONS(171),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrq] = ACTIONS(171),
    [anon_sym_BSLASHadd] = ACTIONS(171),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(171),
    [anon_sym_BSLASHbk] = ACTIONS(171),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdc] = ACTIONS(171),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(171),
    [anon_sym_BSLASHk] = ACTIONS(171),
    [anon_sym_BSLASHnd] = ACTIONS(171),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(171),
    [anon_sym_BSLASHord] = ACTIONS(171),
    [anon_sym_BSLASHord_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpn] = ACTIONS(171),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpng] = ACTIONS(171),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddpn] = ACTIONS(171),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(171),
    [anon_sym_BSLASHqt] = ACTIONS(171),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsig] = ACTIONS(171),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsls] = ACTIONS(171),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(171),
    [anon_sym_BSLASHtl] = ACTIONS(171),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(171),
    [anon_sym_BSLASHwj] = ACTIONS(171),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(171),
    [anon_sym_BSLASHem] = ACTIONS(171),
    [anon_sym_BSLASHem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHbd] = ACTIONS(171),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(171),
    [anon_sym_BSLASHit] = ACTIONS(171),
    [anon_sym_BSLASHit_STAR] = ACTIONS(171),
    [anon_sym_BSLASHbdit] = ACTIONS(171),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(171),
    [anon_sym_BSLASHno] = ACTIONS(171),
    [anon_sym_BSLASHno_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsc] = ACTIONS(171),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsup] = ACTIONS(171),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(171),
    [anon_sym_BSLASHndx] = ACTIONS(171),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpro] = ACTIONS(171),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrb] = ACTIONS(171),
    [anon_sym_BSLASHw] = ACTIONS(171),
    [anon_sym_BSLASHw_STAR] = ACTIONS(171),
    [anon_sym_BSLASHwg] = ACTIONS(171),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(171),
    [anon_sym_BSLASHwh] = ACTIONS(171),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(171),
    [anon_sym_BSLASHwa] = ACTIONS(171),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(171),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfig] = ACTIONS(171),
    [anon_sym_BSLASHjmp] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(171),
    [anon_sym_BSLASHcat] = ACTIONS(171),
    [anon_sym_PIPE] = ACTIONS(171),
  },
  [44] = {
    [aux_sym_text_token1] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(175),
    [anon_sym_BSLASHf] = ACTIONS(175),
    [anon_sym_BSLASHf_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfe] = ACTIONS(175),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(175),
    [anon_sym_BSLASHef] = ACTIONS(175),
    [anon_sym_BSLASHef_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfr] = ACTIONS(175),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfq] = ACTIONS(175),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfqa] = ACTIONS(175),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfk] = ACTIONS(175),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfl] = ACTIONS(175),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfw] = ACTIONS(175),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfp] = ACTIONS(175),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(175),
    [anon_sym_BSLASHft] = ACTIONS(175),
    [anon_sym_BSLASHft_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfdc] = ACTIONS(175),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfv] = ACTIONS(175),
    [anon_sym_BSLASHfm] = ACTIONS(175),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(175),
    [anon_sym_BSLASHx] = ACTIONS(175),
    [anon_sym_BSLASHx_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxo] = ACTIONS(175),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxk] = ACTIONS(175),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxq] = ACTIONS(175),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxt] = ACTIONS(175),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxta] = ACTIONS(175),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxop] = ACTIONS(175),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxot] = ACTIONS(175),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxnt] = ACTIONS(175),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxdc] = ACTIONS(175),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrq] = ACTIONS(175),
    [anon_sym_BSLASHadd] = ACTIONS(175),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(175),
    [anon_sym_BSLASHbk] = ACTIONS(175),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdc] = ACTIONS(175),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(175),
    [anon_sym_BSLASHk] = ACTIONS(175),
    [anon_sym_BSLASHnd] = ACTIONS(175),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(175),
    [anon_sym_BSLASHord] = ACTIONS(175),
    [anon_sym_BSLASHord_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpn] = ACTIONS(175),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpng] = ACTIONS(175),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddpn] = ACTIONS(175),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(175),
    [anon_sym_BSLASHqt] = ACTIONS(175),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsig] = ACTIONS(175),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsls] = ACTIONS(175),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(175),
    [anon_sym_BSLASHtl] = ACTIONS(175),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(175),
    [anon_sym_BSLASHwj] = ACTIONS(175),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(175),
    [anon_sym_BSLASHem] = ACTIONS(175),
    [anon_sym_BSLASHem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHbd] = ACTIONS(175),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(175),
    [anon_sym_BSLASHit] = ACTIONS(175),
    [anon_sym_BSLASHit_STAR] = ACTIONS(175),
    [anon_sym_BSLASHbdit] = ACTIONS(175),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(175),
    [anon_sym_BSLASHno] = ACTIONS(175),
    [anon_sym_BSLASHno_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsc] = ACTIONS(175),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsup] = ACTIONS(175),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(175),
    [anon_sym_BSLASHndx] = ACTIONS(175),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpro] = ACTIONS(175),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrb] = ACTIONS(175),
    [anon_sym_BSLASHw] = ACTIONS(175),
    [anon_sym_BSLASHw_STAR] = ACTIONS(175),
    [anon_sym_BSLASHwg] = ACTIONS(175),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(175),
    [anon_sym_BSLASHwh] = ACTIONS(175),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(175),
    [anon_sym_BSLASHwa] = ACTIONS(175),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(175),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfig] = ACTIONS(175),
    [anon_sym_BSLASHjmp] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(175),
    [anon_sym_BSLASHcat] = ACTIONS(175),
    [anon_sym_PIPE] = ACTIONS(175),
  },
  [45] = {
    [aux_sym_text_token1] = ACTIONS(177),
    [anon_sym_BSLASHref] = ACTIONS(179),
    [anon_sym_BSLASHf] = ACTIONS(179),
    [anon_sym_BSLASHf_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfe] = ACTIONS(179),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(179),
    [anon_sym_BSLASHef] = ACTIONS(179),
    [anon_sym_BSLASHef_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfr] = ACTIONS(179),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfq] = ACTIONS(179),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfqa] = ACTIONS(179),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfk] = ACTIONS(179),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfl] = ACTIONS(179),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfw] = ACTIONS(179),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfp] = ACTIONS(179),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(179),
    [anon_sym_BSLASHft] = ACTIONS(179),
    [anon_sym_BSLASHft_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfdc] = ACTIONS(179),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfv] = ACTIONS(179),
    [anon_sym_BSLASHfm] = ACTIONS(179),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(179),
    [anon_sym_BSLASHx] = ACTIONS(179),
    [anon_sym_BSLASHx_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxo] = ACTIONS(179),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxk] = ACTIONS(179),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxq] = ACTIONS(179),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxt] = ACTIONS(179),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxta] = ACTIONS(179),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxop] = ACTIONS(179),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxot] = ACTIONS(179),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxnt] = ACTIONS(179),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxdc] = ACTIONS(179),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(179),
    [anon_sym_BSLASHrq] = ACTIONS(179),
    [anon_sym_BSLASHadd] = ACTIONS(179),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(179),
    [anon_sym_BSLASHbk] = ACTIONS(179),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(179),
    [anon_sym_BSLASHdc] = ACTIONS(179),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(179),
    [anon_sym_BSLASHk] = ACTIONS(179),
    [anon_sym_BSLASHnd] = ACTIONS(179),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(179),
    [anon_sym_BSLASHord] = ACTIONS(179),
    [anon_sym_BSLASHord_STAR] = ACTIONS(179),
    [anon_sym_BSLASHpn] = ACTIONS(179),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(179),
    [anon_sym_BSLASHpng] = ACTIONS(179),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(179),
    [anon_sym_BSLASHaddpn] = ACTIONS(179),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(179),
    [anon_sym_BSLASHqt] = ACTIONS(179),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(179),
    [anon_sym_BSLASHsig] = ACTIONS(179),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(179),
    [anon_sym_BSLASHsls] = ACTIONS(179),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(179),
    [anon_sym_BSLASHtl] = ACTIONS(179),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(179),
    [anon_sym_BSLASHwj] = ACTIONS(179),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(179),
    [anon_sym_BSLASHem] = ACTIONS(179),
    [anon_sym_BSLASHem_STAR] = ACTIONS(179),
    [anon_sym_BSLASHbd] = ACTIONS(179),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(179),
    [anon_sym_BSLASHit] = ACTIONS(179),
    [anon_sym_BSLASHit_STAR] = ACTIONS(179),
    [anon_sym_BSLASHbdit] = ACTIONS(179),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(179),
    [anon_sym_BSLASHno] = ACTIONS(179),
    [anon_sym_BSLASHno_STAR] = ACTIONS(179),
    [anon_sym_BSLASHsc] = ACTIONS(179),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(179),
    [anon_sym_BSLASHsup] = ACTIONS(179),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(179),
    [anon_sym_BSLASHndx] = ACTIONS(179),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(179),
    [anon_sym_BSLASHpro] = ACTIONS(179),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(179),
    [anon_sym_BSLASHrb] = ACTIONS(179),
    [anon_sym_BSLASHw] = ACTIONS(179),
    [anon_sym_BSLASHw_STAR] = ACTIONS(179),
    [anon_sym_BSLASHwg] = ACTIONS(179),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(179),
    [anon_sym_BSLASHwh] = ACTIONS(179),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(179),
    [anon_sym_BSLASHwa] = ACTIONS(179),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(179),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfig] = ACTIONS(179),
    [anon_sym_BSLASHjmp] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(179),
    [anon_sym_BSLASHcat] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(179),
  },
  [46] = {
    [aux_sym_text_token1] = ACTIONS(181),
    [anon_sym_BSLASHref] = ACTIONS(183),
    [anon_sym_BSLASHf] = ACTIONS(183),
    [anon_sym_BSLASHf_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfe] = ACTIONS(183),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(183),
    [anon_sym_BSLASHef] = ACTIONS(183),
    [anon_sym_BSLASHef_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfr] = ACTIONS(183),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfq] = ACTIONS(183),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfqa] = ACTIONS(183),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfk] = ACTIONS(183),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfl] = ACTIONS(183),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfw] = ACTIONS(183),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfp] = ACTIONS(183),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(183),
    [anon_sym_BSLASHft] = ACTIONS(183),
    [anon_sym_BSLASHft_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfdc] = ACTIONS(183),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfv] = ACTIONS(183),
    [anon_sym_BSLASHfm] = ACTIONS(183),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(183),
    [anon_sym_BSLASHx] = ACTIONS(183),
    [anon_sym_BSLASHx_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxo] = ACTIONS(183),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxk] = ACTIONS(183),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxq] = ACTIONS(183),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxt] = ACTIONS(183),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxta] = ACTIONS(183),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxop] = ACTIONS(183),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxot] = ACTIONS(183),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxnt] = ACTIONS(183),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxdc] = ACTIONS(183),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(183),
    [anon_sym_BSLASHrq] = ACTIONS(183),
    [anon_sym_BSLASHadd] = ACTIONS(183),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(183),
    [anon_sym_BSLASHbk] = ACTIONS(183),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(183),
    [anon_sym_BSLASHdc] = ACTIONS(183),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(183),
    [anon_sym_BSLASHk] = ACTIONS(183),
    [anon_sym_BSLASHnd] = ACTIONS(183),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(183),
    [anon_sym_BSLASHord] = ACTIONS(183),
    [anon_sym_BSLASHord_STAR] = ACTIONS(183),
    [anon_sym_BSLASHpn] = ACTIONS(183),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(183),
    [anon_sym_BSLASHpng] = ACTIONS(183),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(183),
    [anon_sym_BSLASHaddpn] = ACTIONS(183),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(183),
    [anon_sym_BSLASHqt] = ACTIONS(183),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(183),
    [anon_sym_BSLASHsig] = ACTIONS(183),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(183),
    [anon_sym_BSLASHsls] = ACTIONS(183),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(183),
    [anon_sym_BSLASHtl] = ACTIONS(183),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(183),
    [anon_sym_BSLASHwj] = ACTIONS(183),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(183),
    [anon_sym_BSLASHem] = ACTIONS(183),
    [anon_sym_BSLASHem_STAR] = ACTIONS(183),
    [anon_sym_BSLASHbd] = ACTIONS(183),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(183),
    [anon_sym_BSLASHit] = ACTIONS(183),
    [anon_sym_BSLASHit_STAR] = ACTIONS(183),
    [anon_sym_BSLASHbdit] = ACTIONS(183),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(183),
    [anon_sym_BSLASHno] = ACTIONS(183),
    [anon_sym_BSLASHno_STAR] = ACTIONS(183),
    [anon_sym_BSLASHsc] = ACTIONS(183),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(183),
    [anon_sym_BSLASHsup] = ACTIONS(183),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(183),
    [anon_sym_BSLASHndx] = ACTIONS(183),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(183),
    [anon_sym_BSLASHpro] = ACTIONS(183),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(183),
    [anon_sym_BSLASHrb] = ACTIONS(183),
    [anon_sym_BSLASHw] = ACTIONS(183),
    [anon_sym_BSLASHw_STAR] = ACTIONS(183),
    [anon_sym_BSLASHwg] = ACTIONS(183),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(183),
    [anon_sym_BSLASHwh] = ACTIONS(183),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(183),
    [anon_sym_BSLASHwa] = ACTIONS(183),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(183),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfig] = ACTIONS(183),
    [anon_sym_BSLASHjmp] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(183),
    [anon_sym_BSLASHcat] = ACTIONS(183),
    [anon_sym_PIPE] = ACTIONS(183),
  },
  [47] = {
    [aux_sym_text_token1] = ACTIONS(185),
    [anon_sym_BSLASHref] = ACTIONS(187),
    [anon_sym_BSLASHf] = ACTIONS(187),
    [anon_sym_BSLASHf_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfe] = ACTIONS(187),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(187),
    [anon_sym_BSLASHef] = ACTIONS(187),
    [anon_sym_BSLASHef_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfr] = ACTIONS(187),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfq] = ACTIONS(187),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfqa] = ACTIONS(187),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfk] = ACTIONS(187),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfl] = ACTIONS(187),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfw] = ACTIONS(187),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfp] = ACTIONS(187),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(187),
    [anon_sym_BSLASHft] = ACTIONS(187),
    [anon_sym_BSLASHft_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfdc] = ACTIONS(187),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfv] = ACTIONS(187),
    [anon_sym_BSLASHfm] = ACTIONS(187),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(187),
    [anon_sym_BSLASHx] = ACTIONS(187),
    [anon_sym_BSLASHx_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxo] = ACTIONS(187),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxk] = ACTIONS(187),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxq] = ACTIONS(187),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxt] = ACTIONS(187),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxta] = ACTIONS(187),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxop] = ACTIONS(187),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxot] = ACTIONS(187),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxnt] = ACTIONS(187),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxdc] = ACTIONS(187),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(187),
    [anon_sym_BSLASHrq] = ACTIONS(187),
    [anon_sym_BSLASHadd] = ACTIONS(187),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(187),
    [anon_sym_BSLASHbk] = ACTIONS(187),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(187),
    [anon_sym_BSLASHdc] = ACTIONS(187),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(187),
    [anon_sym_BSLASHk] = ACTIONS(187),
    [anon_sym_BSLASHnd] = ACTIONS(187),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(187),
    [anon_sym_BSLASHord] = ACTIONS(187),
    [anon_sym_BSLASHord_STAR] = ACTIONS(187),
    [anon_sym_BSLASHpn] = ACTIONS(187),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(187),
    [anon_sym_BSLASHpng] = ACTIONS(187),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(187),
    [anon_sym_BSLASHaddpn] = ACTIONS(187),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(187),
    [anon_sym_BSLASHqt] = ACTIONS(187),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(187),
    [anon_sym_BSLASHsig] = ACTIONS(187),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(187),
    [anon_sym_BSLASHsls] = ACTIONS(187),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(187),
    [anon_sym_BSLASHtl] = ACTIONS(187),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(187),
    [anon_sym_BSLASHwj] = ACTIONS(187),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(187),
    [anon_sym_BSLASHem] = ACTIONS(187),
    [anon_sym_BSLASHem_STAR] = ACTIONS(187),
    [anon_sym_BSLASHbd] = ACTIONS(187),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(187),
    [anon_sym_BSLASHit] = ACTIONS(187),
    [anon_sym_BSLASHit_STAR] = ACTIONS(187),
    [anon_sym_BSLASHbdit] = ACTIONS(187),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(187),
    [anon_sym_BSLASHno] = ACTIONS(187),
    [anon_sym_BSLASHno_STAR] = ACTIONS(187),
    [anon_sym_BSLASHsc] = ACTIONS(187),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(187),
    [anon_sym_BSLASHsup] = ACTIONS(187),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(187),
    [anon_sym_BSLASHndx] = ACTIONS(187),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(187),
    [anon_sym_BSLASHpro] = ACTIONS(187),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(187),
    [anon_sym_BSLASHrb] = ACTIONS(187),
    [anon_sym_BSLASHw] = ACTIONS(187),
    [anon_sym_BSLASHw_STAR] = ACTIONS(187),
    [anon_sym_BSLASHwg] = ACTIONS(187),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(187),
    [anon_sym_BSLASHwh] = ACTIONS(187),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(187),
    [anon_sym_BSLASHwa] = ACTIONS(187),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(187),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfig] = ACTIONS(187),
    [anon_sym_BSLASHjmp] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(187),
    [anon_sym_BSLASHcat] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
  },
  [48] = {
    [aux_sym_text_token1] = ACTIONS(189),
    [anon_sym_BSLASHref] = ACTIONS(191),
    [anon_sym_BSLASHf] = ACTIONS(191),
    [anon_sym_BSLASHf_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfe] = ACTIONS(191),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(191),
    [anon_sym_BSLASHef] = ACTIONS(191),
    [anon_sym_BSLASHef_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfr] = ACTIONS(191),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfq] = ACTIONS(191),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfqa] = ACTIONS(191),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfk] = ACTIONS(191),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfl] = ACTIONS(191),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfw] = ACTIONS(191),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfp] = ACTIONS(191),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(191),
    [anon_sym_BSLASHft] = ACTIONS(191),
    [anon_sym_BSLASHft_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfdc] = ACTIONS(191),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfv] = ACTIONS(191),
    [anon_sym_BSLASHfm] = ACTIONS(191),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(191),
    [anon_sym_BSLASHx] = ACTIONS(191),
    [anon_sym_BSLASHx_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxo] = ACTIONS(191),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxk] = ACTIONS(191),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxq] = ACTIONS(191),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxt] = ACTIONS(191),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxta] = ACTIONS(191),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxop] = ACTIONS(191),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxot] = ACTIONS(191),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxnt] = ACTIONS(191),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxdc] = ACTIONS(191),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(191),
    [anon_sym_BSLASHrq] = ACTIONS(191),
    [anon_sym_BSLASHadd] = ACTIONS(191),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(191),
    [anon_sym_BSLASHbk] = ACTIONS(191),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(191),
    [anon_sym_BSLASHdc] = ACTIONS(191),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(191),
    [anon_sym_BSLASHk] = ACTIONS(191),
    [anon_sym_BSLASHnd] = ACTIONS(191),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(191),
    [anon_sym_BSLASHord] = ACTIONS(191),
    [anon_sym_BSLASHord_STAR] = ACTIONS(191),
    [anon_sym_BSLASHpn] = ACTIONS(191),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(191),
    [anon_sym_BSLASHpng] = ACTIONS(191),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(191),
    [anon_sym_BSLASHaddpn] = ACTIONS(191),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(191),
    [anon_sym_BSLASHqt] = ACTIONS(191),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(191),
    [anon_sym_BSLASHsig] = ACTIONS(191),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(191),
    [anon_sym_BSLASHsls] = ACTIONS(191),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(191),
    [anon_sym_BSLASHtl] = ACTIONS(191),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(191),
    [anon_sym_BSLASHwj] = ACTIONS(191),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(191),
    [anon_sym_BSLASHem] = ACTIONS(191),
    [anon_sym_BSLASHem_STAR] = ACTIONS(191),
    [anon_sym_BSLASHbd] = ACTIONS(191),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(191),
    [anon_sym_BSLASHit] = ACTIONS(191),
    [anon_sym_BSLASHit_STAR] = ACTIONS(191),
    [anon_sym_BSLASHbdit] = ACTIONS(191),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(191),
    [anon_sym_BSLASHno] = ACTIONS(191),
    [anon_sym_BSLASHno_STAR] = ACTIONS(191),
    [anon_sym_BSLASHsc] = ACTIONS(191),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(191),
    [anon_sym_BSLASHsup] = ACTIONS(191),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(191),
    [anon_sym_BSLASHndx] = ACTIONS(191),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(191),
    [anon_sym_BSLASHpro] = ACTIONS(191),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(191),
    [anon_sym_BSLASHrb] = ACTIONS(191),
    [anon_sym_BSLASHw] = ACTIONS(191),
    [anon_sym_BSLASHw_STAR] = ACTIONS(191),
    [anon_sym_BSLASHwg] = ACTIONS(191),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(191),
    [anon_sym_BSLASHwh] = ACTIONS(191),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(191),
    [anon_sym_BSLASHwa] = ACTIONS(191),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(191),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfig] = ACTIONS(191),
    [anon_sym_BSLASHjmp] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(191),
    [anon_sym_BSLASHcat] = ACTIONS(191),
    [anon_sym_PIPE] = ACTIONS(191),
  },
  [49] = {
    [aux_sym_text_token1] = ACTIONS(193),
    [anon_sym_BSLASHref] = ACTIONS(195),
    [anon_sym_BSLASHf] = ACTIONS(195),
    [anon_sym_BSLASHf_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(195),
    [anon_sym_BSLASHef_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfr] = ACTIONS(195),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfq] = ACTIONS(195),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfqa] = ACTIONS(195),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfk] = ACTIONS(195),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfl] = ACTIONS(195),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfw] = ACTIONS(195),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfp] = ACTIONS(195),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(195),
    [anon_sym_BSLASHft] = ACTIONS(195),
    [anon_sym_BSLASHft_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfdc] = ACTIONS(195),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfv] = ACTIONS(195),
    [anon_sym_BSLASHfm] = ACTIONS(195),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(195),
    [anon_sym_BSLASHx] = ACTIONS(195),
    [anon_sym_BSLASHx_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxo] = ACTIONS(195),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxk] = ACTIONS(195),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxq] = ACTIONS(195),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxt] = ACTIONS(195),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxta] = ACTIONS(195),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxop] = ACTIONS(195),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxot] = ACTIONS(195),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxnt] = ACTIONS(195),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxdc] = ACTIONS(195),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(195),
    [anon_sym_BSLASHrq] = ACTIONS(195),
    [anon_sym_BSLASHadd] = ACTIONS(195),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(195),
    [anon_sym_BSLASHbk] = ACTIONS(195),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(195),
    [anon_sym_BSLASHdc] = ACTIONS(195),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(195),
    [anon_sym_BSLASHk] = ACTIONS(195),
    [anon_sym_BSLASHnd] = ACTIONS(195),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(195),
    [anon_sym_BSLASHord] = ACTIONS(195),
    [anon_sym_BSLASHord_STAR] = ACTIONS(195),
    [anon_sym_BSLASHpn] = ACTIONS(195),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(195),
    [anon_sym_BSLASHpng] = ACTIONS(195),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(195),
    [anon_sym_BSLASHaddpn] = ACTIONS(195),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(195),
    [anon_sym_BSLASHqt] = ACTIONS(195),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(195),
    [anon_sym_BSLASHsig] = ACTIONS(195),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(195),
    [anon_sym_BSLASHsls] = ACTIONS(195),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(195),
    [anon_sym_BSLASHtl] = ACTIONS(195),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(195),
    [anon_sym_BSLASHwj] = ACTIONS(195),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(195),
    [anon_sym_BSLASHem] = ACTIONS(195),
    [anon_sym_BSLASHem_STAR] = ACTIONS(195),
    [anon_sym_BSLASHbd] = ACTIONS(195),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(195),
    [anon_sym_BSLASHit] = ACTIONS(195),
    [anon_sym_BSLASHit_STAR] = ACTIONS(195),
    [anon_sym_BSLASHbdit] = ACTIONS(195),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(195),
    [anon_sym_BSLASHno] = ACTIONS(195),
    [anon_sym_BSLASHno_STAR] = ACTIONS(195),
    [anon_sym_BSLASHsc] = ACTIONS(195),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(195),
    [anon_sym_BSLASHsup] = ACTIONS(195),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(195),
    [anon_sym_BSLASHndx] = ACTIONS(195),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(195),
    [anon_sym_BSLASHpro] = ACTIONS(195),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(195),
    [anon_sym_BSLASHrb] = ACTIONS(195),
    [anon_sym_BSLASHw] = ACTIONS(195),
    [anon_sym_BSLASHw_STAR] = ACTIONS(195),
    [anon_sym_BSLASHwg] = ACTIONS(195),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(195),
    [anon_sym_BSLASHwh] = ACTIONS(195),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(195),
    [anon_sym_BSLASHwa] = ACTIONS(195),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(195),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfig] = ACTIONS(195),
    [anon_sym_BSLASHjmp] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(195),
    [anon_sym_BSLASHcat] = ACTIONS(195),
    [anon_sym_PIPE] = ACTIONS(195),
  },
  [50] = {
    [aux_sym_text_token1] = ACTIONS(197),
    [anon_sym_BSLASHref] = ACTIONS(199),
    [anon_sym_BSLASHf] = ACTIONS(199),
    [anon_sym_BSLASHf_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfe] = ACTIONS(199),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(199),
    [anon_sym_BSLASHef] = ACTIONS(199),
    [anon_sym_BSLASHef_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfr] = ACTIONS(199),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfq] = ACTIONS(199),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfqa] = ACTIONS(199),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfk] = ACTIONS(199),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfl] = ACTIONS(199),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfw] = ACTIONS(199),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfp] = ACTIONS(199),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(199),
    [anon_sym_BSLASHft] = ACTIONS(199),
    [anon_sym_BSLASHft_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfdc] = ACTIONS(199),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfv] = ACTIONS(199),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(199),
    [anon_sym_BSLASHx_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxo] = ACTIONS(199),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxk] = ACTIONS(199),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxq] = ACTIONS(199),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxt] = ACTIONS(199),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxta] = ACTIONS(199),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxop] = ACTIONS(199),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxot] = ACTIONS(199),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxnt] = ACTIONS(199),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxdc] = ACTIONS(199),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(199),
    [anon_sym_BSLASHrq] = ACTIONS(199),
    [anon_sym_BSLASHadd] = ACTIONS(199),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(199),
    [anon_sym_BSLASHbk] = ACTIONS(199),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(199),
    [anon_sym_BSLASHdc] = ACTIONS(199),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(199),
    [anon_sym_BSLASHk] = ACTIONS(199),
    [anon_sym_BSLASHnd] = ACTIONS(199),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(199),
    [anon_sym_BSLASHord] = ACTIONS(199),
    [anon_sym_BSLASHord_STAR] = ACTIONS(199),
    [anon_sym_BSLASHpn] = ACTIONS(199),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(199),
    [anon_sym_BSLASHpng] = ACTIONS(199),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(199),
    [anon_sym_BSLASHaddpn] = ACTIONS(199),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(199),
    [anon_sym_BSLASHqt] = ACTIONS(199),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(199),
    [anon_sym_BSLASHsig] = ACTIONS(199),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(199),
    [anon_sym_BSLASHsls] = ACTIONS(199),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(199),
    [anon_sym_BSLASHtl] = ACTIONS(199),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(199),
    [anon_sym_BSLASHwj] = ACTIONS(199),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(199),
    [anon_sym_BSLASHem] = ACTIONS(199),
    [anon_sym_BSLASHem_STAR] = ACTIONS(199),
    [anon_sym_BSLASHbd] = ACTIONS(199),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(199),
    [anon_sym_BSLASHit] = ACTIONS(199),
    [anon_sym_BSLASHit_STAR] = ACTIONS(199),
    [anon_sym_BSLASHbdit] = ACTIONS(199),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(199),
    [anon_sym_BSLASHno] = ACTIONS(199),
    [anon_sym_BSLASHno_STAR] = ACTIONS(199),
    [anon_sym_BSLASHsc] = ACTIONS(199),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(199),
    [anon_sym_BSLASHsup] = ACTIONS(199),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(199),
    [anon_sym_BSLASHndx] = ACTIONS(199),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(199),
    [anon_sym_BSLASHpro] = ACTIONS(199),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(199),
    [anon_sym_BSLASHrb] = ACTIONS(199),
    [anon_sym_BSLASHw] = ACTIONS(199),
    [anon_sym_BSLASHw_STAR] = ACTIONS(199),
    [anon_sym_BSLASHwg] = ACTIONS(199),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(199),
    [anon_sym_BSLASHwh] = ACTIONS(199),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(199),
    [anon_sym_BSLASHwa] = ACTIONS(199),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(199),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfig] = ACTIONS(199),
    [anon_sym_BSLASHjmp] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(199),
    [anon_sym_BSLASHcat] = ACTIONS(199),
    [anon_sym_PIPE] = ACTIONS(199),
  },
  [51] = {
    [aux_sym_text_token1] = ACTIONS(201),
    [anon_sym_BSLASHref] = ACTIONS(203),
    [anon_sym_BSLASHf] = ACTIONS(203),
    [anon_sym_BSLASHf_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfe] = ACTIONS(203),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(203),
    [anon_sym_BSLASHef] = ACTIONS(203),
    [anon_sym_BSLASHef_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfr] = ACTIONS(203),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfq] = ACTIONS(203),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfqa] = ACTIONS(203),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfk] = ACTIONS(203),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfl] = ACTIONS(203),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfw] = ACTIONS(203),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfp] = ACTIONS(203),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(203),
    [anon_sym_BSLASHft] = ACTIONS(203),
    [anon_sym_BSLASHft_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfdc] = ACTIONS(203),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfv] = ACTIONS(203),
    [anon_sym_BSLASHfm] = ACTIONS(203),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(203),
    [anon_sym_BSLASHx] = ACTIONS(203),
    [anon_sym_BSLASHx_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxo] = ACTIONS(203),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxk] = ACTIONS(203),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxq] = ACTIONS(203),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxta] = ACTIONS(203),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxop] = ACTIONS(203),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxot] = ACTIONS(203),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxnt] = ACTIONS(203),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxdc] = ACTIONS(203),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(203),
    [anon_sym_BSLASHadd] = ACTIONS(203),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(203),
    [anon_sym_BSLASHbk] = ACTIONS(203),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(203),
    [anon_sym_BSLASHdc] = ACTIONS(203),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(203),
    [anon_sym_BSLASHk] = ACTIONS(203),
    [anon_sym_BSLASHnd] = ACTIONS(203),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(203),
    [anon_sym_BSLASHord] = ACTIONS(203),
    [anon_sym_BSLASHord_STAR] = ACTIONS(203),
    [anon_sym_BSLASHpn] = ACTIONS(203),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(203),
    [anon_sym_BSLASHpng] = ACTIONS(203),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(203),
    [anon_sym_BSLASHaddpn] = ACTIONS(203),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(203),
    [anon_sym_BSLASHqt] = ACTIONS(203),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(203),
    [anon_sym_BSLASHsig] = ACTIONS(203),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(203),
    [anon_sym_BSLASHsls] = ACTIONS(203),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(203),
    [anon_sym_BSLASHtl] = ACTIONS(203),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(203),
    [anon_sym_BSLASHwj] = ACTIONS(203),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(203),
    [anon_sym_BSLASHem] = ACTIONS(203),
    [anon_sym_BSLASHem_STAR] = ACTIONS(203),
    [anon_sym_BSLASHbd] = ACTIONS(203),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(203),
    [anon_sym_BSLASHit] = ACTIONS(203),
    [anon_sym_BSLASHit_STAR] = ACTIONS(203),
    [anon_sym_BSLASHbdit] = ACTIONS(203),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(203),
    [anon_sym_BSLASHno] = ACTIONS(203),
    [anon_sym_BSLASHno_STAR] = ACTIONS(203),
    [anon_sym_BSLASHsc] = ACTIONS(203),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(203),
    [anon_sym_BSLASHsup] = ACTIONS(203),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(203),
    [anon_sym_BSLASHndx] = ACTIONS(203),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(203),
    [anon_sym_BSLASHpro] = ACTIONS(203),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(203),
    [anon_sym_BSLASHrb] = ACTIONS(203),
    [anon_sym_BSLASHw] = ACTIONS(203),
    [anon_sym_BSLASHw_STAR] = ACTIONS(203),
    [anon_sym_BSLASHwg] = ACTIONS(203),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(203),
    [anon_sym_BSLASHwh] = ACTIONS(203),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(203),
    [anon_sym_BSLASHwa] = ACTIONS(203),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(203),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfig] = ACTIONS(203),
    [anon_sym_BSLASHjmp] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(203),
    [anon_sym_BSLASHcat] = ACTIONS(203),
    [anon_sym_PIPE] = ACTIONS(203),
  },
  [52] = {
    [aux_sym_text_token1] = ACTIONS(205),
    [anon_sym_BSLASHref] = ACTIONS(207),
    [anon_sym_BSLASHf] = ACTIONS(207),
    [anon_sym_BSLASHf_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfe] = ACTIONS(207),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(207),
    [anon_sym_BSLASHef] = ACTIONS(207),
    [anon_sym_BSLASHef_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfr] = ACTIONS(207),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfq] = ACTIONS(207),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfqa] = ACTIONS(207),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfk] = ACTIONS(207),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfl] = ACTIONS(207),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfw] = ACTIONS(207),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfp] = ACTIONS(207),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(207),
    [anon_sym_BSLASHft] = ACTIONS(207),
    [anon_sym_BSLASHft_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfdc] = ACTIONS(207),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfv] = ACTIONS(207),
    [anon_sym_BSLASHfm] = ACTIONS(207),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(207),
    [anon_sym_BSLASHx] = ACTIONS(207),
    [anon_sym_BSLASHx_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxo] = ACTIONS(207),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxk] = ACTIONS(207),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxq] = ACTIONS(207),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxt] = ACTIONS(207),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxta] = ACTIONS(207),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxop] = ACTIONS(207),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxot] = ACTIONS(207),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxnt] = ACTIONS(207),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxdc] = ACTIONS(207),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(207),
    [anon_sym_BSLASHrq] = ACTIONS(207),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(207),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(207),
    [anon_sym_BSLASHdc] = ACTIONS(207),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(207),
    [anon_sym_BSLASHk] = ACTIONS(207),
    [anon_sym_BSLASHnd] = ACTIONS(207),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(207),
    [anon_sym_BSLASHord] = ACTIONS(207),
    [anon_sym_BSLASHord_STAR] = ACTIONS(207),
    [anon_sym_BSLASHpn] = ACTIONS(207),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(207),
    [anon_sym_BSLASHpng] = ACTIONS(207),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(207),
    [anon_sym_BSLASHaddpn] = ACTIONS(207),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(207),
    [anon_sym_BSLASHqt] = ACTIONS(207),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(207),
    [anon_sym_BSLASHsig] = ACTIONS(207),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(207),
    [anon_sym_BSLASHsls] = ACTIONS(207),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(207),
    [anon_sym_BSLASHtl] = ACTIONS(207),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(207),
    [anon_sym_BSLASHwj] = ACTIONS(207),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(207),
    [anon_sym_BSLASHem] = ACTIONS(207),
    [anon_sym_BSLASHem_STAR] = ACTIONS(207),
    [anon_sym_BSLASHbd] = ACTIONS(207),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(207),
    [anon_sym_BSLASHit] = ACTIONS(207),
    [anon_sym_BSLASHit_STAR] = ACTIONS(207),
    [anon_sym_BSLASHbdit] = ACTIONS(207),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(207),
    [anon_sym_BSLASHno] = ACTIONS(207),
    [anon_sym_BSLASHno_STAR] = ACTIONS(207),
    [anon_sym_BSLASHsc] = ACTIONS(207),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(207),
    [anon_sym_BSLASHsup] = ACTIONS(207),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(207),
    [anon_sym_BSLASHndx] = ACTIONS(207),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(207),
    [anon_sym_BSLASHpro] = ACTIONS(207),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(207),
    [anon_sym_BSLASHrb] = ACTIONS(207),
    [anon_sym_BSLASHw] = ACTIONS(207),
    [anon_sym_BSLASHw_STAR] = ACTIONS(207),
    [anon_sym_BSLASHwg] = ACTIONS(207),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(207),
    [anon_sym_BSLASHwh] = ACTIONS(207),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(207),
    [anon_sym_BSLASHwa] = ACTIONS(207),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(207),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfig] = ACTIONS(207),
    [anon_sym_BSLASHjmp] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(207),
    [anon_sym_BSLASHcat] = ACTIONS(207),
    [anon_sym_PIPE] = ACTIONS(207),
  },
  [53] = {
    [aux_sym_text_token1] = ACTIONS(209),
    [anon_sym_BSLASHref] = ACTIONS(211),
    [anon_sym_BSLASHf] = ACTIONS(211),
    [anon_sym_BSLASHf_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfe] = ACTIONS(211),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(211),
    [anon_sym_BSLASHef] = ACTIONS(211),
    [anon_sym_BSLASHef_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfr] = ACTIONS(211),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfq] = ACTIONS(211),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfqa] = ACTIONS(211),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfk] = ACTIONS(211),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfl] = ACTIONS(211),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfw] = ACTIONS(211),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfp] = ACTIONS(211),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(211),
    [anon_sym_BSLASHft] = ACTIONS(211),
    [anon_sym_BSLASHft_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfdc] = ACTIONS(211),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfv] = ACTIONS(211),
    [anon_sym_BSLASHfm] = ACTIONS(211),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(211),
    [anon_sym_BSLASHx] = ACTIONS(211),
    [anon_sym_BSLASHx_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxo] = ACTIONS(211),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxk] = ACTIONS(211),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxq] = ACTIONS(211),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxt] = ACTIONS(211),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxta] = ACTIONS(211),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxop] = ACTIONS(211),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxot] = ACTIONS(211),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxnt] = ACTIONS(211),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxdc] = ACTIONS(211),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(211),
    [anon_sym_BSLASHrq] = ACTIONS(211),
    [anon_sym_BSLASHadd] = ACTIONS(211),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(211),
    [anon_sym_BSLASHbk] = ACTIONS(211),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(211),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(211),
    [anon_sym_BSLASHnd] = ACTIONS(211),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(211),
    [anon_sym_BSLASHord] = ACTIONS(211),
    [anon_sym_BSLASHord_STAR] = ACTIONS(211),
    [anon_sym_BSLASHpn] = ACTIONS(211),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(211),
    [anon_sym_BSLASHpng] = ACTIONS(211),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(211),
    [anon_sym_BSLASHaddpn] = ACTIONS(211),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(211),
    [anon_sym_BSLASHqt] = ACTIONS(211),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(211),
    [anon_sym_BSLASHsig] = ACTIONS(211),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(211),
    [anon_sym_BSLASHsls] = ACTIONS(211),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(211),
    [anon_sym_BSLASHtl] = ACTIONS(211),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(211),
    [anon_sym_BSLASHwj] = ACTIONS(211),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(211),
    [anon_sym_BSLASHem] = ACTIONS(211),
    [anon_sym_BSLASHem_STAR] = ACTIONS(211),
    [anon_sym_BSLASHbd] = ACTIONS(211),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(211),
    [anon_sym_BSLASHit] = ACTIONS(211),
    [anon_sym_BSLASHit_STAR] = ACTIONS(211),
    [anon_sym_BSLASHbdit] = ACTIONS(211),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(211),
    [anon_sym_BSLASHno] = ACTIONS(211),
    [anon_sym_BSLASHno_STAR] = ACTIONS(211),
    [anon_sym_BSLASHsc] = ACTIONS(211),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(211),
    [anon_sym_BSLASHsup] = ACTIONS(211),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(211),
    [anon_sym_BSLASHndx] = ACTIONS(211),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(211),
    [anon_sym_BSLASHpro] = ACTIONS(211),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(211),
    [anon_sym_BSLASHrb] = ACTIONS(211),
    [anon_sym_BSLASHw] = ACTIONS(211),
    [anon_sym_BSLASHw_STAR] = ACTIONS(211),
    [anon_sym_BSLASHwg] = ACTIONS(211),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(211),
    [anon_sym_BSLASHwh] = ACTIONS(211),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(211),
    [anon_sym_BSLASHwa] = ACTIONS(211),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(211),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfig] = ACTIONS(211),
    [anon_sym_BSLASHjmp] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(211),
    [anon_sym_BSLASHcat] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(211),
  },
  [54] = {
    [aux_sym_text_token1] = ACTIONS(213),
    [anon_sym_BSLASHref] = ACTIONS(215),
    [anon_sym_BSLASHf] = ACTIONS(215),
    [anon_sym_BSLASHf_STAR] = ACTIONS(215),
    [anon_sym_BSLASHfe] = ACTIONS(215),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(215),
    [anon_sym_BSLASHef] = ACTIONS(215),
    [anon_sym_BSLASHef_STAR] = ACTIONS(215),
    [anon_sym_BSLASHfr] = ACTIONS(215),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(215),
    [anon_sym_BSLASHfq] = ACTIONS(215),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(215),
    [anon_sym_BSLASHfqa] = ACTIONS(215),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(215),
    [anon_sym_BSLASHfk] = ACTIONS(215),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(215),
    [anon_sym_BSLASHfl] = ACTIONS(215),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(215),
    [anon_sym_BSLASHfw] = ACTIONS(215),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(215),
    [anon_sym_BSLASHfp] = ACTIONS(215),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(215),
    [anon_sym_BSLASHft] = ACTIONS(215),
    [anon_sym_BSLASHft_STAR] = ACTIONS(215),
    [anon_sym_BSLASHfdc] = ACTIONS(215),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(215),
    [anon_sym_BSLASHfv] = ACTIONS(215),
    [anon_sym_BSLASHfm] = ACTIONS(215),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(215),
    [anon_sym_BSLASHx] = ACTIONS(215),
    [anon_sym_BSLASHx_STAR] = ACTIONS(215),
    [anon_sym_BSLASHxo] = ACTIONS(215),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(215),
    [anon_sym_BSLASHxk] = ACTIONS(215),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(215),
    [anon_sym_BSLASHxq] = ACTIONS(215),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(215),
    [anon_sym_BSLASHxt] = ACTIONS(215),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(215),
    [anon_sym_BSLASHxta] = ACTIONS(215),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(215),
    [anon_sym_BSLASHxop] = ACTIONS(215),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(215),
    [anon_sym_BSLASHxot] = ACTIONS(215),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(215),
    [anon_sym_BSLASHxnt] = ACTIONS(215),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(215),
    [anon_sym_BSLASHxdc] = ACTIONS(215),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(215),
    [anon_sym_BSLASHrq] = ACTIONS(215),
    [anon_sym_BSLASHadd] = ACTIONS(215),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(215),
    [anon_sym_BSLASHbk] = ACTIONS(215),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(215),
    [anon_sym_BSLASHdc] = ACTIONS(215),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(215),
    [anon_sym_BSLASHk] = ACTIONS(215),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(215),
    [anon_sym_BSLASHord_STAR] = ACTIONS(215),
    [anon_sym_BSLASHpn] = ACTIONS(215),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(215),
    [anon_sym_BSLASHpng] = ACTIONS(215),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(215),
    [anon_sym_BSLASHaddpn] = ACTIONS(215),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(215),
    [anon_sym_BSLASHqt] = ACTIONS(215),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(215),
    [anon_sym_BSLASHsig] = ACTIONS(215),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(215),
    [anon_sym_BSLASHsls] = ACTIONS(215),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(215),
    [anon_sym_BSLASHtl] = ACTIONS(215),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(215),
    [anon_sym_BSLASHwj] = ACTIONS(215),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(215),
    [anon_sym_BSLASHem] = ACTIONS(215),
    [anon_sym_BSLASHem_STAR] = ACTIONS(215),
    [anon_sym_BSLASHbd] = ACTIONS(215),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(215),
    [anon_sym_BSLASHit] = ACTIONS(215),
    [anon_sym_BSLASHit_STAR] = ACTIONS(215),
    [anon_sym_BSLASHbdit] = ACTIONS(215),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(215),
    [anon_sym_BSLASHno] = ACTIONS(215),
    [anon_sym_BSLASHno_STAR] = ACTIONS(215),
    [anon_sym_BSLASHsc] = ACTIONS(215),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(215),
    [anon_sym_BSLASHsup] = ACTIONS(215),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(215),
    [anon_sym_BSLASHndx] = ACTIONS(215),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(215),
    [anon_sym_BSLASHpro] = ACTIONS(215),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(215),
    [anon_sym_BSLASHrb] = ACTIONS(215),
    [anon_sym_BSLASHw] = ACTIONS(215),
    [anon_sym_BSLASHw_STAR] = ACTIONS(215),
    [anon_sym_BSLASHwg] = ACTIONS(215),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(215),
    [anon_sym_BSLASHwh] = ACTIONS(215),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(215),
    [anon_sym_BSLASHwa] = ACTIONS(215),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(215),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(215),
    [anon_sym_BSLASHfig] = ACTIONS(215),
    [anon_sym_BSLASHjmp] = ACTIONS(215),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(215),
    [anon_sym_BSLASHcat] = ACTIONS(215),
    [anon_sym_PIPE] = ACTIONS(215),
  },
  [55] = {
    [aux_sym_text_token1] = ACTIONS(217),
    [anon_sym_BSLASHref] = ACTIONS(219),
    [anon_sym_BSLASHf] = ACTIONS(219),
    [anon_sym_BSLASHf_STAR] = ACTIONS(219),
    [anon_sym_BSLASHfe] = ACTIONS(219),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(219),
    [anon_sym_BSLASHef] = ACTIONS(219),
    [anon_sym_BSLASHef_STAR] = ACTIONS(219),
    [anon_sym_BSLASHfr] = ACTIONS(219),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(219),
    [anon_sym_BSLASHfq] = ACTIONS(219),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(219),
    [anon_sym_BSLASHfqa] = ACTIONS(219),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(219),
    [anon_sym_BSLASHfk] = ACTIONS(219),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(219),
    [anon_sym_BSLASHfl] = ACTIONS(219),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(219),
    [anon_sym_BSLASHfw] = ACTIONS(219),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(219),
    [anon_sym_BSLASHfp] = ACTIONS(219),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(219),
    [anon_sym_BSLASHft] = ACTIONS(219),
    [anon_sym_BSLASHft_STAR] = ACTIONS(219),
    [anon_sym_BSLASHfdc] = ACTIONS(219),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(219),
    [anon_sym_BSLASHfv] = ACTIONS(219),
    [anon_sym_BSLASHfm] = ACTIONS(219),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(219),
    [anon_sym_BSLASHx] = ACTIONS(219),
    [anon_sym_BSLASHx_STAR] = ACTIONS(219),
    [anon_sym_BSLASHxo] = ACTIONS(219),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(219),
    [anon_sym_BSLASHxk] = ACTIONS(219),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(219),
    [anon_sym_BSLASHxq] = ACTIONS(219),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(219),
    [anon_sym_BSLASHxt] = ACTIONS(219),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(219),
    [anon_sym_BSLASHxta] = ACTIONS(219),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(219),
    [anon_sym_BSLASHxop] = ACTIONS(219),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(219),
    [anon_sym_BSLASHxot] = ACTIONS(219),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(219),
    [anon_sym_BSLASHxnt] = ACTIONS(219),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(219),
    [anon_sym_BSLASHxdc] = ACTIONS(219),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(219),
    [anon_sym_BSLASHrq] = ACTIONS(219),
    [anon_sym_BSLASHadd] = ACTIONS(219),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(219),
    [anon_sym_BSLASHbk] = ACTIONS(219),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(219),
    [anon_sym_BSLASHdc] = ACTIONS(219),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(219),
    [anon_sym_BSLASHk] = ACTIONS(219),
    [anon_sym_BSLASHnd] = ACTIONS(219),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(219),
    [anon_sym_BSLASHord] = ACTIONS(219),
    [anon_sym_BSLASHord_STAR] = ACTIONS(219),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(219),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(219),
    [anon_sym_BSLASHaddpn] = ACTIONS(219),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(219),
    [anon_sym_BSLASHqt] = ACTIONS(219),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(219),
    [anon_sym_BSLASHsig] = ACTIONS(219),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(219),
    [anon_sym_BSLASHsls] = ACTIONS(219),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(219),
    [anon_sym_BSLASHtl] = ACTIONS(219),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(219),
    [anon_sym_BSLASHwj] = ACTIONS(219),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(219),
    [anon_sym_BSLASHem] = ACTIONS(219),
    [anon_sym_BSLASHem_STAR] = ACTIONS(219),
    [anon_sym_BSLASHbd] = ACTIONS(219),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(219),
    [anon_sym_BSLASHit] = ACTIONS(219),
    [anon_sym_BSLASHit_STAR] = ACTIONS(219),
    [anon_sym_BSLASHbdit] = ACTIONS(219),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(219),
    [anon_sym_BSLASHno] = ACTIONS(219),
    [anon_sym_BSLASHno_STAR] = ACTIONS(219),
    [anon_sym_BSLASHsc] = ACTIONS(219),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(219),
    [anon_sym_BSLASHsup] = ACTIONS(219),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(219),
    [anon_sym_BSLASHndx] = ACTIONS(219),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(219),
    [anon_sym_BSLASHpro] = ACTIONS(219),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(219),
    [anon_sym_BSLASHrb] = ACTIONS(219),
    [anon_sym_BSLASHw] = ACTIONS(219),
    [anon_sym_BSLASHw_STAR] = ACTIONS(219),
    [anon_sym_BSLASHwg] = ACTIONS(219),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(219),
    [anon_sym_BSLASHwh] = ACTIONS(219),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(219),
    [anon_sym_BSLASHwa] = ACTIONS(219),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(219),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(219),
    [anon_sym_BSLASHfig] = ACTIONS(219),
    [anon_sym_BSLASHjmp] = ACTIONS(219),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(219),
    [anon_sym_BSLASHcat] = ACTIONS(219),
    [anon_sym_PIPE] = ACTIONS(219),
  },
  [56] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(56),
    [sym__comments] = STATE(56),
    [sym_sts] = STATE(56),
    [sym_rem] = STATE(56),
    [sym_restore] = STATE(56),
    [sym_lit] = STATE(56),
    [sym_verseText] = STATE(56),
    [sym_v] = STATE(56),
    [sym__verseMeta] = STATE(56),
    [sym_va] = STATE(56),
    [sym_vp] = STATE(56),
    [sym__paragraphContent] = STATE(56),
    [sym_liv] = STATE(56),
    [sym_livTag] = STATE(3072),
    [sym_lik] = STATE(56),
    [sym_litl] = STATE(56),
    [sym__listTextContent] = STATE(56),
    [sym_footnote] = STATE(56),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(56),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(56),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(56),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_li_repeat1] = STATE(56),
    [ts_builtin_sym_end] = ACTIONS(221),
    [aux_sym_text_token1] = ACTIONS(223),
    [anon_sym_BSLASHref] = ACTIONS(226),
    [anon_sym_BSLASHsts] = ACTIONS(229),
    [anon_sym_BSLASHrem] = ACTIONS(232),
    [anon_sym_BSLASHrestore] = ACTIONS(235),
    [anon_sym_BSLASHlit] = ACTIONS(238),
    [anon_sym_BSLASHip] = ACTIONS(241),
    [anon_sym_BSLASHiex] = ACTIONS(241),
    [anon_sym_BSLASHv] = ACTIONS(243),
    [anon_sym_BSLASHva] = ACTIONS(246),
    [anon_sym_BSLASHvp] = ACTIONS(249),
    [anon_sym_BSLASHc] = ACTIONS(241),
    [anon_sym_BSLASHcl] = ACTIONS(241),
    [anon_sym_BSLASHca] = ACTIONS(241),
    [anon_sym_BSLASHcp] = ACTIONS(241),
    [anon_sym_BSLASHcd] = ACTIONS(241),
    [anon_sym_BSLASHmte] = ACTIONS(241),
    [anon_sym_BSLASHms] = ACTIONS(241),
    [anon_sym_BSLASHs] = ACTIONS(241),
    [anon_sym_BSLASHr] = ACTIONS(241),
    [anon_sym_BSLASHsp] = ACTIONS(241),
    [anon_sym_BSLASHd] = ACTIONS(241),
    [anon_sym_BSLASHsd] = ACTIONS(241),
    [anon_sym_BSLASHp] = ACTIONS(241),
    [anon_sym_BSLASHm] = ACTIONS(241),
    [anon_sym_BSLASHpo] = ACTIONS(241),
    [anon_sym_BSLASHpr] = ACTIONS(241),
    [anon_sym_BSLASHcls] = ACTIONS(241),
    [anon_sym_BSLASHpmo] = ACTIONS(241),
    [anon_sym_BSLASHpm] = ACTIONS(241),
    [anon_sym_BSLASHpmc] = ACTIONS(241),
    [anon_sym_BSLASHpmr] = ACTIONS(241),
    [anon_sym_BSLASHpi] = ACTIONS(241),
    [anon_sym_BSLASHmi] = ACTIONS(241),
    [anon_sym_BSLASHnb] = ACTIONS(241),
    [anon_sym_BSLASHpc] = ACTIONS(241),
    [anon_sym_BSLASHph] = ACTIONS(241),
    [anon_sym_BSLASHb] = ACTIONS(241),
    [anon_sym_BSLASHq] = ACTIONS(241),
    [anon_sym_BSLASHqr] = ACTIONS(241),
    [anon_sym_BSLASHqc] = ACTIONS(241),
    [anon_sym_BSLASHqa] = ACTIONS(241),
    [anon_sym_BSLASHqm] = ACTIONS(241),
    [anon_sym_BSLASHqd] = ACTIONS(241),
    [anon_sym_BSLASHlh] = ACTIONS(241),
    [anon_sym_BSLASHlf] = ACTIONS(241),
    [anon_sym_BSLASHli] = ACTIONS(241),
    [anon_sym_BSLASHlim] = ACTIONS(241),
    [anon_sym_BSLASHliv] = ACTIONS(252),
    [anon_sym_BSLASHlik] = ACTIONS(255),
    [anon_sym_BSLASHlitl] = ACTIONS(258),
    [anon_sym_BSLASHtr] = ACTIONS(241),
    [anon_sym_BSLASHf] = ACTIONS(261),
    [anon_sym_BSLASHfe] = ACTIONS(264),
    [anon_sym_BSLASHef] = ACTIONS(267),
    [anon_sym_BSLASHfm] = ACTIONS(270),
    [anon_sym_BSLASHx] = ACTIONS(273),
    [anon_sym_BSLASHxt] = ACTIONS(276),
    [anon_sym_BSLASHrq] = ACTIONS(279),
    [anon_sym_BSLASHadd] = ACTIONS(282),
    [anon_sym_BSLASHbk] = ACTIONS(285),
    [anon_sym_BSLASHdc] = ACTIONS(288),
    [anon_sym_BSLASHk] = ACTIONS(291),
    [anon_sym_BSLASHnd] = ACTIONS(294),
    [anon_sym_BSLASHord] = ACTIONS(297),
    [anon_sym_BSLASHpn] = ACTIONS(300),
    [anon_sym_BSLASHpng] = ACTIONS(303),
    [anon_sym_BSLASHaddpn] = ACTIONS(306),
    [anon_sym_BSLASHqt] = ACTIONS(309),
    [anon_sym_BSLASHsig] = ACTIONS(312),
    [anon_sym_BSLASHsls] = ACTIONS(315),
    [anon_sym_BSLASHtl] = ACTIONS(318),
    [anon_sym_BSLASHwj] = ACTIONS(321),
    [anon_sym_BSLASHem] = ACTIONS(324),
    [anon_sym_BSLASHbd] = ACTIONS(327),
    [anon_sym_BSLASHit] = ACTIONS(330),
    [anon_sym_BSLASHbdit] = ACTIONS(333),
    [anon_sym_BSLASHno] = ACTIONS(336),
    [anon_sym_BSLASHsc] = ACTIONS(339),
    [anon_sym_BSLASHsup] = ACTIONS(342),
    [anon_sym_BSLASHndx] = ACTIONS(345),
    [anon_sym_BSLASHpro] = ACTIONS(348),
    [anon_sym_BSLASHrb] = ACTIONS(351),
    [anon_sym_BSLASHw] = ACTIONS(354),
    [anon_sym_BSLASHwg] = ACTIONS(357),
    [anon_sym_BSLASHwh] = ACTIONS(360),
    [anon_sym_BSLASHwa] = ACTIONS(363),
    [anon_sym_BSLASHfig] = ACTIONS(366),
    [anon_sym_BSLASHjmp] = ACTIONS(369),
    [anon_sym_BSLASHpb] = ACTIONS(241),
    [anon_sym_BSLASH] = ACTIONS(372),
    [sym_milestoneStartTag] = ACTIONS(375),
    [sym_milestoneEndTag] = ACTIONS(378),
    [sym_zSpaceTag] = ACTIONS(381),
    [anon_sym_BSLASHesb] = ACTIONS(241),
  },
  [57] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(56),
    [sym__comments] = STATE(56),
    [sym_sts] = STATE(56),
    [sym_rem] = STATE(56),
    [sym_restore] = STATE(56),
    [sym_lit] = STATE(56),
    [sym_verseText] = STATE(56),
    [sym_v] = STATE(56),
    [sym__verseMeta] = STATE(56),
    [sym_va] = STATE(56),
    [sym_vp] = STATE(56),
    [sym__paragraphContent] = STATE(56),
    [sym_liv] = STATE(56),
    [sym_livTag] = STATE(3072),
    [sym_lik] = STATE(56),
    [sym_litl] = STATE(56),
    [sym__listTextContent] = STATE(56),
    [sym_footnote] = STATE(56),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(56),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(56),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(56),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_li_repeat1] = STATE(56),
    [ts_builtin_sym_end] = ACTIONS(384),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(398),
    [anon_sym_BSLASHiex] = ACTIONS(398),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(398),
    [anon_sym_BSLASHcl] = ACTIONS(398),
    [anon_sym_BSLASHca] = ACTIONS(398),
    [anon_sym_BSLASHcp] = ACTIONS(398),
    [anon_sym_BSLASHcd] = ACTIONS(398),
    [anon_sym_BSLASHmte] = ACTIONS(398),
    [anon_sym_BSLASHms] = ACTIONS(398),
    [anon_sym_BSLASHs] = ACTIONS(398),
    [anon_sym_BSLASHr] = ACTIONS(398),
    [anon_sym_BSLASHsp] = ACTIONS(398),
    [anon_sym_BSLASHd] = ACTIONS(398),
    [anon_sym_BSLASHsd] = ACTIONS(398),
    [anon_sym_BSLASHp] = ACTIONS(398),
    [anon_sym_BSLASHm] = ACTIONS(398),
    [anon_sym_BSLASHpo] = ACTIONS(398),
    [anon_sym_BSLASHpr] = ACTIONS(398),
    [anon_sym_BSLASHcls] = ACTIONS(398),
    [anon_sym_BSLASHpmo] = ACTIONS(398),
    [anon_sym_BSLASHpm] = ACTIONS(398),
    [anon_sym_BSLASHpmc] = ACTIONS(398),
    [anon_sym_BSLASHpmr] = ACTIONS(398),
    [anon_sym_BSLASHpi] = ACTIONS(398),
    [anon_sym_BSLASHmi] = ACTIONS(398),
    [anon_sym_BSLASHnb] = ACTIONS(398),
    [anon_sym_BSLASHpc] = ACTIONS(398),
    [anon_sym_BSLASHph] = ACTIONS(398),
    [anon_sym_BSLASHb] = ACTIONS(398),
    [anon_sym_BSLASHq] = ACTIONS(398),
    [anon_sym_BSLASHqr] = ACTIONS(398),
    [anon_sym_BSLASHqc] = ACTIONS(398),
    [anon_sym_BSLASHqa] = ACTIONS(398),
    [anon_sym_BSLASHqm] = ACTIONS(398),
    [anon_sym_BSLASHqd] = ACTIONS(398),
    [anon_sym_BSLASHlh] = ACTIONS(398),
    [anon_sym_BSLASHlf] = ACTIONS(398),
    [anon_sym_BSLASHli] = ACTIONS(398),
    [anon_sym_BSLASHlim] = ACTIONS(398),
    [anon_sym_BSLASHliv] = ACTIONS(406),
    [anon_sym_BSLASHlik] = ACTIONS(408),
    [anon_sym_BSLASHlitl] = ACTIONS(410),
    [anon_sym_BSLASHtr] = ACTIONS(398),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(398),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(398),
  },
  [58] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(56),
    [sym__comments] = STATE(56),
    [sym_sts] = STATE(56),
    [sym_rem] = STATE(56),
    [sym_restore] = STATE(56),
    [sym_lit] = STATE(56),
    [sym_verseText] = STATE(56),
    [sym_v] = STATE(56),
    [sym__verseMeta] = STATE(56),
    [sym_va] = STATE(56),
    [sym_vp] = STATE(56),
    [sym__paragraphContent] = STATE(56),
    [sym_liv] = STATE(56),
    [sym_livTag] = STATE(3072),
    [sym_lik] = STATE(56),
    [sym_litl] = STATE(56),
    [sym__listTextContent] = STATE(56),
    [sym_footnote] = STATE(56),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(56),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(56),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(56),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_li_repeat1] = STATE(56),
    [ts_builtin_sym_end] = ACTIONS(494),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(496),
    [anon_sym_BSLASHiex] = ACTIONS(496),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(496),
    [anon_sym_BSLASHcl] = ACTIONS(496),
    [anon_sym_BSLASHca] = ACTIONS(496),
    [anon_sym_BSLASHcp] = ACTIONS(496),
    [anon_sym_BSLASHcd] = ACTIONS(496),
    [anon_sym_BSLASHmte] = ACTIONS(496),
    [anon_sym_BSLASHms] = ACTIONS(496),
    [anon_sym_BSLASHs] = ACTIONS(496),
    [anon_sym_BSLASHr] = ACTIONS(496),
    [anon_sym_BSLASHsp] = ACTIONS(496),
    [anon_sym_BSLASHd] = ACTIONS(496),
    [anon_sym_BSLASHsd] = ACTIONS(496),
    [anon_sym_BSLASHp] = ACTIONS(496),
    [anon_sym_BSLASHm] = ACTIONS(496),
    [anon_sym_BSLASHpo] = ACTIONS(496),
    [anon_sym_BSLASHpr] = ACTIONS(496),
    [anon_sym_BSLASHcls] = ACTIONS(496),
    [anon_sym_BSLASHpmo] = ACTIONS(496),
    [anon_sym_BSLASHpm] = ACTIONS(496),
    [anon_sym_BSLASHpmc] = ACTIONS(496),
    [anon_sym_BSLASHpmr] = ACTIONS(496),
    [anon_sym_BSLASHpi] = ACTIONS(496),
    [anon_sym_BSLASHmi] = ACTIONS(496),
    [anon_sym_BSLASHnb] = ACTIONS(496),
    [anon_sym_BSLASHpc] = ACTIONS(496),
    [anon_sym_BSLASHph] = ACTIONS(496),
    [anon_sym_BSLASHb] = ACTIONS(496),
    [anon_sym_BSLASHq] = ACTIONS(496),
    [anon_sym_BSLASHqr] = ACTIONS(496),
    [anon_sym_BSLASHqc] = ACTIONS(496),
    [anon_sym_BSLASHqa] = ACTIONS(496),
    [anon_sym_BSLASHqm] = ACTIONS(496),
    [anon_sym_BSLASHqd] = ACTIONS(496),
    [anon_sym_BSLASHlh] = ACTIONS(496),
    [anon_sym_BSLASHlf] = ACTIONS(496),
    [anon_sym_BSLASHli] = ACTIONS(496),
    [anon_sym_BSLASHlim] = ACTIONS(496),
    [anon_sym_BSLASHliv] = ACTIONS(406),
    [anon_sym_BSLASHlik] = ACTIONS(408),
    [anon_sym_BSLASHlitl] = ACTIONS(410),
    [anon_sym_BSLASHtr] = ACTIONS(496),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(496),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(496),
  },
  [59] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(57),
    [sym__comments] = STATE(57),
    [sym_sts] = STATE(57),
    [sym_rem] = STATE(57),
    [sym_restore] = STATE(57),
    [sym_lit] = STATE(57),
    [sym_verseText] = STATE(57),
    [sym_v] = STATE(57),
    [sym__verseMeta] = STATE(57),
    [sym_va] = STATE(57),
    [sym_vp] = STATE(57),
    [sym__paragraphContent] = STATE(57),
    [sym_liv] = STATE(57),
    [sym_livTag] = STATE(3072),
    [sym_lik] = STATE(57),
    [sym_litl] = STATE(57),
    [sym__listTextContent] = STATE(57),
    [sym_footnote] = STATE(57),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(57),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(57),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(57),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_li_repeat1] = STATE(57),
    [ts_builtin_sym_end] = ACTIONS(498),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(500),
    [anon_sym_BSLASHiex] = ACTIONS(500),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(500),
    [anon_sym_BSLASHcl] = ACTIONS(500),
    [anon_sym_BSLASHca] = ACTIONS(500),
    [anon_sym_BSLASHcp] = ACTIONS(500),
    [anon_sym_BSLASHcd] = ACTIONS(500),
    [anon_sym_BSLASHmte] = ACTIONS(500),
    [anon_sym_BSLASHms] = ACTIONS(500),
    [anon_sym_BSLASHs] = ACTIONS(500),
    [anon_sym_BSLASHr] = ACTIONS(500),
    [anon_sym_BSLASHsp] = ACTIONS(500),
    [anon_sym_BSLASHd] = ACTIONS(500),
    [anon_sym_BSLASHsd] = ACTIONS(500),
    [anon_sym_BSLASHp] = ACTIONS(500),
    [anon_sym_BSLASHm] = ACTIONS(500),
    [anon_sym_BSLASHpo] = ACTIONS(500),
    [anon_sym_BSLASHpr] = ACTIONS(500),
    [anon_sym_BSLASHcls] = ACTIONS(500),
    [anon_sym_BSLASHpmo] = ACTIONS(500),
    [anon_sym_BSLASHpm] = ACTIONS(500),
    [anon_sym_BSLASHpmc] = ACTIONS(500),
    [anon_sym_BSLASHpmr] = ACTIONS(500),
    [anon_sym_BSLASHpi] = ACTIONS(500),
    [anon_sym_BSLASHmi] = ACTIONS(500),
    [anon_sym_BSLASHnb] = ACTIONS(500),
    [anon_sym_BSLASHpc] = ACTIONS(500),
    [anon_sym_BSLASHph] = ACTIONS(500),
    [anon_sym_BSLASHb] = ACTIONS(500),
    [anon_sym_BSLASHq] = ACTIONS(500),
    [anon_sym_BSLASHqr] = ACTIONS(500),
    [anon_sym_BSLASHqc] = ACTIONS(500),
    [anon_sym_BSLASHqa] = ACTIONS(500),
    [anon_sym_BSLASHqm] = ACTIONS(500),
    [anon_sym_BSLASHqd] = ACTIONS(500),
    [anon_sym_BSLASHlh] = ACTIONS(500),
    [anon_sym_BSLASHlf] = ACTIONS(500),
    [anon_sym_BSLASHli] = ACTIONS(500),
    [anon_sym_BSLASHlim] = ACTIONS(500),
    [anon_sym_BSLASHliv] = ACTIONS(406),
    [anon_sym_BSLASHlik] = ACTIONS(408),
    [anon_sym_BSLASHlitl] = ACTIONS(410),
    [anon_sym_BSLASHtr] = ACTIONS(500),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(500),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(500),
  },
  [60] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(58),
    [sym__comments] = STATE(58),
    [sym_sts] = STATE(58),
    [sym_rem] = STATE(58),
    [sym_restore] = STATE(58),
    [sym_lit] = STATE(58),
    [sym_verseText] = STATE(58),
    [sym_v] = STATE(58),
    [sym__verseMeta] = STATE(58),
    [sym_va] = STATE(58),
    [sym_vp] = STATE(58),
    [sym__paragraphContent] = STATE(58),
    [sym_liv] = STATE(58),
    [sym_livTag] = STATE(3072),
    [sym_lik] = STATE(58),
    [sym_litl] = STATE(58),
    [sym__listTextContent] = STATE(58),
    [sym_footnote] = STATE(58),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(58),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(58),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(58),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_li_repeat1] = STATE(58),
    [ts_builtin_sym_end] = ACTIONS(502),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(504),
    [anon_sym_BSLASHiex] = ACTIONS(504),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(504),
    [anon_sym_BSLASHcl] = ACTIONS(504),
    [anon_sym_BSLASHca] = ACTIONS(504),
    [anon_sym_BSLASHcp] = ACTIONS(504),
    [anon_sym_BSLASHcd] = ACTIONS(504),
    [anon_sym_BSLASHmte] = ACTIONS(504),
    [anon_sym_BSLASHms] = ACTIONS(504),
    [anon_sym_BSLASHs] = ACTIONS(504),
    [anon_sym_BSLASHr] = ACTIONS(504),
    [anon_sym_BSLASHsp] = ACTIONS(504),
    [anon_sym_BSLASHd] = ACTIONS(504),
    [anon_sym_BSLASHsd] = ACTIONS(504),
    [anon_sym_BSLASHp] = ACTIONS(504),
    [anon_sym_BSLASHm] = ACTIONS(504),
    [anon_sym_BSLASHpo] = ACTIONS(504),
    [anon_sym_BSLASHpr] = ACTIONS(504),
    [anon_sym_BSLASHcls] = ACTIONS(504),
    [anon_sym_BSLASHpmo] = ACTIONS(504),
    [anon_sym_BSLASHpm] = ACTIONS(504),
    [anon_sym_BSLASHpmc] = ACTIONS(504),
    [anon_sym_BSLASHpmr] = ACTIONS(504),
    [anon_sym_BSLASHpi] = ACTIONS(504),
    [anon_sym_BSLASHmi] = ACTIONS(504),
    [anon_sym_BSLASHnb] = ACTIONS(504),
    [anon_sym_BSLASHpc] = ACTIONS(504),
    [anon_sym_BSLASHph] = ACTIONS(504),
    [anon_sym_BSLASHb] = ACTIONS(504),
    [anon_sym_BSLASHq] = ACTIONS(504),
    [anon_sym_BSLASHqr] = ACTIONS(504),
    [anon_sym_BSLASHqc] = ACTIONS(504),
    [anon_sym_BSLASHqa] = ACTIONS(504),
    [anon_sym_BSLASHqm] = ACTIONS(504),
    [anon_sym_BSLASHqd] = ACTIONS(504),
    [anon_sym_BSLASHlh] = ACTIONS(504),
    [anon_sym_BSLASHlf] = ACTIONS(504),
    [anon_sym_BSLASHli] = ACTIONS(504),
    [anon_sym_BSLASHlim] = ACTIONS(504),
    [anon_sym_BSLASHliv] = ACTIONS(406),
    [anon_sym_BSLASHlik] = ACTIONS(408),
    [anon_sym_BSLASHlitl] = ACTIONS(410),
    [anon_sym_BSLASHtr] = ACTIONS(504),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(504),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(504),
  },
  [61] = {
    [aux_sym_text_token1] = ACTIONS(506),
    [anon_sym_BSLASHref] = ACTIONS(508),
    [anon_sym_BSLASHsts] = ACTIONS(508),
    [anon_sym_BSLASHrem] = ACTIONS(508),
    [anon_sym_BSLASHrestore] = ACTIONS(508),
    [anon_sym_BSLASHlit] = ACTIONS(508),
    [anon_sym_BSLASHiqt] = ACTIONS(508),
    [anon_sym_BSLASHip] = ACTIONS(508),
    [anon_sym_BSLASHv] = ACTIONS(508),
    [anon_sym_BSLASHva] = ACTIONS(508),
    [anon_sym_BSLASHvp] = ACTIONS(508),
    [anon_sym_BSLASHmte] = ACTIONS(508),
    [anon_sym_BSLASHms] = ACTIONS(508),
    [anon_sym_BSLASHs] = ACTIONS(508),
    [anon_sym_BSLASHr] = ACTIONS(508),
    [anon_sym_BSLASHsp] = ACTIONS(508),
    [anon_sym_BSLASHd] = ACTIONS(508),
    [anon_sym_BSLASHsd] = ACTIONS(508),
    [anon_sym_BSLASHp] = ACTIONS(508),
    [anon_sym_BSLASHm] = ACTIONS(508),
    [anon_sym_BSLASHpo] = ACTIONS(508),
    [anon_sym_BSLASHpr] = ACTIONS(508),
    [anon_sym_BSLASHcls] = ACTIONS(508),
    [anon_sym_BSLASHpmo] = ACTIONS(508),
    [anon_sym_BSLASHpm] = ACTIONS(508),
    [anon_sym_BSLASHpmc] = ACTIONS(508),
    [anon_sym_BSLASHpmr] = ACTIONS(508),
    [anon_sym_BSLASHpi] = ACTIONS(508),
    [anon_sym_BSLASHmi] = ACTIONS(508),
    [anon_sym_BSLASHnb] = ACTIONS(508),
    [anon_sym_BSLASHpc] = ACTIONS(508),
    [anon_sym_BSLASHph] = ACTIONS(508),
    [anon_sym_BSLASHb] = ACTIONS(508),
    [anon_sym_BSLASHq] = ACTIONS(508),
    [anon_sym_BSLASHqr] = ACTIONS(508),
    [anon_sym_BSLASHqc] = ACTIONS(508),
    [anon_sym_BSLASHqa] = ACTIONS(508),
    [anon_sym_BSLASHqm] = ACTIONS(508),
    [anon_sym_BSLASHqd] = ACTIONS(508),
    [anon_sym_BSLASHlh] = ACTIONS(508),
    [anon_sym_BSLASHlf] = ACTIONS(508),
    [anon_sym_BSLASHli] = ACTIONS(508),
    [anon_sym_BSLASHlim] = ACTIONS(508),
    [anon_sym_BSLASHliv] = ACTIONS(508),
    [anon_sym_BSLASHlik] = ACTIONS(508),
    [anon_sym_BSLASHlitl] = ACTIONS(508),
    [anon_sym_BSLASHtr] = ACTIONS(508),
    [anon_sym_BSLASHf] = ACTIONS(508),
    [anon_sym_BSLASHf_STAR] = ACTIONS(508),
    [anon_sym_BSLASHfe] = ACTIONS(508),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(508),
    [anon_sym_BSLASHef] = ACTIONS(508),
    [anon_sym_BSLASHef_STAR] = ACTIONS(508),
    [anon_sym_BSLASHfr] = ACTIONS(508),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(508),
    [anon_sym_BSLASHfq] = ACTIONS(508),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(508),
    [anon_sym_BSLASHfqa] = ACTIONS(508),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(508),
    [anon_sym_BSLASHfk] = ACTIONS(508),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(508),
    [anon_sym_BSLASHfl] = ACTIONS(508),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(508),
    [anon_sym_BSLASHfw] = ACTIONS(508),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(508),
    [anon_sym_BSLASHfp] = ACTIONS(508),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(508),
    [anon_sym_BSLASHft] = ACTIONS(508),
    [anon_sym_BSLASHft_STAR] = ACTIONS(508),
    [anon_sym_BSLASHfdc] = ACTIONS(508),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(508),
    [anon_sym_BSLASHfv] = ACTIONS(508),
    [anon_sym_BSLASHfm] = ACTIONS(508),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(508),
    [anon_sym_BSLASHx] = ACTIONS(508),
    [anon_sym_BSLASHx_STAR] = ACTIONS(508),
    [anon_sym_BSLASHxo] = ACTIONS(508),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(508),
    [anon_sym_BSLASHxk] = ACTIONS(508),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(508),
    [anon_sym_BSLASHxq] = ACTIONS(508),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(508),
    [anon_sym_BSLASHxt] = ACTIONS(508),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(508),
    [anon_sym_BSLASHxta] = ACTIONS(508),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(508),
    [anon_sym_BSLASHxop] = ACTIONS(508),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(508),
    [anon_sym_BSLASHxot] = ACTIONS(508),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(508),
    [anon_sym_BSLASHxnt] = ACTIONS(508),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(508),
    [anon_sym_BSLASHxdc] = ACTIONS(508),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(508),
    [anon_sym_BSLASHrq] = ACTIONS(508),
    [anon_sym_BSLASHadd] = ACTIONS(508),
    [anon_sym_BSLASHbk] = ACTIONS(508),
    [anon_sym_BSLASHdc] = ACTIONS(508),
    [anon_sym_BSLASHk] = ACTIONS(508),
    [anon_sym_BSLASHnd] = ACTIONS(508),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(508),
    [anon_sym_BSLASHpng] = ACTIONS(508),
    [anon_sym_BSLASHaddpn] = ACTIONS(508),
    [anon_sym_BSLASHqt] = ACTIONS(508),
    [anon_sym_BSLASHsig] = ACTIONS(508),
    [anon_sym_BSLASHsls] = ACTIONS(508),
    [anon_sym_BSLASHtl] = ACTIONS(508),
    [anon_sym_BSLASHwj] = ACTIONS(508),
    [anon_sym_BSLASHem] = ACTIONS(508),
    [anon_sym_BSLASHbd] = ACTIONS(508),
    [anon_sym_BSLASHit] = ACTIONS(508),
    [anon_sym_BSLASHbdit] = ACTIONS(508),
    [anon_sym_BSLASHno] = ACTIONS(508),
    [anon_sym_BSLASHsc] = ACTIONS(508),
    [anon_sym_BSLASHsup] = ACTIONS(508),
    [anon_sym_BSLASHndx] = ACTIONS(508),
    [anon_sym_BSLASHpro] = ACTIONS(508),
    [anon_sym_BSLASHrb] = ACTIONS(508),
    [anon_sym_BSLASHw] = ACTIONS(508),
    [anon_sym_BSLASHwg] = ACTIONS(508),
    [anon_sym_BSLASHwh] = ACTIONS(508),
    [anon_sym_BSLASHwa] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(508),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(508),
    [anon_sym_BSLASHfig] = ACTIONS(508),
    [anon_sym_BSLASHjmp] = ACTIONS(508),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(508),
    [anon_sym_BSLASHpb] = ACTIONS(508),
    [anon_sym_BSLASH] = ACTIONS(508),
    [sym_milestoneStartTag] = ACTIONS(508),
    [sym_milestoneEndTag] = ACTIONS(508),
    [sym_zSpaceTag] = ACTIONS(508),
    [anon_sym_BSLASHesbe] = ACTIONS(508),
    [anon_sym_BSLASHcat] = ACTIONS(508),
    [anon_sym_PIPE] = ACTIONS(508),
  },
  [62] = {
    [aux_sym_text_token1] = ACTIONS(510),
    [anon_sym_BSLASHref] = ACTIONS(512),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(512),
    [anon_sym_BSLASHrestore] = ACTIONS(512),
    [anon_sym_BSLASHlit] = ACTIONS(512),
    [anon_sym_BSLASHiqt] = ACTIONS(512),
    [anon_sym_BSLASHip] = ACTIONS(512),
    [anon_sym_BSLASHv] = ACTIONS(512),
    [anon_sym_BSLASHva] = ACTIONS(512),
    [anon_sym_BSLASHvp] = ACTIONS(512),
    [anon_sym_BSLASHmte] = ACTIONS(512),
    [anon_sym_BSLASHms] = ACTIONS(512),
    [anon_sym_BSLASHs] = ACTIONS(512),
    [anon_sym_BSLASHr] = ACTIONS(512),
    [anon_sym_BSLASHsp] = ACTIONS(512),
    [anon_sym_BSLASHd] = ACTIONS(512),
    [anon_sym_BSLASHsd] = ACTIONS(512),
    [anon_sym_BSLASHp] = ACTIONS(512),
    [anon_sym_BSLASHm] = ACTIONS(512),
    [anon_sym_BSLASHpo] = ACTIONS(512),
    [anon_sym_BSLASHpr] = ACTIONS(512),
    [anon_sym_BSLASHcls] = ACTIONS(512),
    [anon_sym_BSLASHpmo] = ACTIONS(512),
    [anon_sym_BSLASHpm] = ACTIONS(512),
    [anon_sym_BSLASHpmc] = ACTIONS(512),
    [anon_sym_BSLASHpmr] = ACTIONS(512),
    [anon_sym_BSLASHpi] = ACTIONS(512),
    [anon_sym_BSLASHmi] = ACTIONS(512),
    [anon_sym_BSLASHnb] = ACTIONS(512),
    [anon_sym_BSLASHpc] = ACTIONS(512),
    [anon_sym_BSLASHph] = ACTIONS(512),
    [anon_sym_BSLASHb] = ACTIONS(512),
    [anon_sym_BSLASHq] = ACTIONS(512),
    [anon_sym_BSLASHqr] = ACTIONS(512),
    [anon_sym_BSLASHqc] = ACTIONS(512),
    [anon_sym_BSLASHqa] = ACTIONS(512),
    [anon_sym_BSLASHqm] = ACTIONS(512),
    [anon_sym_BSLASHqd] = ACTIONS(512),
    [anon_sym_BSLASHlh] = ACTIONS(512),
    [anon_sym_BSLASHlf] = ACTIONS(512),
    [anon_sym_BSLASHli] = ACTIONS(512),
    [anon_sym_BSLASHlim] = ACTIONS(512),
    [anon_sym_BSLASHliv] = ACTIONS(512),
    [anon_sym_BSLASHlik] = ACTIONS(512),
    [anon_sym_BSLASHlitl] = ACTIONS(512),
    [anon_sym_BSLASHtr] = ACTIONS(512),
    [anon_sym_BSLASHf] = ACTIONS(512),
    [anon_sym_BSLASHf_STAR] = ACTIONS(512),
    [anon_sym_BSLASHfe] = ACTIONS(512),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(512),
    [anon_sym_BSLASHef] = ACTIONS(512),
    [anon_sym_BSLASHef_STAR] = ACTIONS(512),
    [anon_sym_BSLASHfr] = ACTIONS(512),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(512),
    [anon_sym_BSLASHfq] = ACTIONS(512),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(512),
    [anon_sym_BSLASHfqa] = ACTIONS(512),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(512),
    [anon_sym_BSLASHfk] = ACTIONS(512),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(512),
    [anon_sym_BSLASHfl] = ACTIONS(512),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(512),
    [anon_sym_BSLASHfw] = ACTIONS(512),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(512),
    [anon_sym_BSLASHfp] = ACTIONS(512),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(512),
    [anon_sym_BSLASHft] = ACTIONS(512),
    [anon_sym_BSLASHft_STAR] = ACTIONS(512),
    [anon_sym_BSLASHfdc] = ACTIONS(512),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(512),
    [anon_sym_BSLASHfv] = ACTIONS(512),
    [anon_sym_BSLASHfm] = ACTIONS(512),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(512),
    [anon_sym_BSLASHx] = ACTIONS(512),
    [anon_sym_BSLASHx_STAR] = ACTIONS(512),
    [anon_sym_BSLASHxo] = ACTIONS(512),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(512),
    [anon_sym_BSLASHxk] = ACTIONS(512),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(512),
    [anon_sym_BSLASHxq] = ACTIONS(512),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(512),
    [anon_sym_BSLASHxt] = ACTIONS(512),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(512),
    [anon_sym_BSLASHxta] = ACTIONS(512),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(512),
    [anon_sym_BSLASHxop] = ACTIONS(512),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(512),
    [anon_sym_BSLASHxot] = ACTIONS(512),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(512),
    [anon_sym_BSLASHxnt] = ACTIONS(512),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(512),
    [anon_sym_BSLASHxdc] = ACTIONS(512),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(512),
    [anon_sym_BSLASHrq] = ACTIONS(512),
    [anon_sym_BSLASHadd] = ACTIONS(512),
    [anon_sym_BSLASHbk] = ACTIONS(512),
    [anon_sym_BSLASHdc] = ACTIONS(512),
    [anon_sym_BSLASHk] = ACTIONS(512),
    [anon_sym_BSLASHnd] = ACTIONS(512),
    [anon_sym_BSLASHord] = ACTIONS(512),
    [anon_sym_BSLASHpn] = ACTIONS(512),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(512),
    [anon_sym_BSLASHqt] = ACTIONS(512),
    [anon_sym_BSLASHsig] = ACTIONS(512),
    [anon_sym_BSLASHsls] = ACTIONS(512),
    [anon_sym_BSLASHtl] = ACTIONS(512),
    [anon_sym_BSLASHwj] = ACTIONS(512),
    [anon_sym_BSLASHem] = ACTIONS(512),
    [anon_sym_BSLASHbd] = ACTIONS(512),
    [anon_sym_BSLASHit] = ACTIONS(512),
    [anon_sym_BSLASHbdit] = ACTIONS(512),
    [anon_sym_BSLASHno] = ACTIONS(512),
    [anon_sym_BSLASHsc] = ACTIONS(512),
    [anon_sym_BSLASHsup] = ACTIONS(512),
    [anon_sym_BSLASHndx] = ACTIONS(512),
    [anon_sym_BSLASHpro] = ACTIONS(512),
    [anon_sym_BSLASHrb] = ACTIONS(512),
    [anon_sym_BSLASHw] = ACTIONS(512),
    [anon_sym_BSLASHwg] = ACTIONS(512),
    [anon_sym_BSLASHwh] = ACTIONS(512),
    [anon_sym_BSLASHwa] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(512),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(512),
    [anon_sym_BSLASHfig] = ACTIONS(512),
    [anon_sym_BSLASHjmp] = ACTIONS(512),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(512),
    [anon_sym_BSLASHpb] = ACTIONS(512),
    [anon_sym_BSLASH] = ACTIONS(512),
    [sym_milestoneStartTag] = ACTIONS(512),
    [sym_milestoneEndTag] = ACTIONS(512),
    [sym_zSpaceTag] = ACTIONS(512),
    [anon_sym_BSLASHesbe] = ACTIONS(512),
    [anon_sym_BSLASHcat] = ACTIONS(512),
    [anon_sym_PIPE] = ACTIONS(512),
  },
  [63] = {
    [sym_text] = STATE(314),
    [sym_ref] = STATE(69),
    [sym__comments] = STATE(69),
    [sym_sts] = STATE(69),
    [sym_rem] = STATE(69),
    [sym_restore] = STATE(69),
    [sym_lit] = STATE(69),
    [sym_verseText] = STATE(69),
    [sym_v] = STATE(69),
    [sym__verseMeta] = STATE(69),
    [sym_va] = STATE(69),
    [sym_vp] = STATE(69),
    [sym__paragraphContent] = STATE(69),
    [sym__poetryContent] = STATE(69),
    [sym_qs] = STATE(69),
    [sym_qac] = STATE(69),
    [sym_footnote] = STATE(69),
    [sym_f] = STATE(519),
    [sym_fe] = STATE(519),
    [sym_ef] = STATE(519),
    [sym_fm] = STATE(519),
    [sym_crossref] = STATE(69),
    [sym_x] = STATE(486),
    [sym_xt_standalone] = STATE(486),
    [sym_rq] = STATE(486),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [sym_milestoneTag] = STATE(2101),
    [sym__milestoneStandaloneMarker] = STATE(500),
    [sym__milestoneStart] = STATE(500),
    [sym__milestoneEnd] = STATE(500),
    [sym_milestone] = STATE(69),
    [sym__zNameSpaceRegular] = STATE(496),
    [sym__zNameSpaceClosed] = STATE(496),
    [sym__zNameSpaceStandaloneMarker] = STATE(496),
    [sym_zNameSpace] = STATE(69),
    [aux_sym_verseText_repeat1] = STATE(314),
    [aux_sym_q_repeat1] = STATE(69),
    [ts_builtin_sym_end] = ACTIONS(514),
    [aux_sym_text_token1] = ACTIONS(516),
    [anon_sym_BSLASHref] = ACTIONS(518),
    [anon_sym_BSLASHsts] = ACTIONS(520),
    [anon_sym_BSLASHrem] = ACTIONS(522),
    [anon_sym_BSLASHrestore] = ACTIONS(524),
    [anon_sym_BSLASHlit] = ACTIONS(526),
    [anon_sym_BSLASHip] = ACTIONS(528),
    [anon_sym_BSLASHiex] = ACTIONS(528),
    [anon_sym_BSLASHv] = ACTIONS(530),
    [anon_sym_BSLASHva] = ACTIONS(532),
    [anon_sym_BSLASHvp] = ACTIONS(534),
    [anon_sym_BSLASHc] = ACTIONS(528),
    [anon_sym_BSLASHcl] = ACTIONS(528),
    [anon_sym_BSLASHca] = ACTIONS(528),
    [anon_sym_BSLASHcp] = ACTIONS(528),
    [anon_sym_BSLASHcd] = ACTIONS(528),
    [anon_sym_BSLASHmte] = ACTIONS(528),
    [anon_sym_BSLASHms] = ACTIONS(528),
    [anon_sym_BSLASHs] = ACTIONS(528),
    [anon_sym_BSLASHr] = ACTIONS(528),
    [anon_sym_BSLASHsp] = ACTIONS(528),
    [anon_sym_BSLASHd] = ACTIONS(528),
    [anon_sym_BSLASHsd] = ACTIONS(528),
    [anon_sym_BSLASHp] = ACTIONS(528),
    [anon_sym_BSLASHm] = ACTIONS(528),
    [anon_sym_BSLASHpo] = ACTIONS(528),
    [anon_sym_BSLASHpr] = ACTIONS(528),
    [anon_sym_BSLASHcls] = ACTIONS(528),
    [anon_sym_BSLASHpmo] = ACTIONS(528),
    [anon_sym_BSLASHpm] = ACTIONS(528),
    [anon_sym_BSLASHpmc] = ACTIONS(528),
    [anon_sym_BSLASHpmr] = ACTIONS(528),
    [anon_sym_BSLASHpi] = ACTIONS(528),
    [anon_sym_BSLASHmi] = ACTIONS(528),
    [anon_sym_BSLASHnb] = ACTIONS(528),
    [anon_sym_BSLASHpc] = ACTIONS(528),
    [anon_sym_BSLASHph] = ACTIONS(528),
    [anon_sym_BSLASHb] = ACTIONS(528),
    [anon_sym_BSLASHq] = ACTIONS(528),
    [anon_sym_BSLASHqr] = ACTIONS(528),
    [anon_sym_BSLASHqc] = ACTIONS(528),
    [anon_sym_BSLASHqs] = ACTIONS(536),
    [anon_sym_BSLASHqa] = ACTIONS(528),
    [anon_sym_BSLASHqac] = ACTIONS(538),
    [anon_sym_BSLASHqm] = ACTIONS(528),
    [anon_sym_BSLASHqd] = ACTIONS(528),
    [anon_sym_BSLASHlh] = ACTIONS(528),
    [anon_sym_BSLASHli] = ACTIONS(528),
    [anon_sym_BSLASHlim] = ACTIONS(528),
    [anon_sym_BSLASHtr] = ACTIONS(528),
    [anon_sym_BSLASHf] = ACTIONS(540),
    [anon_sym_BSLASHfe] = ACTIONS(542),
    [anon_sym_BSLASHef] = ACTIONS(544),
    [anon_sym_BSLASHfm] = ACTIONS(546),
    [anon_sym_BSLASHx] = ACTIONS(548),
    [anon_sym_BSLASHxt] = ACTIONS(550),
    [anon_sym_BSLASHrq] = ACTIONS(552),
    [anon_sym_BSLASHadd] = ACTIONS(554),
    [anon_sym_BSLASHbk] = ACTIONS(556),
    [anon_sym_BSLASHdc] = ACTIONS(558),
    [anon_sym_BSLASHk] = ACTIONS(560),
    [anon_sym_BSLASHnd] = ACTIONS(562),
    [anon_sym_BSLASHord] = ACTIONS(564),
    [anon_sym_BSLASHpn] = ACTIONS(566),
    [anon_sym_BSLASHpng] = ACTIONS(568),
    [anon_sym_BSLASHaddpn] = ACTIONS(570),
    [anon_sym_BSLASHqt] = ACTIONS(572),
    [anon_sym_BSLASHsig] = ACTIONS(574),
    [anon_sym_BSLASHsls] = ACTIONS(576),
    [anon_sym_BSLASHtl] = ACTIONS(578),
    [anon_sym_BSLASHwj] = ACTIONS(580),
    [anon_sym_BSLASHem] = ACTIONS(582),
    [anon_sym_BSLASHbd] = ACTIONS(584),
    [anon_sym_BSLASHit] = ACTIONS(586),
    [anon_sym_BSLASHbdit] = ACTIONS(588),
    [anon_sym_BSLASHno] = ACTIONS(590),
    [anon_sym_BSLASHsc] = ACTIONS(592),
    [anon_sym_BSLASHsup] = ACTIONS(594),
    [anon_sym_BSLASHndx] = ACTIONS(596),
    [anon_sym_BSLASHpro] = ACTIONS(598),
    [anon_sym_BSLASHrb] = ACTIONS(600),
    [anon_sym_BSLASHw] = ACTIONS(602),
    [anon_sym_BSLASHwg] = ACTIONS(604),
    [anon_sym_BSLASHwh] = ACTIONS(606),
    [anon_sym_BSLASHwa] = ACTIONS(608),
    [anon_sym_BSLASHfig] = ACTIONS(610),
    [anon_sym_BSLASHjmp] = ACTIONS(612),
    [anon_sym_BSLASHpb] = ACTIONS(528),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(614),
    [sym_milestoneEndTag] = ACTIONS(616),
    [sym_zSpaceTag] = ACTIONS(618),
    [anon_sym_BSLASHesb] = ACTIONS(528),
  },
  [64] = {
    [sym_text] = STATE(314),
    [sym_ref] = STATE(72),
    [sym__comments] = STATE(72),
    [sym_sts] = STATE(72),
    [sym_rem] = STATE(72),
    [sym_restore] = STATE(72),
    [sym_lit] = STATE(72),
    [sym_verseText] = STATE(72),
    [sym_v] = STATE(72),
    [sym__verseMeta] = STATE(72),
    [sym_va] = STATE(72),
    [sym_vp] = STATE(72),
    [sym__paragraphContent] = STATE(72),
    [sym__poetryContent] = STATE(72),
    [sym_qs] = STATE(72),
    [sym_qac] = STATE(72),
    [sym_footnote] = STATE(72),
    [sym_f] = STATE(519),
    [sym_fe] = STATE(519),
    [sym_ef] = STATE(519),
    [sym_fm] = STATE(519),
    [sym_crossref] = STATE(72),
    [sym_x] = STATE(486),
    [sym_xt_standalone] = STATE(486),
    [sym_rq] = STATE(486),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [sym_milestoneTag] = STATE(2101),
    [sym__milestoneStandaloneMarker] = STATE(500),
    [sym__milestoneStart] = STATE(500),
    [sym__milestoneEnd] = STATE(500),
    [sym_milestone] = STATE(72),
    [sym__zNameSpaceRegular] = STATE(496),
    [sym__zNameSpaceClosed] = STATE(496),
    [sym__zNameSpaceStandaloneMarker] = STATE(496),
    [sym_zNameSpace] = STATE(72),
    [aux_sym_verseText_repeat1] = STATE(314),
    [aux_sym_q_repeat1] = STATE(72),
    [ts_builtin_sym_end] = ACTIONS(620),
    [aux_sym_text_token1] = ACTIONS(516),
    [anon_sym_BSLASHref] = ACTIONS(518),
    [anon_sym_BSLASHsts] = ACTIONS(520),
    [anon_sym_BSLASHrem] = ACTIONS(522),
    [anon_sym_BSLASHrestore] = ACTIONS(524),
    [anon_sym_BSLASHlit] = ACTIONS(526),
    [anon_sym_BSLASHip] = ACTIONS(622),
    [anon_sym_BSLASHiex] = ACTIONS(622),
    [anon_sym_BSLASHv] = ACTIONS(530),
    [anon_sym_BSLASHva] = ACTIONS(532),
    [anon_sym_BSLASHvp] = ACTIONS(534),
    [anon_sym_BSLASHc] = ACTIONS(622),
    [anon_sym_BSLASHcl] = ACTIONS(622),
    [anon_sym_BSLASHca] = ACTIONS(622),
    [anon_sym_BSLASHcp] = ACTIONS(622),
    [anon_sym_BSLASHcd] = ACTIONS(622),
    [anon_sym_BSLASHmte] = ACTIONS(622),
    [anon_sym_BSLASHms] = ACTIONS(622),
    [anon_sym_BSLASHs] = ACTIONS(622),
    [anon_sym_BSLASHr] = ACTIONS(622),
    [anon_sym_BSLASHsp] = ACTIONS(622),
    [anon_sym_BSLASHd] = ACTIONS(622),
    [anon_sym_BSLASHsd] = ACTIONS(622),
    [anon_sym_BSLASHp] = ACTIONS(622),
    [anon_sym_BSLASHm] = ACTIONS(622),
    [anon_sym_BSLASHpo] = ACTIONS(622),
    [anon_sym_BSLASHpr] = ACTIONS(622),
    [anon_sym_BSLASHcls] = ACTIONS(622),
    [anon_sym_BSLASHpmo] = ACTIONS(622),
    [anon_sym_BSLASHpm] = ACTIONS(622),
    [anon_sym_BSLASHpmc] = ACTIONS(622),
    [anon_sym_BSLASHpmr] = ACTIONS(622),
    [anon_sym_BSLASHpi] = ACTIONS(622),
    [anon_sym_BSLASHmi] = ACTIONS(622),
    [anon_sym_BSLASHnb] = ACTIONS(622),
    [anon_sym_BSLASHpc] = ACTIONS(622),
    [anon_sym_BSLASHph] = ACTIONS(622),
    [anon_sym_BSLASHb] = ACTIONS(622),
    [anon_sym_BSLASHq] = ACTIONS(622),
    [anon_sym_BSLASHqr] = ACTIONS(622),
    [anon_sym_BSLASHqc] = ACTIONS(622),
    [anon_sym_BSLASHqs] = ACTIONS(536),
    [anon_sym_BSLASHqa] = ACTIONS(622),
    [anon_sym_BSLASHqac] = ACTIONS(538),
    [anon_sym_BSLASHqm] = ACTIONS(622),
    [anon_sym_BSLASHqd] = ACTIONS(622),
    [anon_sym_BSLASHlh] = ACTIONS(622),
    [anon_sym_BSLASHli] = ACTIONS(622),
    [anon_sym_BSLASHlim] = ACTIONS(622),
    [anon_sym_BSLASHtr] = ACTIONS(622),
    [anon_sym_BSLASHf] = ACTIONS(540),
    [anon_sym_BSLASHfe] = ACTIONS(542),
    [anon_sym_BSLASHef] = ACTIONS(544),
    [anon_sym_BSLASHfm] = ACTIONS(546),
    [anon_sym_BSLASHx] = ACTIONS(548),
    [anon_sym_BSLASHxt] = ACTIONS(550),
    [anon_sym_BSLASHrq] = ACTIONS(552),
    [anon_sym_BSLASHadd] = ACTIONS(554),
    [anon_sym_BSLASHbk] = ACTIONS(556),
    [anon_sym_BSLASHdc] = ACTIONS(558),
    [anon_sym_BSLASHk] = ACTIONS(560),
    [anon_sym_BSLASHnd] = ACTIONS(562),
    [anon_sym_BSLASHord] = ACTIONS(564),
    [anon_sym_BSLASHpn] = ACTIONS(566),
    [anon_sym_BSLASHpng] = ACTIONS(568),
    [anon_sym_BSLASHaddpn] = ACTIONS(570),
    [anon_sym_BSLASHqt] = ACTIONS(572),
    [anon_sym_BSLASHsig] = ACTIONS(574),
    [anon_sym_BSLASHsls] = ACTIONS(576),
    [anon_sym_BSLASHtl] = ACTIONS(578),
    [anon_sym_BSLASHwj] = ACTIONS(580),
    [anon_sym_BSLASHem] = ACTIONS(582),
    [anon_sym_BSLASHbd] = ACTIONS(584),
    [anon_sym_BSLASHit] = ACTIONS(586),
    [anon_sym_BSLASHbdit] = ACTIONS(588),
    [anon_sym_BSLASHno] = ACTIONS(590),
    [anon_sym_BSLASHsc] = ACTIONS(592),
    [anon_sym_BSLASHsup] = ACTIONS(594),
    [anon_sym_BSLASHndx] = ACTIONS(596),
    [anon_sym_BSLASHpro] = ACTIONS(598),
    [anon_sym_BSLASHrb] = ACTIONS(600),
    [anon_sym_BSLASHw] = ACTIONS(602),
    [anon_sym_BSLASHwg] = ACTIONS(604),
    [anon_sym_BSLASHwh] = ACTIONS(606),
    [anon_sym_BSLASHwa] = ACTIONS(608),
    [anon_sym_BSLASHfig] = ACTIONS(610),
    [anon_sym_BSLASHjmp] = ACTIONS(612),
    [anon_sym_BSLASHpb] = ACTIONS(622),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(614),
    [sym_milestoneEndTag] = ACTIONS(616),
    [sym_zSpaceTag] = ACTIONS(618),
    [anon_sym_BSLASHesb] = ACTIONS(622),
  },
  [65] = {
    [sym_text] = STATE(314),
    [sym_ref] = STATE(66),
    [sym__comments] = STATE(66),
    [sym_sts] = STATE(66),
    [sym_rem] = STATE(66),
    [sym_restore] = STATE(66),
    [sym_lit] = STATE(66),
    [sym_verseText] = STATE(66),
    [sym_v] = STATE(66),
    [sym__verseMeta] = STATE(66),
    [sym_va] = STATE(66),
    [sym_vp] = STATE(66),
    [sym__paragraphContent] = STATE(66),
    [sym__poetryContent] = STATE(66),
    [sym_qs] = STATE(66),
    [sym_qac] = STATE(66),
    [sym_footnote] = STATE(66),
    [sym_f] = STATE(519),
    [sym_fe] = STATE(519),
    [sym_ef] = STATE(519),
    [sym_fm] = STATE(519),
    [sym_crossref] = STATE(66),
    [sym_x] = STATE(486),
    [sym_xt_standalone] = STATE(486),
    [sym_rq] = STATE(486),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [sym_milestoneTag] = STATE(2101),
    [sym__milestoneStandaloneMarker] = STATE(500),
    [sym__milestoneStart] = STATE(500),
    [sym__milestoneEnd] = STATE(500),
    [sym_milestone] = STATE(66),
    [sym__zNameSpaceRegular] = STATE(496),
    [sym__zNameSpaceClosed] = STATE(496),
    [sym__zNameSpaceStandaloneMarker] = STATE(496),
    [sym_zNameSpace] = STATE(66),
    [aux_sym_verseText_repeat1] = STATE(314),
    [aux_sym_q_repeat1] = STATE(66),
    [ts_builtin_sym_end] = ACTIONS(624),
    [aux_sym_text_token1] = ACTIONS(516),
    [anon_sym_BSLASHref] = ACTIONS(518),
    [anon_sym_BSLASHsts] = ACTIONS(520),
    [anon_sym_BSLASHrem] = ACTIONS(522),
    [anon_sym_BSLASHrestore] = ACTIONS(524),
    [anon_sym_BSLASHlit] = ACTIONS(526),
    [anon_sym_BSLASHip] = ACTIONS(626),
    [anon_sym_BSLASHiex] = ACTIONS(626),
    [anon_sym_BSLASHv] = ACTIONS(530),
    [anon_sym_BSLASHva] = ACTIONS(532),
    [anon_sym_BSLASHvp] = ACTIONS(534),
    [anon_sym_BSLASHc] = ACTIONS(626),
    [anon_sym_BSLASHcl] = ACTIONS(626),
    [anon_sym_BSLASHca] = ACTIONS(626),
    [anon_sym_BSLASHcp] = ACTIONS(626),
    [anon_sym_BSLASHcd] = ACTIONS(626),
    [anon_sym_BSLASHmte] = ACTIONS(626),
    [anon_sym_BSLASHms] = ACTIONS(626),
    [anon_sym_BSLASHs] = ACTIONS(626),
    [anon_sym_BSLASHr] = ACTIONS(626),
    [anon_sym_BSLASHsp] = ACTIONS(626),
    [anon_sym_BSLASHd] = ACTIONS(626),
    [anon_sym_BSLASHsd] = ACTIONS(626),
    [anon_sym_BSLASHp] = ACTIONS(626),
    [anon_sym_BSLASHm] = ACTIONS(626),
    [anon_sym_BSLASHpo] = ACTIONS(626),
    [anon_sym_BSLASHpr] = ACTIONS(626),
    [anon_sym_BSLASHcls] = ACTIONS(626),
    [anon_sym_BSLASHpmo] = ACTIONS(626),
    [anon_sym_BSLASHpm] = ACTIONS(626),
    [anon_sym_BSLASHpmc] = ACTIONS(626),
    [anon_sym_BSLASHpmr] = ACTIONS(626),
    [anon_sym_BSLASHpi] = ACTIONS(626),
    [anon_sym_BSLASHmi] = ACTIONS(626),
    [anon_sym_BSLASHnb] = ACTIONS(626),
    [anon_sym_BSLASHpc] = ACTIONS(626),
    [anon_sym_BSLASHph] = ACTIONS(626),
    [anon_sym_BSLASHb] = ACTIONS(626),
    [anon_sym_BSLASHq] = ACTIONS(626),
    [anon_sym_BSLASHqr] = ACTIONS(626),
    [anon_sym_BSLASHqc] = ACTIONS(626),
    [anon_sym_BSLASHqs] = ACTIONS(536),
    [anon_sym_BSLASHqa] = ACTIONS(626),
    [anon_sym_BSLASHqac] = ACTIONS(538),
    [anon_sym_BSLASHqm] = ACTIONS(626),
    [anon_sym_BSLASHqd] = ACTIONS(626),
    [anon_sym_BSLASHlh] = ACTIONS(626),
    [anon_sym_BSLASHli] = ACTIONS(626),
    [anon_sym_BSLASHlim] = ACTIONS(626),
    [anon_sym_BSLASHtr] = ACTIONS(626),
    [anon_sym_BSLASHf] = ACTIONS(540),
    [anon_sym_BSLASHfe] = ACTIONS(542),
    [anon_sym_BSLASHef] = ACTIONS(544),
    [anon_sym_BSLASHfm] = ACTIONS(546),
    [anon_sym_BSLASHx] = ACTIONS(548),
    [anon_sym_BSLASHxt] = ACTIONS(550),
    [anon_sym_BSLASHrq] = ACTIONS(552),
    [anon_sym_BSLASHadd] = ACTIONS(554),
    [anon_sym_BSLASHbk] = ACTIONS(556),
    [anon_sym_BSLASHdc] = ACTIONS(558),
    [anon_sym_BSLASHk] = ACTIONS(560),
    [anon_sym_BSLASHnd] = ACTIONS(562),
    [anon_sym_BSLASHord] = ACTIONS(564),
    [anon_sym_BSLASHpn] = ACTIONS(566),
    [anon_sym_BSLASHpng] = ACTIONS(568),
    [anon_sym_BSLASHaddpn] = ACTIONS(570),
    [anon_sym_BSLASHqt] = ACTIONS(572),
    [anon_sym_BSLASHsig] = ACTIONS(574),
    [anon_sym_BSLASHsls] = ACTIONS(576),
    [anon_sym_BSLASHtl] = ACTIONS(578),
    [anon_sym_BSLASHwj] = ACTIONS(580),
    [anon_sym_BSLASHem] = ACTIONS(582),
    [anon_sym_BSLASHbd] = ACTIONS(584),
    [anon_sym_BSLASHit] = ACTIONS(586),
    [anon_sym_BSLASHbdit] = ACTIONS(588),
    [anon_sym_BSLASHno] = ACTIONS(590),
    [anon_sym_BSLASHsc] = ACTIONS(592),
    [anon_sym_BSLASHsup] = ACTIONS(594),
    [anon_sym_BSLASHndx] = ACTIONS(596),
    [anon_sym_BSLASHpro] = ACTIONS(598),
    [anon_sym_BSLASHrb] = ACTIONS(600),
    [anon_sym_BSLASHw] = ACTIONS(602),
    [anon_sym_BSLASHwg] = ACTIONS(604),
    [anon_sym_BSLASHwh] = ACTIONS(606),
    [anon_sym_BSLASHwa] = ACTIONS(608),
    [anon_sym_BSLASHfig] = ACTIONS(610),
    [anon_sym_BSLASHjmp] = ACTIONS(612),
    [anon_sym_BSLASHpb] = ACTIONS(626),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(614),
    [sym_milestoneEndTag] = ACTIONS(616),
    [sym_zSpaceTag] = ACTIONS(618),
    [anon_sym_BSLASHesb] = ACTIONS(626),
  },
  [66] = {
    [sym_text] = STATE(314),
    [sym_ref] = STATE(69),
    [sym__comments] = STATE(69),
    [sym_sts] = STATE(69),
    [sym_rem] = STATE(69),
    [sym_restore] = STATE(69),
    [sym_lit] = STATE(69),
    [sym_verseText] = STATE(69),
    [sym_v] = STATE(69),
    [sym__verseMeta] = STATE(69),
    [sym_va] = STATE(69),
    [sym_vp] = STATE(69),
    [sym__paragraphContent] = STATE(69),
    [sym__poetryContent] = STATE(69),
    [sym_qs] = STATE(69),
    [sym_qac] = STATE(69),
    [sym_footnote] = STATE(69),
    [sym_f] = STATE(519),
    [sym_fe] = STATE(519),
    [sym_ef] = STATE(519),
    [sym_fm] = STATE(519),
    [sym_crossref] = STATE(69),
    [sym_x] = STATE(486),
    [sym_xt_standalone] = STATE(486),
    [sym_rq] = STATE(486),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [sym_milestoneTag] = STATE(2101),
    [sym__milestoneStandaloneMarker] = STATE(500),
    [sym__milestoneStart] = STATE(500),
    [sym__milestoneEnd] = STATE(500),
    [sym_milestone] = STATE(69),
    [sym__zNameSpaceRegular] = STATE(496),
    [sym__zNameSpaceClosed] = STATE(496),
    [sym__zNameSpaceStandaloneMarker] = STATE(496),
    [sym_zNameSpace] = STATE(69),
    [aux_sym_verseText_repeat1] = STATE(314),
    [aux_sym_q_repeat1] = STATE(69),
    [ts_builtin_sym_end] = ACTIONS(628),
    [aux_sym_text_token1] = ACTIONS(516),
    [anon_sym_BSLASHref] = ACTIONS(518),
    [anon_sym_BSLASHsts] = ACTIONS(520),
    [anon_sym_BSLASHrem] = ACTIONS(522),
    [anon_sym_BSLASHrestore] = ACTIONS(524),
    [anon_sym_BSLASHlit] = ACTIONS(526),
    [anon_sym_BSLASHip] = ACTIONS(630),
    [anon_sym_BSLASHiex] = ACTIONS(630),
    [anon_sym_BSLASHv] = ACTIONS(530),
    [anon_sym_BSLASHva] = ACTIONS(532),
    [anon_sym_BSLASHvp] = ACTIONS(534),
    [anon_sym_BSLASHc] = ACTIONS(630),
    [anon_sym_BSLASHcl] = ACTIONS(630),
    [anon_sym_BSLASHca] = ACTIONS(630),
    [anon_sym_BSLASHcp] = ACTIONS(630),
    [anon_sym_BSLASHcd] = ACTIONS(630),
    [anon_sym_BSLASHmte] = ACTIONS(630),
    [anon_sym_BSLASHms] = ACTIONS(630),
    [anon_sym_BSLASHs] = ACTIONS(630),
    [anon_sym_BSLASHr] = ACTIONS(630),
    [anon_sym_BSLASHsp] = ACTIONS(630),
    [anon_sym_BSLASHd] = ACTIONS(630),
    [anon_sym_BSLASHsd] = ACTIONS(630),
    [anon_sym_BSLASHp] = ACTIONS(630),
    [anon_sym_BSLASHm] = ACTIONS(630),
    [anon_sym_BSLASHpo] = ACTIONS(630),
    [anon_sym_BSLASHpr] = ACTIONS(630),
    [anon_sym_BSLASHcls] = ACTIONS(630),
    [anon_sym_BSLASHpmo] = ACTIONS(630),
    [anon_sym_BSLASHpm] = ACTIONS(630),
    [anon_sym_BSLASHpmc] = ACTIONS(630),
    [anon_sym_BSLASHpmr] = ACTIONS(630),
    [anon_sym_BSLASHpi] = ACTIONS(630),
    [anon_sym_BSLASHmi] = ACTIONS(630),
    [anon_sym_BSLASHnb] = ACTIONS(630),
    [anon_sym_BSLASHpc] = ACTIONS(630),
    [anon_sym_BSLASHph] = ACTIONS(630),
    [anon_sym_BSLASHb] = ACTIONS(630),
    [anon_sym_BSLASHq] = ACTIONS(630),
    [anon_sym_BSLASHqr] = ACTIONS(630),
    [anon_sym_BSLASHqc] = ACTIONS(630),
    [anon_sym_BSLASHqs] = ACTIONS(536),
    [anon_sym_BSLASHqa] = ACTIONS(630),
    [anon_sym_BSLASHqac] = ACTIONS(538),
    [anon_sym_BSLASHqm] = ACTIONS(630),
    [anon_sym_BSLASHqd] = ACTIONS(630),
    [anon_sym_BSLASHlh] = ACTIONS(630),
    [anon_sym_BSLASHli] = ACTIONS(630),
    [anon_sym_BSLASHlim] = ACTIONS(630),
    [anon_sym_BSLASHtr] = ACTIONS(630),
    [anon_sym_BSLASHf] = ACTIONS(540),
    [anon_sym_BSLASHfe] = ACTIONS(542),
    [anon_sym_BSLASHef] = ACTIONS(544),
    [anon_sym_BSLASHfm] = ACTIONS(546),
    [anon_sym_BSLASHx] = ACTIONS(548),
    [anon_sym_BSLASHxt] = ACTIONS(550),
    [anon_sym_BSLASHrq] = ACTIONS(552),
    [anon_sym_BSLASHadd] = ACTIONS(554),
    [anon_sym_BSLASHbk] = ACTIONS(556),
    [anon_sym_BSLASHdc] = ACTIONS(558),
    [anon_sym_BSLASHk] = ACTIONS(560),
    [anon_sym_BSLASHnd] = ACTIONS(562),
    [anon_sym_BSLASHord] = ACTIONS(564),
    [anon_sym_BSLASHpn] = ACTIONS(566),
    [anon_sym_BSLASHpng] = ACTIONS(568),
    [anon_sym_BSLASHaddpn] = ACTIONS(570),
    [anon_sym_BSLASHqt] = ACTIONS(572),
    [anon_sym_BSLASHsig] = ACTIONS(574),
    [anon_sym_BSLASHsls] = ACTIONS(576),
    [anon_sym_BSLASHtl] = ACTIONS(578),
    [anon_sym_BSLASHwj] = ACTIONS(580),
    [anon_sym_BSLASHem] = ACTIONS(582),
    [anon_sym_BSLASHbd] = ACTIONS(584),
    [anon_sym_BSLASHit] = ACTIONS(586),
    [anon_sym_BSLASHbdit] = ACTIONS(588),
    [anon_sym_BSLASHno] = ACTIONS(590),
    [anon_sym_BSLASHsc] = ACTIONS(592),
    [anon_sym_BSLASHsup] = ACTIONS(594),
    [anon_sym_BSLASHndx] = ACTIONS(596),
    [anon_sym_BSLASHpro] = ACTIONS(598),
    [anon_sym_BSLASHrb] = ACTIONS(600),
    [anon_sym_BSLASHw] = ACTIONS(602),
    [anon_sym_BSLASHwg] = ACTIONS(604),
    [anon_sym_BSLASHwh] = ACTIONS(606),
    [anon_sym_BSLASHwa] = ACTIONS(608),
    [anon_sym_BSLASHfig] = ACTIONS(610),
    [anon_sym_BSLASHjmp] = ACTIONS(612),
    [anon_sym_BSLASHpb] = ACTIONS(630),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(614),
    [sym_milestoneEndTag] = ACTIONS(616),
    [sym_zSpaceTag] = ACTIONS(618),
    [anon_sym_BSLASHesb] = ACTIONS(630),
  },
  [67] = {
    [sym_text] = STATE(314),
    [sym_ref] = STATE(69),
    [sym__comments] = STATE(69),
    [sym_sts] = STATE(69),
    [sym_rem] = STATE(69),
    [sym_restore] = STATE(69),
    [sym_lit] = STATE(69),
    [sym_verseText] = STATE(69),
    [sym_v] = STATE(69),
    [sym__verseMeta] = STATE(69),
    [sym_va] = STATE(69),
    [sym_vp] = STATE(69),
    [sym__paragraphContent] = STATE(69),
    [sym__poetryContent] = STATE(69),
    [sym_qs] = STATE(69),
    [sym_qac] = STATE(69),
    [sym_footnote] = STATE(69),
    [sym_f] = STATE(519),
    [sym_fe] = STATE(519),
    [sym_ef] = STATE(519),
    [sym_fm] = STATE(519),
    [sym_crossref] = STATE(69),
    [sym_x] = STATE(486),
    [sym_xt_standalone] = STATE(486),
    [sym_rq] = STATE(486),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [sym_milestoneTag] = STATE(2101),
    [sym__milestoneStandaloneMarker] = STATE(500),
    [sym__milestoneStart] = STATE(500),
    [sym__milestoneEnd] = STATE(500),
    [sym_milestone] = STATE(69),
    [sym__zNameSpaceRegular] = STATE(496),
    [sym__zNameSpaceClosed] = STATE(496),
    [sym__zNameSpaceStandaloneMarker] = STATE(496),
    [sym_zNameSpace] = STATE(69),
    [aux_sym_verseText_repeat1] = STATE(314),
    [aux_sym_q_repeat1] = STATE(69),
    [ts_builtin_sym_end] = ACTIONS(632),
    [aux_sym_text_token1] = ACTIONS(516),
    [anon_sym_BSLASHref] = ACTIONS(518),
    [anon_sym_BSLASHsts] = ACTIONS(520),
    [anon_sym_BSLASHrem] = ACTIONS(522),
    [anon_sym_BSLASHrestore] = ACTIONS(524),
    [anon_sym_BSLASHlit] = ACTIONS(526),
    [anon_sym_BSLASHip] = ACTIONS(634),
    [anon_sym_BSLASHiex] = ACTIONS(634),
    [anon_sym_BSLASHv] = ACTIONS(530),
    [anon_sym_BSLASHva] = ACTIONS(532),
    [anon_sym_BSLASHvp] = ACTIONS(534),
    [anon_sym_BSLASHc] = ACTIONS(634),
    [anon_sym_BSLASHcl] = ACTIONS(634),
    [anon_sym_BSLASHca] = ACTIONS(634),
    [anon_sym_BSLASHcp] = ACTIONS(634),
    [anon_sym_BSLASHcd] = ACTIONS(634),
    [anon_sym_BSLASHmte] = ACTIONS(634),
    [anon_sym_BSLASHms] = ACTIONS(634),
    [anon_sym_BSLASHs] = ACTIONS(634),
    [anon_sym_BSLASHr] = ACTIONS(634),
    [anon_sym_BSLASHsp] = ACTIONS(634),
    [anon_sym_BSLASHd] = ACTIONS(634),
    [anon_sym_BSLASHsd] = ACTIONS(634),
    [anon_sym_BSLASHp] = ACTIONS(634),
    [anon_sym_BSLASHm] = ACTIONS(634),
    [anon_sym_BSLASHpo] = ACTIONS(634),
    [anon_sym_BSLASHpr] = ACTIONS(634),
    [anon_sym_BSLASHcls] = ACTIONS(634),
    [anon_sym_BSLASHpmo] = ACTIONS(634),
    [anon_sym_BSLASHpm] = ACTIONS(634),
    [anon_sym_BSLASHpmc] = ACTIONS(634),
    [anon_sym_BSLASHpmr] = ACTIONS(634),
    [anon_sym_BSLASHpi] = ACTIONS(634),
    [anon_sym_BSLASHmi] = ACTIONS(634),
    [anon_sym_BSLASHnb] = ACTIONS(634),
    [anon_sym_BSLASHpc] = ACTIONS(634),
    [anon_sym_BSLASHph] = ACTIONS(634),
    [anon_sym_BSLASHb] = ACTIONS(634),
    [anon_sym_BSLASHq] = ACTIONS(634),
    [anon_sym_BSLASHqr] = ACTIONS(634),
    [anon_sym_BSLASHqc] = ACTIONS(634),
    [anon_sym_BSLASHqs] = ACTIONS(536),
    [anon_sym_BSLASHqa] = ACTIONS(634),
    [anon_sym_BSLASHqac] = ACTIONS(538),
    [anon_sym_BSLASHqm] = ACTIONS(634),
    [anon_sym_BSLASHqd] = ACTIONS(634),
    [anon_sym_BSLASHlh] = ACTIONS(634),
    [anon_sym_BSLASHli] = ACTIONS(634),
    [anon_sym_BSLASHlim] = ACTIONS(634),
    [anon_sym_BSLASHtr] = ACTIONS(634),
    [anon_sym_BSLASHf] = ACTIONS(540),
    [anon_sym_BSLASHfe] = ACTIONS(542),
    [anon_sym_BSLASHef] = ACTIONS(544),
    [anon_sym_BSLASHfm] = ACTIONS(546),
    [anon_sym_BSLASHx] = ACTIONS(548),
    [anon_sym_BSLASHxt] = ACTIONS(550),
    [anon_sym_BSLASHrq] = ACTIONS(552),
    [anon_sym_BSLASHadd] = ACTIONS(554),
    [anon_sym_BSLASHbk] = ACTIONS(556),
    [anon_sym_BSLASHdc] = ACTIONS(558),
    [anon_sym_BSLASHk] = ACTIONS(560),
    [anon_sym_BSLASHnd] = ACTIONS(562),
    [anon_sym_BSLASHord] = ACTIONS(564),
    [anon_sym_BSLASHpn] = ACTIONS(566),
    [anon_sym_BSLASHpng] = ACTIONS(568),
    [anon_sym_BSLASHaddpn] = ACTIONS(570),
    [anon_sym_BSLASHqt] = ACTIONS(572),
    [anon_sym_BSLASHsig] = ACTIONS(574),
    [anon_sym_BSLASHsls] = ACTIONS(576),
    [anon_sym_BSLASHtl] = ACTIONS(578),
    [anon_sym_BSLASHwj] = ACTIONS(580),
    [anon_sym_BSLASHem] = ACTIONS(582),
    [anon_sym_BSLASHbd] = ACTIONS(584),
    [anon_sym_BSLASHit] = ACTIONS(586),
    [anon_sym_BSLASHbdit] = ACTIONS(588),
    [anon_sym_BSLASHno] = ACTIONS(590),
    [anon_sym_BSLASHsc] = ACTIONS(592),
    [anon_sym_BSLASHsup] = ACTIONS(594),
    [anon_sym_BSLASHndx] = ACTIONS(596),
    [anon_sym_BSLASHpro] = ACTIONS(598),
    [anon_sym_BSLASHrb] = ACTIONS(600),
    [anon_sym_BSLASHw] = ACTIONS(602),
    [anon_sym_BSLASHwg] = ACTIONS(604),
    [anon_sym_BSLASHwh] = ACTIONS(606),
    [anon_sym_BSLASHwa] = ACTIONS(608),
    [anon_sym_BSLASHfig] = ACTIONS(610),
    [anon_sym_BSLASHjmp] = ACTIONS(612),
    [anon_sym_BSLASHpb] = ACTIONS(634),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(614),
    [sym_milestoneEndTag] = ACTIONS(616),
    [sym_zSpaceTag] = ACTIONS(618),
    [anon_sym_BSLASHesb] = ACTIONS(634),
  },
  [68] = {
    [sym_text] = STATE(314),
    [sym_ref] = STATE(67),
    [sym__comments] = STATE(67),
    [sym_sts] = STATE(67),
    [sym_rem] = STATE(67),
    [sym_restore] = STATE(67),
    [sym_lit] = STATE(67),
    [sym_verseText] = STATE(67),
    [sym_v] = STATE(67),
    [sym__verseMeta] = STATE(67),
    [sym_va] = STATE(67),
    [sym_vp] = STATE(67),
    [sym__paragraphContent] = STATE(67),
    [sym__poetryContent] = STATE(67),
    [sym_qs] = STATE(67),
    [sym_qac] = STATE(67),
    [sym_footnote] = STATE(67),
    [sym_f] = STATE(519),
    [sym_fe] = STATE(519),
    [sym_ef] = STATE(519),
    [sym_fm] = STATE(519),
    [sym_crossref] = STATE(67),
    [sym_x] = STATE(486),
    [sym_xt_standalone] = STATE(486),
    [sym_rq] = STATE(486),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [sym_milestoneTag] = STATE(2101),
    [sym__milestoneStandaloneMarker] = STATE(500),
    [sym__milestoneStart] = STATE(500),
    [sym__milestoneEnd] = STATE(500),
    [sym_milestone] = STATE(67),
    [sym__zNameSpaceRegular] = STATE(496),
    [sym__zNameSpaceClosed] = STATE(496),
    [sym__zNameSpaceStandaloneMarker] = STATE(496),
    [sym_zNameSpace] = STATE(67),
    [aux_sym_verseText_repeat1] = STATE(314),
    [aux_sym_q_repeat1] = STATE(67),
    [ts_builtin_sym_end] = ACTIONS(636),
    [aux_sym_text_token1] = ACTIONS(516),
    [anon_sym_BSLASHref] = ACTIONS(518),
    [anon_sym_BSLASHsts] = ACTIONS(520),
    [anon_sym_BSLASHrem] = ACTIONS(522),
    [anon_sym_BSLASHrestore] = ACTIONS(524),
    [anon_sym_BSLASHlit] = ACTIONS(526),
    [anon_sym_BSLASHip] = ACTIONS(638),
    [anon_sym_BSLASHiex] = ACTIONS(638),
    [anon_sym_BSLASHv] = ACTIONS(530),
    [anon_sym_BSLASHva] = ACTIONS(532),
    [anon_sym_BSLASHvp] = ACTIONS(534),
    [anon_sym_BSLASHc] = ACTIONS(638),
    [anon_sym_BSLASHcl] = ACTIONS(638),
    [anon_sym_BSLASHca] = ACTIONS(638),
    [anon_sym_BSLASHcp] = ACTIONS(638),
    [anon_sym_BSLASHcd] = ACTIONS(638),
    [anon_sym_BSLASHmte] = ACTIONS(638),
    [anon_sym_BSLASHms] = ACTIONS(638),
    [anon_sym_BSLASHs] = ACTIONS(638),
    [anon_sym_BSLASHr] = ACTIONS(638),
    [anon_sym_BSLASHsp] = ACTIONS(638),
    [anon_sym_BSLASHd] = ACTIONS(638),
    [anon_sym_BSLASHsd] = ACTIONS(638),
    [anon_sym_BSLASHp] = ACTIONS(638),
    [anon_sym_BSLASHm] = ACTIONS(638),
    [anon_sym_BSLASHpo] = ACTIONS(638),
    [anon_sym_BSLASHpr] = ACTIONS(638),
    [anon_sym_BSLASHcls] = ACTIONS(638),
    [anon_sym_BSLASHpmo] = ACTIONS(638),
    [anon_sym_BSLASHpm] = ACTIONS(638),
    [anon_sym_BSLASHpmc] = ACTIONS(638),
    [anon_sym_BSLASHpmr] = ACTIONS(638),
    [anon_sym_BSLASHpi] = ACTIONS(638),
    [anon_sym_BSLASHmi] = ACTIONS(638),
    [anon_sym_BSLASHnb] = ACTIONS(638),
    [anon_sym_BSLASHpc] = ACTIONS(638),
    [anon_sym_BSLASHph] = ACTIONS(638),
    [anon_sym_BSLASHb] = ACTIONS(638),
    [anon_sym_BSLASHq] = ACTIONS(638),
    [anon_sym_BSLASHqr] = ACTIONS(638),
    [anon_sym_BSLASHqc] = ACTIONS(638),
    [anon_sym_BSLASHqs] = ACTIONS(536),
    [anon_sym_BSLASHqa] = ACTIONS(638),
    [anon_sym_BSLASHqac] = ACTIONS(538),
    [anon_sym_BSLASHqm] = ACTIONS(638),
    [anon_sym_BSLASHqd] = ACTIONS(638),
    [anon_sym_BSLASHlh] = ACTIONS(638),
    [anon_sym_BSLASHli] = ACTIONS(638),
    [anon_sym_BSLASHlim] = ACTIONS(638),
    [anon_sym_BSLASHtr] = ACTIONS(638),
    [anon_sym_BSLASHf] = ACTIONS(540),
    [anon_sym_BSLASHfe] = ACTIONS(542),
    [anon_sym_BSLASHef] = ACTIONS(544),
    [anon_sym_BSLASHfm] = ACTIONS(546),
    [anon_sym_BSLASHx] = ACTIONS(548),
    [anon_sym_BSLASHxt] = ACTIONS(550),
    [anon_sym_BSLASHrq] = ACTIONS(552),
    [anon_sym_BSLASHadd] = ACTIONS(554),
    [anon_sym_BSLASHbk] = ACTIONS(556),
    [anon_sym_BSLASHdc] = ACTIONS(558),
    [anon_sym_BSLASHk] = ACTIONS(560),
    [anon_sym_BSLASHnd] = ACTIONS(562),
    [anon_sym_BSLASHord] = ACTIONS(564),
    [anon_sym_BSLASHpn] = ACTIONS(566),
    [anon_sym_BSLASHpng] = ACTIONS(568),
    [anon_sym_BSLASHaddpn] = ACTIONS(570),
    [anon_sym_BSLASHqt] = ACTIONS(572),
    [anon_sym_BSLASHsig] = ACTIONS(574),
    [anon_sym_BSLASHsls] = ACTIONS(576),
    [anon_sym_BSLASHtl] = ACTIONS(578),
    [anon_sym_BSLASHwj] = ACTIONS(580),
    [anon_sym_BSLASHem] = ACTIONS(582),
    [anon_sym_BSLASHbd] = ACTIONS(584),
    [anon_sym_BSLASHit] = ACTIONS(586),
    [anon_sym_BSLASHbdit] = ACTIONS(588),
    [anon_sym_BSLASHno] = ACTIONS(590),
    [anon_sym_BSLASHsc] = ACTIONS(592),
    [anon_sym_BSLASHsup] = ACTIONS(594),
    [anon_sym_BSLASHndx] = ACTIONS(596),
    [anon_sym_BSLASHpro] = ACTIONS(598),
    [anon_sym_BSLASHrb] = ACTIONS(600),
    [anon_sym_BSLASHw] = ACTIONS(602),
    [anon_sym_BSLASHwg] = ACTIONS(604),
    [anon_sym_BSLASHwh] = ACTIONS(606),
    [anon_sym_BSLASHwa] = ACTIONS(608),
    [anon_sym_BSLASHfig] = ACTIONS(610),
    [anon_sym_BSLASHjmp] = ACTIONS(612),
    [anon_sym_BSLASHpb] = ACTIONS(638),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(614),
    [sym_milestoneEndTag] = ACTIONS(616),
    [sym_zSpaceTag] = ACTIONS(618),
    [anon_sym_BSLASHesb] = ACTIONS(638),
  },
  [69] = {
    [sym_text] = STATE(314),
    [sym_ref] = STATE(69),
    [sym__comments] = STATE(69),
    [sym_sts] = STATE(69),
    [sym_rem] = STATE(69),
    [sym_restore] = STATE(69),
    [sym_lit] = STATE(69),
    [sym_verseText] = STATE(69),
    [sym_v] = STATE(69),
    [sym__verseMeta] = STATE(69),
    [sym_va] = STATE(69),
    [sym_vp] = STATE(69),
    [sym__paragraphContent] = STATE(69),
    [sym__poetryContent] = STATE(69),
    [sym_qs] = STATE(69),
    [sym_qac] = STATE(69),
    [sym_footnote] = STATE(69),
    [sym_f] = STATE(519),
    [sym_fe] = STATE(519),
    [sym_ef] = STATE(519),
    [sym_fm] = STATE(519),
    [sym_crossref] = STATE(69),
    [sym_x] = STATE(486),
    [sym_xt_standalone] = STATE(486),
    [sym_rq] = STATE(486),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [sym_milestoneTag] = STATE(2101),
    [sym__milestoneStandaloneMarker] = STATE(500),
    [sym__milestoneStart] = STATE(500),
    [sym__milestoneEnd] = STATE(500),
    [sym_milestone] = STATE(69),
    [sym__zNameSpaceRegular] = STATE(496),
    [sym__zNameSpaceClosed] = STATE(496),
    [sym__zNameSpaceStandaloneMarker] = STATE(496),
    [sym_zNameSpace] = STATE(69),
    [aux_sym_verseText_repeat1] = STATE(314),
    [aux_sym_q_repeat1] = STATE(69),
    [ts_builtin_sym_end] = ACTIONS(640),
    [aux_sym_text_token1] = ACTIONS(642),
    [anon_sym_BSLASHref] = ACTIONS(645),
    [anon_sym_BSLASHsts] = ACTIONS(648),
    [anon_sym_BSLASHrem] = ACTIONS(651),
    [anon_sym_BSLASHrestore] = ACTIONS(654),
    [anon_sym_BSLASHlit] = ACTIONS(657),
    [anon_sym_BSLASHip] = ACTIONS(660),
    [anon_sym_BSLASHiex] = ACTIONS(660),
    [anon_sym_BSLASHv] = ACTIONS(662),
    [anon_sym_BSLASHva] = ACTIONS(665),
    [anon_sym_BSLASHvp] = ACTIONS(668),
    [anon_sym_BSLASHc] = ACTIONS(660),
    [anon_sym_BSLASHcl] = ACTIONS(660),
    [anon_sym_BSLASHca] = ACTIONS(660),
    [anon_sym_BSLASHcp] = ACTIONS(660),
    [anon_sym_BSLASHcd] = ACTIONS(660),
    [anon_sym_BSLASHmte] = ACTIONS(660),
    [anon_sym_BSLASHms] = ACTIONS(660),
    [anon_sym_BSLASHs] = ACTIONS(660),
    [anon_sym_BSLASHr] = ACTIONS(660),
    [anon_sym_BSLASHsp] = ACTIONS(660),
    [anon_sym_BSLASHd] = ACTIONS(660),
    [anon_sym_BSLASHsd] = ACTIONS(660),
    [anon_sym_BSLASHp] = ACTIONS(660),
    [anon_sym_BSLASHm] = ACTIONS(660),
    [anon_sym_BSLASHpo] = ACTIONS(660),
    [anon_sym_BSLASHpr] = ACTIONS(660),
    [anon_sym_BSLASHcls] = ACTIONS(660),
    [anon_sym_BSLASHpmo] = ACTIONS(660),
    [anon_sym_BSLASHpm] = ACTIONS(660),
    [anon_sym_BSLASHpmc] = ACTIONS(660),
    [anon_sym_BSLASHpmr] = ACTIONS(660),
    [anon_sym_BSLASHpi] = ACTIONS(660),
    [anon_sym_BSLASHmi] = ACTIONS(660),
    [anon_sym_BSLASHnb] = ACTIONS(660),
    [anon_sym_BSLASHpc] = ACTIONS(660),
    [anon_sym_BSLASHph] = ACTIONS(660),
    [anon_sym_BSLASHb] = ACTIONS(660),
    [anon_sym_BSLASHq] = ACTIONS(660),
    [anon_sym_BSLASHqr] = ACTIONS(660),
    [anon_sym_BSLASHqc] = ACTIONS(660),
    [anon_sym_BSLASHqs] = ACTIONS(671),
    [anon_sym_BSLASHqa] = ACTIONS(660),
    [anon_sym_BSLASHqac] = ACTIONS(674),
    [anon_sym_BSLASHqm] = ACTIONS(660),
    [anon_sym_BSLASHqd] = ACTIONS(660),
    [anon_sym_BSLASHlh] = ACTIONS(660),
    [anon_sym_BSLASHli] = ACTIONS(660),
    [anon_sym_BSLASHlim] = ACTIONS(660),
    [anon_sym_BSLASHtr] = ACTIONS(660),
    [anon_sym_BSLASHf] = ACTIONS(677),
    [anon_sym_BSLASHfe] = ACTIONS(680),
    [anon_sym_BSLASHef] = ACTIONS(683),
    [anon_sym_BSLASHfm] = ACTIONS(686),
    [anon_sym_BSLASHx] = ACTIONS(689),
    [anon_sym_BSLASHxt] = ACTIONS(692),
    [anon_sym_BSLASHrq] = ACTIONS(695),
    [anon_sym_BSLASHadd] = ACTIONS(698),
    [anon_sym_BSLASHbk] = ACTIONS(701),
    [anon_sym_BSLASHdc] = ACTIONS(704),
    [anon_sym_BSLASHk] = ACTIONS(707),
    [anon_sym_BSLASHnd] = ACTIONS(710),
    [anon_sym_BSLASHord] = ACTIONS(713),
    [anon_sym_BSLASHpn] = ACTIONS(716),
    [anon_sym_BSLASHpng] = ACTIONS(719),
    [anon_sym_BSLASHaddpn] = ACTIONS(722),
    [anon_sym_BSLASHqt] = ACTIONS(725),
    [anon_sym_BSLASHsig] = ACTIONS(728),
    [anon_sym_BSLASHsls] = ACTIONS(731),
    [anon_sym_BSLASHtl] = ACTIONS(734),
    [anon_sym_BSLASHwj] = ACTIONS(737),
    [anon_sym_BSLASHem] = ACTIONS(740),
    [anon_sym_BSLASHbd] = ACTIONS(743),
    [anon_sym_BSLASHit] = ACTIONS(746),
    [anon_sym_BSLASHbdit] = ACTIONS(749),
    [anon_sym_BSLASHno] = ACTIONS(752),
    [anon_sym_BSLASHsc] = ACTIONS(755),
    [anon_sym_BSLASHsup] = ACTIONS(758),
    [anon_sym_BSLASHndx] = ACTIONS(761),
    [anon_sym_BSLASHpro] = ACTIONS(764),
    [anon_sym_BSLASHrb] = ACTIONS(767),
    [anon_sym_BSLASHw] = ACTIONS(770),
    [anon_sym_BSLASHwg] = ACTIONS(773),
    [anon_sym_BSLASHwh] = ACTIONS(776),
    [anon_sym_BSLASHwa] = ACTIONS(779),
    [anon_sym_BSLASHfig] = ACTIONS(782),
    [anon_sym_BSLASHjmp] = ACTIONS(785),
    [anon_sym_BSLASHpb] = ACTIONS(660),
    [anon_sym_BSLASH] = ACTIONS(788),
    [sym_milestoneStartTag] = ACTIONS(791),
    [sym_milestoneEndTag] = ACTIONS(794),
    [sym_zSpaceTag] = ACTIONS(797),
    [anon_sym_BSLASHesb] = ACTIONS(660),
  },
  [70] = {
    [sym_text] = STATE(314),
    [sym_ref] = STATE(63),
    [sym__comments] = STATE(63),
    [sym_sts] = STATE(63),
    [sym_rem] = STATE(63),
    [sym_restore] = STATE(63),
    [sym_lit] = STATE(63),
    [sym_verseText] = STATE(63),
    [sym_v] = STATE(63),
    [sym__verseMeta] = STATE(63),
    [sym_va] = STATE(63),
    [sym_vp] = STATE(63),
    [sym__paragraphContent] = STATE(63),
    [sym__poetryContent] = STATE(63),
    [sym_qs] = STATE(63),
    [sym_qac] = STATE(63),
    [sym_footnote] = STATE(63),
    [sym_f] = STATE(519),
    [sym_fe] = STATE(519),
    [sym_ef] = STATE(519),
    [sym_fm] = STATE(519),
    [sym_crossref] = STATE(63),
    [sym_x] = STATE(486),
    [sym_xt_standalone] = STATE(486),
    [sym_rq] = STATE(486),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [sym_milestoneTag] = STATE(2101),
    [sym__milestoneStandaloneMarker] = STATE(500),
    [sym__milestoneStart] = STATE(500),
    [sym__milestoneEnd] = STATE(500),
    [sym_milestone] = STATE(63),
    [sym__zNameSpaceRegular] = STATE(496),
    [sym__zNameSpaceClosed] = STATE(496),
    [sym__zNameSpaceStandaloneMarker] = STATE(496),
    [sym_zNameSpace] = STATE(63),
    [aux_sym_verseText_repeat1] = STATE(314),
    [aux_sym_q_repeat1] = STATE(63),
    [ts_builtin_sym_end] = ACTIONS(800),
    [aux_sym_text_token1] = ACTIONS(516),
    [anon_sym_BSLASHref] = ACTIONS(518),
    [anon_sym_BSLASHsts] = ACTIONS(520),
    [anon_sym_BSLASHrem] = ACTIONS(522),
    [anon_sym_BSLASHrestore] = ACTIONS(524),
    [anon_sym_BSLASHlit] = ACTIONS(526),
    [anon_sym_BSLASHip] = ACTIONS(802),
    [anon_sym_BSLASHiex] = ACTIONS(802),
    [anon_sym_BSLASHv] = ACTIONS(530),
    [anon_sym_BSLASHva] = ACTIONS(532),
    [anon_sym_BSLASHvp] = ACTIONS(534),
    [anon_sym_BSLASHc] = ACTIONS(802),
    [anon_sym_BSLASHcl] = ACTIONS(802),
    [anon_sym_BSLASHca] = ACTIONS(802),
    [anon_sym_BSLASHcp] = ACTIONS(802),
    [anon_sym_BSLASHcd] = ACTIONS(802),
    [anon_sym_BSLASHmte] = ACTIONS(802),
    [anon_sym_BSLASHms] = ACTIONS(802),
    [anon_sym_BSLASHs] = ACTIONS(802),
    [anon_sym_BSLASHr] = ACTIONS(802),
    [anon_sym_BSLASHsp] = ACTIONS(802),
    [anon_sym_BSLASHd] = ACTIONS(802),
    [anon_sym_BSLASHsd] = ACTIONS(802),
    [anon_sym_BSLASHp] = ACTIONS(802),
    [anon_sym_BSLASHm] = ACTIONS(802),
    [anon_sym_BSLASHpo] = ACTIONS(802),
    [anon_sym_BSLASHpr] = ACTIONS(802),
    [anon_sym_BSLASHcls] = ACTIONS(802),
    [anon_sym_BSLASHpmo] = ACTIONS(802),
    [anon_sym_BSLASHpm] = ACTIONS(802),
    [anon_sym_BSLASHpmc] = ACTIONS(802),
    [anon_sym_BSLASHpmr] = ACTIONS(802),
    [anon_sym_BSLASHpi] = ACTIONS(802),
    [anon_sym_BSLASHmi] = ACTIONS(802),
    [anon_sym_BSLASHnb] = ACTIONS(802),
    [anon_sym_BSLASHpc] = ACTIONS(802),
    [anon_sym_BSLASHph] = ACTIONS(802),
    [anon_sym_BSLASHb] = ACTIONS(802),
    [anon_sym_BSLASHq] = ACTIONS(802),
    [anon_sym_BSLASHqr] = ACTIONS(802),
    [anon_sym_BSLASHqc] = ACTIONS(802),
    [anon_sym_BSLASHqs] = ACTIONS(536),
    [anon_sym_BSLASHqa] = ACTIONS(802),
    [anon_sym_BSLASHqac] = ACTIONS(538),
    [anon_sym_BSLASHqm] = ACTIONS(802),
    [anon_sym_BSLASHqd] = ACTIONS(802),
    [anon_sym_BSLASHlh] = ACTIONS(802),
    [anon_sym_BSLASHli] = ACTIONS(802),
    [anon_sym_BSLASHlim] = ACTIONS(802),
    [anon_sym_BSLASHtr] = ACTIONS(802),
    [anon_sym_BSLASHf] = ACTIONS(540),
    [anon_sym_BSLASHfe] = ACTIONS(542),
    [anon_sym_BSLASHef] = ACTIONS(544),
    [anon_sym_BSLASHfm] = ACTIONS(546),
    [anon_sym_BSLASHx] = ACTIONS(548),
    [anon_sym_BSLASHxt] = ACTIONS(550),
    [anon_sym_BSLASHrq] = ACTIONS(552),
    [anon_sym_BSLASHadd] = ACTIONS(554),
    [anon_sym_BSLASHbk] = ACTIONS(556),
    [anon_sym_BSLASHdc] = ACTIONS(558),
    [anon_sym_BSLASHk] = ACTIONS(560),
    [anon_sym_BSLASHnd] = ACTIONS(562),
    [anon_sym_BSLASHord] = ACTIONS(564),
    [anon_sym_BSLASHpn] = ACTIONS(566),
    [anon_sym_BSLASHpng] = ACTIONS(568),
    [anon_sym_BSLASHaddpn] = ACTIONS(570),
    [anon_sym_BSLASHqt] = ACTIONS(572),
    [anon_sym_BSLASHsig] = ACTIONS(574),
    [anon_sym_BSLASHsls] = ACTIONS(576),
    [anon_sym_BSLASHtl] = ACTIONS(578),
    [anon_sym_BSLASHwj] = ACTIONS(580),
    [anon_sym_BSLASHem] = ACTIONS(582),
    [anon_sym_BSLASHbd] = ACTIONS(584),
    [anon_sym_BSLASHit] = ACTIONS(586),
    [anon_sym_BSLASHbdit] = ACTIONS(588),
    [anon_sym_BSLASHno] = ACTIONS(590),
    [anon_sym_BSLASHsc] = ACTIONS(592),
    [anon_sym_BSLASHsup] = ACTIONS(594),
    [anon_sym_BSLASHndx] = ACTIONS(596),
    [anon_sym_BSLASHpro] = ACTIONS(598),
    [anon_sym_BSLASHrb] = ACTIONS(600),
    [anon_sym_BSLASHw] = ACTIONS(602),
    [anon_sym_BSLASHwg] = ACTIONS(604),
    [anon_sym_BSLASHwh] = ACTIONS(606),
    [anon_sym_BSLASHwa] = ACTIONS(608),
    [anon_sym_BSLASHfig] = ACTIONS(610),
    [anon_sym_BSLASHjmp] = ACTIONS(612),
    [anon_sym_BSLASHpb] = ACTIONS(802),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(614),
    [sym_milestoneEndTag] = ACTIONS(616),
    [sym_zSpaceTag] = ACTIONS(618),
    [anon_sym_BSLASHesb] = ACTIONS(802),
  },
  [71] = {
    [sym_text] = STATE(314),
    [sym_ref] = STATE(69),
    [sym__comments] = STATE(69),
    [sym_sts] = STATE(69),
    [sym_rem] = STATE(69),
    [sym_restore] = STATE(69),
    [sym_lit] = STATE(69),
    [sym_verseText] = STATE(69),
    [sym_v] = STATE(69),
    [sym__verseMeta] = STATE(69),
    [sym_va] = STATE(69),
    [sym_vp] = STATE(69),
    [sym__paragraphContent] = STATE(69),
    [sym__poetryContent] = STATE(69),
    [sym_qs] = STATE(69),
    [sym_qac] = STATE(69),
    [sym_footnote] = STATE(69),
    [sym_f] = STATE(519),
    [sym_fe] = STATE(519),
    [sym_ef] = STATE(519),
    [sym_fm] = STATE(519),
    [sym_crossref] = STATE(69),
    [sym_x] = STATE(486),
    [sym_xt_standalone] = STATE(486),
    [sym_rq] = STATE(486),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [sym_milestoneTag] = STATE(2101),
    [sym__milestoneStandaloneMarker] = STATE(500),
    [sym__milestoneStart] = STATE(500),
    [sym__milestoneEnd] = STATE(500),
    [sym_milestone] = STATE(69),
    [sym__zNameSpaceRegular] = STATE(496),
    [sym__zNameSpaceClosed] = STATE(496),
    [sym__zNameSpaceStandaloneMarker] = STATE(496),
    [sym_zNameSpace] = STATE(69),
    [aux_sym_verseText_repeat1] = STATE(314),
    [aux_sym_q_repeat1] = STATE(69),
    [ts_builtin_sym_end] = ACTIONS(804),
    [aux_sym_text_token1] = ACTIONS(516),
    [anon_sym_BSLASHref] = ACTIONS(518),
    [anon_sym_BSLASHsts] = ACTIONS(520),
    [anon_sym_BSLASHrem] = ACTIONS(522),
    [anon_sym_BSLASHrestore] = ACTIONS(524),
    [anon_sym_BSLASHlit] = ACTIONS(526),
    [anon_sym_BSLASHip] = ACTIONS(806),
    [anon_sym_BSLASHiex] = ACTIONS(806),
    [anon_sym_BSLASHv] = ACTIONS(530),
    [anon_sym_BSLASHva] = ACTIONS(532),
    [anon_sym_BSLASHvp] = ACTIONS(534),
    [anon_sym_BSLASHc] = ACTIONS(806),
    [anon_sym_BSLASHcl] = ACTIONS(806),
    [anon_sym_BSLASHca] = ACTIONS(806),
    [anon_sym_BSLASHcp] = ACTIONS(806),
    [anon_sym_BSLASHcd] = ACTIONS(806),
    [anon_sym_BSLASHmte] = ACTIONS(806),
    [anon_sym_BSLASHms] = ACTIONS(806),
    [anon_sym_BSLASHs] = ACTIONS(806),
    [anon_sym_BSLASHr] = ACTIONS(806),
    [anon_sym_BSLASHsp] = ACTIONS(806),
    [anon_sym_BSLASHd] = ACTIONS(806),
    [anon_sym_BSLASHsd] = ACTIONS(806),
    [anon_sym_BSLASHp] = ACTIONS(806),
    [anon_sym_BSLASHm] = ACTIONS(806),
    [anon_sym_BSLASHpo] = ACTIONS(806),
    [anon_sym_BSLASHpr] = ACTIONS(806),
    [anon_sym_BSLASHcls] = ACTIONS(806),
    [anon_sym_BSLASHpmo] = ACTIONS(806),
    [anon_sym_BSLASHpm] = ACTIONS(806),
    [anon_sym_BSLASHpmc] = ACTIONS(806),
    [anon_sym_BSLASHpmr] = ACTIONS(806),
    [anon_sym_BSLASHpi] = ACTIONS(806),
    [anon_sym_BSLASHmi] = ACTIONS(806),
    [anon_sym_BSLASHnb] = ACTIONS(806),
    [anon_sym_BSLASHpc] = ACTIONS(806),
    [anon_sym_BSLASHph] = ACTIONS(806),
    [anon_sym_BSLASHb] = ACTIONS(806),
    [anon_sym_BSLASHq] = ACTIONS(806),
    [anon_sym_BSLASHqr] = ACTIONS(806),
    [anon_sym_BSLASHqc] = ACTIONS(806),
    [anon_sym_BSLASHqs] = ACTIONS(536),
    [anon_sym_BSLASHqa] = ACTIONS(806),
    [anon_sym_BSLASHqac] = ACTIONS(538),
    [anon_sym_BSLASHqm] = ACTIONS(806),
    [anon_sym_BSLASHqd] = ACTIONS(806),
    [anon_sym_BSLASHlh] = ACTIONS(806),
    [anon_sym_BSLASHli] = ACTIONS(806),
    [anon_sym_BSLASHlim] = ACTIONS(806),
    [anon_sym_BSLASHtr] = ACTIONS(806),
    [anon_sym_BSLASHf] = ACTIONS(540),
    [anon_sym_BSLASHfe] = ACTIONS(542),
    [anon_sym_BSLASHef] = ACTIONS(544),
    [anon_sym_BSLASHfm] = ACTIONS(546),
    [anon_sym_BSLASHx] = ACTIONS(548),
    [anon_sym_BSLASHxt] = ACTIONS(550),
    [anon_sym_BSLASHrq] = ACTIONS(552),
    [anon_sym_BSLASHadd] = ACTIONS(554),
    [anon_sym_BSLASHbk] = ACTIONS(556),
    [anon_sym_BSLASHdc] = ACTIONS(558),
    [anon_sym_BSLASHk] = ACTIONS(560),
    [anon_sym_BSLASHnd] = ACTIONS(562),
    [anon_sym_BSLASHord] = ACTIONS(564),
    [anon_sym_BSLASHpn] = ACTIONS(566),
    [anon_sym_BSLASHpng] = ACTIONS(568),
    [anon_sym_BSLASHaddpn] = ACTIONS(570),
    [anon_sym_BSLASHqt] = ACTIONS(572),
    [anon_sym_BSLASHsig] = ACTIONS(574),
    [anon_sym_BSLASHsls] = ACTIONS(576),
    [anon_sym_BSLASHtl] = ACTIONS(578),
    [anon_sym_BSLASHwj] = ACTIONS(580),
    [anon_sym_BSLASHem] = ACTIONS(582),
    [anon_sym_BSLASHbd] = ACTIONS(584),
    [anon_sym_BSLASHit] = ACTIONS(586),
    [anon_sym_BSLASHbdit] = ACTIONS(588),
    [anon_sym_BSLASHno] = ACTIONS(590),
    [anon_sym_BSLASHsc] = ACTIONS(592),
    [anon_sym_BSLASHsup] = ACTIONS(594),
    [anon_sym_BSLASHndx] = ACTIONS(596),
    [anon_sym_BSLASHpro] = ACTIONS(598),
    [anon_sym_BSLASHrb] = ACTIONS(600),
    [anon_sym_BSLASHw] = ACTIONS(602),
    [anon_sym_BSLASHwg] = ACTIONS(604),
    [anon_sym_BSLASHwh] = ACTIONS(606),
    [anon_sym_BSLASHwa] = ACTIONS(608),
    [anon_sym_BSLASHfig] = ACTIONS(610),
    [anon_sym_BSLASHjmp] = ACTIONS(612),
    [anon_sym_BSLASHpb] = ACTIONS(806),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(614),
    [sym_milestoneEndTag] = ACTIONS(616),
    [sym_zSpaceTag] = ACTIONS(618),
    [anon_sym_BSLASHesb] = ACTIONS(806),
  },
  [72] = {
    [sym_text] = STATE(314),
    [sym_ref] = STATE(69),
    [sym__comments] = STATE(69),
    [sym_sts] = STATE(69),
    [sym_rem] = STATE(69),
    [sym_restore] = STATE(69),
    [sym_lit] = STATE(69),
    [sym_verseText] = STATE(69),
    [sym_v] = STATE(69),
    [sym__verseMeta] = STATE(69),
    [sym_va] = STATE(69),
    [sym_vp] = STATE(69),
    [sym__paragraphContent] = STATE(69),
    [sym__poetryContent] = STATE(69),
    [sym_qs] = STATE(69),
    [sym_qac] = STATE(69),
    [sym_footnote] = STATE(69),
    [sym_f] = STATE(519),
    [sym_fe] = STATE(519),
    [sym_ef] = STATE(519),
    [sym_fm] = STATE(519),
    [sym_crossref] = STATE(69),
    [sym_x] = STATE(486),
    [sym_xt_standalone] = STATE(486),
    [sym_rq] = STATE(486),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [sym_milestoneTag] = STATE(2101),
    [sym__milestoneStandaloneMarker] = STATE(500),
    [sym__milestoneStart] = STATE(500),
    [sym__milestoneEnd] = STATE(500),
    [sym_milestone] = STATE(69),
    [sym__zNameSpaceRegular] = STATE(496),
    [sym__zNameSpaceClosed] = STATE(496),
    [sym__zNameSpaceStandaloneMarker] = STATE(496),
    [sym_zNameSpace] = STATE(69),
    [aux_sym_verseText_repeat1] = STATE(314),
    [aux_sym_q_repeat1] = STATE(69),
    [ts_builtin_sym_end] = ACTIONS(808),
    [aux_sym_text_token1] = ACTIONS(516),
    [anon_sym_BSLASHref] = ACTIONS(518),
    [anon_sym_BSLASHsts] = ACTIONS(520),
    [anon_sym_BSLASHrem] = ACTIONS(522),
    [anon_sym_BSLASHrestore] = ACTIONS(524),
    [anon_sym_BSLASHlit] = ACTIONS(526),
    [anon_sym_BSLASHip] = ACTIONS(810),
    [anon_sym_BSLASHiex] = ACTIONS(810),
    [anon_sym_BSLASHv] = ACTIONS(530),
    [anon_sym_BSLASHva] = ACTIONS(532),
    [anon_sym_BSLASHvp] = ACTIONS(534),
    [anon_sym_BSLASHc] = ACTIONS(810),
    [anon_sym_BSLASHcl] = ACTIONS(810),
    [anon_sym_BSLASHca] = ACTIONS(810),
    [anon_sym_BSLASHcp] = ACTIONS(810),
    [anon_sym_BSLASHcd] = ACTIONS(810),
    [anon_sym_BSLASHmte] = ACTIONS(810),
    [anon_sym_BSLASHms] = ACTIONS(810),
    [anon_sym_BSLASHs] = ACTIONS(810),
    [anon_sym_BSLASHr] = ACTIONS(810),
    [anon_sym_BSLASHsp] = ACTIONS(810),
    [anon_sym_BSLASHd] = ACTIONS(810),
    [anon_sym_BSLASHsd] = ACTIONS(810),
    [anon_sym_BSLASHp] = ACTIONS(810),
    [anon_sym_BSLASHm] = ACTIONS(810),
    [anon_sym_BSLASHpo] = ACTIONS(810),
    [anon_sym_BSLASHpr] = ACTIONS(810),
    [anon_sym_BSLASHcls] = ACTIONS(810),
    [anon_sym_BSLASHpmo] = ACTIONS(810),
    [anon_sym_BSLASHpm] = ACTIONS(810),
    [anon_sym_BSLASHpmc] = ACTIONS(810),
    [anon_sym_BSLASHpmr] = ACTIONS(810),
    [anon_sym_BSLASHpi] = ACTIONS(810),
    [anon_sym_BSLASHmi] = ACTIONS(810),
    [anon_sym_BSLASHnb] = ACTIONS(810),
    [anon_sym_BSLASHpc] = ACTIONS(810),
    [anon_sym_BSLASHph] = ACTIONS(810),
    [anon_sym_BSLASHb] = ACTIONS(810),
    [anon_sym_BSLASHq] = ACTIONS(810),
    [anon_sym_BSLASHqr] = ACTIONS(810),
    [anon_sym_BSLASHqc] = ACTIONS(810),
    [anon_sym_BSLASHqs] = ACTIONS(536),
    [anon_sym_BSLASHqa] = ACTIONS(810),
    [anon_sym_BSLASHqac] = ACTIONS(538),
    [anon_sym_BSLASHqm] = ACTIONS(810),
    [anon_sym_BSLASHqd] = ACTIONS(810),
    [anon_sym_BSLASHlh] = ACTIONS(810),
    [anon_sym_BSLASHli] = ACTIONS(810),
    [anon_sym_BSLASHlim] = ACTIONS(810),
    [anon_sym_BSLASHtr] = ACTIONS(810),
    [anon_sym_BSLASHf] = ACTIONS(540),
    [anon_sym_BSLASHfe] = ACTIONS(542),
    [anon_sym_BSLASHef] = ACTIONS(544),
    [anon_sym_BSLASHfm] = ACTIONS(546),
    [anon_sym_BSLASHx] = ACTIONS(548),
    [anon_sym_BSLASHxt] = ACTIONS(550),
    [anon_sym_BSLASHrq] = ACTIONS(552),
    [anon_sym_BSLASHadd] = ACTIONS(554),
    [anon_sym_BSLASHbk] = ACTIONS(556),
    [anon_sym_BSLASHdc] = ACTIONS(558),
    [anon_sym_BSLASHk] = ACTIONS(560),
    [anon_sym_BSLASHnd] = ACTIONS(562),
    [anon_sym_BSLASHord] = ACTIONS(564),
    [anon_sym_BSLASHpn] = ACTIONS(566),
    [anon_sym_BSLASHpng] = ACTIONS(568),
    [anon_sym_BSLASHaddpn] = ACTIONS(570),
    [anon_sym_BSLASHqt] = ACTIONS(572),
    [anon_sym_BSLASHsig] = ACTIONS(574),
    [anon_sym_BSLASHsls] = ACTIONS(576),
    [anon_sym_BSLASHtl] = ACTIONS(578),
    [anon_sym_BSLASHwj] = ACTIONS(580),
    [anon_sym_BSLASHem] = ACTIONS(582),
    [anon_sym_BSLASHbd] = ACTIONS(584),
    [anon_sym_BSLASHit] = ACTIONS(586),
    [anon_sym_BSLASHbdit] = ACTIONS(588),
    [anon_sym_BSLASHno] = ACTIONS(590),
    [anon_sym_BSLASHsc] = ACTIONS(592),
    [anon_sym_BSLASHsup] = ACTIONS(594),
    [anon_sym_BSLASHndx] = ACTIONS(596),
    [anon_sym_BSLASHpro] = ACTIONS(598),
    [anon_sym_BSLASHrb] = ACTIONS(600),
    [anon_sym_BSLASHw] = ACTIONS(602),
    [anon_sym_BSLASHwg] = ACTIONS(604),
    [anon_sym_BSLASHwh] = ACTIONS(606),
    [anon_sym_BSLASHwa] = ACTIONS(608),
    [anon_sym_BSLASHfig] = ACTIONS(610),
    [anon_sym_BSLASHjmp] = ACTIONS(612),
    [anon_sym_BSLASHpb] = ACTIONS(810),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(614),
    [sym_milestoneEndTag] = ACTIONS(616),
    [sym_zSpaceTag] = ACTIONS(618),
    [anon_sym_BSLASHesb] = ACTIONS(810),
  },
  [73] = {
    [sym_text] = STATE(314),
    [sym_ref] = STATE(71),
    [sym__comments] = STATE(71),
    [sym_sts] = STATE(71),
    [sym_rem] = STATE(71),
    [sym_restore] = STATE(71),
    [sym_lit] = STATE(71),
    [sym_verseText] = STATE(71),
    [sym_v] = STATE(71),
    [sym__verseMeta] = STATE(71),
    [sym_va] = STATE(71),
    [sym_vp] = STATE(71),
    [sym__paragraphContent] = STATE(71),
    [sym__poetryContent] = STATE(71),
    [sym_qs] = STATE(71),
    [sym_qac] = STATE(71),
    [sym_footnote] = STATE(71),
    [sym_f] = STATE(519),
    [sym_fe] = STATE(519),
    [sym_ef] = STATE(519),
    [sym_fm] = STATE(519),
    [sym_crossref] = STATE(71),
    [sym_x] = STATE(486),
    [sym_xt_standalone] = STATE(486),
    [sym_rq] = STATE(486),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [sym_milestoneTag] = STATE(2101),
    [sym__milestoneStandaloneMarker] = STATE(500),
    [sym__milestoneStart] = STATE(500),
    [sym__milestoneEnd] = STATE(500),
    [sym_milestone] = STATE(71),
    [sym__zNameSpaceRegular] = STATE(496),
    [sym__zNameSpaceClosed] = STATE(496),
    [sym__zNameSpaceStandaloneMarker] = STATE(496),
    [sym_zNameSpace] = STATE(71),
    [aux_sym_verseText_repeat1] = STATE(314),
    [aux_sym_q_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(812),
    [aux_sym_text_token1] = ACTIONS(516),
    [anon_sym_BSLASHref] = ACTIONS(518),
    [anon_sym_BSLASHsts] = ACTIONS(520),
    [anon_sym_BSLASHrem] = ACTIONS(522),
    [anon_sym_BSLASHrestore] = ACTIONS(524),
    [anon_sym_BSLASHlit] = ACTIONS(526),
    [anon_sym_BSLASHip] = ACTIONS(814),
    [anon_sym_BSLASHiex] = ACTIONS(814),
    [anon_sym_BSLASHv] = ACTIONS(530),
    [anon_sym_BSLASHva] = ACTIONS(532),
    [anon_sym_BSLASHvp] = ACTIONS(534),
    [anon_sym_BSLASHc] = ACTIONS(814),
    [anon_sym_BSLASHcl] = ACTIONS(814),
    [anon_sym_BSLASHca] = ACTIONS(814),
    [anon_sym_BSLASHcp] = ACTIONS(814),
    [anon_sym_BSLASHcd] = ACTIONS(814),
    [anon_sym_BSLASHmte] = ACTIONS(814),
    [anon_sym_BSLASHms] = ACTIONS(814),
    [anon_sym_BSLASHs] = ACTIONS(814),
    [anon_sym_BSLASHr] = ACTIONS(814),
    [anon_sym_BSLASHsp] = ACTIONS(814),
    [anon_sym_BSLASHd] = ACTIONS(814),
    [anon_sym_BSLASHsd] = ACTIONS(814),
    [anon_sym_BSLASHp] = ACTIONS(814),
    [anon_sym_BSLASHm] = ACTIONS(814),
    [anon_sym_BSLASHpo] = ACTIONS(814),
    [anon_sym_BSLASHpr] = ACTIONS(814),
    [anon_sym_BSLASHcls] = ACTIONS(814),
    [anon_sym_BSLASHpmo] = ACTIONS(814),
    [anon_sym_BSLASHpm] = ACTIONS(814),
    [anon_sym_BSLASHpmc] = ACTIONS(814),
    [anon_sym_BSLASHpmr] = ACTIONS(814),
    [anon_sym_BSLASHpi] = ACTIONS(814),
    [anon_sym_BSLASHmi] = ACTIONS(814),
    [anon_sym_BSLASHnb] = ACTIONS(814),
    [anon_sym_BSLASHpc] = ACTIONS(814),
    [anon_sym_BSLASHph] = ACTIONS(814),
    [anon_sym_BSLASHb] = ACTIONS(814),
    [anon_sym_BSLASHq] = ACTIONS(814),
    [anon_sym_BSLASHqr] = ACTIONS(814),
    [anon_sym_BSLASHqc] = ACTIONS(814),
    [anon_sym_BSLASHqs] = ACTIONS(536),
    [anon_sym_BSLASHqa] = ACTIONS(814),
    [anon_sym_BSLASHqac] = ACTIONS(538),
    [anon_sym_BSLASHqm] = ACTIONS(814),
    [anon_sym_BSLASHqd] = ACTIONS(814),
    [anon_sym_BSLASHlh] = ACTIONS(814),
    [anon_sym_BSLASHli] = ACTIONS(814),
    [anon_sym_BSLASHlim] = ACTIONS(814),
    [anon_sym_BSLASHtr] = ACTIONS(814),
    [anon_sym_BSLASHf] = ACTIONS(540),
    [anon_sym_BSLASHfe] = ACTIONS(542),
    [anon_sym_BSLASHef] = ACTIONS(544),
    [anon_sym_BSLASHfm] = ACTIONS(546),
    [anon_sym_BSLASHx] = ACTIONS(548),
    [anon_sym_BSLASHxt] = ACTIONS(550),
    [anon_sym_BSLASHrq] = ACTIONS(552),
    [anon_sym_BSLASHadd] = ACTIONS(554),
    [anon_sym_BSLASHbk] = ACTIONS(556),
    [anon_sym_BSLASHdc] = ACTIONS(558),
    [anon_sym_BSLASHk] = ACTIONS(560),
    [anon_sym_BSLASHnd] = ACTIONS(562),
    [anon_sym_BSLASHord] = ACTIONS(564),
    [anon_sym_BSLASHpn] = ACTIONS(566),
    [anon_sym_BSLASHpng] = ACTIONS(568),
    [anon_sym_BSLASHaddpn] = ACTIONS(570),
    [anon_sym_BSLASHqt] = ACTIONS(572),
    [anon_sym_BSLASHsig] = ACTIONS(574),
    [anon_sym_BSLASHsls] = ACTIONS(576),
    [anon_sym_BSLASHtl] = ACTIONS(578),
    [anon_sym_BSLASHwj] = ACTIONS(580),
    [anon_sym_BSLASHem] = ACTIONS(582),
    [anon_sym_BSLASHbd] = ACTIONS(584),
    [anon_sym_BSLASHit] = ACTIONS(586),
    [anon_sym_BSLASHbdit] = ACTIONS(588),
    [anon_sym_BSLASHno] = ACTIONS(590),
    [anon_sym_BSLASHsc] = ACTIONS(592),
    [anon_sym_BSLASHsup] = ACTIONS(594),
    [anon_sym_BSLASHndx] = ACTIONS(596),
    [anon_sym_BSLASHpro] = ACTIONS(598),
    [anon_sym_BSLASHrb] = ACTIONS(600),
    [anon_sym_BSLASHw] = ACTIONS(602),
    [anon_sym_BSLASHwg] = ACTIONS(604),
    [anon_sym_BSLASHwh] = ACTIONS(606),
    [anon_sym_BSLASHwa] = ACTIONS(608),
    [anon_sym_BSLASHfig] = ACTIONS(610),
    [anon_sym_BSLASHjmp] = ACTIONS(612),
    [anon_sym_BSLASHpb] = ACTIONS(814),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(614),
    [sym_milestoneEndTag] = ACTIONS(616),
    [sym_zSpaceTag] = ACTIONS(618),
    [anon_sym_BSLASHesb] = ACTIONS(814),
  },
  [74] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(78),
    [sym__comments] = STATE(78),
    [sym_sts] = STATE(78),
    [sym_rem] = STATE(78),
    [sym_restore] = STATE(78),
    [sym_lit] = STATE(78),
    [sym_verseText] = STATE(78),
    [sym_v] = STATE(78),
    [sym__verseMeta] = STATE(78),
    [sym_va] = STATE(78),
    [sym_vp] = STATE(78),
    [sym__paragraphContent] = STATE(78),
    [sym_liv] = STATE(78),
    [sym_livTag] = STATE(2656),
    [sym_lik] = STATE(78),
    [sym_litl] = STATE(78),
    [sym__listTextContent] = STATE(78),
    [sym_footnote] = STATE(78),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(78),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(78),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(78),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_li_repeat1] = STATE(78),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(500),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(500),
    [anon_sym_BSLASHms] = ACTIONS(500),
    [anon_sym_BSLASHs] = ACTIONS(500),
    [anon_sym_BSLASHr] = ACTIONS(500),
    [anon_sym_BSLASHsp] = ACTIONS(500),
    [anon_sym_BSLASHd] = ACTIONS(500),
    [anon_sym_BSLASHsd] = ACTIONS(500),
    [anon_sym_BSLASHp] = ACTIONS(500),
    [anon_sym_BSLASHm] = ACTIONS(500),
    [anon_sym_BSLASHpo] = ACTIONS(500),
    [anon_sym_BSLASHpr] = ACTIONS(500),
    [anon_sym_BSLASHcls] = ACTIONS(500),
    [anon_sym_BSLASHpmo] = ACTIONS(500),
    [anon_sym_BSLASHpm] = ACTIONS(500),
    [anon_sym_BSLASHpmc] = ACTIONS(500),
    [anon_sym_BSLASHpmr] = ACTIONS(500),
    [anon_sym_BSLASHpi] = ACTIONS(500),
    [anon_sym_BSLASHmi] = ACTIONS(500),
    [anon_sym_BSLASHnb] = ACTIONS(500),
    [anon_sym_BSLASHpc] = ACTIONS(500),
    [anon_sym_BSLASHph] = ACTIONS(500),
    [anon_sym_BSLASHb] = ACTIONS(500),
    [anon_sym_BSLASHq] = ACTIONS(500),
    [anon_sym_BSLASHqr] = ACTIONS(500),
    [anon_sym_BSLASHqc] = ACTIONS(500),
    [anon_sym_BSLASHqa] = ACTIONS(500),
    [anon_sym_BSLASHqm] = ACTIONS(500),
    [anon_sym_BSLASHqd] = ACTIONS(500),
    [anon_sym_BSLASHlh] = ACTIONS(500),
    [anon_sym_BSLASHlf] = ACTIONS(500),
    [anon_sym_BSLASHli] = ACTIONS(500),
    [anon_sym_BSLASHlim] = ACTIONS(500),
    [anon_sym_BSLASHliv] = ACTIONS(406),
    [anon_sym_BSLASHlik] = ACTIONS(834),
    [anon_sym_BSLASHlitl] = ACTIONS(836),
    [anon_sym_BSLASHtr] = ACTIONS(500),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(500),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(500),
    [anon_sym_BSLASHcat] = ACTIONS(500),
  },
  [75] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(77),
    [sym__comments] = STATE(77),
    [sym_sts] = STATE(77),
    [sym_rem] = STATE(77),
    [sym_restore] = STATE(77),
    [sym_lit] = STATE(77),
    [sym_verseText] = STATE(77),
    [sym_v] = STATE(77),
    [sym__verseMeta] = STATE(77),
    [sym_va] = STATE(77),
    [sym_vp] = STATE(77),
    [sym__paragraphContent] = STATE(77),
    [sym_liv] = STATE(77),
    [sym_livTag] = STATE(2656),
    [sym_lik] = STATE(77),
    [sym_litl] = STATE(77),
    [sym__listTextContent] = STATE(77),
    [sym_footnote] = STATE(77),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(77),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(77),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(77),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_li_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(504),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(504),
    [anon_sym_BSLASHms] = ACTIONS(504),
    [anon_sym_BSLASHs] = ACTIONS(504),
    [anon_sym_BSLASHr] = ACTIONS(504),
    [anon_sym_BSLASHsp] = ACTIONS(504),
    [anon_sym_BSLASHd] = ACTIONS(504),
    [anon_sym_BSLASHsd] = ACTIONS(504),
    [anon_sym_BSLASHp] = ACTIONS(504),
    [anon_sym_BSLASHm] = ACTIONS(504),
    [anon_sym_BSLASHpo] = ACTIONS(504),
    [anon_sym_BSLASHpr] = ACTIONS(504),
    [anon_sym_BSLASHcls] = ACTIONS(504),
    [anon_sym_BSLASHpmo] = ACTIONS(504),
    [anon_sym_BSLASHpm] = ACTIONS(504),
    [anon_sym_BSLASHpmc] = ACTIONS(504),
    [anon_sym_BSLASHpmr] = ACTIONS(504),
    [anon_sym_BSLASHpi] = ACTIONS(504),
    [anon_sym_BSLASHmi] = ACTIONS(504),
    [anon_sym_BSLASHnb] = ACTIONS(504),
    [anon_sym_BSLASHpc] = ACTIONS(504),
    [anon_sym_BSLASHph] = ACTIONS(504),
    [anon_sym_BSLASHb] = ACTIONS(504),
    [anon_sym_BSLASHq] = ACTIONS(504),
    [anon_sym_BSLASHqr] = ACTIONS(504),
    [anon_sym_BSLASHqc] = ACTIONS(504),
    [anon_sym_BSLASHqa] = ACTIONS(504),
    [anon_sym_BSLASHqm] = ACTIONS(504),
    [anon_sym_BSLASHqd] = ACTIONS(504),
    [anon_sym_BSLASHlh] = ACTIONS(504),
    [anon_sym_BSLASHlf] = ACTIONS(504),
    [anon_sym_BSLASHli] = ACTIONS(504),
    [anon_sym_BSLASHlim] = ACTIONS(504),
    [anon_sym_BSLASHliv] = ACTIONS(406),
    [anon_sym_BSLASHlik] = ACTIONS(834),
    [anon_sym_BSLASHlitl] = ACTIONS(836),
    [anon_sym_BSLASHtr] = ACTIONS(504),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(504),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(504),
    [anon_sym_BSLASHcat] = ACTIONS(504),
  },
  [76] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(76),
    [sym__comments] = STATE(76),
    [sym_sts] = STATE(76),
    [sym_rem] = STATE(76),
    [sym_restore] = STATE(76),
    [sym_lit] = STATE(76),
    [sym_verseText] = STATE(76),
    [sym_v] = STATE(76),
    [sym__verseMeta] = STATE(76),
    [sym_va] = STATE(76),
    [sym_vp] = STATE(76),
    [sym__paragraphContent] = STATE(76),
    [sym_liv] = STATE(76),
    [sym_livTag] = STATE(2656),
    [sym_lik] = STATE(76),
    [sym_litl] = STATE(76),
    [sym__listTextContent] = STATE(76),
    [sym_footnote] = STATE(76),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(76),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(76),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(76),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_li_repeat1] = STATE(76),
    [aux_sym_text_token1] = ACTIONS(918),
    [anon_sym_BSLASHref] = ACTIONS(921),
    [anon_sym_BSLASHsts] = ACTIONS(924),
    [anon_sym_BSLASHrem] = ACTIONS(927),
    [anon_sym_BSLASHrestore] = ACTIONS(930),
    [anon_sym_BSLASHlit] = ACTIONS(933),
    [anon_sym_BSLASHip] = ACTIONS(241),
    [anon_sym_BSLASHv] = ACTIONS(936),
    [anon_sym_BSLASHva] = ACTIONS(939),
    [anon_sym_BSLASHvp] = ACTIONS(942),
    [anon_sym_BSLASHmte] = ACTIONS(241),
    [anon_sym_BSLASHms] = ACTIONS(241),
    [anon_sym_BSLASHs] = ACTIONS(241),
    [anon_sym_BSLASHr] = ACTIONS(241),
    [anon_sym_BSLASHsp] = ACTIONS(241),
    [anon_sym_BSLASHd] = ACTIONS(241),
    [anon_sym_BSLASHsd] = ACTIONS(241),
    [anon_sym_BSLASHp] = ACTIONS(241),
    [anon_sym_BSLASHm] = ACTIONS(241),
    [anon_sym_BSLASHpo] = ACTIONS(241),
    [anon_sym_BSLASHpr] = ACTIONS(241),
    [anon_sym_BSLASHcls] = ACTIONS(241),
    [anon_sym_BSLASHpmo] = ACTIONS(241),
    [anon_sym_BSLASHpm] = ACTIONS(241),
    [anon_sym_BSLASHpmc] = ACTIONS(241),
    [anon_sym_BSLASHpmr] = ACTIONS(241),
    [anon_sym_BSLASHpi] = ACTIONS(241),
    [anon_sym_BSLASHmi] = ACTIONS(241),
    [anon_sym_BSLASHnb] = ACTIONS(241),
    [anon_sym_BSLASHpc] = ACTIONS(241),
    [anon_sym_BSLASHph] = ACTIONS(241),
    [anon_sym_BSLASHb] = ACTIONS(241),
    [anon_sym_BSLASHq] = ACTIONS(241),
    [anon_sym_BSLASHqr] = ACTIONS(241),
    [anon_sym_BSLASHqc] = ACTIONS(241),
    [anon_sym_BSLASHqa] = ACTIONS(241),
    [anon_sym_BSLASHqm] = ACTIONS(241),
    [anon_sym_BSLASHqd] = ACTIONS(241),
    [anon_sym_BSLASHlh] = ACTIONS(241),
    [anon_sym_BSLASHlf] = ACTIONS(241),
    [anon_sym_BSLASHli] = ACTIONS(241),
    [anon_sym_BSLASHlim] = ACTIONS(241),
    [anon_sym_BSLASHliv] = ACTIONS(252),
    [anon_sym_BSLASHlik] = ACTIONS(945),
    [anon_sym_BSLASHlitl] = ACTIONS(948),
    [anon_sym_BSLASHtr] = ACTIONS(241),
    [anon_sym_BSLASHf] = ACTIONS(951),
    [anon_sym_BSLASHfe] = ACTIONS(954),
    [anon_sym_BSLASHef] = ACTIONS(957),
    [anon_sym_BSLASHfm] = ACTIONS(960),
    [anon_sym_BSLASHx] = ACTIONS(963),
    [anon_sym_BSLASHxt] = ACTIONS(966),
    [anon_sym_BSLASHrq] = ACTIONS(969),
    [anon_sym_BSLASHadd] = ACTIONS(972),
    [anon_sym_BSLASHbk] = ACTIONS(975),
    [anon_sym_BSLASHdc] = ACTIONS(978),
    [anon_sym_BSLASHk] = ACTIONS(981),
    [anon_sym_BSLASHnd] = ACTIONS(984),
    [anon_sym_BSLASHord] = ACTIONS(987),
    [anon_sym_BSLASHpn] = ACTIONS(990),
    [anon_sym_BSLASHpng] = ACTIONS(993),
    [anon_sym_BSLASHaddpn] = ACTIONS(996),
    [anon_sym_BSLASHqt] = ACTIONS(999),
    [anon_sym_BSLASHsig] = ACTIONS(1002),
    [anon_sym_BSLASHsls] = ACTIONS(1005),
    [anon_sym_BSLASHtl] = ACTIONS(1008),
    [anon_sym_BSLASHwj] = ACTIONS(1011),
    [anon_sym_BSLASHem] = ACTIONS(1014),
    [anon_sym_BSLASHbd] = ACTIONS(1017),
    [anon_sym_BSLASHit] = ACTIONS(1020),
    [anon_sym_BSLASHbdit] = ACTIONS(1023),
    [anon_sym_BSLASHno] = ACTIONS(1026),
    [anon_sym_BSLASHsc] = ACTIONS(1029),
    [anon_sym_BSLASHsup] = ACTIONS(1032),
    [anon_sym_BSLASHndx] = ACTIONS(1035),
    [anon_sym_BSLASHpro] = ACTIONS(1038),
    [anon_sym_BSLASHrb] = ACTIONS(1041),
    [anon_sym_BSLASHw] = ACTIONS(1044),
    [anon_sym_BSLASHwg] = ACTIONS(1047),
    [anon_sym_BSLASHwh] = ACTIONS(1050),
    [anon_sym_BSLASHwa] = ACTIONS(1053),
    [anon_sym_BSLASHfig] = ACTIONS(1056),
    [anon_sym_BSLASHjmp] = ACTIONS(1059),
    [anon_sym_BSLASHpb] = ACTIONS(241),
    [anon_sym_BSLASH] = ACTIONS(372),
    [sym_milestoneStartTag] = ACTIONS(1062),
    [sym_milestoneEndTag] = ACTIONS(1065),
    [sym_zSpaceTag] = ACTIONS(1068),
    [anon_sym_BSLASHesbe] = ACTIONS(241),
    [anon_sym_BSLASHcat] = ACTIONS(241),
  },
  [77] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(76),
    [sym__comments] = STATE(76),
    [sym_sts] = STATE(76),
    [sym_rem] = STATE(76),
    [sym_restore] = STATE(76),
    [sym_lit] = STATE(76),
    [sym_verseText] = STATE(76),
    [sym_v] = STATE(76),
    [sym__verseMeta] = STATE(76),
    [sym_va] = STATE(76),
    [sym_vp] = STATE(76),
    [sym__paragraphContent] = STATE(76),
    [sym_liv] = STATE(76),
    [sym_livTag] = STATE(2656),
    [sym_lik] = STATE(76),
    [sym_litl] = STATE(76),
    [sym__listTextContent] = STATE(76),
    [sym_footnote] = STATE(76),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(76),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(76),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(76),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_li_repeat1] = STATE(76),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(496),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(496),
    [anon_sym_BSLASHms] = ACTIONS(496),
    [anon_sym_BSLASHs] = ACTIONS(496),
    [anon_sym_BSLASHr] = ACTIONS(496),
    [anon_sym_BSLASHsp] = ACTIONS(496),
    [anon_sym_BSLASHd] = ACTIONS(496),
    [anon_sym_BSLASHsd] = ACTIONS(496),
    [anon_sym_BSLASHp] = ACTIONS(496),
    [anon_sym_BSLASHm] = ACTIONS(496),
    [anon_sym_BSLASHpo] = ACTIONS(496),
    [anon_sym_BSLASHpr] = ACTIONS(496),
    [anon_sym_BSLASHcls] = ACTIONS(496),
    [anon_sym_BSLASHpmo] = ACTIONS(496),
    [anon_sym_BSLASHpm] = ACTIONS(496),
    [anon_sym_BSLASHpmc] = ACTIONS(496),
    [anon_sym_BSLASHpmr] = ACTIONS(496),
    [anon_sym_BSLASHpi] = ACTIONS(496),
    [anon_sym_BSLASHmi] = ACTIONS(496),
    [anon_sym_BSLASHnb] = ACTIONS(496),
    [anon_sym_BSLASHpc] = ACTIONS(496),
    [anon_sym_BSLASHph] = ACTIONS(496),
    [anon_sym_BSLASHb] = ACTIONS(496),
    [anon_sym_BSLASHq] = ACTIONS(496),
    [anon_sym_BSLASHqr] = ACTIONS(496),
    [anon_sym_BSLASHqc] = ACTIONS(496),
    [anon_sym_BSLASHqa] = ACTIONS(496),
    [anon_sym_BSLASHqm] = ACTIONS(496),
    [anon_sym_BSLASHqd] = ACTIONS(496),
    [anon_sym_BSLASHlh] = ACTIONS(496),
    [anon_sym_BSLASHlf] = ACTIONS(496),
    [anon_sym_BSLASHli] = ACTIONS(496),
    [anon_sym_BSLASHlim] = ACTIONS(496),
    [anon_sym_BSLASHliv] = ACTIONS(406),
    [anon_sym_BSLASHlik] = ACTIONS(834),
    [anon_sym_BSLASHlitl] = ACTIONS(836),
    [anon_sym_BSLASHtr] = ACTIONS(496),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(496),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(496),
    [anon_sym_BSLASHcat] = ACTIONS(496),
  },
  [78] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(76),
    [sym__comments] = STATE(76),
    [sym_sts] = STATE(76),
    [sym_rem] = STATE(76),
    [sym_restore] = STATE(76),
    [sym_lit] = STATE(76),
    [sym_verseText] = STATE(76),
    [sym_v] = STATE(76),
    [sym__verseMeta] = STATE(76),
    [sym_va] = STATE(76),
    [sym_vp] = STATE(76),
    [sym__paragraphContent] = STATE(76),
    [sym_liv] = STATE(76),
    [sym_livTag] = STATE(2656),
    [sym_lik] = STATE(76),
    [sym_litl] = STATE(76),
    [sym__listTextContent] = STATE(76),
    [sym_footnote] = STATE(76),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(76),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(76),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(76),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_li_repeat1] = STATE(76),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(398),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(398),
    [anon_sym_BSLASHms] = ACTIONS(398),
    [anon_sym_BSLASHs] = ACTIONS(398),
    [anon_sym_BSLASHr] = ACTIONS(398),
    [anon_sym_BSLASHsp] = ACTIONS(398),
    [anon_sym_BSLASHd] = ACTIONS(398),
    [anon_sym_BSLASHsd] = ACTIONS(398),
    [anon_sym_BSLASHp] = ACTIONS(398),
    [anon_sym_BSLASHm] = ACTIONS(398),
    [anon_sym_BSLASHpo] = ACTIONS(398),
    [anon_sym_BSLASHpr] = ACTIONS(398),
    [anon_sym_BSLASHcls] = ACTIONS(398),
    [anon_sym_BSLASHpmo] = ACTIONS(398),
    [anon_sym_BSLASHpm] = ACTIONS(398),
    [anon_sym_BSLASHpmc] = ACTIONS(398),
    [anon_sym_BSLASHpmr] = ACTIONS(398),
    [anon_sym_BSLASHpi] = ACTIONS(398),
    [anon_sym_BSLASHmi] = ACTIONS(398),
    [anon_sym_BSLASHnb] = ACTIONS(398),
    [anon_sym_BSLASHpc] = ACTIONS(398),
    [anon_sym_BSLASHph] = ACTIONS(398),
    [anon_sym_BSLASHb] = ACTIONS(398),
    [anon_sym_BSLASHq] = ACTIONS(398),
    [anon_sym_BSLASHqr] = ACTIONS(398),
    [anon_sym_BSLASHqc] = ACTIONS(398),
    [anon_sym_BSLASHqa] = ACTIONS(398),
    [anon_sym_BSLASHqm] = ACTIONS(398),
    [anon_sym_BSLASHqd] = ACTIONS(398),
    [anon_sym_BSLASHlh] = ACTIONS(398),
    [anon_sym_BSLASHlf] = ACTIONS(398),
    [anon_sym_BSLASHli] = ACTIONS(398),
    [anon_sym_BSLASHlim] = ACTIONS(398),
    [anon_sym_BSLASHliv] = ACTIONS(406),
    [anon_sym_BSLASHlik] = ACTIONS(834),
    [anon_sym_BSLASHlitl] = ACTIONS(836),
    [anon_sym_BSLASHtr] = ACTIONS(398),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(398),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(398),
    [anon_sym_BSLASHcat] = ACTIONS(398),
  },
  [79] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(1071),
    [anon_sym_BSLASHref] = ACTIONS(1074),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1077),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1077),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1077),
    [anon_sym_BSLASHfr] = ACTIONS(1079),
    [anon_sym_BSLASHfq] = ACTIONS(1082),
    [anon_sym_BSLASHfqa] = ACTIONS(1085),
    [anon_sym_BSLASHfk] = ACTIONS(1088),
    [anon_sym_BSLASHfl] = ACTIONS(1091),
    [anon_sym_BSLASHfw] = ACTIONS(1094),
    [anon_sym_BSLASHfp] = ACTIONS(1097),
    [anon_sym_BSLASHft] = ACTIONS(1100),
    [anon_sym_BSLASHfdc] = ACTIONS(1103),
    [anon_sym_BSLASHfv] = ACTIONS(1106),
    [anon_sym_BSLASHxt] = ACTIONS(1109),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1112),
    [anon_sym_BSLASHadd] = ACTIONS(1115),
    [anon_sym_BSLASHbk] = ACTIONS(1118),
    [anon_sym_BSLASHdc] = ACTIONS(1121),
    [anon_sym_BSLASHk] = ACTIONS(1124),
    [anon_sym_BSLASHnd] = ACTIONS(1127),
    [anon_sym_BSLASHord] = ACTIONS(1130),
    [anon_sym_BSLASHpn] = ACTIONS(1133),
    [anon_sym_BSLASHpng] = ACTIONS(1136),
    [anon_sym_BSLASHaddpn] = ACTIONS(1139),
    [anon_sym_BSLASHqt] = ACTIONS(1142),
    [anon_sym_BSLASHsig] = ACTIONS(1145),
    [anon_sym_BSLASHsls] = ACTIONS(1148),
    [anon_sym_BSLASHtl] = ACTIONS(1151),
    [anon_sym_BSLASHwj] = ACTIONS(1154),
    [anon_sym_BSLASHem] = ACTIONS(1157),
    [anon_sym_BSLASHbd] = ACTIONS(1160),
    [anon_sym_BSLASHit] = ACTIONS(1163),
    [anon_sym_BSLASHbdit] = ACTIONS(1166),
    [anon_sym_BSLASHno] = ACTIONS(1169),
    [anon_sym_BSLASHsc] = ACTIONS(1172),
    [anon_sym_BSLASHsup] = ACTIONS(1175),
    [anon_sym_BSLASHndx] = ACTIONS(1178),
    [anon_sym_BSLASHpro] = ACTIONS(1181),
    [anon_sym_BSLASHrb] = ACTIONS(1184),
    [anon_sym_BSLASHw] = ACTIONS(1187),
    [anon_sym_BSLASHwg] = ACTIONS(1190),
    [anon_sym_BSLASHwh] = ACTIONS(1193),
    [anon_sym_BSLASHwa] = ACTIONS(1196),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1199),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1202),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1205),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1208),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1211),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1214),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1217),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1220),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1223),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1226),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1229),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1232),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1235),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1238),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1241),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1244),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1247),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1250),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1253),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1256),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1259),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1262),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1265),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1268),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1271),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1274),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1277),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1280),
    [anon_sym_BSLASHfig] = ACTIONS(1283),
    [anon_sym_BSLASHjmp] = ACTIONS(1286),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1289),
    [anon_sym_BSLASHcat] = ACTIONS(1292),
  },
  [80] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1295),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1297),
    [anon_sym_BSLASHiex] = ACTIONS(1297),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1297),
    [anon_sym_BSLASHcl] = ACTIONS(1297),
    [anon_sym_BSLASHca] = ACTIONS(1297),
    [anon_sym_BSLASHcp] = ACTIONS(1297),
    [anon_sym_BSLASHcd] = ACTIONS(1297),
    [anon_sym_BSLASHmte] = ACTIONS(1297),
    [anon_sym_BSLASHms] = ACTIONS(1297),
    [anon_sym_BSLASHs] = ACTIONS(1297),
    [anon_sym_BSLASHr] = ACTIONS(1297),
    [anon_sym_BSLASHsp] = ACTIONS(1297),
    [anon_sym_BSLASHd] = ACTIONS(1297),
    [anon_sym_BSLASHsd] = ACTIONS(1297),
    [anon_sym_BSLASHp] = ACTIONS(1297),
    [anon_sym_BSLASHm] = ACTIONS(1297),
    [anon_sym_BSLASHpo] = ACTIONS(1297),
    [anon_sym_BSLASHpr] = ACTIONS(1297),
    [anon_sym_BSLASHcls] = ACTIONS(1297),
    [anon_sym_BSLASHpmo] = ACTIONS(1297),
    [anon_sym_BSLASHpm] = ACTIONS(1297),
    [anon_sym_BSLASHpmc] = ACTIONS(1297),
    [anon_sym_BSLASHpmr] = ACTIONS(1297),
    [anon_sym_BSLASHpi] = ACTIONS(1297),
    [anon_sym_BSLASHmi] = ACTIONS(1297),
    [anon_sym_BSLASHnb] = ACTIONS(1297),
    [anon_sym_BSLASHpc] = ACTIONS(1297),
    [anon_sym_BSLASHph] = ACTIONS(1297),
    [anon_sym_BSLASHb] = ACTIONS(1297),
    [anon_sym_BSLASHq] = ACTIONS(1297),
    [anon_sym_BSLASHqr] = ACTIONS(1297),
    [anon_sym_BSLASHqc] = ACTIONS(1297),
    [anon_sym_BSLASHqa] = ACTIONS(1297),
    [anon_sym_BSLASHqm] = ACTIONS(1297),
    [anon_sym_BSLASHqd] = ACTIONS(1297),
    [anon_sym_BSLASHlh] = ACTIONS(1297),
    [anon_sym_BSLASHli] = ACTIONS(1297),
    [anon_sym_BSLASHlim] = ACTIONS(1297),
    [anon_sym_BSLASHtr] = ACTIONS(1297),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1297),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1297),
  },
  [81] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1299),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1301),
    [anon_sym_BSLASHiex] = ACTIONS(1301),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1301),
    [anon_sym_BSLASHcl] = ACTIONS(1301),
    [anon_sym_BSLASHca] = ACTIONS(1301),
    [anon_sym_BSLASHcp] = ACTIONS(1301),
    [anon_sym_BSLASHcd] = ACTIONS(1301),
    [anon_sym_BSLASHmte] = ACTIONS(1301),
    [anon_sym_BSLASHms] = ACTIONS(1301),
    [anon_sym_BSLASHs] = ACTIONS(1301),
    [anon_sym_BSLASHr] = ACTIONS(1301),
    [anon_sym_BSLASHsp] = ACTIONS(1301),
    [anon_sym_BSLASHd] = ACTIONS(1301),
    [anon_sym_BSLASHsd] = ACTIONS(1301),
    [anon_sym_BSLASHp] = ACTIONS(1301),
    [anon_sym_BSLASHm] = ACTIONS(1301),
    [anon_sym_BSLASHpo] = ACTIONS(1301),
    [anon_sym_BSLASHpr] = ACTIONS(1301),
    [anon_sym_BSLASHcls] = ACTIONS(1301),
    [anon_sym_BSLASHpmo] = ACTIONS(1301),
    [anon_sym_BSLASHpm] = ACTIONS(1301),
    [anon_sym_BSLASHpmc] = ACTIONS(1301),
    [anon_sym_BSLASHpmr] = ACTIONS(1301),
    [anon_sym_BSLASHpi] = ACTIONS(1301),
    [anon_sym_BSLASHmi] = ACTIONS(1301),
    [anon_sym_BSLASHnb] = ACTIONS(1301),
    [anon_sym_BSLASHpc] = ACTIONS(1301),
    [anon_sym_BSLASHph] = ACTIONS(1301),
    [anon_sym_BSLASHb] = ACTIONS(1301),
    [anon_sym_BSLASHq] = ACTIONS(1301),
    [anon_sym_BSLASHqr] = ACTIONS(1301),
    [anon_sym_BSLASHqc] = ACTIONS(1301),
    [anon_sym_BSLASHqa] = ACTIONS(1301),
    [anon_sym_BSLASHqm] = ACTIONS(1301),
    [anon_sym_BSLASHqd] = ACTIONS(1301),
    [anon_sym_BSLASHlh] = ACTIONS(1301),
    [anon_sym_BSLASHli] = ACTIONS(1301),
    [anon_sym_BSLASHlim] = ACTIONS(1301),
    [anon_sym_BSLASHtr] = ACTIONS(1301),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1301),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1301),
  },
  [82] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(96),
    [sym__comments] = STATE(96),
    [sym_sts] = STATE(96),
    [sym_rem] = STATE(96),
    [sym_restore] = STATE(96),
    [sym_lit] = STATE(96),
    [sym_verseText] = STATE(96),
    [sym_v] = STATE(96),
    [sym__verseMeta] = STATE(96),
    [sym_va] = STATE(96),
    [sym_vp] = STATE(96),
    [sym__paragraphContent] = STATE(96),
    [sym_footnote] = STATE(96),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(96),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(96),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(96),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(96),
    [ts_builtin_sym_end] = ACTIONS(1303),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1305),
    [anon_sym_BSLASHiex] = ACTIONS(1305),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1305),
    [anon_sym_BSLASHcl] = ACTIONS(1305),
    [anon_sym_BSLASHca] = ACTIONS(1305),
    [anon_sym_BSLASHcp] = ACTIONS(1305),
    [anon_sym_BSLASHcd] = ACTIONS(1305),
    [anon_sym_BSLASHmte] = ACTIONS(1305),
    [anon_sym_BSLASHms] = ACTIONS(1305),
    [anon_sym_BSLASHs] = ACTIONS(1305),
    [anon_sym_BSLASHr] = ACTIONS(1305),
    [anon_sym_BSLASHsp] = ACTIONS(1305),
    [anon_sym_BSLASHd] = ACTIONS(1305),
    [anon_sym_BSLASHsd] = ACTIONS(1305),
    [anon_sym_BSLASHp] = ACTIONS(1305),
    [anon_sym_BSLASHm] = ACTIONS(1305),
    [anon_sym_BSLASHpo] = ACTIONS(1305),
    [anon_sym_BSLASHpr] = ACTIONS(1305),
    [anon_sym_BSLASHcls] = ACTIONS(1305),
    [anon_sym_BSLASHpmo] = ACTIONS(1305),
    [anon_sym_BSLASHpm] = ACTIONS(1305),
    [anon_sym_BSLASHpmc] = ACTIONS(1305),
    [anon_sym_BSLASHpmr] = ACTIONS(1305),
    [anon_sym_BSLASHpi] = ACTIONS(1305),
    [anon_sym_BSLASHmi] = ACTIONS(1305),
    [anon_sym_BSLASHnb] = ACTIONS(1305),
    [anon_sym_BSLASHpc] = ACTIONS(1305),
    [anon_sym_BSLASHph] = ACTIONS(1305),
    [anon_sym_BSLASHb] = ACTIONS(1305),
    [anon_sym_BSLASHq] = ACTIONS(1305),
    [anon_sym_BSLASHqr] = ACTIONS(1305),
    [anon_sym_BSLASHqc] = ACTIONS(1305),
    [anon_sym_BSLASHqa] = ACTIONS(1305),
    [anon_sym_BSLASHqm] = ACTIONS(1305),
    [anon_sym_BSLASHqd] = ACTIONS(1305),
    [anon_sym_BSLASHlh] = ACTIONS(1305),
    [anon_sym_BSLASHli] = ACTIONS(1305),
    [anon_sym_BSLASHlim] = ACTIONS(1305),
    [anon_sym_BSLASHtr] = ACTIONS(1305),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1305),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1305),
  },
  [83] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(97),
    [sym__comments] = STATE(97),
    [sym_sts] = STATE(97),
    [sym_rem] = STATE(97),
    [sym_restore] = STATE(97),
    [sym_lit] = STATE(97),
    [sym_verseText] = STATE(97),
    [sym_v] = STATE(97),
    [sym__verseMeta] = STATE(97),
    [sym_va] = STATE(97),
    [sym_vp] = STATE(97),
    [sym__paragraphContent] = STATE(97),
    [sym_footnote] = STATE(97),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(97),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(97),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(97),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(1307),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1309),
    [anon_sym_BSLASHiex] = ACTIONS(1309),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1309),
    [anon_sym_BSLASHcl] = ACTIONS(1309),
    [anon_sym_BSLASHca] = ACTIONS(1309),
    [anon_sym_BSLASHcp] = ACTIONS(1309),
    [anon_sym_BSLASHcd] = ACTIONS(1309),
    [anon_sym_BSLASHmte] = ACTIONS(1309),
    [anon_sym_BSLASHms] = ACTIONS(1309),
    [anon_sym_BSLASHs] = ACTIONS(1309),
    [anon_sym_BSLASHr] = ACTIONS(1309),
    [anon_sym_BSLASHsp] = ACTIONS(1309),
    [anon_sym_BSLASHd] = ACTIONS(1309),
    [anon_sym_BSLASHsd] = ACTIONS(1309),
    [anon_sym_BSLASHp] = ACTIONS(1309),
    [anon_sym_BSLASHm] = ACTIONS(1309),
    [anon_sym_BSLASHpo] = ACTIONS(1309),
    [anon_sym_BSLASHpr] = ACTIONS(1309),
    [anon_sym_BSLASHcls] = ACTIONS(1309),
    [anon_sym_BSLASHpmo] = ACTIONS(1309),
    [anon_sym_BSLASHpm] = ACTIONS(1309),
    [anon_sym_BSLASHpmc] = ACTIONS(1309),
    [anon_sym_BSLASHpmr] = ACTIONS(1309),
    [anon_sym_BSLASHpi] = ACTIONS(1309),
    [anon_sym_BSLASHmi] = ACTIONS(1309),
    [anon_sym_BSLASHnb] = ACTIONS(1309),
    [anon_sym_BSLASHpc] = ACTIONS(1309),
    [anon_sym_BSLASHph] = ACTIONS(1309),
    [anon_sym_BSLASHb] = ACTIONS(1309),
    [anon_sym_BSLASHq] = ACTIONS(1309),
    [anon_sym_BSLASHqr] = ACTIONS(1309),
    [anon_sym_BSLASHqc] = ACTIONS(1309),
    [anon_sym_BSLASHqa] = ACTIONS(1309),
    [anon_sym_BSLASHqm] = ACTIONS(1309),
    [anon_sym_BSLASHqd] = ACTIONS(1309),
    [anon_sym_BSLASHlh] = ACTIONS(1309),
    [anon_sym_BSLASHli] = ACTIONS(1309),
    [anon_sym_BSLASHlim] = ACTIONS(1309),
    [anon_sym_BSLASHtr] = ACTIONS(1309),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1309),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1309),
  },
  [84] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(98),
    [sym__comments] = STATE(98),
    [sym_sts] = STATE(98),
    [sym_rem] = STATE(98),
    [sym_restore] = STATE(98),
    [sym_lit] = STATE(98),
    [sym_verseText] = STATE(98),
    [sym_v] = STATE(98),
    [sym__verseMeta] = STATE(98),
    [sym_va] = STATE(98),
    [sym_vp] = STATE(98),
    [sym__paragraphContent] = STATE(98),
    [sym_footnote] = STATE(98),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(98),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(98),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(98),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(1311),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1313),
    [anon_sym_BSLASHiex] = ACTIONS(1313),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1313),
    [anon_sym_BSLASHcl] = ACTIONS(1313),
    [anon_sym_BSLASHca] = ACTIONS(1313),
    [anon_sym_BSLASHcp] = ACTIONS(1313),
    [anon_sym_BSLASHcd] = ACTIONS(1313),
    [anon_sym_BSLASHmte] = ACTIONS(1313),
    [anon_sym_BSLASHms] = ACTIONS(1313),
    [anon_sym_BSLASHs] = ACTIONS(1313),
    [anon_sym_BSLASHr] = ACTIONS(1313),
    [anon_sym_BSLASHsp] = ACTIONS(1313),
    [anon_sym_BSLASHd] = ACTIONS(1313),
    [anon_sym_BSLASHsd] = ACTIONS(1313),
    [anon_sym_BSLASHp] = ACTIONS(1313),
    [anon_sym_BSLASHm] = ACTIONS(1313),
    [anon_sym_BSLASHpo] = ACTIONS(1313),
    [anon_sym_BSLASHpr] = ACTIONS(1313),
    [anon_sym_BSLASHcls] = ACTIONS(1313),
    [anon_sym_BSLASHpmo] = ACTIONS(1313),
    [anon_sym_BSLASHpm] = ACTIONS(1313),
    [anon_sym_BSLASHpmc] = ACTIONS(1313),
    [anon_sym_BSLASHpmr] = ACTIONS(1313),
    [anon_sym_BSLASHpi] = ACTIONS(1313),
    [anon_sym_BSLASHmi] = ACTIONS(1313),
    [anon_sym_BSLASHnb] = ACTIONS(1313),
    [anon_sym_BSLASHpc] = ACTIONS(1313),
    [anon_sym_BSLASHph] = ACTIONS(1313),
    [anon_sym_BSLASHb] = ACTIONS(1313),
    [anon_sym_BSLASHq] = ACTIONS(1313),
    [anon_sym_BSLASHqr] = ACTIONS(1313),
    [anon_sym_BSLASHqc] = ACTIONS(1313),
    [anon_sym_BSLASHqa] = ACTIONS(1313),
    [anon_sym_BSLASHqm] = ACTIONS(1313),
    [anon_sym_BSLASHqd] = ACTIONS(1313),
    [anon_sym_BSLASHlh] = ACTIONS(1313),
    [anon_sym_BSLASHli] = ACTIONS(1313),
    [anon_sym_BSLASHlim] = ACTIONS(1313),
    [anon_sym_BSLASHtr] = ACTIONS(1313),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1313),
  },
  [85] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(99),
    [sym__comments] = STATE(99),
    [sym_sts] = STATE(99),
    [sym_rem] = STATE(99),
    [sym_restore] = STATE(99),
    [sym_lit] = STATE(99),
    [sym_verseText] = STATE(99),
    [sym_v] = STATE(99),
    [sym__verseMeta] = STATE(99),
    [sym_va] = STATE(99),
    [sym_vp] = STATE(99),
    [sym__paragraphContent] = STATE(99),
    [sym_footnote] = STATE(99),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(99),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(99),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(99),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(99),
    [ts_builtin_sym_end] = ACTIONS(1315),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1317),
    [anon_sym_BSLASHiex] = ACTIONS(1317),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1317),
    [anon_sym_BSLASHcl] = ACTIONS(1317),
    [anon_sym_BSLASHca] = ACTIONS(1317),
    [anon_sym_BSLASHcp] = ACTIONS(1317),
    [anon_sym_BSLASHcd] = ACTIONS(1317),
    [anon_sym_BSLASHmte] = ACTIONS(1317),
    [anon_sym_BSLASHms] = ACTIONS(1317),
    [anon_sym_BSLASHs] = ACTIONS(1317),
    [anon_sym_BSLASHr] = ACTIONS(1317),
    [anon_sym_BSLASHsp] = ACTIONS(1317),
    [anon_sym_BSLASHd] = ACTIONS(1317),
    [anon_sym_BSLASHsd] = ACTIONS(1317),
    [anon_sym_BSLASHp] = ACTIONS(1317),
    [anon_sym_BSLASHm] = ACTIONS(1317),
    [anon_sym_BSLASHpo] = ACTIONS(1317),
    [anon_sym_BSLASHpr] = ACTIONS(1317),
    [anon_sym_BSLASHcls] = ACTIONS(1317),
    [anon_sym_BSLASHpmo] = ACTIONS(1317),
    [anon_sym_BSLASHpm] = ACTIONS(1317),
    [anon_sym_BSLASHpmc] = ACTIONS(1317),
    [anon_sym_BSLASHpmr] = ACTIONS(1317),
    [anon_sym_BSLASHpi] = ACTIONS(1317),
    [anon_sym_BSLASHmi] = ACTIONS(1317),
    [anon_sym_BSLASHnb] = ACTIONS(1317),
    [anon_sym_BSLASHpc] = ACTIONS(1317),
    [anon_sym_BSLASHph] = ACTIONS(1317),
    [anon_sym_BSLASHb] = ACTIONS(1317),
    [anon_sym_BSLASHq] = ACTIONS(1317),
    [anon_sym_BSLASHqr] = ACTIONS(1317),
    [anon_sym_BSLASHqc] = ACTIONS(1317),
    [anon_sym_BSLASHqa] = ACTIONS(1317),
    [anon_sym_BSLASHqm] = ACTIONS(1317),
    [anon_sym_BSLASHqd] = ACTIONS(1317),
    [anon_sym_BSLASHlh] = ACTIONS(1317),
    [anon_sym_BSLASHli] = ACTIONS(1317),
    [anon_sym_BSLASHlim] = ACTIONS(1317),
    [anon_sym_BSLASHtr] = ACTIONS(1317),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1317),
  },
  [86] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(100),
    [sym__comments] = STATE(100),
    [sym_sts] = STATE(100),
    [sym_rem] = STATE(100),
    [sym_restore] = STATE(100),
    [sym_lit] = STATE(100),
    [sym_verseText] = STATE(100),
    [sym_v] = STATE(100),
    [sym__verseMeta] = STATE(100),
    [sym_va] = STATE(100),
    [sym_vp] = STATE(100),
    [sym__paragraphContent] = STATE(100),
    [sym_footnote] = STATE(100),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(100),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(100),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(100),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(100),
    [ts_builtin_sym_end] = ACTIONS(1319),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1321),
    [anon_sym_BSLASHiex] = ACTIONS(1321),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1321),
    [anon_sym_BSLASHcl] = ACTIONS(1321),
    [anon_sym_BSLASHca] = ACTIONS(1321),
    [anon_sym_BSLASHcp] = ACTIONS(1321),
    [anon_sym_BSLASHcd] = ACTIONS(1321),
    [anon_sym_BSLASHmte] = ACTIONS(1321),
    [anon_sym_BSLASHms] = ACTIONS(1321),
    [anon_sym_BSLASHs] = ACTIONS(1321),
    [anon_sym_BSLASHr] = ACTIONS(1321),
    [anon_sym_BSLASHsp] = ACTIONS(1321),
    [anon_sym_BSLASHd] = ACTIONS(1321),
    [anon_sym_BSLASHsd] = ACTIONS(1321),
    [anon_sym_BSLASHp] = ACTIONS(1321),
    [anon_sym_BSLASHm] = ACTIONS(1321),
    [anon_sym_BSLASHpo] = ACTIONS(1321),
    [anon_sym_BSLASHpr] = ACTIONS(1321),
    [anon_sym_BSLASHcls] = ACTIONS(1321),
    [anon_sym_BSLASHpmo] = ACTIONS(1321),
    [anon_sym_BSLASHpm] = ACTIONS(1321),
    [anon_sym_BSLASHpmc] = ACTIONS(1321),
    [anon_sym_BSLASHpmr] = ACTIONS(1321),
    [anon_sym_BSLASHpi] = ACTIONS(1321),
    [anon_sym_BSLASHmi] = ACTIONS(1321),
    [anon_sym_BSLASHnb] = ACTIONS(1321),
    [anon_sym_BSLASHpc] = ACTIONS(1321),
    [anon_sym_BSLASHph] = ACTIONS(1321),
    [anon_sym_BSLASHb] = ACTIONS(1321),
    [anon_sym_BSLASHq] = ACTIONS(1321),
    [anon_sym_BSLASHqr] = ACTIONS(1321),
    [anon_sym_BSLASHqc] = ACTIONS(1321),
    [anon_sym_BSLASHqa] = ACTIONS(1321),
    [anon_sym_BSLASHqm] = ACTIONS(1321),
    [anon_sym_BSLASHqd] = ACTIONS(1321),
    [anon_sym_BSLASHlh] = ACTIONS(1321),
    [anon_sym_BSLASHli] = ACTIONS(1321),
    [anon_sym_BSLASHlim] = ACTIONS(1321),
    [anon_sym_BSLASHtr] = ACTIONS(1321),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1321),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1321),
  },
  [87] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(101),
    [sym__comments] = STATE(101),
    [sym_sts] = STATE(101),
    [sym_rem] = STATE(101),
    [sym_restore] = STATE(101),
    [sym_lit] = STATE(101),
    [sym_verseText] = STATE(101),
    [sym_v] = STATE(101),
    [sym__verseMeta] = STATE(101),
    [sym_va] = STATE(101),
    [sym_vp] = STATE(101),
    [sym__paragraphContent] = STATE(101),
    [sym_footnote] = STATE(101),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(101),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(101),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(101),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(101),
    [ts_builtin_sym_end] = ACTIONS(1323),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1325),
    [anon_sym_BSLASHiex] = ACTIONS(1325),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1325),
    [anon_sym_BSLASHcl] = ACTIONS(1325),
    [anon_sym_BSLASHca] = ACTIONS(1325),
    [anon_sym_BSLASHcp] = ACTIONS(1325),
    [anon_sym_BSLASHcd] = ACTIONS(1325),
    [anon_sym_BSLASHmte] = ACTIONS(1325),
    [anon_sym_BSLASHms] = ACTIONS(1325),
    [anon_sym_BSLASHs] = ACTIONS(1325),
    [anon_sym_BSLASHr] = ACTIONS(1325),
    [anon_sym_BSLASHsp] = ACTIONS(1325),
    [anon_sym_BSLASHd] = ACTIONS(1325),
    [anon_sym_BSLASHsd] = ACTIONS(1325),
    [anon_sym_BSLASHp] = ACTIONS(1325),
    [anon_sym_BSLASHm] = ACTIONS(1325),
    [anon_sym_BSLASHpo] = ACTIONS(1325),
    [anon_sym_BSLASHpr] = ACTIONS(1325),
    [anon_sym_BSLASHcls] = ACTIONS(1325),
    [anon_sym_BSLASHpmo] = ACTIONS(1325),
    [anon_sym_BSLASHpm] = ACTIONS(1325),
    [anon_sym_BSLASHpmc] = ACTIONS(1325),
    [anon_sym_BSLASHpmr] = ACTIONS(1325),
    [anon_sym_BSLASHpi] = ACTIONS(1325),
    [anon_sym_BSLASHmi] = ACTIONS(1325),
    [anon_sym_BSLASHnb] = ACTIONS(1325),
    [anon_sym_BSLASHpc] = ACTIONS(1325),
    [anon_sym_BSLASHph] = ACTIONS(1325),
    [anon_sym_BSLASHb] = ACTIONS(1325),
    [anon_sym_BSLASHq] = ACTIONS(1325),
    [anon_sym_BSLASHqr] = ACTIONS(1325),
    [anon_sym_BSLASHqc] = ACTIONS(1325),
    [anon_sym_BSLASHqa] = ACTIONS(1325),
    [anon_sym_BSLASHqm] = ACTIONS(1325),
    [anon_sym_BSLASHqd] = ACTIONS(1325),
    [anon_sym_BSLASHlh] = ACTIONS(1325),
    [anon_sym_BSLASHli] = ACTIONS(1325),
    [anon_sym_BSLASHlim] = ACTIONS(1325),
    [anon_sym_BSLASHtr] = ACTIONS(1325),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1325),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1325),
  },
  [88] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(102),
    [sym__comments] = STATE(102),
    [sym_sts] = STATE(102),
    [sym_rem] = STATE(102),
    [sym_restore] = STATE(102),
    [sym_lit] = STATE(102),
    [sym_verseText] = STATE(102),
    [sym_v] = STATE(102),
    [sym__verseMeta] = STATE(102),
    [sym_va] = STATE(102),
    [sym_vp] = STATE(102),
    [sym__paragraphContent] = STATE(102),
    [sym_footnote] = STATE(102),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(102),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(102),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(102),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(102),
    [ts_builtin_sym_end] = ACTIONS(1327),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1329),
    [anon_sym_BSLASHiex] = ACTIONS(1329),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1329),
    [anon_sym_BSLASHcl] = ACTIONS(1329),
    [anon_sym_BSLASHca] = ACTIONS(1329),
    [anon_sym_BSLASHcp] = ACTIONS(1329),
    [anon_sym_BSLASHcd] = ACTIONS(1329),
    [anon_sym_BSLASHmte] = ACTIONS(1329),
    [anon_sym_BSLASHms] = ACTIONS(1329),
    [anon_sym_BSLASHs] = ACTIONS(1329),
    [anon_sym_BSLASHr] = ACTIONS(1329),
    [anon_sym_BSLASHsp] = ACTIONS(1329),
    [anon_sym_BSLASHd] = ACTIONS(1329),
    [anon_sym_BSLASHsd] = ACTIONS(1329),
    [anon_sym_BSLASHp] = ACTIONS(1329),
    [anon_sym_BSLASHm] = ACTIONS(1329),
    [anon_sym_BSLASHpo] = ACTIONS(1329),
    [anon_sym_BSLASHpr] = ACTIONS(1329),
    [anon_sym_BSLASHcls] = ACTIONS(1329),
    [anon_sym_BSLASHpmo] = ACTIONS(1329),
    [anon_sym_BSLASHpm] = ACTIONS(1329),
    [anon_sym_BSLASHpmc] = ACTIONS(1329),
    [anon_sym_BSLASHpmr] = ACTIONS(1329),
    [anon_sym_BSLASHpi] = ACTIONS(1329),
    [anon_sym_BSLASHmi] = ACTIONS(1329),
    [anon_sym_BSLASHnb] = ACTIONS(1329),
    [anon_sym_BSLASHpc] = ACTIONS(1329),
    [anon_sym_BSLASHph] = ACTIONS(1329),
    [anon_sym_BSLASHb] = ACTIONS(1329),
    [anon_sym_BSLASHq] = ACTIONS(1329),
    [anon_sym_BSLASHqr] = ACTIONS(1329),
    [anon_sym_BSLASHqc] = ACTIONS(1329),
    [anon_sym_BSLASHqa] = ACTIONS(1329),
    [anon_sym_BSLASHqm] = ACTIONS(1329),
    [anon_sym_BSLASHqd] = ACTIONS(1329),
    [anon_sym_BSLASHlh] = ACTIONS(1329),
    [anon_sym_BSLASHli] = ACTIONS(1329),
    [anon_sym_BSLASHlim] = ACTIONS(1329),
    [anon_sym_BSLASHtr] = ACTIONS(1329),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1329),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1329),
  },
  [89] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(103),
    [sym__comments] = STATE(103),
    [sym_sts] = STATE(103),
    [sym_rem] = STATE(103),
    [sym_restore] = STATE(103),
    [sym_lit] = STATE(103),
    [sym_verseText] = STATE(103),
    [sym_v] = STATE(103),
    [sym__verseMeta] = STATE(103),
    [sym_va] = STATE(103),
    [sym_vp] = STATE(103),
    [sym__paragraphContent] = STATE(103),
    [sym_footnote] = STATE(103),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(103),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(103),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(103),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(103),
    [ts_builtin_sym_end] = ACTIONS(1331),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1333),
    [anon_sym_BSLASHiex] = ACTIONS(1333),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1333),
    [anon_sym_BSLASHcl] = ACTIONS(1333),
    [anon_sym_BSLASHca] = ACTIONS(1333),
    [anon_sym_BSLASHcp] = ACTIONS(1333),
    [anon_sym_BSLASHcd] = ACTIONS(1333),
    [anon_sym_BSLASHmte] = ACTIONS(1333),
    [anon_sym_BSLASHms] = ACTIONS(1333),
    [anon_sym_BSLASHs] = ACTIONS(1333),
    [anon_sym_BSLASHr] = ACTIONS(1333),
    [anon_sym_BSLASHsp] = ACTIONS(1333),
    [anon_sym_BSLASHd] = ACTIONS(1333),
    [anon_sym_BSLASHsd] = ACTIONS(1333),
    [anon_sym_BSLASHp] = ACTIONS(1333),
    [anon_sym_BSLASHm] = ACTIONS(1333),
    [anon_sym_BSLASHpo] = ACTIONS(1333),
    [anon_sym_BSLASHpr] = ACTIONS(1333),
    [anon_sym_BSLASHcls] = ACTIONS(1333),
    [anon_sym_BSLASHpmo] = ACTIONS(1333),
    [anon_sym_BSLASHpm] = ACTIONS(1333),
    [anon_sym_BSLASHpmc] = ACTIONS(1333),
    [anon_sym_BSLASHpmr] = ACTIONS(1333),
    [anon_sym_BSLASHpi] = ACTIONS(1333),
    [anon_sym_BSLASHmi] = ACTIONS(1333),
    [anon_sym_BSLASHnb] = ACTIONS(1333),
    [anon_sym_BSLASHpc] = ACTIONS(1333),
    [anon_sym_BSLASHph] = ACTIONS(1333),
    [anon_sym_BSLASHb] = ACTIONS(1333),
    [anon_sym_BSLASHq] = ACTIONS(1333),
    [anon_sym_BSLASHqr] = ACTIONS(1333),
    [anon_sym_BSLASHqc] = ACTIONS(1333),
    [anon_sym_BSLASHqa] = ACTIONS(1333),
    [anon_sym_BSLASHqm] = ACTIONS(1333),
    [anon_sym_BSLASHqd] = ACTIONS(1333),
    [anon_sym_BSLASHlh] = ACTIONS(1333),
    [anon_sym_BSLASHli] = ACTIONS(1333),
    [anon_sym_BSLASHlim] = ACTIONS(1333),
    [anon_sym_BSLASHtr] = ACTIONS(1333),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1333),
  },
  [90] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(104),
    [sym__comments] = STATE(104),
    [sym_sts] = STATE(104),
    [sym_rem] = STATE(104),
    [sym_restore] = STATE(104),
    [sym_lit] = STATE(104),
    [sym_verseText] = STATE(104),
    [sym_v] = STATE(104),
    [sym__verseMeta] = STATE(104),
    [sym_va] = STATE(104),
    [sym_vp] = STATE(104),
    [sym__paragraphContent] = STATE(104),
    [sym_footnote] = STATE(104),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(104),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(104),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(104),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(104),
    [ts_builtin_sym_end] = ACTIONS(1335),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1337),
    [anon_sym_BSLASHiex] = ACTIONS(1337),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1337),
    [anon_sym_BSLASHcl] = ACTIONS(1337),
    [anon_sym_BSLASHca] = ACTIONS(1337),
    [anon_sym_BSLASHcp] = ACTIONS(1337),
    [anon_sym_BSLASHcd] = ACTIONS(1337),
    [anon_sym_BSLASHmte] = ACTIONS(1337),
    [anon_sym_BSLASHms] = ACTIONS(1337),
    [anon_sym_BSLASHs] = ACTIONS(1337),
    [anon_sym_BSLASHr] = ACTIONS(1337),
    [anon_sym_BSLASHsp] = ACTIONS(1337),
    [anon_sym_BSLASHd] = ACTIONS(1337),
    [anon_sym_BSLASHsd] = ACTIONS(1337),
    [anon_sym_BSLASHp] = ACTIONS(1337),
    [anon_sym_BSLASHm] = ACTIONS(1337),
    [anon_sym_BSLASHpo] = ACTIONS(1337),
    [anon_sym_BSLASHpr] = ACTIONS(1337),
    [anon_sym_BSLASHcls] = ACTIONS(1337),
    [anon_sym_BSLASHpmo] = ACTIONS(1337),
    [anon_sym_BSLASHpm] = ACTIONS(1337),
    [anon_sym_BSLASHpmc] = ACTIONS(1337),
    [anon_sym_BSLASHpmr] = ACTIONS(1337),
    [anon_sym_BSLASHpi] = ACTIONS(1337),
    [anon_sym_BSLASHmi] = ACTIONS(1337),
    [anon_sym_BSLASHnb] = ACTIONS(1337),
    [anon_sym_BSLASHpc] = ACTIONS(1337),
    [anon_sym_BSLASHph] = ACTIONS(1337),
    [anon_sym_BSLASHb] = ACTIONS(1337),
    [anon_sym_BSLASHq] = ACTIONS(1337),
    [anon_sym_BSLASHqr] = ACTIONS(1337),
    [anon_sym_BSLASHqc] = ACTIONS(1337),
    [anon_sym_BSLASHqa] = ACTIONS(1337),
    [anon_sym_BSLASHqm] = ACTIONS(1337),
    [anon_sym_BSLASHqd] = ACTIONS(1337),
    [anon_sym_BSLASHlh] = ACTIONS(1337),
    [anon_sym_BSLASHli] = ACTIONS(1337),
    [anon_sym_BSLASHlim] = ACTIONS(1337),
    [anon_sym_BSLASHtr] = ACTIONS(1337),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1337),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1337),
  },
  [91] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(105),
    [sym__comments] = STATE(105),
    [sym_sts] = STATE(105),
    [sym_rem] = STATE(105),
    [sym_restore] = STATE(105),
    [sym_lit] = STATE(105),
    [sym_verseText] = STATE(105),
    [sym_v] = STATE(105),
    [sym__verseMeta] = STATE(105),
    [sym_va] = STATE(105),
    [sym_vp] = STATE(105),
    [sym__paragraphContent] = STATE(105),
    [sym_footnote] = STATE(105),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(105),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(105),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(105),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(105),
    [ts_builtin_sym_end] = ACTIONS(1339),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1341),
    [anon_sym_BSLASHiex] = ACTIONS(1341),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1341),
    [anon_sym_BSLASHcl] = ACTIONS(1341),
    [anon_sym_BSLASHca] = ACTIONS(1341),
    [anon_sym_BSLASHcp] = ACTIONS(1341),
    [anon_sym_BSLASHcd] = ACTIONS(1341),
    [anon_sym_BSLASHmte] = ACTIONS(1341),
    [anon_sym_BSLASHms] = ACTIONS(1341),
    [anon_sym_BSLASHs] = ACTIONS(1341),
    [anon_sym_BSLASHr] = ACTIONS(1341),
    [anon_sym_BSLASHsp] = ACTIONS(1341),
    [anon_sym_BSLASHd] = ACTIONS(1341),
    [anon_sym_BSLASHsd] = ACTIONS(1341),
    [anon_sym_BSLASHp] = ACTIONS(1341),
    [anon_sym_BSLASHm] = ACTIONS(1341),
    [anon_sym_BSLASHpo] = ACTIONS(1341),
    [anon_sym_BSLASHpr] = ACTIONS(1341),
    [anon_sym_BSLASHcls] = ACTIONS(1341),
    [anon_sym_BSLASHpmo] = ACTIONS(1341),
    [anon_sym_BSLASHpm] = ACTIONS(1341),
    [anon_sym_BSLASHpmc] = ACTIONS(1341),
    [anon_sym_BSLASHpmr] = ACTIONS(1341),
    [anon_sym_BSLASHpi] = ACTIONS(1341),
    [anon_sym_BSLASHmi] = ACTIONS(1341),
    [anon_sym_BSLASHnb] = ACTIONS(1341),
    [anon_sym_BSLASHpc] = ACTIONS(1341),
    [anon_sym_BSLASHph] = ACTIONS(1341),
    [anon_sym_BSLASHb] = ACTIONS(1341),
    [anon_sym_BSLASHq] = ACTIONS(1341),
    [anon_sym_BSLASHqr] = ACTIONS(1341),
    [anon_sym_BSLASHqc] = ACTIONS(1341),
    [anon_sym_BSLASHqa] = ACTIONS(1341),
    [anon_sym_BSLASHqm] = ACTIONS(1341),
    [anon_sym_BSLASHqd] = ACTIONS(1341),
    [anon_sym_BSLASHlh] = ACTIONS(1341),
    [anon_sym_BSLASHli] = ACTIONS(1341),
    [anon_sym_BSLASHlim] = ACTIONS(1341),
    [anon_sym_BSLASHtr] = ACTIONS(1341),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1341),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1341),
  },
  [92] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(80),
    [sym__comments] = STATE(80),
    [sym_sts] = STATE(80),
    [sym_rem] = STATE(80),
    [sym_restore] = STATE(80),
    [sym_lit] = STATE(80),
    [sym_verseText] = STATE(80),
    [sym_v] = STATE(80),
    [sym__verseMeta] = STATE(80),
    [sym_va] = STATE(80),
    [sym_vp] = STATE(80),
    [sym__paragraphContent] = STATE(80),
    [sym_footnote] = STATE(80),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(80),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(80),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(80),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(80),
    [ts_builtin_sym_end] = ACTIONS(1343),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1345),
    [anon_sym_BSLASHiex] = ACTIONS(1345),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1345),
    [anon_sym_BSLASHcl] = ACTIONS(1345),
    [anon_sym_BSLASHca] = ACTIONS(1345),
    [anon_sym_BSLASHcp] = ACTIONS(1345),
    [anon_sym_BSLASHcd] = ACTIONS(1345),
    [anon_sym_BSLASHmte] = ACTIONS(1345),
    [anon_sym_BSLASHms] = ACTIONS(1345),
    [anon_sym_BSLASHs] = ACTIONS(1345),
    [anon_sym_BSLASHr] = ACTIONS(1345),
    [anon_sym_BSLASHsp] = ACTIONS(1345),
    [anon_sym_BSLASHd] = ACTIONS(1345),
    [anon_sym_BSLASHsd] = ACTIONS(1345),
    [anon_sym_BSLASHp] = ACTIONS(1345),
    [anon_sym_BSLASHm] = ACTIONS(1345),
    [anon_sym_BSLASHpo] = ACTIONS(1345),
    [anon_sym_BSLASHpr] = ACTIONS(1345),
    [anon_sym_BSLASHcls] = ACTIONS(1345),
    [anon_sym_BSLASHpmo] = ACTIONS(1345),
    [anon_sym_BSLASHpm] = ACTIONS(1345),
    [anon_sym_BSLASHpmc] = ACTIONS(1345),
    [anon_sym_BSLASHpmr] = ACTIONS(1345),
    [anon_sym_BSLASHpi] = ACTIONS(1345),
    [anon_sym_BSLASHmi] = ACTIONS(1345),
    [anon_sym_BSLASHnb] = ACTIONS(1345),
    [anon_sym_BSLASHpc] = ACTIONS(1345),
    [anon_sym_BSLASHph] = ACTIONS(1345),
    [anon_sym_BSLASHb] = ACTIONS(1345),
    [anon_sym_BSLASHq] = ACTIONS(1345),
    [anon_sym_BSLASHqr] = ACTIONS(1345),
    [anon_sym_BSLASHqc] = ACTIONS(1345),
    [anon_sym_BSLASHqa] = ACTIONS(1345),
    [anon_sym_BSLASHqm] = ACTIONS(1345),
    [anon_sym_BSLASHqd] = ACTIONS(1345),
    [anon_sym_BSLASHlh] = ACTIONS(1345),
    [anon_sym_BSLASHli] = ACTIONS(1345),
    [anon_sym_BSLASHlim] = ACTIONS(1345),
    [anon_sym_BSLASHtr] = ACTIONS(1345),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1345),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1345),
  },
  [93] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(106),
    [sym__comments] = STATE(106),
    [sym_sts] = STATE(106),
    [sym_rem] = STATE(106),
    [sym_restore] = STATE(106),
    [sym_lit] = STATE(106),
    [sym_verseText] = STATE(106),
    [sym_v] = STATE(106),
    [sym__verseMeta] = STATE(106),
    [sym_va] = STATE(106),
    [sym_vp] = STATE(106),
    [sym__paragraphContent] = STATE(106),
    [sym_footnote] = STATE(106),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(106),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(106),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(106),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(106),
    [ts_builtin_sym_end] = ACTIONS(1347),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1349),
    [anon_sym_BSLASHiex] = ACTIONS(1349),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1349),
    [anon_sym_BSLASHcl] = ACTIONS(1349),
    [anon_sym_BSLASHca] = ACTIONS(1349),
    [anon_sym_BSLASHcp] = ACTIONS(1349),
    [anon_sym_BSLASHcd] = ACTIONS(1349),
    [anon_sym_BSLASHmte] = ACTIONS(1349),
    [anon_sym_BSLASHms] = ACTIONS(1349),
    [anon_sym_BSLASHs] = ACTIONS(1349),
    [anon_sym_BSLASHr] = ACTIONS(1349),
    [anon_sym_BSLASHsp] = ACTIONS(1349),
    [anon_sym_BSLASHd] = ACTIONS(1349),
    [anon_sym_BSLASHsd] = ACTIONS(1349),
    [anon_sym_BSLASHp] = ACTIONS(1349),
    [anon_sym_BSLASHm] = ACTIONS(1349),
    [anon_sym_BSLASHpo] = ACTIONS(1349),
    [anon_sym_BSLASHpr] = ACTIONS(1349),
    [anon_sym_BSLASHcls] = ACTIONS(1349),
    [anon_sym_BSLASHpmo] = ACTIONS(1349),
    [anon_sym_BSLASHpm] = ACTIONS(1349),
    [anon_sym_BSLASHpmc] = ACTIONS(1349),
    [anon_sym_BSLASHpmr] = ACTIONS(1349),
    [anon_sym_BSLASHpi] = ACTIONS(1349),
    [anon_sym_BSLASHmi] = ACTIONS(1349),
    [anon_sym_BSLASHnb] = ACTIONS(1349),
    [anon_sym_BSLASHpc] = ACTIONS(1349),
    [anon_sym_BSLASHph] = ACTIONS(1349),
    [anon_sym_BSLASHb] = ACTIONS(1349),
    [anon_sym_BSLASHq] = ACTIONS(1349),
    [anon_sym_BSLASHqr] = ACTIONS(1349),
    [anon_sym_BSLASHqc] = ACTIONS(1349),
    [anon_sym_BSLASHqa] = ACTIONS(1349),
    [anon_sym_BSLASHqm] = ACTIONS(1349),
    [anon_sym_BSLASHqd] = ACTIONS(1349),
    [anon_sym_BSLASHlh] = ACTIONS(1349),
    [anon_sym_BSLASHli] = ACTIONS(1349),
    [anon_sym_BSLASHlim] = ACTIONS(1349),
    [anon_sym_BSLASHtr] = ACTIONS(1349),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1349),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1349),
  },
  [94] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(107),
    [sym__comments] = STATE(107),
    [sym_sts] = STATE(107),
    [sym_rem] = STATE(107),
    [sym_restore] = STATE(107),
    [sym_lit] = STATE(107),
    [sym_verseText] = STATE(107),
    [sym_v] = STATE(107),
    [sym__verseMeta] = STATE(107),
    [sym_va] = STATE(107),
    [sym_vp] = STATE(107),
    [sym__paragraphContent] = STATE(107),
    [sym_footnote] = STATE(107),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(107),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(107),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(107),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(107),
    [ts_builtin_sym_end] = ACTIONS(1351),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1353),
    [anon_sym_BSLASHiex] = ACTIONS(1353),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1353),
    [anon_sym_BSLASHcl] = ACTIONS(1353),
    [anon_sym_BSLASHca] = ACTIONS(1353),
    [anon_sym_BSLASHcp] = ACTIONS(1353),
    [anon_sym_BSLASHcd] = ACTIONS(1353),
    [anon_sym_BSLASHmte] = ACTIONS(1353),
    [anon_sym_BSLASHms] = ACTIONS(1353),
    [anon_sym_BSLASHs] = ACTIONS(1353),
    [anon_sym_BSLASHr] = ACTIONS(1353),
    [anon_sym_BSLASHsp] = ACTIONS(1353),
    [anon_sym_BSLASHd] = ACTIONS(1353),
    [anon_sym_BSLASHsd] = ACTIONS(1353),
    [anon_sym_BSLASHp] = ACTIONS(1353),
    [anon_sym_BSLASHm] = ACTIONS(1353),
    [anon_sym_BSLASHpo] = ACTIONS(1353),
    [anon_sym_BSLASHpr] = ACTIONS(1353),
    [anon_sym_BSLASHcls] = ACTIONS(1353),
    [anon_sym_BSLASHpmo] = ACTIONS(1353),
    [anon_sym_BSLASHpm] = ACTIONS(1353),
    [anon_sym_BSLASHpmc] = ACTIONS(1353),
    [anon_sym_BSLASHpmr] = ACTIONS(1353),
    [anon_sym_BSLASHpi] = ACTIONS(1353),
    [anon_sym_BSLASHmi] = ACTIONS(1353),
    [anon_sym_BSLASHnb] = ACTIONS(1353),
    [anon_sym_BSLASHpc] = ACTIONS(1353),
    [anon_sym_BSLASHph] = ACTIONS(1353),
    [anon_sym_BSLASHb] = ACTIONS(1353),
    [anon_sym_BSLASHq] = ACTIONS(1353),
    [anon_sym_BSLASHqr] = ACTIONS(1353),
    [anon_sym_BSLASHqc] = ACTIONS(1353),
    [anon_sym_BSLASHqa] = ACTIONS(1353),
    [anon_sym_BSLASHqm] = ACTIONS(1353),
    [anon_sym_BSLASHqd] = ACTIONS(1353),
    [anon_sym_BSLASHlh] = ACTIONS(1353),
    [anon_sym_BSLASHli] = ACTIONS(1353),
    [anon_sym_BSLASHlim] = ACTIONS(1353),
    [anon_sym_BSLASHtr] = ACTIONS(1353),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1353),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1353),
  },
  [95] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(108),
    [sym__comments] = STATE(108),
    [sym_sts] = STATE(108),
    [sym_rem] = STATE(108),
    [sym_restore] = STATE(108),
    [sym_lit] = STATE(108),
    [sym_verseText] = STATE(108),
    [sym_v] = STATE(108),
    [sym__verseMeta] = STATE(108),
    [sym_va] = STATE(108),
    [sym_vp] = STATE(108),
    [sym__paragraphContent] = STATE(108),
    [sym_footnote] = STATE(108),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(108),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(108),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(108),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(108),
    [ts_builtin_sym_end] = ACTIONS(1355),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1357),
    [anon_sym_BSLASHiex] = ACTIONS(1357),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1357),
    [anon_sym_BSLASHcl] = ACTIONS(1357),
    [anon_sym_BSLASHca] = ACTIONS(1357),
    [anon_sym_BSLASHcp] = ACTIONS(1357),
    [anon_sym_BSLASHcd] = ACTIONS(1357),
    [anon_sym_BSLASHmte] = ACTIONS(1357),
    [anon_sym_BSLASHms] = ACTIONS(1357),
    [anon_sym_BSLASHs] = ACTIONS(1357),
    [anon_sym_BSLASHr] = ACTIONS(1357),
    [anon_sym_BSLASHsp] = ACTIONS(1357),
    [anon_sym_BSLASHd] = ACTIONS(1357),
    [anon_sym_BSLASHsd] = ACTIONS(1357),
    [anon_sym_BSLASHp] = ACTIONS(1357),
    [anon_sym_BSLASHm] = ACTIONS(1357),
    [anon_sym_BSLASHpo] = ACTIONS(1357),
    [anon_sym_BSLASHpr] = ACTIONS(1357),
    [anon_sym_BSLASHcls] = ACTIONS(1357),
    [anon_sym_BSLASHpmo] = ACTIONS(1357),
    [anon_sym_BSLASHpm] = ACTIONS(1357),
    [anon_sym_BSLASHpmc] = ACTIONS(1357),
    [anon_sym_BSLASHpmr] = ACTIONS(1357),
    [anon_sym_BSLASHpi] = ACTIONS(1357),
    [anon_sym_BSLASHmi] = ACTIONS(1357),
    [anon_sym_BSLASHnb] = ACTIONS(1357),
    [anon_sym_BSLASHpc] = ACTIONS(1357),
    [anon_sym_BSLASHph] = ACTIONS(1357),
    [anon_sym_BSLASHb] = ACTIONS(1357),
    [anon_sym_BSLASHq] = ACTIONS(1357),
    [anon_sym_BSLASHqr] = ACTIONS(1357),
    [anon_sym_BSLASHqc] = ACTIONS(1357),
    [anon_sym_BSLASHqa] = ACTIONS(1357),
    [anon_sym_BSLASHqm] = ACTIONS(1357),
    [anon_sym_BSLASHqd] = ACTIONS(1357),
    [anon_sym_BSLASHlh] = ACTIONS(1357),
    [anon_sym_BSLASHli] = ACTIONS(1357),
    [anon_sym_BSLASHlim] = ACTIONS(1357),
    [anon_sym_BSLASHtr] = ACTIONS(1357),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1357),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1357),
  },
  [96] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1359),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1361),
    [anon_sym_BSLASHiex] = ACTIONS(1361),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1361),
    [anon_sym_BSLASHcl] = ACTIONS(1361),
    [anon_sym_BSLASHca] = ACTIONS(1361),
    [anon_sym_BSLASHcp] = ACTIONS(1361),
    [anon_sym_BSLASHcd] = ACTIONS(1361),
    [anon_sym_BSLASHmte] = ACTIONS(1361),
    [anon_sym_BSLASHms] = ACTIONS(1361),
    [anon_sym_BSLASHs] = ACTIONS(1361),
    [anon_sym_BSLASHr] = ACTIONS(1361),
    [anon_sym_BSLASHsp] = ACTIONS(1361),
    [anon_sym_BSLASHd] = ACTIONS(1361),
    [anon_sym_BSLASHsd] = ACTIONS(1361),
    [anon_sym_BSLASHp] = ACTIONS(1361),
    [anon_sym_BSLASHm] = ACTIONS(1361),
    [anon_sym_BSLASHpo] = ACTIONS(1361),
    [anon_sym_BSLASHpr] = ACTIONS(1361),
    [anon_sym_BSLASHcls] = ACTIONS(1361),
    [anon_sym_BSLASHpmo] = ACTIONS(1361),
    [anon_sym_BSLASHpm] = ACTIONS(1361),
    [anon_sym_BSLASHpmc] = ACTIONS(1361),
    [anon_sym_BSLASHpmr] = ACTIONS(1361),
    [anon_sym_BSLASHpi] = ACTIONS(1361),
    [anon_sym_BSLASHmi] = ACTIONS(1361),
    [anon_sym_BSLASHnb] = ACTIONS(1361),
    [anon_sym_BSLASHpc] = ACTIONS(1361),
    [anon_sym_BSLASHph] = ACTIONS(1361),
    [anon_sym_BSLASHb] = ACTIONS(1361),
    [anon_sym_BSLASHq] = ACTIONS(1361),
    [anon_sym_BSLASHqr] = ACTIONS(1361),
    [anon_sym_BSLASHqc] = ACTIONS(1361),
    [anon_sym_BSLASHqa] = ACTIONS(1361),
    [anon_sym_BSLASHqm] = ACTIONS(1361),
    [anon_sym_BSLASHqd] = ACTIONS(1361),
    [anon_sym_BSLASHlh] = ACTIONS(1361),
    [anon_sym_BSLASHli] = ACTIONS(1361),
    [anon_sym_BSLASHlim] = ACTIONS(1361),
    [anon_sym_BSLASHtr] = ACTIONS(1361),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1361),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1361),
  },
  [97] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1363),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1365),
    [anon_sym_BSLASHiex] = ACTIONS(1365),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1365),
    [anon_sym_BSLASHcl] = ACTIONS(1365),
    [anon_sym_BSLASHca] = ACTIONS(1365),
    [anon_sym_BSLASHcp] = ACTIONS(1365),
    [anon_sym_BSLASHcd] = ACTIONS(1365),
    [anon_sym_BSLASHmte] = ACTIONS(1365),
    [anon_sym_BSLASHms] = ACTIONS(1365),
    [anon_sym_BSLASHs] = ACTIONS(1365),
    [anon_sym_BSLASHr] = ACTIONS(1365),
    [anon_sym_BSLASHsp] = ACTIONS(1365),
    [anon_sym_BSLASHd] = ACTIONS(1365),
    [anon_sym_BSLASHsd] = ACTIONS(1365),
    [anon_sym_BSLASHp] = ACTIONS(1365),
    [anon_sym_BSLASHm] = ACTIONS(1365),
    [anon_sym_BSLASHpo] = ACTIONS(1365),
    [anon_sym_BSLASHpr] = ACTIONS(1365),
    [anon_sym_BSLASHcls] = ACTIONS(1365),
    [anon_sym_BSLASHpmo] = ACTIONS(1365),
    [anon_sym_BSLASHpm] = ACTIONS(1365),
    [anon_sym_BSLASHpmc] = ACTIONS(1365),
    [anon_sym_BSLASHpmr] = ACTIONS(1365),
    [anon_sym_BSLASHpi] = ACTIONS(1365),
    [anon_sym_BSLASHmi] = ACTIONS(1365),
    [anon_sym_BSLASHnb] = ACTIONS(1365),
    [anon_sym_BSLASHpc] = ACTIONS(1365),
    [anon_sym_BSLASHph] = ACTIONS(1365),
    [anon_sym_BSLASHb] = ACTIONS(1365),
    [anon_sym_BSLASHq] = ACTIONS(1365),
    [anon_sym_BSLASHqr] = ACTIONS(1365),
    [anon_sym_BSLASHqc] = ACTIONS(1365),
    [anon_sym_BSLASHqa] = ACTIONS(1365),
    [anon_sym_BSLASHqm] = ACTIONS(1365),
    [anon_sym_BSLASHqd] = ACTIONS(1365),
    [anon_sym_BSLASHlh] = ACTIONS(1365),
    [anon_sym_BSLASHli] = ACTIONS(1365),
    [anon_sym_BSLASHlim] = ACTIONS(1365),
    [anon_sym_BSLASHtr] = ACTIONS(1365),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1365),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1365),
  },
  [98] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1369),
    [anon_sym_BSLASHiex] = ACTIONS(1369),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1369),
    [anon_sym_BSLASHcl] = ACTIONS(1369),
    [anon_sym_BSLASHca] = ACTIONS(1369),
    [anon_sym_BSLASHcp] = ACTIONS(1369),
    [anon_sym_BSLASHcd] = ACTIONS(1369),
    [anon_sym_BSLASHmte] = ACTIONS(1369),
    [anon_sym_BSLASHms] = ACTIONS(1369),
    [anon_sym_BSLASHs] = ACTIONS(1369),
    [anon_sym_BSLASHr] = ACTIONS(1369),
    [anon_sym_BSLASHsp] = ACTIONS(1369),
    [anon_sym_BSLASHd] = ACTIONS(1369),
    [anon_sym_BSLASHsd] = ACTIONS(1369),
    [anon_sym_BSLASHp] = ACTIONS(1369),
    [anon_sym_BSLASHm] = ACTIONS(1369),
    [anon_sym_BSLASHpo] = ACTIONS(1369),
    [anon_sym_BSLASHpr] = ACTIONS(1369),
    [anon_sym_BSLASHcls] = ACTIONS(1369),
    [anon_sym_BSLASHpmo] = ACTIONS(1369),
    [anon_sym_BSLASHpm] = ACTIONS(1369),
    [anon_sym_BSLASHpmc] = ACTIONS(1369),
    [anon_sym_BSLASHpmr] = ACTIONS(1369),
    [anon_sym_BSLASHpi] = ACTIONS(1369),
    [anon_sym_BSLASHmi] = ACTIONS(1369),
    [anon_sym_BSLASHnb] = ACTIONS(1369),
    [anon_sym_BSLASHpc] = ACTIONS(1369),
    [anon_sym_BSLASHph] = ACTIONS(1369),
    [anon_sym_BSLASHb] = ACTIONS(1369),
    [anon_sym_BSLASHq] = ACTIONS(1369),
    [anon_sym_BSLASHqr] = ACTIONS(1369),
    [anon_sym_BSLASHqc] = ACTIONS(1369),
    [anon_sym_BSLASHqa] = ACTIONS(1369),
    [anon_sym_BSLASHqm] = ACTIONS(1369),
    [anon_sym_BSLASHqd] = ACTIONS(1369),
    [anon_sym_BSLASHlh] = ACTIONS(1369),
    [anon_sym_BSLASHli] = ACTIONS(1369),
    [anon_sym_BSLASHlim] = ACTIONS(1369),
    [anon_sym_BSLASHtr] = ACTIONS(1369),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1369),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1369),
  },
  [99] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1373),
    [anon_sym_BSLASHiex] = ACTIONS(1373),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1373),
    [anon_sym_BSLASHcl] = ACTIONS(1373),
    [anon_sym_BSLASHca] = ACTIONS(1373),
    [anon_sym_BSLASHcp] = ACTIONS(1373),
    [anon_sym_BSLASHcd] = ACTIONS(1373),
    [anon_sym_BSLASHmte] = ACTIONS(1373),
    [anon_sym_BSLASHms] = ACTIONS(1373),
    [anon_sym_BSLASHs] = ACTIONS(1373),
    [anon_sym_BSLASHr] = ACTIONS(1373),
    [anon_sym_BSLASHsp] = ACTIONS(1373),
    [anon_sym_BSLASHd] = ACTIONS(1373),
    [anon_sym_BSLASHsd] = ACTIONS(1373),
    [anon_sym_BSLASHp] = ACTIONS(1373),
    [anon_sym_BSLASHm] = ACTIONS(1373),
    [anon_sym_BSLASHpo] = ACTIONS(1373),
    [anon_sym_BSLASHpr] = ACTIONS(1373),
    [anon_sym_BSLASHcls] = ACTIONS(1373),
    [anon_sym_BSLASHpmo] = ACTIONS(1373),
    [anon_sym_BSLASHpm] = ACTIONS(1373),
    [anon_sym_BSLASHpmc] = ACTIONS(1373),
    [anon_sym_BSLASHpmr] = ACTIONS(1373),
    [anon_sym_BSLASHpi] = ACTIONS(1373),
    [anon_sym_BSLASHmi] = ACTIONS(1373),
    [anon_sym_BSLASHnb] = ACTIONS(1373),
    [anon_sym_BSLASHpc] = ACTIONS(1373),
    [anon_sym_BSLASHph] = ACTIONS(1373),
    [anon_sym_BSLASHb] = ACTIONS(1373),
    [anon_sym_BSLASHq] = ACTIONS(1373),
    [anon_sym_BSLASHqr] = ACTIONS(1373),
    [anon_sym_BSLASHqc] = ACTIONS(1373),
    [anon_sym_BSLASHqa] = ACTIONS(1373),
    [anon_sym_BSLASHqm] = ACTIONS(1373),
    [anon_sym_BSLASHqd] = ACTIONS(1373),
    [anon_sym_BSLASHlh] = ACTIONS(1373),
    [anon_sym_BSLASHli] = ACTIONS(1373),
    [anon_sym_BSLASHlim] = ACTIONS(1373),
    [anon_sym_BSLASHtr] = ACTIONS(1373),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1373),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1373),
  },
  [100] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1377),
    [anon_sym_BSLASHiex] = ACTIONS(1377),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1377),
    [anon_sym_BSLASHcl] = ACTIONS(1377),
    [anon_sym_BSLASHca] = ACTIONS(1377),
    [anon_sym_BSLASHcp] = ACTIONS(1377),
    [anon_sym_BSLASHcd] = ACTIONS(1377),
    [anon_sym_BSLASHmte] = ACTIONS(1377),
    [anon_sym_BSLASHms] = ACTIONS(1377),
    [anon_sym_BSLASHs] = ACTIONS(1377),
    [anon_sym_BSLASHr] = ACTIONS(1377),
    [anon_sym_BSLASHsp] = ACTIONS(1377),
    [anon_sym_BSLASHd] = ACTIONS(1377),
    [anon_sym_BSLASHsd] = ACTIONS(1377),
    [anon_sym_BSLASHp] = ACTIONS(1377),
    [anon_sym_BSLASHm] = ACTIONS(1377),
    [anon_sym_BSLASHpo] = ACTIONS(1377),
    [anon_sym_BSLASHpr] = ACTIONS(1377),
    [anon_sym_BSLASHcls] = ACTIONS(1377),
    [anon_sym_BSLASHpmo] = ACTIONS(1377),
    [anon_sym_BSLASHpm] = ACTIONS(1377),
    [anon_sym_BSLASHpmc] = ACTIONS(1377),
    [anon_sym_BSLASHpmr] = ACTIONS(1377),
    [anon_sym_BSLASHpi] = ACTIONS(1377),
    [anon_sym_BSLASHmi] = ACTIONS(1377),
    [anon_sym_BSLASHnb] = ACTIONS(1377),
    [anon_sym_BSLASHpc] = ACTIONS(1377),
    [anon_sym_BSLASHph] = ACTIONS(1377),
    [anon_sym_BSLASHb] = ACTIONS(1377),
    [anon_sym_BSLASHq] = ACTIONS(1377),
    [anon_sym_BSLASHqr] = ACTIONS(1377),
    [anon_sym_BSLASHqc] = ACTIONS(1377),
    [anon_sym_BSLASHqa] = ACTIONS(1377),
    [anon_sym_BSLASHqm] = ACTIONS(1377),
    [anon_sym_BSLASHqd] = ACTIONS(1377),
    [anon_sym_BSLASHlh] = ACTIONS(1377),
    [anon_sym_BSLASHli] = ACTIONS(1377),
    [anon_sym_BSLASHlim] = ACTIONS(1377),
    [anon_sym_BSLASHtr] = ACTIONS(1377),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1377),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1377),
  },
  [101] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1379),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1381),
    [anon_sym_BSLASHiex] = ACTIONS(1381),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1381),
    [anon_sym_BSLASHcl] = ACTIONS(1381),
    [anon_sym_BSLASHca] = ACTIONS(1381),
    [anon_sym_BSLASHcp] = ACTIONS(1381),
    [anon_sym_BSLASHcd] = ACTIONS(1381),
    [anon_sym_BSLASHmte] = ACTIONS(1381),
    [anon_sym_BSLASHms] = ACTIONS(1381),
    [anon_sym_BSLASHs] = ACTIONS(1381),
    [anon_sym_BSLASHr] = ACTIONS(1381),
    [anon_sym_BSLASHsp] = ACTIONS(1381),
    [anon_sym_BSLASHd] = ACTIONS(1381),
    [anon_sym_BSLASHsd] = ACTIONS(1381),
    [anon_sym_BSLASHp] = ACTIONS(1381),
    [anon_sym_BSLASHm] = ACTIONS(1381),
    [anon_sym_BSLASHpo] = ACTIONS(1381),
    [anon_sym_BSLASHpr] = ACTIONS(1381),
    [anon_sym_BSLASHcls] = ACTIONS(1381),
    [anon_sym_BSLASHpmo] = ACTIONS(1381),
    [anon_sym_BSLASHpm] = ACTIONS(1381),
    [anon_sym_BSLASHpmc] = ACTIONS(1381),
    [anon_sym_BSLASHpmr] = ACTIONS(1381),
    [anon_sym_BSLASHpi] = ACTIONS(1381),
    [anon_sym_BSLASHmi] = ACTIONS(1381),
    [anon_sym_BSLASHnb] = ACTIONS(1381),
    [anon_sym_BSLASHpc] = ACTIONS(1381),
    [anon_sym_BSLASHph] = ACTIONS(1381),
    [anon_sym_BSLASHb] = ACTIONS(1381),
    [anon_sym_BSLASHq] = ACTIONS(1381),
    [anon_sym_BSLASHqr] = ACTIONS(1381),
    [anon_sym_BSLASHqc] = ACTIONS(1381),
    [anon_sym_BSLASHqa] = ACTIONS(1381),
    [anon_sym_BSLASHqm] = ACTIONS(1381),
    [anon_sym_BSLASHqd] = ACTIONS(1381),
    [anon_sym_BSLASHlh] = ACTIONS(1381),
    [anon_sym_BSLASHli] = ACTIONS(1381),
    [anon_sym_BSLASHlim] = ACTIONS(1381),
    [anon_sym_BSLASHtr] = ACTIONS(1381),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1381),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1381),
  },
  [102] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1383),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1385),
    [anon_sym_BSLASHiex] = ACTIONS(1385),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1385),
    [anon_sym_BSLASHcl] = ACTIONS(1385),
    [anon_sym_BSLASHca] = ACTIONS(1385),
    [anon_sym_BSLASHcp] = ACTIONS(1385),
    [anon_sym_BSLASHcd] = ACTIONS(1385),
    [anon_sym_BSLASHmte] = ACTIONS(1385),
    [anon_sym_BSLASHms] = ACTIONS(1385),
    [anon_sym_BSLASHs] = ACTIONS(1385),
    [anon_sym_BSLASHr] = ACTIONS(1385),
    [anon_sym_BSLASHsp] = ACTIONS(1385),
    [anon_sym_BSLASHd] = ACTIONS(1385),
    [anon_sym_BSLASHsd] = ACTIONS(1385),
    [anon_sym_BSLASHp] = ACTIONS(1385),
    [anon_sym_BSLASHm] = ACTIONS(1385),
    [anon_sym_BSLASHpo] = ACTIONS(1385),
    [anon_sym_BSLASHpr] = ACTIONS(1385),
    [anon_sym_BSLASHcls] = ACTIONS(1385),
    [anon_sym_BSLASHpmo] = ACTIONS(1385),
    [anon_sym_BSLASHpm] = ACTIONS(1385),
    [anon_sym_BSLASHpmc] = ACTIONS(1385),
    [anon_sym_BSLASHpmr] = ACTIONS(1385),
    [anon_sym_BSLASHpi] = ACTIONS(1385),
    [anon_sym_BSLASHmi] = ACTIONS(1385),
    [anon_sym_BSLASHnb] = ACTIONS(1385),
    [anon_sym_BSLASHpc] = ACTIONS(1385),
    [anon_sym_BSLASHph] = ACTIONS(1385),
    [anon_sym_BSLASHb] = ACTIONS(1385),
    [anon_sym_BSLASHq] = ACTIONS(1385),
    [anon_sym_BSLASHqr] = ACTIONS(1385),
    [anon_sym_BSLASHqc] = ACTIONS(1385),
    [anon_sym_BSLASHqa] = ACTIONS(1385),
    [anon_sym_BSLASHqm] = ACTIONS(1385),
    [anon_sym_BSLASHqd] = ACTIONS(1385),
    [anon_sym_BSLASHlh] = ACTIONS(1385),
    [anon_sym_BSLASHli] = ACTIONS(1385),
    [anon_sym_BSLASHlim] = ACTIONS(1385),
    [anon_sym_BSLASHtr] = ACTIONS(1385),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1385),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1385),
  },
  [103] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1387),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1389),
    [anon_sym_BSLASHiex] = ACTIONS(1389),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1389),
    [anon_sym_BSLASHcl] = ACTIONS(1389),
    [anon_sym_BSLASHca] = ACTIONS(1389),
    [anon_sym_BSLASHcp] = ACTIONS(1389),
    [anon_sym_BSLASHcd] = ACTIONS(1389),
    [anon_sym_BSLASHmte] = ACTIONS(1389),
    [anon_sym_BSLASHms] = ACTIONS(1389),
    [anon_sym_BSLASHs] = ACTIONS(1389),
    [anon_sym_BSLASHr] = ACTIONS(1389),
    [anon_sym_BSLASHsp] = ACTIONS(1389),
    [anon_sym_BSLASHd] = ACTIONS(1389),
    [anon_sym_BSLASHsd] = ACTIONS(1389),
    [anon_sym_BSLASHp] = ACTIONS(1389),
    [anon_sym_BSLASHm] = ACTIONS(1389),
    [anon_sym_BSLASHpo] = ACTIONS(1389),
    [anon_sym_BSLASHpr] = ACTIONS(1389),
    [anon_sym_BSLASHcls] = ACTIONS(1389),
    [anon_sym_BSLASHpmo] = ACTIONS(1389),
    [anon_sym_BSLASHpm] = ACTIONS(1389),
    [anon_sym_BSLASHpmc] = ACTIONS(1389),
    [anon_sym_BSLASHpmr] = ACTIONS(1389),
    [anon_sym_BSLASHpi] = ACTIONS(1389),
    [anon_sym_BSLASHmi] = ACTIONS(1389),
    [anon_sym_BSLASHnb] = ACTIONS(1389),
    [anon_sym_BSLASHpc] = ACTIONS(1389),
    [anon_sym_BSLASHph] = ACTIONS(1389),
    [anon_sym_BSLASHb] = ACTIONS(1389),
    [anon_sym_BSLASHq] = ACTIONS(1389),
    [anon_sym_BSLASHqr] = ACTIONS(1389),
    [anon_sym_BSLASHqc] = ACTIONS(1389),
    [anon_sym_BSLASHqa] = ACTIONS(1389),
    [anon_sym_BSLASHqm] = ACTIONS(1389),
    [anon_sym_BSLASHqd] = ACTIONS(1389),
    [anon_sym_BSLASHlh] = ACTIONS(1389),
    [anon_sym_BSLASHli] = ACTIONS(1389),
    [anon_sym_BSLASHlim] = ACTIONS(1389),
    [anon_sym_BSLASHtr] = ACTIONS(1389),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1389),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1389),
  },
  [104] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1391),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1393),
    [anon_sym_BSLASHiex] = ACTIONS(1393),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1393),
    [anon_sym_BSLASHcl] = ACTIONS(1393),
    [anon_sym_BSLASHca] = ACTIONS(1393),
    [anon_sym_BSLASHcp] = ACTIONS(1393),
    [anon_sym_BSLASHcd] = ACTIONS(1393),
    [anon_sym_BSLASHmte] = ACTIONS(1393),
    [anon_sym_BSLASHms] = ACTIONS(1393),
    [anon_sym_BSLASHs] = ACTIONS(1393),
    [anon_sym_BSLASHr] = ACTIONS(1393),
    [anon_sym_BSLASHsp] = ACTIONS(1393),
    [anon_sym_BSLASHd] = ACTIONS(1393),
    [anon_sym_BSLASHsd] = ACTIONS(1393),
    [anon_sym_BSLASHp] = ACTIONS(1393),
    [anon_sym_BSLASHm] = ACTIONS(1393),
    [anon_sym_BSLASHpo] = ACTIONS(1393),
    [anon_sym_BSLASHpr] = ACTIONS(1393),
    [anon_sym_BSLASHcls] = ACTIONS(1393),
    [anon_sym_BSLASHpmo] = ACTIONS(1393),
    [anon_sym_BSLASHpm] = ACTIONS(1393),
    [anon_sym_BSLASHpmc] = ACTIONS(1393),
    [anon_sym_BSLASHpmr] = ACTIONS(1393),
    [anon_sym_BSLASHpi] = ACTIONS(1393),
    [anon_sym_BSLASHmi] = ACTIONS(1393),
    [anon_sym_BSLASHnb] = ACTIONS(1393),
    [anon_sym_BSLASHpc] = ACTIONS(1393),
    [anon_sym_BSLASHph] = ACTIONS(1393),
    [anon_sym_BSLASHb] = ACTIONS(1393),
    [anon_sym_BSLASHq] = ACTIONS(1393),
    [anon_sym_BSLASHqr] = ACTIONS(1393),
    [anon_sym_BSLASHqc] = ACTIONS(1393),
    [anon_sym_BSLASHqa] = ACTIONS(1393),
    [anon_sym_BSLASHqm] = ACTIONS(1393),
    [anon_sym_BSLASHqd] = ACTIONS(1393),
    [anon_sym_BSLASHlh] = ACTIONS(1393),
    [anon_sym_BSLASHli] = ACTIONS(1393),
    [anon_sym_BSLASHlim] = ACTIONS(1393),
    [anon_sym_BSLASHtr] = ACTIONS(1393),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1393),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1393),
  },
  [105] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1395),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1397),
    [anon_sym_BSLASHiex] = ACTIONS(1397),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1397),
    [anon_sym_BSLASHcl] = ACTIONS(1397),
    [anon_sym_BSLASHca] = ACTIONS(1397),
    [anon_sym_BSLASHcp] = ACTIONS(1397),
    [anon_sym_BSLASHcd] = ACTIONS(1397),
    [anon_sym_BSLASHmte] = ACTIONS(1397),
    [anon_sym_BSLASHms] = ACTIONS(1397),
    [anon_sym_BSLASHs] = ACTIONS(1397),
    [anon_sym_BSLASHr] = ACTIONS(1397),
    [anon_sym_BSLASHsp] = ACTIONS(1397),
    [anon_sym_BSLASHd] = ACTIONS(1397),
    [anon_sym_BSLASHsd] = ACTIONS(1397),
    [anon_sym_BSLASHp] = ACTIONS(1397),
    [anon_sym_BSLASHm] = ACTIONS(1397),
    [anon_sym_BSLASHpo] = ACTIONS(1397),
    [anon_sym_BSLASHpr] = ACTIONS(1397),
    [anon_sym_BSLASHcls] = ACTIONS(1397),
    [anon_sym_BSLASHpmo] = ACTIONS(1397),
    [anon_sym_BSLASHpm] = ACTIONS(1397),
    [anon_sym_BSLASHpmc] = ACTIONS(1397),
    [anon_sym_BSLASHpmr] = ACTIONS(1397),
    [anon_sym_BSLASHpi] = ACTIONS(1397),
    [anon_sym_BSLASHmi] = ACTIONS(1397),
    [anon_sym_BSLASHnb] = ACTIONS(1397),
    [anon_sym_BSLASHpc] = ACTIONS(1397),
    [anon_sym_BSLASHph] = ACTIONS(1397),
    [anon_sym_BSLASHb] = ACTIONS(1397),
    [anon_sym_BSLASHq] = ACTIONS(1397),
    [anon_sym_BSLASHqr] = ACTIONS(1397),
    [anon_sym_BSLASHqc] = ACTIONS(1397),
    [anon_sym_BSLASHqa] = ACTIONS(1397),
    [anon_sym_BSLASHqm] = ACTIONS(1397),
    [anon_sym_BSLASHqd] = ACTIONS(1397),
    [anon_sym_BSLASHlh] = ACTIONS(1397),
    [anon_sym_BSLASHli] = ACTIONS(1397),
    [anon_sym_BSLASHlim] = ACTIONS(1397),
    [anon_sym_BSLASHtr] = ACTIONS(1397),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1397),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1397),
  },
  [106] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1399),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1401),
    [anon_sym_BSLASHiex] = ACTIONS(1401),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1401),
    [anon_sym_BSLASHcl] = ACTIONS(1401),
    [anon_sym_BSLASHca] = ACTIONS(1401),
    [anon_sym_BSLASHcp] = ACTIONS(1401),
    [anon_sym_BSLASHcd] = ACTIONS(1401),
    [anon_sym_BSLASHmte] = ACTIONS(1401),
    [anon_sym_BSLASHms] = ACTIONS(1401),
    [anon_sym_BSLASHs] = ACTIONS(1401),
    [anon_sym_BSLASHr] = ACTIONS(1401),
    [anon_sym_BSLASHsp] = ACTIONS(1401),
    [anon_sym_BSLASHd] = ACTIONS(1401),
    [anon_sym_BSLASHsd] = ACTIONS(1401),
    [anon_sym_BSLASHp] = ACTIONS(1401),
    [anon_sym_BSLASHm] = ACTIONS(1401),
    [anon_sym_BSLASHpo] = ACTIONS(1401),
    [anon_sym_BSLASHpr] = ACTIONS(1401),
    [anon_sym_BSLASHcls] = ACTIONS(1401),
    [anon_sym_BSLASHpmo] = ACTIONS(1401),
    [anon_sym_BSLASHpm] = ACTIONS(1401),
    [anon_sym_BSLASHpmc] = ACTIONS(1401),
    [anon_sym_BSLASHpmr] = ACTIONS(1401),
    [anon_sym_BSLASHpi] = ACTIONS(1401),
    [anon_sym_BSLASHmi] = ACTIONS(1401),
    [anon_sym_BSLASHnb] = ACTIONS(1401),
    [anon_sym_BSLASHpc] = ACTIONS(1401),
    [anon_sym_BSLASHph] = ACTIONS(1401),
    [anon_sym_BSLASHb] = ACTIONS(1401),
    [anon_sym_BSLASHq] = ACTIONS(1401),
    [anon_sym_BSLASHqr] = ACTIONS(1401),
    [anon_sym_BSLASHqc] = ACTIONS(1401),
    [anon_sym_BSLASHqa] = ACTIONS(1401),
    [anon_sym_BSLASHqm] = ACTIONS(1401),
    [anon_sym_BSLASHqd] = ACTIONS(1401),
    [anon_sym_BSLASHlh] = ACTIONS(1401),
    [anon_sym_BSLASHli] = ACTIONS(1401),
    [anon_sym_BSLASHlim] = ACTIONS(1401),
    [anon_sym_BSLASHtr] = ACTIONS(1401),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1401),
  },
  [107] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1403),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1405),
    [anon_sym_BSLASHiex] = ACTIONS(1405),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1405),
    [anon_sym_BSLASHcl] = ACTIONS(1405),
    [anon_sym_BSLASHca] = ACTIONS(1405),
    [anon_sym_BSLASHcp] = ACTIONS(1405),
    [anon_sym_BSLASHcd] = ACTIONS(1405),
    [anon_sym_BSLASHmte] = ACTIONS(1405),
    [anon_sym_BSLASHms] = ACTIONS(1405),
    [anon_sym_BSLASHs] = ACTIONS(1405),
    [anon_sym_BSLASHr] = ACTIONS(1405),
    [anon_sym_BSLASHsp] = ACTIONS(1405),
    [anon_sym_BSLASHd] = ACTIONS(1405),
    [anon_sym_BSLASHsd] = ACTIONS(1405),
    [anon_sym_BSLASHp] = ACTIONS(1405),
    [anon_sym_BSLASHm] = ACTIONS(1405),
    [anon_sym_BSLASHpo] = ACTIONS(1405),
    [anon_sym_BSLASHpr] = ACTIONS(1405),
    [anon_sym_BSLASHcls] = ACTIONS(1405),
    [anon_sym_BSLASHpmo] = ACTIONS(1405),
    [anon_sym_BSLASHpm] = ACTIONS(1405),
    [anon_sym_BSLASHpmc] = ACTIONS(1405),
    [anon_sym_BSLASHpmr] = ACTIONS(1405),
    [anon_sym_BSLASHpi] = ACTIONS(1405),
    [anon_sym_BSLASHmi] = ACTIONS(1405),
    [anon_sym_BSLASHnb] = ACTIONS(1405),
    [anon_sym_BSLASHpc] = ACTIONS(1405),
    [anon_sym_BSLASHph] = ACTIONS(1405),
    [anon_sym_BSLASHb] = ACTIONS(1405),
    [anon_sym_BSLASHq] = ACTIONS(1405),
    [anon_sym_BSLASHqr] = ACTIONS(1405),
    [anon_sym_BSLASHqc] = ACTIONS(1405),
    [anon_sym_BSLASHqa] = ACTIONS(1405),
    [anon_sym_BSLASHqm] = ACTIONS(1405),
    [anon_sym_BSLASHqd] = ACTIONS(1405),
    [anon_sym_BSLASHlh] = ACTIONS(1405),
    [anon_sym_BSLASHli] = ACTIONS(1405),
    [anon_sym_BSLASHlim] = ACTIONS(1405),
    [anon_sym_BSLASHtr] = ACTIONS(1405),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1405),
  },
  [108] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1407),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1409),
    [anon_sym_BSLASHiex] = ACTIONS(1409),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1409),
    [anon_sym_BSLASHcl] = ACTIONS(1409),
    [anon_sym_BSLASHca] = ACTIONS(1409),
    [anon_sym_BSLASHcp] = ACTIONS(1409),
    [anon_sym_BSLASHcd] = ACTIONS(1409),
    [anon_sym_BSLASHmte] = ACTIONS(1409),
    [anon_sym_BSLASHms] = ACTIONS(1409),
    [anon_sym_BSLASHs] = ACTIONS(1409),
    [anon_sym_BSLASHr] = ACTIONS(1409),
    [anon_sym_BSLASHsp] = ACTIONS(1409),
    [anon_sym_BSLASHd] = ACTIONS(1409),
    [anon_sym_BSLASHsd] = ACTIONS(1409),
    [anon_sym_BSLASHp] = ACTIONS(1409),
    [anon_sym_BSLASHm] = ACTIONS(1409),
    [anon_sym_BSLASHpo] = ACTIONS(1409),
    [anon_sym_BSLASHpr] = ACTIONS(1409),
    [anon_sym_BSLASHcls] = ACTIONS(1409),
    [anon_sym_BSLASHpmo] = ACTIONS(1409),
    [anon_sym_BSLASHpm] = ACTIONS(1409),
    [anon_sym_BSLASHpmc] = ACTIONS(1409),
    [anon_sym_BSLASHpmr] = ACTIONS(1409),
    [anon_sym_BSLASHpi] = ACTIONS(1409),
    [anon_sym_BSLASHmi] = ACTIONS(1409),
    [anon_sym_BSLASHnb] = ACTIONS(1409),
    [anon_sym_BSLASHpc] = ACTIONS(1409),
    [anon_sym_BSLASHph] = ACTIONS(1409),
    [anon_sym_BSLASHb] = ACTIONS(1409),
    [anon_sym_BSLASHq] = ACTIONS(1409),
    [anon_sym_BSLASHqr] = ACTIONS(1409),
    [anon_sym_BSLASHqc] = ACTIONS(1409),
    [anon_sym_BSLASHqa] = ACTIONS(1409),
    [anon_sym_BSLASHqm] = ACTIONS(1409),
    [anon_sym_BSLASHqd] = ACTIONS(1409),
    [anon_sym_BSLASHlh] = ACTIONS(1409),
    [anon_sym_BSLASHli] = ACTIONS(1409),
    [anon_sym_BSLASHlim] = ACTIONS(1409),
    [anon_sym_BSLASHtr] = ACTIONS(1409),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1409),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1409),
  },
  [109] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(109),
    [sym__comments] = STATE(109),
    [sym_sts] = STATE(109),
    [sym_rem] = STATE(109),
    [sym_restore] = STATE(109),
    [sym_lit] = STATE(109),
    [sym_verseText] = STATE(109),
    [sym_v] = STATE(109),
    [sym__verseMeta] = STATE(109),
    [sym_va] = STATE(109),
    [sym_vp] = STATE(109),
    [sym__paragraphContent] = STATE(109),
    [sym_footnote] = STATE(109),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(109),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(109),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(109),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1411),
    [aux_sym_text_token1] = ACTIONS(1413),
    [anon_sym_BSLASHref] = ACTIONS(1416),
    [anon_sym_BSLASHsts] = ACTIONS(1419),
    [anon_sym_BSLASHrem] = ACTIONS(1422),
    [anon_sym_BSLASHrestore] = ACTIONS(1425),
    [anon_sym_BSLASHlit] = ACTIONS(1428),
    [anon_sym_BSLASHip] = ACTIONS(1431),
    [anon_sym_BSLASHiex] = ACTIONS(1431),
    [anon_sym_BSLASHv] = ACTIONS(1433),
    [anon_sym_BSLASHva] = ACTIONS(1436),
    [anon_sym_BSLASHvp] = ACTIONS(1439),
    [anon_sym_BSLASHc] = ACTIONS(1431),
    [anon_sym_BSLASHcl] = ACTIONS(1431),
    [anon_sym_BSLASHca] = ACTIONS(1431),
    [anon_sym_BSLASHcp] = ACTIONS(1431),
    [anon_sym_BSLASHcd] = ACTIONS(1431),
    [anon_sym_BSLASHmte] = ACTIONS(1431),
    [anon_sym_BSLASHms] = ACTIONS(1431),
    [anon_sym_BSLASHs] = ACTIONS(1431),
    [anon_sym_BSLASHr] = ACTIONS(1431),
    [anon_sym_BSLASHsp] = ACTIONS(1431),
    [anon_sym_BSLASHd] = ACTIONS(1431),
    [anon_sym_BSLASHsd] = ACTIONS(1431),
    [anon_sym_BSLASHp] = ACTIONS(1431),
    [anon_sym_BSLASHm] = ACTIONS(1431),
    [anon_sym_BSLASHpo] = ACTIONS(1431),
    [anon_sym_BSLASHpr] = ACTIONS(1431),
    [anon_sym_BSLASHcls] = ACTIONS(1431),
    [anon_sym_BSLASHpmo] = ACTIONS(1431),
    [anon_sym_BSLASHpm] = ACTIONS(1431),
    [anon_sym_BSLASHpmc] = ACTIONS(1431),
    [anon_sym_BSLASHpmr] = ACTIONS(1431),
    [anon_sym_BSLASHpi] = ACTIONS(1431),
    [anon_sym_BSLASHmi] = ACTIONS(1431),
    [anon_sym_BSLASHnb] = ACTIONS(1431),
    [anon_sym_BSLASHpc] = ACTIONS(1431),
    [anon_sym_BSLASHph] = ACTIONS(1431),
    [anon_sym_BSLASHb] = ACTIONS(1431),
    [anon_sym_BSLASHq] = ACTIONS(1431),
    [anon_sym_BSLASHqr] = ACTIONS(1431),
    [anon_sym_BSLASHqc] = ACTIONS(1431),
    [anon_sym_BSLASHqa] = ACTIONS(1431),
    [anon_sym_BSLASHqm] = ACTIONS(1431),
    [anon_sym_BSLASHqd] = ACTIONS(1431),
    [anon_sym_BSLASHlh] = ACTIONS(1431),
    [anon_sym_BSLASHli] = ACTIONS(1431),
    [anon_sym_BSLASHlim] = ACTIONS(1431),
    [anon_sym_BSLASHtr] = ACTIONS(1431),
    [anon_sym_BSLASHf] = ACTIONS(1442),
    [anon_sym_BSLASHfe] = ACTIONS(1445),
    [anon_sym_BSLASHef] = ACTIONS(1448),
    [anon_sym_BSLASHfm] = ACTIONS(1451),
    [anon_sym_BSLASHx] = ACTIONS(1454),
    [anon_sym_BSLASHxt] = ACTIONS(1457),
    [anon_sym_BSLASHrq] = ACTIONS(1460),
    [anon_sym_BSLASHadd] = ACTIONS(1463),
    [anon_sym_BSLASHbk] = ACTIONS(1466),
    [anon_sym_BSLASHdc] = ACTIONS(1469),
    [anon_sym_BSLASHk] = ACTIONS(1472),
    [anon_sym_BSLASHnd] = ACTIONS(1475),
    [anon_sym_BSLASHord] = ACTIONS(1478),
    [anon_sym_BSLASHpn] = ACTIONS(1481),
    [anon_sym_BSLASHpng] = ACTIONS(1484),
    [anon_sym_BSLASHaddpn] = ACTIONS(1487),
    [anon_sym_BSLASHqt] = ACTIONS(1490),
    [anon_sym_BSLASHsig] = ACTIONS(1493),
    [anon_sym_BSLASHsls] = ACTIONS(1496),
    [anon_sym_BSLASHtl] = ACTIONS(1499),
    [anon_sym_BSLASHwj] = ACTIONS(1502),
    [anon_sym_BSLASHem] = ACTIONS(1505),
    [anon_sym_BSLASHbd] = ACTIONS(1508),
    [anon_sym_BSLASHit] = ACTIONS(1511),
    [anon_sym_BSLASHbdit] = ACTIONS(1514),
    [anon_sym_BSLASHno] = ACTIONS(1517),
    [anon_sym_BSLASHsc] = ACTIONS(1520),
    [anon_sym_BSLASHsup] = ACTIONS(1523),
    [anon_sym_BSLASHndx] = ACTIONS(1526),
    [anon_sym_BSLASHpro] = ACTIONS(1529),
    [anon_sym_BSLASHrb] = ACTIONS(1532),
    [anon_sym_BSLASHw] = ACTIONS(1535),
    [anon_sym_BSLASHwg] = ACTIONS(1538),
    [anon_sym_BSLASHwh] = ACTIONS(1541),
    [anon_sym_BSLASHwa] = ACTIONS(1544),
    [anon_sym_BSLASHfig] = ACTIONS(1547),
    [anon_sym_BSLASHjmp] = ACTIONS(1550),
    [anon_sym_BSLASHpb] = ACTIONS(1431),
    [anon_sym_BSLASH] = ACTIONS(1553),
    [sym_milestoneStartTag] = ACTIONS(1556),
    [sym_milestoneEndTag] = ACTIONS(1559),
    [sym_zSpaceTag] = ACTIONS(1562),
    [anon_sym_BSLASHesb] = ACTIONS(1431),
  },
  [110] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(81),
    [sym__comments] = STATE(81),
    [sym_sts] = STATE(81),
    [sym_rem] = STATE(81),
    [sym_restore] = STATE(81),
    [sym_lit] = STATE(81),
    [sym_verseText] = STATE(81),
    [sym_v] = STATE(81),
    [sym__verseMeta] = STATE(81),
    [sym_va] = STATE(81),
    [sym_vp] = STATE(81),
    [sym__paragraphContent] = STATE(81),
    [sym_footnote] = STATE(81),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(81),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(2110),
    [sym__milestoneStandaloneMarker] = STATE(472),
    [sym__milestoneStart] = STATE(472),
    [sym__milestoneEnd] = STATE(472),
    [sym_milestone] = STATE(81),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(81),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_p_repeat1] = STATE(81),
    [ts_builtin_sym_end] = ACTIONS(1565),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(390),
    [anon_sym_BSLASHrem] = ACTIONS(392),
    [anon_sym_BSLASHrestore] = ACTIONS(394),
    [anon_sym_BSLASHlit] = ACTIONS(396),
    [anon_sym_BSLASHip] = ACTIONS(1567),
    [anon_sym_BSLASHiex] = ACTIONS(1567),
    [anon_sym_BSLASHv] = ACTIONS(400),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(1567),
    [anon_sym_BSLASHcl] = ACTIONS(1567),
    [anon_sym_BSLASHca] = ACTIONS(1567),
    [anon_sym_BSLASHcp] = ACTIONS(1567),
    [anon_sym_BSLASHcd] = ACTIONS(1567),
    [anon_sym_BSLASHmte] = ACTIONS(1567),
    [anon_sym_BSLASHms] = ACTIONS(1567),
    [anon_sym_BSLASHs] = ACTIONS(1567),
    [anon_sym_BSLASHr] = ACTIONS(1567),
    [anon_sym_BSLASHsp] = ACTIONS(1567),
    [anon_sym_BSLASHd] = ACTIONS(1567),
    [anon_sym_BSLASHsd] = ACTIONS(1567),
    [anon_sym_BSLASHp] = ACTIONS(1567),
    [anon_sym_BSLASHm] = ACTIONS(1567),
    [anon_sym_BSLASHpo] = ACTIONS(1567),
    [anon_sym_BSLASHpr] = ACTIONS(1567),
    [anon_sym_BSLASHcls] = ACTIONS(1567),
    [anon_sym_BSLASHpmo] = ACTIONS(1567),
    [anon_sym_BSLASHpm] = ACTIONS(1567),
    [anon_sym_BSLASHpmc] = ACTIONS(1567),
    [anon_sym_BSLASHpmr] = ACTIONS(1567),
    [anon_sym_BSLASHpi] = ACTIONS(1567),
    [anon_sym_BSLASHmi] = ACTIONS(1567),
    [anon_sym_BSLASHnb] = ACTIONS(1567),
    [anon_sym_BSLASHpc] = ACTIONS(1567),
    [anon_sym_BSLASHph] = ACTIONS(1567),
    [anon_sym_BSLASHb] = ACTIONS(1567),
    [anon_sym_BSLASHq] = ACTIONS(1567),
    [anon_sym_BSLASHqr] = ACTIONS(1567),
    [anon_sym_BSLASHqc] = ACTIONS(1567),
    [anon_sym_BSLASHqa] = ACTIONS(1567),
    [anon_sym_BSLASHqm] = ACTIONS(1567),
    [anon_sym_BSLASHqd] = ACTIONS(1567),
    [anon_sym_BSLASHlh] = ACTIONS(1567),
    [anon_sym_BSLASHli] = ACTIONS(1567),
    [anon_sym_BSLASHlim] = ACTIONS(1567),
    [anon_sym_BSLASHtr] = ACTIONS(1567),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(1567),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(488),
    [sym_milestoneEndTag] = ACTIONS(490),
    [sym_zSpaceTag] = ACTIONS(492),
    [anon_sym_BSLASHesb] = ACTIONS(1567),
  },
  [111] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(123),
    [sym_fr] = STATE(123),
    [sym_fq] = STATE(123),
    [sym_fqa] = STATE(123),
    [sym_fk] = STATE(123),
    [sym_fl] = STATE(123),
    [sym_fw] = STATE(123),
    [sym_fp] = STATE(123),
    [sym_ft] = STATE(123),
    [sym_fdc] = STATE(123),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(123),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(123),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(123),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1569),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [112] = {
    [sym_text] = STATE(333),
    [sym_ref] = STATE(136),
    [sym__comments] = STATE(136),
    [sym_sts] = STATE(136),
    [sym_rem] = STATE(136),
    [sym_restore] = STATE(136),
    [sym_lit] = STATE(136),
    [sym_verseText] = STATE(136),
    [sym_v] = STATE(136),
    [sym__verseMeta] = STATE(136),
    [sym_va] = STATE(136),
    [sym_vp] = STATE(136),
    [sym__paragraphContent] = STATE(136),
    [sym__poetryContent] = STATE(136),
    [sym_qs] = STATE(136),
    [sym_qac] = STATE(136),
    [sym_footnote] = STATE(136),
    [sym_f] = STATE(710),
    [sym_fe] = STATE(710),
    [sym_ef] = STATE(710),
    [sym_fm] = STATE(710),
    [sym_crossref] = STATE(136),
    [sym_x] = STATE(657),
    [sym_xt_standalone] = STATE(657),
    [sym_rq] = STATE(657),
    [sym_add] = STATE(333),
    [sym_bk] = STATE(333),
    [sym_dc] = STATE(333),
    [sym_k] = STATE(333),
    [sym_nd] = STATE(333),
    [sym_ord] = STATE(333),
    [sym_pn] = STATE(333),
    [sym_png] = STATE(333),
    [sym_addpn] = STATE(333),
    [sym_qt] = STATE(333),
    [sym_sig] = STATE(333),
    [sym_sls] = STATE(333),
    [sym_tl] = STATE(333),
    [sym_wj] = STATE(333),
    [sym_em] = STATE(333),
    [sym_bd] = STATE(333),
    [sym_it] = STATE(333),
    [sym_bdit] = STATE(333),
    [sym_no] = STATE(333),
    [sym_sc] = STATE(333),
    [sym_sup] = STATE(333),
    [sym_ndx] = STATE(333),
    [sym_pro] = STATE(333),
    [sym_rb] = STATE(333),
    [sym_w] = STATE(333),
    [sym_wg] = STATE(333),
    [sym_wh] = STATE(333),
    [sym_wa] = STATE(333),
    [sym__characterMarker] = STATE(333),
    [sym_fig] = STATE(333),
    [sym_jmp] = STATE(333),
    [sym_milestoneTag] = STATE(2094),
    [sym__milestoneStandaloneMarker] = STATE(720),
    [sym__milestoneStart] = STATE(720),
    [sym__milestoneEnd] = STATE(720),
    [sym_milestone] = STATE(136),
    [sym__zNameSpaceRegular] = STATE(719),
    [sym__zNameSpaceClosed] = STATE(719),
    [sym__zNameSpaceStandaloneMarker] = STATE(719),
    [sym_zNameSpace] = STATE(136),
    [aux_sym_verseText_repeat1] = STATE(333),
    [aux_sym_q_repeat1] = STATE(136),
    [aux_sym_text_token1] = ACTIONS(1653),
    [anon_sym_BSLASHref] = ACTIONS(1655),
    [anon_sym_BSLASHsts] = ACTIONS(1657),
    [anon_sym_BSLASHrem] = ACTIONS(1659),
    [anon_sym_BSLASHrestore] = ACTIONS(1661),
    [anon_sym_BSLASHlit] = ACTIONS(1663),
    [anon_sym_BSLASHip] = ACTIONS(626),
    [anon_sym_BSLASHv] = ACTIONS(1665),
    [anon_sym_BSLASHva] = ACTIONS(1667),
    [anon_sym_BSLASHvp] = ACTIONS(1669),
    [anon_sym_BSLASHmte] = ACTIONS(626),
    [anon_sym_BSLASHms] = ACTIONS(626),
    [anon_sym_BSLASHs] = ACTIONS(626),
    [anon_sym_BSLASHr] = ACTIONS(626),
    [anon_sym_BSLASHsp] = ACTIONS(626),
    [anon_sym_BSLASHd] = ACTIONS(626),
    [anon_sym_BSLASHsd] = ACTIONS(626),
    [anon_sym_BSLASHp] = ACTIONS(626),
    [anon_sym_BSLASHm] = ACTIONS(626),
    [anon_sym_BSLASHpo] = ACTIONS(626),
    [anon_sym_BSLASHpr] = ACTIONS(626),
    [anon_sym_BSLASHcls] = ACTIONS(626),
    [anon_sym_BSLASHpmo] = ACTIONS(626),
    [anon_sym_BSLASHpm] = ACTIONS(626),
    [anon_sym_BSLASHpmc] = ACTIONS(626),
    [anon_sym_BSLASHpmr] = ACTIONS(626),
    [anon_sym_BSLASHpi] = ACTIONS(626),
    [anon_sym_BSLASHmi] = ACTIONS(626),
    [anon_sym_BSLASHnb] = ACTIONS(626),
    [anon_sym_BSLASHpc] = ACTIONS(626),
    [anon_sym_BSLASHph] = ACTIONS(626),
    [anon_sym_BSLASHb] = ACTIONS(626),
    [anon_sym_BSLASHq] = ACTIONS(626),
    [anon_sym_BSLASHqr] = ACTIONS(626),
    [anon_sym_BSLASHqc] = ACTIONS(626),
    [anon_sym_BSLASHqs] = ACTIONS(1671),
    [anon_sym_BSLASHqa] = ACTIONS(626),
    [anon_sym_BSLASHqac] = ACTIONS(1673),
    [anon_sym_BSLASHqm] = ACTIONS(626),
    [anon_sym_BSLASHqd] = ACTIONS(626),
    [anon_sym_BSLASHlh] = ACTIONS(626),
    [anon_sym_BSLASHli] = ACTIONS(626),
    [anon_sym_BSLASHlim] = ACTIONS(626),
    [anon_sym_BSLASHtr] = ACTIONS(626),
    [anon_sym_BSLASHf] = ACTIONS(1675),
    [anon_sym_BSLASHfe] = ACTIONS(1677),
    [anon_sym_BSLASHef] = ACTIONS(1679),
    [anon_sym_BSLASHfm] = ACTIONS(1681),
    [anon_sym_BSLASHx] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(1685),
    [anon_sym_BSLASHrq] = ACTIONS(1687),
    [anon_sym_BSLASHadd] = ACTIONS(1689),
    [anon_sym_BSLASHbk] = ACTIONS(1691),
    [anon_sym_BSLASHdc] = ACTIONS(1693),
    [anon_sym_BSLASHk] = ACTIONS(1695),
    [anon_sym_BSLASHnd] = ACTIONS(1697),
    [anon_sym_BSLASHord] = ACTIONS(1699),
    [anon_sym_BSLASHpn] = ACTIONS(1701),
    [anon_sym_BSLASHpng] = ACTIONS(1703),
    [anon_sym_BSLASHaddpn] = ACTIONS(1705),
    [anon_sym_BSLASHqt] = ACTIONS(1707),
    [anon_sym_BSLASHsig] = ACTIONS(1709),
    [anon_sym_BSLASHsls] = ACTIONS(1711),
    [anon_sym_BSLASHtl] = ACTIONS(1713),
    [anon_sym_BSLASHwj] = ACTIONS(1715),
    [anon_sym_BSLASHem] = ACTIONS(1717),
    [anon_sym_BSLASHbd] = ACTIONS(1719),
    [anon_sym_BSLASHit] = ACTIONS(1721),
    [anon_sym_BSLASHbdit] = ACTIONS(1723),
    [anon_sym_BSLASHno] = ACTIONS(1725),
    [anon_sym_BSLASHsc] = ACTIONS(1727),
    [anon_sym_BSLASHsup] = ACTIONS(1729),
    [anon_sym_BSLASHndx] = ACTIONS(1731),
    [anon_sym_BSLASHpro] = ACTIONS(1733),
    [anon_sym_BSLASHrb] = ACTIONS(1735),
    [anon_sym_BSLASHw] = ACTIONS(1737),
    [anon_sym_BSLASHwg] = ACTIONS(1739),
    [anon_sym_BSLASHwh] = ACTIONS(1741),
    [anon_sym_BSLASHwa] = ACTIONS(1743),
    [anon_sym_BSLASHfig] = ACTIONS(1745),
    [anon_sym_BSLASHjmp] = ACTIONS(1747),
    [anon_sym_BSLASHpb] = ACTIONS(626),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1749),
    [sym_milestoneEndTag] = ACTIONS(1751),
    [sym_zSpaceTag] = ACTIONS(1753),
    [anon_sym_BSLASHesbe] = ACTIONS(626),
    [anon_sym_BSLASHcat] = ACTIONS(626),
  },
  [113] = {
    [sym_text] = STATE(333),
    [sym_ref] = STATE(128),
    [sym__comments] = STATE(128),
    [sym_sts] = STATE(128),
    [sym_rem] = STATE(128),
    [sym_restore] = STATE(128),
    [sym_lit] = STATE(128),
    [sym_verseText] = STATE(128),
    [sym_v] = STATE(128),
    [sym__verseMeta] = STATE(128),
    [sym_va] = STATE(128),
    [sym_vp] = STATE(128),
    [sym__paragraphContent] = STATE(128),
    [sym__poetryContent] = STATE(128),
    [sym_qs] = STATE(128),
    [sym_qac] = STATE(128),
    [sym_footnote] = STATE(128),
    [sym_f] = STATE(710),
    [sym_fe] = STATE(710),
    [sym_ef] = STATE(710),
    [sym_fm] = STATE(710),
    [sym_crossref] = STATE(128),
    [sym_x] = STATE(657),
    [sym_xt_standalone] = STATE(657),
    [sym_rq] = STATE(657),
    [sym_add] = STATE(333),
    [sym_bk] = STATE(333),
    [sym_dc] = STATE(333),
    [sym_k] = STATE(333),
    [sym_nd] = STATE(333),
    [sym_ord] = STATE(333),
    [sym_pn] = STATE(333),
    [sym_png] = STATE(333),
    [sym_addpn] = STATE(333),
    [sym_qt] = STATE(333),
    [sym_sig] = STATE(333),
    [sym_sls] = STATE(333),
    [sym_tl] = STATE(333),
    [sym_wj] = STATE(333),
    [sym_em] = STATE(333),
    [sym_bd] = STATE(333),
    [sym_it] = STATE(333),
    [sym_bdit] = STATE(333),
    [sym_no] = STATE(333),
    [sym_sc] = STATE(333),
    [sym_sup] = STATE(333),
    [sym_ndx] = STATE(333),
    [sym_pro] = STATE(333),
    [sym_rb] = STATE(333),
    [sym_w] = STATE(333),
    [sym_wg] = STATE(333),
    [sym_wh] = STATE(333),
    [sym_wa] = STATE(333),
    [sym__characterMarker] = STATE(333),
    [sym_fig] = STATE(333),
    [sym_jmp] = STATE(333),
    [sym_milestoneTag] = STATE(2094),
    [sym__milestoneStandaloneMarker] = STATE(720),
    [sym__milestoneStart] = STATE(720),
    [sym__milestoneEnd] = STATE(720),
    [sym_milestone] = STATE(128),
    [sym__zNameSpaceRegular] = STATE(719),
    [sym__zNameSpaceClosed] = STATE(719),
    [sym__zNameSpaceStandaloneMarker] = STATE(719),
    [sym_zNameSpace] = STATE(128),
    [aux_sym_verseText_repeat1] = STATE(333),
    [aux_sym_q_repeat1] = STATE(128),
    [aux_sym_text_token1] = ACTIONS(1653),
    [anon_sym_BSLASHref] = ACTIONS(1655),
    [anon_sym_BSLASHsts] = ACTIONS(1657),
    [anon_sym_BSLASHrem] = ACTIONS(1659),
    [anon_sym_BSLASHrestore] = ACTIONS(1661),
    [anon_sym_BSLASHlit] = ACTIONS(1663),
    [anon_sym_BSLASHip] = ACTIONS(528),
    [anon_sym_BSLASHv] = ACTIONS(1665),
    [anon_sym_BSLASHva] = ACTIONS(1667),
    [anon_sym_BSLASHvp] = ACTIONS(1669),
    [anon_sym_BSLASHmte] = ACTIONS(528),
    [anon_sym_BSLASHms] = ACTIONS(528),
    [anon_sym_BSLASHs] = ACTIONS(528),
    [anon_sym_BSLASHr] = ACTIONS(528),
    [anon_sym_BSLASHsp] = ACTIONS(528),
    [anon_sym_BSLASHd] = ACTIONS(528),
    [anon_sym_BSLASHsd] = ACTIONS(528),
    [anon_sym_BSLASHp] = ACTIONS(528),
    [anon_sym_BSLASHm] = ACTIONS(528),
    [anon_sym_BSLASHpo] = ACTIONS(528),
    [anon_sym_BSLASHpr] = ACTIONS(528),
    [anon_sym_BSLASHcls] = ACTIONS(528),
    [anon_sym_BSLASHpmo] = ACTIONS(528),
    [anon_sym_BSLASHpm] = ACTIONS(528),
    [anon_sym_BSLASHpmc] = ACTIONS(528),
    [anon_sym_BSLASHpmr] = ACTIONS(528),
    [anon_sym_BSLASHpi] = ACTIONS(528),
    [anon_sym_BSLASHmi] = ACTIONS(528),
    [anon_sym_BSLASHnb] = ACTIONS(528),
    [anon_sym_BSLASHpc] = ACTIONS(528),
    [anon_sym_BSLASHph] = ACTIONS(528),
    [anon_sym_BSLASHb] = ACTIONS(528),
    [anon_sym_BSLASHq] = ACTIONS(528),
    [anon_sym_BSLASHqr] = ACTIONS(528),
    [anon_sym_BSLASHqc] = ACTIONS(528),
    [anon_sym_BSLASHqs] = ACTIONS(1671),
    [anon_sym_BSLASHqa] = ACTIONS(528),
    [anon_sym_BSLASHqac] = ACTIONS(1673),
    [anon_sym_BSLASHqm] = ACTIONS(528),
    [anon_sym_BSLASHqd] = ACTIONS(528),
    [anon_sym_BSLASHlh] = ACTIONS(528),
    [anon_sym_BSLASHli] = ACTIONS(528),
    [anon_sym_BSLASHlim] = ACTIONS(528),
    [anon_sym_BSLASHtr] = ACTIONS(528),
    [anon_sym_BSLASHf] = ACTIONS(1675),
    [anon_sym_BSLASHfe] = ACTIONS(1677),
    [anon_sym_BSLASHef] = ACTIONS(1679),
    [anon_sym_BSLASHfm] = ACTIONS(1681),
    [anon_sym_BSLASHx] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(1685),
    [anon_sym_BSLASHrq] = ACTIONS(1687),
    [anon_sym_BSLASHadd] = ACTIONS(1689),
    [anon_sym_BSLASHbk] = ACTIONS(1691),
    [anon_sym_BSLASHdc] = ACTIONS(1693),
    [anon_sym_BSLASHk] = ACTIONS(1695),
    [anon_sym_BSLASHnd] = ACTIONS(1697),
    [anon_sym_BSLASHord] = ACTIONS(1699),
    [anon_sym_BSLASHpn] = ACTIONS(1701),
    [anon_sym_BSLASHpng] = ACTIONS(1703),
    [anon_sym_BSLASHaddpn] = ACTIONS(1705),
    [anon_sym_BSLASHqt] = ACTIONS(1707),
    [anon_sym_BSLASHsig] = ACTIONS(1709),
    [anon_sym_BSLASHsls] = ACTIONS(1711),
    [anon_sym_BSLASHtl] = ACTIONS(1713),
    [anon_sym_BSLASHwj] = ACTIONS(1715),
    [anon_sym_BSLASHem] = ACTIONS(1717),
    [anon_sym_BSLASHbd] = ACTIONS(1719),
    [anon_sym_BSLASHit] = ACTIONS(1721),
    [anon_sym_BSLASHbdit] = ACTIONS(1723),
    [anon_sym_BSLASHno] = ACTIONS(1725),
    [anon_sym_BSLASHsc] = ACTIONS(1727),
    [anon_sym_BSLASHsup] = ACTIONS(1729),
    [anon_sym_BSLASHndx] = ACTIONS(1731),
    [anon_sym_BSLASHpro] = ACTIONS(1733),
    [anon_sym_BSLASHrb] = ACTIONS(1735),
    [anon_sym_BSLASHw] = ACTIONS(1737),
    [anon_sym_BSLASHwg] = ACTIONS(1739),
    [anon_sym_BSLASHwh] = ACTIONS(1741),
    [anon_sym_BSLASHwa] = ACTIONS(1743),
    [anon_sym_BSLASHfig] = ACTIONS(1745),
    [anon_sym_BSLASHjmp] = ACTIONS(1747),
    [anon_sym_BSLASHpb] = ACTIONS(528),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1749),
    [sym_milestoneEndTag] = ACTIONS(1751),
    [sym_zSpaceTag] = ACTIONS(1753),
    [anon_sym_BSLASHesbe] = ACTIONS(528),
    [anon_sym_BSLASHcat] = ACTIONS(528),
  },
  [114] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1755),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [115] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1757),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [116] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(166),
    [sym_fr] = STATE(166),
    [sym_fq] = STATE(166),
    [sym_fqa] = STATE(166),
    [sym_fk] = STATE(166),
    [sym_fl] = STATE(166),
    [sym_fw] = STATE(166),
    [sym_fp] = STATE(166),
    [sym_ft] = STATE(166),
    [sym_fdc] = STATE(166),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(166),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(166),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(166),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1759),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [117] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(114),
    [sym_fr] = STATE(114),
    [sym_fq] = STATE(114),
    [sym_fqa] = STATE(114),
    [sym_fk] = STATE(114),
    [sym_fl] = STATE(114),
    [sym_fw] = STATE(114),
    [sym_fp] = STATE(114),
    [sym_ft] = STATE(114),
    [sym_fdc] = STATE(114),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(114),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(114),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(114),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1761),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [118] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1763),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [119] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1765),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [120] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1767),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [121] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1769),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [122] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(115),
    [sym_fr] = STATE(115),
    [sym_fq] = STATE(115),
    [sym_fqa] = STATE(115),
    [sym_fk] = STATE(115),
    [sym_fl] = STATE(115),
    [sym_fw] = STATE(115),
    [sym_fp] = STATE(115),
    [sym_ft] = STATE(115),
    [sym_fdc] = STATE(115),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(115),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(115),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(115),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1771),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [123] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1773),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [124] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1775),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [125] = {
    [sym__comments] = STATE(201),
    [sym_sts] = STATE(201),
    [sym_rem] = STATE(201),
    [sym_restore] = STATE(201),
    [sym_lit] = STATE(201),
    [sym_ip] = STATE(201),
    [sym_iex] = STATE(201),
    [sym__chapterContent] = STATE(201),
    [sym__chapterMeta] = STATE(201),
    [sym_cl] = STATE(201),
    [sym_ca] = STATE(201),
    [sym_cp] = STATE(201),
    [sym_cd] = STATE(201),
    [sym_title] = STATE(201),
    [sym_mteBlock] = STATE(1451),
    [sym_mte] = STATE(1410),
    [sym_mteTag] = STATE(1889),
    [sym_msBlock] = STATE(1451),
    [sym_ms] = STATE(1385),
    [sym_msTag] = STATE(1144),
    [sym_sBlock] = STATE(1451),
    [sym_s] = STATE(1402),
    [sym_sTag] = STATE(292),
    [sym_r] = STATE(1451),
    [sym_sp] = STATE(1451),
    [sym_d] = STATE(1451),
    [sym_sdBlock] = STATE(1451),
    [sym_sd] = STATE(1358),
    [sym_sdTag] = STATE(1449),
    [sym_paragraph] = STATE(201),
    [sym_p] = STATE(1446),
    [sym_m] = STATE(1446),
    [sym_po] = STATE(1446),
    [sym_pr] = STATE(1446),
    [sym_cls] = STATE(1446),
    [sym_pmo] = STATE(1446),
    [sym_pm] = STATE(1446),
    [sym_pmc] = STATE(1446),
    [sym_pmr] = STATE(1446),
    [sym_piBlock] = STATE(1446),
    [sym_pi] = STATE(1403),
    [sym_piTag] = STATE(82),
    [sym_mi] = STATE(1446),
    [sym_nb] = STATE(1446),
    [sym_pc] = STATE(1446),
    [sym_phBlock] = STATE(1446),
    [sym_ph] = STATE(1405),
    [sym_phTag] = STATE(83),
    [sym_b] = STATE(1446),
    [sym_poetry] = STATE(201),
    [sym_qBlock] = STATE(1246),
    [sym_q] = STATE(1408),
    [sym_qTag] = STATE(73),
    [sym_qr] = STATE(1246),
    [sym_qc] = STATE(1246),
    [sym_qa] = STATE(1451),
    [sym_qmBlock] = STATE(1246),
    [sym_qm] = STATE(1409),
    [sym_qmTag] = STATE(64),
    [sym_qd] = STATE(1246),
    [sym_list] = STATE(201),
    [sym_lh] = STATE(1924),
    [sym__listMarker] = STATE(1247),
    [sym_liBlock] = STATE(1247),
    [sym_li] = STATE(1373),
    [sym_liTag] = STATE(60),
    [sym_limBlock] = STATE(1247),
    [sym_lim] = STATE(1364),
    [sym_limTag] = STATE(59),
    [sym_table] = STATE(201),
    [sym_tr] = STATE(1452),
    [sym_footnote] = STATE(201),
    [sym_f] = STATE(1444),
    [sym_fe] = STATE(1444),
    [sym_ef] = STATE(1444),
    [sym_fm] = STATE(1444),
    [sym_pb] = STATE(201),
    [sym_milestoneTag] = STATE(2088),
    [sym__milestoneStandaloneMarker] = STATE(1458),
    [sym__milestoneStart] = STATE(1458),
    [sym__milestoneEnd] = STATE(1458),
    [sym_milestone] = STATE(201),
    [sym__zNameSpaceRegular] = STATE(1450),
    [sym__zNameSpaceClosed] = STATE(1450),
    [sym__zNameSpaceStandaloneMarker] = STATE(1450),
    [sym_zNameSpace] = STATE(201),
    [sym_esb] = STATE(201),
    [aux_sym_chapter_repeat1] = STATE(201),
    [aux_sym_mteBlock_repeat1] = STATE(1410),
    [aux_sym_msBlock_repeat1] = STATE(1385),
    [aux_sym_sBlock_repeat1] = STATE(1402),
    [aux_sym_sdBlock_repeat1] = STATE(1358),
    [aux_sym_piBlock_repeat1] = STATE(1403),
    [aux_sym_phBlock_repeat1] = STATE(1405),
    [aux_sym_poetry_repeat1] = STATE(1246),
    [aux_sym_qBlock_repeat1] = STATE(1408),
    [aux_sym_qmBlock_repeat1] = STATE(1409),
    [aux_sym_list_repeat1] = STATE(1247),
    [aux_sym_liBlock_repeat1] = STATE(1373),
    [aux_sym_limBlock_repeat1] = STATE(1364),
    [aux_sym_table_repeat1] = STATE(1452),
    [ts_builtin_sym_end] = ACTIONS(1777),
    [anon_sym_BSLASHsts] = ACTIONS(1779),
    [anon_sym_BSLASHrem] = ACTIONS(1781),
    [anon_sym_BSLASHrestore] = ACTIONS(1783),
    [anon_sym_BSLASHlit] = ACTIONS(1785),
    [anon_sym_BSLASHip] = ACTIONS(1787),
    [anon_sym_BSLASHiex] = ACTIONS(1789),
    [anon_sym_BSLASHc] = ACTIONS(1777),
    [anon_sym_BSLASHcl] = ACTIONS(1791),
    [anon_sym_BSLASHca] = ACTIONS(1793),
    [anon_sym_BSLASHcp] = ACTIONS(1795),
    [anon_sym_BSLASHcd] = ACTIONS(1797),
    [anon_sym_BSLASHmte] = ACTIONS(1799),
    [anon_sym_BSLASHms] = ACTIONS(1801),
    [anon_sym_BSLASHs] = ACTIONS(1803),
    [anon_sym_BSLASHr] = ACTIONS(1805),
    [anon_sym_BSLASHsp] = ACTIONS(1807),
    [anon_sym_BSLASHd] = ACTIONS(1809),
    [anon_sym_BSLASHsd] = ACTIONS(1811),
    [anon_sym_BSLASHp] = ACTIONS(1813),
    [anon_sym_BSLASHm] = ACTIONS(1815),
    [anon_sym_BSLASHpo] = ACTIONS(1817),
    [anon_sym_BSLASHpr] = ACTIONS(1819),
    [anon_sym_BSLASHcls] = ACTIONS(1821),
    [anon_sym_BSLASHpmo] = ACTIONS(1823),
    [anon_sym_BSLASHpm] = ACTIONS(1825),
    [anon_sym_BSLASHpmc] = ACTIONS(1827),
    [anon_sym_BSLASHpmr] = ACTIONS(1829),
    [anon_sym_BSLASHpi] = ACTIONS(1831),
    [anon_sym_BSLASHmi] = ACTIONS(1833),
    [anon_sym_BSLASHnb] = ACTIONS(1835),
    [anon_sym_BSLASHpc] = ACTIONS(1837),
    [anon_sym_BSLASHph] = ACTIONS(1839),
    [anon_sym_BSLASHb] = ACTIONS(1841),
    [anon_sym_BSLASHq] = ACTIONS(1843),
    [anon_sym_BSLASHqr] = ACTIONS(1845),
    [anon_sym_BSLASHqc] = ACTIONS(1847),
    [anon_sym_BSLASHqa] = ACTIONS(1849),
    [anon_sym_BSLASHqm] = ACTIONS(1851),
    [anon_sym_BSLASHqd] = ACTIONS(1853),
    [anon_sym_BSLASHlh] = ACTIONS(1855),
    [anon_sym_BSLASHli] = ACTIONS(1857),
    [anon_sym_BSLASHlim] = ACTIONS(1859),
    [anon_sym_BSLASHtr] = ACTIONS(1861),
    [anon_sym_BSLASHf] = ACTIONS(1863),
    [anon_sym_BSLASHfe] = ACTIONS(1865),
    [anon_sym_BSLASHef] = ACTIONS(1867),
    [anon_sym_BSLASHfm] = ACTIONS(1869),
    [anon_sym_BSLASHpb] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1873),
    [sym_milestoneEndTag] = ACTIONS(1875),
    [sym_zSpaceTag] = ACTIONS(1877),
    [anon_sym_BSLASHesb] = ACTIONS(1879),
  },
  [126] = {
    [sym_text] = STATE(333),
    [sym_ref] = STATE(128),
    [sym__comments] = STATE(128),
    [sym_sts] = STATE(128),
    [sym_rem] = STATE(128),
    [sym_restore] = STATE(128),
    [sym_lit] = STATE(128),
    [sym_verseText] = STATE(128),
    [sym_v] = STATE(128),
    [sym__verseMeta] = STATE(128),
    [sym_va] = STATE(128),
    [sym_vp] = STATE(128),
    [sym__paragraphContent] = STATE(128),
    [sym__poetryContent] = STATE(128),
    [sym_qs] = STATE(128),
    [sym_qac] = STATE(128),
    [sym_footnote] = STATE(128),
    [sym_f] = STATE(710),
    [sym_fe] = STATE(710),
    [sym_ef] = STATE(710),
    [sym_fm] = STATE(710),
    [sym_crossref] = STATE(128),
    [sym_x] = STATE(657),
    [sym_xt_standalone] = STATE(657),
    [sym_rq] = STATE(657),
    [sym_add] = STATE(333),
    [sym_bk] = STATE(333),
    [sym_dc] = STATE(333),
    [sym_k] = STATE(333),
    [sym_nd] = STATE(333),
    [sym_ord] = STATE(333),
    [sym_pn] = STATE(333),
    [sym_png] = STATE(333),
    [sym_addpn] = STATE(333),
    [sym_qt] = STATE(333),
    [sym_sig] = STATE(333),
    [sym_sls] = STATE(333),
    [sym_tl] = STATE(333),
    [sym_wj] = STATE(333),
    [sym_em] = STATE(333),
    [sym_bd] = STATE(333),
    [sym_it] = STATE(333),
    [sym_bdit] = STATE(333),
    [sym_no] = STATE(333),
    [sym_sc] = STATE(333),
    [sym_sup] = STATE(333),
    [sym_ndx] = STATE(333),
    [sym_pro] = STATE(333),
    [sym_rb] = STATE(333),
    [sym_w] = STATE(333),
    [sym_wg] = STATE(333),
    [sym_wh] = STATE(333),
    [sym_wa] = STATE(333),
    [sym__characterMarker] = STATE(333),
    [sym_fig] = STATE(333),
    [sym_jmp] = STATE(333),
    [sym_milestoneTag] = STATE(2094),
    [sym__milestoneStandaloneMarker] = STATE(720),
    [sym__milestoneStart] = STATE(720),
    [sym__milestoneEnd] = STATE(720),
    [sym_milestone] = STATE(128),
    [sym__zNameSpaceRegular] = STATE(719),
    [sym__zNameSpaceClosed] = STATE(719),
    [sym__zNameSpaceStandaloneMarker] = STATE(719),
    [sym_zNameSpace] = STATE(128),
    [aux_sym_verseText_repeat1] = STATE(333),
    [aux_sym_q_repeat1] = STATE(128),
    [aux_sym_text_token1] = ACTIONS(1653),
    [anon_sym_BSLASHref] = ACTIONS(1655),
    [anon_sym_BSLASHsts] = ACTIONS(1657),
    [anon_sym_BSLASHrem] = ACTIONS(1659),
    [anon_sym_BSLASHrestore] = ACTIONS(1661),
    [anon_sym_BSLASHlit] = ACTIONS(1663),
    [anon_sym_BSLASHip] = ACTIONS(634),
    [anon_sym_BSLASHv] = ACTIONS(1665),
    [anon_sym_BSLASHva] = ACTIONS(1667),
    [anon_sym_BSLASHvp] = ACTIONS(1669),
    [anon_sym_BSLASHmte] = ACTIONS(634),
    [anon_sym_BSLASHms] = ACTIONS(634),
    [anon_sym_BSLASHs] = ACTIONS(634),
    [anon_sym_BSLASHr] = ACTIONS(634),
    [anon_sym_BSLASHsp] = ACTIONS(634),
    [anon_sym_BSLASHd] = ACTIONS(634),
    [anon_sym_BSLASHsd] = ACTIONS(634),
    [anon_sym_BSLASHp] = ACTIONS(634),
    [anon_sym_BSLASHm] = ACTIONS(634),
    [anon_sym_BSLASHpo] = ACTIONS(634),
    [anon_sym_BSLASHpr] = ACTIONS(634),
    [anon_sym_BSLASHcls] = ACTIONS(634),
    [anon_sym_BSLASHpmo] = ACTIONS(634),
    [anon_sym_BSLASHpm] = ACTIONS(634),
    [anon_sym_BSLASHpmc] = ACTIONS(634),
    [anon_sym_BSLASHpmr] = ACTIONS(634),
    [anon_sym_BSLASHpi] = ACTIONS(634),
    [anon_sym_BSLASHmi] = ACTIONS(634),
    [anon_sym_BSLASHnb] = ACTIONS(634),
    [anon_sym_BSLASHpc] = ACTIONS(634),
    [anon_sym_BSLASHph] = ACTIONS(634),
    [anon_sym_BSLASHb] = ACTIONS(634),
    [anon_sym_BSLASHq] = ACTIONS(634),
    [anon_sym_BSLASHqr] = ACTIONS(634),
    [anon_sym_BSLASHqc] = ACTIONS(634),
    [anon_sym_BSLASHqs] = ACTIONS(1671),
    [anon_sym_BSLASHqa] = ACTIONS(634),
    [anon_sym_BSLASHqac] = ACTIONS(1673),
    [anon_sym_BSLASHqm] = ACTIONS(634),
    [anon_sym_BSLASHqd] = ACTIONS(634),
    [anon_sym_BSLASHlh] = ACTIONS(634),
    [anon_sym_BSLASHli] = ACTIONS(634),
    [anon_sym_BSLASHlim] = ACTIONS(634),
    [anon_sym_BSLASHtr] = ACTIONS(634),
    [anon_sym_BSLASHf] = ACTIONS(1675),
    [anon_sym_BSLASHfe] = ACTIONS(1677),
    [anon_sym_BSLASHef] = ACTIONS(1679),
    [anon_sym_BSLASHfm] = ACTIONS(1681),
    [anon_sym_BSLASHx] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(1685),
    [anon_sym_BSLASHrq] = ACTIONS(1687),
    [anon_sym_BSLASHadd] = ACTIONS(1689),
    [anon_sym_BSLASHbk] = ACTIONS(1691),
    [anon_sym_BSLASHdc] = ACTIONS(1693),
    [anon_sym_BSLASHk] = ACTIONS(1695),
    [anon_sym_BSLASHnd] = ACTIONS(1697),
    [anon_sym_BSLASHord] = ACTIONS(1699),
    [anon_sym_BSLASHpn] = ACTIONS(1701),
    [anon_sym_BSLASHpng] = ACTIONS(1703),
    [anon_sym_BSLASHaddpn] = ACTIONS(1705),
    [anon_sym_BSLASHqt] = ACTIONS(1707),
    [anon_sym_BSLASHsig] = ACTIONS(1709),
    [anon_sym_BSLASHsls] = ACTIONS(1711),
    [anon_sym_BSLASHtl] = ACTIONS(1713),
    [anon_sym_BSLASHwj] = ACTIONS(1715),
    [anon_sym_BSLASHem] = ACTIONS(1717),
    [anon_sym_BSLASHbd] = ACTIONS(1719),
    [anon_sym_BSLASHit] = ACTIONS(1721),
    [anon_sym_BSLASHbdit] = ACTIONS(1723),
    [anon_sym_BSLASHno] = ACTIONS(1725),
    [anon_sym_BSLASHsc] = ACTIONS(1727),
    [anon_sym_BSLASHsup] = ACTIONS(1729),
    [anon_sym_BSLASHndx] = ACTIONS(1731),
    [anon_sym_BSLASHpro] = ACTIONS(1733),
    [anon_sym_BSLASHrb] = ACTIONS(1735),
    [anon_sym_BSLASHw] = ACTIONS(1737),
    [anon_sym_BSLASHwg] = ACTIONS(1739),
    [anon_sym_BSLASHwh] = ACTIONS(1741),
    [anon_sym_BSLASHwa] = ACTIONS(1743),
    [anon_sym_BSLASHfig] = ACTIONS(1745),
    [anon_sym_BSLASHjmp] = ACTIONS(1747),
    [anon_sym_BSLASHpb] = ACTIONS(634),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1749),
    [sym_milestoneEndTag] = ACTIONS(1751),
    [sym_zSpaceTag] = ACTIONS(1753),
    [anon_sym_BSLASHesbe] = ACTIONS(634),
    [anon_sym_BSLASHcat] = ACTIONS(634),
  },
  [127] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1881),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [128] = {
    [sym_text] = STATE(333),
    [sym_ref] = STATE(128),
    [sym__comments] = STATE(128),
    [sym_sts] = STATE(128),
    [sym_rem] = STATE(128),
    [sym_restore] = STATE(128),
    [sym_lit] = STATE(128),
    [sym_verseText] = STATE(128),
    [sym_v] = STATE(128),
    [sym__verseMeta] = STATE(128),
    [sym_va] = STATE(128),
    [sym_vp] = STATE(128),
    [sym__paragraphContent] = STATE(128),
    [sym__poetryContent] = STATE(128),
    [sym_qs] = STATE(128),
    [sym_qac] = STATE(128),
    [sym_footnote] = STATE(128),
    [sym_f] = STATE(710),
    [sym_fe] = STATE(710),
    [sym_ef] = STATE(710),
    [sym_fm] = STATE(710),
    [sym_crossref] = STATE(128),
    [sym_x] = STATE(657),
    [sym_xt_standalone] = STATE(657),
    [sym_rq] = STATE(657),
    [sym_add] = STATE(333),
    [sym_bk] = STATE(333),
    [sym_dc] = STATE(333),
    [sym_k] = STATE(333),
    [sym_nd] = STATE(333),
    [sym_ord] = STATE(333),
    [sym_pn] = STATE(333),
    [sym_png] = STATE(333),
    [sym_addpn] = STATE(333),
    [sym_qt] = STATE(333),
    [sym_sig] = STATE(333),
    [sym_sls] = STATE(333),
    [sym_tl] = STATE(333),
    [sym_wj] = STATE(333),
    [sym_em] = STATE(333),
    [sym_bd] = STATE(333),
    [sym_it] = STATE(333),
    [sym_bdit] = STATE(333),
    [sym_no] = STATE(333),
    [sym_sc] = STATE(333),
    [sym_sup] = STATE(333),
    [sym_ndx] = STATE(333),
    [sym_pro] = STATE(333),
    [sym_rb] = STATE(333),
    [sym_w] = STATE(333),
    [sym_wg] = STATE(333),
    [sym_wh] = STATE(333),
    [sym_wa] = STATE(333),
    [sym__characterMarker] = STATE(333),
    [sym_fig] = STATE(333),
    [sym_jmp] = STATE(333),
    [sym_milestoneTag] = STATE(2094),
    [sym__milestoneStandaloneMarker] = STATE(720),
    [sym__milestoneStart] = STATE(720),
    [sym__milestoneEnd] = STATE(720),
    [sym_milestone] = STATE(128),
    [sym__zNameSpaceRegular] = STATE(719),
    [sym__zNameSpaceClosed] = STATE(719),
    [sym__zNameSpaceStandaloneMarker] = STATE(719),
    [sym_zNameSpace] = STATE(128),
    [aux_sym_verseText_repeat1] = STATE(333),
    [aux_sym_q_repeat1] = STATE(128),
    [aux_sym_text_token1] = ACTIONS(1883),
    [anon_sym_BSLASHref] = ACTIONS(1886),
    [anon_sym_BSLASHsts] = ACTIONS(1889),
    [anon_sym_BSLASHrem] = ACTIONS(1892),
    [anon_sym_BSLASHrestore] = ACTIONS(1895),
    [anon_sym_BSLASHlit] = ACTIONS(1898),
    [anon_sym_BSLASHip] = ACTIONS(660),
    [anon_sym_BSLASHv] = ACTIONS(1901),
    [anon_sym_BSLASHva] = ACTIONS(1904),
    [anon_sym_BSLASHvp] = ACTIONS(1907),
    [anon_sym_BSLASHmte] = ACTIONS(660),
    [anon_sym_BSLASHms] = ACTIONS(660),
    [anon_sym_BSLASHs] = ACTIONS(660),
    [anon_sym_BSLASHr] = ACTIONS(660),
    [anon_sym_BSLASHsp] = ACTIONS(660),
    [anon_sym_BSLASHd] = ACTIONS(660),
    [anon_sym_BSLASHsd] = ACTIONS(660),
    [anon_sym_BSLASHp] = ACTIONS(660),
    [anon_sym_BSLASHm] = ACTIONS(660),
    [anon_sym_BSLASHpo] = ACTIONS(660),
    [anon_sym_BSLASHpr] = ACTIONS(660),
    [anon_sym_BSLASHcls] = ACTIONS(660),
    [anon_sym_BSLASHpmo] = ACTIONS(660),
    [anon_sym_BSLASHpm] = ACTIONS(660),
    [anon_sym_BSLASHpmc] = ACTIONS(660),
    [anon_sym_BSLASHpmr] = ACTIONS(660),
    [anon_sym_BSLASHpi] = ACTIONS(660),
    [anon_sym_BSLASHmi] = ACTIONS(660),
    [anon_sym_BSLASHnb] = ACTIONS(660),
    [anon_sym_BSLASHpc] = ACTIONS(660),
    [anon_sym_BSLASHph] = ACTIONS(660),
    [anon_sym_BSLASHb] = ACTIONS(660),
    [anon_sym_BSLASHq] = ACTIONS(660),
    [anon_sym_BSLASHqr] = ACTIONS(660),
    [anon_sym_BSLASHqc] = ACTIONS(660),
    [anon_sym_BSLASHqs] = ACTIONS(1910),
    [anon_sym_BSLASHqa] = ACTIONS(660),
    [anon_sym_BSLASHqac] = ACTIONS(1913),
    [anon_sym_BSLASHqm] = ACTIONS(660),
    [anon_sym_BSLASHqd] = ACTIONS(660),
    [anon_sym_BSLASHlh] = ACTIONS(660),
    [anon_sym_BSLASHli] = ACTIONS(660),
    [anon_sym_BSLASHlim] = ACTIONS(660),
    [anon_sym_BSLASHtr] = ACTIONS(660),
    [anon_sym_BSLASHf] = ACTIONS(1916),
    [anon_sym_BSLASHfe] = ACTIONS(1919),
    [anon_sym_BSLASHef] = ACTIONS(1922),
    [anon_sym_BSLASHfm] = ACTIONS(1925),
    [anon_sym_BSLASHx] = ACTIONS(1928),
    [anon_sym_BSLASHxt] = ACTIONS(1931),
    [anon_sym_BSLASHrq] = ACTIONS(1934),
    [anon_sym_BSLASHadd] = ACTIONS(1937),
    [anon_sym_BSLASHbk] = ACTIONS(1940),
    [anon_sym_BSLASHdc] = ACTIONS(1943),
    [anon_sym_BSLASHk] = ACTIONS(1946),
    [anon_sym_BSLASHnd] = ACTIONS(1949),
    [anon_sym_BSLASHord] = ACTIONS(1952),
    [anon_sym_BSLASHpn] = ACTIONS(1955),
    [anon_sym_BSLASHpng] = ACTIONS(1958),
    [anon_sym_BSLASHaddpn] = ACTIONS(1961),
    [anon_sym_BSLASHqt] = ACTIONS(1964),
    [anon_sym_BSLASHsig] = ACTIONS(1967),
    [anon_sym_BSLASHsls] = ACTIONS(1970),
    [anon_sym_BSLASHtl] = ACTIONS(1973),
    [anon_sym_BSLASHwj] = ACTIONS(1976),
    [anon_sym_BSLASHem] = ACTIONS(1979),
    [anon_sym_BSLASHbd] = ACTIONS(1982),
    [anon_sym_BSLASHit] = ACTIONS(1985),
    [anon_sym_BSLASHbdit] = ACTIONS(1988),
    [anon_sym_BSLASHno] = ACTIONS(1991),
    [anon_sym_BSLASHsc] = ACTIONS(1994),
    [anon_sym_BSLASHsup] = ACTIONS(1997),
    [anon_sym_BSLASHndx] = ACTIONS(2000),
    [anon_sym_BSLASHpro] = ACTIONS(2003),
    [anon_sym_BSLASHrb] = ACTIONS(2006),
    [anon_sym_BSLASHw] = ACTIONS(2009),
    [anon_sym_BSLASHwg] = ACTIONS(2012),
    [anon_sym_BSLASHwh] = ACTIONS(2015),
    [anon_sym_BSLASHwa] = ACTIONS(2018),
    [anon_sym_BSLASHfig] = ACTIONS(2021),
    [anon_sym_BSLASHjmp] = ACTIONS(2024),
    [anon_sym_BSLASHpb] = ACTIONS(660),
    [anon_sym_BSLASH] = ACTIONS(788),
    [sym_milestoneStartTag] = ACTIONS(2027),
    [sym_milestoneEndTag] = ACTIONS(2030),
    [sym_zSpaceTag] = ACTIONS(2033),
    [anon_sym_BSLASHesbe] = ACTIONS(660),
    [anon_sym_BSLASHcat] = ACTIONS(660),
  },
  [129] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2036),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [130] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(177),
    [sym_fr] = STATE(177),
    [sym_fq] = STATE(177),
    [sym_fqa] = STATE(177),
    [sym_fk] = STATE(177),
    [sym_fl] = STATE(177),
    [sym_fw] = STATE(177),
    [sym_fp] = STATE(177),
    [sym_ft] = STATE(177),
    [sym_fdc] = STATE(177),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(177),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(177),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(177),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2038),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [131] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2040),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [132] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(192),
    [sym_fr] = STATE(192),
    [sym_fq] = STATE(192),
    [sym_fqa] = STATE(192),
    [sym_fk] = STATE(192),
    [sym_fl] = STATE(192),
    [sym_fw] = STATE(192),
    [sym_fp] = STATE(192),
    [sym_ft] = STATE(192),
    [sym_fdc] = STATE(192),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(192),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2042),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [133] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(127),
    [sym_fr] = STATE(127),
    [sym_fq] = STATE(127),
    [sym_fqa] = STATE(127),
    [sym_fk] = STATE(127),
    [sym_fl] = STATE(127),
    [sym_fw] = STATE(127),
    [sym_fp] = STATE(127),
    [sym_ft] = STATE(127),
    [sym_fdc] = STATE(127),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(127),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(127),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(127),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2044),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [134] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(160),
    [sym_fr] = STATE(160),
    [sym_fq] = STATE(160),
    [sym_fqa] = STATE(160),
    [sym_fk] = STATE(160),
    [sym_fl] = STATE(160),
    [sym_fw] = STATE(160),
    [sym_fp] = STATE(160),
    [sym_ft] = STATE(160),
    [sym_fdc] = STATE(160),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(160),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(160),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(160),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2046),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [135] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(129),
    [sym_fr] = STATE(129),
    [sym_fq] = STATE(129),
    [sym_fqa] = STATE(129),
    [sym_fk] = STATE(129),
    [sym_fl] = STATE(129),
    [sym_fw] = STATE(129),
    [sym_fp] = STATE(129),
    [sym_ft] = STATE(129),
    [sym_fdc] = STATE(129),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(129),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(129),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(129),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2048),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [136] = {
    [sym_text] = STATE(333),
    [sym_ref] = STATE(128),
    [sym__comments] = STATE(128),
    [sym_sts] = STATE(128),
    [sym_rem] = STATE(128),
    [sym_restore] = STATE(128),
    [sym_lit] = STATE(128),
    [sym_verseText] = STATE(128),
    [sym_v] = STATE(128),
    [sym__verseMeta] = STATE(128),
    [sym_va] = STATE(128),
    [sym_vp] = STATE(128),
    [sym__paragraphContent] = STATE(128),
    [sym__poetryContent] = STATE(128),
    [sym_qs] = STATE(128),
    [sym_qac] = STATE(128),
    [sym_footnote] = STATE(128),
    [sym_f] = STATE(710),
    [sym_fe] = STATE(710),
    [sym_ef] = STATE(710),
    [sym_fm] = STATE(710),
    [sym_crossref] = STATE(128),
    [sym_x] = STATE(657),
    [sym_xt_standalone] = STATE(657),
    [sym_rq] = STATE(657),
    [sym_add] = STATE(333),
    [sym_bk] = STATE(333),
    [sym_dc] = STATE(333),
    [sym_k] = STATE(333),
    [sym_nd] = STATE(333),
    [sym_ord] = STATE(333),
    [sym_pn] = STATE(333),
    [sym_png] = STATE(333),
    [sym_addpn] = STATE(333),
    [sym_qt] = STATE(333),
    [sym_sig] = STATE(333),
    [sym_sls] = STATE(333),
    [sym_tl] = STATE(333),
    [sym_wj] = STATE(333),
    [sym_em] = STATE(333),
    [sym_bd] = STATE(333),
    [sym_it] = STATE(333),
    [sym_bdit] = STATE(333),
    [sym_no] = STATE(333),
    [sym_sc] = STATE(333),
    [sym_sup] = STATE(333),
    [sym_ndx] = STATE(333),
    [sym_pro] = STATE(333),
    [sym_rb] = STATE(333),
    [sym_w] = STATE(333),
    [sym_wg] = STATE(333),
    [sym_wh] = STATE(333),
    [sym_wa] = STATE(333),
    [sym__characterMarker] = STATE(333),
    [sym_fig] = STATE(333),
    [sym_jmp] = STATE(333),
    [sym_milestoneTag] = STATE(2094),
    [sym__milestoneStandaloneMarker] = STATE(720),
    [sym__milestoneStart] = STATE(720),
    [sym__milestoneEnd] = STATE(720),
    [sym_milestone] = STATE(128),
    [sym__zNameSpaceRegular] = STATE(719),
    [sym__zNameSpaceClosed] = STATE(719),
    [sym__zNameSpaceStandaloneMarker] = STATE(719),
    [sym_zNameSpace] = STATE(128),
    [aux_sym_verseText_repeat1] = STATE(333),
    [aux_sym_q_repeat1] = STATE(128),
    [aux_sym_text_token1] = ACTIONS(1653),
    [anon_sym_BSLASHref] = ACTIONS(1655),
    [anon_sym_BSLASHsts] = ACTIONS(1657),
    [anon_sym_BSLASHrem] = ACTIONS(1659),
    [anon_sym_BSLASHrestore] = ACTIONS(1661),
    [anon_sym_BSLASHlit] = ACTIONS(1663),
    [anon_sym_BSLASHip] = ACTIONS(630),
    [anon_sym_BSLASHv] = ACTIONS(1665),
    [anon_sym_BSLASHva] = ACTIONS(1667),
    [anon_sym_BSLASHvp] = ACTIONS(1669),
    [anon_sym_BSLASHmte] = ACTIONS(630),
    [anon_sym_BSLASHms] = ACTIONS(630),
    [anon_sym_BSLASHs] = ACTIONS(630),
    [anon_sym_BSLASHr] = ACTIONS(630),
    [anon_sym_BSLASHsp] = ACTIONS(630),
    [anon_sym_BSLASHd] = ACTIONS(630),
    [anon_sym_BSLASHsd] = ACTIONS(630),
    [anon_sym_BSLASHp] = ACTIONS(630),
    [anon_sym_BSLASHm] = ACTIONS(630),
    [anon_sym_BSLASHpo] = ACTIONS(630),
    [anon_sym_BSLASHpr] = ACTIONS(630),
    [anon_sym_BSLASHcls] = ACTIONS(630),
    [anon_sym_BSLASHpmo] = ACTIONS(630),
    [anon_sym_BSLASHpm] = ACTIONS(630),
    [anon_sym_BSLASHpmc] = ACTIONS(630),
    [anon_sym_BSLASHpmr] = ACTIONS(630),
    [anon_sym_BSLASHpi] = ACTIONS(630),
    [anon_sym_BSLASHmi] = ACTIONS(630),
    [anon_sym_BSLASHnb] = ACTIONS(630),
    [anon_sym_BSLASHpc] = ACTIONS(630),
    [anon_sym_BSLASHph] = ACTIONS(630),
    [anon_sym_BSLASHb] = ACTIONS(630),
    [anon_sym_BSLASHq] = ACTIONS(630),
    [anon_sym_BSLASHqr] = ACTIONS(630),
    [anon_sym_BSLASHqc] = ACTIONS(630),
    [anon_sym_BSLASHqs] = ACTIONS(1671),
    [anon_sym_BSLASHqa] = ACTIONS(630),
    [anon_sym_BSLASHqac] = ACTIONS(1673),
    [anon_sym_BSLASHqm] = ACTIONS(630),
    [anon_sym_BSLASHqd] = ACTIONS(630),
    [anon_sym_BSLASHlh] = ACTIONS(630),
    [anon_sym_BSLASHli] = ACTIONS(630),
    [anon_sym_BSLASHlim] = ACTIONS(630),
    [anon_sym_BSLASHtr] = ACTIONS(630),
    [anon_sym_BSLASHf] = ACTIONS(1675),
    [anon_sym_BSLASHfe] = ACTIONS(1677),
    [anon_sym_BSLASHef] = ACTIONS(1679),
    [anon_sym_BSLASHfm] = ACTIONS(1681),
    [anon_sym_BSLASHx] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(1685),
    [anon_sym_BSLASHrq] = ACTIONS(1687),
    [anon_sym_BSLASHadd] = ACTIONS(1689),
    [anon_sym_BSLASHbk] = ACTIONS(1691),
    [anon_sym_BSLASHdc] = ACTIONS(1693),
    [anon_sym_BSLASHk] = ACTIONS(1695),
    [anon_sym_BSLASHnd] = ACTIONS(1697),
    [anon_sym_BSLASHord] = ACTIONS(1699),
    [anon_sym_BSLASHpn] = ACTIONS(1701),
    [anon_sym_BSLASHpng] = ACTIONS(1703),
    [anon_sym_BSLASHaddpn] = ACTIONS(1705),
    [anon_sym_BSLASHqt] = ACTIONS(1707),
    [anon_sym_BSLASHsig] = ACTIONS(1709),
    [anon_sym_BSLASHsls] = ACTIONS(1711),
    [anon_sym_BSLASHtl] = ACTIONS(1713),
    [anon_sym_BSLASHwj] = ACTIONS(1715),
    [anon_sym_BSLASHem] = ACTIONS(1717),
    [anon_sym_BSLASHbd] = ACTIONS(1719),
    [anon_sym_BSLASHit] = ACTIONS(1721),
    [anon_sym_BSLASHbdit] = ACTIONS(1723),
    [anon_sym_BSLASHno] = ACTIONS(1725),
    [anon_sym_BSLASHsc] = ACTIONS(1727),
    [anon_sym_BSLASHsup] = ACTIONS(1729),
    [anon_sym_BSLASHndx] = ACTIONS(1731),
    [anon_sym_BSLASHpro] = ACTIONS(1733),
    [anon_sym_BSLASHrb] = ACTIONS(1735),
    [anon_sym_BSLASHw] = ACTIONS(1737),
    [anon_sym_BSLASHwg] = ACTIONS(1739),
    [anon_sym_BSLASHwh] = ACTIONS(1741),
    [anon_sym_BSLASHwa] = ACTIONS(1743),
    [anon_sym_BSLASHfig] = ACTIONS(1745),
    [anon_sym_BSLASHjmp] = ACTIONS(1747),
    [anon_sym_BSLASHpb] = ACTIONS(630),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1749),
    [sym_milestoneEndTag] = ACTIONS(1751),
    [sym_zSpaceTag] = ACTIONS(1753),
    [anon_sym_BSLASHesbe] = ACTIONS(630),
    [anon_sym_BSLASHcat] = ACTIONS(630),
  },
  [137] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(131),
    [sym_fr] = STATE(131),
    [sym_fq] = STATE(131),
    [sym_fqa] = STATE(131),
    [sym_fk] = STATE(131),
    [sym_fl] = STATE(131),
    [sym_fw] = STATE(131),
    [sym_fp] = STATE(131),
    [sym_ft] = STATE(131),
    [sym_fdc] = STATE(131),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(131),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(131),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(131),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2050),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [138] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2052),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [139] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2054),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [140] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2056),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [141] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(138),
    [sym_fr] = STATE(138),
    [sym_fq] = STATE(138),
    [sym_fqa] = STATE(138),
    [sym_fk] = STATE(138),
    [sym_fl] = STATE(138),
    [sym_fw] = STATE(138),
    [sym_fp] = STATE(138),
    [sym_ft] = STATE(138),
    [sym_fdc] = STATE(138),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(138),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(138),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(138),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2058),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [142] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(139),
    [sym_fr] = STATE(139),
    [sym_fq] = STATE(139),
    [sym_fqa] = STATE(139),
    [sym_fk] = STATE(139),
    [sym_fl] = STATE(139),
    [sym_fw] = STATE(139),
    [sym_fp] = STATE(139),
    [sym_ft] = STATE(139),
    [sym_fdc] = STATE(139),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(139),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(139),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(139),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2060),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [143] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(140),
    [sym_fr] = STATE(140),
    [sym_fq] = STATE(140),
    [sym_fqa] = STATE(140),
    [sym_fk] = STATE(140),
    [sym_fl] = STATE(140),
    [sym_fw] = STATE(140),
    [sym_fp] = STATE(140),
    [sym_ft] = STATE(140),
    [sym_fdc] = STATE(140),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(140),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(140),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(140),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2062),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [144] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2064),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [145] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2066),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [146] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(118),
    [sym_fr] = STATE(118),
    [sym_fq] = STATE(118),
    [sym_fqa] = STATE(118),
    [sym_fk] = STATE(118),
    [sym_fl] = STATE(118),
    [sym_fw] = STATE(118),
    [sym_fp] = STATE(118),
    [sym_ft] = STATE(118),
    [sym_fdc] = STATE(118),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(118),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(118),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(118),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2068),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [147] = {
    [sym_text] = STATE(333),
    [sym_ref] = STATE(126),
    [sym__comments] = STATE(126),
    [sym_sts] = STATE(126),
    [sym_rem] = STATE(126),
    [sym_restore] = STATE(126),
    [sym_lit] = STATE(126),
    [sym_verseText] = STATE(126),
    [sym_v] = STATE(126),
    [sym__verseMeta] = STATE(126),
    [sym_va] = STATE(126),
    [sym_vp] = STATE(126),
    [sym__paragraphContent] = STATE(126),
    [sym__poetryContent] = STATE(126),
    [sym_qs] = STATE(126),
    [sym_qac] = STATE(126),
    [sym_footnote] = STATE(126),
    [sym_f] = STATE(710),
    [sym_fe] = STATE(710),
    [sym_ef] = STATE(710),
    [sym_fm] = STATE(710),
    [sym_crossref] = STATE(126),
    [sym_x] = STATE(657),
    [sym_xt_standalone] = STATE(657),
    [sym_rq] = STATE(657),
    [sym_add] = STATE(333),
    [sym_bk] = STATE(333),
    [sym_dc] = STATE(333),
    [sym_k] = STATE(333),
    [sym_nd] = STATE(333),
    [sym_ord] = STATE(333),
    [sym_pn] = STATE(333),
    [sym_png] = STATE(333),
    [sym_addpn] = STATE(333),
    [sym_qt] = STATE(333),
    [sym_sig] = STATE(333),
    [sym_sls] = STATE(333),
    [sym_tl] = STATE(333),
    [sym_wj] = STATE(333),
    [sym_em] = STATE(333),
    [sym_bd] = STATE(333),
    [sym_it] = STATE(333),
    [sym_bdit] = STATE(333),
    [sym_no] = STATE(333),
    [sym_sc] = STATE(333),
    [sym_sup] = STATE(333),
    [sym_ndx] = STATE(333),
    [sym_pro] = STATE(333),
    [sym_rb] = STATE(333),
    [sym_w] = STATE(333),
    [sym_wg] = STATE(333),
    [sym_wh] = STATE(333),
    [sym_wa] = STATE(333),
    [sym__characterMarker] = STATE(333),
    [sym_fig] = STATE(333),
    [sym_jmp] = STATE(333),
    [sym_milestoneTag] = STATE(2094),
    [sym__milestoneStandaloneMarker] = STATE(720),
    [sym__milestoneStart] = STATE(720),
    [sym__milestoneEnd] = STATE(720),
    [sym_milestone] = STATE(126),
    [sym__zNameSpaceRegular] = STATE(719),
    [sym__zNameSpaceClosed] = STATE(719),
    [sym__zNameSpaceStandaloneMarker] = STATE(719),
    [sym_zNameSpace] = STATE(126),
    [aux_sym_verseText_repeat1] = STATE(333),
    [aux_sym_q_repeat1] = STATE(126),
    [aux_sym_text_token1] = ACTIONS(1653),
    [anon_sym_BSLASHref] = ACTIONS(1655),
    [anon_sym_BSLASHsts] = ACTIONS(1657),
    [anon_sym_BSLASHrem] = ACTIONS(1659),
    [anon_sym_BSLASHrestore] = ACTIONS(1661),
    [anon_sym_BSLASHlit] = ACTIONS(1663),
    [anon_sym_BSLASHip] = ACTIONS(638),
    [anon_sym_BSLASHv] = ACTIONS(1665),
    [anon_sym_BSLASHva] = ACTIONS(1667),
    [anon_sym_BSLASHvp] = ACTIONS(1669),
    [anon_sym_BSLASHmte] = ACTIONS(638),
    [anon_sym_BSLASHms] = ACTIONS(638),
    [anon_sym_BSLASHs] = ACTIONS(638),
    [anon_sym_BSLASHr] = ACTIONS(638),
    [anon_sym_BSLASHsp] = ACTIONS(638),
    [anon_sym_BSLASHd] = ACTIONS(638),
    [anon_sym_BSLASHsd] = ACTIONS(638),
    [anon_sym_BSLASHp] = ACTIONS(638),
    [anon_sym_BSLASHm] = ACTIONS(638),
    [anon_sym_BSLASHpo] = ACTIONS(638),
    [anon_sym_BSLASHpr] = ACTIONS(638),
    [anon_sym_BSLASHcls] = ACTIONS(638),
    [anon_sym_BSLASHpmo] = ACTIONS(638),
    [anon_sym_BSLASHpm] = ACTIONS(638),
    [anon_sym_BSLASHpmc] = ACTIONS(638),
    [anon_sym_BSLASHpmr] = ACTIONS(638),
    [anon_sym_BSLASHpi] = ACTIONS(638),
    [anon_sym_BSLASHmi] = ACTIONS(638),
    [anon_sym_BSLASHnb] = ACTIONS(638),
    [anon_sym_BSLASHpc] = ACTIONS(638),
    [anon_sym_BSLASHph] = ACTIONS(638),
    [anon_sym_BSLASHb] = ACTIONS(638),
    [anon_sym_BSLASHq] = ACTIONS(638),
    [anon_sym_BSLASHqr] = ACTIONS(638),
    [anon_sym_BSLASHqc] = ACTIONS(638),
    [anon_sym_BSLASHqs] = ACTIONS(1671),
    [anon_sym_BSLASHqa] = ACTIONS(638),
    [anon_sym_BSLASHqac] = ACTIONS(1673),
    [anon_sym_BSLASHqm] = ACTIONS(638),
    [anon_sym_BSLASHqd] = ACTIONS(638),
    [anon_sym_BSLASHlh] = ACTIONS(638),
    [anon_sym_BSLASHli] = ACTIONS(638),
    [anon_sym_BSLASHlim] = ACTIONS(638),
    [anon_sym_BSLASHtr] = ACTIONS(638),
    [anon_sym_BSLASHf] = ACTIONS(1675),
    [anon_sym_BSLASHfe] = ACTIONS(1677),
    [anon_sym_BSLASHef] = ACTIONS(1679),
    [anon_sym_BSLASHfm] = ACTIONS(1681),
    [anon_sym_BSLASHx] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(1685),
    [anon_sym_BSLASHrq] = ACTIONS(1687),
    [anon_sym_BSLASHadd] = ACTIONS(1689),
    [anon_sym_BSLASHbk] = ACTIONS(1691),
    [anon_sym_BSLASHdc] = ACTIONS(1693),
    [anon_sym_BSLASHk] = ACTIONS(1695),
    [anon_sym_BSLASHnd] = ACTIONS(1697),
    [anon_sym_BSLASHord] = ACTIONS(1699),
    [anon_sym_BSLASHpn] = ACTIONS(1701),
    [anon_sym_BSLASHpng] = ACTIONS(1703),
    [anon_sym_BSLASHaddpn] = ACTIONS(1705),
    [anon_sym_BSLASHqt] = ACTIONS(1707),
    [anon_sym_BSLASHsig] = ACTIONS(1709),
    [anon_sym_BSLASHsls] = ACTIONS(1711),
    [anon_sym_BSLASHtl] = ACTIONS(1713),
    [anon_sym_BSLASHwj] = ACTIONS(1715),
    [anon_sym_BSLASHem] = ACTIONS(1717),
    [anon_sym_BSLASHbd] = ACTIONS(1719),
    [anon_sym_BSLASHit] = ACTIONS(1721),
    [anon_sym_BSLASHbdit] = ACTIONS(1723),
    [anon_sym_BSLASHno] = ACTIONS(1725),
    [anon_sym_BSLASHsc] = ACTIONS(1727),
    [anon_sym_BSLASHsup] = ACTIONS(1729),
    [anon_sym_BSLASHndx] = ACTIONS(1731),
    [anon_sym_BSLASHpro] = ACTIONS(1733),
    [anon_sym_BSLASHrb] = ACTIONS(1735),
    [anon_sym_BSLASHw] = ACTIONS(1737),
    [anon_sym_BSLASHwg] = ACTIONS(1739),
    [anon_sym_BSLASHwh] = ACTIONS(1741),
    [anon_sym_BSLASHwa] = ACTIONS(1743),
    [anon_sym_BSLASHfig] = ACTIONS(1745),
    [anon_sym_BSLASHjmp] = ACTIONS(1747),
    [anon_sym_BSLASHpb] = ACTIONS(638),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1749),
    [sym_milestoneEndTag] = ACTIONS(1751),
    [sym_zSpaceTag] = ACTIONS(1753),
    [anon_sym_BSLASHesbe] = ACTIONS(638),
    [anon_sym_BSLASHcat] = ACTIONS(638),
  },
  [148] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2070),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [149] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(124),
    [sym_fr] = STATE(124),
    [sym_fq] = STATE(124),
    [sym_fqa] = STATE(124),
    [sym_fk] = STATE(124),
    [sym_fl] = STATE(124),
    [sym_fw] = STATE(124),
    [sym_fp] = STATE(124),
    [sym_ft] = STATE(124),
    [sym_fdc] = STATE(124),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(124),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(124),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(124),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2072),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [150] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(161),
    [sym_fr] = STATE(161),
    [sym_fq] = STATE(161),
    [sym_fqa] = STATE(161),
    [sym_fk] = STATE(161),
    [sym_fl] = STATE(161),
    [sym_fw] = STATE(161),
    [sym_fp] = STATE(161),
    [sym_ft] = STATE(161),
    [sym_fdc] = STATE(161),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(161),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(161),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(161),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2074),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [151] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(144),
    [sym_fr] = STATE(144),
    [sym_fq] = STATE(144),
    [sym_fqa] = STATE(144),
    [sym_fk] = STATE(144),
    [sym_fl] = STATE(144),
    [sym_fw] = STATE(144),
    [sym_fp] = STATE(144),
    [sym_ft] = STATE(144),
    [sym_fdc] = STATE(144),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(144),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(144),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(144),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2076),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [152] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2078),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [153] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2080),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [154] = {
    [sym_text] = STATE(333),
    [sym_ref] = STATE(113),
    [sym__comments] = STATE(113),
    [sym_sts] = STATE(113),
    [sym_rem] = STATE(113),
    [sym_restore] = STATE(113),
    [sym_lit] = STATE(113),
    [sym_verseText] = STATE(113),
    [sym_v] = STATE(113),
    [sym__verseMeta] = STATE(113),
    [sym_va] = STATE(113),
    [sym_vp] = STATE(113),
    [sym__paragraphContent] = STATE(113),
    [sym__poetryContent] = STATE(113),
    [sym_qs] = STATE(113),
    [sym_qac] = STATE(113),
    [sym_footnote] = STATE(113),
    [sym_f] = STATE(710),
    [sym_fe] = STATE(710),
    [sym_ef] = STATE(710),
    [sym_fm] = STATE(710),
    [sym_crossref] = STATE(113),
    [sym_x] = STATE(657),
    [sym_xt_standalone] = STATE(657),
    [sym_rq] = STATE(657),
    [sym_add] = STATE(333),
    [sym_bk] = STATE(333),
    [sym_dc] = STATE(333),
    [sym_k] = STATE(333),
    [sym_nd] = STATE(333),
    [sym_ord] = STATE(333),
    [sym_pn] = STATE(333),
    [sym_png] = STATE(333),
    [sym_addpn] = STATE(333),
    [sym_qt] = STATE(333),
    [sym_sig] = STATE(333),
    [sym_sls] = STATE(333),
    [sym_tl] = STATE(333),
    [sym_wj] = STATE(333),
    [sym_em] = STATE(333),
    [sym_bd] = STATE(333),
    [sym_it] = STATE(333),
    [sym_bdit] = STATE(333),
    [sym_no] = STATE(333),
    [sym_sc] = STATE(333),
    [sym_sup] = STATE(333),
    [sym_ndx] = STATE(333),
    [sym_pro] = STATE(333),
    [sym_rb] = STATE(333),
    [sym_w] = STATE(333),
    [sym_wg] = STATE(333),
    [sym_wh] = STATE(333),
    [sym_wa] = STATE(333),
    [sym__characterMarker] = STATE(333),
    [sym_fig] = STATE(333),
    [sym_jmp] = STATE(333),
    [sym_milestoneTag] = STATE(2094),
    [sym__milestoneStandaloneMarker] = STATE(720),
    [sym__milestoneStart] = STATE(720),
    [sym__milestoneEnd] = STATE(720),
    [sym_milestone] = STATE(113),
    [sym__zNameSpaceRegular] = STATE(719),
    [sym__zNameSpaceClosed] = STATE(719),
    [sym__zNameSpaceStandaloneMarker] = STATE(719),
    [sym_zNameSpace] = STATE(113),
    [aux_sym_verseText_repeat1] = STATE(333),
    [aux_sym_q_repeat1] = STATE(113),
    [aux_sym_text_token1] = ACTIONS(1653),
    [anon_sym_BSLASHref] = ACTIONS(1655),
    [anon_sym_BSLASHsts] = ACTIONS(1657),
    [anon_sym_BSLASHrem] = ACTIONS(1659),
    [anon_sym_BSLASHrestore] = ACTIONS(1661),
    [anon_sym_BSLASHlit] = ACTIONS(1663),
    [anon_sym_BSLASHip] = ACTIONS(802),
    [anon_sym_BSLASHv] = ACTIONS(1665),
    [anon_sym_BSLASHva] = ACTIONS(1667),
    [anon_sym_BSLASHvp] = ACTIONS(1669),
    [anon_sym_BSLASHmte] = ACTIONS(802),
    [anon_sym_BSLASHms] = ACTIONS(802),
    [anon_sym_BSLASHs] = ACTIONS(802),
    [anon_sym_BSLASHr] = ACTIONS(802),
    [anon_sym_BSLASHsp] = ACTIONS(802),
    [anon_sym_BSLASHd] = ACTIONS(802),
    [anon_sym_BSLASHsd] = ACTIONS(802),
    [anon_sym_BSLASHp] = ACTIONS(802),
    [anon_sym_BSLASHm] = ACTIONS(802),
    [anon_sym_BSLASHpo] = ACTIONS(802),
    [anon_sym_BSLASHpr] = ACTIONS(802),
    [anon_sym_BSLASHcls] = ACTIONS(802),
    [anon_sym_BSLASHpmo] = ACTIONS(802),
    [anon_sym_BSLASHpm] = ACTIONS(802),
    [anon_sym_BSLASHpmc] = ACTIONS(802),
    [anon_sym_BSLASHpmr] = ACTIONS(802),
    [anon_sym_BSLASHpi] = ACTIONS(802),
    [anon_sym_BSLASHmi] = ACTIONS(802),
    [anon_sym_BSLASHnb] = ACTIONS(802),
    [anon_sym_BSLASHpc] = ACTIONS(802),
    [anon_sym_BSLASHph] = ACTIONS(802),
    [anon_sym_BSLASHb] = ACTIONS(802),
    [anon_sym_BSLASHq] = ACTIONS(802),
    [anon_sym_BSLASHqr] = ACTIONS(802),
    [anon_sym_BSLASHqc] = ACTIONS(802),
    [anon_sym_BSLASHqs] = ACTIONS(1671),
    [anon_sym_BSLASHqa] = ACTIONS(802),
    [anon_sym_BSLASHqac] = ACTIONS(1673),
    [anon_sym_BSLASHqm] = ACTIONS(802),
    [anon_sym_BSLASHqd] = ACTIONS(802),
    [anon_sym_BSLASHlh] = ACTIONS(802),
    [anon_sym_BSLASHli] = ACTIONS(802),
    [anon_sym_BSLASHlim] = ACTIONS(802),
    [anon_sym_BSLASHtr] = ACTIONS(802),
    [anon_sym_BSLASHf] = ACTIONS(1675),
    [anon_sym_BSLASHfe] = ACTIONS(1677),
    [anon_sym_BSLASHef] = ACTIONS(1679),
    [anon_sym_BSLASHfm] = ACTIONS(1681),
    [anon_sym_BSLASHx] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(1685),
    [anon_sym_BSLASHrq] = ACTIONS(1687),
    [anon_sym_BSLASHadd] = ACTIONS(1689),
    [anon_sym_BSLASHbk] = ACTIONS(1691),
    [anon_sym_BSLASHdc] = ACTIONS(1693),
    [anon_sym_BSLASHk] = ACTIONS(1695),
    [anon_sym_BSLASHnd] = ACTIONS(1697),
    [anon_sym_BSLASHord] = ACTIONS(1699),
    [anon_sym_BSLASHpn] = ACTIONS(1701),
    [anon_sym_BSLASHpng] = ACTIONS(1703),
    [anon_sym_BSLASHaddpn] = ACTIONS(1705),
    [anon_sym_BSLASHqt] = ACTIONS(1707),
    [anon_sym_BSLASHsig] = ACTIONS(1709),
    [anon_sym_BSLASHsls] = ACTIONS(1711),
    [anon_sym_BSLASHtl] = ACTIONS(1713),
    [anon_sym_BSLASHwj] = ACTIONS(1715),
    [anon_sym_BSLASHem] = ACTIONS(1717),
    [anon_sym_BSLASHbd] = ACTIONS(1719),
    [anon_sym_BSLASHit] = ACTIONS(1721),
    [anon_sym_BSLASHbdit] = ACTIONS(1723),
    [anon_sym_BSLASHno] = ACTIONS(1725),
    [anon_sym_BSLASHsc] = ACTIONS(1727),
    [anon_sym_BSLASHsup] = ACTIONS(1729),
    [anon_sym_BSLASHndx] = ACTIONS(1731),
    [anon_sym_BSLASHpro] = ACTIONS(1733),
    [anon_sym_BSLASHrb] = ACTIONS(1735),
    [anon_sym_BSLASHw] = ACTIONS(1737),
    [anon_sym_BSLASHwg] = ACTIONS(1739),
    [anon_sym_BSLASHwh] = ACTIONS(1741),
    [anon_sym_BSLASHwa] = ACTIONS(1743),
    [anon_sym_BSLASHfig] = ACTIONS(1745),
    [anon_sym_BSLASHjmp] = ACTIONS(1747),
    [anon_sym_BSLASHpb] = ACTIONS(802),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1749),
    [sym_milestoneEndTag] = ACTIONS(1751),
    [sym_zSpaceTag] = ACTIONS(1753),
    [anon_sym_BSLASHesbe] = ACTIONS(802),
    [anon_sym_BSLASHcat] = ACTIONS(802),
  },
  [155] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(162),
    [sym_fr] = STATE(162),
    [sym_fq] = STATE(162),
    [sym_fqa] = STATE(162),
    [sym_fk] = STATE(162),
    [sym_fl] = STATE(162),
    [sym_fw] = STATE(162),
    [sym_fp] = STATE(162),
    [sym_ft] = STATE(162),
    [sym_fdc] = STATE(162),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(162),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(162),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(162),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2082),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [156] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(145),
    [sym_fr] = STATE(145),
    [sym_fq] = STATE(145),
    [sym_fqa] = STATE(145),
    [sym_fk] = STATE(145),
    [sym_fl] = STATE(145),
    [sym_fw] = STATE(145),
    [sym_fp] = STATE(145),
    [sym_ft] = STATE(145),
    [sym_fdc] = STATE(145),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(145),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(145),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(145),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2084),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [157] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2086),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [158] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2088),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [159] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(148),
    [sym_fr] = STATE(148),
    [sym_fq] = STATE(148),
    [sym_fqa] = STATE(148),
    [sym_fk] = STATE(148),
    [sym_fl] = STATE(148),
    [sym_fw] = STATE(148),
    [sym_fp] = STATE(148),
    [sym_ft] = STATE(148),
    [sym_fdc] = STATE(148),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(148),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(148),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(148),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2090),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [160] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2092),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [161] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2094),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [162] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2096),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [163] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(167),
    [sym_fr] = STATE(167),
    [sym_fq] = STATE(167),
    [sym_fqa] = STATE(167),
    [sym_fk] = STATE(167),
    [sym_fl] = STATE(167),
    [sym_fw] = STATE(167),
    [sym_fp] = STATE(167),
    [sym_ft] = STATE(167),
    [sym_fdc] = STATE(167),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(167),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(167),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(167),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2098),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [164] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(170),
    [sym_fr] = STATE(170),
    [sym_fq] = STATE(170),
    [sym_fqa] = STATE(170),
    [sym_fk] = STATE(170),
    [sym_fl] = STATE(170),
    [sym_fw] = STATE(170),
    [sym_fp] = STATE(170),
    [sym_ft] = STATE(170),
    [sym_fdc] = STATE(170),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(170),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(170),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(170),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2100),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [165] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(171),
    [sym_fr] = STATE(171),
    [sym_fq] = STATE(171),
    [sym_fqa] = STATE(171),
    [sym_fk] = STATE(171),
    [sym_fl] = STATE(171),
    [sym_fw] = STATE(171),
    [sym_fp] = STATE(171),
    [sym_ft] = STATE(171),
    [sym_fdc] = STATE(171),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(171),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(171),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(171),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2102),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [166] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2104),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [167] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2106),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [168] = {
    [sym__comments] = STATE(169),
    [sym_sts] = STATE(169),
    [sym_rem] = STATE(169),
    [sym_restore] = STATE(169),
    [sym_lit] = STATE(169),
    [sym_ip] = STATE(169),
    [sym_iex] = STATE(169),
    [sym__chapterContent] = STATE(169),
    [sym__chapterMeta] = STATE(169),
    [sym_cl] = STATE(169),
    [sym_ca] = STATE(169),
    [sym_cp] = STATE(169),
    [sym_cd] = STATE(169),
    [sym_title] = STATE(169),
    [sym_mteBlock] = STATE(1451),
    [sym_mte] = STATE(1410),
    [sym_mteTag] = STATE(1889),
    [sym_msBlock] = STATE(1451),
    [sym_ms] = STATE(1385),
    [sym_msTag] = STATE(1144),
    [sym_sBlock] = STATE(1451),
    [sym_s] = STATE(1402),
    [sym_sTag] = STATE(292),
    [sym_r] = STATE(1451),
    [sym_sp] = STATE(1451),
    [sym_d] = STATE(1451),
    [sym_sdBlock] = STATE(1451),
    [sym_sd] = STATE(1358),
    [sym_sdTag] = STATE(1449),
    [sym_paragraph] = STATE(169),
    [sym_p] = STATE(1446),
    [sym_m] = STATE(1446),
    [sym_po] = STATE(1446),
    [sym_pr] = STATE(1446),
    [sym_cls] = STATE(1446),
    [sym_pmo] = STATE(1446),
    [sym_pm] = STATE(1446),
    [sym_pmc] = STATE(1446),
    [sym_pmr] = STATE(1446),
    [sym_piBlock] = STATE(1446),
    [sym_pi] = STATE(1403),
    [sym_piTag] = STATE(82),
    [sym_mi] = STATE(1446),
    [sym_nb] = STATE(1446),
    [sym_pc] = STATE(1446),
    [sym_phBlock] = STATE(1446),
    [sym_ph] = STATE(1405),
    [sym_phTag] = STATE(83),
    [sym_b] = STATE(1446),
    [sym_poetry] = STATE(169),
    [sym_qBlock] = STATE(1246),
    [sym_q] = STATE(1408),
    [sym_qTag] = STATE(73),
    [sym_qr] = STATE(1246),
    [sym_qc] = STATE(1246),
    [sym_qa] = STATE(1451),
    [sym_qmBlock] = STATE(1246),
    [sym_qm] = STATE(1409),
    [sym_qmTag] = STATE(64),
    [sym_qd] = STATE(1246),
    [sym_list] = STATE(169),
    [sym_lh] = STATE(1924),
    [sym__listMarker] = STATE(1247),
    [sym_liBlock] = STATE(1247),
    [sym_li] = STATE(1373),
    [sym_liTag] = STATE(60),
    [sym_limBlock] = STATE(1247),
    [sym_lim] = STATE(1364),
    [sym_limTag] = STATE(59),
    [sym_table] = STATE(169),
    [sym_tr] = STATE(1452),
    [sym_footnote] = STATE(169),
    [sym_f] = STATE(1444),
    [sym_fe] = STATE(1444),
    [sym_ef] = STATE(1444),
    [sym_fm] = STATE(1444),
    [sym_pb] = STATE(169),
    [sym_milestoneTag] = STATE(2088),
    [sym__milestoneStandaloneMarker] = STATE(1458),
    [sym__milestoneStart] = STATE(1458),
    [sym__milestoneEnd] = STATE(1458),
    [sym_milestone] = STATE(169),
    [sym__zNameSpaceRegular] = STATE(1450),
    [sym__zNameSpaceClosed] = STATE(1450),
    [sym__zNameSpaceStandaloneMarker] = STATE(1450),
    [sym_zNameSpace] = STATE(169),
    [sym_esb] = STATE(169),
    [aux_sym_chapter_repeat1] = STATE(169),
    [aux_sym_mteBlock_repeat1] = STATE(1410),
    [aux_sym_msBlock_repeat1] = STATE(1385),
    [aux_sym_sBlock_repeat1] = STATE(1402),
    [aux_sym_sdBlock_repeat1] = STATE(1358),
    [aux_sym_piBlock_repeat1] = STATE(1403),
    [aux_sym_phBlock_repeat1] = STATE(1405),
    [aux_sym_poetry_repeat1] = STATE(1246),
    [aux_sym_qBlock_repeat1] = STATE(1408),
    [aux_sym_qmBlock_repeat1] = STATE(1409),
    [aux_sym_list_repeat1] = STATE(1247),
    [aux_sym_liBlock_repeat1] = STATE(1373),
    [aux_sym_limBlock_repeat1] = STATE(1364),
    [aux_sym_table_repeat1] = STATE(1452),
    [ts_builtin_sym_end] = ACTIONS(2108),
    [anon_sym_BSLASHsts] = ACTIONS(1779),
    [anon_sym_BSLASHrem] = ACTIONS(1781),
    [anon_sym_BSLASHrestore] = ACTIONS(1783),
    [anon_sym_BSLASHlit] = ACTIONS(1785),
    [anon_sym_BSLASHip] = ACTIONS(1787),
    [anon_sym_BSLASHiex] = ACTIONS(1789),
    [anon_sym_BSLASHc] = ACTIONS(2108),
    [anon_sym_BSLASHcl] = ACTIONS(1791),
    [anon_sym_BSLASHca] = ACTIONS(1793),
    [anon_sym_BSLASHcp] = ACTIONS(1795),
    [anon_sym_BSLASHcd] = ACTIONS(1797),
    [anon_sym_BSLASHmte] = ACTIONS(1799),
    [anon_sym_BSLASHms] = ACTIONS(1801),
    [anon_sym_BSLASHs] = ACTIONS(1803),
    [anon_sym_BSLASHr] = ACTIONS(1805),
    [anon_sym_BSLASHsp] = ACTIONS(1807),
    [anon_sym_BSLASHd] = ACTIONS(1809),
    [anon_sym_BSLASHsd] = ACTIONS(1811),
    [anon_sym_BSLASHp] = ACTIONS(1813),
    [anon_sym_BSLASHm] = ACTIONS(1815),
    [anon_sym_BSLASHpo] = ACTIONS(1817),
    [anon_sym_BSLASHpr] = ACTIONS(1819),
    [anon_sym_BSLASHcls] = ACTIONS(1821),
    [anon_sym_BSLASHpmo] = ACTIONS(1823),
    [anon_sym_BSLASHpm] = ACTIONS(1825),
    [anon_sym_BSLASHpmc] = ACTIONS(1827),
    [anon_sym_BSLASHpmr] = ACTIONS(1829),
    [anon_sym_BSLASHpi] = ACTIONS(1831),
    [anon_sym_BSLASHmi] = ACTIONS(1833),
    [anon_sym_BSLASHnb] = ACTIONS(1835),
    [anon_sym_BSLASHpc] = ACTIONS(1837),
    [anon_sym_BSLASHph] = ACTIONS(1839),
    [anon_sym_BSLASHb] = ACTIONS(1841),
    [anon_sym_BSLASHq] = ACTIONS(1843),
    [anon_sym_BSLASHqr] = ACTIONS(1845),
    [anon_sym_BSLASHqc] = ACTIONS(1847),
    [anon_sym_BSLASHqa] = ACTIONS(1849),
    [anon_sym_BSLASHqm] = ACTIONS(1851),
    [anon_sym_BSLASHqd] = ACTIONS(1853),
    [anon_sym_BSLASHlh] = ACTIONS(1855),
    [anon_sym_BSLASHli] = ACTIONS(1857),
    [anon_sym_BSLASHlim] = ACTIONS(1859),
    [anon_sym_BSLASHtr] = ACTIONS(1861),
    [anon_sym_BSLASHf] = ACTIONS(1863),
    [anon_sym_BSLASHfe] = ACTIONS(1865),
    [anon_sym_BSLASHef] = ACTIONS(1867),
    [anon_sym_BSLASHfm] = ACTIONS(1869),
    [anon_sym_BSLASHpb] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1873),
    [sym_milestoneEndTag] = ACTIONS(1875),
    [sym_zSpaceTag] = ACTIONS(1877),
    [anon_sym_BSLASHesb] = ACTIONS(1879),
  },
  [169] = {
    [sym__comments] = STATE(169),
    [sym_sts] = STATE(169),
    [sym_rem] = STATE(169),
    [sym_restore] = STATE(169),
    [sym_lit] = STATE(169),
    [sym_ip] = STATE(169),
    [sym_iex] = STATE(169),
    [sym__chapterContent] = STATE(169),
    [sym__chapterMeta] = STATE(169),
    [sym_cl] = STATE(169),
    [sym_ca] = STATE(169),
    [sym_cp] = STATE(169),
    [sym_cd] = STATE(169),
    [sym_title] = STATE(169),
    [sym_mteBlock] = STATE(1451),
    [sym_mte] = STATE(1410),
    [sym_mteTag] = STATE(1889),
    [sym_msBlock] = STATE(1451),
    [sym_ms] = STATE(1385),
    [sym_msTag] = STATE(1144),
    [sym_sBlock] = STATE(1451),
    [sym_s] = STATE(1402),
    [sym_sTag] = STATE(292),
    [sym_r] = STATE(1451),
    [sym_sp] = STATE(1451),
    [sym_d] = STATE(1451),
    [sym_sdBlock] = STATE(1451),
    [sym_sd] = STATE(1358),
    [sym_sdTag] = STATE(1449),
    [sym_paragraph] = STATE(169),
    [sym_p] = STATE(1446),
    [sym_m] = STATE(1446),
    [sym_po] = STATE(1446),
    [sym_pr] = STATE(1446),
    [sym_cls] = STATE(1446),
    [sym_pmo] = STATE(1446),
    [sym_pm] = STATE(1446),
    [sym_pmc] = STATE(1446),
    [sym_pmr] = STATE(1446),
    [sym_piBlock] = STATE(1446),
    [sym_pi] = STATE(1403),
    [sym_piTag] = STATE(82),
    [sym_mi] = STATE(1446),
    [sym_nb] = STATE(1446),
    [sym_pc] = STATE(1446),
    [sym_phBlock] = STATE(1446),
    [sym_ph] = STATE(1405),
    [sym_phTag] = STATE(83),
    [sym_b] = STATE(1446),
    [sym_poetry] = STATE(169),
    [sym_qBlock] = STATE(1246),
    [sym_q] = STATE(1408),
    [sym_qTag] = STATE(73),
    [sym_qr] = STATE(1246),
    [sym_qc] = STATE(1246),
    [sym_qa] = STATE(1451),
    [sym_qmBlock] = STATE(1246),
    [sym_qm] = STATE(1409),
    [sym_qmTag] = STATE(64),
    [sym_qd] = STATE(1246),
    [sym_list] = STATE(169),
    [sym_lh] = STATE(1924),
    [sym__listMarker] = STATE(1247),
    [sym_liBlock] = STATE(1247),
    [sym_li] = STATE(1373),
    [sym_liTag] = STATE(60),
    [sym_limBlock] = STATE(1247),
    [sym_lim] = STATE(1364),
    [sym_limTag] = STATE(59),
    [sym_table] = STATE(169),
    [sym_tr] = STATE(1452),
    [sym_footnote] = STATE(169),
    [sym_f] = STATE(1444),
    [sym_fe] = STATE(1444),
    [sym_ef] = STATE(1444),
    [sym_fm] = STATE(1444),
    [sym_pb] = STATE(169),
    [sym_milestoneTag] = STATE(2088),
    [sym__milestoneStandaloneMarker] = STATE(1458),
    [sym__milestoneStart] = STATE(1458),
    [sym__milestoneEnd] = STATE(1458),
    [sym_milestone] = STATE(169),
    [sym__zNameSpaceRegular] = STATE(1450),
    [sym__zNameSpaceClosed] = STATE(1450),
    [sym__zNameSpaceStandaloneMarker] = STATE(1450),
    [sym_zNameSpace] = STATE(169),
    [sym_esb] = STATE(169),
    [aux_sym_chapter_repeat1] = STATE(169),
    [aux_sym_mteBlock_repeat1] = STATE(1410),
    [aux_sym_msBlock_repeat1] = STATE(1385),
    [aux_sym_sBlock_repeat1] = STATE(1402),
    [aux_sym_sdBlock_repeat1] = STATE(1358),
    [aux_sym_piBlock_repeat1] = STATE(1403),
    [aux_sym_phBlock_repeat1] = STATE(1405),
    [aux_sym_poetry_repeat1] = STATE(1246),
    [aux_sym_qBlock_repeat1] = STATE(1408),
    [aux_sym_qmBlock_repeat1] = STATE(1409),
    [aux_sym_list_repeat1] = STATE(1247),
    [aux_sym_liBlock_repeat1] = STATE(1373),
    [aux_sym_limBlock_repeat1] = STATE(1364),
    [aux_sym_table_repeat1] = STATE(1452),
    [ts_builtin_sym_end] = ACTIONS(2110),
    [anon_sym_BSLASHsts] = ACTIONS(2112),
    [anon_sym_BSLASHrem] = ACTIONS(2115),
    [anon_sym_BSLASHrestore] = ACTIONS(2118),
    [anon_sym_BSLASHlit] = ACTIONS(2121),
    [anon_sym_BSLASHip] = ACTIONS(2124),
    [anon_sym_BSLASHiex] = ACTIONS(2127),
    [anon_sym_BSLASHc] = ACTIONS(2110),
    [anon_sym_BSLASHcl] = ACTIONS(2130),
    [anon_sym_BSLASHca] = ACTIONS(2133),
    [anon_sym_BSLASHcp] = ACTIONS(2136),
    [anon_sym_BSLASHcd] = ACTIONS(2139),
    [anon_sym_BSLASHmte] = ACTIONS(2142),
    [anon_sym_BSLASHms] = ACTIONS(2145),
    [anon_sym_BSLASHs] = ACTIONS(2148),
    [anon_sym_BSLASHr] = ACTIONS(2151),
    [anon_sym_BSLASHsp] = ACTIONS(2154),
    [anon_sym_BSLASHd] = ACTIONS(2157),
    [anon_sym_BSLASHsd] = ACTIONS(2160),
    [anon_sym_BSLASHp] = ACTIONS(2163),
    [anon_sym_BSLASHm] = ACTIONS(2166),
    [anon_sym_BSLASHpo] = ACTIONS(2169),
    [anon_sym_BSLASHpr] = ACTIONS(2172),
    [anon_sym_BSLASHcls] = ACTIONS(2175),
    [anon_sym_BSLASHpmo] = ACTIONS(2178),
    [anon_sym_BSLASHpm] = ACTIONS(2181),
    [anon_sym_BSLASHpmc] = ACTIONS(2184),
    [anon_sym_BSLASHpmr] = ACTIONS(2187),
    [anon_sym_BSLASHpi] = ACTIONS(2190),
    [anon_sym_BSLASHmi] = ACTIONS(2193),
    [anon_sym_BSLASHnb] = ACTIONS(2196),
    [anon_sym_BSLASHpc] = ACTIONS(2199),
    [anon_sym_BSLASHph] = ACTIONS(2202),
    [anon_sym_BSLASHb] = ACTIONS(2205),
    [anon_sym_BSLASHq] = ACTIONS(2208),
    [anon_sym_BSLASHqr] = ACTIONS(2211),
    [anon_sym_BSLASHqc] = ACTIONS(2214),
    [anon_sym_BSLASHqa] = ACTIONS(2217),
    [anon_sym_BSLASHqm] = ACTIONS(2220),
    [anon_sym_BSLASHqd] = ACTIONS(2223),
    [anon_sym_BSLASHlh] = ACTIONS(2226),
    [anon_sym_BSLASHli] = ACTIONS(2229),
    [anon_sym_BSLASHlim] = ACTIONS(2232),
    [anon_sym_BSLASHtr] = ACTIONS(2235),
    [anon_sym_BSLASHf] = ACTIONS(2238),
    [anon_sym_BSLASHfe] = ACTIONS(2241),
    [anon_sym_BSLASHef] = ACTIONS(2244),
    [anon_sym_BSLASHfm] = ACTIONS(2247),
    [anon_sym_BSLASHpb] = ACTIONS(2250),
    [anon_sym_BSLASH] = ACTIONS(2253),
    [sym_milestoneStartTag] = ACTIONS(2256),
    [sym_milestoneEndTag] = ACTIONS(2259),
    [sym_zSpaceTag] = ACTIONS(2262),
    [anon_sym_BSLASHesb] = ACTIONS(2265),
  },
  [170] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2268),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [171] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2270),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [172] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2272),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [173] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2274),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [174] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2276),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [175] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(172),
    [sym_fr] = STATE(172),
    [sym_fq] = STATE(172),
    [sym_fqa] = STATE(172),
    [sym_fk] = STATE(172),
    [sym_fl] = STATE(172),
    [sym_fw] = STATE(172),
    [sym_fp] = STATE(172),
    [sym_ft] = STATE(172),
    [sym_fdc] = STATE(172),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(172),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(172),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(172),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [176] = {
    [sym_text] = STATE(333),
    [sym_ref] = STATE(128),
    [sym__comments] = STATE(128),
    [sym_sts] = STATE(128),
    [sym_rem] = STATE(128),
    [sym_restore] = STATE(128),
    [sym_lit] = STATE(128),
    [sym_verseText] = STATE(128),
    [sym_v] = STATE(128),
    [sym__verseMeta] = STATE(128),
    [sym_va] = STATE(128),
    [sym_vp] = STATE(128),
    [sym__paragraphContent] = STATE(128),
    [sym__poetryContent] = STATE(128),
    [sym_qs] = STATE(128),
    [sym_qac] = STATE(128),
    [sym_footnote] = STATE(128),
    [sym_f] = STATE(710),
    [sym_fe] = STATE(710),
    [sym_ef] = STATE(710),
    [sym_fm] = STATE(710),
    [sym_crossref] = STATE(128),
    [sym_x] = STATE(657),
    [sym_xt_standalone] = STATE(657),
    [sym_rq] = STATE(657),
    [sym_add] = STATE(333),
    [sym_bk] = STATE(333),
    [sym_dc] = STATE(333),
    [sym_k] = STATE(333),
    [sym_nd] = STATE(333),
    [sym_ord] = STATE(333),
    [sym_pn] = STATE(333),
    [sym_png] = STATE(333),
    [sym_addpn] = STATE(333),
    [sym_qt] = STATE(333),
    [sym_sig] = STATE(333),
    [sym_sls] = STATE(333),
    [sym_tl] = STATE(333),
    [sym_wj] = STATE(333),
    [sym_em] = STATE(333),
    [sym_bd] = STATE(333),
    [sym_it] = STATE(333),
    [sym_bdit] = STATE(333),
    [sym_no] = STATE(333),
    [sym_sc] = STATE(333),
    [sym_sup] = STATE(333),
    [sym_ndx] = STATE(333),
    [sym_pro] = STATE(333),
    [sym_rb] = STATE(333),
    [sym_w] = STATE(333),
    [sym_wg] = STATE(333),
    [sym_wh] = STATE(333),
    [sym_wa] = STATE(333),
    [sym__characterMarker] = STATE(333),
    [sym_fig] = STATE(333),
    [sym_jmp] = STATE(333),
    [sym_milestoneTag] = STATE(2094),
    [sym__milestoneStandaloneMarker] = STATE(720),
    [sym__milestoneStart] = STATE(720),
    [sym__milestoneEnd] = STATE(720),
    [sym_milestone] = STATE(128),
    [sym__zNameSpaceRegular] = STATE(719),
    [sym__zNameSpaceClosed] = STATE(719),
    [sym__zNameSpaceStandaloneMarker] = STATE(719),
    [sym_zNameSpace] = STATE(128),
    [aux_sym_verseText_repeat1] = STATE(333),
    [aux_sym_q_repeat1] = STATE(128),
    [aux_sym_text_token1] = ACTIONS(1653),
    [anon_sym_BSLASHref] = ACTIONS(1655),
    [anon_sym_BSLASHsts] = ACTIONS(1657),
    [anon_sym_BSLASHrem] = ACTIONS(1659),
    [anon_sym_BSLASHrestore] = ACTIONS(1661),
    [anon_sym_BSLASHlit] = ACTIONS(1663),
    [anon_sym_BSLASHip] = ACTIONS(810),
    [anon_sym_BSLASHv] = ACTIONS(1665),
    [anon_sym_BSLASHva] = ACTIONS(1667),
    [anon_sym_BSLASHvp] = ACTIONS(1669),
    [anon_sym_BSLASHmte] = ACTIONS(810),
    [anon_sym_BSLASHms] = ACTIONS(810),
    [anon_sym_BSLASHs] = ACTIONS(810),
    [anon_sym_BSLASHr] = ACTIONS(810),
    [anon_sym_BSLASHsp] = ACTIONS(810),
    [anon_sym_BSLASHd] = ACTIONS(810),
    [anon_sym_BSLASHsd] = ACTIONS(810),
    [anon_sym_BSLASHp] = ACTIONS(810),
    [anon_sym_BSLASHm] = ACTIONS(810),
    [anon_sym_BSLASHpo] = ACTIONS(810),
    [anon_sym_BSLASHpr] = ACTIONS(810),
    [anon_sym_BSLASHcls] = ACTIONS(810),
    [anon_sym_BSLASHpmo] = ACTIONS(810),
    [anon_sym_BSLASHpm] = ACTIONS(810),
    [anon_sym_BSLASHpmc] = ACTIONS(810),
    [anon_sym_BSLASHpmr] = ACTIONS(810),
    [anon_sym_BSLASHpi] = ACTIONS(810),
    [anon_sym_BSLASHmi] = ACTIONS(810),
    [anon_sym_BSLASHnb] = ACTIONS(810),
    [anon_sym_BSLASHpc] = ACTIONS(810),
    [anon_sym_BSLASHph] = ACTIONS(810),
    [anon_sym_BSLASHb] = ACTIONS(810),
    [anon_sym_BSLASHq] = ACTIONS(810),
    [anon_sym_BSLASHqr] = ACTIONS(810),
    [anon_sym_BSLASHqc] = ACTIONS(810),
    [anon_sym_BSLASHqs] = ACTIONS(1671),
    [anon_sym_BSLASHqa] = ACTIONS(810),
    [anon_sym_BSLASHqac] = ACTIONS(1673),
    [anon_sym_BSLASHqm] = ACTIONS(810),
    [anon_sym_BSLASHqd] = ACTIONS(810),
    [anon_sym_BSLASHlh] = ACTIONS(810),
    [anon_sym_BSLASHli] = ACTIONS(810),
    [anon_sym_BSLASHlim] = ACTIONS(810),
    [anon_sym_BSLASHtr] = ACTIONS(810),
    [anon_sym_BSLASHf] = ACTIONS(1675),
    [anon_sym_BSLASHfe] = ACTIONS(1677),
    [anon_sym_BSLASHef] = ACTIONS(1679),
    [anon_sym_BSLASHfm] = ACTIONS(1681),
    [anon_sym_BSLASHx] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(1685),
    [anon_sym_BSLASHrq] = ACTIONS(1687),
    [anon_sym_BSLASHadd] = ACTIONS(1689),
    [anon_sym_BSLASHbk] = ACTIONS(1691),
    [anon_sym_BSLASHdc] = ACTIONS(1693),
    [anon_sym_BSLASHk] = ACTIONS(1695),
    [anon_sym_BSLASHnd] = ACTIONS(1697),
    [anon_sym_BSLASHord] = ACTIONS(1699),
    [anon_sym_BSLASHpn] = ACTIONS(1701),
    [anon_sym_BSLASHpng] = ACTIONS(1703),
    [anon_sym_BSLASHaddpn] = ACTIONS(1705),
    [anon_sym_BSLASHqt] = ACTIONS(1707),
    [anon_sym_BSLASHsig] = ACTIONS(1709),
    [anon_sym_BSLASHsls] = ACTIONS(1711),
    [anon_sym_BSLASHtl] = ACTIONS(1713),
    [anon_sym_BSLASHwj] = ACTIONS(1715),
    [anon_sym_BSLASHem] = ACTIONS(1717),
    [anon_sym_BSLASHbd] = ACTIONS(1719),
    [anon_sym_BSLASHit] = ACTIONS(1721),
    [anon_sym_BSLASHbdit] = ACTIONS(1723),
    [anon_sym_BSLASHno] = ACTIONS(1725),
    [anon_sym_BSLASHsc] = ACTIONS(1727),
    [anon_sym_BSLASHsup] = ACTIONS(1729),
    [anon_sym_BSLASHndx] = ACTIONS(1731),
    [anon_sym_BSLASHpro] = ACTIONS(1733),
    [anon_sym_BSLASHrb] = ACTIONS(1735),
    [anon_sym_BSLASHw] = ACTIONS(1737),
    [anon_sym_BSLASHwg] = ACTIONS(1739),
    [anon_sym_BSLASHwh] = ACTIONS(1741),
    [anon_sym_BSLASHwa] = ACTIONS(1743),
    [anon_sym_BSLASHfig] = ACTIONS(1745),
    [anon_sym_BSLASHjmp] = ACTIONS(1747),
    [anon_sym_BSLASHpb] = ACTIONS(810),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1749),
    [sym_milestoneEndTag] = ACTIONS(1751),
    [sym_zSpaceTag] = ACTIONS(1753),
    [anon_sym_BSLASHesbe] = ACTIONS(810),
    [anon_sym_BSLASHcat] = ACTIONS(810),
  },
  [177] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2280),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [178] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2282),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [179] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(157),
    [sym_fr] = STATE(157),
    [sym_fq] = STATE(157),
    [sym_fqa] = STATE(157),
    [sym_fk] = STATE(157),
    [sym_fl] = STATE(157),
    [sym_fw] = STATE(157),
    [sym_fp] = STATE(157),
    [sym_ft] = STATE(157),
    [sym_fdc] = STATE(157),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(157),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(157),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(157),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2284),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [180] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(198),
    [sym_fr] = STATE(198),
    [sym_fq] = STATE(198),
    [sym_fqa] = STATE(198),
    [sym_fk] = STATE(198),
    [sym_fl] = STATE(198),
    [sym_fw] = STATE(198),
    [sym_fp] = STATE(198),
    [sym_ft] = STATE(198),
    [sym_fdc] = STATE(198),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(198),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(198),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(198),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [181] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(119),
    [sym_fr] = STATE(119),
    [sym_fq] = STATE(119),
    [sym_fqa] = STATE(119),
    [sym_fk] = STATE(119),
    [sym_fl] = STATE(119),
    [sym_fw] = STATE(119),
    [sym_fp] = STATE(119),
    [sym_ft] = STATE(119),
    [sym_fdc] = STATE(119),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(119),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(119),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(119),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2288),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [182] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(120),
    [sym_fr] = STATE(120),
    [sym_fq] = STATE(120),
    [sym_fqa] = STATE(120),
    [sym_fk] = STATE(120),
    [sym_fl] = STATE(120),
    [sym_fw] = STATE(120),
    [sym_fp] = STATE(120),
    [sym_ft] = STATE(120),
    [sym_fdc] = STATE(120),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(120),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(120),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(120),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2290),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [183] = {
    [sym_text] = STATE(333),
    [sym_ref] = STATE(128),
    [sym__comments] = STATE(128),
    [sym_sts] = STATE(128),
    [sym_rem] = STATE(128),
    [sym_restore] = STATE(128),
    [sym_lit] = STATE(128),
    [sym_verseText] = STATE(128),
    [sym_v] = STATE(128),
    [sym__verseMeta] = STATE(128),
    [sym_va] = STATE(128),
    [sym_vp] = STATE(128),
    [sym__paragraphContent] = STATE(128),
    [sym__poetryContent] = STATE(128),
    [sym_qs] = STATE(128),
    [sym_qac] = STATE(128),
    [sym_footnote] = STATE(128),
    [sym_f] = STATE(710),
    [sym_fe] = STATE(710),
    [sym_ef] = STATE(710),
    [sym_fm] = STATE(710),
    [sym_crossref] = STATE(128),
    [sym_x] = STATE(657),
    [sym_xt_standalone] = STATE(657),
    [sym_rq] = STATE(657),
    [sym_add] = STATE(333),
    [sym_bk] = STATE(333),
    [sym_dc] = STATE(333),
    [sym_k] = STATE(333),
    [sym_nd] = STATE(333),
    [sym_ord] = STATE(333),
    [sym_pn] = STATE(333),
    [sym_png] = STATE(333),
    [sym_addpn] = STATE(333),
    [sym_qt] = STATE(333),
    [sym_sig] = STATE(333),
    [sym_sls] = STATE(333),
    [sym_tl] = STATE(333),
    [sym_wj] = STATE(333),
    [sym_em] = STATE(333),
    [sym_bd] = STATE(333),
    [sym_it] = STATE(333),
    [sym_bdit] = STATE(333),
    [sym_no] = STATE(333),
    [sym_sc] = STATE(333),
    [sym_sup] = STATE(333),
    [sym_ndx] = STATE(333),
    [sym_pro] = STATE(333),
    [sym_rb] = STATE(333),
    [sym_w] = STATE(333),
    [sym_wg] = STATE(333),
    [sym_wh] = STATE(333),
    [sym_wa] = STATE(333),
    [sym__characterMarker] = STATE(333),
    [sym_fig] = STATE(333),
    [sym_jmp] = STATE(333),
    [sym_milestoneTag] = STATE(2094),
    [sym__milestoneStandaloneMarker] = STATE(720),
    [sym__milestoneStart] = STATE(720),
    [sym__milestoneEnd] = STATE(720),
    [sym_milestone] = STATE(128),
    [sym__zNameSpaceRegular] = STATE(719),
    [sym__zNameSpaceClosed] = STATE(719),
    [sym__zNameSpaceStandaloneMarker] = STATE(719),
    [sym_zNameSpace] = STATE(128),
    [aux_sym_verseText_repeat1] = STATE(333),
    [aux_sym_q_repeat1] = STATE(128),
    [aux_sym_text_token1] = ACTIONS(1653),
    [anon_sym_BSLASHref] = ACTIONS(1655),
    [anon_sym_BSLASHsts] = ACTIONS(1657),
    [anon_sym_BSLASHrem] = ACTIONS(1659),
    [anon_sym_BSLASHrestore] = ACTIONS(1661),
    [anon_sym_BSLASHlit] = ACTIONS(1663),
    [anon_sym_BSLASHip] = ACTIONS(806),
    [anon_sym_BSLASHv] = ACTIONS(1665),
    [anon_sym_BSLASHva] = ACTIONS(1667),
    [anon_sym_BSLASHvp] = ACTIONS(1669),
    [anon_sym_BSLASHmte] = ACTIONS(806),
    [anon_sym_BSLASHms] = ACTIONS(806),
    [anon_sym_BSLASHs] = ACTIONS(806),
    [anon_sym_BSLASHr] = ACTIONS(806),
    [anon_sym_BSLASHsp] = ACTIONS(806),
    [anon_sym_BSLASHd] = ACTIONS(806),
    [anon_sym_BSLASHsd] = ACTIONS(806),
    [anon_sym_BSLASHp] = ACTIONS(806),
    [anon_sym_BSLASHm] = ACTIONS(806),
    [anon_sym_BSLASHpo] = ACTIONS(806),
    [anon_sym_BSLASHpr] = ACTIONS(806),
    [anon_sym_BSLASHcls] = ACTIONS(806),
    [anon_sym_BSLASHpmo] = ACTIONS(806),
    [anon_sym_BSLASHpm] = ACTIONS(806),
    [anon_sym_BSLASHpmc] = ACTIONS(806),
    [anon_sym_BSLASHpmr] = ACTIONS(806),
    [anon_sym_BSLASHpi] = ACTIONS(806),
    [anon_sym_BSLASHmi] = ACTIONS(806),
    [anon_sym_BSLASHnb] = ACTIONS(806),
    [anon_sym_BSLASHpc] = ACTIONS(806),
    [anon_sym_BSLASHph] = ACTIONS(806),
    [anon_sym_BSLASHb] = ACTIONS(806),
    [anon_sym_BSLASHq] = ACTIONS(806),
    [anon_sym_BSLASHqr] = ACTIONS(806),
    [anon_sym_BSLASHqc] = ACTIONS(806),
    [anon_sym_BSLASHqs] = ACTIONS(1671),
    [anon_sym_BSLASHqa] = ACTIONS(806),
    [anon_sym_BSLASHqac] = ACTIONS(1673),
    [anon_sym_BSLASHqm] = ACTIONS(806),
    [anon_sym_BSLASHqd] = ACTIONS(806),
    [anon_sym_BSLASHlh] = ACTIONS(806),
    [anon_sym_BSLASHli] = ACTIONS(806),
    [anon_sym_BSLASHlim] = ACTIONS(806),
    [anon_sym_BSLASHtr] = ACTIONS(806),
    [anon_sym_BSLASHf] = ACTIONS(1675),
    [anon_sym_BSLASHfe] = ACTIONS(1677),
    [anon_sym_BSLASHef] = ACTIONS(1679),
    [anon_sym_BSLASHfm] = ACTIONS(1681),
    [anon_sym_BSLASHx] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(1685),
    [anon_sym_BSLASHrq] = ACTIONS(1687),
    [anon_sym_BSLASHadd] = ACTIONS(1689),
    [anon_sym_BSLASHbk] = ACTIONS(1691),
    [anon_sym_BSLASHdc] = ACTIONS(1693),
    [anon_sym_BSLASHk] = ACTIONS(1695),
    [anon_sym_BSLASHnd] = ACTIONS(1697),
    [anon_sym_BSLASHord] = ACTIONS(1699),
    [anon_sym_BSLASHpn] = ACTIONS(1701),
    [anon_sym_BSLASHpng] = ACTIONS(1703),
    [anon_sym_BSLASHaddpn] = ACTIONS(1705),
    [anon_sym_BSLASHqt] = ACTIONS(1707),
    [anon_sym_BSLASHsig] = ACTIONS(1709),
    [anon_sym_BSLASHsls] = ACTIONS(1711),
    [anon_sym_BSLASHtl] = ACTIONS(1713),
    [anon_sym_BSLASHwj] = ACTIONS(1715),
    [anon_sym_BSLASHem] = ACTIONS(1717),
    [anon_sym_BSLASHbd] = ACTIONS(1719),
    [anon_sym_BSLASHit] = ACTIONS(1721),
    [anon_sym_BSLASHbdit] = ACTIONS(1723),
    [anon_sym_BSLASHno] = ACTIONS(1725),
    [anon_sym_BSLASHsc] = ACTIONS(1727),
    [anon_sym_BSLASHsup] = ACTIONS(1729),
    [anon_sym_BSLASHndx] = ACTIONS(1731),
    [anon_sym_BSLASHpro] = ACTIONS(1733),
    [anon_sym_BSLASHrb] = ACTIONS(1735),
    [anon_sym_BSLASHw] = ACTIONS(1737),
    [anon_sym_BSLASHwg] = ACTIONS(1739),
    [anon_sym_BSLASHwh] = ACTIONS(1741),
    [anon_sym_BSLASHwa] = ACTIONS(1743),
    [anon_sym_BSLASHfig] = ACTIONS(1745),
    [anon_sym_BSLASHjmp] = ACTIONS(1747),
    [anon_sym_BSLASHpb] = ACTIONS(806),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1749),
    [sym_milestoneEndTag] = ACTIONS(1751),
    [sym_zSpaceTag] = ACTIONS(1753),
    [anon_sym_BSLASHesbe] = ACTIONS(806),
    [anon_sym_BSLASHcat] = ACTIONS(806),
  },
  [184] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(121),
    [sym_fr] = STATE(121),
    [sym_fq] = STATE(121),
    [sym_fqa] = STATE(121),
    [sym_fk] = STATE(121),
    [sym_fl] = STATE(121),
    [sym_fw] = STATE(121),
    [sym_fp] = STATE(121),
    [sym_ft] = STATE(121),
    [sym_fdc] = STATE(121),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(121),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(121),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(121),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [185] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(173),
    [sym_fr] = STATE(173),
    [sym_fq] = STATE(173),
    [sym_fqa] = STATE(173),
    [sym_fk] = STATE(173),
    [sym_fl] = STATE(173),
    [sym_fw] = STATE(173),
    [sym_fp] = STATE(173),
    [sym_ft] = STATE(173),
    [sym_fdc] = STATE(173),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(173),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(173),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(173),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2294),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [186] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(174),
    [sym_fr] = STATE(174),
    [sym_fq] = STATE(174),
    [sym_fqa] = STATE(174),
    [sym_fk] = STATE(174),
    [sym_fl] = STATE(174),
    [sym_fw] = STATE(174),
    [sym_fp] = STATE(174),
    [sym_ft] = STATE(174),
    [sym_fdc] = STATE(174),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(174),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(174),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(174),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2296),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [187] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2298),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [188] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2300),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [189] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2302),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [190] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(187),
    [sym_fr] = STATE(187),
    [sym_fq] = STATE(187),
    [sym_fqa] = STATE(187),
    [sym_fk] = STATE(187),
    [sym_fl] = STATE(187),
    [sym_fw] = STATE(187),
    [sym_fp] = STATE(187),
    [sym_ft] = STATE(187),
    [sym_fdc] = STATE(187),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(187),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(187),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(187),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2304),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [191] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(158),
    [sym_fr] = STATE(158),
    [sym_fq] = STATE(158),
    [sym_fqa] = STATE(158),
    [sym_fk] = STATE(158),
    [sym_fl] = STATE(158),
    [sym_fw] = STATE(158),
    [sym_fp] = STATE(158),
    [sym_ft] = STATE(158),
    [sym_fdc] = STATE(158),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(158),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(158),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(158),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [192] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2308),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [193] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(204),
    [sym_fr] = STATE(204),
    [sym_fq] = STATE(204),
    [sym_fqa] = STATE(204),
    [sym_fk] = STATE(204),
    [sym_fl] = STATE(204),
    [sym_fw] = STATE(204),
    [sym_fp] = STATE(204),
    [sym_ft] = STATE(204),
    [sym_fdc] = STATE(204),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(204),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [194] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(152),
    [sym_fr] = STATE(152),
    [sym_fq] = STATE(152),
    [sym_fqa] = STATE(152),
    [sym_fk] = STATE(152),
    [sym_fl] = STATE(152),
    [sym_fw] = STATE(152),
    [sym_fp] = STATE(152),
    [sym_ft] = STATE(152),
    [sym_fdc] = STATE(152),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(152),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(152),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(152),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2312),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [195] = {
    [sym_text] = STATE(333),
    [sym_ref] = STATE(183),
    [sym__comments] = STATE(183),
    [sym_sts] = STATE(183),
    [sym_rem] = STATE(183),
    [sym_restore] = STATE(183),
    [sym_lit] = STATE(183),
    [sym_verseText] = STATE(183),
    [sym_v] = STATE(183),
    [sym__verseMeta] = STATE(183),
    [sym_va] = STATE(183),
    [sym_vp] = STATE(183),
    [sym__paragraphContent] = STATE(183),
    [sym__poetryContent] = STATE(183),
    [sym_qs] = STATE(183),
    [sym_qac] = STATE(183),
    [sym_footnote] = STATE(183),
    [sym_f] = STATE(710),
    [sym_fe] = STATE(710),
    [sym_ef] = STATE(710),
    [sym_fm] = STATE(710),
    [sym_crossref] = STATE(183),
    [sym_x] = STATE(657),
    [sym_xt_standalone] = STATE(657),
    [sym_rq] = STATE(657),
    [sym_add] = STATE(333),
    [sym_bk] = STATE(333),
    [sym_dc] = STATE(333),
    [sym_k] = STATE(333),
    [sym_nd] = STATE(333),
    [sym_ord] = STATE(333),
    [sym_pn] = STATE(333),
    [sym_png] = STATE(333),
    [sym_addpn] = STATE(333),
    [sym_qt] = STATE(333),
    [sym_sig] = STATE(333),
    [sym_sls] = STATE(333),
    [sym_tl] = STATE(333),
    [sym_wj] = STATE(333),
    [sym_em] = STATE(333),
    [sym_bd] = STATE(333),
    [sym_it] = STATE(333),
    [sym_bdit] = STATE(333),
    [sym_no] = STATE(333),
    [sym_sc] = STATE(333),
    [sym_sup] = STATE(333),
    [sym_ndx] = STATE(333),
    [sym_pro] = STATE(333),
    [sym_rb] = STATE(333),
    [sym_w] = STATE(333),
    [sym_wg] = STATE(333),
    [sym_wh] = STATE(333),
    [sym_wa] = STATE(333),
    [sym__characterMarker] = STATE(333),
    [sym_fig] = STATE(333),
    [sym_jmp] = STATE(333),
    [sym_milestoneTag] = STATE(2094),
    [sym__milestoneStandaloneMarker] = STATE(720),
    [sym__milestoneStart] = STATE(720),
    [sym__milestoneEnd] = STATE(720),
    [sym_milestone] = STATE(183),
    [sym__zNameSpaceRegular] = STATE(719),
    [sym__zNameSpaceClosed] = STATE(719),
    [sym__zNameSpaceStandaloneMarker] = STATE(719),
    [sym_zNameSpace] = STATE(183),
    [aux_sym_verseText_repeat1] = STATE(333),
    [aux_sym_q_repeat1] = STATE(183),
    [aux_sym_text_token1] = ACTIONS(1653),
    [anon_sym_BSLASHref] = ACTIONS(1655),
    [anon_sym_BSLASHsts] = ACTIONS(1657),
    [anon_sym_BSLASHrem] = ACTIONS(1659),
    [anon_sym_BSLASHrestore] = ACTIONS(1661),
    [anon_sym_BSLASHlit] = ACTIONS(1663),
    [anon_sym_BSLASHip] = ACTIONS(814),
    [anon_sym_BSLASHv] = ACTIONS(1665),
    [anon_sym_BSLASHva] = ACTIONS(1667),
    [anon_sym_BSLASHvp] = ACTIONS(1669),
    [anon_sym_BSLASHmte] = ACTIONS(814),
    [anon_sym_BSLASHms] = ACTIONS(814),
    [anon_sym_BSLASHs] = ACTIONS(814),
    [anon_sym_BSLASHr] = ACTIONS(814),
    [anon_sym_BSLASHsp] = ACTIONS(814),
    [anon_sym_BSLASHd] = ACTIONS(814),
    [anon_sym_BSLASHsd] = ACTIONS(814),
    [anon_sym_BSLASHp] = ACTIONS(814),
    [anon_sym_BSLASHm] = ACTIONS(814),
    [anon_sym_BSLASHpo] = ACTIONS(814),
    [anon_sym_BSLASHpr] = ACTIONS(814),
    [anon_sym_BSLASHcls] = ACTIONS(814),
    [anon_sym_BSLASHpmo] = ACTIONS(814),
    [anon_sym_BSLASHpm] = ACTIONS(814),
    [anon_sym_BSLASHpmc] = ACTIONS(814),
    [anon_sym_BSLASHpmr] = ACTIONS(814),
    [anon_sym_BSLASHpi] = ACTIONS(814),
    [anon_sym_BSLASHmi] = ACTIONS(814),
    [anon_sym_BSLASHnb] = ACTIONS(814),
    [anon_sym_BSLASHpc] = ACTIONS(814),
    [anon_sym_BSLASHph] = ACTIONS(814),
    [anon_sym_BSLASHb] = ACTIONS(814),
    [anon_sym_BSLASHq] = ACTIONS(814),
    [anon_sym_BSLASHqr] = ACTIONS(814),
    [anon_sym_BSLASHqc] = ACTIONS(814),
    [anon_sym_BSLASHqs] = ACTIONS(1671),
    [anon_sym_BSLASHqa] = ACTIONS(814),
    [anon_sym_BSLASHqac] = ACTIONS(1673),
    [anon_sym_BSLASHqm] = ACTIONS(814),
    [anon_sym_BSLASHqd] = ACTIONS(814),
    [anon_sym_BSLASHlh] = ACTIONS(814),
    [anon_sym_BSLASHli] = ACTIONS(814),
    [anon_sym_BSLASHlim] = ACTIONS(814),
    [anon_sym_BSLASHtr] = ACTIONS(814),
    [anon_sym_BSLASHf] = ACTIONS(1675),
    [anon_sym_BSLASHfe] = ACTIONS(1677),
    [anon_sym_BSLASHef] = ACTIONS(1679),
    [anon_sym_BSLASHfm] = ACTIONS(1681),
    [anon_sym_BSLASHx] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(1685),
    [anon_sym_BSLASHrq] = ACTIONS(1687),
    [anon_sym_BSLASHadd] = ACTIONS(1689),
    [anon_sym_BSLASHbk] = ACTIONS(1691),
    [anon_sym_BSLASHdc] = ACTIONS(1693),
    [anon_sym_BSLASHk] = ACTIONS(1695),
    [anon_sym_BSLASHnd] = ACTIONS(1697),
    [anon_sym_BSLASHord] = ACTIONS(1699),
    [anon_sym_BSLASHpn] = ACTIONS(1701),
    [anon_sym_BSLASHpng] = ACTIONS(1703),
    [anon_sym_BSLASHaddpn] = ACTIONS(1705),
    [anon_sym_BSLASHqt] = ACTIONS(1707),
    [anon_sym_BSLASHsig] = ACTIONS(1709),
    [anon_sym_BSLASHsls] = ACTIONS(1711),
    [anon_sym_BSLASHtl] = ACTIONS(1713),
    [anon_sym_BSLASHwj] = ACTIONS(1715),
    [anon_sym_BSLASHem] = ACTIONS(1717),
    [anon_sym_BSLASHbd] = ACTIONS(1719),
    [anon_sym_BSLASHit] = ACTIONS(1721),
    [anon_sym_BSLASHbdit] = ACTIONS(1723),
    [anon_sym_BSLASHno] = ACTIONS(1725),
    [anon_sym_BSLASHsc] = ACTIONS(1727),
    [anon_sym_BSLASHsup] = ACTIONS(1729),
    [anon_sym_BSLASHndx] = ACTIONS(1731),
    [anon_sym_BSLASHpro] = ACTIONS(1733),
    [anon_sym_BSLASHrb] = ACTIONS(1735),
    [anon_sym_BSLASHw] = ACTIONS(1737),
    [anon_sym_BSLASHwg] = ACTIONS(1739),
    [anon_sym_BSLASHwh] = ACTIONS(1741),
    [anon_sym_BSLASHwa] = ACTIONS(1743),
    [anon_sym_BSLASHfig] = ACTIONS(1745),
    [anon_sym_BSLASHjmp] = ACTIONS(1747),
    [anon_sym_BSLASHpb] = ACTIONS(814),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1749),
    [sym_milestoneEndTag] = ACTIONS(1751),
    [sym_zSpaceTag] = ACTIONS(1753),
    [anon_sym_BSLASHesbe] = ACTIONS(814),
    [anon_sym_BSLASHcat] = ACTIONS(814),
  },
  [196] = {
    [sym_text] = STATE(333),
    [sym_ref] = STATE(176),
    [sym__comments] = STATE(176),
    [sym_sts] = STATE(176),
    [sym_rem] = STATE(176),
    [sym_restore] = STATE(176),
    [sym_lit] = STATE(176),
    [sym_verseText] = STATE(176),
    [sym_v] = STATE(176),
    [sym__verseMeta] = STATE(176),
    [sym_va] = STATE(176),
    [sym_vp] = STATE(176),
    [sym__paragraphContent] = STATE(176),
    [sym__poetryContent] = STATE(176),
    [sym_qs] = STATE(176),
    [sym_qac] = STATE(176),
    [sym_footnote] = STATE(176),
    [sym_f] = STATE(710),
    [sym_fe] = STATE(710),
    [sym_ef] = STATE(710),
    [sym_fm] = STATE(710),
    [sym_crossref] = STATE(176),
    [sym_x] = STATE(657),
    [sym_xt_standalone] = STATE(657),
    [sym_rq] = STATE(657),
    [sym_add] = STATE(333),
    [sym_bk] = STATE(333),
    [sym_dc] = STATE(333),
    [sym_k] = STATE(333),
    [sym_nd] = STATE(333),
    [sym_ord] = STATE(333),
    [sym_pn] = STATE(333),
    [sym_png] = STATE(333),
    [sym_addpn] = STATE(333),
    [sym_qt] = STATE(333),
    [sym_sig] = STATE(333),
    [sym_sls] = STATE(333),
    [sym_tl] = STATE(333),
    [sym_wj] = STATE(333),
    [sym_em] = STATE(333),
    [sym_bd] = STATE(333),
    [sym_it] = STATE(333),
    [sym_bdit] = STATE(333),
    [sym_no] = STATE(333),
    [sym_sc] = STATE(333),
    [sym_sup] = STATE(333),
    [sym_ndx] = STATE(333),
    [sym_pro] = STATE(333),
    [sym_rb] = STATE(333),
    [sym_w] = STATE(333),
    [sym_wg] = STATE(333),
    [sym_wh] = STATE(333),
    [sym_wa] = STATE(333),
    [sym__characterMarker] = STATE(333),
    [sym_fig] = STATE(333),
    [sym_jmp] = STATE(333),
    [sym_milestoneTag] = STATE(2094),
    [sym__milestoneStandaloneMarker] = STATE(720),
    [sym__milestoneStart] = STATE(720),
    [sym__milestoneEnd] = STATE(720),
    [sym_milestone] = STATE(176),
    [sym__zNameSpaceRegular] = STATE(719),
    [sym__zNameSpaceClosed] = STATE(719),
    [sym__zNameSpaceStandaloneMarker] = STATE(719),
    [sym_zNameSpace] = STATE(176),
    [aux_sym_verseText_repeat1] = STATE(333),
    [aux_sym_q_repeat1] = STATE(176),
    [aux_sym_text_token1] = ACTIONS(1653),
    [anon_sym_BSLASHref] = ACTIONS(1655),
    [anon_sym_BSLASHsts] = ACTIONS(1657),
    [anon_sym_BSLASHrem] = ACTIONS(1659),
    [anon_sym_BSLASHrestore] = ACTIONS(1661),
    [anon_sym_BSLASHlit] = ACTIONS(1663),
    [anon_sym_BSLASHip] = ACTIONS(622),
    [anon_sym_BSLASHv] = ACTIONS(1665),
    [anon_sym_BSLASHva] = ACTIONS(1667),
    [anon_sym_BSLASHvp] = ACTIONS(1669),
    [anon_sym_BSLASHmte] = ACTIONS(622),
    [anon_sym_BSLASHms] = ACTIONS(622),
    [anon_sym_BSLASHs] = ACTIONS(622),
    [anon_sym_BSLASHr] = ACTIONS(622),
    [anon_sym_BSLASHsp] = ACTIONS(622),
    [anon_sym_BSLASHd] = ACTIONS(622),
    [anon_sym_BSLASHsd] = ACTIONS(622),
    [anon_sym_BSLASHp] = ACTIONS(622),
    [anon_sym_BSLASHm] = ACTIONS(622),
    [anon_sym_BSLASHpo] = ACTIONS(622),
    [anon_sym_BSLASHpr] = ACTIONS(622),
    [anon_sym_BSLASHcls] = ACTIONS(622),
    [anon_sym_BSLASHpmo] = ACTIONS(622),
    [anon_sym_BSLASHpm] = ACTIONS(622),
    [anon_sym_BSLASHpmc] = ACTIONS(622),
    [anon_sym_BSLASHpmr] = ACTIONS(622),
    [anon_sym_BSLASHpi] = ACTIONS(622),
    [anon_sym_BSLASHmi] = ACTIONS(622),
    [anon_sym_BSLASHnb] = ACTIONS(622),
    [anon_sym_BSLASHpc] = ACTIONS(622),
    [anon_sym_BSLASHph] = ACTIONS(622),
    [anon_sym_BSLASHb] = ACTIONS(622),
    [anon_sym_BSLASHq] = ACTIONS(622),
    [anon_sym_BSLASHqr] = ACTIONS(622),
    [anon_sym_BSLASHqc] = ACTIONS(622),
    [anon_sym_BSLASHqs] = ACTIONS(1671),
    [anon_sym_BSLASHqa] = ACTIONS(622),
    [anon_sym_BSLASHqac] = ACTIONS(1673),
    [anon_sym_BSLASHqm] = ACTIONS(622),
    [anon_sym_BSLASHqd] = ACTIONS(622),
    [anon_sym_BSLASHlh] = ACTIONS(622),
    [anon_sym_BSLASHli] = ACTIONS(622),
    [anon_sym_BSLASHlim] = ACTIONS(622),
    [anon_sym_BSLASHtr] = ACTIONS(622),
    [anon_sym_BSLASHf] = ACTIONS(1675),
    [anon_sym_BSLASHfe] = ACTIONS(1677),
    [anon_sym_BSLASHef] = ACTIONS(1679),
    [anon_sym_BSLASHfm] = ACTIONS(1681),
    [anon_sym_BSLASHx] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(1685),
    [anon_sym_BSLASHrq] = ACTIONS(1687),
    [anon_sym_BSLASHadd] = ACTIONS(1689),
    [anon_sym_BSLASHbk] = ACTIONS(1691),
    [anon_sym_BSLASHdc] = ACTIONS(1693),
    [anon_sym_BSLASHk] = ACTIONS(1695),
    [anon_sym_BSLASHnd] = ACTIONS(1697),
    [anon_sym_BSLASHord] = ACTIONS(1699),
    [anon_sym_BSLASHpn] = ACTIONS(1701),
    [anon_sym_BSLASHpng] = ACTIONS(1703),
    [anon_sym_BSLASHaddpn] = ACTIONS(1705),
    [anon_sym_BSLASHqt] = ACTIONS(1707),
    [anon_sym_BSLASHsig] = ACTIONS(1709),
    [anon_sym_BSLASHsls] = ACTIONS(1711),
    [anon_sym_BSLASHtl] = ACTIONS(1713),
    [anon_sym_BSLASHwj] = ACTIONS(1715),
    [anon_sym_BSLASHem] = ACTIONS(1717),
    [anon_sym_BSLASHbd] = ACTIONS(1719),
    [anon_sym_BSLASHit] = ACTIONS(1721),
    [anon_sym_BSLASHbdit] = ACTIONS(1723),
    [anon_sym_BSLASHno] = ACTIONS(1725),
    [anon_sym_BSLASHsc] = ACTIONS(1727),
    [anon_sym_BSLASHsup] = ACTIONS(1729),
    [anon_sym_BSLASHndx] = ACTIONS(1731),
    [anon_sym_BSLASHpro] = ACTIONS(1733),
    [anon_sym_BSLASHrb] = ACTIONS(1735),
    [anon_sym_BSLASHw] = ACTIONS(1737),
    [anon_sym_BSLASHwg] = ACTIONS(1739),
    [anon_sym_BSLASHwh] = ACTIONS(1741),
    [anon_sym_BSLASHwa] = ACTIONS(1743),
    [anon_sym_BSLASHfig] = ACTIONS(1745),
    [anon_sym_BSLASHjmp] = ACTIONS(1747),
    [anon_sym_BSLASHpb] = ACTIONS(622),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1749),
    [sym_milestoneEndTag] = ACTIONS(1751),
    [sym_zSpaceTag] = ACTIONS(1753),
    [anon_sym_BSLASHesbe] = ACTIONS(622),
    [anon_sym_BSLASHcat] = ACTIONS(622),
  },
  [197] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(188),
    [sym_fr] = STATE(188),
    [sym_fq] = STATE(188),
    [sym_fqa] = STATE(188),
    [sym_fk] = STATE(188),
    [sym_fl] = STATE(188),
    [sym_fw] = STATE(188),
    [sym_fp] = STATE(188),
    [sym_ft] = STATE(188),
    [sym_fdc] = STATE(188),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(188),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(188),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(188),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2314),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [198] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2316),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [199] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(153),
    [sym_fr] = STATE(153),
    [sym_fq] = STATE(153),
    [sym_fqa] = STATE(153),
    [sym_fk] = STATE(153),
    [sym_fl] = STATE(153),
    [sym_fw] = STATE(153),
    [sym_fp] = STATE(153),
    [sym_ft] = STATE(153),
    [sym_fdc] = STATE(153),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(153),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(153),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(153),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2318),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [200] = {
    [sym__comments] = STATE(168),
    [sym_sts] = STATE(168),
    [sym_rem] = STATE(168),
    [sym_restore] = STATE(168),
    [sym_lit] = STATE(168),
    [sym_ip] = STATE(168),
    [sym_iex] = STATE(168),
    [sym__chapterContent] = STATE(168),
    [sym__chapterMeta] = STATE(168),
    [sym_cl] = STATE(168),
    [sym_ca] = STATE(168),
    [sym_cp] = STATE(168),
    [sym_cd] = STATE(168),
    [sym_title] = STATE(168),
    [sym_mteBlock] = STATE(1451),
    [sym_mte] = STATE(1410),
    [sym_mteTag] = STATE(1889),
    [sym_msBlock] = STATE(1451),
    [sym_ms] = STATE(1385),
    [sym_msTag] = STATE(1144),
    [sym_sBlock] = STATE(1451),
    [sym_s] = STATE(1402),
    [sym_sTag] = STATE(292),
    [sym_r] = STATE(1451),
    [sym_sp] = STATE(1451),
    [sym_d] = STATE(1451),
    [sym_sdBlock] = STATE(1451),
    [sym_sd] = STATE(1358),
    [sym_sdTag] = STATE(1449),
    [sym_paragraph] = STATE(168),
    [sym_p] = STATE(1446),
    [sym_m] = STATE(1446),
    [sym_po] = STATE(1446),
    [sym_pr] = STATE(1446),
    [sym_cls] = STATE(1446),
    [sym_pmo] = STATE(1446),
    [sym_pm] = STATE(1446),
    [sym_pmc] = STATE(1446),
    [sym_pmr] = STATE(1446),
    [sym_piBlock] = STATE(1446),
    [sym_pi] = STATE(1403),
    [sym_piTag] = STATE(82),
    [sym_mi] = STATE(1446),
    [sym_nb] = STATE(1446),
    [sym_pc] = STATE(1446),
    [sym_phBlock] = STATE(1446),
    [sym_ph] = STATE(1405),
    [sym_phTag] = STATE(83),
    [sym_b] = STATE(1446),
    [sym_poetry] = STATE(168),
    [sym_qBlock] = STATE(1246),
    [sym_q] = STATE(1408),
    [sym_qTag] = STATE(73),
    [sym_qr] = STATE(1246),
    [sym_qc] = STATE(1246),
    [sym_qa] = STATE(1451),
    [sym_qmBlock] = STATE(1246),
    [sym_qm] = STATE(1409),
    [sym_qmTag] = STATE(64),
    [sym_qd] = STATE(1246),
    [sym_list] = STATE(168),
    [sym_lh] = STATE(1924),
    [sym__listMarker] = STATE(1247),
    [sym_liBlock] = STATE(1247),
    [sym_li] = STATE(1373),
    [sym_liTag] = STATE(60),
    [sym_limBlock] = STATE(1247),
    [sym_lim] = STATE(1364),
    [sym_limTag] = STATE(59),
    [sym_table] = STATE(168),
    [sym_tr] = STATE(1452),
    [sym_footnote] = STATE(168),
    [sym_f] = STATE(1444),
    [sym_fe] = STATE(1444),
    [sym_ef] = STATE(1444),
    [sym_fm] = STATE(1444),
    [sym_pb] = STATE(168),
    [sym_milestoneTag] = STATE(2088),
    [sym__milestoneStandaloneMarker] = STATE(1458),
    [sym__milestoneStart] = STATE(1458),
    [sym__milestoneEnd] = STATE(1458),
    [sym_milestone] = STATE(168),
    [sym__zNameSpaceRegular] = STATE(1450),
    [sym__zNameSpaceClosed] = STATE(1450),
    [sym__zNameSpaceStandaloneMarker] = STATE(1450),
    [sym_zNameSpace] = STATE(168),
    [sym_esb] = STATE(168),
    [aux_sym_chapter_repeat1] = STATE(168),
    [aux_sym_mteBlock_repeat1] = STATE(1410),
    [aux_sym_msBlock_repeat1] = STATE(1385),
    [aux_sym_sBlock_repeat1] = STATE(1402),
    [aux_sym_sdBlock_repeat1] = STATE(1358),
    [aux_sym_piBlock_repeat1] = STATE(1403),
    [aux_sym_phBlock_repeat1] = STATE(1405),
    [aux_sym_poetry_repeat1] = STATE(1246),
    [aux_sym_qBlock_repeat1] = STATE(1408),
    [aux_sym_qmBlock_repeat1] = STATE(1409),
    [aux_sym_list_repeat1] = STATE(1247),
    [aux_sym_liBlock_repeat1] = STATE(1373),
    [aux_sym_limBlock_repeat1] = STATE(1364),
    [aux_sym_table_repeat1] = STATE(1452),
    [ts_builtin_sym_end] = ACTIONS(2320),
    [anon_sym_BSLASHsts] = ACTIONS(1779),
    [anon_sym_BSLASHrem] = ACTIONS(1781),
    [anon_sym_BSLASHrestore] = ACTIONS(1783),
    [anon_sym_BSLASHlit] = ACTIONS(1785),
    [anon_sym_BSLASHip] = ACTIONS(1787),
    [anon_sym_BSLASHiex] = ACTIONS(1789),
    [anon_sym_BSLASHc] = ACTIONS(2320),
    [anon_sym_BSLASHcl] = ACTIONS(1791),
    [anon_sym_BSLASHca] = ACTIONS(1793),
    [anon_sym_BSLASHcp] = ACTIONS(1795),
    [anon_sym_BSLASHcd] = ACTIONS(1797),
    [anon_sym_BSLASHmte] = ACTIONS(1799),
    [anon_sym_BSLASHms] = ACTIONS(1801),
    [anon_sym_BSLASHs] = ACTIONS(1803),
    [anon_sym_BSLASHr] = ACTIONS(1805),
    [anon_sym_BSLASHsp] = ACTIONS(1807),
    [anon_sym_BSLASHd] = ACTIONS(1809),
    [anon_sym_BSLASHsd] = ACTIONS(1811),
    [anon_sym_BSLASHp] = ACTIONS(1813),
    [anon_sym_BSLASHm] = ACTIONS(1815),
    [anon_sym_BSLASHpo] = ACTIONS(1817),
    [anon_sym_BSLASHpr] = ACTIONS(1819),
    [anon_sym_BSLASHcls] = ACTIONS(1821),
    [anon_sym_BSLASHpmo] = ACTIONS(1823),
    [anon_sym_BSLASHpm] = ACTIONS(1825),
    [anon_sym_BSLASHpmc] = ACTIONS(1827),
    [anon_sym_BSLASHpmr] = ACTIONS(1829),
    [anon_sym_BSLASHpi] = ACTIONS(1831),
    [anon_sym_BSLASHmi] = ACTIONS(1833),
    [anon_sym_BSLASHnb] = ACTIONS(1835),
    [anon_sym_BSLASHpc] = ACTIONS(1837),
    [anon_sym_BSLASHph] = ACTIONS(1839),
    [anon_sym_BSLASHb] = ACTIONS(1841),
    [anon_sym_BSLASHq] = ACTIONS(1843),
    [anon_sym_BSLASHqr] = ACTIONS(1845),
    [anon_sym_BSLASHqc] = ACTIONS(1847),
    [anon_sym_BSLASHqa] = ACTIONS(1849),
    [anon_sym_BSLASHqm] = ACTIONS(1851),
    [anon_sym_BSLASHqd] = ACTIONS(1853),
    [anon_sym_BSLASHlh] = ACTIONS(1855),
    [anon_sym_BSLASHli] = ACTIONS(1857),
    [anon_sym_BSLASHlim] = ACTIONS(1859),
    [anon_sym_BSLASHtr] = ACTIONS(1861),
    [anon_sym_BSLASHf] = ACTIONS(1863),
    [anon_sym_BSLASHfe] = ACTIONS(1865),
    [anon_sym_BSLASHef] = ACTIONS(1867),
    [anon_sym_BSLASHfm] = ACTIONS(1869),
    [anon_sym_BSLASHpb] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1873),
    [sym_milestoneEndTag] = ACTIONS(1875),
    [sym_zSpaceTag] = ACTIONS(1877),
    [anon_sym_BSLASHesb] = ACTIONS(1879),
  },
  [201] = {
    [sym__comments] = STATE(169),
    [sym_sts] = STATE(169),
    [sym_rem] = STATE(169),
    [sym_restore] = STATE(169),
    [sym_lit] = STATE(169),
    [sym_ip] = STATE(169),
    [sym_iex] = STATE(169),
    [sym__chapterContent] = STATE(169),
    [sym__chapterMeta] = STATE(169),
    [sym_cl] = STATE(169),
    [sym_ca] = STATE(169),
    [sym_cp] = STATE(169),
    [sym_cd] = STATE(169),
    [sym_title] = STATE(169),
    [sym_mteBlock] = STATE(1451),
    [sym_mte] = STATE(1410),
    [sym_mteTag] = STATE(1889),
    [sym_msBlock] = STATE(1451),
    [sym_ms] = STATE(1385),
    [sym_msTag] = STATE(1144),
    [sym_sBlock] = STATE(1451),
    [sym_s] = STATE(1402),
    [sym_sTag] = STATE(292),
    [sym_r] = STATE(1451),
    [sym_sp] = STATE(1451),
    [sym_d] = STATE(1451),
    [sym_sdBlock] = STATE(1451),
    [sym_sd] = STATE(1358),
    [sym_sdTag] = STATE(1449),
    [sym_paragraph] = STATE(169),
    [sym_p] = STATE(1446),
    [sym_m] = STATE(1446),
    [sym_po] = STATE(1446),
    [sym_pr] = STATE(1446),
    [sym_cls] = STATE(1446),
    [sym_pmo] = STATE(1446),
    [sym_pm] = STATE(1446),
    [sym_pmc] = STATE(1446),
    [sym_pmr] = STATE(1446),
    [sym_piBlock] = STATE(1446),
    [sym_pi] = STATE(1403),
    [sym_piTag] = STATE(82),
    [sym_mi] = STATE(1446),
    [sym_nb] = STATE(1446),
    [sym_pc] = STATE(1446),
    [sym_phBlock] = STATE(1446),
    [sym_ph] = STATE(1405),
    [sym_phTag] = STATE(83),
    [sym_b] = STATE(1446),
    [sym_poetry] = STATE(169),
    [sym_qBlock] = STATE(1246),
    [sym_q] = STATE(1408),
    [sym_qTag] = STATE(73),
    [sym_qr] = STATE(1246),
    [sym_qc] = STATE(1246),
    [sym_qa] = STATE(1451),
    [sym_qmBlock] = STATE(1246),
    [sym_qm] = STATE(1409),
    [sym_qmTag] = STATE(64),
    [sym_qd] = STATE(1246),
    [sym_list] = STATE(169),
    [sym_lh] = STATE(1924),
    [sym__listMarker] = STATE(1247),
    [sym_liBlock] = STATE(1247),
    [sym_li] = STATE(1373),
    [sym_liTag] = STATE(60),
    [sym_limBlock] = STATE(1247),
    [sym_lim] = STATE(1364),
    [sym_limTag] = STATE(59),
    [sym_table] = STATE(169),
    [sym_tr] = STATE(1452),
    [sym_footnote] = STATE(169),
    [sym_f] = STATE(1444),
    [sym_fe] = STATE(1444),
    [sym_ef] = STATE(1444),
    [sym_fm] = STATE(1444),
    [sym_pb] = STATE(169),
    [sym_milestoneTag] = STATE(2088),
    [sym__milestoneStandaloneMarker] = STATE(1458),
    [sym__milestoneStart] = STATE(1458),
    [sym__milestoneEnd] = STATE(1458),
    [sym_milestone] = STATE(169),
    [sym__zNameSpaceRegular] = STATE(1450),
    [sym__zNameSpaceClosed] = STATE(1450),
    [sym__zNameSpaceStandaloneMarker] = STATE(1450),
    [sym_zNameSpace] = STATE(169),
    [sym_esb] = STATE(169),
    [aux_sym_chapter_repeat1] = STATE(169),
    [aux_sym_mteBlock_repeat1] = STATE(1410),
    [aux_sym_msBlock_repeat1] = STATE(1385),
    [aux_sym_sBlock_repeat1] = STATE(1402),
    [aux_sym_sdBlock_repeat1] = STATE(1358),
    [aux_sym_piBlock_repeat1] = STATE(1403),
    [aux_sym_phBlock_repeat1] = STATE(1405),
    [aux_sym_poetry_repeat1] = STATE(1246),
    [aux_sym_qBlock_repeat1] = STATE(1408),
    [aux_sym_qmBlock_repeat1] = STATE(1409),
    [aux_sym_list_repeat1] = STATE(1247),
    [aux_sym_liBlock_repeat1] = STATE(1373),
    [aux_sym_limBlock_repeat1] = STATE(1364),
    [aux_sym_table_repeat1] = STATE(1452),
    [ts_builtin_sym_end] = ACTIONS(2320),
    [anon_sym_BSLASHsts] = ACTIONS(1779),
    [anon_sym_BSLASHrem] = ACTIONS(1781),
    [anon_sym_BSLASHrestore] = ACTIONS(1783),
    [anon_sym_BSLASHlit] = ACTIONS(1785),
    [anon_sym_BSLASHip] = ACTIONS(1787),
    [anon_sym_BSLASHiex] = ACTIONS(1789),
    [anon_sym_BSLASHc] = ACTIONS(2320),
    [anon_sym_BSLASHcl] = ACTIONS(1791),
    [anon_sym_BSLASHca] = ACTIONS(1793),
    [anon_sym_BSLASHcp] = ACTIONS(1795),
    [anon_sym_BSLASHcd] = ACTIONS(1797),
    [anon_sym_BSLASHmte] = ACTIONS(1799),
    [anon_sym_BSLASHms] = ACTIONS(1801),
    [anon_sym_BSLASHs] = ACTIONS(1803),
    [anon_sym_BSLASHr] = ACTIONS(1805),
    [anon_sym_BSLASHsp] = ACTIONS(1807),
    [anon_sym_BSLASHd] = ACTIONS(1809),
    [anon_sym_BSLASHsd] = ACTIONS(1811),
    [anon_sym_BSLASHp] = ACTIONS(1813),
    [anon_sym_BSLASHm] = ACTIONS(1815),
    [anon_sym_BSLASHpo] = ACTIONS(1817),
    [anon_sym_BSLASHpr] = ACTIONS(1819),
    [anon_sym_BSLASHcls] = ACTIONS(1821),
    [anon_sym_BSLASHpmo] = ACTIONS(1823),
    [anon_sym_BSLASHpm] = ACTIONS(1825),
    [anon_sym_BSLASHpmc] = ACTIONS(1827),
    [anon_sym_BSLASHpmr] = ACTIONS(1829),
    [anon_sym_BSLASHpi] = ACTIONS(1831),
    [anon_sym_BSLASHmi] = ACTIONS(1833),
    [anon_sym_BSLASHnb] = ACTIONS(1835),
    [anon_sym_BSLASHpc] = ACTIONS(1837),
    [anon_sym_BSLASHph] = ACTIONS(1839),
    [anon_sym_BSLASHb] = ACTIONS(1841),
    [anon_sym_BSLASHq] = ACTIONS(1843),
    [anon_sym_BSLASHqr] = ACTIONS(1845),
    [anon_sym_BSLASHqc] = ACTIONS(1847),
    [anon_sym_BSLASHqa] = ACTIONS(1849),
    [anon_sym_BSLASHqm] = ACTIONS(1851),
    [anon_sym_BSLASHqd] = ACTIONS(1853),
    [anon_sym_BSLASHlh] = ACTIONS(1855),
    [anon_sym_BSLASHli] = ACTIONS(1857),
    [anon_sym_BSLASHlim] = ACTIONS(1859),
    [anon_sym_BSLASHtr] = ACTIONS(1861),
    [anon_sym_BSLASHf] = ACTIONS(1863),
    [anon_sym_BSLASHfe] = ACTIONS(1865),
    [anon_sym_BSLASHef] = ACTIONS(1867),
    [anon_sym_BSLASHfm] = ACTIONS(1869),
    [anon_sym_BSLASHpb] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1873),
    [sym_milestoneEndTag] = ACTIONS(1875),
    [sym_zSpaceTag] = ACTIONS(1877),
    [anon_sym_BSLASHesb] = ACTIONS(1879),
  },
  [202] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(189),
    [sym_fr] = STATE(189),
    [sym_fq] = STATE(189),
    [sym_fqa] = STATE(189),
    [sym_fk] = STATE(189),
    [sym_fl] = STATE(189),
    [sym_fw] = STATE(189),
    [sym_fp] = STATE(189),
    [sym_ft] = STATE(189),
    [sym_fdc] = STATE(189),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(189),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(189),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(189),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [203] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(178),
    [sym_fr] = STATE(178),
    [sym_fq] = STATE(178),
    [sym_fqa] = STATE(178),
    [sym_fk] = STATE(178),
    [sym_fl] = STATE(178),
    [sym_fw] = STATE(178),
    [sym_fp] = STATE(178),
    [sym_ft] = STATE(178),
    [sym_fdc] = STATE(178),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(178),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(178),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(178),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2324),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [204] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(79),
    [sym_fr] = STATE(79),
    [sym_fq] = STATE(79),
    [sym_fqa] = STATE(79),
    [sym_fk] = STATE(79),
    [sym_fl] = STATE(79),
    [sym_fw] = STATE(79),
    [sym_fp] = STATE(79),
    [sym_ft] = STATE(79),
    [sym_fdc] = STATE(79),
    [sym_fv] = STATE(205),
    [sym__footnoteContents] = STATE(79),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [sym_cat] = STATE(79),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_f_repeat1] = STATE(79),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHfr] = ACTIONS(1571),
    [anon_sym_BSLASHfq] = ACTIONS(1573),
    [anon_sym_BSLASHfqa] = ACTIONS(1575),
    [anon_sym_BSLASHfk] = ACTIONS(1577),
    [anon_sym_BSLASHfl] = ACTIONS(1579),
    [anon_sym_BSLASHfw] = ACTIONS(1581),
    [anon_sym_BSLASHfp] = ACTIONS(1583),
    [anon_sym_BSLASHft] = ACTIONS(1585),
    [anon_sym_BSLASHfdc] = ACTIONS(1587),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(1651),
  },
  [205] = {
    [sym_text] = STATE(206),
    [sym_ref] = STATE(206),
    [sym_fv] = STATE(206),
    [sym_xtNested] = STATE(206),
    [sym_xt_standalone] = STATE(206),
    [sym_add] = STATE(206),
    [sym_bk] = STATE(206),
    [sym_dc] = STATE(206),
    [sym_k] = STATE(206),
    [sym_nd] = STATE(206),
    [sym_ord] = STATE(206),
    [sym_pn] = STATE(206),
    [sym_png] = STATE(206),
    [sym_addpn] = STATE(206),
    [sym_qt] = STATE(206),
    [sym_sig] = STATE(206),
    [sym_sls] = STATE(206),
    [sym_tl] = STATE(206),
    [sym_wj] = STATE(206),
    [sym_em] = STATE(206),
    [sym_bd] = STATE(206),
    [sym_it] = STATE(206),
    [sym_bdit] = STATE(206),
    [sym_no] = STATE(206),
    [sym_sc] = STATE(206),
    [sym_sup] = STATE(206),
    [sym_ndx] = STATE(206),
    [sym_pro] = STATE(206),
    [sym_rb] = STATE(206),
    [sym_w] = STATE(206),
    [sym_wg] = STATE(206),
    [sym_wh] = STATE(206),
    [sym_wa] = STATE(206),
    [sym__characterMarker] = STATE(206),
    [sym_addNested] = STATE(206),
    [sym_bkNested] = STATE(206),
    [sym_dcNested] = STATE(206),
    [sym_kNested] = STATE(206),
    [sym_ndNested] = STATE(206),
    [sym_ordNested] = STATE(206),
    [sym_pnNested] = STATE(206),
    [sym_pngNested] = STATE(206),
    [sym_addpnNested] = STATE(206),
    [sym_qtNested] = STATE(206),
    [sym_sigNested] = STATE(206),
    [sym_slsNested] = STATE(206),
    [sym_tlNested] = STATE(206),
    [sym_wjNested] = STATE(206),
    [sym_emNested] = STATE(206),
    [sym_bdNested] = STATE(206),
    [sym_itNested] = STATE(206),
    [sym_bditNested] = STATE(206),
    [sym_noNested] = STATE(206),
    [sym_scNested] = STATE(206),
    [sym_supNested] = STATE(206),
    [sym_ndxNested] = STATE(206),
    [sym_proNested] = STATE(206),
    [sym_rbNested] = STATE(206),
    [sym_wNested] = STATE(206),
    [sym_wgNested] = STATE(206),
    [sym_whNested] = STATE(206),
    [sym_waNested] = STATE(206),
    [sym__nestedCharacterMarker] = STATE(206),
    [sym_fig] = STATE(206),
    [sym_jmp] = STATE(206),
    [sym_jmpNested] = STATE(206),
    [aux_sym_footnoteText_repeat1] = STATE(206),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHfr] = ACTIONS(2328),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHfq] = ACTIONS(2328),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHfqa] = ACTIONS(2328),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHfk] = ACTIONS(2328),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHfl] = ACTIONS(2328),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHfw] = ACTIONS(2328),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHfp] = ACTIONS(2328),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHft] = ACTIONS(2328),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHfdc] = ACTIONS(2328),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(2328),
  },
  [206] = {
    [sym_text] = STATE(206),
    [sym_ref] = STATE(206),
    [sym_fv] = STATE(206),
    [sym_xtNested] = STATE(206),
    [sym_xt_standalone] = STATE(206),
    [sym_add] = STATE(206),
    [sym_bk] = STATE(206),
    [sym_dc] = STATE(206),
    [sym_k] = STATE(206),
    [sym_nd] = STATE(206),
    [sym_ord] = STATE(206),
    [sym_pn] = STATE(206),
    [sym_png] = STATE(206),
    [sym_addpn] = STATE(206),
    [sym_qt] = STATE(206),
    [sym_sig] = STATE(206),
    [sym_sls] = STATE(206),
    [sym_tl] = STATE(206),
    [sym_wj] = STATE(206),
    [sym_em] = STATE(206),
    [sym_bd] = STATE(206),
    [sym_it] = STATE(206),
    [sym_bdit] = STATE(206),
    [sym_no] = STATE(206),
    [sym_sc] = STATE(206),
    [sym_sup] = STATE(206),
    [sym_ndx] = STATE(206),
    [sym_pro] = STATE(206),
    [sym_rb] = STATE(206),
    [sym_w] = STATE(206),
    [sym_wg] = STATE(206),
    [sym_wh] = STATE(206),
    [sym_wa] = STATE(206),
    [sym__characterMarker] = STATE(206),
    [sym_addNested] = STATE(206),
    [sym_bkNested] = STATE(206),
    [sym_dcNested] = STATE(206),
    [sym_kNested] = STATE(206),
    [sym_ndNested] = STATE(206),
    [sym_ordNested] = STATE(206),
    [sym_pnNested] = STATE(206),
    [sym_pngNested] = STATE(206),
    [sym_addpnNested] = STATE(206),
    [sym_qtNested] = STATE(206),
    [sym_sigNested] = STATE(206),
    [sym_slsNested] = STATE(206),
    [sym_tlNested] = STATE(206),
    [sym_wjNested] = STATE(206),
    [sym_emNested] = STATE(206),
    [sym_bdNested] = STATE(206),
    [sym_itNested] = STATE(206),
    [sym_bditNested] = STATE(206),
    [sym_noNested] = STATE(206),
    [sym_scNested] = STATE(206),
    [sym_supNested] = STATE(206),
    [sym_ndxNested] = STATE(206),
    [sym_proNested] = STATE(206),
    [sym_rbNested] = STATE(206),
    [sym_wNested] = STATE(206),
    [sym_wgNested] = STATE(206),
    [sym_whNested] = STATE(206),
    [sym_waNested] = STATE(206),
    [sym__nestedCharacterMarker] = STATE(206),
    [sym_fig] = STATE(206),
    [sym_jmp] = STATE(206),
    [sym_jmpNested] = STATE(206),
    [aux_sym_footnoteText_repeat1] = STATE(206),
    [aux_sym_text_token1] = ACTIONS(2330),
    [anon_sym_BSLASHref] = ACTIONS(2333),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2336),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2336),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2336),
    [anon_sym_BSLASHfr] = ACTIONS(2336),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2336),
    [anon_sym_BSLASHfq] = ACTIONS(2336),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2336),
    [anon_sym_BSLASHfqa] = ACTIONS(2336),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2336),
    [anon_sym_BSLASHfk] = ACTIONS(2336),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2336),
    [anon_sym_BSLASHfl] = ACTIONS(2336),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2336),
    [anon_sym_BSLASHfw] = ACTIONS(2336),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2336),
    [anon_sym_BSLASHfp] = ACTIONS(2336),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2336),
    [anon_sym_BSLASHft] = ACTIONS(2336),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2336),
    [anon_sym_BSLASHfdc] = ACTIONS(2336),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2336),
    [anon_sym_BSLASHfv] = ACTIONS(2338),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2336),
    [anon_sym_BSLASHxt] = ACTIONS(2341),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2344),
    [anon_sym_BSLASHadd] = ACTIONS(2347),
    [anon_sym_BSLASHbk] = ACTIONS(2350),
    [anon_sym_BSLASHdc] = ACTIONS(2353),
    [anon_sym_BSLASHk] = ACTIONS(2356),
    [anon_sym_BSLASHnd] = ACTIONS(2359),
    [anon_sym_BSLASHord] = ACTIONS(2362),
    [anon_sym_BSLASHpn] = ACTIONS(2365),
    [anon_sym_BSLASHpng] = ACTIONS(2368),
    [anon_sym_BSLASHaddpn] = ACTIONS(2371),
    [anon_sym_BSLASHqt] = ACTIONS(2374),
    [anon_sym_BSLASHsig] = ACTIONS(2377),
    [anon_sym_BSLASHsls] = ACTIONS(2380),
    [anon_sym_BSLASHtl] = ACTIONS(2383),
    [anon_sym_BSLASHwj] = ACTIONS(2386),
    [anon_sym_BSLASHem] = ACTIONS(2389),
    [anon_sym_BSLASHbd] = ACTIONS(2392),
    [anon_sym_BSLASHit] = ACTIONS(2395),
    [anon_sym_BSLASHbdit] = ACTIONS(2398),
    [anon_sym_BSLASHno] = ACTIONS(2401),
    [anon_sym_BSLASHsc] = ACTIONS(2404),
    [anon_sym_BSLASHsup] = ACTIONS(2407),
    [anon_sym_BSLASHndx] = ACTIONS(2410),
    [anon_sym_BSLASHpro] = ACTIONS(2413),
    [anon_sym_BSLASHrb] = ACTIONS(2416),
    [anon_sym_BSLASHw] = ACTIONS(2419),
    [anon_sym_BSLASHwg] = ACTIONS(2422),
    [anon_sym_BSLASHwh] = ACTIONS(2425),
    [anon_sym_BSLASHwa] = ACTIONS(2428),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2431),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2434),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2437),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2440),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2443),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2446),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2449),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2452),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2455),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2458),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2461),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2464),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2467),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2470),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2473),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2476),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2479),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2482),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2485),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2488),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2491),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2494),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2497),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2500),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2503),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2506),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2509),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2512),
    [anon_sym_BSLASHfig] = ACTIONS(2515),
    [anon_sym_BSLASHjmp] = ACTIONS(2518),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2521),
    [anon_sym_BSLASHcat] = ACTIONS(2336),
  },
  [207] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(218),
    [sym__comments] = STATE(218),
    [sym_sts] = STATE(218),
    [sym_rem] = STATE(218),
    [sym_restore] = STATE(218),
    [sym_lit] = STATE(218),
    [sym_verseText] = STATE(218),
    [sym_v] = STATE(218),
    [sym__verseMeta] = STATE(218),
    [sym_va] = STATE(218),
    [sym_vp] = STATE(218),
    [sym__paragraphContent] = STATE(218),
    [sym_footnote] = STATE(218),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(218),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(218),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(218),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(218),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1341),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1341),
    [anon_sym_BSLASHms] = ACTIONS(1341),
    [anon_sym_BSLASHs] = ACTIONS(1341),
    [anon_sym_BSLASHr] = ACTIONS(1341),
    [anon_sym_BSLASHsp] = ACTIONS(1341),
    [anon_sym_BSLASHd] = ACTIONS(1341),
    [anon_sym_BSLASHsd] = ACTIONS(1341),
    [anon_sym_BSLASHp] = ACTIONS(1341),
    [anon_sym_BSLASHm] = ACTIONS(1341),
    [anon_sym_BSLASHpo] = ACTIONS(1341),
    [anon_sym_BSLASHpr] = ACTIONS(1341),
    [anon_sym_BSLASHcls] = ACTIONS(1341),
    [anon_sym_BSLASHpmo] = ACTIONS(1341),
    [anon_sym_BSLASHpm] = ACTIONS(1341),
    [anon_sym_BSLASHpmc] = ACTIONS(1341),
    [anon_sym_BSLASHpmr] = ACTIONS(1341),
    [anon_sym_BSLASHpi] = ACTIONS(1341),
    [anon_sym_BSLASHmi] = ACTIONS(1341),
    [anon_sym_BSLASHnb] = ACTIONS(1341),
    [anon_sym_BSLASHpc] = ACTIONS(1341),
    [anon_sym_BSLASHph] = ACTIONS(1341),
    [anon_sym_BSLASHb] = ACTIONS(1341),
    [anon_sym_BSLASHq] = ACTIONS(1341),
    [anon_sym_BSLASHqr] = ACTIONS(1341),
    [anon_sym_BSLASHqc] = ACTIONS(1341),
    [anon_sym_BSLASHqa] = ACTIONS(1341),
    [anon_sym_BSLASHqm] = ACTIONS(1341),
    [anon_sym_BSLASHqd] = ACTIONS(1341),
    [anon_sym_BSLASHlh] = ACTIONS(1341),
    [anon_sym_BSLASHli] = ACTIONS(1341),
    [anon_sym_BSLASHlim] = ACTIONS(1341),
    [anon_sym_BSLASHtr] = ACTIONS(1341),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1341),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1341),
    [anon_sym_BSLASHcat] = ACTIONS(1341),
  },
  [208] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1361),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1361),
    [anon_sym_BSLASHms] = ACTIONS(1361),
    [anon_sym_BSLASHs] = ACTIONS(1361),
    [anon_sym_BSLASHr] = ACTIONS(1361),
    [anon_sym_BSLASHsp] = ACTIONS(1361),
    [anon_sym_BSLASHd] = ACTIONS(1361),
    [anon_sym_BSLASHsd] = ACTIONS(1361),
    [anon_sym_BSLASHp] = ACTIONS(1361),
    [anon_sym_BSLASHm] = ACTIONS(1361),
    [anon_sym_BSLASHpo] = ACTIONS(1361),
    [anon_sym_BSLASHpr] = ACTIONS(1361),
    [anon_sym_BSLASHcls] = ACTIONS(1361),
    [anon_sym_BSLASHpmo] = ACTIONS(1361),
    [anon_sym_BSLASHpm] = ACTIONS(1361),
    [anon_sym_BSLASHpmc] = ACTIONS(1361),
    [anon_sym_BSLASHpmr] = ACTIONS(1361),
    [anon_sym_BSLASHpi] = ACTIONS(1361),
    [anon_sym_BSLASHmi] = ACTIONS(1361),
    [anon_sym_BSLASHnb] = ACTIONS(1361),
    [anon_sym_BSLASHpc] = ACTIONS(1361),
    [anon_sym_BSLASHph] = ACTIONS(1361),
    [anon_sym_BSLASHb] = ACTIONS(1361),
    [anon_sym_BSLASHq] = ACTIONS(1361),
    [anon_sym_BSLASHqr] = ACTIONS(1361),
    [anon_sym_BSLASHqc] = ACTIONS(1361),
    [anon_sym_BSLASHqa] = ACTIONS(1361),
    [anon_sym_BSLASHqm] = ACTIONS(1361),
    [anon_sym_BSLASHqd] = ACTIONS(1361),
    [anon_sym_BSLASHlh] = ACTIONS(1361),
    [anon_sym_BSLASHli] = ACTIONS(1361),
    [anon_sym_BSLASHlim] = ACTIONS(1361),
    [anon_sym_BSLASHtr] = ACTIONS(1361),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1361),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1361),
    [anon_sym_BSLASHcat] = ACTIONS(1361),
  },
  [209] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(235),
    [sym__comments] = STATE(235),
    [sym_sts] = STATE(235),
    [sym_rem] = STATE(235),
    [sym_restore] = STATE(235),
    [sym_lit] = STATE(235),
    [sym_verseText] = STATE(235),
    [sym_v] = STATE(235),
    [sym__verseMeta] = STATE(235),
    [sym_va] = STATE(235),
    [sym_vp] = STATE(235),
    [sym__paragraphContent] = STATE(235),
    [sym_footnote] = STATE(235),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(235),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(235),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(235),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(235),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1321),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1321),
    [anon_sym_BSLASHms] = ACTIONS(1321),
    [anon_sym_BSLASHs] = ACTIONS(1321),
    [anon_sym_BSLASHr] = ACTIONS(1321),
    [anon_sym_BSLASHsp] = ACTIONS(1321),
    [anon_sym_BSLASHd] = ACTIONS(1321),
    [anon_sym_BSLASHsd] = ACTIONS(1321),
    [anon_sym_BSLASHp] = ACTIONS(1321),
    [anon_sym_BSLASHm] = ACTIONS(1321),
    [anon_sym_BSLASHpo] = ACTIONS(1321),
    [anon_sym_BSLASHpr] = ACTIONS(1321),
    [anon_sym_BSLASHcls] = ACTIONS(1321),
    [anon_sym_BSLASHpmo] = ACTIONS(1321),
    [anon_sym_BSLASHpm] = ACTIONS(1321),
    [anon_sym_BSLASHpmc] = ACTIONS(1321),
    [anon_sym_BSLASHpmr] = ACTIONS(1321),
    [anon_sym_BSLASHpi] = ACTIONS(1321),
    [anon_sym_BSLASHmi] = ACTIONS(1321),
    [anon_sym_BSLASHnb] = ACTIONS(1321),
    [anon_sym_BSLASHpc] = ACTIONS(1321),
    [anon_sym_BSLASHph] = ACTIONS(1321),
    [anon_sym_BSLASHb] = ACTIONS(1321),
    [anon_sym_BSLASHq] = ACTIONS(1321),
    [anon_sym_BSLASHqr] = ACTIONS(1321),
    [anon_sym_BSLASHqc] = ACTIONS(1321),
    [anon_sym_BSLASHqa] = ACTIONS(1321),
    [anon_sym_BSLASHqm] = ACTIONS(1321),
    [anon_sym_BSLASHqd] = ACTIONS(1321),
    [anon_sym_BSLASHlh] = ACTIONS(1321),
    [anon_sym_BSLASHli] = ACTIONS(1321),
    [anon_sym_BSLASHlim] = ACTIONS(1321),
    [anon_sym_BSLASHtr] = ACTIONS(1321),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1321),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1321),
    [anon_sym_BSLASHcat] = ACTIONS(1321),
  },
  [210] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(217),
    [sym__comments] = STATE(217),
    [sym_sts] = STATE(217),
    [sym_rem] = STATE(217),
    [sym_restore] = STATE(217),
    [sym_lit] = STATE(217),
    [sym_verseText] = STATE(217),
    [sym_v] = STATE(217),
    [sym__verseMeta] = STATE(217),
    [sym_va] = STATE(217),
    [sym_vp] = STATE(217),
    [sym__paragraphContent] = STATE(217),
    [sym_footnote] = STATE(217),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(217),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(217),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(217),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(217),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1317),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1317),
    [anon_sym_BSLASHms] = ACTIONS(1317),
    [anon_sym_BSLASHs] = ACTIONS(1317),
    [anon_sym_BSLASHr] = ACTIONS(1317),
    [anon_sym_BSLASHsp] = ACTIONS(1317),
    [anon_sym_BSLASHd] = ACTIONS(1317),
    [anon_sym_BSLASHsd] = ACTIONS(1317),
    [anon_sym_BSLASHp] = ACTIONS(1317),
    [anon_sym_BSLASHm] = ACTIONS(1317),
    [anon_sym_BSLASHpo] = ACTIONS(1317),
    [anon_sym_BSLASHpr] = ACTIONS(1317),
    [anon_sym_BSLASHcls] = ACTIONS(1317),
    [anon_sym_BSLASHpmo] = ACTIONS(1317),
    [anon_sym_BSLASHpm] = ACTIONS(1317),
    [anon_sym_BSLASHpmc] = ACTIONS(1317),
    [anon_sym_BSLASHpmr] = ACTIONS(1317),
    [anon_sym_BSLASHpi] = ACTIONS(1317),
    [anon_sym_BSLASHmi] = ACTIONS(1317),
    [anon_sym_BSLASHnb] = ACTIONS(1317),
    [anon_sym_BSLASHpc] = ACTIONS(1317),
    [anon_sym_BSLASHph] = ACTIONS(1317),
    [anon_sym_BSLASHb] = ACTIONS(1317),
    [anon_sym_BSLASHq] = ACTIONS(1317),
    [anon_sym_BSLASHqr] = ACTIONS(1317),
    [anon_sym_BSLASHqc] = ACTIONS(1317),
    [anon_sym_BSLASHqa] = ACTIONS(1317),
    [anon_sym_BSLASHqm] = ACTIONS(1317),
    [anon_sym_BSLASHqd] = ACTIONS(1317),
    [anon_sym_BSLASHlh] = ACTIONS(1317),
    [anon_sym_BSLASHli] = ACTIONS(1317),
    [anon_sym_BSLASHlim] = ACTIONS(1317),
    [anon_sym_BSLASHtr] = ACTIONS(1317),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1317),
    [anon_sym_BSLASHcat] = ACTIONS(1317),
  },
  [211] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1409),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1409),
    [anon_sym_BSLASHms] = ACTIONS(1409),
    [anon_sym_BSLASHs] = ACTIONS(1409),
    [anon_sym_BSLASHr] = ACTIONS(1409),
    [anon_sym_BSLASHsp] = ACTIONS(1409),
    [anon_sym_BSLASHd] = ACTIONS(1409),
    [anon_sym_BSLASHsd] = ACTIONS(1409),
    [anon_sym_BSLASHp] = ACTIONS(1409),
    [anon_sym_BSLASHm] = ACTIONS(1409),
    [anon_sym_BSLASHpo] = ACTIONS(1409),
    [anon_sym_BSLASHpr] = ACTIONS(1409),
    [anon_sym_BSLASHcls] = ACTIONS(1409),
    [anon_sym_BSLASHpmo] = ACTIONS(1409),
    [anon_sym_BSLASHpm] = ACTIONS(1409),
    [anon_sym_BSLASHpmc] = ACTIONS(1409),
    [anon_sym_BSLASHpmr] = ACTIONS(1409),
    [anon_sym_BSLASHpi] = ACTIONS(1409),
    [anon_sym_BSLASHmi] = ACTIONS(1409),
    [anon_sym_BSLASHnb] = ACTIONS(1409),
    [anon_sym_BSLASHpc] = ACTIONS(1409),
    [anon_sym_BSLASHph] = ACTIONS(1409),
    [anon_sym_BSLASHb] = ACTIONS(1409),
    [anon_sym_BSLASHq] = ACTIONS(1409),
    [anon_sym_BSLASHqr] = ACTIONS(1409),
    [anon_sym_BSLASHqc] = ACTIONS(1409),
    [anon_sym_BSLASHqa] = ACTIONS(1409),
    [anon_sym_BSLASHqm] = ACTIONS(1409),
    [anon_sym_BSLASHqd] = ACTIONS(1409),
    [anon_sym_BSLASHlh] = ACTIONS(1409),
    [anon_sym_BSLASHli] = ACTIONS(1409),
    [anon_sym_BSLASHlim] = ACTIONS(1409),
    [anon_sym_BSLASHtr] = ACTIONS(1409),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1409),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1409),
    [anon_sym_BSLASHcat] = ACTIONS(1409),
  },
  [212] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1405),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1405),
    [anon_sym_BSLASHms] = ACTIONS(1405),
    [anon_sym_BSLASHs] = ACTIONS(1405),
    [anon_sym_BSLASHr] = ACTIONS(1405),
    [anon_sym_BSLASHsp] = ACTIONS(1405),
    [anon_sym_BSLASHd] = ACTIONS(1405),
    [anon_sym_BSLASHsd] = ACTIONS(1405),
    [anon_sym_BSLASHp] = ACTIONS(1405),
    [anon_sym_BSLASHm] = ACTIONS(1405),
    [anon_sym_BSLASHpo] = ACTIONS(1405),
    [anon_sym_BSLASHpr] = ACTIONS(1405),
    [anon_sym_BSLASHcls] = ACTIONS(1405),
    [anon_sym_BSLASHpmo] = ACTIONS(1405),
    [anon_sym_BSLASHpm] = ACTIONS(1405),
    [anon_sym_BSLASHpmc] = ACTIONS(1405),
    [anon_sym_BSLASHpmr] = ACTIONS(1405),
    [anon_sym_BSLASHpi] = ACTIONS(1405),
    [anon_sym_BSLASHmi] = ACTIONS(1405),
    [anon_sym_BSLASHnb] = ACTIONS(1405),
    [anon_sym_BSLASHpc] = ACTIONS(1405),
    [anon_sym_BSLASHph] = ACTIONS(1405),
    [anon_sym_BSLASHb] = ACTIONS(1405),
    [anon_sym_BSLASHq] = ACTIONS(1405),
    [anon_sym_BSLASHqr] = ACTIONS(1405),
    [anon_sym_BSLASHqc] = ACTIONS(1405),
    [anon_sym_BSLASHqa] = ACTIONS(1405),
    [anon_sym_BSLASHqm] = ACTIONS(1405),
    [anon_sym_BSLASHqd] = ACTIONS(1405),
    [anon_sym_BSLASHlh] = ACTIONS(1405),
    [anon_sym_BSLASHli] = ACTIONS(1405),
    [anon_sym_BSLASHlim] = ACTIONS(1405),
    [anon_sym_BSLASHtr] = ACTIONS(1405),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1405),
    [anon_sym_BSLASHcat] = ACTIONS(1405),
  },
  [213] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1369),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1369),
    [anon_sym_BSLASHms] = ACTIONS(1369),
    [anon_sym_BSLASHs] = ACTIONS(1369),
    [anon_sym_BSLASHr] = ACTIONS(1369),
    [anon_sym_BSLASHsp] = ACTIONS(1369),
    [anon_sym_BSLASHd] = ACTIONS(1369),
    [anon_sym_BSLASHsd] = ACTIONS(1369),
    [anon_sym_BSLASHp] = ACTIONS(1369),
    [anon_sym_BSLASHm] = ACTIONS(1369),
    [anon_sym_BSLASHpo] = ACTIONS(1369),
    [anon_sym_BSLASHpr] = ACTIONS(1369),
    [anon_sym_BSLASHcls] = ACTIONS(1369),
    [anon_sym_BSLASHpmo] = ACTIONS(1369),
    [anon_sym_BSLASHpm] = ACTIONS(1369),
    [anon_sym_BSLASHpmc] = ACTIONS(1369),
    [anon_sym_BSLASHpmr] = ACTIONS(1369),
    [anon_sym_BSLASHpi] = ACTIONS(1369),
    [anon_sym_BSLASHmi] = ACTIONS(1369),
    [anon_sym_BSLASHnb] = ACTIONS(1369),
    [anon_sym_BSLASHpc] = ACTIONS(1369),
    [anon_sym_BSLASHph] = ACTIONS(1369),
    [anon_sym_BSLASHb] = ACTIONS(1369),
    [anon_sym_BSLASHq] = ACTIONS(1369),
    [anon_sym_BSLASHqr] = ACTIONS(1369),
    [anon_sym_BSLASHqc] = ACTIONS(1369),
    [anon_sym_BSLASHqa] = ACTIONS(1369),
    [anon_sym_BSLASHqm] = ACTIONS(1369),
    [anon_sym_BSLASHqd] = ACTIONS(1369),
    [anon_sym_BSLASHlh] = ACTIONS(1369),
    [anon_sym_BSLASHli] = ACTIONS(1369),
    [anon_sym_BSLASHlim] = ACTIONS(1369),
    [anon_sym_BSLASHtr] = ACTIONS(1369),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1369),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1369),
    [anon_sym_BSLASHcat] = ACTIONS(1369),
  },
  [214] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1401),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1401),
    [anon_sym_BSLASHms] = ACTIONS(1401),
    [anon_sym_BSLASHs] = ACTIONS(1401),
    [anon_sym_BSLASHr] = ACTIONS(1401),
    [anon_sym_BSLASHsp] = ACTIONS(1401),
    [anon_sym_BSLASHd] = ACTIONS(1401),
    [anon_sym_BSLASHsd] = ACTIONS(1401),
    [anon_sym_BSLASHp] = ACTIONS(1401),
    [anon_sym_BSLASHm] = ACTIONS(1401),
    [anon_sym_BSLASHpo] = ACTIONS(1401),
    [anon_sym_BSLASHpr] = ACTIONS(1401),
    [anon_sym_BSLASHcls] = ACTIONS(1401),
    [anon_sym_BSLASHpmo] = ACTIONS(1401),
    [anon_sym_BSLASHpm] = ACTIONS(1401),
    [anon_sym_BSLASHpmc] = ACTIONS(1401),
    [anon_sym_BSLASHpmr] = ACTIONS(1401),
    [anon_sym_BSLASHpi] = ACTIONS(1401),
    [anon_sym_BSLASHmi] = ACTIONS(1401),
    [anon_sym_BSLASHnb] = ACTIONS(1401),
    [anon_sym_BSLASHpc] = ACTIONS(1401),
    [anon_sym_BSLASHph] = ACTIONS(1401),
    [anon_sym_BSLASHb] = ACTIONS(1401),
    [anon_sym_BSLASHq] = ACTIONS(1401),
    [anon_sym_BSLASHqr] = ACTIONS(1401),
    [anon_sym_BSLASHqc] = ACTIONS(1401),
    [anon_sym_BSLASHqa] = ACTIONS(1401),
    [anon_sym_BSLASHqm] = ACTIONS(1401),
    [anon_sym_BSLASHqd] = ACTIONS(1401),
    [anon_sym_BSLASHlh] = ACTIONS(1401),
    [anon_sym_BSLASHli] = ACTIONS(1401),
    [anon_sym_BSLASHlim] = ACTIONS(1401),
    [anon_sym_BSLASHtr] = ACTIONS(1401),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1401),
    [anon_sym_BSLASHcat] = ACTIONS(1401),
  },
  [215] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1297),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1297),
    [anon_sym_BSLASHms] = ACTIONS(1297),
    [anon_sym_BSLASHs] = ACTIONS(1297),
    [anon_sym_BSLASHr] = ACTIONS(1297),
    [anon_sym_BSLASHsp] = ACTIONS(1297),
    [anon_sym_BSLASHd] = ACTIONS(1297),
    [anon_sym_BSLASHsd] = ACTIONS(1297),
    [anon_sym_BSLASHp] = ACTIONS(1297),
    [anon_sym_BSLASHm] = ACTIONS(1297),
    [anon_sym_BSLASHpo] = ACTIONS(1297),
    [anon_sym_BSLASHpr] = ACTIONS(1297),
    [anon_sym_BSLASHcls] = ACTIONS(1297),
    [anon_sym_BSLASHpmo] = ACTIONS(1297),
    [anon_sym_BSLASHpm] = ACTIONS(1297),
    [anon_sym_BSLASHpmc] = ACTIONS(1297),
    [anon_sym_BSLASHpmr] = ACTIONS(1297),
    [anon_sym_BSLASHpi] = ACTIONS(1297),
    [anon_sym_BSLASHmi] = ACTIONS(1297),
    [anon_sym_BSLASHnb] = ACTIONS(1297),
    [anon_sym_BSLASHpc] = ACTIONS(1297),
    [anon_sym_BSLASHph] = ACTIONS(1297),
    [anon_sym_BSLASHb] = ACTIONS(1297),
    [anon_sym_BSLASHq] = ACTIONS(1297),
    [anon_sym_BSLASHqr] = ACTIONS(1297),
    [anon_sym_BSLASHqc] = ACTIONS(1297),
    [anon_sym_BSLASHqa] = ACTIONS(1297),
    [anon_sym_BSLASHqm] = ACTIONS(1297),
    [anon_sym_BSLASHqd] = ACTIONS(1297),
    [anon_sym_BSLASHlh] = ACTIONS(1297),
    [anon_sym_BSLASHli] = ACTIONS(1297),
    [anon_sym_BSLASHlim] = ACTIONS(1297),
    [anon_sym_BSLASHtr] = ACTIONS(1297),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1297),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1297),
    [anon_sym_BSLASHcat] = ACTIONS(1297),
  },
  [216] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(213),
    [sym__comments] = STATE(213),
    [sym_sts] = STATE(213),
    [sym_rem] = STATE(213),
    [sym_restore] = STATE(213),
    [sym_lit] = STATE(213),
    [sym_verseText] = STATE(213),
    [sym_v] = STATE(213),
    [sym__verseMeta] = STATE(213),
    [sym_va] = STATE(213),
    [sym_vp] = STATE(213),
    [sym__paragraphContent] = STATE(213),
    [sym_footnote] = STATE(213),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(213),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(213),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(213),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(213),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1313),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1313),
    [anon_sym_BSLASHms] = ACTIONS(1313),
    [anon_sym_BSLASHs] = ACTIONS(1313),
    [anon_sym_BSLASHr] = ACTIONS(1313),
    [anon_sym_BSLASHsp] = ACTIONS(1313),
    [anon_sym_BSLASHd] = ACTIONS(1313),
    [anon_sym_BSLASHsd] = ACTIONS(1313),
    [anon_sym_BSLASHp] = ACTIONS(1313),
    [anon_sym_BSLASHm] = ACTIONS(1313),
    [anon_sym_BSLASHpo] = ACTIONS(1313),
    [anon_sym_BSLASHpr] = ACTIONS(1313),
    [anon_sym_BSLASHcls] = ACTIONS(1313),
    [anon_sym_BSLASHpmo] = ACTIONS(1313),
    [anon_sym_BSLASHpm] = ACTIONS(1313),
    [anon_sym_BSLASHpmc] = ACTIONS(1313),
    [anon_sym_BSLASHpmr] = ACTIONS(1313),
    [anon_sym_BSLASHpi] = ACTIONS(1313),
    [anon_sym_BSLASHmi] = ACTIONS(1313),
    [anon_sym_BSLASHnb] = ACTIONS(1313),
    [anon_sym_BSLASHpc] = ACTIONS(1313),
    [anon_sym_BSLASHph] = ACTIONS(1313),
    [anon_sym_BSLASHb] = ACTIONS(1313),
    [anon_sym_BSLASHq] = ACTIONS(1313),
    [anon_sym_BSLASHqr] = ACTIONS(1313),
    [anon_sym_BSLASHqc] = ACTIONS(1313),
    [anon_sym_BSLASHqa] = ACTIONS(1313),
    [anon_sym_BSLASHqm] = ACTIONS(1313),
    [anon_sym_BSLASHqd] = ACTIONS(1313),
    [anon_sym_BSLASHlh] = ACTIONS(1313),
    [anon_sym_BSLASHli] = ACTIONS(1313),
    [anon_sym_BSLASHlim] = ACTIONS(1313),
    [anon_sym_BSLASHtr] = ACTIONS(1313),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1313),
    [anon_sym_BSLASHcat] = ACTIONS(1313),
  },
  [217] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1373),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1373),
    [anon_sym_BSLASHms] = ACTIONS(1373),
    [anon_sym_BSLASHs] = ACTIONS(1373),
    [anon_sym_BSLASHr] = ACTIONS(1373),
    [anon_sym_BSLASHsp] = ACTIONS(1373),
    [anon_sym_BSLASHd] = ACTIONS(1373),
    [anon_sym_BSLASHsd] = ACTIONS(1373),
    [anon_sym_BSLASHp] = ACTIONS(1373),
    [anon_sym_BSLASHm] = ACTIONS(1373),
    [anon_sym_BSLASHpo] = ACTIONS(1373),
    [anon_sym_BSLASHpr] = ACTIONS(1373),
    [anon_sym_BSLASHcls] = ACTIONS(1373),
    [anon_sym_BSLASHpmo] = ACTIONS(1373),
    [anon_sym_BSLASHpm] = ACTIONS(1373),
    [anon_sym_BSLASHpmc] = ACTIONS(1373),
    [anon_sym_BSLASHpmr] = ACTIONS(1373),
    [anon_sym_BSLASHpi] = ACTIONS(1373),
    [anon_sym_BSLASHmi] = ACTIONS(1373),
    [anon_sym_BSLASHnb] = ACTIONS(1373),
    [anon_sym_BSLASHpc] = ACTIONS(1373),
    [anon_sym_BSLASHph] = ACTIONS(1373),
    [anon_sym_BSLASHb] = ACTIONS(1373),
    [anon_sym_BSLASHq] = ACTIONS(1373),
    [anon_sym_BSLASHqr] = ACTIONS(1373),
    [anon_sym_BSLASHqc] = ACTIONS(1373),
    [anon_sym_BSLASHqa] = ACTIONS(1373),
    [anon_sym_BSLASHqm] = ACTIONS(1373),
    [anon_sym_BSLASHqd] = ACTIONS(1373),
    [anon_sym_BSLASHlh] = ACTIONS(1373),
    [anon_sym_BSLASHli] = ACTIONS(1373),
    [anon_sym_BSLASHlim] = ACTIONS(1373),
    [anon_sym_BSLASHtr] = ACTIONS(1373),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1373),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1373),
    [anon_sym_BSLASHcat] = ACTIONS(1373),
  },
  [218] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1397),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1397),
    [anon_sym_BSLASHms] = ACTIONS(1397),
    [anon_sym_BSLASHs] = ACTIONS(1397),
    [anon_sym_BSLASHr] = ACTIONS(1397),
    [anon_sym_BSLASHsp] = ACTIONS(1397),
    [anon_sym_BSLASHd] = ACTIONS(1397),
    [anon_sym_BSLASHsd] = ACTIONS(1397),
    [anon_sym_BSLASHp] = ACTIONS(1397),
    [anon_sym_BSLASHm] = ACTIONS(1397),
    [anon_sym_BSLASHpo] = ACTIONS(1397),
    [anon_sym_BSLASHpr] = ACTIONS(1397),
    [anon_sym_BSLASHcls] = ACTIONS(1397),
    [anon_sym_BSLASHpmo] = ACTIONS(1397),
    [anon_sym_BSLASHpm] = ACTIONS(1397),
    [anon_sym_BSLASHpmc] = ACTIONS(1397),
    [anon_sym_BSLASHpmr] = ACTIONS(1397),
    [anon_sym_BSLASHpi] = ACTIONS(1397),
    [anon_sym_BSLASHmi] = ACTIONS(1397),
    [anon_sym_BSLASHnb] = ACTIONS(1397),
    [anon_sym_BSLASHpc] = ACTIONS(1397),
    [anon_sym_BSLASHph] = ACTIONS(1397),
    [anon_sym_BSLASHb] = ACTIONS(1397),
    [anon_sym_BSLASHq] = ACTIONS(1397),
    [anon_sym_BSLASHqr] = ACTIONS(1397),
    [anon_sym_BSLASHqc] = ACTIONS(1397),
    [anon_sym_BSLASHqa] = ACTIONS(1397),
    [anon_sym_BSLASHqm] = ACTIONS(1397),
    [anon_sym_BSLASHqd] = ACTIONS(1397),
    [anon_sym_BSLASHlh] = ACTIONS(1397),
    [anon_sym_BSLASHli] = ACTIONS(1397),
    [anon_sym_BSLASHlim] = ACTIONS(1397),
    [anon_sym_BSLASHtr] = ACTIONS(1397),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1397),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1397),
    [anon_sym_BSLASHcat] = ACTIONS(1397),
  },
  [219] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1301),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1301),
    [anon_sym_BSLASHms] = ACTIONS(1301),
    [anon_sym_BSLASHs] = ACTIONS(1301),
    [anon_sym_BSLASHr] = ACTIONS(1301),
    [anon_sym_BSLASHsp] = ACTIONS(1301),
    [anon_sym_BSLASHd] = ACTIONS(1301),
    [anon_sym_BSLASHsd] = ACTIONS(1301),
    [anon_sym_BSLASHp] = ACTIONS(1301),
    [anon_sym_BSLASHm] = ACTIONS(1301),
    [anon_sym_BSLASHpo] = ACTIONS(1301),
    [anon_sym_BSLASHpr] = ACTIONS(1301),
    [anon_sym_BSLASHcls] = ACTIONS(1301),
    [anon_sym_BSLASHpmo] = ACTIONS(1301),
    [anon_sym_BSLASHpm] = ACTIONS(1301),
    [anon_sym_BSLASHpmc] = ACTIONS(1301),
    [anon_sym_BSLASHpmr] = ACTIONS(1301),
    [anon_sym_BSLASHpi] = ACTIONS(1301),
    [anon_sym_BSLASHmi] = ACTIONS(1301),
    [anon_sym_BSLASHnb] = ACTIONS(1301),
    [anon_sym_BSLASHpc] = ACTIONS(1301),
    [anon_sym_BSLASHph] = ACTIONS(1301),
    [anon_sym_BSLASHb] = ACTIONS(1301),
    [anon_sym_BSLASHq] = ACTIONS(1301),
    [anon_sym_BSLASHqr] = ACTIONS(1301),
    [anon_sym_BSLASHqc] = ACTIONS(1301),
    [anon_sym_BSLASHqa] = ACTIONS(1301),
    [anon_sym_BSLASHqm] = ACTIONS(1301),
    [anon_sym_BSLASHqd] = ACTIONS(1301),
    [anon_sym_BSLASHlh] = ACTIONS(1301),
    [anon_sym_BSLASHli] = ACTIONS(1301),
    [anon_sym_BSLASHlim] = ACTIONS(1301),
    [anon_sym_BSLASHtr] = ACTIONS(1301),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1301),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1301),
    [anon_sym_BSLASHcat] = ACTIONS(1301),
  },
  [220] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1393),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1393),
    [anon_sym_BSLASHms] = ACTIONS(1393),
    [anon_sym_BSLASHs] = ACTIONS(1393),
    [anon_sym_BSLASHr] = ACTIONS(1393),
    [anon_sym_BSLASHsp] = ACTIONS(1393),
    [anon_sym_BSLASHd] = ACTIONS(1393),
    [anon_sym_BSLASHsd] = ACTIONS(1393),
    [anon_sym_BSLASHp] = ACTIONS(1393),
    [anon_sym_BSLASHm] = ACTIONS(1393),
    [anon_sym_BSLASHpo] = ACTIONS(1393),
    [anon_sym_BSLASHpr] = ACTIONS(1393),
    [anon_sym_BSLASHcls] = ACTIONS(1393),
    [anon_sym_BSLASHpmo] = ACTIONS(1393),
    [anon_sym_BSLASHpm] = ACTIONS(1393),
    [anon_sym_BSLASHpmc] = ACTIONS(1393),
    [anon_sym_BSLASHpmr] = ACTIONS(1393),
    [anon_sym_BSLASHpi] = ACTIONS(1393),
    [anon_sym_BSLASHmi] = ACTIONS(1393),
    [anon_sym_BSLASHnb] = ACTIONS(1393),
    [anon_sym_BSLASHpc] = ACTIONS(1393),
    [anon_sym_BSLASHph] = ACTIONS(1393),
    [anon_sym_BSLASHb] = ACTIONS(1393),
    [anon_sym_BSLASHq] = ACTIONS(1393),
    [anon_sym_BSLASHqr] = ACTIONS(1393),
    [anon_sym_BSLASHqc] = ACTIONS(1393),
    [anon_sym_BSLASHqa] = ACTIONS(1393),
    [anon_sym_BSLASHqm] = ACTIONS(1393),
    [anon_sym_BSLASHqd] = ACTIONS(1393),
    [anon_sym_BSLASHlh] = ACTIONS(1393),
    [anon_sym_BSLASHli] = ACTIONS(1393),
    [anon_sym_BSLASHlim] = ACTIONS(1393),
    [anon_sym_BSLASHtr] = ACTIONS(1393),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1393),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1393),
    [anon_sym_BSLASHcat] = ACTIONS(1393),
  },
  [221] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1389),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1389),
    [anon_sym_BSLASHms] = ACTIONS(1389),
    [anon_sym_BSLASHs] = ACTIONS(1389),
    [anon_sym_BSLASHr] = ACTIONS(1389),
    [anon_sym_BSLASHsp] = ACTIONS(1389),
    [anon_sym_BSLASHd] = ACTIONS(1389),
    [anon_sym_BSLASHsd] = ACTIONS(1389),
    [anon_sym_BSLASHp] = ACTIONS(1389),
    [anon_sym_BSLASHm] = ACTIONS(1389),
    [anon_sym_BSLASHpo] = ACTIONS(1389),
    [anon_sym_BSLASHpr] = ACTIONS(1389),
    [anon_sym_BSLASHcls] = ACTIONS(1389),
    [anon_sym_BSLASHpmo] = ACTIONS(1389),
    [anon_sym_BSLASHpm] = ACTIONS(1389),
    [anon_sym_BSLASHpmc] = ACTIONS(1389),
    [anon_sym_BSLASHpmr] = ACTIONS(1389),
    [anon_sym_BSLASHpi] = ACTIONS(1389),
    [anon_sym_BSLASHmi] = ACTIONS(1389),
    [anon_sym_BSLASHnb] = ACTIONS(1389),
    [anon_sym_BSLASHpc] = ACTIONS(1389),
    [anon_sym_BSLASHph] = ACTIONS(1389),
    [anon_sym_BSLASHb] = ACTIONS(1389),
    [anon_sym_BSLASHq] = ACTIONS(1389),
    [anon_sym_BSLASHqr] = ACTIONS(1389),
    [anon_sym_BSLASHqc] = ACTIONS(1389),
    [anon_sym_BSLASHqa] = ACTIONS(1389),
    [anon_sym_BSLASHqm] = ACTIONS(1389),
    [anon_sym_BSLASHqd] = ACTIONS(1389),
    [anon_sym_BSLASHlh] = ACTIONS(1389),
    [anon_sym_BSLASHli] = ACTIONS(1389),
    [anon_sym_BSLASHlim] = ACTIONS(1389),
    [anon_sym_BSLASHtr] = ACTIONS(1389),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1389),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1389),
    [anon_sym_BSLASHcat] = ACTIONS(1389),
  },
  [222] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(237),
    [sym__comments] = STATE(237),
    [sym_sts] = STATE(237),
    [sym_rem] = STATE(237),
    [sym_restore] = STATE(237),
    [sym_lit] = STATE(237),
    [sym_verseText] = STATE(237),
    [sym_v] = STATE(237),
    [sym__verseMeta] = STATE(237),
    [sym_va] = STATE(237),
    [sym_vp] = STATE(237),
    [sym__paragraphContent] = STATE(237),
    [sym_footnote] = STATE(237),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(237),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(237),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(237),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(237),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1325),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1325),
    [anon_sym_BSLASHms] = ACTIONS(1325),
    [anon_sym_BSLASHs] = ACTIONS(1325),
    [anon_sym_BSLASHr] = ACTIONS(1325),
    [anon_sym_BSLASHsp] = ACTIONS(1325),
    [anon_sym_BSLASHd] = ACTIONS(1325),
    [anon_sym_BSLASHsd] = ACTIONS(1325),
    [anon_sym_BSLASHp] = ACTIONS(1325),
    [anon_sym_BSLASHm] = ACTIONS(1325),
    [anon_sym_BSLASHpo] = ACTIONS(1325),
    [anon_sym_BSLASHpr] = ACTIONS(1325),
    [anon_sym_BSLASHcls] = ACTIONS(1325),
    [anon_sym_BSLASHpmo] = ACTIONS(1325),
    [anon_sym_BSLASHpm] = ACTIONS(1325),
    [anon_sym_BSLASHpmc] = ACTIONS(1325),
    [anon_sym_BSLASHpmr] = ACTIONS(1325),
    [anon_sym_BSLASHpi] = ACTIONS(1325),
    [anon_sym_BSLASHmi] = ACTIONS(1325),
    [anon_sym_BSLASHnb] = ACTIONS(1325),
    [anon_sym_BSLASHpc] = ACTIONS(1325),
    [anon_sym_BSLASHph] = ACTIONS(1325),
    [anon_sym_BSLASHb] = ACTIONS(1325),
    [anon_sym_BSLASHq] = ACTIONS(1325),
    [anon_sym_BSLASHqr] = ACTIONS(1325),
    [anon_sym_BSLASHqc] = ACTIONS(1325),
    [anon_sym_BSLASHqa] = ACTIONS(1325),
    [anon_sym_BSLASHqm] = ACTIONS(1325),
    [anon_sym_BSLASHqd] = ACTIONS(1325),
    [anon_sym_BSLASHlh] = ACTIONS(1325),
    [anon_sym_BSLASHli] = ACTIONS(1325),
    [anon_sym_BSLASHlim] = ACTIONS(1325),
    [anon_sym_BSLASHtr] = ACTIONS(1325),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1325),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1325),
    [anon_sym_BSLASHcat] = ACTIONS(1325),
  },
  [223] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(228),
    [sym__comments] = STATE(228),
    [sym_sts] = STATE(228),
    [sym_rem] = STATE(228),
    [sym_restore] = STATE(228),
    [sym_lit] = STATE(228),
    [sym_verseText] = STATE(228),
    [sym_v] = STATE(228),
    [sym__verseMeta] = STATE(228),
    [sym_va] = STATE(228),
    [sym_vp] = STATE(228),
    [sym__paragraphContent] = STATE(228),
    [sym_footnote] = STATE(228),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(228),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(228),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(228),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(228),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1329),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1329),
    [anon_sym_BSLASHms] = ACTIONS(1329),
    [anon_sym_BSLASHs] = ACTIONS(1329),
    [anon_sym_BSLASHr] = ACTIONS(1329),
    [anon_sym_BSLASHsp] = ACTIONS(1329),
    [anon_sym_BSLASHd] = ACTIONS(1329),
    [anon_sym_BSLASHsd] = ACTIONS(1329),
    [anon_sym_BSLASHp] = ACTIONS(1329),
    [anon_sym_BSLASHm] = ACTIONS(1329),
    [anon_sym_BSLASHpo] = ACTIONS(1329),
    [anon_sym_BSLASHpr] = ACTIONS(1329),
    [anon_sym_BSLASHcls] = ACTIONS(1329),
    [anon_sym_BSLASHpmo] = ACTIONS(1329),
    [anon_sym_BSLASHpm] = ACTIONS(1329),
    [anon_sym_BSLASHpmc] = ACTIONS(1329),
    [anon_sym_BSLASHpmr] = ACTIONS(1329),
    [anon_sym_BSLASHpi] = ACTIONS(1329),
    [anon_sym_BSLASHmi] = ACTIONS(1329),
    [anon_sym_BSLASHnb] = ACTIONS(1329),
    [anon_sym_BSLASHpc] = ACTIONS(1329),
    [anon_sym_BSLASHph] = ACTIONS(1329),
    [anon_sym_BSLASHb] = ACTIONS(1329),
    [anon_sym_BSLASHq] = ACTIONS(1329),
    [anon_sym_BSLASHqr] = ACTIONS(1329),
    [anon_sym_BSLASHqc] = ACTIONS(1329),
    [anon_sym_BSLASHqa] = ACTIONS(1329),
    [anon_sym_BSLASHqm] = ACTIONS(1329),
    [anon_sym_BSLASHqd] = ACTIONS(1329),
    [anon_sym_BSLASHlh] = ACTIONS(1329),
    [anon_sym_BSLASHli] = ACTIONS(1329),
    [anon_sym_BSLASHlim] = ACTIONS(1329),
    [anon_sym_BSLASHtr] = ACTIONS(1329),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1329),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1329),
    [anon_sym_BSLASHcat] = ACTIONS(1329),
  },
  [224] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(221),
    [sym__comments] = STATE(221),
    [sym_sts] = STATE(221),
    [sym_rem] = STATE(221),
    [sym_restore] = STATE(221),
    [sym_lit] = STATE(221),
    [sym_verseText] = STATE(221),
    [sym_v] = STATE(221),
    [sym__verseMeta] = STATE(221),
    [sym_va] = STATE(221),
    [sym_vp] = STATE(221),
    [sym__paragraphContent] = STATE(221),
    [sym_footnote] = STATE(221),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(221),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(221),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(221),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(221),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1333),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1333),
    [anon_sym_BSLASHms] = ACTIONS(1333),
    [anon_sym_BSLASHs] = ACTIONS(1333),
    [anon_sym_BSLASHr] = ACTIONS(1333),
    [anon_sym_BSLASHsp] = ACTIONS(1333),
    [anon_sym_BSLASHd] = ACTIONS(1333),
    [anon_sym_BSLASHsd] = ACTIONS(1333),
    [anon_sym_BSLASHp] = ACTIONS(1333),
    [anon_sym_BSLASHm] = ACTIONS(1333),
    [anon_sym_BSLASHpo] = ACTIONS(1333),
    [anon_sym_BSLASHpr] = ACTIONS(1333),
    [anon_sym_BSLASHcls] = ACTIONS(1333),
    [anon_sym_BSLASHpmo] = ACTIONS(1333),
    [anon_sym_BSLASHpm] = ACTIONS(1333),
    [anon_sym_BSLASHpmc] = ACTIONS(1333),
    [anon_sym_BSLASHpmr] = ACTIONS(1333),
    [anon_sym_BSLASHpi] = ACTIONS(1333),
    [anon_sym_BSLASHmi] = ACTIONS(1333),
    [anon_sym_BSLASHnb] = ACTIONS(1333),
    [anon_sym_BSLASHpc] = ACTIONS(1333),
    [anon_sym_BSLASHph] = ACTIONS(1333),
    [anon_sym_BSLASHb] = ACTIONS(1333),
    [anon_sym_BSLASHq] = ACTIONS(1333),
    [anon_sym_BSLASHqr] = ACTIONS(1333),
    [anon_sym_BSLASHqc] = ACTIONS(1333),
    [anon_sym_BSLASHqa] = ACTIONS(1333),
    [anon_sym_BSLASHqm] = ACTIONS(1333),
    [anon_sym_BSLASHqd] = ACTIONS(1333),
    [anon_sym_BSLASHlh] = ACTIONS(1333),
    [anon_sym_BSLASHli] = ACTIONS(1333),
    [anon_sym_BSLASHlim] = ACTIONS(1333),
    [anon_sym_BSLASHtr] = ACTIONS(1333),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1333),
    [anon_sym_BSLASHcat] = ACTIONS(1333),
  },
  [225] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(220),
    [sym__comments] = STATE(220),
    [sym_sts] = STATE(220),
    [sym_rem] = STATE(220),
    [sym_restore] = STATE(220),
    [sym_lit] = STATE(220),
    [sym_verseText] = STATE(220),
    [sym_v] = STATE(220),
    [sym__verseMeta] = STATE(220),
    [sym_va] = STATE(220),
    [sym_vp] = STATE(220),
    [sym__paragraphContent] = STATE(220),
    [sym_footnote] = STATE(220),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(220),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(220),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(220),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(220),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1337),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1337),
    [anon_sym_BSLASHms] = ACTIONS(1337),
    [anon_sym_BSLASHs] = ACTIONS(1337),
    [anon_sym_BSLASHr] = ACTIONS(1337),
    [anon_sym_BSLASHsp] = ACTIONS(1337),
    [anon_sym_BSLASHd] = ACTIONS(1337),
    [anon_sym_BSLASHsd] = ACTIONS(1337),
    [anon_sym_BSLASHp] = ACTIONS(1337),
    [anon_sym_BSLASHm] = ACTIONS(1337),
    [anon_sym_BSLASHpo] = ACTIONS(1337),
    [anon_sym_BSLASHpr] = ACTIONS(1337),
    [anon_sym_BSLASHcls] = ACTIONS(1337),
    [anon_sym_BSLASHpmo] = ACTIONS(1337),
    [anon_sym_BSLASHpm] = ACTIONS(1337),
    [anon_sym_BSLASHpmc] = ACTIONS(1337),
    [anon_sym_BSLASHpmr] = ACTIONS(1337),
    [anon_sym_BSLASHpi] = ACTIONS(1337),
    [anon_sym_BSLASHmi] = ACTIONS(1337),
    [anon_sym_BSLASHnb] = ACTIONS(1337),
    [anon_sym_BSLASHpc] = ACTIONS(1337),
    [anon_sym_BSLASHph] = ACTIONS(1337),
    [anon_sym_BSLASHb] = ACTIONS(1337),
    [anon_sym_BSLASHq] = ACTIONS(1337),
    [anon_sym_BSLASHqr] = ACTIONS(1337),
    [anon_sym_BSLASHqc] = ACTIONS(1337),
    [anon_sym_BSLASHqa] = ACTIONS(1337),
    [anon_sym_BSLASHqm] = ACTIONS(1337),
    [anon_sym_BSLASHqd] = ACTIONS(1337),
    [anon_sym_BSLASHlh] = ACTIONS(1337),
    [anon_sym_BSLASHli] = ACTIONS(1337),
    [anon_sym_BSLASHlim] = ACTIONS(1337),
    [anon_sym_BSLASHtr] = ACTIONS(1337),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1337),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1337),
    [anon_sym_BSLASHcat] = ACTIONS(1337),
  },
  [226] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(2524),
    [anon_sym_BSLASHref] = ACTIONS(2527),
    [anon_sym_BSLASHsts] = ACTIONS(2530),
    [anon_sym_BSLASHrem] = ACTIONS(2533),
    [anon_sym_BSLASHrestore] = ACTIONS(2536),
    [anon_sym_BSLASHlit] = ACTIONS(2539),
    [anon_sym_BSLASHip] = ACTIONS(1431),
    [anon_sym_BSLASHv] = ACTIONS(2542),
    [anon_sym_BSLASHva] = ACTIONS(2545),
    [anon_sym_BSLASHvp] = ACTIONS(2548),
    [anon_sym_BSLASHmte] = ACTIONS(1431),
    [anon_sym_BSLASHms] = ACTIONS(1431),
    [anon_sym_BSLASHs] = ACTIONS(1431),
    [anon_sym_BSLASHr] = ACTIONS(1431),
    [anon_sym_BSLASHsp] = ACTIONS(1431),
    [anon_sym_BSLASHd] = ACTIONS(1431),
    [anon_sym_BSLASHsd] = ACTIONS(1431),
    [anon_sym_BSLASHp] = ACTIONS(1431),
    [anon_sym_BSLASHm] = ACTIONS(1431),
    [anon_sym_BSLASHpo] = ACTIONS(1431),
    [anon_sym_BSLASHpr] = ACTIONS(1431),
    [anon_sym_BSLASHcls] = ACTIONS(1431),
    [anon_sym_BSLASHpmo] = ACTIONS(1431),
    [anon_sym_BSLASHpm] = ACTIONS(1431),
    [anon_sym_BSLASHpmc] = ACTIONS(1431),
    [anon_sym_BSLASHpmr] = ACTIONS(1431),
    [anon_sym_BSLASHpi] = ACTIONS(1431),
    [anon_sym_BSLASHmi] = ACTIONS(1431),
    [anon_sym_BSLASHnb] = ACTIONS(1431),
    [anon_sym_BSLASHpc] = ACTIONS(1431),
    [anon_sym_BSLASHph] = ACTIONS(1431),
    [anon_sym_BSLASHb] = ACTIONS(1431),
    [anon_sym_BSLASHq] = ACTIONS(1431),
    [anon_sym_BSLASHqr] = ACTIONS(1431),
    [anon_sym_BSLASHqc] = ACTIONS(1431),
    [anon_sym_BSLASHqa] = ACTIONS(1431),
    [anon_sym_BSLASHqm] = ACTIONS(1431),
    [anon_sym_BSLASHqd] = ACTIONS(1431),
    [anon_sym_BSLASHlh] = ACTIONS(1431),
    [anon_sym_BSLASHli] = ACTIONS(1431),
    [anon_sym_BSLASHlim] = ACTIONS(1431),
    [anon_sym_BSLASHtr] = ACTIONS(1431),
    [anon_sym_BSLASHf] = ACTIONS(2551),
    [anon_sym_BSLASHfe] = ACTIONS(2554),
    [anon_sym_BSLASHef] = ACTIONS(2557),
    [anon_sym_BSLASHfm] = ACTIONS(2560),
    [anon_sym_BSLASHx] = ACTIONS(2563),
    [anon_sym_BSLASHxt] = ACTIONS(2566),
    [anon_sym_BSLASHrq] = ACTIONS(2569),
    [anon_sym_BSLASHadd] = ACTIONS(2572),
    [anon_sym_BSLASHbk] = ACTIONS(2575),
    [anon_sym_BSLASHdc] = ACTIONS(2578),
    [anon_sym_BSLASHk] = ACTIONS(2581),
    [anon_sym_BSLASHnd] = ACTIONS(2584),
    [anon_sym_BSLASHord] = ACTIONS(2587),
    [anon_sym_BSLASHpn] = ACTIONS(2590),
    [anon_sym_BSLASHpng] = ACTIONS(2593),
    [anon_sym_BSLASHaddpn] = ACTIONS(2596),
    [anon_sym_BSLASHqt] = ACTIONS(2599),
    [anon_sym_BSLASHsig] = ACTIONS(2602),
    [anon_sym_BSLASHsls] = ACTIONS(2605),
    [anon_sym_BSLASHtl] = ACTIONS(2608),
    [anon_sym_BSLASHwj] = ACTIONS(2611),
    [anon_sym_BSLASHem] = ACTIONS(2614),
    [anon_sym_BSLASHbd] = ACTIONS(2617),
    [anon_sym_BSLASHit] = ACTIONS(2620),
    [anon_sym_BSLASHbdit] = ACTIONS(2623),
    [anon_sym_BSLASHno] = ACTIONS(2626),
    [anon_sym_BSLASHsc] = ACTIONS(2629),
    [anon_sym_BSLASHsup] = ACTIONS(2632),
    [anon_sym_BSLASHndx] = ACTIONS(2635),
    [anon_sym_BSLASHpro] = ACTIONS(2638),
    [anon_sym_BSLASHrb] = ACTIONS(2641),
    [anon_sym_BSLASHw] = ACTIONS(2644),
    [anon_sym_BSLASHwg] = ACTIONS(2647),
    [anon_sym_BSLASHwh] = ACTIONS(2650),
    [anon_sym_BSLASHwa] = ACTIONS(2653),
    [anon_sym_BSLASHfig] = ACTIONS(2656),
    [anon_sym_BSLASHjmp] = ACTIONS(2659),
    [anon_sym_BSLASHpb] = ACTIONS(1431),
    [anon_sym_BSLASH] = ACTIONS(1553),
    [sym_milestoneStartTag] = ACTIONS(2662),
    [sym_milestoneEndTag] = ACTIONS(2665),
    [sym_zSpaceTag] = ACTIONS(2668),
    [anon_sym_BSLASHesbe] = ACTIONS(1431),
    [anon_sym_BSLASHcat] = ACTIONS(1431),
  },
  [227] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1365),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1365),
    [anon_sym_BSLASHms] = ACTIONS(1365),
    [anon_sym_BSLASHs] = ACTIONS(1365),
    [anon_sym_BSLASHr] = ACTIONS(1365),
    [anon_sym_BSLASHsp] = ACTIONS(1365),
    [anon_sym_BSLASHd] = ACTIONS(1365),
    [anon_sym_BSLASHsd] = ACTIONS(1365),
    [anon_sym_BSLASHp] = ACTIONS(1365),
    [anon_sym_BSLASHm] = ACTIONS(1365),
    [anon_sym_BSLASHpo] = ACTIONS(1365),
    [anon_sym_BSLASHpr] = ACTIONS(1365),
    [anon_sym_BSLASHcls] = ACTIONS(1365),
    [anon_sym_BSLASHpmo] = ACTIONS(1365),
    [anon_sym_BSLASHpm] = ACTIONS(1365),
    [anon_sym_BSLASHpmc] = ACTIONS(1365),
    [anon_sym_BSLASHpmr] = ACTIONS(1365),
    [anon_sym_BSLASHpi] = ACTIONS(1365),
    [anon_sym_BSLASHmi] = ACTIONS(1365),
    [anon_sym_BSLASHnb] = ACTIONS(1365),
    [anon_sym_BSLASHpc] = ACTIONS(1365),
    [anon_sym_BSLASHph] = ACTIONS(1365),
    [anon_sym_BSLASHb] = ACTIONS(1365),
    [anon_sym_BSLASHq] = ACTIONS(1365),
    [anon_sym_BSLASHqr] = ACTIONS(1365),
    [anon_sym_BSLASHqc] = ACTIONS(1365),
    [anon_sym_BSLASHqa] = ACTIONS(1365),
    [anon_sym_BSLASHqm] = ACTIONS(1365),
    [anon_sym_BSLASHqd] = ACTIONS(1365),
    [anon_sym_BSLASHlh] = ACTIONS(1365),
    [anon_sym_BSLASHli] = ACTIONS(1365),
    [anon_sym_BSLASHlim] = ACTIONS(1365),
    [anon_sym_BSLASHtr] = ACTIONS(1365),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1365),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1365),
    [anon_sym_BSLASHcat] = ACTIONS(1365),
  },
  [228] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1385),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1385),
    [anon_sym_BSLASHms] = ACTIONS(1385),
    [anon_sym_BSLASHs] = ACTIONS(1385),
    [anon_sym_BSLASHr] = ACTIONS(1385),
    [anon_sym_BSLASHsp] = ACTIONS(1385),
    [anon_sym_BSLASHd] = ACTIONS(1385),
    [anon_sym_BSLASHsd] = ACTIONS(1385),
    [anon_sym_BSLASHp] = ACTIONS(1385),
    [anon_sym_BSLASHm] = ACTIONS(1385),
    [anon_sym_BSLASHpo] = ACTIONS(1385),
    [anon_sym_BSLASHpr] = ACTIONS(1385),
    [anon_sym_BSLASHcls] = ACTIONS(1385),
    [anon_sym_BSLASHpmo] = ACTIONS(1385),
    [anon_sym_BSLASHpm] = ACTIONS(1385),
    [anon_sym_BSLASHpmc] = ACTIONS(1385),
    [anon_sym_BSLASHpmr] = ACTIONS(1385),
    [anon_sym_BSLASHpi] = ACTIONS(1385),
    [anon_sym_BSLASHmi] = ACTIONS(1385),
    [anon_sym_BSLASHnb] = ACTIONS(1385),
    [anon_sym_BSLASHpc] = ACTIONS(1385),
    [anon_sym_BSLASHph] = ACTIONS(1385),
    [anon_sym_BSLASHb] = ACTIONS(1385),
    [anon_sym_BSLASHq] = ACTIONS(1385),
    [anon_sym_BSLASHqr] = ACTIONS(1385),
    [anon_sym_BSLASHqc] = ACTIONS(1385),
    [anon_sym_BSLASHqa] = ACTIONS(1385),
    [anon_sym_BSLASHqm] = ACTIONS(1385),
    [anon_sym_BSLASHqd] = ACTIONS(1385),
    [anon_sym_BSLASHlh] = ACTIONS(1385),
    [anon_sym_BSLASHli] = ACTIONS(1385),
    [anon_sym_BSLASHlim] = ACTIONS(1385),
    [anon_sym_BSLASHtr] = ACTIONS(1385),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1385),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1385),
    [anon_sym_BSLASHcat] = ACTIONS(1385),
  },
  [229] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(211),
    [sym__comments] = STATE(211),
    [sym_sts] = STATE(211),
    [sym_rem] = STATE(211),
    [sym_restore] = STATE(211),
    [sym_lit] = STATE(211),
    [sym_verseText] = STATE(211),
    [sym_v] = STATE(211),
    [sym__verseMeta] = STATE(211),
    [sym_va] = STATE(211),
    [sym_vp] = STATE(211),
    [sym__paragraphContent] = STATE(211),
    [sym_footnote] = STATE(211),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(211),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(211),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(211),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(211),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1357),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1357),
    [anon_sym_BSLASHms] = ACTIONS(1357),
    [anon_sym_BSLASHs] = ACTIONS(1357),
    [anon_sym_BSLASHr] = ACTIONS(1357),
    [anon_sym_BSLASHsp] = ACTIONS(1357),
    [anon_sym_BSLASHd] = ACTIONS(1357),
    [anon_sym_BSLASHsd] = ACTIONS(1357),
    [anon_sym_BSLASHp] = ACTIONS(1357),
    [anon_sym_BSLASHm] = ACTIONS(1357),
    [anon_sym_BSLASHpo] = ACTIONS(1357),
    [anon_sym_BSLASHpr] = ACTIONS(1357),
    [anon_sym_BSLASHcls] = ACTIONS(1357),
    [anon_sym_BSLASHpmo] = ACTIONS(1357),
    [anon_sym_BSLASHpm] = ACTIONS(1357),
    [anon_sym_BSLASHpmc] = ACTIONS(1357),
    [anon_sym_BSLASHpmr] = ACTIONS(1357),
    [anon_sym_BSLASHpi] = ACTIONS(1357),
    [anon_sym_BSLASHmi] = ACTIONS(1357),
    [anon_sym_BSLASHnb] = ACTIONS(1357),
    [anon_sym_BSLASHpc] = ACTIONS(1357),
    [anon_sym_BSLASHph] = ACTIONS(1357),
    [anon_sym_BSLASHb] = ACTIONS(1357),
    [anon_sym_BSLASHq] = ACTIONS(1357),
    [anon_sym_BSLASHqr] = ACTIONS(1357),
    [anon_sym_BSLASHqc] = ACTIONS(1357),
    [anon_sym_BSLASHqa] = ACTIONS(1357),
    [anon_sym_BSLASHqm] = ACTIONS(1357),
    [anon_sym_BSLASHqd] = ACTIONS(1357),
    [anon_sym_BSLASHlh] = ACTIONS(1357),
    [anon_sym_BSLASHli] = ACTIONS(1357),
    [anon_sym_BSLASHlim] = ACTIONS(1357),
    [anon_sym_BSLASHtr] = ACTIONS(1357),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1357),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1357),
    [anon_sym_BSLASHcat] = ACTIONS(1357),
  },
  [230] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(219),
    [sym__comments] = STATE(219),
    [sym_sts] = STATE(219),
    [sym_rem] = STATE(219),
    [sym_restore] = STATE(219),
    [sym_lit] = STATE(219),
    [sym_verseText] = STATE(219),
    [sym_v] = STATE(219),
    [sym__verseMeta] = STATE(219),
    [sym_va] = STATE(219),
    [sym_vp] = STATE(219),
    [sym__paragraphContent] = STATE(219),
    [sym_footnote] = STATE(219),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(219),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(219),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(219),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(219),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1567),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1567),
    [anon_sym_BSLASHms] = ACTIONS(1567),
    [anon_sym_BSLASHs] = ACTIONS(1567),
    [anon_sym_BSLASHr] = ACTIONS(1567),
    [anon_sym_BSLASHsp] = ACTIONS(1567),
    [anon_sym_BSLASHd] = ACTIONS(1567),
    [anon_sym_BSLASHsd] = ACTIONS(1567),
    [anon_sym_BSLASHp] = ACTIONS(1567),
    [anon_sym_BSLASHm] = ACTIONS(1567),
    [anon_sym_BSLASHpo] = ACTIONS(1567),
    [anon_sym_BSLASHpr] = ACTIONS(1567),
    [anon_sym_BSLASHcls] = ACTIONS(1567),
    [anon_sym_BSLASHpmo] = ACTIONS(1567),
    [anon_sym_BSLASHpm] = ACTIONS(1567),
    [anon_sym_BSLASHpmc] = ACTIONS(1567),
    [anon_sym_BSLASHpmr] = ACTIONS(1567),
    [anon_sym_BSLASHpi] = ACTIONS(1567),
    [anon_sym_BSLASHmi] = ACTIONS(1567),
    [anon_sym_BSLASHnb] = ACTIONS(1567),
    [anon_sym_BSLASHpc] = ACTIONS(1567),
    [anon_sym_BSLASHph] = ACTIONS(1567),
    [anon_sym_BSLASHb] = ACTIONS(1567),
    [anon_sym_BSLASHq] = ACTIONS(1567),
    [anon_sym_BSLASHqr] = ACTIONS(1567),
    [anon_sym_BSLASHqc] = ACTIONS(1567),
    [anon_sym_BSLASHqa] = ACTIONS(1567),
    [anon_sym_BSLASHqm] = ACTIONS(1567),
    [anon_sym_BSLASHqd] = ACTIONS(1567),
    [anon_sym_BSLASHlh] = ACTIONS(1567),
    [anon_sym_BSLASHli] = ACTIONS(1567),
    [anon_sym_BSLASHlim] = ACTIONS(1567),
    [anon_sym_BSLASHtr] = ACTIONS(1567),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1567),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1567),
    [anon_sym_BSLASHcat] = ACTIONS(1567),
  },
  [231] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(227),
    [sym__comments] = STATE(227),
    [sym_sts] = STATE(227),
    [sym_rem] = STATE(227),
    [sym_restore] = STATE(227),
    [sym_lit] = STATE(227),
    [sym_verseText] = STATE(227),
    [sym_v] = STATE(227),
    [sym__verseMeta] = STATE(227),
    [sym_va] = STATE(227),
    [sym_vp] = STATE(227),
    [sym__paragraphContent] = STATE(227),
    [sym_footnote] = STATE(227),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(227),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(227),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(227),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(227),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1309),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1309),
    [anon_sym_BSLASHms] = ACTIONS(1309),
    [anon_sym_BSLASHs] = ACTIONS(1309),
    [anon_sym_BSLASHr] = ACTIONS(1309),
    [anon_sym_BSLASHsp] = ACTIONS(1309),
    [anon_sym_BSLASHd] = ACTIONS(1309),
    [anon_sym_BSLASHsd] = ACTIONS(1309),
    [anon_sym_BSLASHp] = ACTIONS(1309),
    [anon_sym_BSLASHm] = ACTIONS(1309),
    [anon_sym_BSLASHpo] = ACTIONS(1309),
    [anon_sym_BSLASHpr] = ACTIONS(1309),
    [anon_sym_BSLASHcls] = ACTIONS(1309),
    [anon_sym_BSLASHpmo] = ACTIONS(1309),
    [anon_sym_BSLASHpm] = ACTIONS(1309),
    [anon_sym_BSLASHpmc] = ACTIONS(1309),
    [anon_sym_BSLASHpmr] = ACTIONS(1309),
    [anon_sym_BSLASHpi] = ACTIONS(1309),
    [anon_sym_BSLASHmi] = ACTIONS(1309),
    [anon_sym_BSLASHnb] = ACTIONS(1309),
    [anon_sym_BSLASHpc] = ACTIONS(1309),
    [anon_sym_BSLASHph] = ACTIONS(1309),
    [anon_sym_BSLASHb] = ACTIONS(1309),
    [anon_sym_BSLASHq] = ACTIONS(1309),
    [anon_sym_BSLASHqr] = ACTIONS(1309),
    [anon_sym_BSLASHqc] = ACTIONS(1309),
    [anon_sym_BSLASHqa] = ACTIONS(1309),
    [anon_sym_BSLASHqm] = ACTIONS(1309),
    [anon_sym_BSLASHqd] = ACTIONS(1309),
    [anon_sym_BSLASHlh] = ACTIONS(1309),
    [anon_sym_BSLASHli] = ACTIONS(1309),
    [anon_sym_BSLASHlim] = ACTIONS(1309),
    [anon_sym_BSLASHtr] = ACTIONS(1309),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1309),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1309),
    [anon_sym_BSLASHcat] = ACTIONS(1309),
  },
  [232] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(212),
    [sym__comments] = STATE(212),
    [sym_sts] = STATE(212),
    [sym_rem] = STATE(212),
    [sym_restore] = STATE(212),
    [sym_lit] = STATE(212),
    [sym_verseText] = STATE(212),
    [sym_v] = STATE(212),
    [sym__verseMeta] = STATE(212),
    [sym_va] = STATE(212),
    [sym_vp] = STATE(212),
    [sym__paragraphContent] = STATE(212),
    [sym_footnote] = STATE(212),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(212),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(212),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(212),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(212),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1353),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1353),
    [anon_sym_BSLASHms] = ACTIONS(1353),
    [anon_sym_BSLASHs] = ACTIONS(1353),
    [anon_sym_BSLASHr] = ACTIONS(1353),
    [anon_sym_BSLASHsp] = ACTIONS(1353),
    [anon_sym_BSLASHd] = ACTIONS(1353),
    [anon_sym_BSLASHsd] = ACTIONS(1353),
    [anon_sym_BSLASHp] = ACTIONS(1353),
    [anon_sym_BSLASHm] = ACTIONS(1353),
    [anon_sym_BSLASHpo] = ACTIONS(1353),
    [anon_sym_BSLASHpr] = ACTIONS(1353),
    [anon_sym_BSLASHcls] = ACTIONS(1353),
    [anon_sym_BSLASHpmo] = ACTIONS(1353),
    [anon_sym_BSLASHpm] = ACTIONS(1353),
    [anon_sym_BSLASHpmc] = ACTIONS(1353),
    [anon_sym_BSLASHpmr] = ACTIONS(1353),
    [anon_sym_BSLASHpi] = ACTIONS(1353),
    [anon_sym_BSLASHmi] = ACTIONS(1353),
    [anon_sym_BSLASHnb] = ACTIONS(1353),
    [anon_sym_BSLASHpc] = ACTIONS(1353),
    [anon_sym_BSLASHph] = ACTIONS(1353),
    [anon_sym_BSLASHb] = ACTIONS(1353),
    [anon_sym_BSLASHq] = ACTIONS(1353),
    [anon_sym_BSLASHqr] = ACTIONS(1353),
    [anon_sym_BSLASHqc] = ACTIONS(1353),
    [anon_sym_BSLASHqa] = ACTIONS(1353),
    [anon_sym_BSLASHqm] = ACTIONS(1353),
    [anon_sym_BSLASHqd] = ACTIONS(1353),
    [anon_sym_BSLASHlh] = ACTIONS(1353),
    [anon_sym_BSLASHli] = ACTIONS(1353),
    [anon_sym_BSLASHlim] = ACTIONS(1353),
    [anon_sym_BSLASHtr] = ACTIONS(1353),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1353),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1353),
    [anon_sym_BSLASHcat] = ACTIONS(1353),
  },
  [233] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(214),
    [sym__comments] = STATE(214),
    [sym_sts] = STATE(214),
    [sym_rem] = STATE(214),
    [sym_restore] = STATE(214),
    [sym_lit] = STATE(214),
    [sym_verseText] = STATE(214),
    [sym_v] = STATE(214),
    [sym__verseMeta] = STATE(214),
    [sym_va] = STATE(214),
    [sym_vp] = STATE(214),
    [sym__paragraphContent] = STATE(214),
    [sym_footnote] = STATE(214),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(214),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(214),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(214),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(214),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1349),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1349),
    [anon_sym_BSLASHms] = ACTIONS(1349),
    [anon_sym_BSLASHs] = ACTIONS(1349),
    [anon_sym_BSLASHr] = ACTIONS(1349),
    [anon_sym_BSLASHsp] = ACTIONS(1349),
    [anon_sym_BSLASHd] = ACTIONS(1349),
    [anon_sym_BSLASHsd] = ACTIONS(1349),
    [anon_sym_BSLASHp] = ACTIONS(1349),
    [anon_sym_BSLASHm] = ACTIONS(1349),
    [anon_sym_BSLASHpo] = ACTIONS(1349),
    [anon_sym_BSLASHpr] = ACTIONS(1349),
    [anon_sym_BSLASHcls] = ACTIONS(1349),
    [anon_sym_BSLASHpmo] = ACTIONS(1349),
    [anon_sym_BSLASHpm] = ACTIONS(1349),
    [anon_sym_BSLASHpmc] = ACTIONS(1349),
    [anon_sym_BSLASHpmr] = ACTIONS(1349),
    [anon_sym_BSLASHpi] = ACTIONS(1349),
    [anon_sym_BSLASHmi] = ACTIONS(1349),
    [anon_sym_BSLASHnb] = ACTIONS(1349),
    [anon_sym_BSLASHpc] = ACTIONS(1349),
    [anon_sym_BSLASHph] = ACTIONS(1349),
    [anon_sym_BSLASHb] = ACTIONS(1349),
    [anon_sym_BSLASHq] = ACTIONS(1349),
    [anon_sym_BSLASHqr] = ACTIONS(1349),
    [anon_sym_BSLASHqc] = ACTIONS(1349),
    [anon_sym_BSLASHqa] = ACTIONS(1349),
    [anon_sym_BSLASHqm] = ACTIONS(1349),
    [anon_sym_BSLASHqd] = ACTIONS(1349),
    [anon_sym_BSLASHlh] = ACTIONS(1349),
    [anon_sym_BSLASHli] = ACTIONS(1349),
    [anon_sym_BSLASHlim] = ACTIONS(1349),
    [anon_sym_BSLASHtr] = ACTIONS(1349),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1349),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1349),
    [anon_sym_BSLASHcat] = ACTIONS(1349),
  },
  [234] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(215),
    [sym__comments] = STATE(215),
    [sym_sts] = STATE(215),
    [sym_rem] = STATE(215),
    [sym_restore] = STATE(215),
    [sym_lit] = STATE(215),
    [sym_verseText] = STATE(215),
    [sym_v] = STATE(215),
    [sym__verseMeta] = STATE(215),
    [sym_va] = STATE(215),
    [sym_vp] = STATE(215),
    [sym__paragraphContent] = STATE(215),
    [sym_footnote] = STATE(215),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(215),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(215),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(215),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(215),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1345),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1345),
    [anon_sym_BSLASHms] = ACTIONS(1345),
    [anon_sym_BSLASHs] = ACTIONS(1345),
    [anon_sym_BSLASHr] = ACTIONS(1345),
    [anon_sym_BSLASHsp] = ACTIONS(1345),
    [anon_sym_BSLASHd] = ACTIONS(1345),
    [anon_sym_BSLASHsd] = ACTIONS(1345),
    [anon_sym_BSLASHp] = ACTIONS(1345),
    [anon_sym_BSLASHm] = ACTIONS(1345),
    [anon_sym_BSLASHpo] = ACTIONS(1345),
    [anon_sym_BSLASHpr] = ACTIONS(1345),
    [anon_sym_BSLASHcls] = ACTIONS(1345),
    [anon_sym_BSLASHpmo] = ACTIONS(1345),
    [anon_sym_BSLASHpm] = ACTIONS(1345),
    [anon_sym_BSLASHpmc] = ACTIONS(1345),
    [anon_sym_BSLASHpmr] = ACTIONS(1345),
    [anon_sym_BSLASHpi] = ACTIONS(1345),
    [anon_sym_BSLASHmi] = ACTIONS(1345),
    [anon_sym_BSLASHnb] = ACTIONS(1345),
    [anon_sym_BSLASHpc] = ACTIONS(1345),
    [anon_sym_BSLASHph] = ACTIONS(1345),
    [anon_sym_BSLASHb] = ACTIONS(1345),
    [anon_sym_BSLASHq] = ACTIONS(1345),
    [anon_sym_BSLASHqr] = ACTIONS(1345),
    [anon_sym_BSLASHqc] = ACTIONS(1345),
    [anon_sym_BSLASHqa] = ACTIONS(1345),
    [anon_sym_BSLASHqm] = ACTIONS(1345),
    [anon_sym_BSLASHqd] = ACTIONS(1345),
    [anon_sym_BSLASHlh] = ACTIONS(1345),
    [anon_sym_BSLASHli] = ACTIONS(1345),
    [anon_sym_BSLASHlim] = ACTIONS(1345),
    [anon_sym_BSLASHtr] = ACTIONS(1345),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1345),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1345),
    [anon_sym_BSLASHcat] = ACTIONS(1345),
  },
  [235] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1377),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1377),
    [anon_sym_BSLASHms] = ACTIONS(1377),
    [anon_sym_BSLASHs] = ACTIONS(1377),
    [anon_sym_BSLASHr] = ACTIONS(1377),
    [anon_sym_BSLASHsp] = ACTIONS(1377),
    [anon_sym_BSLASHd] = ACTIONS(1377),
    [anon_sym_BSLASHsd] = ACTIONS(1377),
    [anon_sym_BSLASHp] = ACTIONS(1377),
    [anon_sym_BSLASHm] = ACTIONS(1377),
    [anon_sym_BSLASHpo] = ACTIONS(1377),
    [anon_sym_BSLASHpr] = ACTIONS(1377),
    [anon_sym_BSLASHcls] = ACTIONS(1377),
    [anon_sym_BSLASHpmo] = ACTIONS(1377),
    [anon_sym_BSLASHpm] = ACTIONS(1377),
    [anon_sym_BSLASHpmc] = ACTIONS(1377),
    [anon_sym_BSLASHpmr] = ACTIONS(1377),
    [anon_sym_BSLASHpi] = ACTIONS(1377),
    [anon_sym_BSLASHmi] = ACTIONS(1377),
    [anon_sym_BSLASHnb] = ACTIONS(1377),
    [anon_sym_BSLASHpc] = ACTIONS(1377),
    [anon_sym_BSLASHph] = ACTIONS(1377),
    [anon_sym_BSLASHb] = ACTIONS(1377),
    [anon_sym_BSLASHq] = ACTIONS(1377),
    [anon_sym_BSLASHqr] = ACTIONS(1377),
    [anon_sym_BSLASHqc] = ACTIONS(1377),
    [anon_sym_BSLASHqa] = ACTIONS(1377),
    [anon_sym_BSLASHqm] = ACTIONS(1377),
    [anon_sym_BSLASHqd] = ACTIONS(1377),
    [anon_sym_BSLASHlh] = ACTIONS(1377),
    [anon_sym_BSLASHli] = ACTIONS(1377),
    [anon_sym_BSLASHlim] = ACTIONS(1377),
    [anon_sym_BSLASHtr] = ACTIONS(1377),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1377),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1377),
    [anon_sym_BSLASHcat] = ACTIONS(1377),
  },
  [236] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(208),
    [sym__comments] = STATE(208),
    [sym_sts] = STATE(208),
    [sym_rem] = STATE(208),
    [sym_restore] = STATE(208),
    [sym_lit] = STATE(208),
    [sym_verseText] = STATE(208),
    [sym_v] = STATE(208),
    [sym__verseMeta] = STATE(208),
    [sym_va] = STATE(208),
    [sym_vp] = STATE(208),
    [sym__paragraphContent] = STATE(208),
    [sym_footnote] = STATE(208),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(208),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(208),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(208),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(208),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1305),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1305),
    [anon_sym_BSLASHms] = ACTIONS(1305),
    [anon_sym_BSLASHs] = ACTIONS(1305),
    [anon_sym_BSLASHr] = ACTIONS(1305),
    [anon_sym_BSLASHsp] = ACTIONS(1305),
    [anon_sym_BSLASHd] = ACTIONS(1305),
    [anon_sym_BSLASHsd] = ACTIONS(1305),
    [anon_sym_BSLASHp] = ACTIONS(1305),
    [anon_sym_BSLASHm] = ACTIONS(1305),
    [anon_sym_BSLASHpo] = ACTIONS(1305),
    [anon_sym_BSLASHpr] = ACTIONS(1305),
    [anon_sym_BSLASHcls] = ACTIONS(1305),
    [anon_sym_BSLASHpmo] = ACTIONS(1305),
    [anon_sym_BSLASHpm] = ACTIONS(1305),
    [anon_sym_BSLASHpmc] = ACTIONS(1305),
    [anon_sym_BSLASHpmr] = ACTIONS(1305),
    [anon_sym_BSLASHpi] = ACTIONS(1305),
    [anon_sym_BSLASHmi] = ACTIONS(1305),
    [anon_sym_BSLASHnb] = ACTIONS(1305),
    [anon_sym_BSLASHpc] = ACTIONS(1305),
    [anon_sym_BSLASHph] = ACTIONS(1305),
    [anon_sym_BSLASHb] = ACTIONS(1305),
    [anon_sym_BSLASHq] = ACTIONS(1305),
    [anon_sym_BSLASHqr] = ACTIONS(1305),
    [anon_sym_BSLASHqc] = ACTIONS(1305),
    [anon_sym_BSLASHqa] = ACTIONS(1305),
    [anon_sym_BSLASHqm] = ACTIONS(1305),
    [anon_sym_BSLASHqd] = ACTIONS(1305),
    [anon_sym_BSLASHlh] = ACTIONS(1305),
    [anon_sym_BSLASHli] = ACTIONS(1305),
    [anon_sym_BSLASHlim] = ACTIONS(1305),
    [anon_sym_BSLASHtr] = ACTIONS(1305),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1305),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1305),
    [anon_sym_BSLASHcat] = ACTIONS(1305),
  },
  [237] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(2099),
    [sym__milestoneStandaloneMarker] = STATE(579),
    [sym__milestoneStart] = STATE(579),
    [sym__milestoneEnd] = STATE(579),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(583),
    [sym__zNameSpaceClosed] = STATE(583),
    [sym__zNameSpaceStandaloneMarker] = STATE(583),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(820),
    [anon_sym_BSLASHrem] = ACTIONS(822),
    [anon_sym_BSLASHrestore] = ACTIONS(824),
    [anon_sym_BSLASHlit] = ACTIONS(826),
    [anon_sym_BSLASHip] = ACTIONS(1381),
    [anon_sym_BSLASHv] = ACTIONS(828),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(1381),
    [anon_sym_BSLASHms] = ACTIONS(1381),
    [anon_sym_BSLASHs] = ACTIONS(1381),
    [anon_sym_BSLASHr] = ACTIONS(1381),
    [anon_sym_BSLASHsp] = ACTIONS(1381),
    [anon_sym_BSLASHd] = ACTIONS(1381),
    [anon_sym_BSLASHsd] = ACTIONS(1381),
    [anon_sym_BSLASHp] = ACTIONS(1381),
    [anon_sym_BSLASHm] = ACTIONS(1381),
    [anon_sym_BSLASHpo] = ACTIONS(1381),
    [anon_sym_BSLASHpr] = ACTIONS(1381),
    [anon_sym_BSLASHcls] = ACTIONS(1381),
    [anon_sym_BSLASHpmo] = ACTIONS(1381),
    [anon_sym_BSLASHpm] = ACTIONS(1381),
    [anon_sym_BSLASHpmc] = ACTIONS(1381),
    [anon_sym_BSLASHpmr] = ACTIONS(1381),
    [anon_sym_BSLASHpi] = ACTIONS(1381),
    [anon_sym_BSLASHmi] = ACTIONS(1381),
    [anon_sym_BSLASHnb] = ACTIONS(1381),
    [anon_sym_BSLASHpc] = ACTIONS(1381),
    [anon_sym_BSLASHph] = ACTIONS(1381),
    [anon_sym_BSLASHb] = ACTIONS(1381),
    [anon_sym_BSLASHq] = ACTIONS(1381),
    [anon_sym_BSLASHqr] = ACTIONS(1381),
    [anon_sym_BSLASHqc] = ACTIONS(1381),
    [anon_sym_BSLASHqa] = ACTIONS(1381),
    [anon_sym_BSLASHqm] = ACTIONS(1381),
    [anon_sym_BSLASHqd] = ACTIONS(1381),
    [anon_sym_BSLASHlh] = ACTIONS(1381),
    [anon_sym_BSLASHli] = ACTIONS(1381),
    [anon_sym_BSLASHlim] = ACTIONS(1381),
    [anon_sym_BSLASHtr] = ACTIONS(1381),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(1381),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(912),
    [sym_milestoneEndTag] = ACTIONS(914),
    [sym_zSpaceTag] = ACTIONS(916),
    [anon_sym_BSLASHesbe] = ACTIONS(1381),
    [anon_sym_BSLASHcat] = ACTIONS(1381),
  },
  [238] = {
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHref] = ACTIONS(2673),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHiqt] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHv] = ACTIONS(2673),
    [anon_sym_BSLASHva] = ACTIONS(2673),
    [anon_sym_BSLASHvp] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHmr] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHsr] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHlf] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHliv] = ACTIONS(2673),
    [anon_sym_BSLASHlik] = ACTIONS(2673),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHlitl] = ACTIONS(2673),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfr] = ACTIONS(2673),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfq] = ACTIONS(2673),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfqa] = ACTIONS(2673),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfk] = ACTIONS(2673),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfl] = ACTIONS(2673),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfw] = ACTIONS(2673),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfp] = ACTIONS(2673),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHft] = ACTIONS(2673),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfdc] = ACTIONS(2673),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfv] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHx] = ACTIONS(2673),
    [anon_sym_BSLASHxt] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2673),
    [anon_sym_BSLASHrq] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesbe] = ACTIONS(2673),
    [anon_sym_BSLASHcat] = ACTIONS(2673),
  },
  [239] = {
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHref] = ACTIONS(2677),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHiqt] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHv] = ACTIONS(2677),
    [anon_sym_BSLASHva] = ACTIONS(2677),
    [anon_sym_BSLASHvp] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHmr] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHsr] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHlf] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHliv] = ACTIONS(2677),
    [anon_sym_BSLASHlik] = ACTIONS(2677),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHlitl] = ACTIONS(2677),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfr] = ACTIONS(2677),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfq] = ACTIONS(2677),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfqa] = ACTIONS(2677),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfk] = ACTIONS(2677),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfl] = ACTIONS(2677),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfw] = ACTIONS(2677),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfp] = ACTIONS(2677),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHft] = ACTIONS(2677),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfdc] = ACTIONS(2677),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfv] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHx] = ACTIONS(2677),
    [anon_sym_BSLASHxt] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2677),
    [anon_sym_BSLASHrq] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesbe] = ACTIONS(2677),
    [anon_sym_BSLASHcat] = ACTIONS(2677),
  },
  [240] = {
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHref] = ACTIONS(2681),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHiqt] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHv] = ACTIONS(2681),
    [anon_sym_BSLASHva] = ACTIONS(2681),
    [anon_sym_BSLASHvp] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHmr] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHsr] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHlf] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHliv] = ACTIONS(2681),
    [anon_sym_BSLASHlik] = ACTIONS(2681),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHlitl] = ACTIONS(2681),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfr] = ACTIONS(2681),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfq] = ACTIONS(2681),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfqa] = ACTIONS(2681),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfk] = ACTIONS(2681),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfl] = ACTIONS(2681),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfw] = ACTIONS(2681),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfp] = ACTIONS(2681),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHft] = ACTIONS(2681),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfdc] = ACTIONS(2681),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfv] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHx] = ACTIONS(2681),
    [anon_sym_BSLASHxt] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2681),
    [anon_sym_BSLASHrq] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesbe] = ACTIONS(2681),
    [anon_sym_BSLASHcat] = ACTIONS(2681),
  },
  [241] = {
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHref] = ACTIONS(2685),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHiqt] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHv] = ACTIONS(2685),
    [anon_sym_BSLASHva] = ACTIONS(2685),
    [anon_sym_BSLASHvp] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHmr] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHsr] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHlf] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHliv] = ACTIONS(2685),
    [anon_sym_BSLASHlik] = ACTIONS(2685),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHlitl] = ACTIONS(2685),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfr] = ACTIONS(2685),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfq] = ACTIONS(2685),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfqa] = ACTIONS(2685),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfk] = ACTIONS(2685),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfl] = ACTIONS(2685),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfw] = ACTIONS(2685),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfp] = ACTIONS(2685),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHft] = ACTIONS(2685),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfdc] = ACTIONS(2685),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfv] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHx] = ACTIONS(2685),
    [anon_sym_BSLASHxt] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2685),
    [anon_sym_BSLASHrq] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesbe] = ACTIONS(2685),
    [anon_sym_BSLASHcat] = ACTIONS(2685),
  },
  [242] = {
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHref] = ACTIONS(2689),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHiqt] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHv] = ACTIONS(2689),
    [anon_sym_BSLASHva] = ACTIONS(2689),
    [anon_sym_BSLASHvp] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHmr] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHsr] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHlf] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHliv] = ACTIONS(2689),
    [anon_sym_BSLASHlik] = ACTIONS(2689),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHlitl] = ACTIONS(2689),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfr] = ACTIONS(2689),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfq] = ACTIONS(2689),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfqa] = ACTIONS(2689),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfk] = ACTIONS(2689),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfl] = ACTIONS(2689),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfw] = ACTIONS(2689),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfp] = ACTIONS(2689),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHft] = ACTIONS(2689),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfdc] = ACTIONS(2689),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfv] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHx] = ACTIONS(2689),
    [anon_sym_BSLASHxt] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2689),
    [anon_sym_BSLASHrq] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesbe] = ACTIONS(2689),
    [anon_sym_BSLASHcat] = ACTIONS(2689),
  },
  [243] = {
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHref] = ACTIONS(2693),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHiqt] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHv] = ACTIONS(2693),
    [anon_sym_BSLASHva] = ACTIONS(2693),
    [anon_sym_BSLASHvp] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHmr] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHsr] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHlf] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHliv] = ACTIONS(2693),
    [anon_sym_BSLASHlik] = ACTIONS(2693),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHlitl] = ACTIONS(2693),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfr] = ACTIONS(2693),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfq] = ACTIONS(2693),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfqa] = ACTIONS(2693),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfk] = ACTIONS(2693),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfl] = ACTIONS(2693),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfw] = ACTIONS(2693),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfp] = ACTIONS(2693),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHft] = ACTIONS(2693),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfdc] = ACTIONS(2693),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfv] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHx] = ACTIONS(2693),
    [anon_sym_BSLASHxt] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2693),
    [anon_sym_BSLASHrq] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesbe] = ACTIONS(2693),
    [anon_sym_BSLASHcat] = ACTIONS(2693),
  },
  [244] = {
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHref] = ACTIONS(2697),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHiqt] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHv] = ACTIONS(2697),
    [anon_sym_BSLASHva] = ACTIONS(2697),
    [anon_sym_BSLASHvp] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHmr] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHsr] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHlf] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHliv] = ACTIONS(2697),
    [anon_sym_BSLASHlik] = ACTIONS(2697),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHlitl] = ACTIONS(2697),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfr] = ACTIONS(2697),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfq] = ACTIONS(2697),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfqa] = ACTIONS(2697),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfk] = ACTIONS(2697),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfl] = ACTIONS(2697),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfw] = ACTIONS(2697),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfp] = ACTIONS(2697),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHft] = ACTIONS(2697),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfdc] = ACTIONS(2697),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfv] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHx] = ACTIONS(2697),
    [anon_sym_BSLASHxt] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2697),
    [anon_sym_BSLASHrq] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesbe] = ACTIONS(2697),
    [anon_sym_BSLASHcat] = ACTIONS(2697),
  },
  [245] = {
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHref] = ACTIONS(2701),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHiqt] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHv] = ACTIONS(2701),
    [anon_sym_BSLASHva] = ACTIONS(2701),
    [anon_sym_BSLASHvp] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHmr] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHsr] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHlf] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHliv] = ACTIONS(2701),
    [anon_sym_BSLASHlik] = ACTIONS(2701),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHlitl] = ACTIONS(2701),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfr] = ACTIONS(2701),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfq] = ACTIONS(2701),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfqa] = ACTIONS(2701),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfk] = ACTIONS(2701),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfl] = ACTIONS(2701),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfw] = ACTIONS(2701),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfp] = ACTIONS(2701),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHft] = ACTIONS(2701),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfdc] = ACTIONS(2701),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfv] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHx] = ACTIONS(2701),
    [anon_sym_BSLASHxt] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2701),
    [anon_sym_BSLASHrq] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesbe] = ACTIONS(2701),
    [anon_sym_BSLASHcat] = ACTIONS(2701),
  },
  [246] = {
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHref] = ACTIONS(2705),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHiqt] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHv] = ACTIONS(2705),
    [anon_sym_BSLASHva] = ACTIONS(2705),
    [anon_sym_BSLASHvp] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHmr] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHsr] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHlf] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHliv] = ACTIONS(2705),
    [anon_sym_BSLASHlik] = ACTIONS(2705),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHlitl] = ACTIONS(2705),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfr] = ACTIONS(2705),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfq] = ACTIONS(2705),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfqa] = ACTIONS(2705),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfk] = ACTIONS(2705),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfl] = ACTIONS(2705),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfw] = ACTIONS(2705),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfp] = ACTIONS(2705),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHft] = ACTIONS(2705),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfdc] = ACTIONS(2705),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfv] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHx] = ACTIONS(2705),
    [anon_sym_BSLASHxt] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2705),
    [anon_sym_BSLASHrq] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesbe] = ACTIONS(2705),
    [anon_sym_BSLASHcat] = ACTIONS(2705),
  },
  [247] = {
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHref] = ACTIONS(2709),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHiqt] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHv] = ACTIONS(2709),
    [anon_sym_BSLASHva] = ACTIONS(2709),
    [anon_sym_BSLASHvp] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHmr] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHsr] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHlf] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHliv] = ACTIONS(2709),
    [anon_sym_BSLASHlik] = ACTIONS(2709),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHlitl] = ACTIONS(2709),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfr] = ACTIONS(2709),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfq] = ACTIONS(2709),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfqa] = ACTIONS(2709),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfk] = ACTIONS(2709),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfl] = ACTIONS(2709),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfw] = ACTIONS(2709),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfp] = ACTIONS(2709),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHft] = ACTIONS(2709),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfdc] = ACTIONS(2709),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfv] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHx] = ACTIONS(2709),
    [anon_sym_BSLASHxt] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2709),
    [anon_sym_BSLASHrq] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesbe] = ACTIONS(2709),
    [anon_sym_BSLASHcat] = ACTIONS(2709),
  },
  [248] = {
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHref] = ACTIONS(2713),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHiqt] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHv] = ACTIONS(2713),
    [anon_sym_BSLASHva] = ACTIONS(2713),
    [anon_sym_BSLASHvp] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHmr] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHsr] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHlf] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHliv] = ACTIONS(2713),
    [anon_sym_BSLASHlik] = ACTIONS(2713),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHlitl] = ACTIONS(2713),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfr] = ACTIONS(2713),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfq] = ACTIONS(2713),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfqa] = ACTIONS(2713),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfk] = ACTIONS(2713),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfl] = ACTIONS(2713),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfw] = ACTIONS(2713),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfp] = ACTIONS(2713),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHft] = ACTIONS(2713),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfdc] = ACTIONS(2713),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfv] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHx] = ACTIONS(2713),
    [anon_sym_BSLASHxt] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2713),
    [anon_sym_BSLASHrq] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesbe] = ACTIONS(2713),
    [anon_sym_BSLASHcat] = ACTIONS(2713),
  },
  [249] = {
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHref] = ACTIONS(2717),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHiqt] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHv] = ACTIONS(2717),
    [anon_sym_BSLASHva] = ACTIONS(2717),
    [anon_sym_BSLASHvp] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHmr] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHsr] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHlf] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHliv] = ACTIONS(2717),
    [anon_sym_BSLASHlik] = ACTIONS(2717),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHlitl] = ACTIONS(2717),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfr] = ACTIONS(2717),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfq] = ACTIONS(2717),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfqa] = ACTIONS(2717),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfk] = ACTIONS(2717),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfl] = ACTIONS(2717),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfw] = ACTIONS(2717),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfp] = ACTIONS(2717),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHft] = ACTIONS(2717),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfdc] = ACTIONS(2717),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfv] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHx] = ACTIONS(2717),
    [anon_sym_BSLASHxt] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2717),
    [anon_sym_BSLASHrq] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesbe] = ACTIONS(2717),
    [anon_sym_BSLASHcat] = ACTIONS(2717),
  },
  [250] = {
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHref] = ACTIONS(2721),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHiqt] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHv] = ACTIONS(2721),
    [anon_sym_BSLASHva] = ACTIONS(2721),
    [anon_sym_BSLASHvp] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHmr] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHsr] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHlf] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHliv] = ACTIONS(2721),
    [anon_sym_BSLASHlik] = ACTIONS(2721),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHlitl] = ACTIONS(2721),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfr] = ACTIONS(2721),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfq] = ACTIONS(2721),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfqa] = ACTIONS(2721),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfk] = ACTIONS(2721),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfl] = ACTIONS(2721),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfw] = ACTIONS(2721),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfp] = ACTIONS(2721),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHft] = ACTIONS(2721),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfdc] = ACTIONS(2721),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfv] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHx] = ACTIONS(2721),
    [anon_sym_BSLASHxt] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2721),
    [anon_sym_BSLASHrq] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesbe] = ACTIONS(2721),
    [anon_sym_BSLASHcat] = ACTIONS(2721),
  },
  [251] = {
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHref] = ACTIONS(2725),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHiqt] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHv] = ACTIONS(2725),
    [anon_sym_BSLASHva] = ACTIONS(2725),
    [anon_sym_BSLASHvp] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHmr] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHsr] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHlf] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHliv] = ACTIONS(2725),
    [anon_sym_BSLASHlik] = ACTIONS(2725),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHlitl] = ACTIONS(2725),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfr] = ACTIONS(2725),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfq] = ACTIONS(2725),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfqa] = ACTIONS(2725),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfk] = ACTIONS(2725),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfl] = ACTIONS(2725),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfw] = ACTIONS(2725),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfp] = ACTIONS(2725),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHft] = ACTIONS(2725),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfdc] = ACTIONS(2725),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfv] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHx] = ACTIONS(2725),
    [anon_sym_BSLASHxt] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2725),
    [anon_sym_BSLASHrq] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesbe] = ACTIONS(2725),
    [anon_sym_BSLASHcat] = ACTIONS(2725),
  },
  [252] = {
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHref] = ACTIONS(2729),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHiqt] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHv] = ACTIONS(2729),
    [anon_sym_BSLASHva] = ACTIONS(2729),
    [anon_sym_BSLASHvp] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHmr] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHsr] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHlf] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHliv] = ACTIONS(2729),
    [anon_sym_BSLASHlik] = ACTIONS(2729),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHlitl] = ACTIONS(2729),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfr] = ACTIONS(2729),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfq] = ACTIONS(2729),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfqa] = ACTIONS(2729),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfk] = ACTIONS(2729),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfl] = ACTIONS(2729),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfw] = ACTIONS(2729),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfp] = ACTIONS(2729),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHft] = ACTIONS(2729),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfdc] = ACTIONS(2729),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfv] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHx] = ACTIONS(2729),
    [anon_sym_BSLASHxt] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2729),
    [anon_sym_BSLASHrq] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesbe] = ACTIONS(2729),
    [anon_sym_BSLASHcat] = ACTIONS(2729),
  },
  [253] = {
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHref] = ACTIONS(2733),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHiqt] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHv] = ACTIONS(2733),
    [anon_sym_BSLASHva] = ACTIONS(2733),
    [anon_sym_BSLASHvp] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHmr] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHsr] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHlf] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHliv] = ACTIONS(2733),
    [anon_sym_BSLASHlik] = ACTIONS(2733),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHlitl] = ACTIONS(2733),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfr] = ACTIONS(2733),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfq] = ACTIONS(2733),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfqa] = ACTIONS(2733),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfk] = ACTIONS(2733),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfl] = ACTIONS(2733),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfw] = ACTIONS(2733),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfp] = ACTIONS(2733),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHft] = ACTIONS(2733),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfdc] = ACTIONS(2733),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfv] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHx] = ACTIONS(2733),
    [anon_sym_BSLASHxt] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2733),
    [anon_sym_BSLASHrq] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesbe] = ACTIONS(2733),
    [anon_sym_BSLASHcat] = ACTIONS(2733),
  },
  [254] = {
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHref] = ACTIONS(2737),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHiqt] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHv] = ACTIONS(2737),
    [anon_sym_BSLASHva] = ACTIONS(2737),
    [anon_sym_BSLASHvp] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHmr] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHsr] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHlf] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHliv] = ACTIONS(2737),
    [anon_sym_BSLASHlik] = ACTIONS(2737),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHlitl] = ACTIONS(2737),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfr] = ACTIONS(2737),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfq] = ACTIONS(2737),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfqa] = ACTIONS(2737),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfk] = ACTIONS(2737),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfl] = ACTIONS(2737),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfw] = ACTIONS(2737),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfp] = ACTIONS(2737),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHft] = ACTIONS(2737),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfdc] = ACTIONS(2737),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfv] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHx] = ACTIONS(2737),
    [anon_sym_BSLASHxt] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2737),
    [anon_sym_BSLASHrq] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesbe] = ACTIONS(2737),
    [anon_sym_BSLASHcat] = ACTIONS(2737),
  },
  [255] = {
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHref] = ACTIONS(2741),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHiqt] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHv] = ACTIONS(2741),
    [anon_sym_BSLASHva] = ACTIONS(2741),
    [anon_sym_BSLASHvp] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHmr] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHsr] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHlf] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHliv] = ACTIONS(2741),
    [anon_sym_BSLASHlik] = ACTIONS(2741),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHlitl] = ACTIONS(2741),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfr] = ACTIONS(2741),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfq] = ACTIONS(2741),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfqa] = ACTIONS(2741),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfk] = ACTIONS(2741),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfl] = ACTIONS(2741),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfw] = ACTIONS(2741),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfp] = ACTIONS(2741),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHft] = ACTIONS(2741),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfdc] = ACTIONS(2741),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfv] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHx] = ACTIONS(2741),
    [anon_sym_BSLASHxt] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2741),
    [anon_sym_BSLASHrq] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesbe] = ACTIONS(2741),
    [anon_sym_BSLASHcat] = ACTIONS(2741),
  },
  [256] = {
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHref] = ACTIONS(2745),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHiqt] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHv] = ACTIONS(2745),
    [anon_sym_BSLASHva] = ACTIONS(2745),
    [anon_sym_BSLASHvp] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHmr] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHsr] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHlf] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHliv] = ACTIONS(2745),
    [anon_sym_BSLASHlik] = ACTIONS(2745),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHlitl] = ACTIONS(2745),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfr] = ACTIONS(2745),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfq] = ACTIONS(2745),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfqa] = ACTIONS(2745),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfk] = ACTIONS(2745),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfl] = ACTIONS(2745),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfw] = ACTIONS(2745),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfp] = ACTIONS(2745),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHft] = ACTIONS(2745),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfdc] = ACTIONS(2745),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfv] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHx] = ACTIONS(2745),
    [anon_sym_BSLASHxt] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2745),
    [anon_sym_BSLASHrq] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesbe] = ACTIONS(2745),
    [anon_sym_BSLASHcat] = ACTIONS(2745),
  },
  [257] = {
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHref] = ACTIONS(2749),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHiqt] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHv] = ACTIONS(2749),
    [anon_sym_BSLASHva] = ACTIONS(2749),
    [anon_sym_BSLASHvp] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHmr] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHsr] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHlf] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHliv] = ACTIONS(2749),
    [anon_sym_BSLASHlik] = ACTIONS(2749),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHlitl] = ACTIONS(2749),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfr] = ACTIONS(2749),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfq] = ACTIONS(2749),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfqa] = ACTIONS(2749),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfk] = ACTIONS(2749),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfl] = ACTIONS(2749),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfw] = ACTIONS(2749),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfp] = ACTIONS(2749),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHft] = ACTIONS(2749),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfdc] = ACTIONS(2749),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfv] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHx] = ACTIONS(2749),
    [anon_sym_BSLASHxt] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2749),
    [anon_sym_BSLASHrq] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesbe] = ACTIONS(2749),
    [anon_sym_BSLASHcat] = ACTIONS(2749),
  },
  [258] = {
    [aux_sym_text_token1] = ACTIONS(2751),
    [anon_sym_BSLASHref] = ACTIONS(2753),
    [anon_sym_BSLASHsts] = ACTIONS(2753),
    [anon_sym_BSLASHrem] = ACTIONS(2753),
    [anon_sym_BSLASHrestore] = ACTIONS(2753),
    [anon_sym_BSLASHlit] = ACTIONS(2753),
    [anon_sym_BSLASHiqt] = ACTIONS(2753),
    [anon_sym_BSLASHip] = ACTIONS(2753),
    [anon_sym_BSLASHv] = ACTIONS(2753),
    [anon_sym_BSLASHva] = ACTIONS(2753),
    [anon_sym_BSLASHvp] = ACTIONS(2753),
    [anon_sym_BSLASHmte] = ACTIONS(2753),
    [anon_sym_BSLASHms] = ACTIONS(2753),
    [anon_sym_BSLASHmr] = ACTIONS(2753),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHsr] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(2753),
    [anon_sym_BSLASHsp] = ACTIONS(2753),
    [anon_sym_BSLASHd] = ACTIONS(2753),
    [anon_sym_BSLASHsd] = ACTIONS(2753),
    [anon_sym_BSLASHp] = ACTIONS(2753),
    [anon_sym_BSLASHm] = ACTIONS(2753),
    [anon_sym_BSLASHpo] = ACTIONS(2753),
    [anon_sym_BSLASHpr] = ACTIONS(2753),
    [anon_sym_BSLASHcls] = ACTIONS(2753),
    [anon_sym_BSLASHpmo] = ACTIONS(2753),
    [anon_sym_BSLASHpm] = ACTIONS(2753),
    [anon_sym_BSLASHpmc] = ACTIONS(2753),
    [anon_sym_BSLASHpmr] = ACTIONS(2753),
    [anon_sym_BSLASHpi] = ACTIONS(2753),
    [anon_sym_BSLASHmi] = ACTIONS(2753),
    [anon_sym_BSLASHnb] = ACTIONS(2753),
    [anon_sym_BSLASHpc] = ACTIONS(2753),
    [anon_sym_BSLASHph] = ACTIONS(2753),
    [anon_sym_BSLASHb] = ACTIONS(2753),
    [anon_sym_BSLASHq] = ACTIONS(2753),
    [anon_sym_BSLASHqr] = ACTIONS(2753),
    [anon_sym_BSLASHqc] = ACTIONS(2753),
    [anon_sym_BSLASHqa] = ACTIONS(2753),
    [anon_sym_BSLASHqm] = ACTIONS(2753),
    [anon_sym_BSLASHqd] = ACTIONS(2753),
    [anon_sym_BSLASHlh] = ACTIONS(2753),
    [anon_sym_BSLASHlf] = ACTIONS(2753),
    [anon_sym_BSLASHli] = ACTIONS(2753),
    [anon_sym_BSLASHlim] = ACTIONS(2753),
    [anon_sym_BSLASHliv] = ACTIONS(2753),
    [anon_sym_BSLASHlik] = ACTIONS(2753),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHlitl] = ACTIONS(2753),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHtr] = ACTIONS(2753),
    [anon_sym_BSLASHf] = ACTIONS(2753),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfe] = ACTIONS(2753),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHef] = ACTIONS(2753),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfr] = ACTIONS(2753),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfq] = ACTIONS(2753),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfqa] = ACTIONS(2753),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfk] = ACTIONS(2753),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfl] = ACTIONS(2753),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfw] = ACTIONS(2753),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfp] = ACTIONS(2753),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHft] = ACTIONS(2753),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfdc] = ACTIONS(2753),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfv] = ACTIONS(2753),
    [anon_sym_BSLASHfm] = ACTIONS(2753),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHx] = ACTIONS(2753),
    [anon_sym_BSLASHxt] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2753),
    [anon_sym_BSLASHrq] = ACTIONS(2753),
    [anon_sym_BSLASHadd] = ACTIONS(2753),
    [anon_sym_BSLASHbk] = ACTIONS(2753),
    [anon_sym_BSLASHdc] = ACTIONS(2753),
    [anon_sym_BSLASHk] = ACTIONS(2753),
    [anon_sym_BSLASHnd] = ACTIONS(2753),
    [anon_sym_BSLASHord] = ACTIONS(2753),
    [anon_sym_BSLASHpn] = ACTIONS(2753),
    [anon_sym_BSLASHpng] = ACTIONS(2753),
    [anon_sym_BSLASHaddpn] = ACTIONS(2753),
    [anon_sym_BSLASHqt] = ACTIONS(2753),
    [anon_sym_BSLASHsig] = ACTIONS(2753),
    [anon_sym_BSLASHsls] = ACTIONS(2753),
    [anon_sym_BSLASHtl] = ACTIONS(2753),
    [anon_sym_BSLASHwj] = ACTIONS(2753),
    [anon_sym_BSLASHem] = ACTIONS(2753),
    [anon_sym_BSLASHbd] = ACTIONS(2753),
    [anon_sym_BSLASHit] = ACTIONS(2753),
    [anon_sym_BSLASHbdit] = ACTIONS(2753),
    [anon_sym_BSLASHno] = ACTIONS(2753),
    [anon_sym_BSLASHsc] = ACTIONS(2753),
    [anon_sym_BSLASHsup] = ACTIONS(2753),
    [anon_sym_BSLASHndx] = ACTIONS(2753),
    [anon_sym_BSLASHpro] = ACTIONS(2753),
    [anon_sym_BSLASHrb] = ACTIONS(2753),
    [anon_sym_BSLASHw] = ACTIONS(2753),
    [anon_sym_BSLASHwg] = ACTIONS(2753),
    [anon_sym_BSLASHwh] = ACTIONS(2753),
    [anon_sym_BSLASHwa] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2753),
    [anon_sym_BSLASHfig] = ACTIONS(2753),
    [anon_sym_BSLASHjmp] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2753),
    [anon_sym_BSLASHpb] = ACTIONS(2753),
    [anon_sym_BSLASH] = ACTIONS(2753),
    [sym_milestoneStartTag] = ACTIONS(2753),
    [sym_milestoneEndTag] = ACTIONS(2753),
    [sym_zSpaceTag] = ACTIONS(2753),
    [anon_sym_BSLASHesbe] = ACTIONS(2753),
    [anon_sym_BSLASHcat] = ACTIONS(2753),
  },
  [259] = {
    [aux_sym_text_token1] = ACTIONS(2755),
    [anon_sym_BSLASHref] = ACTIONS(2757),
    [anon_sym_BSLASHsts] = ACTIONS(2757),
    [anon_sym_BSLASHrem] = ACTIONS(2757),
    [anon_sym_BSLASHrestore] = ACTIONS(2757),
    [anon_sym_BSLASHlit] = ACTIONS(2757),
    [anon_sym_BSLASHiqt] = ACTIONS(2757),
    [anon_sym_BSLASHip] = ACTIONS(2757),
    [anon_sym_BSLASHv] = ACTIONS(2757),
    [anon_sym_BSLASHva] = ACTIONS(2757),
    [anon_sym_BSLASHvp] = ACTIONS(2757),
    [anon_sym_BSLASHmte] = ACTIONS(2757),
    [anon_sym_BSLASHms] = ACTIONS(2757),
    [anon_sym_BSLASHmr] = ACTIONS(2757),
    [anon_sym_BSLASHs] = ACTIONS(2757),
    [anon_sym_BSLASHsr] = ACTIONS(2757),
    [anon_sym_BSLASHr] = ACTIONS(2757),
    [anon_sym_BSLASHsp] = ACTIONS(2757),
    [anon_sym_BSLASHd] = ACTIONS(2757),
    [anon_sym_BSLASHsd] = ACTIONS(2757),
    [anon_sym_BSLASHp] = ACTIONS(2757),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2757),
    [anon_sym_BSLASHpr] = ACTIONS(2757),
    [anon_sym_BSLASHcls] = ACTIONS(2757),
    [anon_sym_BSLASHpmo] = ACTIONS(2757),
    [anon_sym_BSLASHpm] = ACTIONS(2757),
    [anon_sym_BSLASHpmc] = ACTIONS(2757),
    [anon_sym_BSLASHpmr] = ACTIONS(2757),
    [anon_sym_BSLASHpi] = ACTIONS(2757),
    [anon_sym_BSLASHmi] = ACTIONS(2757),
    [anon_sym_BSLASHnb] = ACTIONS(2757),
    [anon_sym_BSLASHpc] = ACTIONS(2757),
    [anon_sym_BSLASHph] = ACTIONS(2757),
    [anon_sym_BSLASHb] = ACTIONS(2757),
    [anon_sym_BSLASHq] = ACTIONS(2757),
    [anon_sym_BSLASHqr] = ACTIONS(2757),
    [anon_sym_BSLASHqc] = ACTIONS(2757),
    [anon_sym_BSLASHqa] = ACTIONS(2757),
    [anon_sym_BSLASHqm] = ACTIONS(2757),
    [anon_sym_BSLASHqd] = ACTIONS(2757),
    [anon_sym_BSLASHlh] = ACTIONS(2757),
    [anon_sym_BSLASHlf] = ACTIONS(2757),
    [anon_sym_BSLASHli] = ACTIONS(2757),
    [anon_sym_BSLASHlim] = ACTIONS(2757),
    [anon_sym_BSLASHliv] = ACTIONS(2757),
    [anon_sym_BSLASHlik] = ACTIONS(2757),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHlitl] = ACTIONS(2757),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHtr] = ACTIONS(2757),
    [anon_sym_BSLASHf] = ACTIONS(2757),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfe] = ACTIONS(2757),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHef] = ACTIONS(2757),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfr] = ACTIONS(2757),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfq] = ACTIONS(2757),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfqa] = ACTIONS(2757),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfk] = ACTIONS(2757),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfl] = ACTIONS(2757),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfw] = ACTIONS(2757),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfp] = ACTIONS(2757),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHft] = ACTIONS(2757),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfdc] = ACTIONS(2757),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfv] = ACTIONS(2757),
    [anon_sym_BSLASHfm] = ACTIONS(2757),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHx] = ACTIONS(2757),
    [anon_sym_BSLASHxt] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2757),
    [anon_sym_BSLASHrq] = ACTIONS(2757),
    [anon_sym_BSLASHadd] = ACTIONS(2757),
    [anon_sym_BSLASHbk] = ACTIONS(2757),
    [anon_sym_BSLASHdc] = ACTIONS(2757),
    [anon_sym_BSLASHk] = ACTIONS(2757),
    [anon_sym_BSLASHnd] = ACTIONS(2757),
    [anon_sym_BSLASHord] = ACTIONS(2757),
    [anon_sym_BSLASHpn] = ACTIONS(2757),
    [anon_sym_BSLASHpng] = ACTIONS(2757),
    [anon_sym_BSLASHaddpn] = ACTIONS(2757),
    [anon_sym_BSLASHqt] = ACTIONS(2757),
    [anon_sym_BSLASHsig] = ACTIONS(2757),
    [anon_sym_BSLASHsls] = ACTIONS(2757),
    [anon_sym_BSLASHtl] = ACTIONS(2757),
    [anon_sym_BSLASHwj] = ACTIONS(2757),
    [anon_sym_BSLASHem] = ACTIONS(2757),
    [anon_sym_BSLASHbd] = ACTIONS(2757),
    [anon_sym_BSLASHit] = ACTIONS(2757),
    [anon_sym_BSLASHbdit] = ACTIONS(2757),
    [anon_sym_BSLASHno] = ACTIONS(2757),
    [anon_sym_BSLASHsc] = ACTIONS(2757),
    [anon_sym_BSLASHsup] = ACTIONS(2757),
    [anon_sym_BSLASHndx] = ACTIONS(2757),
    [anon_sym_BSLASHpro] = ACTIONS(2757),
    [anon_sym_BSLASHrb] = ACTIONS(2757),
    [anon_sym_BSLASHw] = ACTIONS(2757),
    [anon_sym_BSLASHwg] = ACTIONS(2757),
    [anon_sym_BSLASHwh] = ACTIONS(2757),
    [anon_sym_BSLASHwa] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2757),
    [anon_sym_BSLASHfig] = ACTIONS(2757),
    [anon_sym_BSLASHjmp] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2757),
    [anon_sym_BSLASHpb] = ACTIONS(2757),
    [anon_sym_BSLASH] = ACTIONS(2757),
    [sym_milestoneStartTag] = ACTIONS(2757),
    [sym_milestoneEndTag] = ACTIONS(2757),
    [sym_zSpaceTag] = ACTIONS(2757),
    [anon_sym_BSLASHesbe] = ACTIONS(2757),
    [anon_sym_BSLASHcat] = ACTIONS(2757),
  },
  [260] = {
    [aux_sym_text_token1] = ACTIONS(2759),
    [anon_sym_BSLASHref] = ACTIONS(2761),
    [anon_sym_BSLASHsts] = ACTIONS(2761),
    [anon_sym_BSLASHrem] = ACTIONS(2761),
    [anon_sym_BSLASHrestore] = ACTIONS(2761),
    [anon_sym_BSLASHlit] = ACTIONS(2761),
    [anon_sym_BSLASHiqt] = ACTIONS(2761),
    [anon_sym_BSLASHip] = ACTIONS(2761),
    [anon_sym_BSLASHv] = ACTIONS(2761),
    [anon_sym_BSLASHva] = ACTIONS(2761),
    [anon_sym_BSLASHvp] = ACTIONS(2761),
    [anon_sym_BSLASHmte] = ACTIONS(2761),
    [anon_sym_BSLASHms] = ACTIONS(2761),
    [anon_sym_BSLASHmr] = ACTIONS(2761),
    [anon_sym_BSLASHs] = ACTIONS(2761),
    [anon_sym_BSLASHsr] = ACTIONS(2761),
    [anon_sym_BSLASHr] = ACTIONS(2761),
    [anon_sym_BSLASHsp] = ACTIONS(2761),
    [anon_sym_BSLASHd] = ACTIONS(2761),
    [anon_sym_BSLASHsd] = ACTIONS(2761),
    [anon_sym_BSLASHp] = ACTIONS(2761),
    [anon_sym_BSLASHm] = ACTIONS(2761),
    [anon_sym_BSLASHpo] = ACTIONS(2761),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2761),
    [anon_sym_BSLASHpmo] = ACTIONS(2761),
    [anon_sym_BSLASHpm] = ACTIONS(2761),
    [anon_sym_BSLASHpmc] = ACTIONS(2761),
    [anon_sym_BSLASHpmr] = ACTIONS(2761),
    [anon_sym_BSLASHpi] = ACTIONS(2761),
    [anon_sym_BSLASHmi] = ACTIONS(2761),
    [anon_sym_BSLASHnb] = ACTIONS(2761),
    [anon_sym_BSLASHpc] = ACTIONS(2761),
    [anon_sym_BSLASHph] = ACTIONS(2761),
    [anon_sym_BSLASHb] = ACTIONS(2761),
    [anon_sym_BSLASHq] = ACTIONS(2761),
    [anon_sym_BSLASHqr] = ACTIONS(2761),
    [anon_sym_BSLASHqc] = ACTIONS(2761),
    [anon_sym_BSLASHqa] = ACTIONS(2761),
    [anon_sym_BSLASHqm] = ACTIONS(2761),
    [anon_sym_BSLASHqd] = ACTIONS(2761),
    [anon_sym_BSLASHlh] = ACTIONS(2761),
    [anon_sym_BSLASHlf] = ACTIONS(2761),
    [anon_sym_BSLASHli] = ACTIONS(2761),
    [anon_sym_BSLASHlim] = ACTIONS(2761),
    [anon_sym_BSLASHliv] = ACTIONS(2761),
    [anon_sym_BSLASHlik] = ACTIONS(2761),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHlitl] = ACTIONS(2761),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHtr] = ACTIONS(2761),
    [anon_sym_BSLASHf] = ACTIONS(2761),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfe] = ACTIONS(2761),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHef] = ACTIONS(2761),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfr] = ACTIONS(2761),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfq] = ACTIONS(2761),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfqa] = ACTIONS(2761),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfk] = ACTIONS(2761),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfl] = ACTIONS(2761),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfw] = ACTIONS(2761),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfp] = ACTIONS(2761),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHft] = ACTIONS(2761),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfdc] = ACTIONS(2761),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfv] = ACTIONS(2761),
    [anon_sym_BSLASHfm] = ACTIONS(2761),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHx] = ACTIONS(2761),
    [anon_sym_BSLASHxt] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2761),
    [anon_sym_BSLASHrq] = ACTIONS(2761),
    [anon_sym_BSLASHadd] = ACTIONS(2761),
    [anon_sym_BSLASHbk] = ACTIONS(2761),
    [anon_sym_BSLASHdc] = ACTIONS(2761),
    [anon_sym_BSLASHk] = ACTIONS(2761),
    [anon_sym_BSLASHnd] = ACTIONS(2761),
    [anon_sym_BSLASHord] = ACTIONS(2761),
    [anon_sym_BSLASHpn] = ACTIONS(2761),
    [anon_sym_BSLASHpng] = ACTIONS(2761),
    [anon_sym_BSLASHaddpn] = ACTIONS(2761),
    [anon_sym_BSLASHqt] = ACTIONS(2761),
    [anon_sym_BSLASHsig] = ACTIONS(2761),
    [anon_sym_BSLASHsls] = ACTIONS(2761),
    [anon_sym_BSLASHtl] = ACTIONS(2761),
    [anon_sym_BSLASHwj] = ACTIONS(2761),
    [anon_sym_BSLASHem] = ACTIONS(2761),
    [anon_sym_BSLASHbd] = ACTIONS(2761),
    [anon_sym_BSLASHit] = ACTIONS(2761),
    [anon_sym_BSLASHbdit] = ACTIONS(2761),
    [anon_sym_BSLASHno] = ACTIONS(2761),
    [anon_sym_BSLASHsc] = ACTIONS(2761),
    [anon_sym_BSLASHsup] = ACTIONS(2761),
    [anon_sym_BSLASHndx] = ACTIONS(2761),
    [anon_sym_BSLASHpro] = ACTIONS(2761),
    [anon_sym_BSLASHrb] = ACTIONS(2761),
    [anon_sym_BSLASHw] = ACTIONS(2761),
    [anon_sym_BSLASHwg] = ACTIONS(2761),
    [anon_sym_BSLASHwh] = ACTIONS(2761),
    [anon_sym_BSLASHwa] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2761),
    [anon_sym_BSLASHfig] = ACTIONS(2761),
    [anon_sym_BSLASHjmp] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2761),
    [anon_sym_BSLASHpb] = ACTIONS(2761),
    [anon_sym_BSLASH] = ACTIONS(2761),
    [sym_milestoneStartTag] = ACTIONS(2761),
    [sym_milestoneEndTag] = ACTIONS(2761),
    [sym_zSpaceTag] = ACTIONS(2761),
    [anon_sym_BSLASHesbe] = ACTIONS(2761),
    [anon_sym_BSLASHcat] = ACTIONS(2761),
  },
  [261] = {
    [aux_sym_text_token1] = ACTIONS(2763),
    [anon_sym_BSLASHref] = ACTIONS(2765),
    [anon_sym_BSLASHsts] = ACTIONS(2765),
    [anon_sym_BSLASHrem] = ACTIONS(2765),
    [anon_sym_BSLASHrestore] = ACTIONS(2765),
    [anon_sym_BSLASHlit] = ACTIONS(2765),
    [anon_sym_BSLASHiqt] = ACTIONS(2765),
    [anon_sym_BSLASHip] = ACTIONS(2765),
    [anon_sym_BSLASHv] = ACTIONS(2765),
    [anon_sym_BSLASHva] = ACTIONS(2765),
    [anon_sym_BSLASHvp] = ACTIONS(2765),
    [anon_sym_BSLASHmte] = ACTIONS(2765),
    [anon_sym_BSLASHms] = ACTIONS(2765),
    [anon_sym_BSLASHmr] = ACTIONS(2765),
    [anon_sym_BSLASHs] = ACTIONS(2765),
    [anon_sym_BSLASHsr] = ACTIONS(2765),
    [anon_sym_BSLASHr] = ACTIONS(2765),
    [anon_sym_BSLASHsp] = ACTIONS(2765),
    [anon_sym_BSLASHd] = ACTIONS(2765),
    [anon_sym_BSLASHsd] = ACTIONS(2765),
    [anon_sym_BSLASHp] = ACTIONS(2765),
    [anon_sym_BSLASHm] = ACTIONS(2765),
    [anon_sym_BSLASHpo] = ACTIONS(2765),
    [anon_sym_BSLASHpr] = ACTIONS(2765),
    [anon_sym_BSLASHcls] = ACTIONS(2765),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2765),
    [anon_sym_BSLASHpmc] = ACTIONS(2765),
    [anon_sym_BSLASHpmr] = ACTIONS(2765),
    [anon_sym_BSLASHpi] = ACTIONS(2765),
    [anon_sym_BSLASHmi] = ACTIONS(2765),
    [anon_sym_BSLASHnb] = ACTIONS(2765),
    [anon_sym_BSLASHpc] = ACTIONS(2765),
    [anon_sym_BSLASHph] = ACTIONS(2765),
    [anon_sym_BSLASHb] = ACTIONS(2765),
    [anon_sym_BSLASHq] = ACTIONS(2765),
    [anon_sym_BSLASHqr] = ACTIONS(2765),
    [anon_sym_BSLASHqc] = ACTIONS(2765),
    [anon_sym_BSLASHqa] = ACTIONS(2765),
    [anon_sym_BSLASHqm] = ACTIONS(2765),
    [anon_sym_BSLASHqd] = ACTIONS(2765),
    [anon_sym_BSLASHlh] = ACTIONS(2765),
    [anon_sym_BSLASHlf] = ACTIONS(2765),
    [anon_sym_BSLASHli] = ACTIONS(2765),
    [anon_sym_BSLASHlim] = ACTIONS(2765),
    [anon_sym_BSLASHliv] = ACTIONS(2765),
    [anon_sym_BSLASHlik] = ACTIONS(2765),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHlitl] = ACTIONS(2765),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHtr] = ACTIONS(2765),
    [anon_sym_BSLASHf] = ACTIONS(2765),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfe] = ACTIONS(2765),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHef] = ACTIONS(2765),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfr] = ACTIONS(2765),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfq] = ACTIONS(2765),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfqa] = ACTIONS(2765),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfk] = ACTIONS(2765),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfl] = ACTIONS(2765),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfw] = ACTIONS(2765),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfp] = ACTIONS(2765),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHft] = ACTIONS(2765),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfdc] = ACTIONS(2765),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfv] = ACTIONS(2765),
    [anon_sym_BSLASHfm] = ACTIONS(2765),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHx] = ACTIONS(2765),
    [anon_sym_BSLASHxt] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2765),
    [anon_sym_BSLASHrq] = ACTIONS(2765),
    [anon_sym_BSLASHadd] = ACTIONS(2765),
    [anon_sym_BSLASHbk] = ACTIONS(2765),
    [anon_sym_BSLASHdc] = ACTIONS(2765),
    [anon_sym_BSLASHk] = ACTIONS(2765),
    [anon_sym_BSLASHnd] = ACTIONS(2765),
    [anon_sym_BSLASHord] = ACTIONS(2765),
    [anon_sym_BSLASHpn] = ACTIONS(2765),
    [anon_sym_BSLASHpng] = ACTIONS(2765),
    [anon_sym_BSLASHaddpn] = ACTIONS(2765),
    [anon_sym_BSLASHqt] = ACTIONS(2765),
    [anon_sym_BSLASHsig] = ACTIONS(2765),
    [anon_sym_BSLASHsls] = ACTIONS(2765),
    [anon_sym_BSLASHtl] = ACTIONS(2765),
    [anon_sym_BSLASHwj] = ACTIONS(2765),
    [anon_sym_BSLASHem] = ACTIONS(2765),
    [anon_sym_BSLASHbd] = ACTIONS(2765),
    [anon_sym_BSLASHit] = ACTIONS(2765),
    [anon_sym_BSLASHbdit] = ACTIONS(2765),
    [anon_sym_BSLASHno] = ACTIONS(2765),
    [anon_sym_BSLASHsc] = ACTIONS(2765),
    [anon_sym_BSLASHsup] = ACTIONS(2765),
    [anon_sym_BSLASHndx] = ACTIONS(2765),
    [anon_sym_BSLASHpro] = ACTIONS(2765),
    [anon_sym_BSLASHrb] = ACTIONS(2765),
    [anon_sym_BSLASHw] = ACTIONS(2765),
    [anon_sym_BSLASHwg] = ACTIONS(2765),
    [anon_sym_BSLASHwh] = ACTIONS(2765),
    [anon_sym_BSLASHwa] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2765),
    [anon_sym_BSLASHfig] = ACTIONS(2765),
    [anon_sym_BSLASHjmp] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2765),
    [anon_sym_BSLASHpb] = ACTIONS(2765),
    [anon_sym_BSLASH] = ACTIONS(2765),
    [sym_milestoneStartTag] = ACTIONS(2765),
    [sym_milestoneEndTag] = ACTIONS(2765),
    [sym_zSpaceTag] = ACTIONS(2765),
    [anon_sym_BSLASHesbe] = ACTIONS(2765),
    [anon_sym_BSLASHcat] = ACTIONS(2765),
  },
  [262] = {
    [aux_sym_text_token1] = ACTIONS(2767),
    [anon_sym_BSLASHref] = ACTIONS(2769),
    [anon_sym_BSLASHsts] = ACTIONS(2769),
    [anon_sym_BSLASHrem] = ACTIONS(2769),
    [anon_sym_BSLASHrestore] = ACTIONS(2769),
    [anon_sym_BSLASHlit] = ACTIONS(2769),
    [anon_sym_BSLASHiqt] = ACTIONS(2769),
    [anon_sym_BSLASHip] = ACTIONS(2769),
    [anon_sym_BSLASHv] = ACTIONS(2769),
    [anon_sym_BSLASHva] = ACTIONS(2769),
    [anon_sym_BSLASHvp] = ACTIONS(2769),
    [anon_sym_BSLASHmte] = ACTIONS(2769),
    [anon_sym_BSLASHms] = ACTIONS(2769),
    [anon_sym_BSLASHmr] = ACTIONS(2769),
    [anon_sym_BSLASHs] = ACTIONS(2769),
    [anon_sym_BSLASHsr] = ACTIONS(2769),
    [anon_sym_BSLASHr] = ACTIONS(2769),
    [anon_sym_BSLASHsp] = ACTIONS(2769),
    [anon_sym_BSLASHd] = ACTIONS(2769),
    [anon_sym_BSLASHsd] = ACTIONS(2769),
    [anon_sym_BSLASHp] = ACTIONS(2769),
    [anon_sym_BSLASHm] = ACTIONS(2769),
    [anon_sym_BSLASHpo] = ACTIONS(2769),
    [anon_sym_BSLASHpr] = ACTIONS(2769),
    [anon_sym_BSLASHcls] = ACTIONS(2769),
    [anon_sym_BSLASHpmo] = ACTIONS(2769),
    [anon_sym_BSLASHpm] = ACTIONS(2769),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2769),
    [anon_sym_BSLASHpi] = ACTIONS(2769),
    [anon_sym_BSLASHmi] = ACTIONS(2769),
    [anon_sym_BSLASHnb] = ACTIONS(2769),
    [anon_sym_BSLASHpc] = ACTIONS(2769),
    [anon_sym_BSLASHph] = ACTIONS(2769),
    [anon_sym_BSLASHb] = ACTIONS(2769),
    [anon_sym_BSLASHq] = ACTIONS(2769),
    [anon_sym_BSLASHqr] = ACTIONS(2769),
    [anon_sym_BSLASHqc] = ACTIONS(2769),
    [anon_sym_BSLASHqa] = ACTIONS(2769),
    [anon_sym_BSLASHqm] = ACTIONS(2769),
    [anon_sym_BSLASHqd] = ACTIONS(2769),
    [anon_sym_BSLASHlh] = ACTIONS(2769),
    [anon_sym_BSLASHlf] = ACTIONS(2769),
    [anon_sym_BSLASHli] = ACTIONS(2769),
    [anon_sym_BSLASHlim] = ACTIONS(2769),
    [anon_sym_BSLASHliv] = ACTIONS(2769),
    [anon_sym_BSLASHlik] = ACTIONS(2769),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHlitl] = ACTIONS(2769),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHtr] = ACTIONS(2769),
    [anon_sym_BSLASHf] = ACTIONS(2769),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfe] = ACTIONS(2769),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHef] = ACTIONS(2769),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfr] = ACTIONS(2769),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfq] = ACTIONS(2769),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfqa] = ACTIONS(2769),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfk] = ACTIONS(2769),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfl] = ACTIONS(2769),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfw] = ACTIONS(2769),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfp] = ACTIONS(2769),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHft] = ACTIONS(2769),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfdc] = ACTIONS(2769),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfv] = ACTIONS(2769),
    [anon_sym_BSLASHfm] = ACTIONS(2769),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHx] = ACTIONS(2769),
    [anon_sym_BSLASHxt] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2769),
    [anon_sym_BSLASHrq] = ACTIONS(2769),
    [anon_sym_BSLASHadd] = ACTIONS(2769),
    [anon_sym_BSLASHbk] = ACTIONS(2769),
    [anon_sym_BSLASHdc] = ACTIONS(2769),
    [anon_sym_BSLASHk] = ACTIONS(2769),
    [anon_sym_BSLASHnd] = ACTIONS(2769),
    [anon_sym_BSLASHord] = ACTIONS(2769),
    [anon_sym_BSLASHpn] = ACTIONS(2769),
    [anon_sym_BSLASHpng] = ACTIONS(2769),
    [anon_sym_BSLASHaddpn] = ACTIONS(2769),
    [anon_sym_BSLASHqt] = ACTIONS(2769),
    [anon_sym_BSLASHsig] = ACTIONS(2769),
    [anon_sym_BSLASHsls] = ACTIONS(2769),
    [anon_sym_BSLASHtl] = ACTIONS(2769),
    [anon_sym_BSLASHwj] = ACTIONS(2769),
    [anon_sym_BSLASHem] = ACTIONS(2769),
    [anon_sym_BSLASHbd] = ACTIONS(2769),
    [anon_sym_BSLASHit] = ACTIONS(2769),
    [anon_sym_BSLASHbdit] = ACTIONS(2769),
    [anon_sym_BSLASHno] = ACTIONS(2769),
    [anon_sym_BSLASHsc] = ACTIONS(2769),
    [anon_sym_BSLASHsup] = ACTIONS(2769),
    [anon_sym_BSLASHndx] = ACTIONS(2769),
    [anon_sym_BSLASHpro] = ACTIONS(2769),
    [anon_sym_BSLASHrb] = ACTIONS(2769),
    [anon_sym_BSLASHw] = ACTIONS(2769),
    [anon_sym_BSLASHwg] = ACTIONS(2769),
    [anon_sym_BSLASHwh] = ACTIONS(2769),
    [anon_sym_BSLASHwa] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2769),
    [anon_sym_BSLASHfig] = ACTIONS(2769),
    [anon_sym_BSLASHjmp] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2769),
    [anon_sym_BSLASHpb] = ACTIONS(2769),
    [anon_sym_BSLASH] = ACTIONS(2769),
    [sym_milestoneStartTag] = ACTIONS(2769),
    [sym_milestoneEndTag] = ACTIONS(2769),
    [sym_zSpaceTag] = ACTIONS(2769),
    [anon_sym_BSLASHesbe] = ACTIONS(2769),
    [anon_sym_BSLASHcat] = ACTIONS(2769),
  },
  [263] = {
    [aux_sym_text_token1] = ACTIONS(2771),
    [anon_sym_BSLASHref] = ACTIONS(2773),
    [anon_sym_BSLASHsts] = ACTIONS(2773),
    [anon_sym_BSLASHrem] = ACTIONS(2773),
    [anon_sym_BSLASHrestore] = ACTIONS(2773),
    [anon_sym_BSLASHlit] = ACTIONS(2773),
    [anon_sym_BSLASHiqt] = ACTIONS(2773),
    [anon_sym_BSLASHip] = ACTIONS(2773),
    [anon_sym_BSLASHv] = ACTIONS(2773),
    [anon_sym_BSLASHva] = ACTIONS(2773),
    [anon_sym_BSLASHvp] = ACTIONS(2773),
    [anon_sym_BSLASHmte] = ACTIONS(2773),
    [anon_sym_BSLASHms] = ACTIONS(2773),
    [anon_sym_BSLASHmr] = ACTIONS(2773),
    [anon_sym_BSLASHs] = ACTIONS(2773),
    [anon_sym_BSLASHsr] = ACTIONS(2773),
    [anon_sym_BSLASHr] = ACTIONS(2773),
    [anon_sym_BSLASHsp] = ACTIONS(2773),
    [anon_sym_BSLASHd] = ACTIONS(2773),
    [anon_sym_BSLASHsd] = ACTIONS(2773),
    [anon_sym_BSLASHp] = ACTIONS(2773),
    [anon_sym_BSLASHm] = ACTIONS(2773),
    [anon_sym_BSLASHpo] = ACTIONS(2773),
    [anon_sym_BSLASHpr] = ACTIONS(2773),
    [anon_sym_BSLASHcls] = ACTIONS(2773),
    [anon_sym_BSLASHpmo] = ACTIONS(2773),
    [anon_sym_BSLASHpm] = ACTIONS(2773),
    [anon_sym_BSLASHpmc] = ACTIONS(2773),
    [anon_sym_BSLASHpmr] = ACTIONS(2773),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2773),
    [anon_sym_BSLASHnb] = ACTIONS(2773),
    [anon_sym_BSLASHpc] = ACTIONS(2773),
    [anon_sym_BSLASHph] = ACTIONS(2773),
    [anon_sym_BSLASHb] = ACTIONS(2773),
    [anon_sym_BSLASHq] = ACTIONS(2773),
    [anon_sym_BSLASHqr] = ACTIONS(2773),
    [anon_sym_BSLASHqc] = ACTIONS(2773),
    [anon_sym_BSLASHqa] = ACTIONS(2773),
    [anon_sym_BSLASHqm] = ACTIONS(2773),
    [anon_sym_BSLASHqd] = ACTIONS(2773),
    [anon_sym_BSLASHlh] = ACTIONS(2773),
    [anon_sym_BSLASHlf] = ACTIONS(2773),
    [anon_sym_BSLASHli] = ACTIONS(2773),
    [anon_sym_BSLASHlim] = ACTIONS(2773),
    [anon_sym_BSLASHliv] = ACTIONS(2773),
    [anon_sym_BSLASHlik] = ACTIONS(2773),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHlitl] = ACTIONS(2773),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHtr] = ACTIONS(2773),
    [anon_sym_BSLASHf] = ACTIONS(2773),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfe] = ACTIONS(2773),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHef] = ACTIONS(2773),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfr] = ACTIONS(2773),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfq] = ACTIONS(2773),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfqa] = ACTIONS(2773),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfk] = ACTIONS(2773),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfl] = ACTIONS(2773),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfw] = ACTIONS(2773),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfp] = ACTIONS(2773),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHft] = ACTIONS(2773),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfdc] = ACTIONS(2773),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfv] = ACTIONS(2773),
    [anon_sym_BSLASHfm] = ACTIONS(2773),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHx] = ACTIONS(2773),
    [anon_sym_BSLASHxt] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2773),
    [anon_sym_BSLASHrq] = ACTIONS(2773),
    [anon_sym_BSLASHadd] = ACTIONS(2773),
    [anon_sym_BSLASHbk] = ACTIONS(2773),
    [anon_sym_BSLASHdc] = ACTIONS(2773),
    [anon_sym_BSLASHk] = ACTIONS(2773),
    [anon_sym_BSLASHnd] = ACTIONS(2773),
    [anon_sym_BSLASHord] = ACTIONS(2773),
    [anon_sym_BSLASHpn] = ACTIONS(2773),
    [anon_sym_BSLASHpng] = ACTIONS(2773),
    [anon_sym_BSLASHaddpn] = ACTIONS(2773),
    [anon_sym_BSLASHqt] = ACTIONS(2773),
    [anon_sym_BSLASHsig] = ACTIONS(2773),
    [anon_sym_BSLASHsls] = ACTIONS(2773),
    [anon_sym_BSLASHtl] = ACTIONS(2773),
    [anon_sym_BSLASHwj] = ACTIONS(2773),
    [anon_sym_BSLASHem] = ACTIONS(2773),
    [anon_sym_BSLASHbd] = ACTIONS(2773),
    [anon_sym_BSLASHit] = ACTIONS(2773),
    [anon_sym_BSLASHbdit] = ACTIONS(2773),
    [anon_sym_BSLASHno] = ACTIONS(2773),
    [anon_sym_BSLASHsc] = ACTIONS(2773),
    [anon_sym_BSLASHsup] = ACTIONS(2773),
    [anon_sym_BSLASHndx] = ACTIONS(2773),
    [anon_sym_BSLASHpro] = ACTIONS(2773),
    [anon_sym_BSLASHrb] = ACTIONS(2773),
    [anon_sym_BSLASHw] = ACTIONS(2773),
    [anon_sym_BSLASHwg] = ACTIONS(2773),
    [anon_sym_BSLASHwh] = ACTIONS(2773),
    [anon_sym_BSLASHwa] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2773),
    [anon_sym_BSLASHfig] = ACTIONS(2773),
    [anon_sym_BSLASHjmp] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2773),
    [anon_sym_BSLASHpb] = ACTIONS(2773),
    [anon_sym_BSLASH] = ACTIONS(2773),
    [sym_milestoneStartTag] = ACTIONS(2773),
    [sym_milestoneEndTag] = ACTIONS(2773),
    [sym_zSpaceTag] = ACTIONS(2773),
    [anon_sym_BSLASHesbe] = ACTIONS(2773),
    [anon_sym_BSLASHcat] = ACTIONS(2773),
  },
  [264] = {
    [aux_sym_text_token1] = ACTIONS(2775),
    [anon_sym_BSLASHref] = ACTIONS(2777),
    [anon_sym_BSLASHsts] = ACTIONS(2777),
    [anon_sym_BSLASHrem] = ACTIONS(2777),
    [anon_sym_BSLASHrestore] = ACTIONS(2777),
    [anon_sym_BSLASHlit] = ACTIONS(2777),
    [anon_sym_BSLASHiqt] = ACTIONS(2777),
    [anon_sym_BSLASHip] = ACTIONS(2777),
    [anon_sym_BSLASHv] = ACTIONS(2777),
    [anon_sym_BSLASHva] = ACTIONS(2777),
    [anon_sym_BSLASHvp] = ACTIONS(2777),
    [anon_sym_BSLASHmte] = ACTIONS(2777),
    [anon_sym_BSLASHms] = ACTIONS(2777),
    [anon_sym_BSLASHmr] = ACTIONS(2777),
    [anon_sym_BSLASHs] = ACTIONS(2777),
    [anon_sym_BSLASHsr] = ACTIONS(2777),
    [anon_sym_BSLASHr] = ACTIONS(2777),
    [anon_sym_BSLASHsp] = ACTIONS(2777),
    [anon_sym_BSLASHd] = ACTIONS(2777),
    [anon_sym_BSLASHsd] = ACTIONS(2777),
    [anon_sym_BSLASHp] = ACTIONS(2777),
    [anon_sym_BSLASHm] = ACTIONS(2777),
    [anon_sym_BSLASHpo] = ACTIONS(2777),
    [anon_sym_BSLASHpr] = ACTIONS(2777),
    [anon_sym_BSLASHcls] = ACTIONS(2777),
    [anon_sym_BSLASHpmo] = ACTIONS(2777),
    [anon_sym_BSLASHpm] = ACTIONS(2777),
    [anon_sym_BSLASHpmc] = ACTIONS(2777),
    [anon_sym_BSLASHpmr] = ACTIONS(2777),
    [anon_sym_BSLASHpi] = ACTIONS(2777),
    [anon_sym_BSLASHmi] = ACTIONS(2777),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2777),
    [anon_sym_BSLASHph] = ACTIONS(2777),
    [anon_sym_BSLASHb] = ACTIONS(2777),
    [anon_sym_BSLASHq] = ACTIONS(2777),
    [anon_sym_BSLASHqr] = ACTIONS(2777),
    [anon_sym_BSLASHqc] = ACTIONS(2777),
    [anon_sym_BSLASHqa] = ACTIONS(2777),
    [anon_sym_BSLASHqm] = ACTIONS(2777),
    [anon_sym_BSLASHqd] = ACTIONS(2777),
    [anon_sym_BSLASHlh] = ACTIONS(2777),
    [anon_sym_BSLASHlf] = ACTIONS(2777),
    [anon_sym_BSLASHli] = ACTIONS(2777),
    [anon_sym_BSLASHlim] = ACTIONS(2777),
    [anon_sym_BSLASHliv] = ACTIONS(2777),
    [anon_sym_BSLASHlik] = ACTIONS(2777),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHlitl] = ACTIONS(2777),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHtr] = ACTIONS(2777),
    [anon_sym_BSLASHf] = ACTIONS(2777),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfe] = ACTIONS(2777),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHef] = ACTIONS(2777),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfr] = ACTIONS(2777),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfq] = ACTIONS(2777),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfqa] = ACTIONS(2777),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfk] = ACTIONS(2777),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfl] = ACTIONS(2777),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfw] = ACTIONS(2777),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfp] = ACTIONS(2777),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHft] = ACTIONS(2777),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfdc] = ACTIONS(2777),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfv] = ACTIONS(2777),
    [anon_sym_BSLASHfm] = ACTIONS(2777),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHx] = ACTIONS(2777),
    [anon_sym_BSLASHxt] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2777),
    [anon_sym_BSLASHrq] = ACTIONS(2777),
    [anon_sym_BSLASHadd] = ACTIONS(2777),
    [anon_sym_BSLASHbk] = ACTIONS(2777),
    [anon_sym_BSLASHdc] = ACTIONS(2777),
    [anon_sym_BSLASHk] = ACTIONS(2777),
    [anon_sym_BSLASHnd] = ACTIONS(2777),
    [anon_sym_BSLASHord] = ACTIONS(2777),
    [anon_sym_BSLASHpn] = ACTIONS(2777),
    [anon_sym_BSLASHpng] = ACTIONS(2777),
    [anon_sym_BSLASHaddpn] = ACTIONS(2777),
    [anon_sym_BSLASHqt] = ACTIONS(2777),
    [anon_sym_BSLASHsig] = ACTIONS(2777),
    [anon_sym_BSLASHsls] = ACTIONS(2777),
    [anon_sym_BSLASHtl] = ACTIONS(2777),
    [anon_sym_BSLASHwj] = ACTIONS(2777),
    [anon_sym_BSLASHem] = ACTIONS(2777),
    [anon_sym_BSLASHbd] = ACTIONS(2777),
    [anon_sym_BSLASHit] = ACTIONS(2777),
    [anon_sym_BSLASHbdit] = ACTIONS(2777),
    [anon_sym_BSLASHno] = ACTIONS(2777),
    [anon_sym_BSLASHsc] = ACTIONS(2777),
    [anon_sym_BSLASHsup] = ACTIONS(2777),
    [anon_sym_BSLASHndx] = ACTIONS(2777),
    [anon_sym_BSLASHpro] = ACTIONS(2777),
    [anon_sym_BSLASHrb] = ACTIONS(2777),
    [anon_sym_BSLASHw] = ACTIONS(2777),
    [anon_sym_BSLASHwg] = ACTIONS(2777),
    [anon_sym_BSLASHwh] = ACTIONS(2777),
    [anon_sym_BSLASHwa] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2777),
    [anon_sym_BSLASHfig] = ACTIONS(2777),
    [anon_sym_BSLASHjmp] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2777),
    [anon_sym_BSLASHpb] = ACTIONS(2777),
    [anon_sym_BSLASH] = ACTIONS(2777),
    [sym_milestoneStartTag] = ACTIONS(2777),
    [sym_milestoneEndTag] = ACTIONS(2777),
    [sym_zSpaceTag] = ACTIONS(2777),
    [anon_sym_BSLASHesbe] = ACTIONS(2777),
    [anon_sym_BSLASHcat] = ACTIONS(2777),
  },
  [265] = {
    [aux_sym_text_token1] = ACTIONS(2779),
    [anon_sym_BSLASHref] = ACTIONS(2781),
    [anon_sym_BSLASHsts] = ACTIONS(2781),
    [anon_sym_BSLASHrem] = ACTIONS(2781),
    [anon_sym_BSLASHrestore] = ACTIONS(2781),
    [anon_sym_BSLASHlit] = ACTIONS(2781),
    [anon_sym_BSLASHiqt] = ACTIONS(2781),
    [anon_sym_BSLASHip] = ACTIONS(2781),
    [anon_sym_BSLASHv] = ACTIONS(2781),
    [anon_sym_BSLASHva] = ACTIONS(2781),
    [anon_sym_BSLASHvp] = ACTIONS(2781),
    [anon_sym_BSLASHmte] = ACTIONS(2781),
    [anon_sym_BSLASHms] = ACTIONS(2781),
    [anon_sym_BSLASHmr] = ACTIONS(2781),
    [anon_sym_BSLASHs] = ACTIONS(2781),
    [anon_sym_BSLASHsr] = ACTIONS(2781),
    [anon_sym_BSLASHr] = ACTIONS(2781),
    [anon_sym_BSLASHsp] = ACTIONS(2781),
    [anon_sym_BSLASHd] = ACTIONS(2781),
    [anon_sym_BSLASHsd] = ACTIONS(2781),
    [anon_sym_BSLASHp] = ACTIONS(2781),
    [anon_sym_BSLASHm] = ACTIONS(2781),
    [anon_sym_BSLASHpo] = ACTIONS(2781),
    [anon_sym_BSLASHpr] = ACTIONS(2781),
    [anon_sym_BSLASHcls] = ACTIONS(2781),
    [anon_sym_BSLASHpmo] = ACTIONS(2781),
    [anon_sym_BSLASHpm] = ACTIONS(2781),
    [anon_sym_BSLASHpmc] = ACTIONS(2781),
    [anon_sym_BSLASHpmr] = ACTIONS(2781),
    [anon_sym_BSLASHpi] = ACTIONS(2781),
    [anon_sym_BSLASHmi] = ACTIONS(2781),
    [anon_sym_BSLASHnb] = ACTIONS(2781),
    [anon_sym_BSLASHpc] = ACTIONS(2781),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(2781),
    [anon_sym_BSLASHq] = ACTIONS(2781),
    [anon_sym_BSLASHqr] = ACTIONS(2781),
    [anon_sym_BSLASHqc] = ACTIONS(2781),
    [anon_sym_BSLASHqa] = ACTIONS(2781),
    [anon_sym_BSLASHqm] = ACTIONS(2781),
    [anon_sym_BSLASHqd] = ACTIONS(2781),
    [anon_sym_BSLASHlh] = ACTIONS(2781),
    [anon_sym_BSLASHlf] = ACTIONS(2781),
    [anon_sym_BSLASHli] = ACTIONS(2781),
    [anon_sym_BSLASHlim] = ACTIONS(2781),
    [anon_sym_BSLASHliv] = ACTIONS(2781),
    [anon_sym_BSLASHlik] = ACTIONS(2781),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHlitl] = ACTIONS(2781),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHtr] = ACTIONS(2781),
    [anon_sym_BSLASHf] = ACTIONS(2781),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfe] = ACTIONS(2781),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHef] = ACTIONS(2781),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfr] = ACTIONS(2781),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfq] = ACTIONS(2781),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfqa] = ACTIONS(2781),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfk] = ACTIONS(2781),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfl] = ACTIONS(2781),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfw] = ACTIONS(2781),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfp] = ACTIONS(2781),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHft] = ACTIONS(2781),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfdc] = ACTIONS(2781),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfv] = ACTIONS(2781),
    [anon_sym_BSLASHfm] = ACTIONS(2781),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHx] = ACTIONS(2781),
    [anon_sym_BSLASHxt] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2781),
    [anon_sym_BSLASHrq] = ACTIONS(2781),
    [anon_sym_BSLASHadd] = ACTIONS(2781),
    [anon_sym_BSLASHbk] = ACTIONS(2781),
    [anon_sym_BSLASHdc] = ACTIONS(2781),
    [anon_sym_BSLASHk] = ACTIONS(2781),
    [anon_sym_BSLASHnd] = ACTIONS(2781),
    [anon_sym_BSLASHord] = ACTIONS(2781),
    [anon_sym_BSLASHpn] = ACTIONS(2781),
    [anon_sym_BSLASHpng] = ACTIONS(2781),
    [anon_sym_BSLASHaddpn] = ACTIONS(2781),
    [anon_sym_BSLASHqt] = ACTIONS(2781),
    [anon_sym_BSLASHsig] = ACTIONS(2781),
    [anon_sym_BSLASHsls] = ACTIONS(2781),
    [anon_sym_BSLASHtl] = ACTIONS(2781),
    [anon_sym_BSLASHwj] = ACTIONS(2781),
    [anon_sym_BSLASHem] = ACTIONS(2781),
    [anon_sym_BSLASHbd] = ACTIONS(2781),
    [anon_sym_BSLASHit] = ACTIONS(2781),
    [anon_sym_BSLASHbdit] = ACTIONS(2781),
    [anon_sym_BSLASHno] = ACTIONS(2781),
    [anon_sym_BSLASHsc] = ACTIONS(2781),
    [anon_sym_BSLASHsup] = ACTIONS(2781),
    [anon_sym_BSLASHndx] = ACTIONS(2781),
    [anon_sym_BSLASHpro] = ACTIONS(2781),
    [anon_sym_BSLASHrb] = ACTIONS(2781),
    [anon_sym_BSLASHw] = ACTIONS(2781),
    [anon_sym_BSLASHwg] = ACTIONS(2781),
    [anon_sym_BSLASHwh] = ACTIONS(2781),
    [anon_sym_BSLASHwa] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2781),
    [anon_sym_BSLASHfig] = ACTIONS(2781),
    [anon_sym_BSLASHjmp] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2781),
    [anon_sym_BSLASHpb] = ACTIONS(2781),
    [anon_sym_BSLASH] = ACTIONS(2781),
    [sym_milestoneStartTag] = ACTIONS(2781),
    [sym_milestoneEndTag] = ACTIONS(2781),
    [sym_zSpaceTag] = ACTIONS(2781),
    [anon_sym_BSLASHesbe] = ACTIONS(2781),
    [anon_sym_BSLASHcat] = ACTIONS(2781),
  },
  [266] = {
    [aux_sym_text_token1] = ACTIONS(2783),
    [anon_sym_BSLASHref] = ACTIONS(2785),
    [anon_sym_BSLASHsts] = ACTIONS(2785),
    [anon_sym_BSLASHrem] = ACTIONS(2785),
    [anon_sym_BSLASHrestore] = ACTIONS(2785),
    [anon_sym_BSLASHlit] = ACTIONS(2785),
    [anon_sym_BSLASHiqt] = ACTIONS(2785),
    [anon_sym_BSLASHip] = ACTIONS(2785),
    [anon_sym_BSLASHv] = ACTIONS(2785),
    [anon_sym_BSLASHva] = ACTIONS(2785),
    [anon_sym_BSLASHvp] = ACTIONS(2785),
    [anon_sym_BSLASHmte] = ACTIONS(2785),
    [anon_sym_BSLASHms] = ACTIONS(2785),
    [anon_sym_BSLASHmr] = ACTIONS(2785),
    [anon_sym_BSLASHs] = ACTIONS(2785),
    [anon_sym_BSLASHsr] = ACTIONS(2785),
    [anon_sym_BSLASHr] = ACTIONS(2785),
    [anon_sym_BSLASHsp] = ACTIONS(2785),
    [anon_sym_BSLASHd] = ACTIONS(2785),
    [anon_sym_BSLASHsd] = ACTIONS(2785),
    [anon_sym_BSLASHp] = ACTIONS(2785),
    [anon_sym_BSLASHm] = ACTIONS(2785),
    [anon_sym_BSLASHpo] = ACTIONS(2785),
    [anon_sym_BSLASHpr] = ACTIONS(2785),
    [anon_sym_BSLASHcls] = ACTIONS(2785),
    [anon_sym_BSLASHpmo] = ACTIONS(2785),
    [anon_sym_BSLASHpm] = ACTIONS(2785),
    [anon_sym_BSLASHpmc] = ACTIONS(2785),
    [anon_sym_BSLASHpmr] = ACTIONS(2785),
    [anon_sym_BSLASHpi] = ACTIONS(2785),
    [anon_sym_BSLASHmi] = ACTIONS(2785),
    [anon_sym_BSLASHnb] = ACTIONS(2785),
    [anon_sym_BSLASHpc] = ACTIONS(2785),
    [anon_sym_BSLASHph] = ACTIONS(2785),
    [anon_sym_BSLASHb] = ACTIONS(2785),
    [anon_sym_BSLASHq] = ACTIONS(2785),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2785),
    [anon_sym_BSLASHqa] = ACTIONS(2785),
    [anon_sym_BSLASHqm] = ACTIONS(2785),
    [anon_sym_BSLASHqd] = ACTIONS(2785),
    [anon_sym_BSLASHlh] = ACTIONS(2785),
    [anon_sym_BSLASHlf] = ACTIONS(2785),
    [anon_sym_BSLASHli] = ACTIONS(2785),
    [anon_sym_BSLASHlim] = ACTIONS(2785),
    [anon_sym_BSLASHliv] = ACTIONS(2785),
    [anon_sym_BSLASHlik] = ACTIONS(2785),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHlitl] = ACTIONS(2785),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHtr] = ACTIONS(2785),
    [anon_sym_BSLASHf] = ACTIONS(2785),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfe] = ACTIONS(2785),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHef] = ACTIONS(2785),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfr] = ACTIONS(2785),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfq] = ACTIONS(2785),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfqa] = ACTIONS(2785),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfk] = ACTIONS(2785),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfl] = ACTIONS(2785),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfw] = ACTIONS(2785),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfp] = ACTIONS(2785),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHft] = ACTIONS(2785),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfdc] = ACTIONS(2785),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfv] = ACTIONS(2785),
    [anon_sym_BSLASHfm] = ACTIONS(2785),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHx] = ACTIONS(2785),
    [anon_sym_BSLASHxt] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2785),
    [anon_sym_BSLASHrq] = ACTIONS(2785),
    [anon_sym_BSLASHadd] = ACTIONS(2785),
    [anon_sym_BSLASHbk] = ACTIONS(2785),
    [anon_sym_BSLASHdc] = ACTIONS(2785),
    [anon_sym_BSLASHk] = ACTIONS(2785),
    [anon_sym_BSLASHnd] = ACTIONS(2785),
    [anon_sym_BSLASHord] = ACTIONS(2785),
    [anon_sym_BSLASHpn] = ACTIONS(2785),
    [anon_sym_BSLASHpng] = ACTIONS(2785),
    [anon_sym_BSLASHaddpn] = ACTIONS(2785),
    [anon_sym_BSLASHqt] = ACTIONS(2785),
    [anon_sym_BSLASHsig] = ACTIONS(2785),
    [anon_sym_BSLASHsls] = ACTIONS(2785),
    [anon_sym_BSLASHtl] = ACTIONS(2785),
    [anon_sym_BSLASHwj] = ACTIONS(2785),
    [anon_sym_BSLASHem] = ACTIONS(2785),
    [anon_sym_BSLASHbd] = ACTIONS(2785),
    [anon_sym_BSLASHit] = ACTIONS(2785),
    [anon_sym_BSLASHbdit] = ACTIONS(2785),
    [anon_sym_BSLASHno] = ACTIONS(2785),
    [anon_sym_BSLASHsc] = ACTIONS(2785),
    [anon_sym_BSLASHsup] = ACTIONS(2785),
    [anon_sym_BSLASHndx] = ACTIONS(2785),
    [anon_sym_BSLASHpro] = ACTIONS(2785),
    [anon_sym_BSLASHrb] = ACTIONS(2785),
    [anon_sym_BSLASHw] = ACTIONS(2785),
    [anon_sym_BSLASHwg] = ACTIONS(2785),
    [anon_sym_BSLASHwh] = ACTIONS(2785),
    [anon_sym_BSLASHwa] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2785),
    [anon_sym_BSLASHfig] = ACTIONS(2785),
    [anon_sym_BSLASHjmp] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2785),
    [anon_sym_BSLASHpb] = ACTIONS(2785),
    [anon_sym_BSLASH] = ACTIONS(2785),
    [sym_milestoneStartTag] = ACTIONS(2785),
    [sym_milestoneEndTag] = ACTIONS(2785),
    [sym_zSpaceTag] = ACTIONS(2785),
    [anon_sym_BSLASHesbe] = ACTIONS(2785),
    [anon_sym_BSLASHcat] = ACTIONS(2785),
  },
  [267] = {
    [aux_sym_text_token1] = ACTIONS(2787),
    [anon_sym_BSLASHref] = ACTIONS(2789),
    [anon_sym_BSLASHsts] = ACTIONS(2789),
    [anon_sym_BSLASHrem] = ACTIONS(2789),
    [anon_sym_BSLASHrestore] = ACTIONS(2789),
    [anon_sym_BSLASHlit] = ACTIONS(2789),
    [anon_sym_BSLASHiqt] = ACTIONS(2789),
    [anon_sym_BSLASHip] = ACTIONS(2789),
    [anon_sym_BSLASHv] = ACTIONS(2789),
    [anon_sym_BSLASHva] = ACTIONS(2789),
    [anon_sym_BSLASHvp] = ACTIONS(2789),
    [anon_sym_BSLASHmte] = ACTIONS(2789),
    [anon_sym_BSLASHms] = ACTIONS(2789),
    [anon_sym_BSLASHmr] = ACTIONS(2789),
    [anon_sym_BSLASHs] = ACTIONS(2789),
    [anon_sym_BSLASHsr] = ACTIONS(2789),
    [anon_sym_BSLASHr] = ACTIONS(2789),
    [anon_sym_BSLASHsp] = ACTIONS(2789),
    [anon_sym_BSLASHd] = ACTIONS(2789),
    [anon_sym_BSLASHsd] = ACTIONS(2789),
    [anon_sym_BSLASHp] = ACTIONS(2789),
    [anon_sym_BSLASHm] = ACTIONS(2789),
    [anon_sym_BSLASHpo] = ACTIONS(2789),
    [anon_sym_BSLASHpr] = ACTIONS(2789),
    [anon_sym_BSLASHcls] = ACTIONS(2789),
    [anon_sym_BSLASHpmo] = ACTIONS(2789),
    [anon_sym_BSLASHpm] = ACTIONS(2789),
    [anon_sym_BSLASHpmc] = ACTIONS(2789),
    [anon_sym_BSLASHpmr] = ACTIONS(2789),
    [anon_sym_BSLASHpi] = ACTIONS(2789),
    [anon_sym_BSLASHmi] = ACTIONS(2789),
    [anon_sym_BSLASHnb] = ACTIONS(2789),
    [anon_sym_BSLASHpc] = ACTIONS(2789),
    [anon_sym_BSLASHph] = ACTIONS(2789),
    [anon_sym_BSLASHb] = ACTIONS(2789),
    [anon_sym_BSLASHq] = ACTIONS(2789),
    [anon_sym_BSLASHqr] = ACTIONS(2789),
    [anon_sym_BSLASHqc] = ACTIONS(2789),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2789),
    [anon_sym_BSLASHqd] = ACTIONS(2789),
    [anon_sym_BSLASHlh] = ACTIONS(2789),
    [anon_sym_BSLASHlf] = ACTIONS(2789),
    [anon_sym_BSLASHli] = ACTIONS(2789),
    [anon_sym_BSLASHlim] = ACTIONS(2789),
    [anon_sym_BSLASHliv] = ACTIONS(2789),
    [anon_sym_BSLASHlik] = ACTIONS(2789),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHlitl] = ACTIONS(2789),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHtr] = ACTIONS(2789),
    [anon_sym_BSLASHf] = ACTIONS(2789),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfe] = ACTIONS(2789),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHef] = ACTIONS(2789),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfr] = ACTIONS(2789),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfq] = ACTIONS(2789),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfqa] = ACTIONS(2789),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfk] = ACTIONS(2789),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfl] = ACTIONS(2789),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfw] = ACTIONS(2789),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfp] = ACTIONS(2789),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHft] = ACTIONS(2789),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfdc] = ACTIONS(2789),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfv] = ACTIONS(2789),
    [anon_sym_BSLASHfm] = ACTIONS(2789),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHx] = ACTIONS(2789),
    [anon_sym_BSLASHxt] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2789),
    [anon_sym_BSLASHrq] = ACTIONS(2789),
    [anon_sym_BSLASHadd] = ACTIONS(2789),
    [anon_sym_BSLASHbk] = ACTIONS(2789),
    [anon_sym_BSLASHdc] = ACTIONS(2789),
    [anon_sym_BSLASHk] = ACTIONS(2789),
    [anon_sym_BSLASHnd] = ACTIONS(2789),
    [anon_sym_BSLASHord] = ACTIONS(2789),
    [anon_sym_BSLASHpn] = ACTIONS(2789),
    [anon_sym_BSLASHpng] = ACTIONS(2789),
    [anon_sym_BSLASHaddpn] = ACTIONS(2789),
    [anon_sym_BSLASHqt] = ACTIONS(2789),
    [anon_sym_BSLASHsig] = ACTIONS(2789),
    [anon_sym_BSLASHsls] = ACTIONS(2789),
    [anon_sym_BSLASHtl] = ACTIONS(2789),
    [anon_sym_BSLASHwj] = ACTIONS(2789),
    [anon_sym_BSLASHem] = ACTIONS(2789),
    [anon_sym_BSLASHbd] = ACTIONS(2789),
    [anon_sym_BSLASHit] = ACTIONS(2789),
    [anon_sym_BSLASHbdit] = ACTIONS(2789),
    [anon_sym_BSLASHno] = ACTIONS(2789),
    [anon_sym_BSLASHsc] = ACTIONS(2789),
    [anon_sym_BSLASHsup] = ACTIONS(2789),
    [anon_sym_BSLASHndx] = ACTIONS(2789),
    [anon_sym_BSLASHpro] = ACTIONS(2789),
    [anon_sym_BSLASHrb] = ACTIONS(2789),
    [anon_sym_BSLASHw] = ACTIONS(2789),
    [anon_sym_BSLASHwg] = ACTIONS(2789),
    [anon_sym_BSLASHwh] = ACTIONS(2789),
    [anon_sym_BSLASHwa] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2789),
    [anon_sym_BSLASHfig] = ACTIONS(2789),
    [anon_sym_BSLASHjmp] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2789),
    [anon_sym_BSLASHpb] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2789),
    [sym_milestoneStartTag] = ACTIONS(2789),
    [sym_milestoneEndTag] = ACTIONS(2789),
    [sym_zSpaceTag] = ACTIONS(2789),
    [anon_sym_BSLASHesbe] = ACTIONS(2789),
    [anon_sym_BSLASHcat] = ACTIONS(2789),
  },
  [268] = {
    [aux_sym_text_token1] = ACTIONS(2791),
    [anon_sym_BSLASHref] = ACTIONS(2793),
    [anon_sym_BSLASHsts] = ACTIONS(2793),
    [anon_sym_BSLASHrem] = ACTIONS(2793),
    [anon_sym_BSLASHrestore] = ACTIONS(2793),
    [anon_sym_BSLASHlit] = ACTIONS(2793),
    [anon_sym_BSLASHiqt] = ACTIONS(2793),
    [anon_sym_BSLASHip] = ACTIONS(2793),
    [anon_sym_BSLASHv] = ACTIONS(2793),
    [anon_sym_BSLASHva] = ACTIONS(2793),
    [anon_sym_BSLASHvp] = ACTIONS(2793),
    [anon_sym_BSLASHmte] = ACTIONS(2793),
    [anon_sym_BSLASHms] = ACTIONS(2793),
    [anon_sym_BSLASHmr] = ACTIONS(2793),
    [anon_sym_BSLASHs] = ACTIONS(2793),
    [anon_sym_BSLASHsr] = ACTIONS(2793),
    [anon_sym_BSLASHr] = ACTIONS(2793),
    [anon_sym_BSLASHsp] = ACTIONS(2793),
    [anon_sym_BSLASHd] = ACTIONS(2793),
    [anon_sym_BSLASHsd] = ACTIONS(2793),
    [anon_sym_BSLASHp] = ACTIONS(2793),
    [anon_sym_BSLASHm] = ACTIONS(2793),
    [anon_sym_BSLASHpo] = ACTIONS(2793),
    [anon_sym_BSLASHpr] = ACTIONS(2793),
    [anon_sym_BSLASHcls] = ACTIONS(2793),
    [anon_sym_BSLASHpmo] = ACTIONS(2793),
    [anon_sym_BSLASHpm] = ACTIONS(2793),
    [anon_sym_BSLASHpmc] = ACTIONS(2793),
    [anon_sym_BSLASHpmr] = ACTIONS(2793),
    [anon_sym_BSLASHpi] = ACTIONS(2793),
    [anon_sym_BSLASHmi] = ACTIONS(2793),
    [anon_sym_BSLASHnb] = ACTIONS(2793),
    [anon_sym_BSLASHpc] = ACTIONS(2793),
    [anon_sym_BSLASHph] = ACTIONS(2793),
    [anon_sym_BSLASHb] = ACTIONS(2793),
    [anon_sym_BSLASHq] = ACTIONS(2793),
    [anon_sym_BSLASHqr] = ACTIONS(2793),
    [anon_sym_BSLASHqc] = ACTIONS(2793),
    [anon_sym_BSLASHqa] = ACTIONS(2793),
    [anon_sym_BSLASHqm] = ACTIONS(2793),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(2793),
    [anon_sym_BSLASHlf] = ACTIONS(2793),
    [anon_sym_BSLASHli] = ACTIONS(2793),
    [anon_sym_BSLASHlim] = ACTIONS(2793),
    [anon_sym_BSLASHliv] = ACTIONS(2793),
    [anon_sym_BSLASHlik] = ACTIONS(2793),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHlitl] = ACTIONS(2793),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHtr] = ACTIONS(2793),
    [anon_sym_BSLASHf] = ACTIONS(2793),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfe] = ACTIONS(2793),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHef] = ACTIONS(2793),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfr] = ACTIONS(2793),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfq] = ACTIONS(2793),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfqa] = ACTIONS(2793),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfk] = ACTIONS(2793),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfl] = ACTIONS(2793),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfw] = ACTIONS(2793),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfp] = ACTIONS(2793),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHft] = ACTIONS(2793),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfdc] = ACTIONS(2793),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfv] = ACTIONS(2793),
    [anon_sym_BSLASHfm] = ACTIONS(2793),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHx] = ACTIONS(2793),
    [anon_sym_BSLASHxt] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2793),
    [anon_sym_BSLASHrq] = ACTIONS(2793),
    [anon_sym_BSLASHadd] = ACTIONS(2793),
    [anon_sym_BSLASHbk] = ACTIONS(2793),
    [anon_sym_BSLASHdc] = ACTIONS(2793),
    [anon_sym_BSLASHk] = ACTIONS(2793),
    [anon_sym_BSLASHnd] = ACTIONS(2793),
    [anon_sym_BSLASHord] = ACTIONS(2793),
    [anon_sym_BSLASHpn] = ACTIONS(2793),
    [anon_sym_BSLASHpng] = ACTIONS(2793),
    [anon_sym_BSLASHaddpn] = ACTIONS(2793),
    [anon_sym_BSLASHqt] = ACTIONS(2793),
    [anon_sym_BSLASHsig] = ACTIONS(2793),
    [anon_sym_BSLASHsls] = ACTIONS(2793),
    [anon_sym_BSLASHtl] = ACTIONS(2793),
    [anon_sym_BSLASHwj] = ACTIONS(2793),
    [anon_sym_BSLASHem] = ACTIONS(2793),
    [anon_sym_BSLASHbd] = ACTIONS(2793),
    [anon_sym_BSLASHit] = ACTIONS(2793),
    [anon_sym_BSLASHbdit] = ACTIONS(2793),
    [anon_sym_BSLASHno] = ACTIONS(2793),
    [anon_sym_BSLASHsc] = ACTIONS(2793),
    [anon_sym_BSLASHsup] = ACTIONS(2793),
    [anon_sym_BSLASHndx] = ACTIONS(2793),
    [anon_sym_BSLASHpro] = ACTIONS(2793),
    [anon_sym_BSLASHrb] = ACTIONS(2793),
    [anon_sym_BSLASHw] = ACTIONS(2793),
    [anon_sym_BSLASHwg] = ACTIONS(2793),
    [anon_sym_BSLASHwh] = ACTIONS(2793),
    [anon_sym_BSLASHwa] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2793),
    [anon_sym_BSLASHfig] = ACTIONS(2793),
    [anon_sym_BSLASHjmp] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2793),
    [anon_sym_BSLASHpb] = ACTIONS(2793),
    [anon_sym_BSLASH] = ACTIONS(2793),
    [sym_milestoneStartTag] = ACTIONS(2793),
    [sym_milestoneEndTag] = ACTIONS(2793),
    [sym_zSpaceTag] = ACTIONS(2793),
    [anon_sym_BSLASHesbe] = ACTIONS(2793),
    [anon_sym_BSLASHcat] = ACTIONS(2793),
  },
  [269] = {
    [aux_sym_text_token1] = ACTIONS(2795),
    [anon_sym_BSLASHref] = ACTIONS(2797),
    [anon_sym_BSLASHsts] = ACTIONS(2797),
    [anon_sym_BSLASHrem] = ACTIONS(2797),
    [anon_sym_BSLASHrestore] = ACTIONS(2797),
    [anon_sym_BSLASHlit] = ACTIONS(2797),
    [anon_sym_BSLASHiqt] = ACTIONS(2797),
    [anon_sym_BSLASHip] = ACTIONS(2797),
    [anon_sym_BSLASHv] = ACTIONS(2797),
    [anon_sym_BSLASHva] = ACTIONS(2797),
    [anon_sym_BSLASHvp] = ACTIONS(2797),
    [anon_sym_BSLASHmte] = ACTIONS(2797),
    [anon_sym_BSLASHms] = ACTIONS(2797),
    [anon_sym_BSLASHmr] = ACTIONS(2797),
    [anon_sym_BSLASHs] = ACTIONS(2797),
    [anon_sym_BSLASHsr] = ACTIONS(2797),
    [anon_sym_BSLASHr] = ACTIONS(2797),
    [anon_sym_BSLASHsp] = ACTIONS(2797),
    [anon_sym_BSLASHd] = ACTIONS(2797),
    [anon_sym_BSLASHsd] = ACTIONS(2797),
    [anon_sym_BSLASHp] = ACTIONS(2797),
    [anon_sym_BSLASHm] = ACTIONS(2797),
    [anon_sym_BSLASHpo] = ACTIONS(2797),
    [anon_sym_BSLASHpr] = ACTIONS(2797),
    [anon_sym_BSLASHcls] = ACTIONS(2797),
    [anon_sym_BSLASHpmo] = ACTIONS(2797),
    [anon_sym_BSLASHpm] = ACTIONS(2797),
    [anon_sym_BSLASHpmc] = ACTIONS(2797),
    [anon_sym_BSLASHpmr] = ACTIONS(2797),
    [anon_sym_BSLASHpi] = ACTIONS(2797),
    [anon_sym_BSLASHmi] = ACTIONS(2797),
    [anon_sym_BSLASHnb] = ACTIONS(2797),
    [anon_sym_BSLASHpc] = ACTIONS(2797),
    [anon_sym_BSLASHph] = ACTIONS(2797),
    [anon_sym_BSLASHb] = ACTIONS(2797),
    [anon_sym_BSLASHq] = ACTIONS(2797),
    [anon_sym_BSLASHqr] = ACTIONS(2797),
    [anon_sym_BSLASHqc] = ACTIONS(2797),
    [anon_sym_BSLASHqa] = ACTIONS(2797),
    [anon_sym_BSLASHqm] = ACTIONS(2797),
    [anon_sym_BSLASHqd] = ACTIONS(2797),
    [anon_sym_BSLASHlh] = ACTIONS(2797),
    [anon_sym_BSLASHlf] = ACTIONS(2797),
    [anon_sym_BSLASHli] = ACTIONS(2797),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHliv] = ACTIONS(2797),
    [anon_sym_BSLASHlik] = ACTIONS(2797),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHlitl] = ACTIONS(2797),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2797),
    [anon_sym_BSLASHf] = ACTIONS(2797),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfe] = ACTIONS(2797),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHef] = ACTIONS(2797),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfr] = ACTIONS(2797),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfq] = ACTIONS(2797),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfqa] = ACTIONS(2797),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfk] = ACTIONS(2797),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfl] = ACTIONS(2797),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfw] = ACTIONS(2797),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfp] = ACTIONS(2797),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHft] = ACTIONS(2797),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfdc] = ACTIONS(2797),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfv] = ACTIONS(2797),
    [anon_sym_BSLASHfm] = ACTIONS(2797),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHx] = ACTIONS(2797),
    [anon_sym_BSLASHxt] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2797),
    [anon_sym_BSLASHrq] = ACTIONS(2797),
    [anon_sym_BSLASHadd] = ACTIONS(2797),
    [anon_sym_BSLASHbk] = ACTIONS(2797),
    [anon_sym_BSLASHdc] = ACTIONS(2797),
    [anon_sym_BSLASHk] = ACTIONS(2797),
    [anon_sym_BSLASHnd] = ACTIONS(2797),
    [anon_sym_BSLASHord] = ACTIONS(2797),
    [anon_sym_BSLASHpn] = ACTIONS(2797),
    [anon_sym_BSLASHpng] = ACTIONS(2797),
    [anon_sym_BSLASHaddpn] = ACTIONS(2797),
    [anon_sym_BSLASHqt] = ACTIONS(2797),
    [anon_sym_BSLASHsig] = ACTIONS(2797),
    [anon_sym_BSLASHsls] = ACTIONS(2797),
    [anon_sym_BSLASHtl] = ACTIONS(2797),
    [anon_sym_BSLASHwj] = ACTIONS(2797),
    [anon_sym_BSLASHem] = ACTIONS(2797),
    [anon_sym_BSLASHbd] = ACTIONS(2797),
    [anon_sym_BSLASHit] = ACTIONS(2797),
    [anon_sym_BSLASHbdit] = ACTIONS(2797),
    [anon_sym_BSLASHno] = ACTIONS(2797),
    [anon_sym_BSLASHsc] = ACTIONS(2797),
    [anon_sym_BSLASHsup] = ACTIONS(2797),
    [anon_sym_BSLASHndx] = ACTIONS(2797),
    [anon_sym_BSLASHpro] = ACTIONS(2797),
    [anon_sym_BSLASHrb] = ACTIONS(2797),
    [anon_sym_BSLASHw] = ACTIONS(2797),
    [anon_sym_BSLASHwg] = ACTIONS(2797),
    [anon_sym_BSLASHwh] = ACTIONS(2797),
    [anon_sym_BSLASHwa] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2797),
    [anon_sym_BSLASHfig] = ACTIONS(2797),
    [anon_sym_BSLASHjmp] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2797),
    [anon_sym_BSLASHpb] = ACTIONS(2797),
    [anon_sym_BSLASH] = ACTIONS(2797),
    [sym_milestoneStartTag] = ACTIONS(2797),
    [sym_milestoneEndTag] = ACTIONS(2797),
    [sym_zSpaceTag] = ACTIONS(2797),
    [anon_sym_BSLASHesbe] = ACTIONS(2797),
    [anon_sym_BSLASHcat] = ACTIONS(2797),
  },
  [270] = {
    [aux_sym_text_token1] = ACTIONS(2799),
    [anon_sym_BSLASHref] = ACTIONS(2801),
    [anon_sym_BSLASHsts] = ACTIONS(2801),
    [anon_sym_BSLASHrem] = ACTIONS(2801),
    [anon_sym_BSLASHrestore] = ACTIONS(2801),
    [anon_sym_BSLASHlit] = ACTIONS(2801),
    [anon_sym_BSLASHiqt] = ACTIONS(2801),
    [anon_sym_BSLASHip] = ACTIONS(2801),
    [anon_sym_BSLASHv] = ACTIONS(2801),
    [anon_sym_BSLASHva] = ACTIONS(2801),
    [anon_sym_BSLASHvp] = ACTIONS(2801),
    [anon_sym_BSLASHmte] = ACTIONS(2801),
    [anon_sym_BSLASHms] = ACTIONS(2801),
    [anon_sym_BSLASHmr] = ACTIONS(2801),
    [anon_sym_BSLASHs] = ACTIONS(2801),
    [anon_sym_BSLASHsr] = ACTIONS(2801),
    [anon_sym_BSLASHr] = ACTIONS(2801),
    [anon_sym_BSLASHsp] = ACTIONS(2801),
    [anon_sym_BSLASHd] = ACTIONS(2801),
    [anon_sym_BSLASHsd] = ACTIONS(2801),
    [anon_sym_BSLASHp] = ACTIONS(2801),
    [anon_sym_BSLASHm] = ACTIONS(2801),
    [anon_sym_BSLASHpo] = ACTIONS(2801),
    [anon_sym_BSLASHpr] = ACTIONS(2801),
    [anon_sym_BSLASHcls] = ACTIONS(2801),
    [anon_sym_BSLASHpmo] = ACTIONS(2801),
    [anon_sym_BSLASHpm] = ACTIONS(2801),
    [anon_sym_BSLASHpmc] = ACTIONS(2801),
    [anon_sym_BSLASHpmr] = ACTIONS(2801),
    [anon_sym_BSLASHpi] = ACTIONS(2801),
    [anon_sym_BSLASHmi] = ACTIONS(2801),
    [anon_sym_BSLASHnb] = ACTIONS(2801),
    [anon_sym_BSLASHpc] = ACTIONS(2801),
    [anon_sym_BSLASHph] = ACTIONS(2801),
    [anon_sym_BSLASHb] = ACTIONS(2801),
    [anon_sym_BSLASHq] = ACTIONS(2801),
    [anon_sym_BSLASHqr] = ACTIONS(2801),
    [anon_sym_BSLASHqc] = ACTIONS(2801),
    [anon_sym_BSLASHqa] = ACTIONS(2801),
    [anon_sym_BSLASHqm] = ACTIONS(2801),
    [anon_sym_BSLASHqd] = ACTIONS(2801),
    [anon_sym_BSLASHlh] = ACTIONS(2801),
    [anon_sym_BSLASHlf] = ACTIONS(2801),
    [anon_sym_BSLASHli] = ACTIONS(2801),
    [anon_sym_BSLASHlim] = ACTIONS(2801),
    [anon_sym_BSLASHliv] = ACTIONS(2801),
    [anon_sym_BSLASHlik] = ACTIONS(2801),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHlitl] = ACTIONS(2801),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHtr] = ACTIONS(2801),
    [anon_sym_BSLASHf] = ACTIONS(2801),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHfe] = ACTIONS(2801),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHef] = ACTIONS(2801),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHfr] = ACTIONS(2801),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHfq] = ACTIONS(2801),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHfqa] = ACTIONS(2801),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHfk] = ACTIONS(2801),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHfl] = ACTIONS(2801),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHfw] = ACTIONS(2801),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHfp] = ACTIONS(2801),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHft] = ACTIONS(2801),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHfdc] = ACTIONS(2801),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHfv] = ACTIONS(2801),
    [anon_sym_BSLASHfm] = ACTIONS(2801),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2801),
    [anon_sym_BSLASHx] = ACTIONS(2801),
    [anon_sym_BSLASHxt] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2801),
    [anon_sym_BSLASHrq] = ACTIONS(2801),
    [anon_sym_BSLASHadd] = ACTIONS(2801),
    [anon_sym_BSLASHbk] = ACTIONS(2801),
    [anon_sym_BSLASHdc] = ACTIONS(2801),
    [anon_sym_BSLASHk] = ACTIONS(2801),
    [anon_sym_BSLASHnd] = ACTIONS(2801),
    [anon_sym_BSLASHord] = ACTIONS(2801),
    [anon_sym_BSLASHpn] = ACTIONS(2801),
    [anon_sym_BSLASHpng] = ACTIONS(2801),
    [anon_sym_BSLASHaddpn] = ACTIONS(2801),
    [anon_sym_BSLASHqt] = ACTIONS(2801),
    [anon_sym_BSLASHsig] = ACTIONS(2801),
    [anon_sym_BSLASHsls] = ACTIONS(2801),
    [anon_sym_BSLASHtl] = ACTIONS(2801),
    [anon_sym_BSLASHwj] = ACTIONS(2801),
    [anon_sym_BSLASHem] = ACTIONS(2801),
    [anon_sym_BSLASHbd] = ACTIONS(2801),
    [anon_sym_BSLASHit] = ACTIONS(2801),
    [anon_sym_BSLASHbdit] = ACTIONS(2801),
    [anon_sym_BSLASHno] = ACTIONS(2801),
    [anon_sym_BSLASHsc] = ACTIONS(2801),
    [anon_sym_BSLASHsup] = ACTIONS(2801),
    [anon_sym_BSLASHndx] = ACTIONS(2801),
    [anon_sym_BSLASHpro] = ACTIONS(2801),
    [anon_sym_BSLASHrb] = ACTIONS(2801),
    [anon_sym_BSLASHw] = ACTIONS(2801),
    [anon_sym_BSLASHwg] = ACTIONS(2801),
    [anon_sym_BSLASHwh] = ACTIONS(2801),
    [anon_sym_BSLASHwa] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2801),
    [anon_sym_BSLASHfig] = ACTIONS(2801),
    [anon_sym_BSLASHjmp] = ACTIONS(2801),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2801),
    [anon_sym_BSLASHpb] = ACTIONS(2801),
    [anon_sym_BSLASH] = ACTIONS(2801),
    [sym_milestoneStartTag] = ACTIONS(2801),
    [sym_milestoneEndTag] = ACTIONS(2801),
    [sym_zSpaceTag] = ACTIONS(2801),
    [anon_sym_BSLASHesbe] = ACTIONS(2801),
    [anon_sym_BSLASHcat] = ACTIONS(2801),
  },
  [271] = {
    [aux_sym_text_token1] = ACTIONS(2803),
    [anon_sym_BSLASHref] = ACTIONS(2805),
    [anon_sym_BSLASHsts] = ACTIONS(2805),
    [anon_sym_BSLASHrem] = ACTIONS(2805),
    [anon_sym_BSLASHrestore] = ACTIONS(2805),
    [anon_sym_BSLASHlit] = ACTIONS(2805),
    [anon_sym_BSLASHiqt] = ACTIONS(2805),
    [anon_sym_BSLASHip] = ACTIONS(2805),
    [anon_sym_BSLASHv] = ACTIONS(2805),
    [anon_sym_BSLASHva] = ACTIONS(2805),
    [anon_sym_BSLASHvp] = ACTIONS(2805),
    [anon_sym_BSLASHmte] = ACTIONS(2805),
    [anon_sym_BSLASHms] = ACTIONS(2805),
    [anon_sym_BSLASHmr] = ACTIONS(2805),
    [anon_sym_BSLASHs] = ACTIONS(2805),
    [anon_sym_BSLASHsr] = ACTIONS(2805),
    [anon_sym_BSLASHr] = ACTIONS(2805),
    [anon_sym_BSLASHsp] = ACTIONS(2805),
    [anon_sym_BSLASHd] = ACTIONS(2805),
    [anon_sym_BSLASHsd] = ACTIONS(2805),
    [anon_sym_BSLASHp] = ACTIONS(2805),
    [anon_sym_BSLASHm] = ACTIONS(2805),
    [anon_sym_BSLASHpo] = ACTIONS(2805),
    [anon_sym_BSLASHpr] = ACTIONS(2805),
    [anon_sym_BSLASHcls] = ACTIONS(2805),
    [anon_sym_BSLASHpmo] = ACTIONS(2805),
    [anon_sym_BSLASHpm] = ACTIONS(2805),
    [anon_sym_BSLASHpmc] = ACTIONS(2805),
    [anon_sym_BSLASHpmr] = ACTIONS(2805),
    [anon_sym_BSLASHpi] = ACTIONS(2805),
    [anon_sym_BSLASHmi] = ACTIONS(2805),
    [anon_sym_BSLASHnb] = ACTIONS(2805),
    [anon_sym_BSLASHpc] = ACTIONS(2805),
    [anon_sym_BSLASHph] = ACTIONS(2805),
    [anon_sym_BSLASHb] = ACTIONS(2805),
    [anon_sym_BSLASHq] = ACTIONS(2805),
    [anon_sym_BSLASHqr] = ACTIONS(2805),
    [anon_sym_BSLASHqc] = ACTIONS(2805),
    [anon_sym_BSLASHqa] = ACTIONS(2805),
    [anon_sym_BSLASHqm] = ACTIONS(2805),
    [anon_sym_BSLASHqd] = ACTIONS(2805),
    [anon_sym_BSLASHlh] = ACTIONS(2805),
    [anon_sym_BSLASHlf] = ACTIONS(2805),
    [anon_sym_BSLASHli] = ACTIONS(2805),
    [anon_sym_BSLASHlim] = ACTIONS(2805),
    [anon_sym_BSLASHliv] = ACTIONS(2805),
    [anon_sym_BSLASHlik] = ACTIONS(2805),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHlitl] = ACTIONS(2805),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHtr] = ACTIONS(2805),
    [anon_sym_BSLASHf] = ACTIONS(2805),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHfe] = ACTIONS(2805),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHef] = ACTIONS(2805),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHfr] = ACTIONS(2805),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHfq] = ACTIONS(2805),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHfqa] = ACTIONS(2805),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHfk] = ACTIONS(2805),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHfl] = ACTIONS(2805),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHfw] = ACTIONS(2805),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHfp] = ACTIONS(2805),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHft] = ACTIONS(2805),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHfdc] = ACTIONS(2805),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHfv] = ACTIONS(2805),
    [anon_sym_BSLASHfm] = ACTIONS(2805),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2805),
    [anon_sym_BSLASHx] = ACTIONS(2805),
    [anon_sym_BSLASHxt] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2805),
    [anon_sym_BSLASHrq] = ACTIONS(2805),
    [anon_sym_BSLASHadd] = ACTIONS(2805),
    [anon_sym_BSLASHbk] = ACTIONS(2805),
    [anon_sym_BSLASHdc] = ACTIONS(2805),
    [anon_sym_BSLASHk] = ACTIONS(2805),
    [anon_sym_BSLASHnd] = ACTIONS(2805),
    [anon_sym_BSLASHord] = ACTIONS(2805),
    [anon_sym_BSLASHpn] = ACTIONS(2805),
    [anon_sym_BSLASHpng] = ACTIONS(2805),
    [anon_sym_BSLASHaddpn] = ACTIONS(2805),
    [anon_sym_BSLASHqt] = ACTIONS(2805),
    [anon_sym_BSLASHsig] = ACTIONS(2805),
    [anon_sym_BSLASHsls] = ACTIONS(2805),
    [anon_sym_BSLASHtl] = ACTIONS(2805),
    [anon_sym_BSLASHwj] = ACTIONS(2805),
    [anon_sym_BSLASHem] = ACTIONS(2805),
    [anon_sym_BSLASHbd] = ACTIONS(2805),
    [anon_sym_BSLASHit] = ACTIONS(2805),
    [anon_sym_BSLASHbdit] = ACTIONS(2805),
    [anon_sym_BSLASHno] = ACTIONS(2805),
    [anon_sym_BSLASHsc] = ACTIONS(2805),
    [anon_sym_BSLASHsup] = ACTIONS(2805),
    [anon_sym_BSLASHndx] = ACTIONS(2805),
    [anon_sym_BSLASHpro] = ACTIONS(2805),
    [anon_sym_BSLASHrb] = ACTIONS(2805),
    [anon_sym_BSLASHw] = ACTIONS(2805),
    [anon_sym_BSLASHwg] = ACTIONS(2805),
    [anon_sym_BSLASHwh] = ACTIONS(2805),
    [anon_sym_BSLASHwa] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2805),
    [anon_sym_BSLASHfig] = ACTIONS(2805),
    [anon_sym_BSLASHjmp] = ACTIONS(2805),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2805),
    [anon_sym_BSLASHpb] = ACTIONS(2805),
    [anon_sym_BSLASH] = ACTIONS(2805),
    [sym_milestoneStartTag] = ACTIONS(2805),
    [sym_milestoneEndTag] = ACTIONS(2805),
    [sym_zSpaceTag] = ACTIONS(2805),
    [anon_sym_BSLASHesbe] = ACTIONS(2805),
    [anon_sym_BSLASHcat] = ACTIONS(2805),
  },
  [272] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(1157),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2807),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2807),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2807),
    [anon_sym_BSLASHfr] = ACTIONS(2807),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2809),
    [anon_sym_BSLASHfq] = ACTIONS(2807),
    [anon_sym_BSLASHfqa] = ACTIONS(2807),
    [anon_sym_BSLASHfk] = ACTIONS(2807),
    [anon_sym_BSLASHfl] = ACTIONS(2807),
    [anon_sym_BSLASHfw] = ACTIONS(2807),
    [anon_sym_BSLASHfp] = ACTIONS(2807),
    [anon_sym_BSLASHft] = ACTIONS(2807),
    [anon_sym_BSLASHfdc] = ACTIONS(2807),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(2807),
  },
  [273] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(1161),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2811),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2811),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2811),
    [anon_sym_BSLASHfr] = ACTIONS(2811),
    [anon_sym_BSLASHfq] = ACTIONS(2811),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2813),
    [anon_sym_BSLASHfqa] = ACTIONS(2811),
    [anon_sym_BSLASHfk] = ACTIONS(2811),
    [anon_sym_BSLASHfl] = ACTIONS(2811),
    [anon_sym_BSLASHfw] = ACTIONS(2811),
    [anon_sym_BSLASHfp] = ACTIONS(2811),
    [anon_sym_BSLASHft] = ACTIONS(2811),
    [anon_sym_BSLASHfdc] = ACTIONS(2811),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(2811),
  },
  [274] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(1159),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2815),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2815),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2815),
    [anon_sym_BSLASHfr] = ACTIONS(2815),
    [anon_sym_BSLASHfq] = ACTIONS(2815),
    [anon_sym_BSLASHfqa] = ACTIONS(2815),
    [anon_sym_BSLASHfk] = ACTIONS(2815),
    [anon_sym_BSLASHfl] = ACTIONS(2815),
    [anon_sym_BSLASHfw] = ACTIONS(2815),
    [anon_sym_BSLASHfp] = ACTIONS(2815),
    [anon_sym_BSLASHft] = ACTIONS(2815),
    [anon_sym_BSLASHfdc] = ACTIONS(2815),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2817),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(2815),
  },
  [275] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(1158),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2819),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2819),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2819),
    [anon_sym_BSLASHfr] = ACTIONS(2819),
    [anon_sym_BSLASHfq] = ACTIONS(2819),
    [anon_sym_BSLASHfqa] = ACTIONS(2819),
    [anon_sym_BSLASHfk] = ACTIONS(2819),
    [anon_sym_BSLASHfl] = ACTIONS(2819),
    [anon_sym_BSLASHfw] = ACTIONS(2819),
    [anon_sym_BSLASHfp] = ACTIONS(2819),
    [anon_sym_BSLASHft] = ACTIONS(2819),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2821),
    [anon_sym_BSLASHfdc] = ACTIONS(2819),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(2819),
  },
  [276] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(1156),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2823),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2823),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2823),
    [anon_sym_BSLASHfr] = ACTIONS(2823),
    [anon_sym_BSLASHfq] = ACTIONS(2823),
    [anon_sym_BSLASHfqa] = ACTIONS(2823),
    [anon_sym_BSLASHfk] = ACTIONS(2823),
    [anon_sym_BSLASHfl] = ACTIONS(2823),
    [anon_sym_BSLASHfw] = ACTIONS(2823),
    [anon_sym_BSLASHfp] = ACTIONS(2823),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2825),
    [anon_sym_BSLASHft] = ACTIONS(2823),
    [anon_sym_BSLASHfdc] = ACTIONS(2823),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(2823),
  },
  [277] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(1155),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2827),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2827),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2827),
    [anon_sym_BSLASHfr] = ACTIONS(2827),
    [anon_sym_BSLASHfq] = ACTIONS(2827),
    [anon_sym_BSLASHfqa] = ACTIONS(2827),
    [anon_sym_BSLASHfk] = ACTIONS(2827),
    [anon_sym_BSLASHfl] = ACTIONS(2827),
    [anon_sym_BSLASHfw] = ACTIONS(2827),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2829),
    [anon_sym_BSLASHfp] = ACTIONS(2827),
    [anon_sym_BSLASHft] = ACTIONS(2827),
    [anon_sym_BSLASHfdc] = ACTIONS(2827),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(2827),
  },
  [278] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(1154),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2831),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2831),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2831),
    [anon_sym_BSLASHfr] = ACTIONS(2831),
    [anon_sym_BSLASHfq] = ACTIONS(2831),
    [anon_sym_BSLASHfqa] = ACTIONS(2831),
    [anon_sym_BSLASHfk] = ACTIONS(2831),
    [anon_sym_BSLASHfl] = ACTIONS(2831),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2833),
    [anon_sym_BSLASHfw] = ACTIONS(2831),
    [anon_sym_BSLASHfp] = ACTIONS(2831),
    [anon_sym_BSLASHft] = ACTIONS(2831),
    [anon_sym_BSLASHfdc] = ACTIONS(2831),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(2831),
  },
  [279] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(1153),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2835),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2835),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2835),
    [anon_sym_BSLASHfr] = ACTIONS(2835),
    [anon_sym_BSLASHfq] = ACTIONS(2835),
    [anon_sym_BSLASHfqa] = ACTIONS(2835),
    [anon_sym_BSLASHfk] = ACTIONS(2835),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2837),
    [anon_sym_BSLASHfl] = ACTIONS(2835),
    [anon_sym_BSLASHfw] = ACTIONS(2835),
    [anon_sym_BSLASHfp] = ACTIONS(2835),
    [anon_sym_BSLASHft] = ACTIONS(2835),
    [anon_sym_BSLASHfdc] = ACTIONS(2835),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(2835),
  },
  [280] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(1160),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHfr] = ACTIONS(2839),
    [anon_sym_BSLASHfq] = ACTIONS(2839),
    [anon_sym_BSLASHfqa] = ACTIONS(2839),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2841),
    [anon_sym_BSLASHfk] = ACTIONS(2839),
    [anon_sym_BSLASHfl] = ACTIONS(2839),
    [anon_sym_BSLASHfw] = ACTIONS(2839),
    [anon_sym_BSLASHfp] = ACTIONS(2839),
    [anon_sym_BSLASHft] = ACTIONS(2839),
    [anon_sym_BSLASHfdc] = ACTIONS(2839),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(2839),
  },
  [281] = {
    [sym__comments] = STATE(283),
    [sym_sts] = STATE(283),
    [sym_rem] = STATE(283),
    [sym_restore] = STATE(283),
    [sym_lit] = STATE(283),
    [sym_ip] = STATE(283),
    [sym_title] = STATE(283),
    [sym_mteBlock] = STATE(1451),
    [sym_mte] = STATE(1649),
    [sym_mteTag] = STATE(1890),
    [sym_msBlock] = STATE(1451),
    [sym_ms] = STATE(1650),
    [sym_msTag] = STATE(1141),
    [sym_sBlock] = STATE(1451),
    [sym_s] = STATE(1657),
    [sym_sTag] = STATE(317),
    [sym_r] = STATE(1451),
    [sym_sp] = STATE(1451),
    [sym_d] = STATE(1451),
    [sym_sdBlock] = STATE(1451),
    [sym_sd] = STATE(1358),
    [sym_sdTag] = STATE(1449),
    [sym_paragraph] = STATE(283),
    [sym_p] = STATE(1446),
    [sym_m] = STATE(1446),
    [sym_po] = STATE(1446),
    [sym_pr] = STATE(1446),
    [sym_cls] = STATE(1446),
    [sym_pmo] = STATE(1446),
    [sym_pm] = STATE(1446),
    [sym_pmc] = STATE(1446),
    [sym_pmr] = STATE(1446),
    [sym_piBlock] = STATE(1446),
    [sym_pi] = STATE(1658),
    [sym_piTag] = STATE(236),
    [sym_mi] = STATE(1446),
    [sym_nb] = STATE(1446),
    [sym_pc] = STATE(1446),
    [sym_phBlock] = STATE(1446),
    [sym_ph] = STATE(1660),
    [sym_phTag] = STATE(231),
    [sym_b] = STATE(1446),
    [sym_poetry] = STATE(283),
    [sym_qBlock] = STATE(1350),
    [sym_q] = STATE(1655),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1350),
    [sym_qc] = STATE(1350),
    [sym_qa] = STATE(1451),
    [sym_qmBlock] = STATE(1350),
    [sym_qm] = STATE(1653),
    [sym_qmTag] = STATE(196),
    [sym_qd] = STATE(1350),
    [sym_list] = STATE(283),
    [sym_lh] = STATE(1923),
    [sym__listMarker] = STATE(1349),
    [sym_liBlock] = STATE(1349),
    [sym_li] = STATE(1599),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1349),
    [sym_lim] = STATE(1598),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(283),
    [sym_tr] = STATE(1661),
    [sym_footnote] = STATE(283),
    [sym_f] = STATE(1444),
    [sym_fe] = STATE(1444),
    [sym_ef] = STATE(1444),
    [sym_fm] = STATE(1444),
    [sym_pb] = STATE(283),
    [sym_milestoneTag] = STATE(2088),
    [sym__milestoneStandaloneMarker] = STATE(1458),
    [sym__milestoneStart] = STATE(1458),
    [sym__milestoneEnd] = STATE(1458),
    [sym_milestone] = STATE(283),
    [sym__zNameSpaceRegular] = STATE(1450),
    [sym__zNameSpaceClosed] = STATE(1450),
    [sym__zNameSpaceStandaloneMarker] = STATE(1450),
    [sym_zNameSpace] = STATE(283),
    [sym__esbContents] = STATE(283),
    [sym_cat] = STATE(283),
    [aux_sym_mteBlock_repeat1] = STATE(1649),
    [aux_sym_msBlock_repeat1] = STATE(1650),
    [aux_sym_sBlock_repeat1] = STATE(1657),
    [aux_sym_sdBlock_repeat1] = STATE(1358),
    [aux_sym_piBlock_repeat1] = STATE(1658),
    [aux_sym_phBlock_repeat1] = STATE(1660),
    [aux_sym_poetry_repeat1] = STATE(1350),
    [aux_sym_qBlock_repeat1] = STATE(1655),
    [aux_sym_qmBlock_repeat1] = STATE(1653),
    [aux_sym_list_repeat1] = STATE(1349),
    [aux_sym_liBlock_repeat1] = STATE(1599),
    [aux_sym_limBlock_repeat1] = STATE(1598),
    [aux_sym_table_repeat1] = STATE(1661),
    [aux_sym_esb_repeat1] = STATE(283),
    [anon_sym_BSLASHsts] = ACTIONS(1779),
    [anon_sym_BSLASHrem] = ACTIONS(2843),
    [anon_sym_BSLASHrestore] = ACTIONS(1783),
    [anon_sym_BSLASHlit] = ACTIONS(1785),
    [anon_sym_BSLASHip] = ACTIONS(2845),
    [anon_sym_BSLASHmte] = ACTIONS(1799),
    [anon_sym_BSLASHms] = ACTIONS(1801),
    [anon_sym_BSLASHs] = ACTIONS(2847),
    [anon_sym_BSLASHr] = ACTIONS(1805),
    [anon_sym_BSLASHsp] = ACTIONS(1807),
    [anon_sym_BSLASHd] = ACTIONS(2849),
    [anon_sym_BSLASHsd] = ACTIONS(1811),
    [anon_sym_BSLASHp] = ACTIONS(2851),
    [anon_sym_BSLASHm] = ACTIONS(2853),
    [anon_sym_BSLASHpo] = ACTIONS(2855),
    [anon_sym_BSLASHpr] = ACTIONS(2857),
    [anon_sym_BSLASHcls] = ACTIONS(2859),
    [anon_sym_BSLASHpmo] = ACTIONS(2861),
    [anon_sym_BSLASHpm] = ACTIONS(2863),
    [anon_sym_BSLASHpmc] = ACTIONS(2865),
    [anon_sym_BSLASHpmr] = ACTIONS(2867),
    [anon_sym_BSLASHpi] = ACTIONS(2869),
    [anon_sym_BSLASHmi] = ACTIONS(2871),
    [anon_sym_BSLASHnb] = ACTIONS(2873),
    [anon_sym_BSLASHpc] = ACTIONS(2875),
    [anon_sym_BSLASHph] = ACTIONS(2877),
    [anon_sym_BSLASHb] = ACTIONS(1841),
    [anon_sym_BSLASHq] = ACTIONS(2879),
    [anon_sym_BSLASHqr] = ACTIONS(2881),
    [anon_sym_BSLASHqc] = ACTIONS(2883),
    [anon_sym_BSLASHqa] = ACTIONS(2885),
    [anon_sym_BSLASHqm] = ACTIONS(2887),
    [anon_sym_BSLASHqd] = ACTIONS(2889),
    [anon_sym_BSLASHlh] = ACTIONS(1855),
    [anon_sym_BSLASHli] = ACTIONS(2891),
    [anon_sym_BSLASHlim] = ACTIONS(2893),
    [anon_sym_BSLASHtr] = ACTIONS(2895),
    [anon_sym_BSLASHf] = ACTIONS(1863),
    [anon_sym_BSLASHfe] = ACTIONS(1865),
    [anon_sym_BSLASHef] = ACTIONS(1867),
    [anon_sym_BSLASHfm] = ACTIONS(1869),
    [anon_sym_BSLASHpb] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1873),
    [sym_milestoneEndTag] = ACTIONS(1875),
    [sym_zSpaceTag] = ACTIONS(2897),
    [anon_sym_BSLASHesbe] = ACTIONS(2899),
    [anon_sym_BSLASHcat] = ACTIONS(2901),
  },
  [282] = {
    [sym__comments] = STATE(284),
    [sym_sts] = STATE(284),
    [sym_rem] = STATE(284),
    [sym_restore] = STATE(284),
    [sym_lit] = STATE(284),
    [sym_ip] = STATE(284),
    [sym_title] = STATE(284),
    [sym_mteBlock] = STATE(1451),
    [sym_mte] = STATE(1649),
    [sym_mteTag] = STATE(1890),
    [sym_msBlock] = STATE(1451),
    [sym_ms] = STATE(1650),
    [sym_msTag] = STATE(1141),
    [sym_sBlock] = STATE(1451),
    [sym_s] = STATE(1657),
    [sym_sTag] = STATE(317),
    [sym_r] = STATE(1451),
    [sym_sp] = STATE(1451),
    [sym_d] = STATE(1451),
    [sym_sdBlock] = STATE(1451),
    [sym_sd] = STATE(1358),
    [sym_sdTag] = STATE(1449),
    [sym_paragraph] = STATE(284),
    [sym_p] = STATE(1446),
    [sym_m] = STATE(1446),
    [sym_po] = STATE(1446),
    [sym_pr] = STATE(1446),
    [sym_cls] = STATE(1446),
    [sym_pmo] = STATE(1446),
    [sym_pm] = STATE(1446),
    [sym_pmc] = STATE(1446),
    [sym_pmr] = STATE(1446),
    [sym_piBlock] = STATE(1446),
    [sym_pi] = STATE(1658),
    [sym_piTag] = STATE(236),
    [sym_mi] = STATE(1446),
    [sym_nb] = STATE(1446),
    [sym_pc] = STATE(1446),
    [sym_phBlock] = STATE(1446),
    [sym_ph] = STATE(1660),
    [sym_phTag] = STATE(231),
    [sym_b] = STATE(1446),
    [sym_poetry] = STATE(284),
    [sym_qBlock] = STATE(1350),
    [sym_q] = STATE(1655),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1350),
    [sym_qc] = STATE(1350),
    [sym_qa] = STATE(1451),
    [sym_qmBlock] = STATE(1350),
    [sym_qm] = STATE(1653),
    [sym_qmTag] = STATE(196),
    [sym_qd] = STATE(1350),
    [sym_list] = STATE(284),
    [sym_lh] = STATE(1923),
    [sym__listMarker] = STATE(1349),
    [sym_liBlock] = STATE(1349),
    [sym_li] = STATE(1599),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1349),
    [sym_lim] = STATE(1598),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(284),
    [sym_tr] = STATE(1661),
    [sym_footnote] = STATE(284),
    [sym_f] = STATE(1444),
    [sym_fe] = STATE(1444),
    [sym_ef] = STATE(1444),
    [sym_fm] = STATE(1444),
    [sym_pb] = STATE(284),
    [sym_milestoneTag] = STATE(2088),
    [sym__milestoneStandaloneMarker] = STATE(1458),
    [sym__milestoneStart] = STATE(1458),
    [sym__milestoneEnd] = STATE(1458),
    [sym_milestone] = STATE(284),
    [sym__zNameSpaceRegular] = STATE(1450),
    [sym__zNameSpaceClosed] = STATE(1450),
    [sym__zNameSpaceStandaloneMarker] = STATE(1450),
    [sym_zNameSpace] = STATE(284),
    [sym__esbContents] = STATE(284),
    [sym_cat] = STATE(284),
    [aux_sym_mteBlock_repeat1] = STATE(1649),
    [aux_sym_msBlock_repeat1] = STATE(1650),
    [aux_sym_sBlock_repeat1] = STATE(1657),
    [aux_sym_sdBlock_repeat1] = STATE(1358),
    [aux_sym_piBlock_repeat1] = STATE(1658),
    [aux_sym_phBlock_repeat1] = STATE(1660),
    [aux_sym_poetry_repeat1] = STATE(1350),
    [aux_sym_qBlock_repeat1] = STATE(1655),
    [aux_sym_qmBlock_repeat1] = STATE(1653),
    [aux_sym_list_repeat1] = STATE(1349),
    [aux_sym_liBlock_repeat1] = STATE(1599),
    [aux_sym_limBlock_repeat1] = STATE(1598),
    [aux_sym_table_repeat1] = STATE(1661),
    [aux_sym_esb_repeat1] = STATE(284),
    [anon_sym_BSLASHsts] = ACTIONS(1779),
    [anon_sym_BSLASHrem] = ACTIONS(2843),
    [anon_sym_BSLASHrestore] = ACTIONS(1783),
    [anon_sym_BSLASHlit] = ACTIONS(1785),
    [anon_sym_BSLASHip] = ACTIONS(2845),
    [anon_sym_BSLASHmte] = ACTIONS(1799),
    [anon_sym_BSLASHms] = ACTIONS(1801),
    [anon_sym_BSLASHs] = ACTIONS(2847),
    [anon_sym_BSLASHr] = ACTIONS(1805),
    [anon_sym_BSLASHsp] = ACTIONS(1807),
    [anon_sym_BSLASHd] = ACTIONS(2849),
    [anon_sym_BSLASHsd] = ACTIONS(1811),
    [anon_sym_BSLASHp] = ACTIONS(2851),
    [anon_sym_BSLASHm] = ACTIONS(2853),
    [anon_sym_BSLASHpo] = ACTIONS(2855),
    [anon_sym_BSLASHpr] = ACTIONS(2857),
    [anon_sym_BSLASHcls] = ACTIONS(2859),
    [anon_sym_BSLASHpmo] = ACTIONS(2861),
    [anon_sym_BSLASHpm] = ACTIONS(2863),
    [anon_sym_BSLASHpmc] = ACTIONS(2865),
    [anon_sym_BSLASHpmr] = ACTIONS(2867),
    [anon_sym_BSLASHpi] = ACTIONS(2869),
    [anon_sym_BSLASHmi] = ACTIONS(2871),
    [anon_sym_BSLASHnb] = ACTIONS(2873),
    [anon_sym_BSLASHpc] = ACTIONS(2875),
    [anon_sym_BSLASHph] = ACTIONS(2877),
    [anon_sym_BSLASHb] = ACTIONS(1841),
    [anon_sym_BSLASHq] = ACTIONS(2879),
    [anon_sym_BSLASHqr] = ACTIONS(2881),
    [anon_sym_BSLASHqc] = ACTIONS(2883),
    [anon_sym_BSLASHqa] = ACTIONS(2885),
    [anon_sym_BSLASHqm] = ACTIONS(2887),
    [anon_sym_BSLASHqd] = ACTIONS(2889),
    [anon_sym_BSLASHlh] = ACTIONS(1855),
    [anon_sym_BSLASHli] = ACTIONS(2891),
    [anon_sym_BSLASHlim] = ACTIONS(2893),
    [anon_sym_BSLASHtr] = ACTIONS(2895),
    [anon_sym_BSLASHf] = ACTIONS(1863),
    [anon_sym_BSLASHfe] = ACTIONS(1865),
    [anon_sym_BSLASHef] = ACTIONS(1867),
    [anon_sym_BSLASHfm] = ACTIONS(1869),
    [anon_sym_BSLASHpb] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1873),
    [sym_milestoneEndTag] = ACTIONS(1875),
    [sym_zSpaceTag] = ACTIONS(2897),
    [anon_sym_BSLASHesbe] = ACTIONS(2903),
    [anon_sym_BSLASHcat] = ACTIONS(2901),
  },
  [283] = {
    [sym__comments] = STATE(284),
    [sym_sts] = STATE(284),
    [sym_rem] = STATE(284),
    [sym_restore] = STATE(284),
    [sym_lit] = STATE(284),
    [sym_ip] = STATE(284),
    [sym_title] = STATE(284),
    [sym_mteBlock] = STATE(1451),
    [sym_mte] = STATE(1649),
    [sym_mteTag] = STATE(1890),
    [sym_msBlock] = STATE(1451),
    [sym_ms] = STATE(1650),
    [sym_msTag] = STATE(1141),
    [sym_sBlock] = STATE(1451),
    [sym_s] = STATE(1657),
    [sym_sTag] = STATE(317),
    [sym_r] = STATE(1451),
    [sym_sp] = STATE(1451),
    [sym_d] = STATE(1451),
    [sym_sdBlock] = STATE(1451),
    [sym_sd] = STATE(1358),
    [sym_sdTag] = STATE(1449),
    [sym_paragraph] = STATE(284),
    [sym_p] = STATE(1446),
    [sym_m] = STATE(1446),
    [sym_po] = STATE(1446),
    [sym_pr] = STATE(1446),
    [sym_cls] = STATE(1446),
    [sym_pmo] = STATE(1446),
    [sym_pm] = STATE(1446),
    [sym_pmc] = STATE(1446),
    [sym_pmr] = STATE(1446),
    [sym_piBlock] = STATE(1446),
    [sym_pi] = STATE(1658),
    [sym_piTag] = STATE(236),
    [sym_mi] = STATE(1446),
    [sym_nb] = STATE(1446),
    [sym_pc] = STATE(1446),
    [sym_phBlock] = STATE(1446),
    [sym_ph] = STATE(1660),
    [sym_phTag] = STATE(231),
    [sym_b] = STATE(1446),
    [sym_poetry] = STATE(284),
    [sym_qBlock] = STATE(1350),
    [sym_q] = STATE(1655),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1350),
    [sym_qc] = STATE(1350),
    [sym_qa] = STATE(1451),
    [sym_qmBlock] = STATE(1350),
    [sym_qm] = STATE(1653),
    [sym_qmTag] = STATE(196),
    [sym_qd] = STATE(1350),
    [sym_list] = STATE(284),
    [sym_lh] = STATE(1923),
    [sym__listMarker] = STATE(1349),
    [sym_liBlock] = STATE(1349),
    [sym_li] = STATE(1599),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1349),
    [sym_lim] = STATE(1598),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(284),
    [sym_tr] = STATE(1661),
    [sym_footnote] = STATE(284),
    [sym_f] = STATE(1444),
    [sym_fe] = STATE(1444),
    [sym_ef] = STATE(1444),
    [sym_fm] = STATE(1444),
    [sym_pb] = STATE(284),
    [sym_milestoneTag] = STATE(2088),
    [sym__milestoneStandaloneMarker] = STATE(1458),
    [sym__milestoneStart] = STATE(1458),
    [sym__milestoneEnd] = STATE(1458),
    [sym_milestone] = STATE(284),
    [sym__zNameSpaceRegular] = STATE(1450),
    [sym__zNameSpaceClosed] = STATE(1450),
    [sym__zNameSpaceStandaloneMarker] = STATE(1450),
    [sym_zNameSpace] = STATE(284),
    [sym__esbContents] = STATE(284),
    [sym_cat] = STATE(284),
    [aux_sym_mteBlock_repeat1] = STATE(1649),
    [aux_sym_msBlock_repeat1] = STATE(1650),
    [aux_sym_sBlock_repeat1] = STATE(1657),
    [aux_sym_sdBlock_repeat1] = STATE(1358),
    [aux_sym_piBlock_repeat1] = STATE(1658),
    [aux_sym_phBlock_repeat1] = STATE(1660),
    [aux_sym_poetry_repeat1] = STATE(1350),
    [aux_sym_qBlock_repeat1] = STATE(1655),
    [aux_sym_qmBlock_repeat1] = STATE(1653),
    [aux_sym_list_repeat1] = STATE(1349),
    [aux_sym_liBlock_repeat1] = STATE(1599),
    [aux_sym_limBlock_repeat1] = STATE(1598),
    [aux_sym_table_repeat1] = STATE(1661),
    [aux_sym_esb_repeat1] = STATE(284),
    [anon_sym_BSLASHsts] = ACTIONS(1779),
    [anon_sym_BSLASHrem] = ACTIONS(2843),
    [anon_sym_BSLASHrestore] = ACTIONS(1783),
    [anon_sym_BSLASHlit] = ACTIONS(1785),
    [anon_sym_BSLASHip] = ACTIONS(2845),
    [anon_sym_BSLASHmte] = ACTIONS(1799),
    [anon_sym_BSLASHms] = ACTIONS(1801),
    [anon_sym_BSLASHs] = ACTIONS(2847),
    [anon_sym_BSLASHr] = ACTIONS(1805),
    [anon_sym_BSLASHsp] = ACTIONS(1807),
    [anon_sym_BSLASHd] = ACTIONS(2849),
    [anon_sym_BSLASHsd] = ACTIONS(1811),
    [anon_sym_BSLASHp] = ACTIONS(2851),
    [anon_sym_BSLASHm] = ACTIONS(2853),
    [anon_sym_BSLASHpo] = ACTIONS(2855),
    [anon_sym_BSLASHpr] = ACTIONS(2857),
    [anon_sym_BSLASHcls] = ACTIONS(2859),
    [anon_sym_BSLASHpmo] = ACTIONS(2861),
    [anon_sym_BSLASHpm] = ACTIONS(2863),
    [anon_sym_BSLASHpmc] = ACTIONS(2865),
    [anon_sym_BSLASHpmr] = ACTIONS(2867),
    [anon_sym_BSLASHpi] = ACTIONS(2869),
    [anon_sym_BSLASHmi] = ACTIONS(2871),
    [anon_sym_BSLASHnb] = ACTIONS(2873),
    [anon_sym_BSLASHpc] = ACTIONS(2875),
    [anon_sym_BSLASHph] = ACTIONS(2877),
    [anon_sym_BSLASHb] = ACTIONS(1841),
    [anon_sym_BSLASHq] = ACTIONS(2879),
    [anon_sym_BSLASHqr] = ACTIONS(2881),
    [anon_sym_BSLASHqc] = ACTIONS(2883),
    [anon_sym_BSLASHqa] = ACTIONS(2885),
    [anon_sym_BSLASHqm] = ACTIONS(2887),
    [anon_sym_BSLASHqd] = ACTIONS(2889),
    [anon_sym_BSLASHlh] = ACTIONS(1855),
    [anon_sym_BSLASHli] = ACTIONS(2891),
    [anon_sym_BSLASHlim] = ACTIONS(2893),
    [anon_sym_BSLASHtr] = ACTIONS(2895),
    [anon_sym_BSLASHf] = ACTIONS(1863),
    [anon_sym_BSLASHfe] = ACTIONS(1865),
    [anon_sym_BSLASHef] = ACTIONS(1867),
    [anon_sym_BSLASHfm] = ACTIONS(1869),
    [anon_sym_BSLASHpb] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1873),
    [sym_milestoneEndTag] = ACTIONS(1875),
    [sym_zSpaceTag] = ACTIONS(2897),
    [anon_sym_BSLASHesbe] = ACTIONS(2905),
    [anon_sym_BSLASHcat] = ACTIONS(2901),
  },
  [284] = {
    [sym__comments] = STATE(284),
    [sym_sts] = STATE(284),
    [sym_rem] = STATE(284),
    [sym_restore] = STATE(284),
    [sym_lit] = STATE(284),
    [sym_ip] = STATE(284),
    [sym_title] = STATE(284),
    [sym_mteBlock] = STATE(1451),
    [sym_mte] = STATE(1649),
    [sym_mteTag] = STATE(1890),
    [sym_msBlock] = STATE(1451),
    [sym_ms] = STATE(1650),
    [sym_msTag] = STATE(1141),
    [sym_sBlock] = STATE(1451),
    [sym_s] = STATE(1657),
    [sym_sTag] = STATE(317),
    [sym_r] = STATE(1451),
    [sym_sp] = STATE(1451),
    [sym_d] = STATE(1451),
    [sym_sdBlock] = STATE(1451),
    [sym_sd] = STATE(1358),
    [sym_sdTag] = STATE(1449),
    [sym_paragraph] = STATE(284),
    [sym_p] = STATE(1446),
    [sym_m] = STATE(1446),
    [sym_po] = STATE(1446),
    [sym_pr] = STATE(1446),
    [sym_cls] = STATE(1446),
    [sym_pmo] = STATE(1446),
    [sym_pm] = STATE(1446),
    [sym_pmc] = STATE(1446),
    [sym_pmr] = STATE(1446),
    [sym_piBlock] = STATE(1446),
    [sym_pi] = STATE(1658),
    [sym_piTag] = STATE(236),
    [sym_mi] = STATE(1446),
    [sym_nb] = STATE(1446),
    [sym_pc] = STATE(1446),
    [sym_phBlock] = STATE(1446),
    [sym_ph] = STATE(1660),
    [sym_phTag] = STATE(231),
    [sym_b] = STATE(1446),
    [sym_poetry] = STATE(284),
    [sym_qBlock] = STATE(1350),
    [sym_q] = STATE(1655),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1350),
    [sym_qc] = STATE(1350),
    [sym_qa] = STATE(1451),
    [sym_qmBlock] = STATE(1350),
    [sym_qm] = STATE(1653),
    [sym_qmTag] = STATE(196),
    [sym_qd] = STATE(1350),
    [sym_list] = STATE(284),
    [sym_lh] = STATE(1923),
    [sym__listMarker] = STATE(1349),
    [sym_liBlock] = STATE(1349),
    [sym_li] = STATE(1599),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1349),
    [sym_lim] = STATE(1598),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(284),
    [sym_tr] = STATE(1661),
    [sym_footnote] = STATE(284),
    [sym_f] = STATE(1444),
    [sym_fe] = STATE(1444),
    [sym_ef] = STATE(1444),
    [sym_fm] = STATE(1444),
    [sym_pb] = STATE(284),
    [sym_milestoneTag] = STATE(2088),
    [sym__milestoneStandaloneMarker] = STATE(1458),
    [sym__milestoneStart] = STATE(1458),
    [sym__milestoneEnd] = STATE(1458),
    [sym_milestone] = STATE(284),
    [sym__zNameSpaceRegular] = STATE(1450),
    [sym__zNameSpaceClosed] = STATE(1450),
    [sym__zNameSpaceStandaloneMarker] = STATE(1450),
    [sym_zNameSpace] = STATE(284),
    [sym__esbContents] = STATE(284),
    [sym_cat] = STATE(284),
    [aux_sym_mteBlock_repeat1] = STATE(1649),
    [aux_sym_msBlock_repeat1] = STATE(1650),
    [aux_sym_sBlock_repeat1] = STATE(1657),
    [aux_sym_sdBlock_repeat1] = STATE(1358),
    [aux_sym_piBlock_repeat1] = STATE(1658),
    [aux_sym_phBlock_repeat1] = STATE(1660),
    [aux_sym_poetry_repeat1] = STATE(1350),
    [aux_sym_qBlock_repeat1] = STATE(1655),
    [aux_sym_qmBlock_repeat1] = STATE(1653),
    [aux_sym_list_repeat1] = STATE(1349),
    [aux_sym_liBlock_repeat1] = STATE(1599),
    [aux_sym_limBlock_repeat1] = STATE(1598),
    [aux_sym_table_repeat1] = STATE(1661),
    [aux_sym_esb_repeat1] = STATE(284),
    [anon_sym_BSLASHsts] = ACTIONS(2907),
    [anon_sym_BSLASHrem] = ACTIONS(2910),
    [anon_sym_BSLASHrestore] = ACTIONS(2913),
    [anon_sym_BSLASHlit] = ACTIONS(2916),
    [anon_sym_BSLASHip] = ACTIONS(2919),
    [anon_sym_BSLASHmte] = ACTIONS(2922),
    [anon_sym_BSLASHms] = ACTIONS(2925),
    [anon_sym_BSLASHs] = ACTIONS(2928),
    [anon_sym_BSLASHr] = ACTIONS(2931),
    [anon_sym_BSLASHsp] = ACTIONS(2934),
    [anon_sym_BSLASHd] = ACTIONS(2937),
    [anon_sym_BSLASHsd] = ACTIONS(2940),
    [anon_sym_BSLASHp] = ACTIONS(2943),
    [anon_sym_BSLASHm] = ACTIONS(2946),
    [anon_sym_BSLASHpo] = ACTIONS(2949),
    [anon_sym_BSLASHpr] = ACTIONS(2952),
    [anon_sym_BSLASHcls] = ACTIONS(2955),
    [anon_sym_BSLASHpmo] = ACTIONS(2958),
    [anon_sym_BSLASHpm] = ACTIONS(2961),
    [anon_sym_BSLASHpmc] = ACTIONS(2964),
    [anon_sym_BSLASHpmr] = ACTIONS(2967),
    [anon_sym_BSLASHpi] = ACTIONS(2970),
    [anon_sym_BSLASHmi] = ACTIONS(2973),
    [anon_sym_BSLASHnb] = ACTIONS(2976),
    [anon_sym_BSLASHpc] = ACTIONS(2979),
    [anon_sym_BSLASHph] = ACTIONS(2982),
    [anon_sym_BSLASHb] = ACTIONS(2985),
    [anon_sym_BSLASHq] = ACTIONS(2988),
    [anon_sym_BSLASHqr] = ACTIONS(2991),
    [anon_sym_BSLASHqc] = ACTIONS(2994),
    [anon_sym_BSLASHqa] = ACTIONS(2997),
    [anon_sym_BSLASHqm] = ACTIONS(3000),
    [anon_sym_BSLASHqd] = ACTIONS(3003),
    [anon_sym_BSLASHlh] = ACTIONS(3006),
    [anon_sym_BSLASHli] = ACTIONS(3009),
    [anon_sym_BSLASHlim] = ACTIONS(3012),
    [anon_sym_BSLASHtr] = ACTIONS(3015),
    [anon_sym_BSLASHf] = ACTIONS(3018),
    [anon_sym_BSLASHfe] = ACTIONS(3021),
    [anon_sym_BSLASHef] = ACTIONS(3024),
    [anon_sym_BSLASHfm] = ACTIONS(3027),
    [anon_sym_BSLASHpb] = ACTIONS(3030),
    [anon_sym_BSLASH] = ACTIONS(3033),
    [sym_milestoneStartTag] = ACTIONS(3036),
    [sym_milestoneEndTag] = ACTIONS(3039),
    [sym_zSpaceTag] = ACTIONS(3042),
    [anon_sym_BSLASHesbe] = ACTIONS(3045),
    [anon_sym_BSLASHcat] = ACTIONS(3047),
  },
  [285] = {
    [sym__comments] = STATE(286),
    [sym_sts] = STATE(286),
    [sym_rem] = STATE(286),
    [sym_restore] = STATE(286),
    [sym_lit] = STATE(286),
    [sym_ip] = STATE(286),
    [sym_title] = STATE(286),
    [sym_mteBlock] = STATE(1451),
    [sym_mte] = STATE(1649),
    [sym_mteTag] = STATE(1890),
    [sym_msBlock] = STATE(1451),
    [sym_ms] = STATE(1650),
    [sym_msTag] = STATE(1141),
    [sym_sBlock] = STATE(1451),
    [sym_s] = STATE(1657),
    [sym_sTag] = STATE(317),
    [sym_r] = STATE(1451),
    [sym_sp] = STATE(1451),
    [sym_d] = STATE(1451),
    [sym_sdBlock] = STATE(1451),
    [sym_sd] = STATE(1358),
    [sym_sdTag] = STATE(1449),
    [sym_paragraph] = STATE(286),
    [sym_p] = STATE(1446),
    [sym_m] = STATE(1446),
    [sym_po] = STATE(1446),
    [sym_pr] = STATE(1446),
    [sym_cls] = STATE(1446),
    [sym_pmo] = STATE(1446),
    [sym_pm] = STATE(1446),
    [sym_pmc] = STATE(1446),
    [sym_pmr] = STATE(1446),
    [sym_piBlock] = STATE(1446),
    [sym_pi] = STATE(1658),
    [sym_piTag] = STATE(236),
    [sym_mi] = STATE(1446),
    [sym_nb] = STATE(1446),
    [sym_pc] = STATE(1446),
    [sym_phBlock] = STATE(1446),
    [sym_ph] = STATE(1660),
    [sym_phTag] = STATE(231),
    [sym_b] = STATE(1446),
    [sym_poetry] = STATE(286),
    [sym_qBlock] = STATE(1350),
    [sym_q] = STATE(1655),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1350),
    [sym_qc] = STATE(1350),
    [sym_qa] = STATE(1451),
    [sym_qmBlock] = STATE(1350),
    [sym_qm] = STATE(1653),
    [sym_qmTag] = STATE(196),
    [sym_qd] = STATE(1350),
    [sym_list] = STATE(286),
    [sym_lh] = STATE(1923),
    [sym__listMarker] = STATE(1349),
    [sym_liBlock] = STATE(1349),
    [sym_li] = STATE(1599),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1349),
    [sym_lim] = STATE(1598),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(286),
    [sym_tr] = STATE(1661),
    [sym_footnote] = STATE(286),
    [sym_f] = STATE(1444),
    [sym_fe] = STATE(1444),
    [sym_ef] = STATE(1444),
    [sym_fm] = STATE(1444),
    [sym_pb] = STATE(286),
    [sym_milestoneTag] = STATE(2088),
    [sym__milestoneStandaloneMarker] = STATE(1458),
    [sym__milestoneStart] = STATE(1458),
    [sym__milestoneEnd] = STATE(1458),
    [sym_milestone] = STATE(286),
    [sym__zNameSpaceRegular] = STATE(1450),
    [sym__zNameSpaceClosed] = STATE(1450),
    [sym__zNameSpaceStandaloneMarker] = STATE(1450),
    [sym_zNameSpace] = STATE(286),
    [sym__esbContents] = STATE(286),
    [sym_cat] = STATE(286),
    [aux_sym_mteBlock_repeat1] = STATE(1649),
    [aux_sym_msBlock_repeat1] = STATE(1650),
    [aux_sym_sBlock_repeat1] = STATE(1657),
    [aux_sym_sdBlock_repeat1] = STATE(1358),
    [aux_sym_piBlock_repeat1] = STATE(1658),
    [aux_sym_phBlock_repeat1] = STATE(1660),
    [aux_sym_poetry_repeat1] = STATE(1350),
    [aux_sym_qBlock_repeat1] = STATE(1655),
    [aux_sym_qmBlock_repeat1] = STATE(1653),
    [aux_sym_list_repeat1] = STATE(1349),
    [aux_sym_liBlock_repeat1] = STATE(1599),
    [aux_sym_limBlock_repeat1] = STATE(1598),
    [aux_sym_table_repeat1] = STATE(1661),
    [aux_sym_esb_repeat1] = STATE(286),
    [anon_sym_BSLASHsts] = ACTIONS(1779),
    [anon_sym_BSLASHrem] = ACTIONS(2843),
    [anon_sym_BSLASHrestore] = ACTIONS(1783),
    [anon_sym_BSLASHlit] = ACTIONS(1785),
    [anon_sym_BSLASHip] = ACTIONS(2845),
    [anon_sym_BSLASHmte] = ACTIONS(1799),
    [anon_sym_BSLASHms] = ACTIONS(1801),
    [anon_sym_BSLASHs] = ACTIONS(2847),
    [anon_sym_BSLASHr] = ACTIONS(1805),
    [anon_sym_BSLASHsp] = ACTIONS(1807),
    [anon_sym_BSLASHd] = ACTIONS(2849),
    [anon_sym_BSLASHsd] = ACTIONS(1811),
    [anon_sym_BSLASHp] = ACTIONS(2851),
    [anon_sym_BSLASHm] = ACTIONS(2853),
    [anon_sym_BSLASHpo] = ACTIONS(2855),
    [anon_sym_BSLASHpr] = ACTIONS(2857),
    [anon_sym_BSLASHcls] = ACTIONS(2859),
    [anon_sym_BSLASHpmo] = ACTIONS(2861),
    [anon_sym_BSLASHpm] = ACTIONS(2863),
    [anon_sym_BSLASHpmc] = ACTIONS(2865),
    [anon_sym_BSLASHpmr] = ACTIONS(2867),
    [anon_sym_BSLASHpi] = ACTIONS(2869),
    [anon_sym_BSLASHmi] = ACTIONS(2871),
    [anon_sym_BSLASHnb] = ACTIONS(2873),
    [anon_sym_BSLASHpc] = ACTIONS(2875),
    [anon_sym_BSLASHph] = ACTIONS(2877),
    [anon_sym_BSLASHb] = ACTIONS(1841),
    [anon_sym_BSLASHq] = ACTIONS(2879),
    [anon_sym_BSLASHqr] = ACTIONS(2881),
    [anon_sym_BSLASHqc] = ACTIONS(2883),
    [anon_sym_BSLASHqa] = ACTIONS(2885),
    [anon_sym_BSLASHqm] = ACTIONS(2887),
    [anon_sym_BSLASHqd] = ACTIONS(2889),
    [anon_sym_BSLASHlh] = ACTIONS(1855),
    [anon_sym_BSLASHli] = ACTIONS(2891),
    [anon_sym_BSLASHlim] = ACTIONS(2893),
    [anon_sym_BSLASHtr] = ACTIONS(2895),
    [anon_sym_BSLASHf] = ACTIONS(1863),
    [anon_sym_BSLASHfe] = ACTIONS(1865),
    [anon_sym_BSLASHef] = ACTIONS(1867),
    [anon_sym_BSLASHfm] = ACTIONS(1869),
    [anon_sym_BSLASHpb] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1873),
    [sym_milestoneEndTag] = ACTIONS(1875),
    [sym_zSpaceTag] = ACTIONS(2897),
    [anon_sym_BSLASHesbe] = ACTIONS(3050),
    [anon_sym_BSLASHcat] = ACTIONS(2901),
  },
  [286] = {
    [sym__comments] = STATE(284),
    [sym_sts] = STATE(284),
    [sym_rem] = STATE(284),
    [sym_restore] = STATE(284),
    [sym_lit] = STATE(284),
    [sym_ip] = STATE(284),
    [sym_title] = STATE(284),
    [sym_mteBlock] = STATE(1451),
    [sym_mte] = STATE(1649),
    [sym_mteTag] = STATE(1890),
    [sym_msBlock] = STATE(1451),
    [sym_ms] = STATE(1650),
    [sym_msTag] = STATE(1141),
    [sym_sBlock] = STATE(1451),
    [sym_s] = STATE(1657),
    [sym_sTag] = STATE(317),
    [sym_r] = STATE(1451),
    [sym_sp] = STATE(1451),
    [sym_d] = STATE(1451),
    [sym_sdBlock] = STATE(1451),
    [sym_sd] = STATE(1358),
    [sym_sdTag] = STATE(1449),
    [sym_paragraph] = STATE(284),
    [sym_p] = STATE(1446),
    [sym_m] = STATE(1446),
    [sym_po] = STATE(1446),
    [sym_pr] = STATE(1446),
    [sym_cls] = STATE(1446),
    [sym_pmo] = STATE(1446),
    [sym_pm] = STATE(1446),
    [sym_pmc] = STATE(1446),
    [sym_pmr] = STATE(1446),
    [sym_piBlock] = STATE(1446),
    [sym_pi] = STATE(1658),
    [sym_piTag] = STATE(236),
    [sym_mi] = STATE(1446),
    [sym_nb] = STATE(1446),
    [sym_pc] = STATE(1446),
    [sym_phBlock] = STATE(1446),
    [sym_ph] = STATE(1660),
    [sym_phTag] = STATE(231),
    [sym_b] = STATE(1446),
    [sym_poetry] = STATE(284),
    [sym_qBlock] = STATE(1350),
    [sym_q] = STATE(1655),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1350),
    [sym_qc] = STATE(1350),
    [sym_qa] = STATE(1451),
    [sym_qmBlock] = STATE(1350),
    [sym_qm] = STATE(1653),
    [sym_qmTag] = STATE(196),
    [sym_qd] = STATE(1350),
    [sym_list] = STATE(284),
    [sym_lh] = STATE(1923),
    [sym__listMarker] = STATE(1349),
    [sym_liBlock] = STATE(1349),
    [sym_li] = STATE(1599),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1349),
    [sym_lim] = STATE(1598),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(284),
    [sym_tr] = STATE(1661),
    [sym_footnote] = STATE(284),
    [sym_f] = STATE(1444),
    [sym_fe] = STATE(1444),
    [sym_ef] = STATE(1444),
    [sym_fm] = STATE(1444),
    [sym_pb] = STATE(284),
    [sym_milestoneTag] = STATE(2088),
    [sym__milestoneStandaloneMarker] = STATE(1458),
    [sym__milestoneStart] = STATE(1458),
    [sym__milestoneEnd] = STATE(1458),
    [sym_milestone] = STATE(284),
    [sym__zNameSpaceRegular] = STATE(1450),
    [sym__zNameSpaceClosed] = STATE(1450),
    [sym__zNameSpaceStandaloneMarker] = STATE(1450),
    [sym_zNameSpace] = STATE(284),
    [sym__esbContents] = STATE(284),
    [sym_cat] = STATE(284),
    [aux_sym_mteBlock_repeat1] = STATE(1649),
    [aux_sym_msBlock_repeat1] = STATE(1650),
    [aux_sym_sBlock_repeat1] = STATE(1657),
    [aux_sym_sdBlock_repeat1] = STATE(1358),
    [aux_sym_piBlock_repeat1] = STATE(1658),
    [aux_sym_phBlock_repeat1] = STATE(1660),
    [aux_sym_poetry_repeat1] = STATE(1350),
    [aux_sym_qBlock_repeat1] = STATE(1655),
    [aux_sym_qmBlock_repeat1] = STATE(1653),
    [aux_sym_list_repeat1] = STATE(1349),
    [aux_sym_liBlock_repeat1] = STATE(1599),
    [aux_sym_limBlock_repeat1] = STATE(1598),
    [aux_sym_table_repeat1] = STATE(1661),
    [aux_sym_esb_repeat1] = STATE(284),
    [anon_sym_BSLASHsts] = ACTIONS(1779),
    [anon_sym_BSLASHrem] = ACTIONS(2843),
    [anon_sym_BSLASHrestore] = ACTIONS(1783),
    [anon_sym_BSLASHlit] = ACTIONS(1785),
    [anon_sym_BSLASHip] = ACTIONS(2845),
    [anon_sym_BSLASHmte] = ACTIONS(1799),
    [anon_sym_BSLASHms] = ACTIONS(1801),
    [anon_sym_BSLASHs] = ACTIONS(2847),
    [anon_sym_BSLASHr] = ACTIONS(1805),
    [anon_sym_BSLASHsp] = ACTIONS(1807),
    [anon_sym_BSLASHd] = ACTIONS(2849),
    [anon_sym_BSLASHsd] = ACTIONS(1811),
    [anon_sym_BSLASHp] = ACTIONS(2851),
    [anon_sym_BSLASHm] = ACTIONS(2853),
    [anon_sym_BSLASHpo] = ACTIONS(2855),
    [anon_sym_BSLASHpr] = ACTIONS(2857),
    [anon_sym_BSLASHcls] = ACTIONS(2859),
    [anon_sym_BSLASHpmo] = ACTIONS(2861),
    [anon_sym_BSLASHpm] = ACTIONS(2863),
    [anon_sym_BSLASHpmc] = ACTIONS(2865),
    [anon_sym_BSLASHpmr] = ACTIONS(2867),
    [anon_sym_BSLASHpi] = ACTIONS(2869),
    [anon_sym_BSLASHmi] = ACTIONS(2871),
    [anon_sym_BSLASHnb] = ACTIONS(2873),
    [anon_sym_BSLASHpc] = ACTIONS(2875),
    [anon_sym_BSLASHph] = ACTIONS(2877),
    [anon_sym_BSLASHb] = ACTIONS(1841),
    [anon_sym_BSLASHq] = ACTIONS(2879),
    [anon_sym_BSLASHqr] = ACTIONS(2881),
    [anon_sym_BSLASHqc] = ACTIONS(2883),
    [anon_sym_BSLASHqa] = ACTIONS(2885),
    [anon_sym_BSLASHqm] = ACTIONS(2887),
    [anon_sym_BSLASHqd] = ACTIONS(2889),
    [anon_sym_BSLASHlh] = ACTIONS(1855),
    [anon_sym_BSLASHli] = ACTIONS(2891),
    [anon_sym_BSLASHlim] = ACTIONS(2893),
    [anon_sym_BSLASHtr] = ACTIONS(2895),
    [anon_sym_BSLASHf] = ACTIONS(1863),
    [anon_sym_BSLASHfe] = ACTIONS(1865),
    [anon_sym_BSLASHef] = ACTIONS(1867),
    [anon_sym_BSLASHfm] = ACTIONS(1869),
    [anon_sym_BSLASHpb] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1873),
    [sym_milestoneEndTag] = ACTIONS(1875),
    [sym_zSpaceTag] = ACTIONS(2897),
    [anon_sym_BSLASHesbe] = ACTIONS(3052),
    [anon_sym_BSLASHcat] = ACTIONS(2901),
  },
  [287] = {
    [sym__comments] = STATE(282),
    [sym_sts] = STATE(282),
    [sym_rem] = STATE(282),
    [sym_restore] = STATE(282),
    [sym_lit] = STATE(282),
    [sym_ip] = STATE(282),
    [sym_title] = STATE(282),
    [sym_mteBlock] = STATE(1451),
    [sym_mte] = STATE(1649),
    [sym_mteTag] = STATE(1890),
    [sym_msBlock] = STATE(1451),
    [sym_ms] = STATE(1650),
    [sym_msTag] = STATE(1141),
    [sym_sBlock] = STATE(1451),
    [sym_s] = STATE(1657),
    [sym_sTag] = STATE(317),
    [sym_r] = STATE(1451),
    [sym_sp] = STATE(1451),
    [sym_d] = STATE(1451),
    [sym_sdBlock] = STATE(1451),
    [sym_sd] = STATE(1358),
    [sym_sdTag] = STATE(1449),
    [sym_paragraph] = STATE(282),
    [sym_p] = STATE(1446),
    [sym_m] = STATE(1446),
    [sym_po] = STATE(1446),
    [sym_pr] = STATE(1446),
    [sym_cls] = STATE(1446),
    [sym_pmo] = STATE(1446),
    [sym_pm] = STATE(1446),
    [sym_pmc] = STATE(1446),
    [sym_pmr] = STATE(1446),
    [sym_piBlock] = STATE(1446),
    [sym_pi] = STATE(1658),
    [sym_piTag] = STATE(236),
    [sym_mi] = STATE(1446),
    [sym_nb] = STATE(1446),
    [sym_pc] = STATE(1446),
    [sym_phBlock] = STATE(1446),
    [sym_ph] = STATE(1660),
    [sym_phTag] = STATE(231),
    [sym_b] = STATE(1446),
    [sym_poetry] = STATE(282),
    [sym_qBlock] = STATE(1350),
    [sym_q] = STATE(1655),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1350),
    [sym_qc] = STATE(1350),
    [sym_qa] = STATE(1451),
    [sym_qmBlock] = STATE(1350),
    [sym_qm] = STATE(1653),
    [sym_qmTag] = STATE(196),
    [sym_qd] = STATE(1350),
    [sym_list] = STATE(282),
    [sym_lh] = STATE(1923),
    [sym__listMarker] = STATE(1349),
    [sym_liBlock] = STATE(1349),
    [sym_li] = STATE(1599),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1349),
    [sym_lim] = STATE(1598),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(282),
    [sym_tr] = STATE(1661),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(1444),
    [sym_fe] = STATE(1444),
    [sym_ef] = STATE(1444),
    [sym_fm] = STATE(1444),
    [sym_pb] = STATE(282),
    [sym_milestoneTag] = STATE(2088),
    [sym__milestoneStandaloneMarker] = STATE(1458),
    [sym__milestoneStart] = STATE(1458),
    [sym__milestoneEnd] = STATE(1458),
    [sym_milestone] = STATE(282),
    [sym__zNameSpaceRegular] = STATE(1450),
    [sym__zNameSpaceClosed] = STATE(1450),
    [sym__zNameSpaceStandaloneMarker] = STATE(1450),
    [sym_zNameSpace] = STATE(282),
    [sym__esbContents] = STATE(282),
    [sym_cat] = STATE(282),
    [aux_sym_mteBlock_repeat1] = STATE(1649),
    [aux_sym_msBlock_repeat1] = STATE(1650),
    [aux_sym_sBlock_repeat1] = STATE(1657),
    [aux_sym_sdBlock_repeat1] = STATE(1358),
    [aux_sym_piBlock_repeat1] = STATE(1658),
    [aux_sym_phBlock_repeat1] = STATE(1660),
    [aux_sym_poetry_repeat1] = STATE(1350),
    [aux_sym_qBlock_repeat1] = STATE(1655),
    [aux_sym_qmBlock_repeat1] = STATE(1653),
    [aux_sym_list_repeat1] = STATE(1349),
    [aux_sym_liBlock_repeat1] = STATE(1599),
    [aux_sym_limBlock_repeat1] = STATE(1598),
    [aux_sym_table_repeat1] = STATE(1661),
    [aux_sym_esb_repeat1] = STATE(282),
    [anon_sym_BSLASHsts] = ACTIONS(1779),
    [anon_sym_BSLASHrem] = ACTIONS(2843),
    [anon_sym_BSLASHrestore] = ACTIONS(1783),
    [anon_sym_BSLASHlit] = ACTIONS(1785),
    [anon_sym_BSLASHip] = ACTIONS(2845),
    [anon_sym_BSLASHmte] = ACTIONS(1799),
    [anon_sym_BSLASHms] = ACTIONS(1801),
    [anon_sym_BSLASHs] = ACTIONS(2847),
    [anon_sym_BSLASHr] = ACTIONS(1805),
    [anon_sym_BSLASHsp] = ACTIONS(1807),
    [anon_sym_BSLASHd] = ACTIONS(2849),
    [anon_sym_BSLASHsd] = ACTIONS(1811),
    [anon_sym_BSLASHp] = ACTIONS(2851),
    [anon_sym_BSLASHm] = ACTIONS(2853),
    [anon_sym_BSLASHpo] = ACTIONS(2855),
    [anon_sym_BSLASHpr] = ACTIONS(2857),
    [anon_sym_BSLASHcls] = ACTIONS(2859),
    [anon_sym_BSLASHpmo] = ACTIONS(2861),
    [anon_sym_BSLASHpm] = ACTIONS(2863),
    [anon_sym_BSLASHpmc] = ACTIONS(2865),
    [anon_sym_BSLASHpmr] = ACTIONS(2867),
    [anon_sym_BSLASHpi] = ACTIONS(2869),
    [anon_sym_BSLASHmi] = ACTIONS(2871),
    [anon_sym_BSLASHnb] = ACTIONS(2873),
    [anon_sym_BSLASHpc] = ACTIONS(2875),
    [anon_sym_BSLASHph] = ACTIONS(2877),
    [anon_sym_BSLASHb] = ACTIONS(1841),
    [anon_sym_BSLASHq] = ACTIONS(2879),
    [anon_sym_BSLASHqr] = ACTIONS(2881),
    [anon_sym_BSLASHqc] = ACTIONS(2883),
    [anon_sym_BSLASHqa] = ACTIONS(2885),
    [anon_sym_BSLASHqm] = ACTIONS(2887),
    [anon_sym_BSLASHqd] = ACTIONS(2889),
    [anon_sym_BSLASHlh] = ACTIONS(1855),
    [anon_sym_BSLASHli] = ACTIONS(2891),
    [anon_sym_BSLASHlim] = ACTIONS(2893),
    [anon_sym_BSLASHtr] = ACTIONS(2895),
    [anon_sym_BSLASHf] = ACTIONS(1863),
    [anon_sym_BSLASHfe] = ACTIONS(1865),
    [anon_sym_BSLASHef] = ACTIONS(1867),
    [anon_sym_BSLASHfm] = ACTIONS(1869),
    [anon_sym_BSLASHpb] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1873),
    [sym_milestoneEndTag] = ACTIONS(1875),
    [sym_zSpaceTag] = ACTIONS(2897),
    [anon_sym_BSLASHesbe] = ACTIONS(3054),
    [anon_sym_BSLASHcat] = ACTIONS(2901),
  },
  [288] = {
    [sym_text] = STATE(289),
    [sym_ref] = STATE(289),
    [sym_addNested] = STATE(289),
    [sym_bkNested] = STATE(289),
    [sym_dcNested] = STATE(289),
    [sym_kNested] = STATE(289),
    [sym_ndNested] = STATE(289),
    [sym_ordNested] = STATE(289),
    [sym_pnNested] = STATE(289),
    [sym_pngNested] = STATE(289),
    [sym_addpnNested] = STATE(289),
    [sym_qtNested] = STATE(289),
    [sym_sigNested] = STATE(289),
    [sym_slsNested] = STATE(289),
    [sym_tlNested] = STATE(289),
    [sym_wjNested] = STATE(289),
    [sym_emNested] = STATE(289),
    [sym_bdNested] = STATE(289),
    [sym_itNested] = STATE(289),
    [sym_bditNested] = STATE(289),
    [sym_noNested] = STATE(289),
    [sym_scNested] = STATE(289),
    [sym_supNested] = STATE(289),
    [sym_ndxNested] = STATE(289),
    [sym_proNested] = STATE(289),
    [sym_rbNested] = STATE(289),
    [sym_wNested] = STATE(289),
    [sym_wgNested] = STATE(289),
    [sym_whNested] = STATE(289),
    [sym_waNested] = STATE(289),
    [sym__nestedCharacterMarker] = STATE(289),
    [sym_fig] = STATE(289),
    [sym_jmpNested] = STATE(289),
    [aux_sym_crossrefText_repeat1] = STATE(289),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHef_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHfr] = ACTIONS(3056),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHfq] = ACTIONS(3056),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHfqa] = ACTIONS(3056),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHfk] = ACTIONS(3056),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHfl] = ACTIONS(3056),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHfw] = ACTIONS(3056),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHfp] = ACTIONS(3056),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHft] = ACTIONS(3056),
    [anon_sym_BSLASHft_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHfdc] = ACTIONS(3056),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHfv] = ACTIONS(3056),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHx_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHxo] = ACTIONS(3056),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHxk] = ACTIONS(3056),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHxq] = ACTIONS(3056),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHxt] = ACTIONS(3056),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(3056),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(3056),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHxta] = ACTIONS(3056),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHxop] = ACTIONS(3056),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHxot] = ACTIONS(3056),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHxnt] = ACTIONS(3056),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHxdc] = ACTIONS(3056),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(3056),
    [anon_sym_BSLASHadd] = ACTIONS(3056),
    [anon_sym_BSLASHbk] = ACTIONS(3056),
    [anon_sym_BSLASHdc] = ACTIONS(3056),
    [anon_sym_BSLASHk] = ACTIONS(3056),
    [anon_sym_BSLASHnd] = ACTIONS(3056),
    [anon_sym_BSLASHord] = ACTIONS(3056),
    [anon_sym_BSLASHpn] = ACTIONS(3056),
    [anon_sym_BSLASHpng] = ACTIONS(3056),
    [anon_sym_BSLASHaddpn] = ACTIONS(3056),
    [anon_sym_BSLASHqt] = ACTIONS(3056),
    [anon_sym_BSLASHsig] = ACTIONS(3056),
    [anon_sym_BSLASHsls] = ACTIONS(3056),
    [anon_sym_BSLASHtl] = ACTIONS(3056),
    [anon_sym_BSLASHwj] = ACTIONS(3056),
    [anon_sym_BSLASHem] = ACTIONS(3056),
    [anon_sym_BSLASHbd] = ACTIONS(3056),
    [anon_sym_BSLASHit] = ACTIONS(3056),
    [anon_sym_BSLASHbdit] = ACTIONS(3056),
    [anon_sym_BSLASHno] = ACTIONS(3056),
    [anon_sym_BSLASHsc] = ACTIONS(3056),
    [anon_sym_BSLASHsup] = ACTIONS(3056),
    [anon_sym_BSLASHndx] = ACTIONS(3056),
    [anon_sym_BSLASHpro] = ACTIONS(3056),
    [anon_sym_BSLASHrb] = ACTIONS(3056),
    [anon_sym_BSLASHw] = ACTIONS(3056),
    [anon_sym_BSLASHwg] = ACTIONS(3056),
    [anon_sym_BSLASHwh] = ACTIONS(3056),
    [anon_sym_BSLASHwa] = ACTIONS(3056),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(3056),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
  },
  [289] = {
    [sym_text] = STATE(289),
    [sym_ref] = STATE(289),
    [sym_addNested] = STATE(289),
    [sym_bkNested] = STATE(289),
    [sym_dcNested] = STATE(289),
    [sym_kNested] = STATE(289),
    [sym_ndNested] = STATE(289),
    [sym_ordNested] = STATE(289),
    [sym_pnNested] = STATE(289),
    [sym_pngNested] = STATE(289),
    [sym_addpnNested] = STATE(289),
    [sym_qtNested] = STATE(289),
    [sym_sigNested] = STATE(289),
    [sym_slsNested] = STATE(289),
    [sym_tlNested] = STATE(289),
    [sym_wjNested] = STATE(289),
    [sym_emNested] = STATE(289),
    [sym_bdNested] = STATE(289),
    [sym_itNested] = STATE(289),
    [sym_bditNested] = STATE(289),
    [sym_noNested] = STATE(289),
    [sym_scNested] = STATE(289),
    [sym_supNested] = STATE(289),
    [sym_ndxNested] = STATE(289),
    [sym_proNested] = STATE(289),
    [sym_rbNested] = STATE(289),
    [sym_wNested] = STATE(289),
    [sym_wgNested] = STATE(289),
    [sym_whNested] = STATE(289),
    [sym_waNested] = STATE(289),
    [sym__nestedCharacterMarker] = STATE(289),
    [sym_fig] = STATE(289),
    [sym_jmpNested] = STATE(289),
    [aux_sym_crossrefText_repeat1] = STATE(289),
    [aux_sym_text_token1] = ACTIONS(3058),
    [anon_sym_BSLASHref] = ACTIONS(3061),
    [anon_sym_BSLASHf_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHef_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHfr] = ACTIONS(3064),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHfq] = ACTIONS(3064),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHfqa] = ACTIONS(3064),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHfk] = ACTIONS(3064),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHfl] = ACTIONS(3064),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHfw] = ACTIONS(3064),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHfp] = ACTIONS(3064),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHft] = ACTIONS(3064),
    [anon_sym_BSLASHft_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHfdc] = ACTIONS(3064),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHfv] = ACTIONS(3064),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHx_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHxo] = ACTIONS(3064),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHxk] = ACTIONS(3064),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHxq] = ACTIONS(3064),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHxt] = ACTIONS(3064),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(3064),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(3064),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHxta] = ACTIONS(3064),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHxop] = ACTIONS(3064),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHxot] = ACTIONS(3064),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHxnt] = ACTIONS(3064),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHxdc] = ACTIONS(3064),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(3064),
    [anon_sym_BSLASHadd] = ACTIONS(3064),
    [anon_sym_BSLASHbk] = ACTIONS(3064),
    [anon_sym_BSLASHdc] = ACTIONS(3064),
    [anon_sym_BSLASHk] = ACTIONS(3064),
    [anon_sym_BSLASHnd] = ACTIONS(3064),
    [anon_sym_BSLASHord] = ACTIONS(3064),
    [anon_sym_BSLASHpn] = ACTIONS(3064),
    [anon_sym_BSLASHpng] = ACTIONS(3064),
    [anon_sym_BSLASHaddpn] = ACTIONS(3064),
    [anon_sym_BSLASHqt] = ACTIONS(3064),
    [anon_sym_BSLASHsig] = ACTIONS(3064),
    [anon_sym_BSLASHsls] = ACTIONS(3064),
    [anon_sym_BSLASHtl] = ACTIONS(3064),
    [anon_sym_BSLASHwj] = ACTIONS(3064),
    [anon_sym_BSLASHem] = ACTIONS(3064),
    [anon_sym_BSLASHbd] = ACTIONS(3064),
    [anon_sym_BSLASHit] = ACTIONS(3064),
    [anon_sym_BSLASHbdit] = ACTIONS(3064),
    [anon_sym_BSLASHno] = ACTIONS(3064),
    [anon_sym_BSLASHsc] = ACTIONS(3064),
    [anon_sym_BSLASHsup] = ACTIONS(3064),
    [anon_sym_BSLASHndx] = ACTIONS(3064),
    [anon_sym_BSLASHpro] = ACTIONS(3064),
    [anon_sym_BSLASHrb] = ACTIONS(3064),
    [anon_sym_BSLASHw] = ACTIONS(3064),
    [anon_sym_BSLASHwg] = ACTIONS(3064),
    [anon_sym_BSLASHwh] = ACTIONS(3064),
    [anon_sym_BSLASHwa] = ACTIONS(3064),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3069),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3072),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3075),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3081),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3084),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3087),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3093),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3096),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3099),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3105),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3108),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3111),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3114),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3117),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3123),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3126),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3129),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3132),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3135),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3138),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3141),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3144),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3147),
    [anon_sym_BSLASHfig] = ACTIONS(3150),
    [anon_sym_BSLASHjmp] = ACTIONS(3064),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3153),
    [anon_sym_BSLASHcat] = ACTIONS(3064),
    [anon_sym_PIPE] = ACTIONS(3064),
  },
  [290] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(2485),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3156),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [291] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(2493),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3158),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [292] = {
    [sym_text] = STATE(297),
    [sym_sr] = STATE(1406),
    [sym_r] = STATE(1422),
    [sym_footnote] = STATE(297),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(297),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(297),
    [sym_bk] = STATE(297),
    [sym_dc] = STATE(297),
    [sym_k] = STATE(297),
    [sym_nd] = STATE(297),
    [sym_ord] = STATE(297),
    [sym_pn] = STATE(297),
    [sym_png] = STATE(297),
    [sym_addpn] = STATE(297),
    [sym_qt] = STATE(297),
    [sym_sig] = STATE(297),
    [sym_sls] = STATE(297),
    [sym_tl] = STATE(297),
    [sym_wj] = STATE(297),
    [sym_em] = STATE(297),
    [sym_bd] = STATE(297),
    [sym_it] = STATE(297),
    [sym_bdit] = STATE(297),
    [sym_no] = STATE(297),
    [sym_sc] = STATE(297),
    [sym_sup] = STATE(297),
    [sym_ndx] = STATE(297),
    [sym_pro] = STATE(297),
    [sym_rb] = STATE(297),
    [sym_w] = STATE(297),
    [sym_wg] = STATE(297),
    [sym_wh] = STATE(297),
    [sym_wa] = STATE(297),
    [sym__characterMarker] = STATE(297),
    [sym_fig] = STATE(297),
    [sym_jmp] = STATE(297),
    [aux_sym_ms_repeat1] = STATE(297),
    [ts_builtin_sym_end] = ACTIONS(3160),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHsts] = ACTIONS(3162),
    [anon_sym_BSLASHrem] = ACTIONS(3162),
    [anon_sym_BSLASHrestore] = ACTIONS(3162),
    [anon_sym_BSLASHlit] = ACTIONS(3162),
    [anon_sym_BSLASHip] = ACTIONS(3162),
    [anon_sym_BSLASHiex] = ACTIONS(3162),
    [anon_sym_BSLASHc] = ACTIONS(3162),
    [anon_sym_BSLASHcl] = ACTIONS(3162),
    [anon_sym_BSLASHca] = ACTIONS(3162),
    [anon_sym_BSLASHcp] = ACTIONS(3162),
    [anon_sym_BSLASHcd] = ACTIONS(3162),
    [anon_sym_BSLASHmte] = ACTIONS(3162),
    [anon_sym_BSLASHms] = ACTIONS(3162),
    [anon_sym_BSLASHs] = ACTIONS(3162),
    [anon_sym_BSLASHsr] = ACTIONS(3164),
    [anon_sym_BSLASHr] = ACTIONS(3166),
    [anon_sym_BSLASHsp] = ACTIONS(3162),
    [anon_sym_BSLASHd] = ACTIONS(3162),
    [anon_sym_BSLASHsd] = ACTIONS(3162),
    [anon_sym_BSLASHp] = ACTIONS(3162),
    [anon_sym_BSLASHm] = ACTIONS(3162),
    [anon_sym_BSLASHpo] = ACTIONS(3162),
    [anon_sym_BSLASHpr] = ACTIONS(3162),
    [anon_sym_BSLASHcls] = ACTIONS(3162),
    [anon_sym_BSLASHpmo] = ACTIONS(3162),
    [anon_sym_BSLASHpm] = ACTIONS(3162),
    [anon_sym_BSLASHpmc] = ACTIONS(3162),
    [anon_sym_BSLASHpmr] = ACTIONS(3162),
    [anon_sym_BSLASHpi] = ACTIONS(3162),
    [anon_sym_BSLASHmi] = ACTIONS(3162),
    [anon_sym_BSLASHnb] = ACTIONS(3162),
    [anon_sym_BSLASHpc] = ACTIONS(3162),
    [anon_sym_BSLASHph] = ACTIONS(3162),
    [anon_sym_BSLASHb] = ACTIONS(3162),
    [anon_sym_BSLASHq] = ACTIONS(3162),
    [anon_sym_BSLASHqr] = ACTIONS(3162),
    [anon_sym_BSLASHqc] = ACTIONS(3162),
    [anon_sym_BSLASHqa] = ACTIONS(3162),
    [anon_sym_BSLASHqm] = ACTIONS(3162),
    [anon_sym_BSLASHqd] = ACTIONS(3162),
    [anon_sym_BSLASHlh] = ACTIONS(3162),
    [anon_sym_BSLASHli] = ACTIONS(3162),
    [anon_sym_BSLASHlim] = ACTIONS(3162),
    [anon_sym_BSLASHtr] = ACTIONS(3162),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(3162),
    [anon_sym_BSLASH] = ACTIONS(3162),
    [sym_milestoneStartTag] = ACTIONS(3162),
    [sym_milestoneEndTag] = ACTIONS(3162),
    [sym_zSpaceTag] = ACTIONS(3162),
    [anon_sym_BSLASHesb] = ACTIONS(3162),
  },
  [293] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(2360),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3168),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [294] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(2290),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3170),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [295] = {
    [sym_text] = STATE(295),
    [sym_footnote] = STATE(295),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(295),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_addNested] = STATE(295),
    [sym_bkNested] = STATE(295),
    [sym_dcNested] = STATE(295),
    [sym_kNested] = STATE(295),
    [sym_ndNested] = STATE(295),
    [sym_ordNested] = STATE(295),
    [sym_pnNested] = STATE(295),
    [sym_pngNested] = STATE(295),
    [sym_addpnNested] = STATE(295),
    [sym_qtNested] = STATE(295),
    [sym_sigNested] = STATE(295),
    [sym_slsNested] = STATE(295),
    [sym_tlNested] = STATE(295),
    [sym_wjNested] = STATE(295),
    [sym_emNested] = STATE(295),
    [sym_bdNested] = STATE(295),
    [sym_itNested] = STATE(295),
    [sym_bditNested] = STATE(295),
    [sym_noNested] = STATE(295),
    [sym_scNested] = STATE(295),
    [sym_supNested] = STATE(295),
    [sym_ndxNested] = STATE(295),
    [sym_proNested] = STATE(295),
    [sym_rbNested] = STATE(295),
    [sym_wNested] = STATE(295),
    [sym_wgNested] = STATE(295),
    [sym_whNested] = STATE(295),
    [sym_waNested] = STATE(295),
    [sym__nestedCharacterMarker] = STATE(295),
    [sym_fig] = STATE(295),
    [sym_jmpNested] = STATE(295),
    [aux_sym__innerText_repeat1] = STATE(295),
    [aux_sym_text_token1] = ACTIONS(3172),
    [anon_sym_BSLASHf] = ACTIONS(3175),
    [anon_sym_BSLASHfe] = ACTIONS(3178),
    [anon_sym_BSLASHef] = ACTIONS(3181),
    [anon_sym_BSLASHfm] = ACTIONS(3184),
    [anon_sym_BSLASHx] = ACTIONS(3187),
    [anon_sym_BSLASHxt] = ACTIONS(3190),
    [anon_sym_BSLASHrq] = ACTIONS(3193),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3198),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3201),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3204),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3207),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3210),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3213),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3216),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3219),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3222),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3225),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3228),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3231),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3234),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3237),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3240),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3243),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3246),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3249),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3252),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3255),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3258),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3261),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3264),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3267),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3270),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3273),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3276),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3279),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHfig] = ACTIONS(3282),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3285),
    [anon_sym_PIPE] = ACTIONS(3196),
  },
  [296] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(2904),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3288),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [297] = {
    [sym_text] = STATE(308),
    [sym_sr] = STATE(1388),
    [sym_r] = STATE(1445),
    [sym_footnote] = STATE(308),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(308),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(308),
    [sym_bk] = STATE(308),
    [sym_dc] = STATE(308),
    [sym_k] = STATE(308),
    [sym_nd] = STATE(308),
    [sym_ord] = STATE(308),
    [sym_pn] = STATE(308),
    [sym_png] = STATE(308),
    [sym_addpn] = STATE(308),
    [sym_qt] = STATE(308),
    [sym_sig] = STATE(308),
    [sym_sls] = STATE(308),
    [sym_tl] = STATE(308),
    [sym_wj] = STATE(308),
    [sym_em] = STATE(308),
    [sym_bd] = STATE(308),
    [sym_it] = STATE(308),
    [sym_bdit] = STATE(308),
    [sym_no] = STATE(308),
    [sym_sc] = STATE(308),
    [sym_sup] = STATE(308),
    [sym_ndx] = STATE(308),
    [sym_pro] = STATE(308),
    [sym_rb] = STATE(308),
    [sym_w] = STATE(308),
    [sym_wg] = STATE(308),
    [sym_wh] = STATE(308),
    [sym_wa] = STATE(308),
    [sym__characterMarker] = STATE(308),
    [sym_fig] = STATE(308),
    [sym_jmp] = STATE(308),
    [aux_sym_ms_repeat1] = STATE(308),
    [ts_builtin_sym_end] = ACTIONS(3290),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHsts] = ACTIONS(3292),
    [anon_sym_BSLASHrem] = ACTIONS(3292),
    [anon_sym_BSLASHrestore] = ACTIONS(3292),
    [anon_sym_BSLASHlit] = ACTIONS(3292),
    [anon_sym_BSLASHip] = ACTIONS(3292),
    [anon_sym_BSLASHiex] = ACTIONS(3292),
    [anon_sym_BSLASHc] = ACTIONS(3292),
    [anon_sym_BSLASHcl] = ACTIONS(3292),
    [anon_sym_BSLASHca] = ACTIONS(3292),
    [anon_sym_BSLASHcp] = ACTIONS(3292),
    [anon_sym_BSLASHcd] = ACTIONS(3292),
    [anon_sym_BSLASHmte] = ACTIONS(3292),
    [anon_sym_BSLASHms] = ACTIONS(3292),
    [anon_sym_BSLASHs] = ACTIONS(3292),
    [anon_sym_BSLASHsr] = ACTIONS(3164),
    [anon_sym_BSLASHr] = ACTIONS(3166),
    [anon_sym_BSLASHsp] = ACTIONS(3292),
    [anon_sym_BSLASHd] = ACTIONS(3292),
    [anon_sym_BSLASHsd] = ACTIONS(3292),
    [anon_sym_BSLASHp] = ACTIONS(3292),
    [anon_sym_BSLASHm] = ACTIONS(3292),
    [anon_sym_BSLASHpo] = ACTIONS(3292),
    [anon_sym_BSLASHpr] = ACTIONS(3292),
    [anon_sym_BSLASHcls] = ACTIONS(3292),
    [anon_sym_BSLASHpmo] = ACTIONS(3292),
    [anon_sym_BSLASHpm] = ACTIONS(3292),
    [anon_sym_BSLASHpmc] = ACTIONS(3292),
    [anon_sym_BSLASHpmr] = ACTIONS(3292),
    [anon_sym_BSLASHpi] = ACTIONS(3292),
    [anon_sym_BSLASHmi] = ACTIONS(3292),
    [anon_sym_BSLASHnb] = ACTIONS(3292),
    [anon_sym_BSLASHpc] = ACTIONS(3292),
    [anon_sym_BSLASHph] = ACTIONS(3292),
    [anon_sym_BSLASHb] = ACTIONS(3292),
    [anon_sym_BSLASHq] = ACTIONS(3292),
    [anon_sym_BSLASHqr] = ACTIONS(3292),
    [anon_sym_BSLASHqc] = ACTIONS(3292),
    [anon_sym_BSLASHqa] = ACTIONS(3292),
    [anon_sym_BSLASHqm] = ACTIONS(3292),
    [anon_sym_BSLASHqd] = ACTIONS(3292),
    [anon_sym_BSLASHlh] = ACTIONS(3292),
    [anon_sym_BSLASHli] = ACTIONS(3292),
    [anon_sym_BSLASHlim] = ACTIONS(3292),
    [anon_sym_BSLASHtr] = ACTIONS(3292),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(3292),
    [anon_sym_BSLASH] = ACTIONS(3292),
    [sym_milestoneStartTag] = ACTIONS(3292),
    [sym_milestoneEndTag] = ACTIONS(3292),
    [sym_zSpaceTag] = ACTIONS(3292),
    [anon_sym_BSLASHesb] = ACTIONS(3292),
  },
  [298] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(2613),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3294),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [299] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(2597),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3296),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [300] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(2665),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3298),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [301] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(2654),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3300),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [302] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(2339),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3302),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [303] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(2427),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3304),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [304] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(2628),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3306),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [305] = {
    [sym_text] = STATE(205),
    [sym_ref] = STATE(205),
    [sym_footnoteText] = STATE(2547),
    [sym_fv] = STATE(205),
    [sym_xtNested] = STATE(205),
    [sym_xt_standalone] = STATE(205),
    [sym_add] = STATE(205),
    [sym_bk] = STATE(205),
    [sym_dc] = STATE(205),
    [sym_k] = STATE(205),
    [sym_nd] = STATE(205),
    [sym_ord] = STATE(205),
    [sym_pn] = STATE(205),
    [sym_png] = STATE(205),
    [sym_addpn] = STATE(205),
    [sym_qt] = STATE(205),
    [sym_sig] = STATE(205),
    [sym_sls] = STATE(205),
    [sym_tl] = STATE(205),
    [sym_wj] = STATE(205),
    [sym_em] = STATE(205),
    [sym_bd] = STATE(205),
    [sym_it] = STATE(205),
    [sym_bdit] = STATE(205),
    [sym_no] = STATE(205),
    [sym_sc] = STATE(205),
    [sym_sup] = STATE(205),
    [sym_ndx] = STATE(205),
    [sym_pro] = STATE(205),
    [sym_rb] = STATE(205),
    [sym_w] = STATE(205),
    [sym_wg] = STATE(205),
    [sym_wh] = STATE(205),
    [sym_wa] = STATE(205),
    [sym__characterMarker] = STATE(205),
    [sym_addNested] = STATE(205),
    [sym_bkNested] = STATE(205),
    [sym_dcNested] = STATE(205),
    [sym_kNested] = STATE(205),
    [sym_ndNested] = STATE(205),
    [sym_ordNested] = STATE(205),
    [sym_pnNested] = STATE(205),
    [sym_pngNested] = STATE(205),
    [sym_addpnNested] = STATE(205),
    [sym_qtNested] = STATE(205),
    [sym_sigNested] = STATE(205),
    [sym_slsNested] = STATE(205),
    [sym_tlNested] = STATE(205),
    [sym_wjNested] = STATE(205),
    [sym_emNested] = STATE(205),
    [sym_bdNested] = STATE(205),
    [sym_itNested] = STATE(205),
    [sym_bditNested] = STATE(205),
    [sym_noNested] = STATE(205),
    [sym_scNested] = STATE(205),
    [sym_supNested] = STATE(205),
    [sym_ndxNested] = STATE(205),
    [sym_proNested] = STATE(205),
    [sym_rbNested] = STATE(205),
    [sym_wNested] = STATE(205),
    [sym_wgNested] = STATE(205),
    [sym_whNested] = STATE(205),
    [sym_waNested] = STATE(205),
    [sym__nestedCharacterMarker] = STATE(205),
    [sym_fig] = STATE(205),
    [sym_jmp] = STATE(205),
    [sym_jmpNested] = STATE(205),
    [aux_sym_footnoteText_repeat1] = STATE(205),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHfv] = ACTIONS(1589),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3308),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1591),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [306] = {
    [sym_text] = STATE(295),
    [sym_footnote] = STATE(295),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(295),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_addNested] = STATE(295),
    [sym_bkNested] = STATE(295),
    [sym_dcNested] = STATE(295),
    [sym_kNested] = STATE(295),
    [sym_ndNested] = STATE(295),
    [sym_ordNested] = STATE(295),
    [sym_pnNested] = STATE(295),
    [sym_pngNested] = STATE(295),
    [sym_addpnNested] = STATE(295),
    [sym_qtNested] = STATE(295),
    [sym_sigNested] = STATE(295),
    [sym_slsNested] = STATE(295),
    [sym_tlNested] = STATE(295),
    [sym_wjNested] = STATE(295),
    [sym_emNested] = STATE(295),
    [sym_bdNested] = STATE(295),
    [sym_itNested] = STATE(295),
    [sym_bditNested] = STATE(295),
    [sym_noNested] = STATE(295),
    [sym_scNested] = STATE(295),
    [sym_supNested] = STATE(295),
    [sym_ndxNested] = STATE(295),
    [sym_proNested] = STATE(295),
    [sym_rbNested] = STATE(295),
    [sym_wNested] = STATE(295),
    [sym_wgNested] = STATE(295),
    [sym_whNested] = STATE(295),
    [sym_waNested] = STATE(295),
    [sym__nestedCharacterMarker] = STATE(295),
    [sym_fig] = STATE(295),
    [sym_jmpNested] = STATE(295),
    [aux_sym__innerText_repeat1] = STATE(295),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(3310),
  },
  [307] = {
    [sym_text] = STATE(308),
    [sym_mr] = STATE(1460),
    [sym_footnote] = STATE(308),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(308),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(308),
    [sym_bk] = STATE(308),
    [sym_dc] = STATE(308),
    [sym_k] = STATE(308),
    [sym_nd] = STATE(308),
    [sym_ord] = STATE(308),
    [sym_pn] = STATE(308),
    [sym_png] = STATE(308),
    [sym_addpn] = STATE(308),
    [sym_qt] = STATE(308),
    [sym_sig] = STATE(308),
    [sym_sls] = STATE(308),
    [sym_tl] = STATE(308),
    [sym_wj] = STATE(308),
    [sym_em] = STATE(308),
    [sym_bd] = STATE(308),
    [sym_it] = STATE(308),
    [sym_bdit] = STATE(308),
    [sym_no] = STATE(308),
    [sym_sc] = STATE(308),
    [sym_sup] = STATE(308),
    [sym_ndx] = STATE(308),
    [sym_pro] = STATE(308),
    [sym_rb] = STATE(308),
    [sym_w] = STATE(308),
    [sym_wg] = STATE(308),
    [sym_wh] = STATE(308),
    [sym_wa] = STATE(308),
    [sym__characterMarker] = STATE(308),
    [sym_fig] = STATE(308),
    [sym_jmp] = STATE(308),
    [aux_sym_ms_repeat1] = STATE(308),
    [ts_builtin_sym_end] = ACTIONS(3312),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHsts] = ACTIONS(3314),
    [anon_sym_BSLASHrem] = ACTIONS(3314),
    [anon_sym_BSLASHrestore] = ACTIONS(3314),
    [anon_sym_BSLASHlit] = ACTIONS(3314),
    [anon_sym_BSLASHip] = ACTIONS(3314),
    [anon_sym_BSLASHiex] = ACTIONS(3314),
    [anon_sym_BSLASHc] = ACTIONS(3314),
    [anon_sym_BSLASHcl] = ACTIONS(3314),
    [anon_sym_BSLASHca] = ACTIONS(3314),
    [anon_sym_BSLASHcp] = ACTIONS(3314),
    [anon_sym_BSLASHcd] = ACTIONS(3314),
    [anon_sym_BSLASHmte] = ACTIONS(3314),
    [anon_sym_BSLASHms] = ACTIONS(3314),
    [anon_sym_BSLASHmr] = ACTIONS(3316),
    [anon_sym_BSLASHs] = ACTIONS(3314),
    [anon_sym_BSLASHr] = ACTIONS(3314),
    [anon_sym_BSLASHsp] = ACTIONS(3314),
    [anon_sym_BSLASHd] = ACTIONS(3314),
    [anon_sym_BSLASHsd] = ACTIONS(3314),
    [anon_sym_BSLASHp] = ACTIONS(3314),
    [anon_sym_BSLASHm] = ACTIONS(3314),
    [anon_sym_BSLASHpo] = ACTIONS(3314),
    [anon_sym_BSLASHpr] = ACTIONS(3314),
    [anon_sym_BSLASHcls] = ACTIONS(3314),
    [anon_sym_BSLASHpmo] = ACTIONS(3314),
    [anon_sym_BSLASHpm] = ACTIONS(3314),
    [anon_sym_BSLASHpmc] = ACTIONS(3314),
    [anon_sym_BSLASHpmr] = ACTIONS(3314),
    [anon_sym_BSLASHpi] = ACTIONS(3314),
    [anon_sym_BSLASHmi] = ACTIONS(3314),
    [anon_sym_BSLASHnb] = ACTIONS(3314),
    [anon_sym_BSLASHpc] = ACTIONS(3314),
    [anon_sym_BSLASHph] = ACTIONS(3314),
    [anon_sym_BSLASHb] = ACTIONS(3314),
    [anon_sym_BSLASHq] = ACTIONS(3314),
    [anon_sym_BSLASHqr] = ACTIONS(3314),
    [anon_sym_BSLASHqc] = ACTIONS(3314),
    [anon_sym_BSLASHqa] = ACTIONS(3314),
    [anon_sym_BSLASHqm] = ACTIONS(3314),
    [anon_sym_BSLASHqd] = ACTIONS(3314),
    [anon_sym_BSLASHlh] = ACTIONS(3314),
    [anon_sym_BSLASHli] = ACTIONS(3314),
    [anon_sym_BSLASHlim] = ACTIONS(3314),
    [anon_sym_BSLASHtr] = ACTIONS(3314),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(3314),
    [anon_sym_BSLASH] = ACTIONS(3314),
    [sym_milestoneStartTag] = ACTIONS(3314),
    [sym_milestoneEndTag] = ACTIONS(3314),
    [sym_zSpaceTag] = ACTIONS(3314),
    [anon_sym_BSLASHesb] = ACTIONS(3314),
  },
  [308] = {
    [sym_text] = STATE(308),
    [sym_footnote] = STATE(308),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(308),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(308),
    [sym_bk] = STATE(308),
    [sym_dc] = STATE(308),
    [sym_k] = STATE(308),
    [sym_nd] = STATE(308),
    [sym_ord] = STATE(308),
    [sym_pn] = STATE(308),
    [sym_png] = STATE(308),
    [sym_addpn] = STATE(308),
    [sym_qt] = STATE(308),
    [sym_sig] = STATE(308),
    [sym_sls] = STATE(308),
    [sym_tl] = STATE(308),
    [sym_wj] = STATE(308),
    [sym_em] = STATE(308),
    [sym_bd] = STATE(308),
    [sym_it] = STATE(308),
    [sym_bdit] = STATE(308),
    [sym_no] = STATE(308),
    [sym_sc] = STATE(308),
    [sym_sup] = STATE(308),
    [sym_ndx] = STATE(308),
    [sym_pro] = STATE(308),
    [sym_rb] = STATE(308),
    [sym_w] = STATE(308),
    [sym_wg] = STATE(308),
    [sym_wh] = STATE(308),
    [sym_wa] = STATE(308),
    [sym__characterMarker] = STATE(308),
    [sym_fig] = STATE(308),
    [sym_jmp] = STATE(308),
    [aux_sym_ms_repeat1] = STATE(308),
    [ts_builtin_sym_end] = ACTIONS(3318),
    [aux_sym_text_token1] = ACTIONS(3320),
    [anon_sym_BSLASHsts] = ACTIONS(3323),
    [anon_sym_BSLASHrem] = ACTIONS(3323),
    [anon_sym_BSLASHrestore] = ACTIONS(3323),
    [anon_sym_BSLASHlit] = ACTIONS(3323),
    [anon_sym_BSLASHip] = ACTIONS(3323),
    [anon_sym_BSLASHiex] = ACTIONS(3323),
    [anon_sym_BSLASHc] = ACTIONS(3323),
    [anon_sym_BSLASHcl] = ACTIONS(3323),
    [anon_sym_BSLASHca] = ACTIONS(3323),
    [anon_sym_BSLASHcp] = ACTIONS(3323),
    [anon_sym_BSLASHcd] = ACTIONS(3323),
    [anon_sym_BSLASHmte] = ACTIONS(3323),
    [anon_sym_BSLASHms] = ACTIONS(3323),
    [anon_sym_BSLASHmr] = ACTIONS(3323),
    [anon_sym_BSLASHs] = ACTIONS(3323),
    [anon_sym_BSLASHsr] = ACTIONS(3323),
    [anon_sym_BSLASHr] = ACTIONS(3323),
    [anon_sym_BSLASHsp] = ACTIONS(3323),
    [anon_sym_BSLASHd] = ACTIONS(3323),
    [anon_sym_BSLASHsd] = ACTIONS(3323),
    [anon_sym_BSLASHp] = ACTIONS(3323),
    [anon_sym_BSLASHm] = ACTIONS(3323),
    [anon_sym_BSLASHpo] = ACTIONS(3323),
    [anon_sym_BSLASHpr] = ACTIONS(3323),
    [anon_sym_BSLASHcls] = ACTIONS(3323),
    [anon_sym_BSLASHpmo] = ACTIONS(3323),
    [anon_sym_BSLASHpm] = ACTIONS(3323),
    [anon_sym_BSLASHpmc] = ACTIONS(3323),
    [anon_sym_BSLASHpmr] = ACTIONS(3323),
    [anon_sym_BSLASHpi] = ACTIONS(3323),
    [anon_sym_BSLASHmi] = ACTIONS(3323),
    [anon_sym_BSLASHnb] = ACTIONS(3323),
    [anon_sym_BSLASHpc] = ACTIONS(3323),
    [anon_sym_BSLASHph] = ACTIONS(3323),
    [anon_sym_BSLASHb] = ACTIONS(3323),
    [anon_sym_BSLASHq] = ACTIONS(3323),
    [anon_sym_BSLASHqr] = ACTIONS(3323),
    [anon_sym_BSLASHqc] = ACTIONS(3323),
    [anon_sym_BSLASHqa] = ACTIONS(3323),
    [anon_sym_BSLASHqm] = ACTIONS(3323),
    [anon_sym_BSLASHqd] = ACTIONS(3323),
    [anon_sym_BSLASHlh] = ACTIONS(3323),
    [anon_sym_BSLASHli] = ACTIONS(3323),
    [anon_sym_BSLASHlim] = ACTIONS(3323),
    [anon_sym_BSLASHtr] = ACTIONS(3323),
    [anon_sym_BSLASHf] = ACTIONS(3325),
    [anon_sym_BSLASHfe] = ACTIONS(3328),
    [anon_sym_BSLASHef] = ACTIONS(3331),
    [anon_sym_BSLASHfm] = ACTIONS(3334),
    [anon_sym_BSLASHx] = ACTIONS(3337),
    [anon_sym_BSLASHxt] = ACTIONS(3340),
    [anon_sym_BSLASHrq] = ACTIONS(3343),
    [anon_sym_BSLASHadd] = ACTIONS(3346),
    [anon_sym_BSLASHbk] = ACTIONS(3349),
    [anon_sym_BSLASHdc] = ACTIONS(3352),
    [anon_sym_BSLASHk] = ACTIONS(3355),
    [anon_sym_BSLASHnd] = ACTIONS(3358),
    [anon_sym_BSLASHord] = ACTIONS(3361),
    [anon_sym_BSLASHpn] = ACTIONS(3364),
    [anon_sym_BSLASHpng] = ACTIONS(3367),
    [anon_sym_BSLASHaddpn] = ACTIONS(3370),
    [anon_sym_BSLASHqt] = ACTIONS(3373),
    [anon_sym_BSLASHsig] = ACTIONS(3376),
    [anon_sym_BSLASHsls] = ACTIONS(3379),
    [anon_sym_BSLASHtl] = ACTIONS(3382),
    [anon_sym_BSLASHwj] = ACTIONS(3385),
    [anon_sym_BSLASHem] = ACTIONS(3388),
    [anon_sym_BSLASHbd] = ACTIONS(3391),
    [anon_sym_BSLASHit] = ACTIONS(3394),
    [anon_sym_BSLASHbdit] = ACTIONS(3397),
    [anon_sym_BSLASHno] = ACTIONS(3400),
    [anon_sym_BSLASHsc] = ACTIONS(3403),
    [anon_sym_BSLASHsup] = ACTIONS(3406),
    [anon_sym_BSLASHndx] = ACTIONS(3409),
    [anon_sym_BSLASHpro] = ACTIONS(3412),
    [anon_sym_BSLASHrb] = ACTIONS(3415),
    [anon_sym_BSLASHw] = ACTIONS(3418),
    [anon_sym_BSLASHwg] = ACTIONS(3421),
    [anon_sym_BSLASHwh] = ACTIONS(3424),
    [anon_sym_BSLASHwa] = ACTIONS(3427),
    [anon_sym_BSLASHfig] = ACTIONS(3430),
    [anon_sym_BSLASHjmp] = ACTIONS(3433),
    [anon_sym_BSLASHpb] = ACTIONS(3323),
    [anon_sym_BSLASH] = ACTIONS(3323),
    [sym_milestoneStartTag] = ACTIONS(3323),
    [sym_milestoneEndTag] = ACTIONS(3323),
    [sym_zSpaceTag] = ACTIONS(3323),
    [anon_sym_BSLASHesb] = ACTIONS(3323),
  },
  [309] = {
    [sym_text] = STATE(308),
    [sym_footnote] = STATE(308),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(308),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(308),
    [sym_bk] = STATE(308),
    [sym_dc] = STATE(308),
    [sym_k] = STATE(308),
    [sym_nd] = STATE(308),
    [sym_ord] = STATE(308),
    [sym_pn] = STATE(308),
    [sym_png] = STATE(308),
    [sym_addpn] = STATE(308),
    [sym_qt] = STATE(308),
    [sym_sig] = STATE(308),
    [sym_sls] = STATE(308),
    [sym_tl] = STATE(308),
    [sym_wj] = STATE(308),
    [sym_em] = STATE(308),
    [sym_bd] = STATE(308),
    [sym_it] = STATE(308),
    [sym_bdit] = STATE(308),
    [sym_no] = STATE(308),
    [sym_sc] = STATE(308),
    [sym_sup] = STATE(308),
    [sym_ndx] = STATE(308),
    [sym_pro] = STATE(308),
    [sym_rb] = STATE(308),
    [sym_w] = STATE(308),
    [sym_wg] = STATE(308),
    [sym_wh] = STATE(308),
    [sym_wa] = STATE(308),
    [sym__characterMarker] = STATE(308),
    [sym_fig] = STATE(308),
    [sym_jmp] = STATE(308),
    [aux_sym_ms_repeat1] = STATE(308),
    [ts_builtin_sym_end] = ACTIONS(3436),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHsts] = ACTIONS(3438),
    [anon_sym_BSLASHrem] = ACTIONS(3438),
    [anon_sym_BSLASHrestore] = ACTIONS(3438),
    [anon_sym_BSLASHlit] = ACTIONS(3438),
    [anon_sym_BSLASHip] = ACTIONS(3438),
    [anon_sym_BSLASHiex] = ACTIONS(3438),
    [anon_sym_BSLASHc] = ACTIONS(3438),
    [anon_sym_BSLASHcl] = ACTIONS(3438),
    [anon_sym_BSLASHca] = ACTIONS(3438),
    [anon_sym_BSLASHcp] = ACTIONS(3438),
    [anon_sym_BSLASHcd] = ACTIONS(3438),
    [anon_sym_BSLASHmte] = ACTIONS(3438),
    [anon_sym_BSLASHms] = ACTIONS(3438),
    [anon_sym_BSLASHs] = ACTIONS(3438),
    [anon_sym_BSLASHr] = ACTIONS(3438),
    [anon_sym_BSLASHsp] = ACTIONS(3438),
    [anon_sym_BSLASHd] = ACTIONS(3438),
    [anon_sym_BSLASHsd] = ACTIONS(3438),
    [anon_sym_BSLASHp] = ACTIONS(3438),
    [anon_sym_BSLASHm] = ACTIONS(3438),
    [anon_sym_BSLASHpo] = ACTIONS(3438),
    [anon_sym_BSLASHpr] = ACTIONS(3438),
    [anon_sym_BSLASHcls] = ACTIONS(3438),
    [anon_sym_BSLASHpmo] = ACTIONS(3438),
    [anon_sym_BSLASHpm] = ACTIONS(3438),
    [anon_sym_BSLASHpmc] = ACTIONS(3438),
    [anon_sym_BSLASHpmr] = ACTIONS(3438),
    [anon_sym_BSLASHpi] = ACTIONS(3438),
    [anon_sym_BSLASHmi] = ACTIONS(3438),
    [anon_sym_BSLASHnb] = ACTIONS(3438),
    [anon_sym_BSLASHpc] = ACTIONS(3438),
    [anon_sym_BSLASHph] = ACTIONS(3438),
    [anon_sym_BSLASHb] = ACTIONS(3438),
    [anon_sym_BSLASHq] = ACTIONS(3438),
    [anon_sym_BSLASHqr] = ACTIONS(3438),
    [anon_sym_BSLASHqc] = ACTIONS(3438),
    [anon_sym_BSLASHqa] = ACTIONS(3438),
    [anon_sym_BSLASHqm] = ACTIONS(3438),
    [anon_sym_BSLASHqd] = ACTIONS(3438),
    [anon_sym_BSLASHlh] = ACTIONS(3438),
    [anon_sym_BSLASHli] = ACTIONS(3438),
    [anon_sym_BSLASHlim] = ACTIONS(3438),
    [anon_sym_BSLASHtr] = ACTIONS(3438),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(3438),
    [anon_sym_BSLASH] = ACTIONS(3438),
    [sym_milestoneStartTag] = ACTIONS(3438),
    [sym_milestoneEndTag] = ACTIONS(3438),
    [sym_zSpaceTag] = ACTIONS(3438),
    [anon_sym_BSLASHesb] = ACTIONS(3438),
  },
  [310] = {
    [sym_text] = STATE(311),
    [sym_add] = STATE(311),
    [sym_bk] = STATE(311),
    [sym_dc] = STATE(311),
    [sym_k] = STATE(311),
    [sym_nd] = STATE(311),
    [sym_ord] = STATE(311),
    [sym_pn] = STATE(311),
    [sym_png] = STATE(311),
    [sym_addpn] = STATE(311),
    [sym_qt] = STATE(311),
    [sym_sig] = STATE(311),
    [sym_sls] = STATE(311),
    [sym_tl] = STATE(311),
    [sym_wj] = STATE(311),
    [sym_em] = STATE(311),
    [sym_bd] = STATE(311),
    [sym_it] = STATE(311),
    [sym_bdit] = STATE(311),
    [sym_no] = STATE(311),
    [sym_sc] = STATE(311),
    [sym_sup] = STATE(311),
    [sym_ndx] = STATE(311),
    [sym_pro] = STATE(311),
    [sym_rb] = STATE(311),
    [sym_w] = STATE(311),
    [sym_wg] = STATE(311),
    [sym_wh] = STATE(311),
    [sym_wa] = STATE(311),
    [sym__characterMarker] = STATE(311),
    [sym_fig] = STATE(311),
    [sym_jmp] = STATE(311),
    [aux_sym_verseText_repeat1] = STATE(311),
    [ts_builtin_sym_end] = ACTIONS(3440),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(3442),
    [anon_sym_BSLASHsts] = ACTIONS(3442),
    [anon_sym_BSLASHrem] = ACTIONS(3442),
    [anon_sym_BSLASHrestore] = ACTIONS(3442),
    [anon_sym_BSLASHlit] = ACTIONS(3442),
    [anon_sym_BSLASHip] = ACTIONS(3442),
    [anon_sym_BSLASHiex] = ACTIONS(3442),
    [anon_sym_BSLASHv] = ACTIONS(3442),
    [anon_sym_BSLASHva] = ACTIONS(3442),
    [anon_sym_BSLASHvp] = ACTIONS(3442),
    [anon_sym_BSLASHc] = ACTIONS(3442),
    [anon_sym_BSLASHcl] = ACTIONS(3442),
    [anon_sym_BSLASHca] = ACTIONS(3442),
    [anon_sym_BSLASHcp] = ACTIONS(3442),
    [anon_sym_BSLASHcd] = ACTIONS(3442),
    [anon_sym_BSLASHmte] = ACTIONS(3442),
    [anon_sym_BSLASHms] = ACTIONS(3442),
    [anon_sym_BSLASHs] = ACTIONS(3442),
    [anon_sym_BSLASHr] = ACTIONS(3442),
    [anon_sym_BSLASHsp] = ACTIONS(3442),
    [anon_sym_BSLASHd] = ACTIONS(3442),
    [anon_sym_BSLASHsd] = ACTIONS(3442),
    [anon_sym_BSLASHp] = ACTIONS(3442),
    [anon_sym_BSLASHm] = ACTIONS(3442),
    [anon_sym_BSLASHpo] = ACTIONS(3442),
    [anon_sym_BSLASHpr] = ACTIONS(3442),
    [anon_sym_BSLASHcls] = ACTIONS(3442),
    [anon_sym_BSLASHpmo] = ACTIONS(3442),
    [anon_sym_BSLASHpm] = ACTIONS(3442),
    [anon_sym_BSLASHpmc] = ACTIONS(3442),
    [anon_sym_BSLASHpmr] = ACTIONS(3442),
    [anon_sym_BSLASHpi] = ACTIONS(3442),
    [anon_sym_BSLASHmi] = ACTIONS(3442),
    [anon_sym_BSLASHnb] = ACTIONS(3442),
    [anon_sym_BSLASHpc] = ACTIONS(3442),
    [anon_sym_BSLASHph] = ACTIONS(3442),
    [anon_sym_BSLASHb] = ACTIONS(3442),
    [anon_sym_BSLASHq] = ACTIONS(3442),
    [anon_sym_BSLASHqr] = ACTIONS(3442),
    [anon_sym_BSLASHqc] = ACTIONS(3442),
    [anon_sym_BSLASHqa] = ACTIONS(3442),
    [anon_sym_BSLASHqm] = ACTIONS(3442),
    [anon_sym_BSLASHqd] = ACTIONS(3442),
    [anon_sym_BSLASHlh] = ACTIONS(3442),
    [anon_sym_BSLASHlf] = ACTIONS(3442),
    [anon_sym_BSLASHli] = ACTIONS(3442),
    [anon_sym_BSLASHlim] = ACTIONS(3442),
    [anon_sym_BSLASHliv] = ACTIONS(3442),
    [anon_sym_BSLASHlik] = ACTIONS(3442),
    [anon_sym_BSLASHlitl] = ACTIONS(3442),
    [anon_sym_BSLASHtr] = ACTIONS(3442),
    [anon_sym_BSLASHf] = ACTIONS(3442),
    [anon_sym_BSLASHfe] = ACTIONS(3442),
    [anon_sym_BSLASHef] = ACTIONS(3442),
    [anon_sym_BSLASHfm] = ACTIONS(3442),
    [anon_sym_BSLASHx] = ACTIONS(3442),
    [anon_sym_BSLASHxt] = ACTIONS(3442),
    [anon_sym_BSLASHrq] = ACTIONS(3442),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(3442),
    [anon_sym_BSLASH] = ACTIONS(3442),
    [sym_milestoneStartTag] = ACTIONS(3442),
    [sym_milestoneEndTag] = ACTIONS(3442),
    [sym_zSpaceTag] = ACTIONS(3442),
    [anon_sym_BSLASHesb] = ACTIONS(3442),
  },
  [311] = {
    [sym_text] = STATE(311),
    [sym_add] = STATE(311),
    [sym_bk] = STATE(311),
    [sym_dc] = STATE(311),
    [sym_k] = STATE(311),
    [sym_nd] = STATE(311),
    [sym_ord] = STATE(311),
    [sym_pn] = STATE(311),
    [sym_png] = STATE(311),
    [sym_addpn] = STATE(311),
    [sym_qt] = STATE(311),
    [sym_sig] = STATE(311),
    [sym_sls] = STATE(311),
    [sym_tl] = STATE(311),
    [sym_wj] = STATE(311),
    [sym_em] = STATE(311),
    [sym_bd] = STATE(311),
    [sym_it] = STATE(311),
    [sym_bdit] = STATE(311),
    [sym_no] = STATE(311),
    [sym_sc] = STATE(311),
    [sym_sup] = STATE(311),
    [sym_ndx] = STATE(311),
    [sym_pro] = STATE(311),
    [sym_rb] = STATE(311),
    [sym_w] = STATE(311),
    [sym_wg] = STATE(311),
    [sym_wh] = STATE(311),
    [sym_wa] = STATE(311),
    [sym__characterMarker] = STATE(311),
    [sym_fig] = STATE(311),
    [sym_jmp] = STATE(311),
    [aux_sym_verseText_repeat1] = STATE(311),
    [ts_builtin_sym_end] = ACTIONS(3444),
    [aux_sym_text_token1] = ACTIONS(3446),
    [anon_sym_BSLASHref] = ACTIONS(3449),
    [anon_sym_BSLASHsts] = ACTIONS(3449),
    [anon_sym_BSLASHrem] = ACTIONS(3449),
    [anon_sym_BSLASHrestore] = ACTIONS(3449),
    [anon_sym_BSLASHlit] = ACTIONS(3449),
    [anon_sym_BSLASHip] = ACTIONS(3449),
    [anon_sym_BSLASHiex] = ACTIONS(3449),
    [anon_sym_BSLASHv] = ACTIONS(3449),
    [anon_sym_BSLASHva] = ACTIONS(3449),
    [anon_sym_BSLASHvp] = ACTIONS(3449),
    [anon_sym_BSLASHc] = ACTIONS(3449),
    [anon_sym_BSLASHcl] = ACTIONS(3449),
    [anon_sym_BSLASHca] = ACTIONS(3449),
    [anon_sym_BSLASHcp] = ACTIONS(3449),
    [anon_sym_BSLASHcd] = ACTIONS(3449),
    [anon_sym_BSLASHmte] = ACTIONS(3449),
    [anon_sym_BSLASHms] = ACTIONS(3449),
    [anon_sym_BSLASHs] = ACTIONS(3449),
    [anon_sym_BSLASHr] = ACTIONS(3449),
    [anon_sym_BSLASHsp] = ACTIONS(3449),
    [anon_sym_BSLASHd] = ACTIONS(3449),
    [anon_sym_BSLASHsd] = ACTIONS(3449),
    [anon_sym_BSLASHp] = ACTIONS(3449),
    [anon_sym_BSLASHm] = ACTIONS(3449),
    [anon_sym_BSLASHpo] = ACTIONS(3449),
    [anon_sym_BSLASHpr] = ACTIONS(3449),
    [anon_sym_BSLASHcls] = ACTIONS(3449),
    [anon_sym_BSLASHpmo] = ACTIONS(3449),
    [anon_sym_BSLASHpm] = ACTIONS(3449),
    [anon_sym_BSLASHpmc] = ACTIONS(3449),
    [anon_sym_BSLASHpmr] = ACTIONS(3449),
    [anon_sym_BSLASHpi] = ACTIONS(3449),
    [anon_sym_BSLASHmi] = ACTIONS(3449),
    [anon_sym_BSLASHnb] = ACTIONS(3449),
    [anon_sym_BSLASHpc] = ACTIONS(3449),
    [anon_sym_BSLASHph] = ACTIONS(3449),
    [anon_sym_BSLASHb] = ACTIONS(3449),
    [anon_sym_BSLASHq] = ACTIONS(3449),
    [anon_sym_BSLASHqr] = ACTIONS(3449),
    [anon_sym_BSLASHqc] = ACTIONS(3449),
    [anon_sym_BSLASHqa] = ACTIONS(3449),
    [anon_sym_BSLASHqm] = ACTIONS(3449),
    [anon_sym_BSLASHqd] = ACTIONS(3449),
    [anon_sym_BSLASHlh] = ACTIONS(3449),
    [anon_sym_BSLASHlf] = ACTIONS(3449),
    [anon_sym_BSLASHli] = ACTIONS(3449),
    [anon_sym_BSLASHlim] = ACTIONS(3449),
    [anon_sym_BSLASHliv] = ACTIONS(3449),
    [anon_sym_BSLASHlik] = ACTIONS(3449),
    [anon_sym_BSLASHlitl] = ACTIONS(3449),
    [anon_sym_BSLASHtr] = ACTIONS(3449),
    [anon_sym_BSLASHf] = ACTIONS(3449),
    [anon_sym_BSLASHfe] = ACTIONS(3449),
    [anon_sym_BSLASHef] = ACTIONS(3449),
    [anon_sym_BSLASHfm] = ACTIONS(3449),
    [anon_sym_BSLASHx] = ACTIONS(3449),
    [anon_sym_BSLASHxt] = ACTIONS(3449),
    [anon_sym_BSLASHrq] = ACTIONS(3449),
    [anon_sym_BSLASHadd] = ACTIONS(3451),
    [anon_sym_BSLASHbk] = ACTIONS(3454),
    [anon_sym_BSLASHdc] = ACTIONS(3457),
    [anon_sym_BSLASHk] = ACTIONS(3460),
    [anon_sym_BSLASHnd] = ACTIONS(3463),
    [anon_sym_BSLASHord] = ACTIONS(3466),
    [anon_sym_BSLASHpn] = ACTIONS(3469),
    [anon_sym_BSLASHpng] = ACTIONS(3472),
    [anon_sym_BSLASHaddpn] = ACTIONS(3475),
    [anon_sym_BSLASHqt] = ACTIONS(3478),
    [anon_sym_BSLASHsig] = ACTIONS(3481),
    [anon_sym_BSLASHsls] = ACTIONS(3484),
    [anon_sym_BSLASHtl] = ACTIONS(3487),
    [anon_sym_BSLASHwj] = ACTIONS(3490),
    [anon_sym_BSLASHem] = ACTIONS(3493),
    [anon_sym_BSLASHbd] = ACTIONS(3496),
    [anon_sym_BSLASHit] = ACTIONS(3499),
    [anon_sym_BSLASHbdit] = ACTIONS(3502),
    [anon_sym_BSLASHno] = ACTIONS(3505),
    [anon_sym_BSLASHsc] = ACTIONS(3508),
    [anon_sym_BSLASHsup] = ACTIONS(3511),
    [anon_sym_BSLASHndx] = ACTIONS(3514),
    [anon_sym_BSLASHpro] = ACTIONS(3517),
    [anon_sym_BSLASHrb] = ACTIONS(3520),
    [anon_sym_BSLASHw] = ACTIONS(3523),
    [anon_sym_BSLASHwg] = ACTIONS(3526),
    [anon_sym_BSLASHwh] = ACTIONS(3529),
    [anon_sym_BSLASHwa] = ACTIONS(3532),
    [anon_sym_BSLASHfig] = ACTIONS(3535),
    [anon_sym_BSLASHjmp] = ACTIONS(3538),
    [anon_sym_BSLASHpb] = ACTIONS(3449),
    [anon_sym_BSLASH] = ACTIONS(3449),
    [sym_milestoneStartTag] = ACTIONS(3449),
    [sym_milestoneEndTag] = ACTIONS(3449),
    [sym_zSpaceTag] = ACTIONS(3449),
    [anon_sym_BSLASHesb] = ACTIONS(3449),
  },
  [312] = {
    [sym_text] = STATE(313),
    [sym_add] = STATE(313),
    [sym_bk] = STATE(313),
    [sym_dc] = STATE(313),
    [sym_k] = STATE(313),
    [sym_nd] = STATE(313),
    [sym_ord] = STATE(313),
    [sym_pn] = STATE(313),
    [sym_png] = STATE(313),
    [sym_addpn] = STATE(313),
    [sym_qt] = STATE(313),
    [sym_sig] = STATE(313),
    [sym_sls] = STATE(313),
    [sym_tl] = STATE(313),
    [sym_wj] = STATE(313),
    [sym_em] = STATE(313),
    [sym_bd] = STATE(313),
    [sym_it] = STATE(313),
    [sym_bdit] = STATE(313),
    [sym_no] = STATE(313),
    [sym_sc] = STATE(313),
    [sym_sup] = STATE(313),
    [sym_ndx] = STATE(313),
    [sym_pro] = STATE(313),
    [sym_rb] = STATE(313),
    [sym_w] = STATE(313),
    [sym_wg] = STATE(313),
    [sym_wh] = STATE(313),
    [sym_wa] = STATE(313),
    [sym__characterMarker] = STATE(313),
    [sym_jmp] = STATE(313),
    [aux_sym_rem_repeat1] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(3541),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(3543),
    [anon_sym_BSLASHsts] = ACTIONS(3543),
    [anon_sym_BSLASHrem] = ACTIONS(3543),
    [anon_sym_BSLASHrestore] = ACTIONS(3543),
    [anon_sym_BSLASHlit] = ACTIONS(3543),
    [anon_sym_BSLASHip] = ACTIONS(3543),
    [anon_sym_BSLASHiex] = ACTIONS(3543),
    [anon_sym_BSLASHv] = ACTIONS(3543),
    [anon_sym_BSLASHva] = ACTIONS(3543),
    [anon_sym_BSLASHvp] = ACTIONS(3543),
    [anon_sym_BSLASHc] = ACTIONS(3543),
    [anon_sym_BSLASHcl] = ACTIONS(3543),
    [anon_sym_BSLASHca] = ACTIONS(3543),
    [anon_sym_BSLASHcp] = ACTIONS(3543),
    [anon_sym_BSLASHcd] = ACTIONS(3543),
    [anon_sym_BSLASHmte] = ACTIONS(3543),
    [anon_sym_BSLASHms] = ACTIONS(3543),
    [anon_sym_BSLASHs] = ACTIONS(3543),
    [anon_sym_BSLASHr] = ACTIONS(3543),
    [anon_sym_BSLASHsp] = ACTIONS(3543),
    [anon_sym_BSLASHd] = ACTIONS(3543),
    [anon_sym_BSLASHsd] = ACTIONS(3543),
    [anon_sym_BSLASHp] = ACTIONS(3543),
    [anon_sym_BSLASHm] = ACTIONS(3543),
    [anon_sym_BSLASHpo] = ACTIONS(3543),
    [anon_sym_BSLASHpr] = ACTIONS(3543),
    [anon_sym_BSLASHcls] = ACTIONS(3543),
    [anon_sym_BSLASHpmo] = ACTIONS(3543),
    [anon_sym_BSLASHpm] = ACTIONS(3543),
    [anon_sym_BSLASHpmc] = ACTIONS(3543),
    [anon_sym_BSLASHpmr] = ACTIONS(3543),
    [anon_sym_BSLASHpi] = ACTIONS(3543),
    [anon_sym_BSLASHmi] = ACTIONS(3543),
    [anon_sym_BSLASHnb] = ACTIONS(3543),
    [anon_sym_BSLASHpc] = ACTIONS(3543),
    [anon_sym_BSLASHph] = ACTIONS(3543),
    [anon_sym_BSLASHb] = ACTIONS(3543),
    [anon_sym_BSLASHq] = ACTIONS(3543),
    [anon_sym_BSLASHqr] = ACTIONS(3543),
    [anon_sym_BSLASHqc] = ACTIONS(3543),
    [anon_sym_BSLASHqa] = ACTIONS(3543),
    [anon_sym_BSLASHqm] = ACTIONS(3543),
    [anon_sym_BSLASHqd] = ACTIONS(3543),
    [anon_sym_BSLASHlh] = ACTIONS(3543),
    [anon_sym_BSLASHlf] = ACTIONS(3543),
    [anon_sym_BSLASHli] = ACTIONS(3543),
    [anon_sym_BSLASHlim] = ACTIONS(3543),
    [anon_sym_BSLASHliv] = ACTIONS(3543),
    [anon_sym_BSLASHlik] = ACTIONS(3543),
    [anon_sym_BSLASHlitl] = ACTIONS(3543),
    [anon_sym_BSLASHtr] = ACTIONS(3543),
    [anon_sym_BSLASHf] = ACTIONS(3543),
    [anon_sym_BSLASHfe] = ACTIONS(3543),
    [anon_sym_BSLASHef] = ACTIONS(3543),
    [anon_sym_BSLASHfm] = ACTIONS(3543),
    [anon_sym_BSLASHx] = ACTIONS(3543),
    [anon_sym_BSLASHxt] = ACTIONS(3543),
    [anon_sym_BSLASHrq] = ACTIONS(3543),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(3543),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(3543),
    [anon_sym_BSLASH] = ACTIONS(3543),
    [sym_milestoneStartTag] = ACTIONS(3543),
    [sym_milestoneEndTag] = ACTIONS(3543),
    [sym_zSpaceTag] = ACTIONS(3543),
    [anon_sym_BSLASHesb] = ACTIONS(3543),
  },
  [313] = {
    [sym_text] = STATE(313),
    [sym_add] = STATE(313),
    [sym_bk] = STATE(313),
    [sym_dc] = STATE(313),
    [sym_k] = STATE(313),
    [sym_nd] = STATE(313),
    [sym_ord] = STATE(313),
    [sym_pn] = STATE(313),
    [sym_png] = STATE(313),
    [sym_addpn] = STATE(313),
    [sym_qt] = STATE(313),
    [sym_sig] = STATE(313),
    [sym_sls] = STATE(313),
    [sym_tl] = STATE(313),
    [sym_wj] = STATE(313),
    [sym_em] = STATE(313),
    [sym_bd] = STATE(313),
    [sym_it] = STATE(313),
    [sym_bdit] = STATE(313),
    [sym_no] = STATE(313),
    [sym_sc] = STATE(313),
    [sym_sup] = STATE(313),
    [sym_ndx] = STATE(313),
    [sym_pro] = STATE(313),
    [sym_rb] = STATE(313),
    [sym_w] = STATE(313),
    [sym_wg] = STATE(313),
    [sym_wh] = STATE(313),
    [sym_wa] = STATE(313),
    [sym__characterMarker] = STATE(313),
    [sym_jmp] = STATE(313),
    [aux_sym_rem_repeat1] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(3545),
    [aux_sym_text_token1] = ACTIONS(3547),
    [anon_sym_BSLASHref] = ACTIONS(3550),
    [anon_sym_BSLASHsts] = ACTIONS(3550),
    [anon_sym_BSLASHrem] = ACTIONS(3550),
    [anon_sym_BSLASHrestore] = ACTIONS(3550),
    [anon_sym_BSLASHlit] = ACTIONS(3550),
    [anon_sym_BSLASHip] = ACTIONS(3550),
    [anon_sym_BSLASHiex] = ACTIONS(3550),
    [anon_sym_BSLASHv] = ACTIONS(3550),
    [anon_sym_BSLASHva] = ACTIONS(3550),
    [anon_sym_BSLASHvp] = ACTIONS(3550),
    [anon_sym_BSLASHc] = ACTIONS(3550),
    [anon_sym_BSLASHcl] = ACTIONS(3550),
    [anon_sym_BSLASHca] = ACTIONS(3550),
    [anon_sym_BSLASHcp] = ACTIONS(3550),
    [anon_sym_BSLASHcd] = ACTIONS(3550),
    [anon_sym_BSLASHmte] = ACTIONS(3550),
    [anon_sym_BSLASHms] = ACTIONS(3550),
    [anon_sym_BSLASHs] = ACTIONS(3550),
    [anon_sym_BSLASHr] = ACTIONS(3550),
    [anon_sym_BSLASHsp] = ACTIONS(3550),
    [anon_sym_BSLASHd] = ACTIONS(3550),
    [anon_sym_BSLASHsd] = ACTIONS(3550),
    [anon_sym_BSLASHp] = ACTIONS(3550),
    [anon_sym_BSLASHm] = ACTIONS(3550),
    [anon_sym_BSLASHpo] = ACTIONS(3550),
    [anon_sym_BSLASHpr] = ACTIONS(3550),
    [anon_sym_BSLASHcls] = ACTIONS(3550),
    [anon_sym_BSLASHpmo] = ACTIONS(3550),
    [anon_sym_BSLASHpm] = ACTIONS(3550),
    [anon_sym_BSLASHpmc] = ACTIONS(3550),
    [anon_sym_BSLASHpmr] = ACTIONS(3550),
    [anon_sym_BSLASHpi] = ACTIONS(3550),
    [anon_sym_BSLASHmi] = ACTIONS(3550),
    [anon_sym_BSLASHnb] = ACTIONS(3550),
    [anon_sym_BSLASHpc] = ACTIONS(3550),
    [anon_sym_BSLASHph] = ACTIONS(3550),
    [anon_sym_BSLASHb] = ACTIONS(3550),
    [anon_sym_BSLASHq] = ACTIONS(3550),
    [anon_sym_BSLASHqr] = ACTIONS(3550),
    [anon_sym_BSLASHqc] = ACTIONS(3550),
    [anon_sym_BSLASHqa] = ACTIONS(3550),
    [anon_sym_BSLASHqm] = ACTIONS(3550),
    [anon_sym_BSLASHqd] = ACTIONS(3550),
    [anon_sym_BSLASHlh] = ACTIONS(3550),
    [anon_sym_BSLASHlf] = ACTIONS(3550),
    [anon_sym_BSLASHli] = ACTIONS(3550),
    [anon_sym_BSLASHlim] = ACTIONS(3550),
    [anon_sym_BSLASHliv] = ACTIONS(3550),
    [anon_sym_BSLASHlik] = ACTIONS(3550),
    [anon_sym_BSLASHlitl] = ACTIONS(3550),
    [anon_sym_BSLASHtr] = ACTIONS(3550),
    [anon_sym_BSLASHf] = ACTIONS(3550),
    [anon_sym_BSLASHfe] = ACTIONS(3550),
    [anon_sym_BSLASHef] = ACTIONS(3550),
    [anon_sym_BSLASHfm] = ACTIONS(3550),
    [anon_sym_BSLASHx] = ACTIONS(3550),
    [anon_sym_BSLASHxt] = ACTIONS(3550),
    [anon_sym_BSLASHrq] = ACTIONS(3550),
    [anon_sym_BSLASHadd] = ACTIONS(3552),
    [anon_sym_BSLASHbk] = ACTIONS(3555),
    [anon_sym_BSLASHdc] = ACTIONS(3558),
    [anon_sym_BSLASHk] = ACTIONS(3561),
    [anon_sym_BSLASHnd] = ACTIONS(3564),
    [anon_sym_BSLASHord] = ACTIONS(3567),
    [anon_sym_BSLASHpn] = ACTIONS(3570),
    [anon_sym_BSLASHpng] = ACTIONS(3573),
    [anon_sym_BSLASHaddpn] = ACTIONS(3576),
    [anon_sym_BSLASHqt] = ACTIONS(3579),
    [anon_sym_BSLASHsig] = ACTIONS(3582),
    [anon_sym_BSLASHsls] = ACTIONS(3585),
    [anon_sym_BSLASHtl] = ACTIONS(3588),
    [anon_sym_BSLASHwj] = ACTIONS(3591),
    [anon_sym_BSLASHem] = ACTIONS(3594),
    [anon_sym_BSLASHbd] = ACTIONS(3597),
    [anon_sym_BSLASHit] = ACTIONS(3600),
    [anon_sym_BSLASHbdit] = ACTIONS(3603),
    [anon_sym_BSLASHno] = ACTIONS(3606),
    [anon_sym_BSLASHsc] = ACTIONS(3609),
    [anon_sym_BSLASHsup] = ACTIONS(3612),
    [anon_sym_BSLASHndx] = ACTIONS(3615),
    [anon_sym_BSLASHpro] = ACTIONS(3618),
    [anon_sym_BSLASHrb] = ACTIONS(3621),
    [anon_sym_BSLASHw] = ACTIONS(3624),
    [anon_sym_BSLASHwg] = ACTIONS(3627),
    [anon_sym_BSLASHwh] = ACTIONS(3630),
    [anon_sym_BSLASHwa] = ACTIONS(3633),
    [anon_sym_BSLASHfig] = ACTIONS(3550),
    [anon_sym_BSLASHjmp] = ACTIONS(3636),
    [anon_sym_BSLASHpb] = ACTIONS(3550),
    [anon_sym_BSLASH] = ACTIONS(3550),
    [sym_milestoneStartTag] = ACTIONS(3550),
    [sym_milestoneEndTag] = ACTIONS(3550),
    [sym_zSpaceTag] = ACTIONS(3550),
    [anon_sym_BSLASHesb] = ACTIONS(3550),
  },
  [314] = {
    [sym_text] = STATE(315),
    [sym_add] = STATE(315),
    [sym_bk] = STATE(315),
    [sym_dc] = STATE(315),
    [sym_k] = STATE(315),
    [sym_nd] = STATE(315),
    [sym_ord] = STATE(315),
    [sym_pn] = STATE(315),
    [sym_png] = STATE(315),
    [sym_addpn] = STATE(315),
    [sym_qt] = STATE(315),
    [sym_sig] = STATE(315),
    [sym_sls] = STATE(315),
    [sym_tl] = STATE(315),
    [sym_wj] = STATE(315),
    [sym_em] = STATE(315),
    [sym_bd] = STATE(315),
    [sym_it] = STATE(315),
    [sym_bdit] = STATE(315),
    [sym_no] = STATE(315),
    [sym_sc] = STATE(315),
    [sym_sup] = STATE(315),
    [sym_ndx] = STATE(315),
    [sym_pro] = STATE(315),
    [sym_rb] = STATE(315),
    [sym_w] = STATE(315),
    [sym_wg] = STATE(315),
    [sym_wh] = STATE(315),
    [sym_wa] = STATE(315),
    [sym__characterMarker] = STATE(315),
    [sym_fig] = STATE(315),
    [sym_jmp] = STATE(315),
    [aux_sym_verseText_repeat1] = STATE(315),
    [ts_builtin_sym_end] = ACTIONS(3440),
    [aux_sym_text_token1] = ACTIONS(516),
    [anon_sym_BSLASHref] = ACTIONS(3442),
    [anon_sym_BSLASHsts] = ACTIONS(3442),
    [anon_sym_BSLASHrem] = ACTIONS(3442),
    [anon_sym_BSLASHrestore] = ACTIONS(3442),
    [anon_sym_BSLASHlit] = ACTIONS(3442),
    [anon_sym_BSLASHip] = ACTIONS(3442),
    [anon_sym_BSLASHiex] = ACTIONS(3442),
    [anon_sym_BSLASHv] = ACTIONS(3442),
    [anon_sym_BSLASHva] = ACTIONS(3442),
    [anon_sym_BSLASHvp] = ACTIONS(3442),
    [anon_sym_BSLASHc] = ACTIONS(3442),
    [anon_sym_BSLASHcl] = ACTIONS(3442),
    [anon_sym_BSLASHca] = ACTIONS(3442),
    [anon_sym_BSLASHcp] = ACTIONS(3442),
    [anon_sym_BSLASHcd] = ACTIONS(3442),
    [anon_sym_BSLASHmte] = ACTIONS(3442),
    [anon_sym_BSLASHms] = ACTIONS(3442),
    [anon_sym_BSLASHs] = ACTIONS(3442),
    [anon_sym_BSLASHr] = ACTIONS(3442),
    [anon_sym_BSLASHsp] = ACTIONS(3442),
    [anon_sym_BSLASHd] = ACTIONS(3442),
    [anon_sym_BSLASHsd] = ACTIONS(3442),
    [anon_sym_BSLASHp] = ACTIONS(3442),
    [anon_sym_BSLASHm] = ACTIONS(3442),
    [anon_sym_BSLASHpo] = ACTIONS(3442),
    [anon_sym_BSLASHpr] = ACTIONS(3442),
    [anon_sym_BSLASHcls] = ACTIONS(3442),
    [anon_sym_BSLASHpmo] = ACTIONS(3442),
    [anon_sym_BSLASHpm] = ACTIONS(3442),
    [anon_sym_BSLASHpmc] = ACTIONS(3442),
    [anon_sym_BSLASHpmr] = ACTIONS(3442),
    [anon_sym_BSLASHpi] = ACTIONS(3442),
    [anon_sym_BSLASHmi] = ACTIONS(3442),
    [anon_sym_BSLASHnb] = ACTIONS(3442),
    [anon_sym_BSLASHpc] = ACTIONS(3442),
    [anon_sym_BSLASHph] = ACTIONS(3442),
    [anon_sym_BSLASHb] = ACTIONS(3442),
    [anon_sym_BSLASHq] = ACTIONS(3442),
    [anon_sym_BSLASHqr] = ACTIONS(3442),
    [anon_sym_BSLASHqc] = ACTIONS(3442),
    [anon_sym_BSLASHqs] = ACTIONS(3442),
    [anon_sym_BSLASHqa] = ACTIONS(3442),
    [anon_sym_BSLASHqac] = ACTIONS(3442),
    [anon_sym_BSLASHqm] = ACTIONS(3442),
    [anon_sym_BSLASHqd] = ACTIONS(3442),
    [anon_sym_BSLASHlh] = ACTIONS(3442),
    [anon_sym_BSLASHli] = ACTIONS(3442),
    [anon_sym_BSLASHlim] = ACTIONS(3442),
    [anon_sym_BSLASHtr] = ACTIONS(3442),
    [anon_sym_BSLASHf] = ACTIONS(3442),
    [anon_sym_BSLASHfe] = ACTIONS(3442),
    [anon_sym_BSLASHef] = ACTIONS(3442),
    [anon_sym_BSLASHfm] = ACTIONS(3442),
    [anon_sym_BSLASHx] = ACTIONS(3442),
    [anon_sym_BSLASHxt] = ACTIONS(3442),
    [anon_sym_BSLASHrq] = ACTIONS(3442),
    [anon_sym_BSLASHadd] = ACTIONS(554),
    [anon_sym_BSLASHbk] = ACTIONS(556),
    [anon_sym_BSLASHdc] = ACTIONS(558),
    [anon_sym_BSLASHk] = ACTIONS(560),
    [anon_sym_BSLASHnd] = ACTIONS(562),
    [anon_sym_BSLASHord] = ACTIONS(564),
    [anon_sym_BSLASHpn] = ACTIONS(566),
    [anon_sym_BSLASHpng] = ACTIONS(568),
    [anon_sym_BSLASHaddpn] = ACTIONS(570),
    [anon_sym_BSLASHqt] = ACTIONS(572),
    [anon_sym_BSLASHsig] = ACTIONS(574),
    [anon_sym_BSLASHsls] = ACTIONS(576),
    [anon_sym_BSLASHtl] = ACTIONS(578),
    [anon_sym_BSLASHwj] = ACTIONS(580),
    [anon_sym_BSLASHem] = ACTIONS(582),
    [anon_sym_BSLASHbd] = ACTIONS(584),
    [anon_sym_BSLASHit] = ACTIONS(586),
    [anon_sym_BSLASHbdit] = ACTIONS(588),
    [anon_sym_BSLASHno] = ACTIONS(590),
    [anon_sym_BSLASHsc] = ACTIONS(592),
    [anon_sym_BSLASHsup] = ACTIONS(594),
    [anon_sym_BSLASHndx] = ACTIONS(596),
    [anon_sym_BSLASHpro] = ACTIONS(598),
    [anon_sym_BSLASHrb] = ACTIONS(600),
    [anon_sym_BSLASHw] = ACTIONS(602),
    [anon_sym_BSLASHwg] = ACTIONS(604),
    [anon_sym_BSLASHwh] = ACTIONS(606),
    [anon_sym_BSLASHwa] = ACTIONS(608),
    [anon_sym_BSLASHfig] = ACTIONS(610),
    [anon_sym_BSLASHjmp] = ACTIONS(612),
    [anon_sym_BSLASHpb] = ACTIONS(3442),
    [anon_sym_BSLASH] = ACTIONS(3442),
    [sym_milestoneStartTag] = ACTIONS(3442),
    [sym_milestoneEndTag] = ACTIONS(3442),
    [sym_zSpaceTag] = ACTIONS(3442),
    [anon_sym_BSLASHesb] = ACTIONS(3442),
  },
  [315] = {
    [sym_text] = STATE(315),
    [sym_add] = STATE(315),
    [sym_bk] = STATE(315),
    [sym_dc] = STATE(315),
    [sym_k] = STATE(315),
    [sym_nd] = STATE(315),
    [sym_ord] = STATE(315),
    [sym_pn] = STATE(315),
    [sym_png] = STATE(315),
    [sym_addpn] = STATE(315),
    [sym_qt] = STATE(315),
    [sym_sig] = STATE(315),
    [sym_sls] = STATE(315),
    [sym_tl] = STATE(315),
    [sym_wj] = STATE(315),
    [sym_em] = STATE(315),
    [sym_bd] = STATE(315),
    [sym_it] = STATE(315),
    [sym_bdit] = STATE(315),
    [sym_no] = STATE(315),
    [sym_sc] = STATE(315),
    [sym_sup] = STATE(315),
    [sym_ndx] = STATE(315),
    [sym_pro] = STATE(315),
    [sym_rb] = STATE(315),
    [sym_w] = STATE(315),
    [sym_wg] = STATE(315),
    [sym_wh] = STATE(315),
    [sym_wa] = STATE(315),
    [sym__characterMarker] = STATE(315),
    [sym_fig] = STATE(315),
    [sym_jmp] = STATE(315),
    [aux_sym_verseText_repeat1] = STATE(315),
    [ts_builtin_sym_end] = ACTIONS(3444),
    [aux_sym_text_token1] = ACTIONS(3639),
    [anon_sym_BSLASHref] = ACTIONS(3449),
    [anon_sym_BSLASHsts] = ACTIONS(3449),
    [anon_sym_BSLASHrem] = ACTIONS(3449),
    [anon_sym_BSLASHrestore] = ACTIONS(3449),
    [anon_sym_BSLASHlit] = ACTIONS(3449),
    [anon_sym_BSLASHip] = ACTIONS(3449),
    [anon_sym_BSLASHiex] = ACTIONS(3449),
    [anon_sym_BSLASHv] = ACTIONS(3449),
    [anon_sym_BSLASHva] = ACTIONS(3449),
    [anon_sym_BSLASHvp] = ACTIONS(3449),
    [anon_sym_BSLASHc] = ACTIONS(3449),
    [anon_sym_BSLASHcl] = ACTIONS(3449),
    [anon_sym_BSLASHca] = ACTIONS(3449),
    [anon_sym_BSLASHcp] = ACTIONS(3449),
    [anon_sym_BSLASHcd] = ACTIONS(3449),
    [anon_sym_BSLASHmte] = ACTIONS(3449),
    [anon_sym_BSLASHms] = ACTIONS(3449),
    [anon_sym_BSLASHs] = ACTIONS(3449),
    [anon_sym_BSLASHr] = ACTIONS(3449),
    [anon_sym_BSLASHsp] = ACTIONS(3449),
    [anon_sym_BSLASHd] = ACTIONS(3449),
    [anon_sym_BSLASHsd] = ACTIONS(3449),
    [anon_sym_BSLASHp] = ACTIONS(3449),
    [anon_sym_BSLASHm] = ACTIONS(3449),
    [anon_sym_BSLASHpo] = ACTIONS(3449),
    [anon_sym_BSLASHpr] = ACTIONS(3449),
    [anon_sym_BSLASHcls] = ACTIONS(3449),
    [anon_sym_BSLASHpmo] = ACTIONS(3449),
    [anon_sym_BSLASHpm] = ACTIONS(3449),
    [anon_sym_BSLASHpmc] = ACTIONS(3449),
    [anon_sym_BSLASHpmr] = ACTIONS(3449),
    [anon_sym_BSLASHpi] = ACTIONS(3449),
    [anon_sym_BSLASHmi] = ACTIONS(3449),
    [anon_sym_BSLASHnb] = ACTIONS(3449),
    [anon_sym_BSLASHpc] = ACTIONS(3449),
    [anon_sym_BSLASHph] = ACTIONS(3449),
    [anon_sym_BSLASHb] = ACTIONS(3449),
    [anon_sym_BSLASHq] = ACTIONS(3449),
    [anon_sym_BSLASHqr] = ACTIONS(3449),
    [anon_sym_BSLASHqc] = ACTIONS(3449),
    [anon_sym_BSLASHqs] = ACTIONS(3449),
    [anon_sym_BSLASHqa] = ACTIONS(3449),
    [anon_sym_BSLASHqac] = ACTIONS(3449),
    [anon_sym_BSLASHqm] = ACTIONS(3449),
    [anon_sym_BSLASHqd] = ACTIONS(3449),
    [anon_sym_BSLASHlh] = ACTIONS(3449),
    [anon_sym_BSLASHli] = ACTIONS(3449),
    [anon_sym_BSLASHlim] = ACTIONS(3449),
    [anon_sym_BSLASHtr] = ACTIONS(3449),
    [anon_sym_BSLASHf] = ACTIONS(3449),
    [anon_sym_BSLASHfe] = ACTIONS(3449),
    [anon_sym_BSLASHef] = ACTIONS(3449),
    [anon_sym_BSLASHfm] = ACTIONS(3449),
    [anon_sym_BSLASHx] = ACTIONS(3449),
    [anon_sym_BSLASHxt] = ACTIONS(3449),
    [anon_sym_BSLASHrq] = ACTIONS(3449),
    [anon_sym_BSLASHadd] = ACTIONS(3642),
    [anon_sym_BSLASHbk] = ACTIONS(3645),
    [anon_sym_BSLASHdc] = ACTIONS(3648),
    [anon_sym_BSLASHk] = ACTIONS(3651),
    [anon_sym_BSLASHnd] = ACTIONS(3654),
    [anon_sym_BSLASHord] = ACTIONS(3657),
    [anon_sym_BSLASHpn] = ACTIONS(3660),
    [anon_sym_BSLASHpng] = ACTIONS(3663),
    [anon_sym_BSLASHaddpn] = ACTIONS(3666),
    [anon_sym_BSLASHqt] = ACTIONS(3669),
    [anon_sym_BSLASHsig] = ACTIONS(3672),
    [anon_sym_BSLASHsls] = ACTIONS(3675),
    [anon_sym_BSLASHtl] = ACTIONS(3678),
    [anon_sym_BSLASHwj] = ACTIONS(3681),
    [anon_sym_BSLASHem] = ACTIONS(3684),
    [anon_sym_BSLASHbd] = ACTIONS(3687),
    [anon_sym_BSLASHit] = ACTIONS(3690),
    [anon_sym_BSLASHbdit] = ACTIONS(3693),
    [anon_sym_BSLASHno] = ACTIONS(3696),
    [anon_sym_BSLASHsc] = ACTIONS(3699),
    [anon_sym_BSLASHsup] = ACTIONS(3702),
    [anon_sym_BSLASHndx] = ACTIONS(3705),
    [anon_sym_BSLASHpro] = ACTIONS(3708),
    [anon_sym_BSLASHrb] = ACTIONS(3711),
    [anon_sym_BSLASHw] = ACTIONS(3714),
    [anon_sym_BSLASHwg] = ACTIONS(3717),
    [anon_sym_BSLASHwh] = ACTIONS(3720),
    [anon_sym_BSLASHwa] = ACTIONS(3723),
    [anon_sym_BSLASHfig] = ACTIONS(3726),
    [anon_sym_BSLASHjmp] = ACTIONS(3729),
    [anon_sym_BSLASHpb] = ACTIONS(3449),
    [anon_sym_BSLASH] = ACTIONS(3449),
    [sym_milestoneStartTag] = ACTIONS(3449),
    [sym_milestoneEndTag] = ACTIONS(3449),
    [sym_zSpaceTag] = ACTIONS(3449),
    [anon_sym_BSLASHesb] = ACTIONS(3449),
  },
  [316] = {
    [sym_text] = STATE(320),
    [sym_sr] = STATE(1388),
    [sym_r] = STATE(1445),
    [sym_footnote] = STATE(320),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(320),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(320),
    [sym_bk] = STATE(320),
    [sym_dc] = STATE(320),
    [sym_k] = STATE(320),
    [sym_nd] = STATE(320),
    [sym_ord] = STATE(320),
    [sym_pn] = STATE(320),
    [sym_png] = STATE(320),
    [sym_addpn] = STATE(320),
    [sym_qt] = STATE(320),
    [sym_sig] = STATE(320),
    [sym_sls] = STATE(320),
    [sym_tl] = STATE(320),
    [sym_wj] = STATE(320),
    [sym_em] = STATE(320),
    [sym_bd] = STATE(320),
    [sym_it] = STATE(320),
    [sym_bdit] = STATE(320),
    [sym_no] = STATE(320),
    [sym_sc] = STATE(320),
    [sym_sup] = STATE(320),
    [sym_ndx] = STATE(320),
    [sym_pro] = STATE(320),
    [sym_rb] = STATE(320),
    [sym_w] = STATE(320),
    [sym_wg] = STATE(320),
    [sym_wh] = STATE(320),
    [sym_wa] = STATE(320),
    [sym__characterMarker] = STATE(320),
    [sym_fig] = STATE(320),
    [sym_jmp] = STATE(320),
    [aux_sym_ms_repeat1] = STATE(320),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHsts] = ACTIONS(3292),
    [anon_sym_BSLASHrem] = ACTIONS(3292),
    [anon_sym_BSLASHrestore] = ACTIONS(3292),
    [anon_sym_BSLASHlit] = ACTIONS(3292),
    [anon_sym_BSLASHip] = ACTIONS(3292),
    [anon_sym_BSLASHmte] = ACTIONS(3292),
    [anon_sym_BSLASHms] = ACTIONS(3292),
    [anon_sym_BSLASHs] = ACTIONS(3292),
    [anon_sym_BSLASHsr] = ACTIONS(3164),
    [anon_sym_BSLASHr] = ACTIONS(3166),
    [anon_sym_BSLASHsp] = ACTIONS(3292),
    [anon_sym_BSLASHd] = ACTIONS(3292),
    [anon_sym_BSLASHsd] = ACTIONS(3292),
    [anon_sym_BSLASHp] = ACTIONS(3292),
    [anon_sym_BSLASHm] = ACTIONS(3292),
    [anon_sym_BSLASHpo] = ACTIONS(3292),
    [anon_sym_BSLASHpr] = ACTIONS(3292),
    [anon_sym_BSLASHcls] = ACTIONS(3292),
    [anon_sym_BSLASHpmo] = ACTIONS(3292),
    [anon_sym_BSLASHpm] = ACTIONS(3292),
    [anon_sym_BSLASHpmc] = ACTIONS(3292),
    [anon_sym_BSLASHpmr] = ACTIONS(3292),
    [anon_sym_BSLASHpi] = ACTIONS(3292),
    [anon_sym_BSLASHmi] = ACTIONS(3292),
    [anon_sym_BSLASHnb] = ACTIONS(3292),
    [anon_sym_BSLASHpc] = ACTIONS(3292),
    [anon_sym_BSLASHph] = ACTIONS(3292),
    [anon_sym_BSLASHb] = ACTIONS(3292),
    [anon_sym_BSLASHq] = ACTIONS(3292),
    [anon_sym_BSLASHqr] = ACTIONS(3292),
    [anon_sym_BSLASHqc] = ACTIONS(3292),
    [anon_sym_BSLASHqa] = ACTIONS(3292),
    [anon_sym_BSLASHqm] = ACTIONS(3292),
    [anon_sym_BSLASHqd] = ACTIONS(3292),
    [anon_sym_BSLASHlh] = ACTIONS(3292),
    [anon_sym_BSLASHli] = ACTIONS(3292),
    [anon_sym_BSLASHlim] = ACTIONS(3292),
    [anon_sym_BSLASHtr] = ACTIONS(3292),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(3292),
    [anon_sym_BSLASH] = ACTIONS(3292),
    [sym_milestoneStartTag] = ACTIONS(3292),
    [sym_milestoneEndTag] = ACTIONS(3292),
    [sym_zSpaceTag] = ACTIONS(3292),
    [anon_sym_BSLASHesbe] = ACTIONS(3292),
    [anon_sym_BSLASHcat] = ACTIONS(3292),
  },
  [317] = {
    [sym_text] = STATE(316),
    [sym_sr] = STATE(1406),
    [sym_r] = STATE(1422),
    [sym_footnote] = STATE(316),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(316),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [aux_sym_ms_repeat1] = STATE(316),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHsts] = ACTIONS(3162),
    [anon_sym_BSLASHrem] = ACTIONS(3162),
    [anon_sym_BSLASHrestore] = ACTIONS(3162),
    [anon_sym_BSLASHlit] = ACTIONS(3162),
    [anon_sym_BSLASHip] = ACTIONS(3162),
    [anon_sym_BSLASHmte] = ACTIONS(3162),
    [anon_sym_BSLASHms] = ACTIONS(3162),
    [anon_sym_BSLASHs] = ACTIONS(3162),
    [anon_sym_BSLASHsr] = ACTIONS(3164),
    [anon_sym_BSLASHr] = ACTIONS(3166),
    [anon_sym_BSLASHsp] = ACTIONS(3162),
    [anon_sym_BSLASHd] = ACTIONS(3162),
    [anon_sym_BSLASHsd] = ACTIONS(3162),
    [anon_sym_BSLASHp] = ACTIONS(3162),
    [anon_sym_BSLASHm] = ACTIONS(3162),
    [anon_sym_BSLASHpo] = ACTIONS(3162),
    [anon_sym_BSLASHpr] = ACTIONS(3162),
    [anon_sym_BSLASHcls] = ACTIONS(3162),
    [anon_sym_BSLASHpmo] = ACTIONS(3162),
    [anon_sym_BSLASHpm] = ACTIONS(3162),
    [anon_sym_BSLASHpmc] = ACTIONS(3162),
    [anon_sym_BSLASHpmr] = ACTIONS(3162),
    [anon_sym_BSLASHpi] = ACTIONS(3162),
    [anon_sym_BSLASHmi] = ACTIONS(3162),
    [anon_sym_BSLASHnb] = ACTIONS(3162),
    [anon_sym_BSLASHpc] = ACTIONS(3162),
    [anon_sym_BSLASHph] = ACTIONS(3162),
    [anon_sym_BSLASHb] = ACTIONS(3162),
    [anon_sym_BSLASHq] = ACTIONS(3162),
    [anon_sym_BSLASHqr] = ACTIONS(3162),
    [anon_sym_BSLASHqc] = ACTIONS(3162),
    [anon_sym_BSLASHqa] = ACTIONS(3162),
    [anon_sym_BSLASHqm] = ACTIONS(3162),
    [anon_sym_BSLASHqd] = ACTIONS(3162),
    [anon_sym_BSLASHlh] = ACTIONS(3162),
    [anon_sym_BSLASHli] = ACTIONS(3162),
    [anon_sym_BSLASHlim] = ACTIONS(3162),
    [anon_sym_BSLASHtr] = ACTIONS(3162),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(3162),
    [anon_sym_BSLASH] = ACTIONS(3162),
    [sym_milestoneStartTag] = ACTIONS(3162),
    [sym_milestoneEndTag] = ACTIONS(3162),
    [sym_zSpaceTag] = ACTIONS(3162),
    [anon_sym_BSLASHesbe] = ACTIONS(3162),
    [anon_sym_BSLASHcat] = ACTIONS(3162),
  },
  [318] = {
    [sym_text] = STATE(319),
    [sym_add] = STATE(319),
    [sym_bk] = STATE(319),
    [sym_dc] = STATE(319),
    [sym_k] = STATE(319),
    [sym_nd] = STATE(319),
    [sym_ord] = STATE(319),
    [sym_pn] = STATE(319),
    [sym_png] = STATE(319),
    [sym_addpn] = STATE(319),
    [sym_qt] = STATE(319),
    [sym_sig] = STATE(319),
    [sym_sls] = STATE(319),
    [sym_tl] = STATE(319),
    [sym_wj] = STATE(319),
    [sym_em] = STATE(319),
    [sym_bd] = STATE(319),
    [sym_it] = STATE(319),
    [sym_bdit] = STATE(319),
    [sym_no] = STATE(319),
    [sym_sc] = STATE(319),
    [sym_sup] = STATE(319),
    [sym_ndx] = STATE(319),
    [sym_pro] = STATE(319),
    [sym_rb] = STATE(319),
    [sym_w] = STATE(319),
    [sym_wg] = STATE(319),
    [sym_wh] = STATE(319),
    [sym_wa] = STATE(319),
    [sym__characterMarker] = STATE(319),
    [sym_jmp] = STATE(319),
    [aux_sym_rem_repeat1] = STATE(319),
    [ts_builtin_sym_end] = ACTIONS(3541),
    [aux_sym_text_token1] = ACTIONS(516),
    [anon_sym_BSLASHref] = ACTIONS(3543),
    [anon_sym_BSLASHsts] = ACTIONS(3543),
    [anon_sym_BSLASHrem] = ACTIONS(3543),
    [anon_sym_BSLASHrestore] = ACTIONS(3543),
    [anon_sym_BSLASHlit] = ACTIONS(3543),
    [anon_sym_BSLASHip] = ACTIONS(3543),
    [anon_sym_BSLASHiex] = ACTIONS(3543),
    [anon_sym_BSLASHv] = ACTIONS(3543),
    [anon_sym_BSLASHva] = ACTIONS(3543),
    [anon_sym_BSLASHvp] = ACTIONS(3543),
    [anon_sym_BSLASHc] = ACTIONS(3543),
    [anon_sym_BSLASHcl] = ACTIONS(3543),
    [anon_sym_BSLASHca] = ACTIONS(3543),
    [anon_sym_BSLASHcp] = ACTIONS(3543),
    [anon_sym_BSLASHcd] = ACTIONS(3543),
    [anon_sym_BSLASHmte] = ACTIONS(3543),
    [anon_sym_BSLASHms] = ACTIONS(3543),
    [anon_sym_BSLASHs] = ACTIONS(3543),
    [anon_sym_BSLASHr] = ACTIONS(3543),
    [anon_sym_BSLASHsp] = ACTIONS(3543),
    [anon_sym_BSLASHd] = ACTIONS(3543),
    [anon_sym_BSLASHsd] = ACTIONS(3543),
    [anon_sym_BSLASHp] = ACTIONS(3543),
    [anon_sym_BSLASHm] = ACTIONS(3543),
    [anon_sym_BSLASHpo] = ACTIONS(3543),
    [anon_sym_BSLASHpr] = ACTIONS(3543),
    [anon_sym_BSLASHcls] = ACTIONS(3543),
    [anon_sym_BSLASHpmo] = ACTIONS(3543),
    [anon_sym_BSLASHpm] = ACTIONS(3543),
    [anon_sym_BSLASHpmc] = ACTIONS(3543),
    [anon_sym_BSLASHpmr] = ACTIONS(3543),
    [anon_sym_BSLASHpi] = ACTIONS(3543),
    [anon_sym_BSLASHmi] = ACTIONS(3543),
    [anon_sym_BSLASHnb] = ACTIONS(3543),
    [anon_sym_BSLASHpc] = ACTIONS(3543),
    [anon_sym_BSLASHph] = ACTIONS(3543),
    [anon_sym_BSLASHb] = ACTIONS(3543),
    [anon_sym_BSLASHq] = ACTIONS(3543),
    [anon_sym_BSLASHqr] = ACTIONS(3543),
    [anon_sym_BSLASHqc] = ACTIONS(3543),
    [anon_sym_BSLASHqs] = ACTIONS(3543),
    [anon_sym_BSLASHqa] = ACTIONS(3543),
    [anon_sym_BSLASHqac] = ACTIONS(3543),
    [anon_sym_BSLASHqm] = ACTIONS(3543),
    [anon_sym_BSLASHqd] = ACTIONS(3543),
    [anon_sym_BSLASHlh] = ACTIONS(3543),
    [anon_sym_BSLASHli] = ACTIONS(3543),
    [anon_sym_BSLASHlim] = ACTIONS(3543),
    [anon_sym_BSLASHtr] = ACTIONS(3543),
    [anon_sym_BSLASHf] = ACTIONS(3543),
    [anon_sym_BSLASHfe] = ACTIONS(3543),
    [anon_sym_BSLASHef] = ACTIONS(3543),
    [anon_sym_BSLASHfm] = ACTIONS(3543),
    [anon_sym_BSLASHx] = ACTIONS(3543),
    [anon_sym_BSLASHxt] = ACTIONS(3543),
    [anon_sym_BSLASHrq] = ACTIONS(3543),
    [anon_sym_BSLASHadd] = ACTIONS(554),
    [anon_sym_BSLASHbk] = ACTIONS(556),
    [anon_sym_BSLASHdc] = ACTIONS(558),
    [anon_sym_BSLASHk] = ACTIONS(560),
    [anon_sym_BSLASHnd] = ACTIONS(562),
    [anon_sym_BSLASHord] = ACTIONS(564),
    [anon_sym_BSLASHpn] = ACTIONS(566),
    [anon_sym_BSLASHpng] = ACTIONS(568),
    [anon_sym_BSLASHaddpn] = ACTIONS(570),
    [anon_sym_BSLASHqt] = ACTIONS(572),
    [anon_sym_BSLASHsig] = ACTIONS(574),
    [anon_sym_BSLASHsls] = ACTIONS(576),
    [anon_sym_BSLASHtl] = ACTIONS(578),
    [anon_sym_BSLASHwj] = ACTIONS(580),
    [anon_sym_BSLASHem] = ACTIONS(582),
    [anon_sym_BSLASHbd] = ACTIONS(584),
    [anon_sym_BSLASHit] = ACTIONS(586),
    [anon_sym_BSLASHbdit] = ACTIONS(588),
    [anon_sym_BSLASHno] = ACTIONS(590),
    [anon_sym_BSLASHsc] = ACTIONS(592),
    [anon_sym_BSLASHsup] = ACTIONS(594),
    [anon_sym_BSLASHndx] = ACTIONS(596),
    [anon_sym_BSLASHpro] = ACTIONS(598),
    [anon_sym_BSLASHrb] = ACTIONS(600),
    [anon_sym_BSLASHw] = ACTIONS(602),
    [anon_sym_BSLASHwg] = ACTIONS(604),
    [anon_sym_BSLASHwh] = ACTIONS(606),
    [anon_sym_BSLASHwa] = ACTIONS(608),
    [anon_sym_BSLASHfig] = ACTIONS(3543),
    [anon_sym_BSLASHjmp] = ACTIONS(612),
    [anon_sym_BSLASHpb] = ACTIONS(3543),
    [anon_sym_BSLASH] = ACTIONS(3543),
    [sym_milestoneStartTag] = ACTIONS(3543),
    [sym_milestoneEndTag] = ACTIONS(3543),
    [sym_zSpaceTag] = ACTIONS(3543),
    [anon_sym_BSLASHesb] = ACTIONS(3543),
  },
  [319] = {
    [sym_text] = STATE(319),
    [sym_add] = STATE(319),
    [sym_bk] = STATE(319),
    [sym_dc] = STATE(319),
    [sym_k] = STATE(319),
    [sym_nd] = STATE(319),
    [sym_ord] = STATE(319),
    [sym_pn] = STATE(319),
    [sym_png] = STATE(319),
    [sym_addpn] = STATE(319),
    [sym_qt] = STATE(319),
    [sym_sig] = STATE(319),
    [sym_sls] = STATE(319),
    [sym_tl] = STATE(319),
    [sym_wj] = STATE(319),
    [sym_em] = STATE(319),
    [sym_bd] = STATE(319),
    [sym_it] = STATE(319),
    [sym_bdit] = STATE(319),
    [sym_no] = STATE(319),
    [sym_sc] = STATE(319),
    [sym_sup] = STATE(319),
    [sym_ndx] = STATE(319),
    [sym_pro] = STATE(319),
    [sym_rb] = STATE(319),
    [sym_w] = STATE(319),
    [sym_wg] = STATE(319),
    [sym_wh] = STATE(319),
    [sym_wa] = STATE(319),
    [sym__characterMarker] = STATE(319),
    [sym_jmp] = STATE(319),
    [aux_sym_rem_repeat1] = STATE(319),
    [ts_builtin_sym_end] = ACTIONS(3545),
    [aux_sym_text_token1] = ACTIONS(3732),
    [anon_sym_BSLASHref] = ACTIONS(3550),
    [anon_sym_BSLASHsts] = ACTIONS(3550),
    [anon_sym_BSLASHrem] = ACTIONS(3550),
    [anon_sym_BSLASHrestore] = ACTIONS(3550),
    [anon_sym_BSLASHlit] = ACTIONS(3550),
    [anon_sym_BSLASHip] = ACTIONS(3550),
    [anon_sym_BSLASHiex] = ACTIONS(3550),
    [anon_sym_BSLASHv] = ACTIONS(3550),
    [anon_sym_BSLASHva] = ACTIONS(3550),
    [anon_sym_BSLASHvp] = ACTIONS(3550),
    [anon_sym_BSLASHc] = ACTIONS(3550),
    [anon_sym_BSLASHcl] = ACTIONS(3550),
    [anon_sym_BSLASHca] = ACTIONS(3550),
    [anon_sym_BSLASHcp] = ACTIONS(3550),
    [anon_sym_BSLASHcd] = ACTIONS(3550),
    [anon_sym_BSLASHmte] = ACTIONS(3550),
    [anon_sym_BSLASHms] = ACTIONS(3550),
    [anon_sym_BSLASHs] = ACTIONS(3550),
    [anon_sym_BSLASHr] = ACTIONS(3550),
    [anon_sym_BSLASHsp] = ACTIONS(3550),
    [anon_sym_BSLASHd] = ACTIONS(3550),
    [anon_sym_BSLASHsd] = ACTIONS(3550),
    [anon_sym_BSLASHp] = ACTIONS(3550),
    [anon_sym_BSLASHm] = ACTIONS(3550),
    [anon_sym_BSLASHpo] = ACTIONS(3550),
    [anon_sym_BSLASHpr] = ACTIONS(3550),
    [anon_sym_BSLASHcls] = ACTIONS(3550),
    [anon_sym_BSLASHpmo] = ACTIONS(3550),
    [anon_sym_BSLASHpm] = ACTIONS(3550),
    [anon_sym_BSLASHpmc] = ACTIONS(3550),
    [anon_sym_BSLASHpmr] = ACTIONS(3550),
    [anon_sym_BSLASHpi] = ACTIONS(3550),
    [anon_sym_BSLASHmi] = ACTIONS(3550),
    [anon_sym_BSLASHnb] = ACTIONS(3550),
    [anon_sym_BSLASHpc] = ACTIONS(3550),
    [anon_sym_BSLASHph] = ACTIONS(3550),
    [anon_sym_BSLASHb] = ACTIONS(3550),
    [anon_sym_BSLASHq] = ACTIONS(3550),
    [anon_sym_BSLASHqr] = ACTIONS(3550),
    [anon_sym_BSLASHqc] = ACTIONS(3550),
    [anon_sym_BSLASHqs] = ACTIONS(3550),
    [anon_sym_BSLASHqa] = ACTIONS(3550),
    [anon_sym_BSLASHqac] = ACTIONS(3550),
    [anon_sym_BSLASHqm] = ACTIONS(3550),
    [anon_sym_BSLASHqd] = ACTIONS(3550),
    [anon_sym_BSLASHlh] = ACTIONS(3550),
    [anon_sym_BSLASHli] = ACTIONS(3550),
    [anon_sym_BSLASHlim] = ACTIONS(3550),
    [anon_sym_BSLASHtr] = ACTIONS(3550),
    [anon_sym_BSLASHf] = ACTIONS(3550),
    [anon_sym_BSLASHfe] = ACTIONS(3550),
    [anon_sym_BSLASHef] = ACTIONS(3550),
    [anon_sym_BSLASHfm] = ACTIONS(3550),
    [anon_sym_BSLASHx] = ACTIONS(3550),
    [anon_sym_BSLASHxt] = ACTIONS(3550),
    [anon_sym_BSLASHrq] = ACTIONS(3550),
    [anon_sym_BSLASHadd] = ACTIONS(3735),
    [anon_sym_BSLASHbk] = ACTIONS(3738),
    [anon_sym_BSLASHdc] = ACTIONS(3741),
    [anon_sym_BSLASHk] = ACTIONS(3744),
    [anon_sym_BSLASHnd] = ACTIONS(3747),
    [anon_sym_BSLASHord] = ACTIONS(3750),
    [anon_sym_BSLASHpn] = ACTIONS(3753),
    [anon_sym_BSLASHpng] = ACTIONS(3756),
    [anon_sym_BSLASHaddpn] = ACTIONS(3759),
    [anon_sym_BSLASHqt] = ACTIONS(3762),
    [anon_sym_BSLASHsig] = ACTIONS(3765),
    [anon_sym_BSLASHsls] = ACTIONS(3768),
    [anon_sym_BSLASHtl] = ACTIONS(3771),
    [anon_sym_BSLASHwj] = ACTIONS(3774),
    [anon_sym_BSLASHem] = ACTIONS(3777),
    [anon_sym_BSLASHbd] = ACTIONS(3780),
    [anon_sym_BSLASHit] = ACTIONS(3783),
    [anon_sym_BSLASHbdit] = ACTIONS(3786),
    [anon_sym_BSLASHno] = ACTIONS(3789),
    [anon_sym_BSLASHsc] = ACTIONS(3792),
    [anon_sym_BSLASHsup] = ACTIONS(3795),
    [anon_sym_BSLASHndx] = ACTIONS(3798),
    [anon_sym_BSLASHpro] = ACTIONS(3801),
    [anon_sym_BSLASHrb] = ACTIONS(3804),
    [anon_sym_BSLASHw] = ACTIONS(3807),
    [anon_sym_BSLASHwg] = ACTIONS(3810),
    [anon_sym_BSLASHwh] = ACTIONS(3813),
    [anon_sym_BSLASHwa] = ACTIONS(3816),
    [anon_sym_BSLASHfig] = ACTIONS(3550),
    [anon_sym_BSLASHjmp] = ACTIONS(3819),
    [anon_sym_BSLASHpb] = ACTIONS(3550),
    [anon_sym_BSLASH] = ACTIONS(3550),
    [sym_milestoneStartTag] = ACTIONS(3550),
    [sym_milestoneEndTag] = ACTIONS(3550),
    [sym_zSpaceTag] = ACTIONS(3550),
    [anon_sym_BSLASHesb] = ACTIONS(3550),
  },
  [320] = {
    [sym_text] = STATE(320),
    [sym_footnote] = STATE(320),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(320),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(320),
    [sym_bk] = STATE(320),
    [sym_dc] = STATE(320),
    [sym_k] = STATE(320),
    [sym_nd] = STATE(320),
    [sym_ord] = STATE(320),
    [sym_pn] = STATE(320),
    [sym_png] = STATE(320),
    [sym_addpn] = STATE(320),
    [sym_qt] = STATE(320),
    [sym_sig] = STATE(320),
    [sym_sls] = STATE(320),
    [sym_tl] = STATE(320),
    [sym_wj] = STATE(320),
    [sym_em] = STATE(320),
    [sym_bd] = STATE(320),
    [sym_it] = STATE(320),
    [sym_bdit] = STATE(320),
    [sym_no] = STATE(320),
    [sym_sc] = STATE(320),
    [sym_sup] = STATE(320),
    [sym_ndx] = STATE(320),
    [sym_pro] = STATE(320),
    [sym_rb] = STATE(320),
    [sym_w] = STATE(320),
    [sym_wg] = STATE(320),
    [sym_wh] = STATE(320),
    [sym_wa] = STATE(320),
    [sym__characterMarker] = STATE(320),
    [sym_fig] = STATE(320),
    [sym_jmp] = STATE(320),
    [aux_sym_ms_repeat1] = STATE(320),
    [aux_sym_text_token1] = ACTIONS(3822),
    [anon_sym_BSLASHsts] = ACTIONS(3323),
    [anon_sym_BSLASHrem] = ACTIONS(3323),
    [anon_sym_BSLASHrestore] = ACTIONS(3323),
    [anon_sym_BSLASHlit] = ACTIONS(3323),
    [anon_sym_BSLASHip] = ACTIONS(3323),
    [anon_sym_BSLASHmte] = ACTIONS(3323),
    [anon_sym_BSLASHms] = ACTIONS(3323),
    [anon_sym_BSLASHmr] = ACTIONS(3323),
    [anon_sym_BSLASHs] = ACTIONS(3323),
    [anon_sym_BSLASHsr] = ACTIONS(3323),
    [anon_sym_BSLASHr] = ACTIONS(3323),
    [anon_sym_BSLASHsp] = ACTIONS(3323),
    [anon_sym_BSLASHd] = ACTIONS(3323),
    [anon_sym_BSLASHsd] = ACTIONS(3323),
    [anon_sym_BSLASHp] = ACTIONS(3323),
    [anon_sym_BSLASHm] = ACTIONS(3323),
    [anon_sym_BSLASHpo] = ACTIONS(3323),
    [anon_sym_BSLASHpr] = ACTIONS(3323),
    [anon_sym_BSLASHcls] = ACTIONS(3323),
    [anon_sym_BSLASHpmo] = ACTIONS(3323),
    [anon_sym_BSLASHpm] = ACTIONS(3323),
    [anon_sym_BSLASHpmc] = ACTIONS(3323),
    [anon_sym_BSLASHpmr] = ACTIONS(3323),
    [anon_sym_BSLASHpi] = ACTIONS(3323),
    [anon_sym_BSLASHmi] = ACTIONS(3323),
    [anon_sym_BSLASHnb] = ACTIONS(3323),
    [anon_sym_BSLASHpc] = ACTIONS(3323),
    [anon_sym_BSLASHph] = ACTIONS(3323),
    [anon_sym_BSLASHb] = ACTIONS(3323),
    [anon_sym_BSLASHq] = ACTIONS(3323),
    [anon_sym_BSLASHqr] = ACTIONS(3323),
    [anon_sym_BSLASHqc] = ACTIONS(3323),
    [anon_sym_BSLASHqa] = ACTIONS(3323),
    [anon_sym_BSLASHqm] = ACTIONS(3323),
    [anon_sym_BSLASHqd] = ACTIONS(3323),
    [anon_sym_BSLASHlh] = ACTIONS(3323),
    [anon_sym_BSLASHli] = ACTIONS(3323),
    [anon_sym_BSLASHlim] = ACTIONS(3323),
    [anon_sym_BSLASHtr] = ACTIONS(3323),
    [anon_sym_BSLASHf] = ACTIONS(3825),
    [anon_sym_BSLASHfe] = ACTIONS(3828),
    [anon_sym_BSLASHef] = ACTIONS(3831),
    [anon_sym_BSLASHfm] = ACTIONS(3834),
    [anon_sym_BSLASHx] = ACTIONS(3837),
    [anon_sym_BSLASHxt] = ACTIONS(3840),
    [anon_sym_BSLASHrq] = ACTIONS(3843),
    [anon_sym_BSLASHadd] = ACTIONS(3846),
    [anon_sym_BSLASHbk] = ACTIONS(3849),
    [anon_sym_BSLASHdc] = ACTIONS(3852),
    [anon_sym_BSLASHk] = ACTIONS(3855),
    [anon_sym_BSLASHnd] = ACTIONS(3858),
    [anon_sym_BSLASHord] = ACTIONS(3861),
    [anon_sym_BSLASHpn] = ACTIONS(3864),
    [anon_sym_BSLASHpng] = ACTIONS(3867),
    [anon_sym_BSLASHaddpn] = ACTIONS(3870),
    [anon_sym_BSLASHqt] = ACTIONS(3873),
    [anon_sym_BSLASHsig] = ACTIONS(3876),
    [anon_sym_BSLASHsls] = ACTIONS(3879),
    [anon_sym_BSLASHtl] = ACTIONS(3882),
    [anon_sym_BSLASHwj] = ACTIONS(3885),
    [anon_sym_BSLASHem] = ACTIONS(3888),
    [anon_sym_BSLASHbd] = ACTIONS(3891),
    [anon_sym_BSLASHit] = ACTIONS(3894),
    [anon_sym_BSLASHbdit] = ACTIONS(3897),
    [anon_sym_BSLASHno] = ACTIONS(3900),
    [anon_sym_BSLASHsc] = ACTIONS(3903),
    [anon_sym_BSLASHsup] = ACTIONS(3906),
    [anon_sym_BSLASHndx] = ACTIONS(3909),
    [anon_sym_BSLASHpro] = ACTIONS(3912),
    [anon_sym_BSLASHrb] = ACTIONS(3915),
    [anon_sym_BSLASHw] = ACTIONS(3918),
    [anon_sym_BSLASHwg] = ACTIONS(3921),
    [anon_sym_BSLASHwh] = ACTIONS(3924),
    [anon_sym_BSLASHwa] = ACTIONS(3927),
    [anon_sym_BSLASHfig] = ACTIONS(3930),
    [anon_sym_BSLASHjmp] = ACTIONS(3933),
    [anon_sym_BSLASHpb] = ACTIONS(3323),
    [anon_sym_BSLASH] = ACTIONS(3323),
    [sym_milestoneStartTag] = ACTIONS(3323),
    [sym_milestoneEndTag] = ACTIONS(3323),
    [sym_zSpaceTag] = ACTIONS(3323),
    [anon_sym_BSLASHesbe] = ACTIONS(3323),
    [anon_sym_BSLASHcat] = ACTIONS(3323),
  },
  [321] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(573),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(648),
    [sym__attributesInCrossref] = STATE(648),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHf_STAR] = ACTIONS(3936),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(3936),
    [anon_sym_BSLASHef_STAR] = ACTIONS(3936),
    [anon_sym_BSLASHfr] = ACTIONS(3936),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(3936),
    [anon_sym_BSLASHfq] = ACTIONS(3936),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(3936),
    [anon_sym_BSLASHfqa] = ACTIONS(3936),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(3936),
    [anon_sym_BSLASHfk] = ACTIONS(3936),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(3936),
    [anon_sym_BSLASHfl] = ACTIONS(3936),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(3936),
    [anon_sym_BSLASHfw] = ACTIONS(3936),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(3936),
    [anon_sym_BSLASHfp] = ACTIONS(3936),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(3936),
    [anon_sym_BSLASHft] = ACTIONS(3936),
    [anon_sym_BSLASHft_STAR] = ACTIONS(3936),
    [anon_sym_BSLASHfdc] = ACTIONS(3936),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(3936),
    [anon_sym_BSLASHfv] = ACTIONS(3936),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3936),
    [anon_sym_BSLASHxt] = ACTIONS(3936),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(3936),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(3938),
    [anon_sym_BSLASHadd] = ACTIONS(3936),
    [anon_sym_BSLASHbk] = ACTIONS(3936),
    [anon_sym_BSLASHdc] = ACTIONS(3936),
    [anon_sym_BSLASHk] = ACTIONS(3936),
    [anon_sym_BSLASHnd] = ACTIONS(3936),
    [anon_sym_BSLASHord] = ACTIONS(3936),
    [anon_sym_BSLASHpn] = ACTIONS(3936),
    [anon_sym_BSLASHpng] = ACTIONS(3936),
    [anon_sym_BSLASHaddpn] = ACTIONS(3936),
    [anon_sym_BSLASHqt] = ACTIONS(3936),
    [anon_sym_BSLASHsig] = ACTIONS(3936),
    [anon_sym_BSLASHsls] = ACTIONS(3936),
    [anon_sym_BSLASHtl] = ACTIONS(3936),
    [anon_sym_BSLASHwj] = ACTIONS(3936),
    [anon_sym_BSLASHem] = ACTIONS(3936),
    [anon_sym_BSLASHbd] = ACTIONS(3936),
    [anon_sym_BSLASHit] = ACTIONS(3936),
    [anon_sym_BSLASHbdit] = ACTIONS(3936),
    [anon_sym_BSLASHno] = ACTIONS(3936),
    [anon_sym_BSLASHsc] = ACTIONS(3936),
    [anon_sym_BSLASHsup] = ACTIONS(3936),
    [anon_sym_BSLASHndx] = ACTIONS(3936),
    [anon_sym_BSLASHpro] = ACTIONS(3936),
    [anon_sym_BSLASHrb] = ACTIONS(3936),
    [anon_sym_BSLASHw] = ACTIONS(3936),
    [anon_sym_BSLASHwg] = ACTIONS(3936),
    [anon_sym_BSLASHwh] = ACTIONS(3936),
    [anon_sym_BSLASHwa] = ACTIONS(3936),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(3936),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(3936),
    [anon_sym_PIPE] = ACTIONS(3940),
  },
  [322] = {
    [sym_text] = STATE(320),
    [sym_mr] = STATE(1460),
    [sym_footnote] = STATE(320),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(320),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(320),
    [sym_bk] = STATE(320),
    [sym_dc] = STATE(320),
    [sym_k] = STATE(320),
    [sym_nd] = STATE(320),
    [sym_ord] = STATE(320),
    [sym_pn] = STATE(320),
    [sym_png] = STATE(320),
    [sym_addpn] = STATE(320),
    [sym_qt] = STATE(320),
    [sym_sig] = STATE(320),
    [sym_sls] = STATE(320),
    [sym_tl] = STATE(320),
    [sym_wj] = STATE(320),
    [sym_em] = STATE(320),
    [sym_bd] = STATE(320),
    [sym_it] = STATE(320),
    [sym_bdit] = STATE(320),
    [sym_no] = STATE(320),
    [sym_sc] = STATE(320),
    [sym_sup] = STATE(320),
    [sym_ndx] = STATE(320),
    [sym_pro] = STATE(320),
    [sym_rb] = STATE(320),
    [sym_w] = STATE(320),
    [sym_wg] = STATE(320),
    [sym_wh] = STATE(320),
    [sym_wa] = STATE(320),
    [sym__characterMarker] = STATE(320),
    [sym_fig] = STATE(320),
    [sym_jmp] = STATE(320),
    [aux_sym_ms_repeat1] = STATE(320),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHsts] = ACTIONS(3314),
    [anon_sym_BSLASHrem] = ACTIONS(3314),
    [anon_sym_BSLASHrestore] = ACTIONS(3314),
    [anon_sym_BSLASHlit] = ACTIONS(3314),
    [anon_sym_BSLASHip] = ACTIONS(3314),
    [anon_sym_BSLASHmte] = ACTIONS(3314),
    [anon_sym_BSLASHms] = ACTIONS(3314),
    [anon_sym_BSLASHmr] = ACTIONS(3316),
    [anon_sym_BSLASHs] = ACTIONS(3314),
    [anon_sym_BSLASHr] = ACTIONS(3314),
    [anon_sym_BSLASHsp] = ACTIONS(3314),
    [anon_sym_BSLASHd] = ACTIONS(3314),
    [anon_sym_BSLASHsd] = ACTIONS(3314),
    [anon_sym_BSLASHp] = ACTIONS(3314),
    [anon_sym_BSLASHm] = ACTIONS(3314),
    [anon_sym_BSLASHpo] = ACTIONS(3314),
    [anon_sym_BSLASHpr] = ACTIONS(3314),
    [anon_sym_BSLASHcls] = ACTIONS(3314),
    [anon_sym_BSLASHpmo] = ACTIONS(3314),
    [anon_sym_BSLASHpm] = ACTIONS(3314),
    [anon_sym_BSLASHpmc] = ACTIONS(3314),
    [anon_sym_BSLASHpmr] = ACTIONS(3314),
    [anon_sym_BSLASHpi] = ACTIONS(3314),
    [anon_sym_BSLASHmi] = ACTIONS(3314),
    [anon_sym_BSLASHnb] = ACTIONS(3314),
    [anon_sym_BSLASHpc] = ACTIONS(3314),
    [anon_sym_BSLASHph] = ACTIONS(3314),
    [anon_sym_BSLASHb] = ACTIONS(3314),
    [anon_sym_BSLASHq] = ACTIONS(3314),
    [anon_sym_BSLASHqr] = ACTIONS(3314),
    [anon_sym_BSLASHqc] = ACTIONS(3314),
    [anon_sym_BSLASHqa] = ACTIONS(3314),
    [anon_sym_BSLASHqm] = ACTIONS(3314),
    [anon_sym_BSLASHqd] = ACTIONS(3314),
    [anon_sym_BSLASHlh] = ACTIONS(3314),
    [anon_sym_BSLASHli] = ACTIONS(3314),
    [anon_sym_BSLASHlim] = ACTIONS(3314),
    [anon_sym_BSLASHtr] = ACTIONS(3314),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(3314),
    [anon_sym_BSLASH] = ACTIONS(3314),
    [sym_milestoneStartTag] = ACTIONS(3314),
    [sym_milestoneEndTag] = ACTIONS(3314),
    [sym_zSpaceTag] = ACTIONS(3314),
    [anon_sym_BSLASHesbe] = ACTIONS(3314),
    [anon_sym_BSLASHcat] = ACTIONS(3314),
  },
  [323] = {
    [sym_text] = STATE(323),
    [sym_add] = STATE(323),
    [sym_bk] = STATE(323),
    [sym_dc] = STATE(323),
    [sym_k] = STATE(323),
    [sym_nd] = STATE(323),
    [sym_ord] = STATE(323),
    [sym_pn] = STATE(323),
    [sym_png] = STATE(323),
    [sym_addpn] = STATE(323),
    [sym_qt] = STATE(323),
    [sym_sig] = STATE(323),
    [sym_sls] = STATE(323),
    [sym_tl] = STATE(323),
    [sym_wj] = STATE(323),
    [sym_em] = STATE(323),
    [sym_bd] = STATE(323),
    [sym_it] = STATE(323),
    [sym_bdit] = STATE(323),
    [sym_no] = STATE(323),
    [sym_sc] = STATE(323),
    [sym_sup] = STATE(323),
    [sym_ndx] = STATE(323),
    [sym_pro] = STATE(323),
    [sym_rb] = STATE(323),
    [sym_w] = STATE(323),
    [sym_wg] = STATE(323),
    [sym_wh] = STATE(323),
    [sym_wa] = STATE(323),
    [sym__characterMarker] = STATE(323),
    [sym_fig] = STATE(323),
    [sym_jmp] = STATE(323),
    [aux_sym_verseText_repeat1] = STATE(323),
    [aux_sym_text_token1] = ACTIONS(3942),
    [anon_sym_BSLASHref] = ACTIONS(3449),
    [anon_sym_BSLASHsts] = ACTIONS(3449),
    [anon_sym_BSLASHrem] = ACTIONS(3449),
    [anon_sym_BSLASHrestore] = ACTIONS(3449),
    [anon_sym_BSLASHlit] = ACTIONS(3449),
    [anon_sym_BSLASHip] = ACTIONS(3449),
    [anon_sym_BSLASHv] = ACTIONS(3449),
    [anon_sym_BSLASHva] = ACTIONS(3449),
    [anon_sym_BSLASHvp] = ACTIONS(3449),
    [anon_sym_BSLASHmte] = ACTIONS(3449),
    [anon_sym_BSLASHms] = ACTIONS(3449),
    [anon_sym_BSLASHs] = ACTIONS(3449),
    [anon_sym_BSLASHr] = ACTIONS(3449),
    [anon_sym_BSLASHsp] = ACTIONS(3449),
    [anon_sym_BSLASHd] = ACTIONS(3449),
    [anon_sym_BSLASHsd] = ACTIONS(3449),
    [anon_sym_BSLASHp] = ACTIONS(3449),
    [anon_sym_BSLASHm] = ACTIONS(3449),
    [anon_sym_BSLASHpo] = ACTIONS(3449),
    [anon_sym_BSLASHpr] = ACTIONS(3449),
    [anon_sym_BSLASHcls] = ACTIONS(3449),
    [anon_sym_BSLASHpmo] = ACTIONS(3449),
    [anon_sym_BSLASHpm] = ACTIONS(3449),
    [anon_sym_BSLASHpmc] = ACTIONS(3449),
    [anon_sym_BSLASHpmr] = ACTIONS(3449),
    [anon_sym_BSLASHpi] = ACTIONS(3449),
    [anon_sym_BSLASHmi] = ACTIONS(3449),
    [anon_sym_BSLASHnb] = ACTIONS(3449),
    [anon_sym_BSLASHpc] = ACTIONS(3449),
    [anon_sym_BSLASHph] = ACTIONS(3449),
    [anon_sym_BSLASHb] = ACTIONS(3449),
    [anon_sym_BSLASHq] = ACTIONS(3449),
    [anon_sym_BSLASHqr] = ACTIONS(3449),
    [anon_sym_BSLASHqc] = ACTIONS(3449),
    [anon_sym_BSLASHqa] = ACTIONS(3449),
    [anon_sym_BSLASHqm] = ACTIONS(3449),
    [anon_sym_BSLASHqd] = ACTIONS(3449),
    [anon_sym_BSLASHlh] = ACTIONS(3449),
    [anon_sym_BSLASHlf] = ACTIONS(3449),
    [anon_sym_BSLASHli] = ACTIONS(3449),
    [anon_sym_BSLASHlim] = ACTIONS(3449),
    [anon_sym_BSLASHliv] = ACTIONS(3449),
    [anon_sym_BSLASHlik] = ACTIONS(3449),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(3449),
    [anon_sym_BSLASHlitl] = ACTIONS(3449),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(3449),
    [anon_sym_BSLASHtr] = ACTIONS(3449),
    [anon_sym_BSLASHf] = ACTIONS(3449),
    [anon_sym_BSLASHfe] = ACTIONS(3449),
    [anon_sym_BSLASHef] = ACTIONS(3449),
    [anon_sym_BSLASHfm] = ACTIONS(3449),
    [anon_sym_BSLASHx] = ACTIONS(3449),
    [anon_sym_BSLASHxt] = ACTIONS(3449),
    [anon_sym_BSLASHrq] = ACTIONS(3449),
    [anon_sym_BSLASHadd] = ACTIONS(3945),
    [anon_sym_BSLASHbk] = ACTIONS(3948),
    [anon_sym_BSLASHdc] = ACTIONS(3951),
    [anon_sym_BSLASHk] = ACTIONS(3954),
    [anon_sym_BSLASHnd] = ACTIONS(3957),
    [anon_sym_BSLASHord] = ACTIONS(3960),
    [anon_sym_BSLASHpn] = ACTIONS(3963),
    [anon_sym_BSLASHpng] = ACTIONS(3966),
    [anon_sym_BSLASHaddpn] = ACTIONS(3969),
    [anon_sym_BSLASHqt] = ACTIONS(3972),
    [anon_sym_BSLASHsig] = ACTIONS(3975),
    [anon_sym_BSLASHsls] = ACTIONS(3978),
    [anon_sym_BSLASHtl] = ACTIONS(3981),
    [anon_sym_BSLASHwj] = ACTIONS(3984),
    [anon_sym_BSLASHem] = ACTIONS(3987),
    [anon_sym_BSLASHbd] = ACTIONS(3990),
    [anon_sym_BSLASHit] = ACTIONS(3993),
    [anon_sym_BSLASHbdit] = ACTIONS(3996),
    [anon_sym_BSLASHno] = ACTIONS(3999),
    [anon_sym_BSLASHsc] = ACTIONS(4002),
    [anon_sym_BSLASHsup] = ACTIONS(4005),
    [anon_sym_BSLASHndx] = ACTIONS(4008),
    [anon_sym_BSLASHpro] = ACTIONS(4011),
    [anon_sym_BSLASHrb] = ACTIONS(4014),
    [anon_sym_BSLASHw] = ACTIONS(4017),
    [anon_sym_BSLASHwg] = ACTIONS(4020),
    [anon_sym_BSLASHwh] = ACTIONS(4023),
    [anon_sym_BSLASHwa] = ACTIONS(4026),
    [anon_sym_BSLASHfig] = ACTIONS(4029),
    [anon_sym_BSLASHjmp] = ACTIONS(4032),
    [anon_sym_BSLASHpb] = ACTIONS(3449),
    [anon_sym_BSLASH] = ACTIONS(3449),
    [sym_milestoneStartTag] = ACTIONS(3449),
    [sym_milestoneEndTag] = ACTIONS(3449),
    [sym_zSpaceTag] = ACTIONS(3449),
    [anon_sym_BSLASHesbe] = ACTIONS(3449),
    [anon_sym_BSLASHcat] = ACTIONS(3449),
  },
  [324] = {
    [sym_text] = STATE(323),
    [sym_add] = STATE(323),
    [sym_bk] = STATE(323),
    [sym_dc] = STATE(323),
    [sym_k] = STATE(323),
    [sym_nd] = STATE(323),
    [sym_ord] = STATE(323),
    [sym_pn] = STATE(323),
    [sym_png] = STATE(323),
    [sym_addpn] = STATE(323),
    [sym_qt] = STATE(323),
    [sym_sig] = STATE(323),
    [sym_sls] = STATE(323),
    [sym_tl] = STATE(323),
    [sym_wj] = STATE(323),
    [sym_em] = STATE(323),
    [sym_bd] = STATE(323),
    [sym_it] = STATE(323),
    [sym_bdit] = STATE(323),
    [sym_no] = STATE(323),
    [sym_sc] = STATE(323),
    [sym_sup] = STATE(323),
    [sym_ndx] = STATE(323),
    [sym_pro] = STATE(323),
    [sym_rb] = STATE(323),
    [sym_w] = STATE(323),
    [sym_wg] = STATE(323),
    [sym_wh] = STATE(323),
    [sym_wa] = STATE(323),
    [sym__characterMarker] = STATE(323),
    [sym_fig] = STATE(323),
    [sym_jmp] = STATE(323),
    [aux_sym_verseText_repeat1] = STATE(323),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(3442),
    [anon_sym_BSLASHsts] = ACTIONS(3442),
    [anon_sym_BSLASHrem] = ACTIONS(3442),
    [anon_sym_BSLASHrestore] = ACTIONS(3442),
    [anon_sym_BSLASHlit] = ACTIONS(3442),
    [anon_sym_BSLASHip] = ACTIONS(3442),
    [anon_sym_BSLASHv] = ACTIONS(3442),
    [anon_sym_BSLASHva] = ACTIONS(3442),
    [anon_sym_BSLASHvp] = ACTIONS(3442),
    [anon_sym_BSLASHmte] = ACTIONS(3442),
    [anon_sym_BSLASHms] = ACTIONS(3442),
    [anon_sym_BSLASHs] = ACTIONS(3442),
    [anon_sym_BSLASHr] = ACTIONS(3442),
    [anon_sym_BSLASHsp] = ACTIONS(3442),
    [anon_sym_BSLASHd] = ACTIONS(3442),
    [anon_sym_BSLASHsd] = ACTIONS(3442),
    [anon_sym_BSLASHp] = ACTIONS(3442),
    [anon_sym_BSLASHm] = ACTIONS(3442),
    [anon_sym_BSLASHpo] = ACTIONS(3442),
    [anon_sym_BSLASHpr] = ACTIONS(3442),
    [anon_sym_BSLASHcls] = ACTIONS(3442),
    [anon_sym_BSLASHpmo] = ACTIONS(3442),
    [anon_sym_BSLASHpm] = ACTIONS(3442),
    [anon_sym_BSLASHpmc] = ACTIONS(3442),
    [anon_sym_BSLASHpmr] = ACTIONS(3442),
    [anon_sym_BSLASHpi] = ACTIONS(3442),
    [anon_sym_BSLASHmi] = ACTIONS(3442),
    [anon_sym_BSLASHnb] = ACTIONS(3442),
    [anon_sym_BSLASHpc] = ACTIONS(3442),
    [anon_sym_BSLASHph] = ACTIONS(3442),
    [anon_sym_BSLASHb] = ACTIONS(3442),
    [anon_sym_BSLASHq] = ACTIONS(3442),
    [anon_sym_BSLASHqr] = ACTIONS(3442),
    [anon_sym_BSLASHqc] = ACTIONS(3442),
    [anon_sym_BSLASHqa] = ACTIONS(3442),
    [anon_sym_BSLASHqm] = ACTIONS(3442),
    [anon_sym_BSLASHqd] = ACTIONS(3442),
    [anon_sym_BSLASHlh] = ACTIONS(3442),
    [anon_sym_BSLASHlf] = ACTIONS(3442),
    [anon_sym_BSLASHli] = ACTIONS(3442),
    [anon_sym_BSLASHlim] = ACTIONS(3442),
    [anon_sym_BSLASHliv] = ACTIONS(3442),
    [anon_sym_BSLASHlik] = ACTIONS(3442),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(3442),
    [anon_sym_BSLASHlitl] = ACTIONS(3442),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(3442),
    [anon_sym_BSLASHtr] = ACTIONS(3442),
    [anon_sym_BSLASHf] = ACTIONS(3442),
    [anon_sym_BSLASHfe] = ACTIONS(3442),
    [anon_sym_BSLASHef] = ACTIONS(3442),
    [anon_sym_BSLASHfm] = ACTIONS(3442),
    [anon_sym_BSLASHx] = ACTIONS(3442),
    [anon_sym_BSLASHxt] = ACTIONS(3442),
    [anon_sym_BSLASHrq] = ACTIONS(3442),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(3442),
    [anon_sym_BSLASH] = ACTIONS(3442),
    [sym_milestoneStartTag] = ACTIONS(3442),
    [sym_milestoneEndTag] = ACTIONS(3442),
    [sym_zSpaceTag] = ACTIONS(3442),
    [anon_sym_BSLASHesbe] = ACTIONS(3442),
    [anon_sym_BSLASHcat] = ACTIONS(3442),
  },
  [325] = {
    [sym_text] = STATE(325),
    [sym_ref] = STATE(325),
    [aux_sym__introText] = STATE(325),
    [sym_iqt] = STATE(325),
    [sym_xt_standalone] = STATE(325),
    [sym_add] = STATE(325),
    [sym_bk] = STATE(325),
    [sym_dc] = STATE(325),
    [sym_k] = STATE(325),
    [sym_nd] = STATE(325),
    [sym_ord] = STATE(325),
    [sym_pn] = STATE(325),
    [sym_png] = STATE(325),
    [sym_addpn] = STATE(325),
    [sym_qt] = STATE(325),
    [sym_sig] = STATE(325),
    [sym_sls] = STATE(325),
    [sym_tl] = STATE(325),
    [sym_wj] = STATE(325),
    [sym_em] = STATE(325),
    [sym_bd] = STATE(325),
    [sym_it] = STATE(325),
    [sym_bdit] = STATE(325),
    [sym_no] = STATE(325),
    [sym_sc] = STATE(325),
    [sym_sup] = STATE(325),
    [sym_ndx] = STATE(325),
    [sym_pro] = STATE(325),
    [sym_rb] = STATE(325),
    [sym_w] = STATE(325),
    [sym_wg] = STATE(325),
    [sym_wh] = STATE(325),
    [sym_wa] = STATE(325),
    [sym__characterMarker] = STATE(325),
    [sym_fig] = STATE(325),
    [sym_jmp] = STATE(325),
    [ts_builtin_sym_end] = ACTIONS(4035),
    [aux_sym_text_token1] = ACTIONS(4037),
    [anon_sym_BSLASHref] = ACTIONS(4040),
    [anon_sym_BSLASHsts] = ACTIONS(4043),
    [anon_sym_BSLASHrem] = ACTIONS(4043),
    [anon_sym_BSLASHrestore] = ACTIONS(4043),
    [anon_sym_BSLASHlit] = ACTIONS(4043),
    [anon_sym_BSLASHiqt] = ACTIONS(4045),
    [anon_sym_BSLASHip] = ACTIONS(4043),
    [anon_sym_BSLASHiex] = ACTIONS(4043),
    [anon_sym_BSLASHc] = ACTIONS(4043),
    [anon_sym_BSLASHcl] = ACTIONS(4043),
    [anon_sym_BSLASHca] = ACTIONS(4043),
    [anon_sym_BSLASHcp] = ACTIONS(4043),
    [anon_sym_BSLASHcd] = ACTIONS(4043),
    [anon_sym_BSLASHmte] = ACTIONS(4043),
    [anon_sym_BSLASHms] = ACTIONS(4043),
    [anon_sym_BSLASHs] = ACTIONS(4043),
    [anon_sym_BSLASHr] = ACTIONS(4043),
    [anon_sym_BSLASHsp] = ACTIONS(4043),
    [anon_sym_BSLASHd] = ACTIONS(4043),
    [anon_sym_BSLASHsd] = ACTIONS(4043),
    [anon_sym_BSLASHp] = ACTIONS(4043),
    [anon_sym_BSLASHm] = ACTIONS(4043),
    [anon_sym_BSLASHpo] = ACTIONS(4043),
    [anon_sym_BSLASHpr] = ACTIONS(4043),
    [anon_sym_BSLASHcls] = ACTIONS(4043),
    [anon_sym_BSLASHpmo] = ACTIONS(4043),
    [anon_sym_BSLASHpm] = ACTIONS(4043),
    [anon_sym_BSLASHpmc] = ACTIONS(4043),
    [anon_sym_BSLASHpmr] = ACTIONS(4043),
    [anon_sym_BSLASHpi] = ACTIONS(4043),
    [anon_sym_BSLASHmi] = ACTIONS(4043),
    [anon_sym_BSLASHnb] = ACTIONS(4043),
    [anon_sym_BSLASHpc] = ACTIONS(4043),
    [anon_sym_BSLASHph] = ACTIONS(4043),
    [anon_sym_BSLASHb] = ACTIONS(4043),
    [anon_sym_BSLASHq] = ACTIONS(4043),
    [anon_sym_BSLASHqr] = ACTIONS(4043),
    [anon_sym_BSLASHqc] = ACTIONS(4043),
    [anon_sym_BSLASHqa] = ACTIONS(4043),
    [anon_sym_BSLASHqm] = ACTIONS(4043),
    [anon_sym_BSLASHqd] = ACTIONS(4043),
    [anon_sym_BSLASHlh] = ACTIONS(4043),
    [anon_sym_BSLASHli] = ACTIONS(4043),
    [anon_sym_BSLASHlim] = ACTIONS(4043),
    [anon_sym_BSLASHtr] = ACTIONS(4043),
    [anon_sym_BSLASHf] = ACTIONS(4043),
    [anon_sym_BSLASHfe] = ACTIONS(4043),
    [anon_sym_BSLASHef] = ACTIONS(4043),
    [anon_sym_BSLASHfm] = ACTIONS(4043),
    [anon_sym_BSLASHxt] = ACTIONS(4048),
    [anon_sym_BSLASHadd] = ACTIONS(4051),
    [anon_sym_BSLASHbk] = ACTIONS(4054),
    [anon_sym_BSLASHdc] = ACTIONS(4057),
    [anon_sym_BSLASHk] = ACTIONS(4060),
    [anon_sym_BSLASHnd] = ACTIONS(4063),
    [anon_sym_BSLASHord] = ACTIONS(4066),
    [anon_sym_BSLASHpn] = ACTIONS(4069),
    [anon_sym_BSLASHpng] = ACTIONS(4072),
    [anon_sym_BSLASHaddpn] = ACTIONS(4075),
    [anon_sym_BSLASHqt] = ACTIONS(4078),
    [anon_sym_BSLASHsig] = ACTIONS(4081),
    [anon_sym_BSLASHsls] = ACTIONS(4084),
    [anon_sym_BSLASHtl] = ACTIONS(4087),
    [anon_sym_BSLASHwj] = ACTIONS(4090),
    [anon_sym_BSLASHem] = ACTIONS(4093),
    [anon_sym_BSLASHbd] = ACTIONS(4096),
    [anon_sym_BSLASHit] = ACTIONS(4099),
    [anon_sym_BSLASHbdit] = ACTIONS(4102),
    [anon_sym_BSLASHno] = ACTIONS(4105),
    [anon_sym_BSLASHsc] = ACTIONS(4108),
    [anon_sym_BSLASHsup] = ACTIONS(4111),
    [anon_sym_BSLASHndx] = ACTIONS(4114),
    [anon_sym_BSLASHpro] = ACTIONS(4117),
    [anon_sym_BSLASHrb] = ACTIONS(4120),
    [anon_sym_BSLASHw] = ACTIONS(4123),
    [anon_sym_BSLASHwg] = ACTIONS(4126),
    [anon_sym_BSLASHwh] = ACTIONS(4129),
    [anon_sym_BSLASHwa] = ACTIONS(4132),
    [anon_sym_BSLASHfig] = ACTIONS(4135),
    [anon_sym_BSLASHjmp] = ACTIONS(4138),
    [anon_sym_BSLASHpb] = ACTIONS(4043),
    [anon_sym_BSLASH] = ACTIONS(4043),
    [sym_milestoneStartTag] = ACTIONS(4043),
    [sym_milestoneEndTag] = ACTIONS(4043),
    [sym_zSpaceTag] = ACTIONS(4043),
    [anon_sym_BSLASHesb] = ACTIONS(4043),
  },
  [326] = {
    [sym_text] = STATE(325),
    [sym_ref] = STATE(325),
    [aux_sym__introText] = STATE(325),
    [sym_iqt] = STATE(325),
    [sym_xt_standalone] = STATE(325),
    [sym_add] = STATE(325),
    [sym_bk] = STATE(325),
    [sym_dc] = STATE(325),
    [sym_k] = STATE(325),
    [sym_nd] = STATE(325),
    [sym_ord] = STATE(325),
    [sym_pn] = STATE(325),
    [sym_png] = STATE(325),
    [sym_addpn] = STATE(325),
    [sym_qt] = STATE(325),
    [sym_sig] = STATE(325),
    [sym_sls] = STATE(325),
    [sym_tl] = STATE(325),
    [sym_wj] = STATE(325),
    [sym_em] = STATE(325),
    [sym_bd] = STATE(325),
    [sym_it] = STATE(325),
    [sym_bdit] = STATE(325),
    [sym_no] = STATE(325),
    [sym_sc] = STATE(325),
    [sym_sup] = STATE(325),
    [sym_ndx] = STATE(325),
    [sym_pro] = STATE(325),
    [sym_rb] = STATE(325),
    [sym_w] = STATE(325),
    [sym_wg] = STATE(325),
    [sym_wh] = STATE(325),
    [sym_wa] = STATE(325),
    [sym__characterMarker] = STATE(325),
    [sym_fig] = STATE(325),
    [sym_jmp] = STATE(325),
    [ts_builtin_sym_end] = ACTIONS(4141),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(4143),
    [anon_sym_BSLASHrem] = ACTIONS(4143),
    [anon_sym_BSLASHrestore] = ACTIONS(4143),
    [anon_sym_BSLASHlit] = ACTIONS(4143),
    [anon_sym_BSLASHiqt] = ACTIONS(4145),
    [anon_sym_BSLASHip] = ACTIONS(4143),
    [anon_sym_BSLASHiex] = ACTIONS(4143),
    [anon_sym_BSLASHc] = ACTIONS(4143),
    [anon_sym_BSLASHcl] = ACTIONS(4143),
    [anon_sym_BSLASHca] = ACTIONS(4143),
    [anon_sym_BSLASHcp] = ACTIONS(4143),
    [anon_sym_BSLASHcd] = ACTIONS(4143),
    [anon_sym_BSLASHmte] = ACTIONS(4143),
    [anon_sym_BSLASHms] = ACTIONS(4143),
    [anon_sym_BSLASHs] = ACTIONS(4143),
    [anon_sym_BSLASHr] = ACTIONS(4143),
    [anon_sym_BSLASHsp] = ACTIONS(4143),
    [anon_sym_BSLASHd] = ACTIONS(4143),
    [anon_sym_BSLASHsd] = ACTIONS(4143),
    [anon_sym_BSLASHp] = ACTIONS(4143),
    [anon_sym_BSLASHm] = ACTIONS(4143),
    [anon_sym_BSLASHpo] = ACTIONS(4143),
    [anon_sym_BSLASHpr] = ACTIONS(4143),
    [anon_sym_BSLASHcls] = ACTIONS(4143),
    [anon_sym_BSLASHpmo] = ACTIONS(4143),
    [anon_sym_BSLASHpm] = ACTIONS(4143),
    [anon_sym_BSLASHpmc] = ACTIONS(4143),
    [anon_sym_BSLASHpmr] = ACTIONS(4143),
    [anon_sym_BSLASHpi] = ACTIONS(4143),
    [anon_sym_BSLASHmi] = ACTIONS(4143),
    [anon_sym_BSLASHnb] = ACTIONS(4143),
    [anon_sym_BSLASHpc] = ACTIONS(4143),
    [anon_sym_BSLASHph] = ACTIONS(4143),
    [anon_sym_BSLASHb] = ACTIONS(4143),
    [anon_sym_BSLASHq] = ACTIONS(4143),
    [anon_sym_BSLASHqr] = ACTIONS(4143),
    [anon_sym_BSLASHqc] = ACTIONS(4143),
    [anon_sym_BSLASHqa] = ACTIONS(4143),
    [anon_sym_BSLASHqm] = ACTIONS(4143),
    [anon_sym_BSLASHqd] = ACTIONS(4143),
    [anon_sym_BSLASHlh] = ACTIONS(4143),
    [anon_sym_BSLASHli] = ACTIONS(4143),
    [anon_sym_BSLASHlim] = ACTIONS(4143),
    [anon_sym_BSLASHtr] = ACTIONS(4143),
    [anon_sym_BSLASHf] = ACTIONS(4143),
    [anon_sym_BSLASHfe] = ACTIONS(4143),
    [anon_sym_BSLASHef] = ACTIONS(4143),
    [anon_sym_BSLASHfm] = ACTIONS(4143),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(4143),
    [anon_sym_BSLASH] = ACTIONS(4143),
    [sym_milestoneStartTag] = ACTIONS(4143),
    [sym_milestoneEndTag] = ACTIONS(4143),
    [sym_zSpaceTag] = ACTIONS(4143),
    [anon_sym_BSLASHesb] = ACTIONS(4143),
  },
  [327] = {
    [sym_text] = STATE(325),
    [sym_ref] = STATE(325),
    [aux_sym__introText] = STATE(325),
    [sym_iqt] = STATE(325),
    [sym_xt_standalone] = STATE(325),
    [sym_add] = STATE(325),
    [sym_bk] = STATE(325),
    [sym_dc] = STATE(325),
    [sym_k] = STATE(325),
    [sym_nd] = STATE(325),
    [sym_ord] = STATE(325),
    [sym_pn] = STATE(325),
    [sym_png] = STATE(325),
    [sym_addpn] = STATE(325),
    [sym_qt] = STATE(325),
    [sym_sig] = STATE(325),
    [sym_sls] = STATE(325),
    [sym_tl] = STATE(325),
    [sym_wj] = STATE(325),
    [sym_em] = STATE(325),
    [sym_bd] = STATE(325),
    [sym_it] = STATE(325),
    [sym_bdit] = STATE(325),
    [sym_no] = STATE(325),
    [sym_sc] = STATE(325),
    [sym_sup] = STATE(325),
    [sym_ndx] = STATE(325),
    [sym_pro] = STATE(325),
    [sym_rb] = STATE(325),
    [sym_w] = STATE(325),
    [sym_wg] = STATE(325),
    [sym_wh] = STATE(325),
    [sym_wa] = STATE(325),
    [sym__characterMarker] = STATE(325),
    [sym_fig] = STATE(325),
    [sym_jmp] = STATE(325),
    [ts_builtin_sym_end] = ACTIONS(4147),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHsts] = ACTIONS(4149),
    [anon_sym_BSLASHrem] = ACTIONS(4149),
    [anon_sym_BSLASHrestore] = ACTIONS(4149),
    [anon_sym_BSLASHlit] = ACTIONS(4149),
    [anon_sym_BSLASHiqt] = ACTIONS(4145),
    [anon_sym_BSLASHip] = ACTIONS(4149),
    [anon_sym_BSLASHiex] = ACTIONS(4149),
    [anon_sym_BSLASHc] = ACTIONS(4149),
    [anon_sym_BSLASHcl] = ACTIONS(4149),
    [anon_sym_BSLASHca] = ACTIONS(4149),
    [anon_sym_BSLASHcp] = ACTIONS(4149),
    [anon_sym_BSLASHcd] = ACTIONS(4149),
    [anon_sym_BSLASHmte] = ACTIONS(4149),
    [anon_sym_BSLASHms] = ACTIONS(4149),
    [anon_sym_BSLASHs] = ACTIONS(4149),
    [anon_sym_BSLASHr] = ACTIONS(4149),
    [anon_sym_BSLASHsp] = ACTIONS(4149),
    [anon_sym_BSLASHd] = ACTIONS(4149),
    [anon_sym_BSLASHsd] = ACTIONS(4149),
    [anon_sym_BSLASHp] = ACTIONS(4149),
    [anon_sym_BSLASHm] = ACTIONS(4149),
    [anon_sym_BSLASHpo] = ACTIONS(4149),
    [anon_sym_BSLASHpr] = ACTIONS(4149),
    [anon_sym_BSLASHcls] = ACTIONS(4149),
    [anon_sym_BSLASHpmo] = ACTIONS(4149),
    [anon_sym_BSLASHpm] = ACTIONS(4149),
    [anon_sym_BSLASHpmc] = ACTIONS(4149),
    [anon_sym_BSLASHpmr] = ACTIONS(4149),
    [anon_sym_BSLASHpi] = ACTIONS(4149),
    [anon_sym_BSLASHmi] = ACTIONS(4149),
    [anon_sym_BSLASHnb] = ACTIONS(4149),
    [anon_sym_BSLASHpc] = ACTIONS(4149),
    [anon_sym_BSLASHph] = ACTIONS(4149),
    [anon_sym_BSLASHb] = ACTIONS(4149),
    [anon_sym_BSLASHq] = ACTIONS(4149),
    [anon_sym_BSLASHqr] = ACTIONS(4149),
    [anon_sym_BSLASHqc] = ACTIONS(4149),
    [anon_sym_BSLASHqa] = ACTIONS(4149),
    [anon_sym_BSLASHqm] = ACTIONS(4149),
    [anon_sym_BSLASHqd] = ACTIONS(4149),
    [anon_sym_BSLASHlh] = ACTIONS(4149),
    [anon_sym_BSLASHli] = ACTIONS(4149),
    [anon_sym_BSLASHlim] = ACTIONS(4149),
    [anon_sym_BSLASHtr] = ACTIONS(4149),
    [anon_sym_BSLASHf] = ACTIONS(4149),
    [anon_sym_BSLASHfe] = ACTIONS(4149),
    [anon_sym_BSLASHef] = ACTIONS(4149),
    [anon_sym_BSLASHfm] = ACTIONS(4149),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(4149),
    [anon_sym_BSLASH] = ACTIONS(4149),
    [sym_milestoneStartTag] = ACTIONS(4149),
    [sym_milestoneEndTag] = ACTIONS(4149),
    [sym_zSpaceTag] = ACTIONS(4149),
    [anon_sym_BSLASHesb] = ACTIONS(4149),
  },
  [328] = {
    [sym_text] = STATE(320),
    [sym_footnote] = STATE(320),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(320),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(320),
    [sym_bk] = STATE(320),
    [sym_dc] = STATE(320),
    [sym_k] = STATE(320),
    [sym_nd] = STATE(320),
    [sym_ord] = STATE(320),
    [sym_pn] = STATE(320),
    [sym_png] = STATE(320),
    [sym_addpn] = STATE(320),
    [sym_qt] = STATE(320),
    [sym_sig] = STATE(320),
    [sym_sls] = STATE(320),
    [sym_tl] = STATE(320),
    [sym_wj] = STATE(320),
    [sym_em] = STATE(320),
    [sym_bd] = STATE(320),
    [sym_it] = STATE(320),
    [sym_bdit] = STATE(320),
    [sym_no] = STATE(320),
    [sym_sc] = STATE(320),
    [sym_sup] = STATE(320),
    [sym_ndx] = STATE(320),
    [sym_pro] = STATE(320),
    [sym_rb] = STATE(320),
    [sym_w] = STATE(320),
    [sym_wg] = STATE(320),
    [sym_wh] = STATE(320),
    [sym_wa] = STATE(320),
    [sym__characterMarker] = STATE(320),
    [sym_fig] = STATE(320),
    [sym_jmp] = STATE(320),
    [aux_sym_ms_repeat1] = STATE(320),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHsts] = ACTIONS(3438),
    [anon_sym_BSLASHrem] = ACTIONS(3438),
    [anon_sym_BSLASHrestore] = ACTIONS(3438),
    [anon_sym_BSLASHlit] = ACTIONS(3438),
    [anon_sym_BSLASHip] = ACTIONS(3438),
    [anon_sym_BSLASHmte] = ACTIONS(3438),
    [anon_sym_BSLASHms] = ACTIONS(3438),
    [anon_sym_BSLASHs] = ACTIONS(3438),
    [anon_sym_BSLASHr] = ACTIONS(3438),
    [anon_sym_BSLASHsp] = ACTIONS(3438),
    [anon_sym_BSLASHd] = ACTIONS(3438),
    [anon_sym_BSLASHsd] = ACTIONS(3438),
    [anon_sym_BSLASHp] = ACTIONS(3438),
    [anon_sym_BSLASHm] = ACTIONS(3438),
    [anon_sym_BSLASHpo] = ACTIONS(3438),
    [anon_sym_BSLASHpr] = ACTIONS(3438),
    [anon_sym_BSLASHcls] = ACTIONS(3438),
    [anon_sym_BSLASHpmo] = ACTIONS(3438),
    [anon_sym_BSLASHpm] = ACTIONS(3438),
    [anon_sym_BSLASHpmc] = ACTIONS(3438),
    [anon_sym_BSLASHpmr] = ACTIONS(3438),
    [anon_sym_BSLASHpi] = ACTIONS(3438),
    [anon_sym_BSLASHmi] = ACTIONS(3438),
    [anon_sym_BSLASHnb] = ACTIONS(3438),
    [anon_sym_BSLASHpc] = ACTIONS(3438),
    [anon_sym_BSLASHph] = ACTIONS(3438),
    [anon_sym_BSLASHb] = ACTIONS(3438),
    [anon_sym_BSLASHq] = ACTIONS(3438),
    [anon_sym_BSLASHqr] = ACTIONS(3438),
    [anon_sym_BSLASHqc] = ACTIONS(3438),
    [anon_sym_BSLASHqa] = ACTIONS(3438),
    [anon_sym_BSLASHqm] = ACTIONS(3438),
    [anon_sym_BSLASHqd] = ACTIONS(3438),
    [anon_sym_BSLASHlh] = ACTIONS(3438),
    [anon_sym_BSLASHli] = ACTIONS(3438),
    [anon_sym_BSLASHlim] = ACTIONS(3438),
    [anon_sym_BSLASHtr] = ACTIONS(3438),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(3438),
    [anon_sym_BSLASH] = ACTIONS(3438),
    [sym_milestoneStartTag] = ACTIONS(3438),
    [sym_milestoneEndTag] = ACTIONS(3438),
    [sym_zSpaceTag] = ACTIONS(3438),
    [anon_sym_BSLASHesbe] = ACTIONS(3438),
    [anon_sym_BSLASHcat] = ACTIONS(3438),
  },
  [329] = {
    [sym_text] = STATE(329),
    [sym_add] = STATE(329),
    [sym_bk] = STATE(329),
    [sym_dc] = STATE(329),
    [sym_k] = STATE(329),
    [sym_nd] = STATE(329),
    [sym_ord] = STATE(329),
    [sym_pn] = STATE(329),
    [sym_png] = STATE(329),
    [sym_addpn] = STATE(329),
    [sym_qt] = STATE(329),
    [sym_sig] = STATE(329),
    [sym_sls] = STATE(329),
    [sym_tl] = STATE(329),
    [sym_wj] = STATE(329),
    [sym_em] = STATE(329),
    [sym_bd] = STATE(329),
    [sym_it] = STATE(329),
    [sym_bdit] = STATE(329),
    [sym_no] = STATE(329),
    [sym_sc] = STATE(329),
    [sym_sup] = STATE(329),
    [sym_ndx] = STATE(329),
    [sym_pro] = STATE(329),
    [sym_rb] = STATE(329),
    [sym_w] = STATE(329),
    [sym_wg] = STATE(329),
    [sym_wh] = STATE(329),
    [sym_wa] = STATE(329),
    [sym__characterMarker] = STATE(329),
    [sym_fig] = STATE(329),
    [sym_jmp] = STATE(329),
    [aux_sym_verseText_repeat1] = STATE(329),
    [ts_builtin_sym_end] = ACTIONS(3444),
    [aux_sym_text_token1] = ACTIONS(4151),
    [anon_sym_BSLASHsts] = ACTIONS(3449),
    [anon_sym_BSLASHrem] = ACTIONS(3449),
    [anon_sym_BSLASHrestore] = ACTIONS(3449),
    [anon_sym_BSLASHlit] = ACTIONS(3449),
    [anon_sym_BSLASHip] = ACTIONS(3449),
    [anon_sym_BSLASHiex] = ACTIONS(3449),
    [anon_sym_BSLASHc] = ACTIONS(3449),
    [anon_sym_BSLASHcl] = ACTIONS(3449),
    [anon_sym_BSLASHca] = ACTIONS(3449),
    [anon_sym_BSLASHcp] = ACTIONS(3449),
    [anon_sym_BSLASHcd] = ACTIONS(3449),
    [anon_sym_BSLASHmte] = ACTIONS(3449),
    [anon_sym_BSLASHms] = ACTIONS(3449),
    [anon_sym_BSLASHs] = ACTIONS(3449),
    [anon_sym_BSLASHr] = ACTIONS(3449),
    [anon_sym_BSLASHsp] = ACTIONS(3449),
    [anon_sym_BSLASHd] = ACTIONS(3449),
    [anon_sym_BSLASHsd] = ACTIONS(3449),
    [anon_sym_BSLASHp] = ACTIONS(3449),
    [anon_sym_BSLASHm] = ACTIONS(3449),
    [anon_sym_BSLASHpo] = ACTIONS(3449),
    [anon_sym_BSLASHpr] = ACTIONS(3449),
    [anon_sym_BSLASHcls] = ACTIONS(3449),
    [anon_sym_BSLASHpmo] = ACTIONS(3449),
    [anon_sym_BSLASHpm] = ACTIONS(3449),
    [anon_sym_BSLASHpmc] = ACTIONS(3449),
    [anon_sym_BSLASHpmr] = ACTIONS(3449),
    [anon_sym_BSLASHpi] = ACTIONS(3449),
    [anon_sym_BSLASHmi] = ACTIONS(3449),
    [anon_sym_BSLASHnb] = ACTIONS(3449),
    [anon_sym_BSLASHpc] = ACTIONS(3449),
    [anon_sym_BSLASHph] = ACTIONS(3449),
    [anon_sym_BSLASHb] = ACTIONS(3449),
    [anon_sym_BSLASHq] = ACTIONS(3449),
    [anon_sym_BSLASHqr] = ACTIONS(3449),
    [anon_sym_BSLASHqc] = ACTIONS(3449),
    [anon_sym_BSLASHqa] = ACTIONS(3449),
    [anon_sym_BSLASHqm] = ACTIONS(3449),
    [anon_sym_BSLASHqd] = ACTIONS(3449),
    [anon_sym_BSLASHlh] = ACTIONS(3449),
    [anon_sym_BSLASHli] = ACTIONS(3449),
    [anon_sym_BSLASHlim] = ACTIONS(3449),
    [anon_sym_BSLASHtr] = ACTIONS(3449),
    [sym_thTag] = ACTIONS(3449),
    [sym_thrTag] = ACTIONS(3449),
    [sym_tcTag] = ACTIONS(3449),
    [sym_tcrTag] = ACTIONS(3449),
    [anon_sym_BSLASHf] = ACTIONS(3449),
    [anon_sym_BSLASHfe] = ACTIONS(3449),
    [anon_sym_BSLASHef] = ACTIONS(3449),
    [anon_sym_BSLASHfm] = ACTIONS(3449),
    [anon_sym_BSLASHadd] = ACTIONS(4154),
    [anon_sym_BSLASHbk] = ACTIONS(4157),
    [anon_sym_BSLASHdc] = ACTIONS(4160),
    [anon_sym_BSLASHk] = ACTIONS(4163),
    [anon_sym_BSLASHnd] = ACTIONS(4166),
    [anon_sym_BSLASHord] = ACTIONS(4169),
    [anon_sym_BSLASHpn] = ACTIONS(4172),
    [anon_sym_BSLASHpng] = ACTIONS(4175),
    [anon_sym_BSLASHaddpn] = ACTIONS(4178),
    [anon_sym_BSLASHqt] = ACTIONS(4181),
    [anon_sym_BSLASHsig] = ACTIONS(4184),
    [anon_sym_BSLASHsls] = ACTIONS(4187),
    [anon_sym_BSLASHtl] = ACTIONS(4190),
    [anon_sym_BSLASHwj] = ACTIONS(4193),
    [anon_sym_BSLASHem] = ACTIONS(4196),
    [anon_sym_BSLASHbd] = ACTIONS(4199),
    [anon_sym_BSLASHit] = ACTIONS(4202),
    [anon_sym_BSLASHbdit] = ACTIONS(4205),
    [anon_sym_BSLASHno] = ACTIONS(4208),
    [anon_sym_BSLASHsc] = ACTIONS(4211),
    [anon_sym_BSLASHsup] = ACTIONS(4214),
    [anon_sym_BSLASHndx] = ACTIONS(4217),
    [anon_sym_BSLASHpro] = ACTIONS(4220),
    [anon_sym_BSLASHrb] = ACTIONS(4223),
    [anon_sym_BSLASHw] = ACTIONS(4226),
    [anon_sym_BSLASHwg] = ACTIONS(4229),
    [anon_sym_BSLASHwh] = ACTIONS(4232),
    [anon_sym_BSLASHwa] = ACTIONS(4235),
    [anon_sym_BSLASHfig] = ACTIONS(4238),
    [anon_sym_BSLASHjmp] = ACTIONS(4241),
    [anon_sym_BSLASHpb] = ACTIONS(3449),
    [anon_sym_BSLASH] = ACTIONS(3449),
    [sym_milestoneStartTag] = ACTIONS(3449),
    [sym_milestoneEndTag] = ACTIONS(3449),
    [sym_zSpaceTag] = ACTIONS(3449),
    [anon_sym_BSLASHesb] = ACTIONS(3449),
  },
  [330] = {
    [sym_text] = STATE(332),
    [sym_add] = STATE(332),
    [sym_bk] = STATE(332),
    [sym_dc] = STATE(332),
    [sym_k] = STATE(332),
    [sym_nd] = STATE(332),
    [sym_ord] = STATE(332),
    [sym_pn] = STATE(332),
    [sym_png] = STATE(332),
    [sym_addpn] = STATE(332),
    [sym_qt] = STATE(332),
    [sym_sig] = STATE(332),
    [sym_sls] = STATE(332),
    [sym_tl] = STATE(332),
    [sym_wj] = STATE(332),
    [sym_em] = STATE(332),
    [sym_bd] = STATE(332),
    [sym_it] = STATE(332),
    [sym_bdit] = STATE(332),
    [sym_no] = STATE(332),
    [sym_sc] = STATE(332),
    [sym_sup] = STATE(332),
    [sym_ndx] = STATE(332),
    [sym_pro] = STATE(332),
    [sym_rb] = STATE(332),
    [sym_w] = STATE(332),
    [sym_wg] = STATE(332),
    [sym_wh] = STATE(332),
    [sym_wa] = STATE(332),
    [sym__characterMarker] = STATE(332),
    [sym_jmp] = STATE(332),
    [aux_sym_rem_repeat1] = STATE(332),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(3543),
    [anon_sym_BSLASHsts] = ACTIONS(3543),
    [anon_sym_BSLASHrem] = ACTIONS(3543),
    [anon_sym_BSLASHrestore] = ACTIONS(3543),
    [anon_sym_BSLASHlit] = ACTIONS(3543),
    [anon_sym_BSLASHip] = ACTIONS(3543),
    [anon_sym_BSLASHv] = ACTIONS(3543),
    [anon_sym_BSLASHva] = ACTIONS(3543),
    [anon_sym_BSLASHvp] = ACTIONS(3543),
    [anon_sym_BSLASHmte] = ACTIONS(3543),
    [anon_sym_BSLASHms] = ACTIONS(3543),
    [anon_sym_BSLASHs] = ACTIONS(3543),
    [anon_sym_BSLASHr] = ACTIONS(3543),
    [anon_sym_BSLASHsp] = ACTIONS(3543),
    [anon_sym_BSLASHd] = ACTIONS(3543),
    [anon_sym_BSLASHsd] = ACTIONS(3543),
    [anon_sym_BSLASHp] = ACTIONS(3543),
    [anon_sym_BSLASHm] = ACTIONS(3543),
    [anon_sym_BSLASHpo] = ACTIONS(3543),
    [anon_sym_BSLASHpr] = ACTIONS(3543),
    [anon_sym_BSLASHcls] = ACTIONS(3543),
    [anon_sym_BSLASHpmo] = ACTIONS(3543),
    [anon_sym_BSLASHpm] = ACTIONS(3543),
    [anon_sym_BSLASHpmc] = ACTIONS(3543),
    [anon_sym_BSLASHpmr] = ACTIONS(3543),
    [anon_sym_BSLASHpi] = ACTIONS(3543),
    [anon_sym_BSLASHmi] = ACTIONS(3543),
    [anon_sym_BSLASHnb] = ACTIONS(3543),
    [anon_sym_BSLASHpc] = ACTIONS(3543),
    [anon_sym_BSLASHph] = ACTIONS(3543),
    [anon_sym_BSLASHb] = ACTIONS(3543),
    [anon_sym_BSLASHq] = ACTIONS(3543),
    [anon_sym_BSLASHqr] = ACTIONS(3543),
    [anon_sym_BSLASHqc] = ACTIONS(3543),
    [anon_sym_BSLASHqa] = ACTIONS(3543),
    [anon_sym_BSLASHqm] = ACTIONS(3543),
    [anon_sym_BSLASHqd] = ACTIONS(3543),
    [anon_sym_BSLASHlh] = ACTIONS(3543),
    [anon_sym_BSLASHlf] = ACTIONS(3543),
    [anon_sym_BSLASHli] = ACTIONS(3543),
    [anon_sym_BSLASHlim] = ACTIONS(3543),
    [anon_sym_BSLASHliv] = ACTIONS(3543),
    [anon_sym_BSLASHlik] = ACTIONS(3543),
    [anon_sym_BSLASHlitl] = ACTIONS(3543),
    [anon_sym_BSLASHtr] = ACTIONS(3543),
    [anon_sym_BSLASHf] = ACTIONS(3543),
    [anon_sym_BSLASHfe] = ACTIONS(3543),
    [anon_sym_BSLASHef] = ACTIONS(3543),
    [anon_sym_BSLASHfm] = ACTIONS(3543),
    [anon_sym_BSLASHx] = ACTIONS(3543),
    [anon_sym_BSLASHxt] = ACTIONS(3543),
    [anon_sym_BSLASHrq] = ACTIONS(3543),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(3543),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(3543),
    [anon_sym_BSLASH] = ACTIONS(3543),
    [sym_milestoneStartTag] = ACTIONS(3543),
    [sym_milestoneEndTag] = ACTIONS(3543),
    [sym_zSpaceTag] = ACTIONS(3543),
    [anon_sym_BSLASHesbe] = ACTIONS(3543),
    [anon_sym_BSLASHcat] = ACTIONS(3543),
  },
  [331] = {
    [sym_text] = STATE(329),
    [sym_add] = STATE(329),
    [sym_bk] = STATE(329),
    [sym_dc] = STATE(329),
    [sym_k] = STATE(329),
    [sym_nd] = STATE(329),
    [sym_ord] = STATE(329),
    [sym_pn] = STATE(329),
    [sym_png] = STATE(329),
    [sym_addpn] = STATE(329),
    [sym_qt] = STATE(329),
    [sym_sig] = STATE(329),
    [sym_sls] = STATE(329),
    [sym_tl] = STATE(329),
    [sym_wj] = STATE(329),
    [sym_em] = STATE(329),
    [sym_bd] = STATE(329),
    [sym_it] = STATE(329),
    [sym_bdit] = STATE(329),
    [sym_no] = STATE(329),
    [sym_sc] = STATE(329),
    [sym_sup] = STATE(329),
    [sym_ndx] = STATE(329),
    [sym_pro] = STATE(329),
    [sym_rb] = STATE(329),
    [sym_w] = STATE(329),
    [sym_wg] = STATE(329),
    [sym_wh] = STATE(329),
    [sym_wa] = STATE(329),
    [sym__characterMarker] = STATE(329),
    [sym_fig] = STATE(329),
    [sym_jmp] = STATE(329),
    [aux_sym_verseText_repeat1] = STATE(329),
    [ts_builtin_sym_end] = ACTIONS(3440),
    [aux_sym_text_token1] = ACTIONS(4244),
    [anon_sym_BSLASHsts] = ACTIONS(3442),
    [anon_sym_BSLASHrem] = ACTIONS(3442),
    [anon_sym_BSLASHrestore] = ACTIONS(3442),
    [anon_sym_BSLASHlit] = ACTIONS(3442),
    [anon_sym_BSLASHip] = ACTIONS(3442),
    [anon_sym_BSLASHiex] = ACTIONS(3442),
    [anon_sym_BSLASHc] = ACTIONS(3442),
    [anon_sym_BSLASHcl] = ACTIONS(3442),
    [anon_sym_BSLASHca] = ACTIONS(3442),
    [anon_sym_BSLASHcp] = ACTIONS(3442),
    [anon_sym_BSLASHcd] = ACTIONS(3442),
    [anon_sym_BSLASHmte] = ACTIONS(3442),
    [anon_sym_BSLASHms] = ACTIONS(3442),
    [anon_sym_BSLASHs] = ACTIONS(3442),
    [anon_sym_BSLASHr] = ACTIONS(3442),
    [anon_sym_BSLASHsp] = ACTIONS(3442),
    [anon_sym_BSLASHd] = ACTIONS(3442),
    [anon_sym_BSLASHsd] = ACTIONS(3442),
    [anon_sym_BSLASHp] = ACTIONS(3442),
    [anon_sym_BSLASHm] = ACTIONS(3442),
    [anon_sym_BSLASHpo] = ACTIONS(3442),
    [anon_sym_BSLASHpr] = ACTIONS(3442),
    [anon_sym_BSLASHcls] = ACTIONS(3442),
    [anon_sym_BSLASHpmo] = ACTIONS(3442),
    [anon_sym_BSLASHpm] = ACTIONS(3442),
    [anon_sym_BSLASHpmc] = ACTIONS(3442),
    [anon_sym_BSLASHpmr] = ACTIONS(3442),
    [anon_sym_BSLASHpi] = ACTIONS(3442),
    [anon_sym_BSLASHmi] = ACTIONS(3442),
    [anon_sym_BSLASHnb] = ACTIONS(3442),
    [anon_sym_BSLASHpc] = ACTIONS(3442),
    [anon_sym_BSLASHph] = ACTIONS(3442),
    [anon_sym_BSLASHb] = ACTIONS(3442),
    [anon_sym_BSLASHq] = ACTIONS(3442),
    [anon_sym_BSLASHqr] = ACTIONS(3442),
    [anon_sym_BSLASHqc] = ACTIONS(3442),
    [anon_sym_BSLASHqa] = ACTIONS(3442),
    [anon_sym_BSLASHqm] = ACTIONS(3442),
    [anon_sym_BSLASHqd] = ACTIONS(3442),
    [anon_sym_BSLASHlh] = ACTIONS(3442),
    [anon_sym_BSLASHli] = ACTIONS(3442),
    [anon_sym_BSLASHlim] = ACTIONS(3442),
    [anon_sym_BSLASHtr] = ACTIONS(3442),
    [sym_thTag] = ACTIONS(3442),
    [sym_thrTag] = ACTIONS(3442),
    [sym_tcTag] = ACTIONS(3442),
    [sym_tcrTag] = ACTIONS(3442),
    [anon_sym_BSLASHf] = ACTIONS(3442),
    [anon_sym_BSLASHfe] = ACTIONS(3442),
    [anon_sym_BSLASHef] = ACTIONS(3442),
    [anon_sym_BSLASHfm] = ACTIONS(3442),
    [anon_sym_BSLASHadd] = ACTIONS(4246),
    [anon_sym_BSLASHbk] = ACTIONS(4248),
    [anon_sym_BSLASHdc] = ACTIONS(4250),
    [anon_sym_BSLASHk] = ACTIONS(4252),
    [anon_sym_BSLASHnd] = ACTIONS(4254),
    [anon_sym_BSLASHord] = ACTIONS(4256),
    [anon_sym_BSLASHpn] = ACTIONS(4258),
    [anon_sym_BSLASHpng] = ACTIONS(4260),
    [anon_sym_BSLASHaddpn] = ACTIONS(4262),
    [anon_sym_BSLASHqt] = ACTIONS(4264),
    [anon_sym_BSLASHsig] = ACTIONS(4266),
    [anon_sym_BSLASHsls] = ACTIONS(4268),
    [anon_sym_BSLASHtl] = ACTIONS(4270),
    [anon_sym_BSLASHwj] = ACTIONS(4272),
    [anon_sym_BSLASHem] = ACTIONS(4274),
    [anon_sym_BSLASHbd] = ACTIONS(4276),
    [anon_sym_BSLASHit] = ACTIONS(4278),
    [anon_sym_BSLASHbdit] = ACTIONS(4280),
    [anon_sym_BSLASHno] = ACTIONS(4282),
    [anon_sym_BSLASHsc] = ACTIONS(4284),
    [anon_sym_BSLASHsup] = ACTIONS(4286),
    [anon_sym_BSLASHndx] = ACTIONS(4288),
    [anon_sym_BSLASHpro] = ACTIONS(4290),
    [anon_sym_BSLASHrb] = ACTIONS(4292),
    [anon_sym_BSLASHw] = ACTIONS(4294),
    [anon_sym_BSLASHwg] = ACTIONS(4296),
    [anon_sym_BSLASHwh] = ACTIONS(4298),
    [anon_sym_BSLASHwa] = ACTIONS(4300),
    [anon_sym_BSLASHfig] = ACTIONS(4302),
    [anon_sym_BSLASHjmp] = ACTIONS(4304),
    [anon_sym_BSLASHpb] = ACTIONS(3442),
    [anon_sym_BSLASH] = ACTIONS(3442),
    [sym_milestoneStartTag] = ACTIONS(3442),
    [sym_milestoneEndTag] = ACTIONS(3442),
    [sym_zSpaceTag] = ACTIONS(3442),
    [anon_sym_BSLASHesb] = ACTIONS(3442),
  },
  [332] = {
    [sym_text] = STATE(332),
    [sym_add] = STATE(332),
    [sym_bk] = STATE(332),
    [sym_dc] = STATE(332),
    [sym_k] = STATE(332),
    [sym_nd] = STATE(332),
    [sym_ord] = STATE(332),
    [sym_pn] = STATE(332),
    [sym_png] = STATE(332),
    [sym_addpn] = STATE(332),
    [sym_qt] = STATE(332),
    [sym_sig] = STATE(332),
    [sym_sls] = STATE(332),
    [sym_tl] = STATE(332),
    [sym_wj] = STATE(332),
    [sym_em] = STATE(332),
    [sym_bd] = STATE(332),
    [sym_it] = STATE(332),
    [sym_bdit] = STATE(332),
    [sym_no] = STATE(332),
    [sym_sc] = STATE(332),
    [sym_sup] = STATE(332),
    [sym_ndx] = STATE(332),
    [sym_pro] = STATE(332),
    [sym_rb] = STATE(332),
    [sym_w] = STATE(332),
    [sym_wg] = STATE(332),
    [sym_wh] = STATE(332),
    [sym_wa] = STATE(332),
    [sym__characterMarker] = STATE(332),
    [sym_jmp] = STATE(332),
    [aux_sym_rem_repeat1] = STATE(332),
    [aux_sym_text_token1] = ACTIONS(4306),
    [anon_sym_BSLASHref] = ACTIONS(3550),
    [anon_sym_BSLASHsts] = ACTIONS(3550),
    [anon_sym_BSLASHrem] = ACTIONS(3550),
    [anon_sym_BSLASHrestore] = ACTIONS(3550),
    [anon_sym_BSLASHlit] = ACTIONS(3550),
    [anon_sym_BSLASHip] = ACTIONS(3550),
    [anon_sym_BSLASHv] = ACTIONS(3550),
    [anon_sym_BSLASHva] = ACTIONS(3550),
    [anon_sym_BSLASHvp] = ACTIONS(3550),
    [anon_sym_BSLASHmte] = ACTIONS(3550),
    [anon_sym_BSLASHms] = ACTIONS(3550),
    [anon_sym_BSLASHs] = ACTIONS(3550),
    [anon_sym_BSLASHr] = ACTIONS(3550),
    [anon_sym_BSLASHsp] = ACTIONS(3550),
    [anon_sym_BSLASHd] = ACTIONS(3550),
    [anon_sym_BSLASHsd] = ACTIONS(3550),
    [anon_sym_BSLASHp] = ACTIONS(3550),
    [anon_sym_BSLASHm] = ACTIONS(3550),
    [anon_sym_BSLASHpo] = ACTIONS(3550),
    [anon_sym_BSLASHpr] = ACTIONS(3550),
    [anon_sym_BSLASHcls] = ACTIONS(3550),
    [anon_sym_BSLASHpmo] = ACTIONS(3550),
    [anon_sym_BSLASHpm] = ACTIONS(3550),
    [anon_sym_BSLASHpmc] = ACTIONS(3550),
    [anon_sym_BSLASHpmr] = ACTIONS(3550),
    [anon_sym_BSLASHpi] = ACTIONS(3550),
    [anon_sym_BSLASHmi] = ACTIONS(3550),
    [anon_sym_BSLASHnb] = ACTIONS(3550),
    [anon_sym_BSLASHpc] = ACTIONS(3550),
    [anon_sym_BSLASHph] = ACTIONS(3550),
    [anon_sym_BSLASHb] = ACTIONS(3550),
    [anon_sym_BSLASHq] = ACTIONS(3550),
    [anon_sym_BSLASHqr] = ACTIONS(3550),
    [anon_sym_BSLASHqc] = ACTIONS(3550),
    [anon_sym_BSLASHqa] = ACTIONS(3550),
    [anon_sym_BSLASHqm] = ACTIONS(3550),
    [anon_sym_BSLASHqd] = ACTIONS(3550),
    [anon_sym_BSLASHlh] = ACTIONS(3550),
    [anon_sym_BSLASHlf] = ACTIONS(3550),
    [anon_sym_BSLASHli] = ACTIONS(3550),
    [anon_sym_BSLASHlim] = ACTIONS(3550),
    [anon_sym_BSLASHliv] = ACTIONS(3550),
    [anon_sym_BSLASHlik] = ACTIONS(3550),
    [anon_sym_BSLASHlitl] = ACTIONS(3550),
    [anon_sym_BSLASHtr] = ACTIONS(3550),
    [anon_sym_BSLASHf] = ACTIONS(3550),
    [anon_sym_BSLASHfe] = ACTIONS(3550),
    [anon_sym_BSLASHef] = ACTIONS(3550),
    [anon_sym_BSLASHfm] = ACTIONS(3550),
    [anon_sym_BSLASHx] = ACTIONS(3550),
    [anon_sym_BSLASHxt] = ACTIONS(3550),
    [anon_sym_BSLASHrq] = ACTIONS(3550),
    [anon_sym_BSLASHadd] = ACTIONS(4309),
    [anon_sym_BSLASHbk] = ACTIONS(4312),
    [anon_sym_BSLASHdc] = ACTIONS(4315),
    [anon_sym_BSLASHk] = ACTIONS(4318),
    [anon_sym_BSLASHnd] = ACTIONS(4321),
    [anon_sym_BSLASHord] = ACTIONS(4324),
    [anon_sym_BSLASHpn] = ACTIONS(4327),
    [anon_sym_BSLASHpng] = ACTIONS(4330),
    [anon_sym_BSLASHaddpn] = ACTIONS(4333),
    [anon_sym_BSLASHqt] = ACTIONS(4336),
    [anon_sym_BSLASHsig] = ACTIONS(4339),
    [anon_sym_BSLASHsls] = ACTIONS(4342),
    [anon_sym_BSLASHtl] = ACTIONS(4345),
    [anon_sym_BSLASHwj] = ACTIONS(4348),
    [anon_sym_BSLASHem] = ACTIONS(4351),
    [anon_sym_BSLASHbd] = ACTIONS(4354),
    [anon_sym_BSLASHit] = ACTIONS(4357),
    [anon_sym_BSLASHbdit] = ACTIONS(4360),
    [anon_sym_BSLASHno] = ACTIONS(4363),
    [anon_sym_BSLASHsc] = ACTIONS(4366),
    [anon_sym_BSLASHsup] = ACTIONS(4369),
    [anon_sym_BSLASHndx] = ACTIONS(4372),
    [anon_sym_BSLASHpro] = ACTIONS(4375),
    [anon_sym_BSLASHrb] = ACTIONS(4378),
    [anon_sym_BSLASHw] = ACTIONS(4381),
    [anon_sym_BSLASHwg] = ACTIONS(4384),
    [anon_sym_BSLASHwh] = ACTIONS(4387),
    [anon_sym_BSLASHwa] = ACTIONS(4390),
    [anon_sym_BSLASHfig] = ACTIONS(3550),
    [anon_sym_BSLASHjmp] = ACTIONS(4393),
    [anon_sym_BSLASHpb] = ACTIONS(3550),
    [anon_sym_BSLASH] = ACTIONS(3550),
    [sym_milestoneStartTag] = ACTIONS(3550),
    [sym_milestoneEndTag] = ACTIONS(3550),
    [sym_zSpaceTag] = ACTIONS(3550),
    [anon_sym_BSLASHesbe] = ACTIONS(3550),
    [anon_sym_BSLASHcat] = ACTIONS(3550),
  },
  [333] = {
    [sym_text] = STATE(334),
    [sym_add] = STATE(334),
    [sym_bk] = STATE(334),
    [sym_dc] = STATE(334),
    [sym_k] = STATE(334),
    [sym_nd] = STATE(334),
    [sym_ord] = STATE(334),
    [sym_pn] = STATE(334),
    [sym_png] = STATE(334),
    [sym_addpn] = STATE(334),
    [sym_qt] = STATE(334),
    [sym_sig] = STATE(334),
    [sym_sls] = STATE(334),
    [sym_tl] = STATE(334),
    [sym_wj] = STATE(334),
    [sym_em] = STATE(334),
    [sym_bd] = STATE(334),
    [sym_it] = STATE(334),
    [sym_bdit] = STATE(334),
    [sym_no] = STATE(334),
    [sym_sc] = STATE(334),
    [sym_sup] = STATE(334),
    [sym_ndx] = STATE(334),
    [sym_pro] = STATE(334),
    [sym_rb] = STATE(334),
    [sym_w] = STATE(334),
    [sym_wg] = STATE(334),
    [sym_wh] = STATE(334),
    [sym_wa] = STATE(334),
    [sym__characterMarker] = STATE(334),
    [sym_fig] = STATE(334),
    [sym_jmp] = STATE(334),
    [aux_sym_verseText_repeat1] = STATE(334),
    [aux_sym_text_token1] = ACTIONS(1653),
    [anon_sym_BSLASHref] = ACTIONS(3442),
    [anon_sym_BSLASHsts] = ACTIONS(3442),
    [anon_sym_BSLASHrem] = ACTIONS(3442),
    [anon_sym_BSLASHrestore] = ACTIONS(3442),
    [anon_sym_BSLASHlit] = ACTIONS(3442),
    [anon_sym_BSLASHip] = ACTIONS(3442),
    [anon_sym_BSLASHv] = ACTIONS(3442),
    [anon_sym_BSLASHva] = ACTIONS(3442),
    [anon_sym_BSLASHvp] = ACTIONS(3442),
    [anon_sym_BSLASHmte] = ACTIONS(3442),
    [anon_sym_BSLASHms] = ACTIONS(3442),
    [anon_sym_BSLASHs] = ACTIONS(3442),
    [anon_sym_BSLASHr] = ACTIONS(3442),
    [anon_sym_BSLASHsp] = ACTIONS(3442),
    [anon_sym_BSLASHd] = ACTIONS(3442),
    [anon_sym_BSLASHsd] = ACTIONS(3442),
    [anon_sym_BSLASHp] = ACTIONS(3442),
    [anon_sym_BSLASHm] = ACTIONS(3442),
    [anon_sym_BSLASHpo] = ACTIONS(3442),
    [anon_sym_BSLASHpr] = ACTIONS(3442),
    [anon_sym_BSLASHcls] = ACTIONS(3442),
    [anon_sym_BSLASHpmo] = ACTIONS(3442),
    [anon_sym_BSLASHpm] = ACTIONS(3442),
    [anon_sym_BSLASHpmc] = ACTIONS(3442),
    [anon_sym_BSLASHpmr] = ACTIONS(3442),
    [anon_sym_BSLASHpi] = ACTIONS(3442),
    [anon_sym_BSLASHmi] = ACTIONS(3442),
    [anon_sym_BSLASHnb] = ACTIONS(3442),
    [anon_sym_BSLASHpc] = ACTIONS(3442),
    [anon_sym_BSLASHph] = ACTIONS(3442),
    [anon_sym_BSLASHb] = ACTIONS(3442),
    [anon_sym_BSLASHq] = ACTIONS(3442),
    [anon_sym_BSLASHqr] = ACTIONS(3442),
    [anon_sym_BSLASHqc] = ACTIONS(3442),
    [anon_sym_BSLASHqs] = ACTIONS(3442),
    [anon_sym_BSLASHqa] = ACTIONS(3442),
    [anon_sym_BSLASHqac] = ACTIONS(3442),
    [anon_sym_BSLASHqm] = ACTIONS(3442),
    [anon_sym_BSLASHqd] = ACTIONS(3442),
    [anon_sym_BSLASHlh] = ACTIONS(3442),
    [anon_sym_BSLASHli] = ACTIONS(3442),
    [anon_sym_BSLASHlim] = ACTIONS(3442),
    [anon_sym_BSLASHtr] = ACTIONS(3442),
    [anon_sym_BSLASHf] = ACTIONS(3442),
    [anon_sym_BSLASHfe] = ACTIONS(3442),
    [anon_sym_BSLASHef] = ACTIONS(3442),
    [anon_sym_BSLASHfm] = ACTIONS(3442),
    [anon_sym_BSLASHx] = ACTIONS(3442),
    [anon_sym_BSLASHxt] = ACTIONS(3442),
    [anon_sym_BSLASHrq] = ACTIONS(3442),
    [anon_sym_BSLASHadd] = ACTIONS(1689),
    [anon_sym_BSLASHbk] = ACTIONS(1691),
    [anon_sym_BSLASHdc] = ACTIONS(1693),
    [anon_sym_BSLASHk] = ACTIONS(1695),
    [anon_sym_BSLASHnd] = ACTIONS(1697),
    [anon_sym_BSLASHord] = ACTIONS(1699),
    [anon_sym_BSLASHpn] = ACTIONS(1701),
    [anon_sym_BSLASHpng] = ACTIONS(1703),
    [anon_sym_BSLASHaddpn] = ACTIONS(1705),
    [anon_sym_BSLASHqt] = ACTIONS(1707),
    [anon_sym_BSLASHsig] = ACTIONS(1709),
    [anon_sym_BSLASHsls] = ACTIONS(1711),
    [anon_sym_BSLASHtl] = ACTIONS(1713),
    [anon_sym_BSLASHwj] = ACTIONS(1715),
    [anon_sym_BSLASHem] = ACTIONS(1717),
    [anon_sym_BSLASHbd] = ACTIONS(1719),
    [anon_sym_BSLASHit] = ACTIONS(1721),
    [anon_sym_BSLASHbdit] = ACTIONS(1723),
    [anon_sym_BSLASHno] = ACTIONS(1725),
    [anon_sym_BSLASHsc] = ACTIONS(1727),
    [anon_sym_BSLASHsup] = ACTIONS(1729),
    [anon_sym_BSLASHndx] = ACTIONS(1731),
    [anon_sym_BSLASHpro] = ACTIONS(1733),
    [anon_sym_BSLASHrb] = ACTIONS(1735),
    [anon_sym_BSLASHw] = ACTIONS(1737),
    [anon_sym_BSLASHwg] = ACTIONS(1739),
    [anon_sym_BSLASHwh] = ACTIONS(1741),
    [anon_sym_BSLASHwa] = ACTIONS(1743),
    [anon_sym_BSLASHfig] = ACTIONS(1745),
    [anon_sym_BSLASHjmp] = ACTIONS(1747),
    [anon_sym_BSLASHpb] = ACTIONS(3442),
    [anon_sym_BSLASH] = ACTIONS(3442),
    [sym_milestoneStartTag] = ACTIONS(3442),
    [sym_milestoneEndTag] = ACTIONS(3442),
    [sym_zSpaceTag] = ACTIONS(3442),
    [anon_sym_BSLASHesbe] = ACTIONS(3442),
    [anon_sym_BSLASHcat] = ACTIONS(3442),
  },
  [334] = {
    [sym_text] = STATE(334),
    [sym_add] = STATE(334),
    [sym_bk] = STATE(334),
    [sym_dc] = STATE(334),
    [sym_k] = STATE(334),
    [sym_nd] = STATE(334),
    [sym_ord] = STATE(334),
    [sym_pn] = STATE(334),
    [sym_png] = STATE(334),
    [sym_addpn] = STATE(334),
    [sym_qt] = STATE(334),
    [sym_sig] = STATE(334),
    [sym_sls] = STATE(334),
    [sym_tl] = STATE(334),
    [sym_wj] = STATE(334),
    [sym_em] = STATE(334),
    [sym_bd] = STATE(334),
    [sym_it] = STATE(334),
    [sym_bdit] = STATE(334),
    [sym_no] = STATE(334),
    [sym_sc] = STATE(334),
    [sym_sup] = STATE(334),
    [sym_ndx] = STATE(334),
    [sym_pro] = STATE(334),
    [sym_rb] = STATE(334),
    [sym_w] = STATE(334),
    [sym_wg] = STATE(334),
    [sym_wh] = STATE(334),
    [sym_wa] = STATE(334),
    [sym__characterMarker] = STATE(334),
    [sym_fig] = STATE(334),
    [sym_jmp] = STATE(334),
    [aux_sym_verseText_repeat1] = STATE(334),
    [aux_sym_text_token1] = ACTIONS(4396),
    [anon_sym_BSLASHref] = ACTIONS(3449),
    [anon_sym_BSLASHsts] = ACTIONS(3449),
    [anon_sym_BSLASHrem] = ACTIONS(3449),
    [anon_sym_BSLASHrestore] = ACTIONS(3449),
    [anon_sym_BSLASHlit] = ACTIONS(3449),
    [anon_sym_BSLASHip] = ACTIONS(3449),
    [anon_sym_BSLASHv] = ACTIONS(3449),
    [anon_sym_BSLASHva] = ACTIONS(3449),
    [anon_sym_BSLASHvp] = ACTIONS(3449),
    [anon_sym_BSLASHmte] = ACTIONS(3449),
    [anon_sym_BSLASHms] = ACTIONS(3449),
    [anon_sym_BSLASHs] = ACTIONS(3449),
    [anon_sym_BSLASHr] = ACTIONS(3449),
    [anon_sym_BSLASHsp] = ACTIONS(3449),
    [anon_sym_BSLASHd] = ACTIONS(3449),
    [anon_sym_BSLASHsd] = ACTIONS(3449),
    [anon_sym_BSLASHp] = ACTIONS(3449),
    [anon_sym_BSLASHm] = ACTIONS(3449),
    [anon_sym_BSLASHpo] = ACTIONS(3449),
    [anon_sym_BSLASHpr] = ACTIONS(3449),
    [anon_sym_BSLASHcls] = ACTIONS(3449),
    [anon_sym_BSLASHpmo] = ACTIONS(3449),
    [anon_sym_BSLASHpm] = ACTIONS(3449),
    [anon_sym_BSLASHpmc] = ACTIONS(3449),
    [anon_sym_BSLASHpmr] = ACTIONS(3449),
    [anon_sym_BSLASHpi] = ACTIONS(3449),
    [anon_sym_BSLASHmi] = ACTIONS(3449),
    [anon_sym_BSLASHnb] = ACTIONS(3449),
    [anon_sym_BSLASHpc] = ACTIONS(3449),
    [anon_sym_BSLASHph] = ACTIONS(3449),
    [anon_sym_BSLASHb] = ACTIONS(3449),
    [anon_sym_BSLASHq] = ACTIONS(3449),
    [anon_sym_BSLASHqr] = ACTIONS(3449),
    [anon_sym_BSLASHqc] = ACTIONS(3449),
    [anon_sym_BSLASHqs] = ACTIONS(3449),
    [anon_sym_BSLASHqa] = ACTIONS(3449),
    [anon_sym_BSLASHqac] = ACTIONS(3449),
    [anon_sym_BSLASHqm] = ACTIONS(3449),
    [anon_sym_BSLASHqd] = ACTIONS(3449),
    [anon_sym_BSLASHlh] = ACTIONS(3449),
    [anon_sym_BSLASHli] = ACTIONS(3449),
    [anon_sym_BSLASHlim] = ACTIONS(3449),
    [anon_sym_BSLASHtr] = ACTIONS(3449),
    [anon_sym_BSLASHf] = ACTIONS(3449),
    [anon_sym_BSLASHfe] = ACTIONS(3449),
    [anon_sym_BSLASHef] = ACTIONS(3449),
    [anon_sym_BSLASHfm] = ACTIONS(3449),
    [anon_sym_BSLASHx] = ACTIONS(3449),
    [anon_sym_BSLASHxt] = ACTIONS(3449),
    [anon_sym_BSLASHrq] = ACTIONS(3449),
    [anon_sym_BSLASHadd] = ACTIONS(4399),
    [anon_sym_BSLASHbk] = ACTIONS(4402),
    [anon_sym_BSLASHdc] = ACTIONS(4405),
    [anon_sym_BSLASHk] = ACTIONS(4408),
    [anon_sym_BSLASHnd] = ACTIONS(4411),
    [anon_sym_BSLASHord] = ACTIONS(4414),
    [anon_sym_BSLASHpn] = ACTIONS(4417),
    [anon_sym_BSLASHpng] = ACTIONS(4420),
    [anon_sym_BSLASHaddpn] = ACTIONS(4423),
    [anon_sym_BSLASHqt] = ACTIONS(4426),
    [anon_sym_BSLASHsig] = ACTIONS(4429),
    [anon_sym_BSLASHsls] = ACTIONS(4432),
    [anon_sym_BSLASHtl] = ACTIONS(4435),
    [anon_sym_BSLASHwj] = ACTIONS(4438),
    [anon_sym_BSLASHem] = ACTIONS(4441),
    [anon_sym_BSLASHbd] = ACTIONS(4444),
    [anon_sym_BSLASHit] = ACTIONS(4447),
    [anon_sym_BSLASHbdit] = ACTIONS(4450),
    [anon_sym_BSLASHno] = ACTIONS(4453),
    [anon_sym_BSLASHsc] = ACTIONS(4456),
    [anon_sym_BSLASHsup] = ACTIONS(4459),
    [anon_sym_BSLASHndx] = ACTIONS(4462),
    [anon_sym_BSLASHpro] = ACTIONS(4465),
    [anon_sym_BSLASHrb] = ACTIONS(4468),
    [anon_sym_BSLASHw] = ACTIONS(4471),
    [anon_sym_BSLASHwg] = ACTIONS(4474),
    [anon_sym_BSLASHwh] = ACTIONS(4477),
    [anon_sym_BSLASHwa] = ACTIONS(4480),
    [anon_sym_BSLASHfig] = ACTIONS(4483),
    [anon_sym_BSLASHjmp] = ACTIONS(4486),
    [anon_sym_BSLASHpb] = ACTIONS(3449),
    [anon_sym_BSLASH] = ACTIONS(3449),
    [sym_milestoneStartTag] = ACTIONS(3449),
    [sym_milestoneEndTag] = ACTIONS(3449),
    [sym_zSpaceTag] = ACTIONS(3449),
    [anon_sym_BSLASHesbe] = ACTIONS(3449),
    [anon_sym_BSLASHcat] = ACTIONS(3449),
  },
  [335] = {
    [sym_text] = STATE(737),
    [sym_ref] = STATE(335),
    [sym__comments] = STATE(335),
    [sym_sts] = STATE(335),
    [sym_rem] = STATE(335),
    [sym_restore] = STATE(335),
    [sym_lit] = STATE(335),
    [sym_verseText] = STATE(335),
    [sym_v] = STATE(335),
    [sym__verseMeta] = STATE(335),
    [sym_va] = STATE(335),
    [sym_vp] = STATE(335),
    [sym__paragraphContent] = STATE(335),
    [sym__poetryContent] = STATE(335),
    [sym_qs] = STATE(335),
    [sym_qac] = STATE(335),
    [sym_footnote] = STATE(335),
    [sym_f] = STATE(1522),
    [sym_fe] = STATE(1522),
    [sym_ef] = STATE(1522),
    [sym_fm] = STATE(1522),
    [sym_crossref] = STATE(335),
    [sym_x] = STATE(1505),
    [sym_xt_standalone] = STATE(1505),
    [sym_rq] = STATE(1505),
    [sym_add] = STATE(737),
    [sym_bk] = STATE(737),
    [sym_dc] = STATE(737),
    [sym_k] = STATE(737),
    [sym_nd] = STATE(737),
    [sym_ord] = STATE(737),
    [sym_pn] = STATE(737),
    [sym_png] = STATE(737),
    [sym_addpn] = STATE(737),
    [sym_qt] = STATE(737),
    [sym_sig] = STATE(737),
    [sym_sls] = STATE(737),
    [sym_tl] = STATE(737),
    [sym_wj] = STATE(737),
    [sym_em] = STATE(737),
    [sym_bd] = STATE(737),
    [sym_it] = STATE(737),
    [sym_bdit] = STATE(737),
    [sym_no] = STATE(737),
    [sym_sc] = STATE(737),
    [sym_sup] = STATE(737),
    [sym_ndx] = STATE(737),
    [sym_pro] = STATE(737),
    [sym_rb] = STATE(737),
    [sym_w] = STATE(737),
    [sym_wg] = STATE(737),
    [sym_wh] = STATE(737),
    [sym_wa] = STATE(737),
    [sym__characterMarker] = STATE(737),
    [sym_fig] = STATE(737),
    [sym_jmp] = STATE(737),
    [sym_milestoneTag] = STATE(2079),
    [sym__milestoneStandaloneMarker] = STATE(1513),
    [sym__milestoneStart] = STATE(1513),
    [sym__milestoneEnd] = STATE(1513),
    [sym_milestone] = STATE(335),
    [sym__zNameSpaceRegular] = STATE(1516),
    [sym__zNameSpaceClosed] = STATE(1516),
    [sym__zNameSpaceStandaloneMarker] = STATE(1516),
    [sym_zNameSpace] = STATE(335),
    [aux_sym_verseText_repeat1] = STATE(737),
    [aux_sym_q_repeat1] = STATE(335),
    [aux_sym_text_token1] = ACTIONS(4489),
    [anon_sym_BSLASHref] = ACTIONS(4492),
    [anon_sym_BSLASHsts] = ACTIONS(4495),
    [anon_sym_BSLASHrem] = ACTIONS(4498),
    [anon_sym_BSLASHrestore] = ACTIONS(4501),
    [anon_sym_BSLASHlit] = ACTIONS(4504),
    [anon_sym_BSLASHv] = ACTIONS(4507),
    [anon_sym_BSLASHva] = ACTIONS(4510),
    [anon_sym_BSLASHvp] = ACTIONS(4513),
    [anon_sym_BSLASHqs] = ACTIONS(4516),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(660),
    [anon_sym_BSLASHqac] = ACTIONS(4519),
    [anon_sym_BSLASHf] = ACTIONS(4522),
    [anon_sym_BSLASHfe] = ACTIONS(4525),
    [anon_sym_BSLASHef] = ACTIONS(4528),
    [anon_sym_BSLASHfm] = ACTIONS(4531),
    [anon_sym_BSLASHx] = ACTIONS(4534),
    [anon_sym_BSLASHxt] = ACTIONS(4537),
    [anon_sym_BSLASHrq] = ACTIONS(4540),
    [anon_sym_BSLASHadd] = ACTIONS(4543),
    [anon_sym_BSLASHbk] = ACTIONS(4546),
    [anon_sym_BSLASHdc] = ACTIONS(4549),
    [anon_sym_BSLASHk] = ACTIONS(4552),
    [anon_sym_BSLASHnd] = ACTIONS(4555),
    [anon_sym_BSLASHord] = ACTIONS(4558),
    [anon_sym_BSLASHpn] = ACTIONS(4561),
    [anon_sym_BSLASHpng] = ACTIONS(4564),
    [anon_sym_BSLASHaddpn] = ACTIONS(4567),
    [anon_sym_BSLASHqt] = ACTIONS(4570),
    [anon_sym_BSLASHsig] = ACTIONS(4573),
    [anon_sym_BSLASHsls] = ACTIONS(4576),
    [anon_sym_BSLASHtl] = ACTIONS(4579),
    [anon_sym_BSLASHwj] = ACTIONS(4582),
    [anon_sym_BSLASHem] = ACTIONS(4585),
    [anon_sym_BSLASHbd] = ACTIONS(4588),
    [anon_sym_BSLASHit] = ACTIONS(4591),
    [anon_sym_BSLASHbdit] = ACTIONS(4594),
    [anon_sym_BSLASHno] = ACTIONS(4597),
    [anon_sym_BSLASHsc] = ACTIONS(4600),
    [anon_sym_BSLASHsup] = ACTIONS(4603),
    [anon_sym_BSLASHndx] = ACTIONS(4606),
    [anon_sym_BSLASHpro] = ACTIONS(4609),
    [anon_sym_BSLASHrb] = ACTIONS(4612),
    [anon_sym_BSLASHw] = ACTIONS(4615),
    [anon_sym_BSLASHwg] = ACTIONS(4618),
    [anon_sym_BSLASHwh] = ACTIONS(4621),
    [anon_sym_BSLASHwa] = ACTIONS(4624),
    [anon_sym_BSLASHfig] = ACTIONS(4627),
    [anon_sym_BSLASHjmp] = ACTIONS(4630),
    [anon_sym_BSLASH] = ACTIONS(788),
    [sym_milestoneStartTag] = ACTIONS(4633),
    [sym_milestoneEndTag] = ACTIONS(4636),
    [sym_zSpaceTag] = ACTIONS(4639),
  },
  [336] = {
    [sym_text] = STATE(336),
    [sym_add] = STATE(336),
    [sym_bk] = STATE(336),
    [sym_dc] = STATE(336),
    [sym_k] = STATE(336),
    [sym_nd] = STATE(336),
    [sym_ord] = STATE(336),
    [sym_pn] = STATE(336),
    [sym_png] = STATE(336),
    [sym_addpn] = STATE(336),
    [sym_qt] = STATE(336),
    [sym_sig] = STATE(336),
    [sym_sls] = STATE(336),
    [sym_tl] = STATE(336),
    [sym_wj] = STATE(336),
    [sym_em] = STATE(336),
    [sym_bd] = STATE(336),
    [sym_it] = STATE(336),
    [sym_bdit] = STATE(336),
    [sym_no] = STATE(336),
    [sym_sc] = STATE(336),
    [sym_sup] = STATE(336),
    [sym_ndx] = STATE(336),
    [sym_pro] = STATE(336),
    [sym_rb] = STATE(336),
    [sym_w] = STATE(336),
    [sym_wg] = STATE(336),
    [sym_wh] = STATE(336),
    [sym_wa] = STATE(336),
    [sym__characterMarker] = STATE(336),
    [sym_jmp] = STATE(336),
    [aux_sym_rem_repeat1] = STATE(336),
    [aux_sym_text_token1] = ACTIONS(4642),
    [anon_sym_BSLASHref] = ACTIONS(3550),
    [anon_sym_BSLASHsts] = ACTIONS(3550),
    [anon_sym_BSLASHrem] = ACTIONS(3550),
    [anon_sym_BSLASHrestore] = ACTIONS(3550),
    [anon_sym_BSLASHlit] = ACTIONS(3550),
    [anon_sym_BSLASHip] = ACTIONS(3550),
    [anon_sym_BSLASHv] = ACTIONS(3550),
    [anon_sym_BSLASHva] = ACTIONS(3550),
    [anon_sym_BSLASHvp] = ACTIONS(3550),
    [anon_sym_BSLASHmte] = ACTIONS(3550),
    [anon_sym_BSLASHms] = ACTIONS(3550),
    [anon_sym_BSLASHs] = ACTIONS(3550),
    [anon_sym_BSLASHr] = ACTIONS(3550),
    [anon_sym_BSLASHsp] = ACTIONS(3550),
    [anon_sym_BSLASHd] = ACTIONS(3550),
    [anon_sym_BSLASHsd] = ACTIONS(3550),
    [anon_sym_BSLASHp] = ACTIONS(3550),
    [anon_sym_BSLASHm] = ACTIONS(3550),
    [anon_sym_BSLASHpo] = ACTIONS(3550),
    [anon_sym_BSLASHpr] = ACTIONS(3550),
    [anon_sym_BSLASHcls] = ACTIONS(3550),
    [anon_sym_BSLASHpmo] = ACTIONS(3550),
    [anon_sym_BSLASHpm] = ACTIONS(3550),
    [anon_sym_BSLASHpmc] = ACTIONS(3550),
    [anon_sym_BSLASHpmr] = ACTIONS(3550),
    [anon_sym_BSLASHpi] = ACTIONS(3550),
    [anon_sym_BSLASHmi] = ACTIONS(3550),
    [anon_sym_BSLASHnb] = ACTIONS(3550),
    [anon_sym_BSLASHpc] = ACTIONS(3550),
    [anon_sym_BSLASHph] = ACTIONS(3550),
    [anon_sym_BSLASHb] = ACTIONS(3550),
    [anon_sym_BSLASHq] = ACTIONS(3550),
    [anon_sym_BSLASHqr] = ACTIONS(3550),
    [anon_sym_BSLASHqc] = ACTIONS(3550),
    [anon_sym_BSLASHqs] = ACTIONS(3550),
    [anon_sym_BSLASHqa] = ACTIONS(3550),
    [anon_sym_BSLASHqac] = ACTIONS(3550),
    [anon_sym_BSLASHqm] = ACTIONS(3550),
    [anon_sym_BSLASHqd] = ACTIONS(3550),
    [anon_sym_BSLASHlh] = ACTIONS(3550),
    [anon_sym_BSLASHli] = ACTIONS(3550),
    [anon_sym_BSLASHlim] = ACTIONS(3550),
    [anon_sym_BSLASHtr] = ACTIONS(3550),
    [anon_sym_BSLASHf] = ACTIONS(3550),
    [anon_sym_BSLASHfe] = ACTIONS(3550),
    [anon_sym_BSLASHef] = ACTIONS(3550),
    [anon_sym_BSLASHfm] = ACTIONS(3550),
    [anon_sym_BSLASHx] = ACTIONS(3550),
    [anon_sym_BSLASHxt] = ACTIONS(3550),
    [anon_sym_BSLASHrq] = ACTIONS(3550),
    [anon_sym_BSLASHadd] = ACTIONS(4645),
    [anon_sym_BSLASHbk] = ACTIONS(4648),
    [anon_sym_BSLASHdc] = ACTIONS(4651),
    [anon_sym_BSLASHk] = ACTIONS(4654),
    [anon_sym_BSLASHnd] = ACTIONS(4657),
    [anon_sym_BSLASHord] = ACTIONS(4660),
    [anon_sym_BSLASHpn] = ACTIONS(4663),
    [anon_sym_BSLASHpng] = ACTIONS(4666),
    [anon_sym_BSLASHaddpn] = ACTIONS(4669),
    [anon_sym_BSLASHqt] = ACTIONS(4672),
    [anon_sym_BSLASHsig] = ACTIONS(4675),
    [anon_sym_BSLASHsls] = ACTIONS(4678),
    [anon_sym_BSLASHtl] = ACTIONS(4681),
    [anon_sym_BSLASHwj] = ACTIONS(4684),
    [anon_sym_BSLASHem] = ACTIONS(4687),
    [anon_sym_BSLASHbd] = ACTIONS(4690),
    [anon_sym_BSLASHit] = ACTIONS(4693),
    [anon_sym_BSLASHbdit] = ACTIONS(4696),
    [anon_sym_BSLASHno] = ACTIONS(4699),
    [anon_sym_BSLASHsc] = ACTIONS(4702),
    [anon_sym_BSLASHsup] = ACTIONS(4705),
    [anon_sym_BSLASHndx] = ACTIONS(4708),
    [anon_sym_BSLASHpro] = ACTIONS(4711),
    [anon_sym_BSLASHrb] = ACTIONS(4714),
    [anon_sym_BSLASHw] = ACTIONS(4717),
    [anon_sym_BSLASHwg] = ACTIONS(4720),
    [anon_sym_BSLASHwh] = ACTIONS(4723),
    [anon_sym_BSLASHwa] = ACTIONS(4726),
    [anon_sym_BSLASHfig] = ACTIONS(3550),
    [anon_sym_BSLASHjmp] = ACTIONS(4729),
    [anon_sym_BSLASHpb] = ACTIONS(3550),
    [anon_sym_BSLASH] = ACTIONS(3550),
    [sym_milestoneStartTag] = ACTIONS(3550),
    [sym_milestoneEndTag] = ACTIONS(3550),
    [sym_zSpaceTag] = ACTIONS(3550),
    [anon_sym_BSLASHesbe] = ACTIONS(3550),
    [anon_sym_BSLASHcat] = ACTIONS(3550),
  },
  [337] = {
    [sym_text] = STATE(336),
    [sym_add] = STATE(336),
    [sym_bk] = STATE(336),
    [sym_dc] = STATE(336),
    [sym_k] = STATE(336),
    [sym_nd] = STATE(336),
    [sym_ord] = STATE(336),
    [sym_pn] = STATE(336),
    [sym_png] = STATE(336),
    [sym_addpn] = STATE(336),
    [sym_qt] = STATE(336),
    [sym_sig] = STATE(336),
    [sym_sls] = STATE(336),
    [sym_tl] = STATE(336),
    [sym_wj] = STATE(336),
    [sym_em] = STATE(336),
    [sym_bd] = STATE(336),
    [sym_it] = STATE(336),
    [sym_bdit] = STATE(336),
    [sym_no] = STATE(336),
    [sym_sc] = STATE(336),
    [sym_sup] = STATE(336),
    [sym_ndx] = STATE(336),
    [sym_pro] = STATE(336),
    [sym_rb] = STATE(336),
    [sym_w] = STATE(336),
    [sym_wg] = STATE(336),
    [sym_wh] = STATE(336),
    [sym_wa] = STATE(336),
    [sym__characterMarker] = STATE(336),
    [sym_jmp] = STATE(336),
    [aux_sym_rem_repeat1] = STATE(336),
    [aux_sym_text_token1] = ACTIONS(1653),
    [anon_sym_BSLASHref] = ACTIONS(3543),
    [anon_sym_BSLASHsts] = ACTIONS(3543),
    [anon_sym_BSLASHrem] = ACTIONS(3543),
    [anon_sym_BSLASHrestore] = ACTIONS(3543),
    [anon_sym_BSLASHlit] = ACTIONS(3543),
    [anon_sym_BSLASHip] = ACTIONS(3543),
    [anon_sym_BSLASHv] = ACTIONS(3543),
    [anon_sym_BSLASHva] = ACTIONS(3543),
    [anon_sym_BSLASHvp] = ACTIONS(3543),
    [anon_sym_BSLASHmte] = ACTIONS(3543),
    [anon_sym_BSLASHms] = ACTIONS(3543),
    [anon_sym_BSLASHs] = ACTIONS(3543),
    [anon_sym_BSLASHr] = ACTIONS(3543),
    [anon_sym_BSLASHsp] = ACTIONS(3543),
    [anon_sym_BSLASHd] = ACTIONS(3543),
    [anon_sym_BSLASHsd] = ACTIONS(3543),
    [anon_sym_BSLASHp] = ACTIONS(3543),
    [anon_sym_BSLASHm] = ACTIONS(3543),
    [anon_sym_BSLASHpo] = ACTIONS(3543),
    [anon_sym_BSLASHpr] = ACTIONS(3543),
    [anon_sym_BSLASHcls] = ACTIONS(3543),
    [anon_sym_BSLASHpmo] = ACTIONS(3543),
    [anon_sym_BSLASHpm] = ACTIONS(3543),
    [anon_sym_BSLASHpmc] = ACTIONS(3543),
    [anon_sym_BSLASHpmr] = ACTIONS(3543),
    [anon_sym_BSLASHpi] = ACTIONS(3543),
    [anon_sym_BSLASHmi] = ACTIONS(3543),
    [anon_sym_BSLASHnb] = ACTIONS(3543),
    [anon_sym_BSLASHpc] = ACTIONS(3543),
    [anon_sym_BSLASHph] = ACTIONS(3543),
    [anon_sym_BSLASHb] = ACTIONS(3543),
    [anon_sym_BSLASHq] = ACTIONS(3543),
    [anon_sym_BSLASHqr] = ACTIONS(3543),
    [anon_sym_BSLASHqc] = ACTIONS(3543),
    [anon_sym_BSLASHqs] = ACTIONS(3543),
    [anon_sym_BSLASHqa] = ACTIONS(3543),
    [anon_sym_BSLASHqac] = ACTIONS(3543),
    [anon_sym_BSLASHqm] = ACTIONS(3543),
    [anon_sym_BSLASHqd] = ACTIONS(3543),
    [anon_sym_BSLASHlh] = ACTIONS(3543),
    [anon_sym_BSLASHli] = ACTIONS(3543),
    [anon_sym_BSLASHlim] = ACTIONS(3543),
    [anon_sym_BSLASHtr] = ACTIONS(3543),
    [anon_sym_BSLASHf] = ACTIONS(3543),
    [anon_sym_BSLASHfe] = ACTIONS(3543),
    [anon_sym_BSLASHef] = ACTIONS(3543),
    [anon_sym_BSLASHfm] = ACTIONS(3543),
    [anon_sym_BSLASHx] = ACTIONS(3543),
    [anon_sym_BSLASHxt] = ACTIONS(3543),
    [anon_sym_BSLASHrq] = ACTIONS(3543),
    [anon_sym_BSLASHadd] = ACTIONS(1689),
    [anon_sym_BSLASHbk] = ACTIONS(1691),
    [anon_sym_BSLASHdc] = ACTIONS(1693),
    [anon_sym_BSLASHk] = ACTIONS(1695),
    [anon_sym_BSLASHnd] = ACTIONS(1697),
    [anon_sym_BSLASHord] = ACTIONS(1699),
    [anon_sym_BSLASHpn] = ACTIONS(1701),
    [anon_sym_BSLASHpng] = ACTIONS(1703),
    [anon_sym_BSLASHaddpn] = ACTIONS(1705),
    [anon_sym_BSLASHqt] = ACTIONS(1707),
    [anon_sym_BSLASHsig] = ACTIONS(1709),
    [anon_sym_BSLASHsls] = ACTIONS(1711),
    [anon_sym_BSLASHtl] = ACTIONS(1713),
    [anon_sym_BSLASHwj] = ACTIONS(1715),
    [anon_sym_BSLASHem] = ACTIONS(1717),
    [anon_sym_BSLASHbd] = ACTIONS(1719),
    [anon_sym_BSLASHit] = ACTIONS(1721),
    [anon_sym_BSLASHbdit] = ACTIONS(1723),
    [anon_sym_BSLASHno] = ACTIONS(1725),
    [anon_sym_BSLASHsc] = ACTIONS(1727),
    [anon_sym_BSLASHsup] = ACTIONS(1729),
    [anon_sym_BSLASHndx] = ACTIONS(1731),
    [anon_sym_BSLASHpro] = ACTIONS(1733),
    [anon_sym_BSLASHrb] = ACTIONS(1735),
    [anon_sym_BSLASHw] = ACTIONS(1737),
    [anon_sym_BSLASHwg] = ACTIONS(1739),
    [anon_sym_BSLASHwh] = ACTIONS(1741),
    [anon_sym_BSLASHwa] = ACTIONS(1743),
    [anon_sym_BSLASHfig] = ACTIONS(3543),
    [anon_sym_BSLASHjmp] = ACTIONS(1747),
    [anon_sym_BSLASHpb] = ACTIONS(3543),
    [anon_sym_BSLASH] = ACTIONS(3543),
    [sym_milestoneStartTag] = ACTIONS(3543),
    [sym_milestoneEndTag] = ACTIONS(3543),
    [sym_zSpaceTag] = ACTIONS(3543),
    [anon_sym_BSLASHesbe] = ACTIONS(3543),
    [anon_sym_BSLASHcat] = ACTIONS(3543),
  },
  [338] = {
    [sym_text] = STATE(340),
    [sym_xt_standalone] = STATE(340),
    [sym_add] = STATE(340),
    [sym_bk] = STATE(340),
    [sym_dc] = STATE(340),
    [sym_k] = STATE(340),
    [sym_nd] = STATE(340),
    [sym_ord] = STATE(340),
    [sym_pn] = STATE(340),
    [sym_png] = STATE(340),
    [sym_addpn] = STATE(340),
    [sym_qt] = STATE(340),
    [sym_sig] = STATE(340),
    [sym_sls] = STATE(340),
    [sym_tl] = STATE(340),
    [sym_wj] = STATE(340),
    [sym_em] = STATE(340),
    [sym_bd] = STATE(340),
    [sym_it] = STATE(340),
    [sym_bdit] = STATE(340),
    [sym_no] = STATE(340),
    [sym_sc] = STATE(340),
    [sym_sup] = STATE(340),
    [sym_ndx] = STATE(340),
    [sym_pro] = STATE(340),
    [sym_rb] = STATE(340),
    [sym_w] = STATE(340),
    [sym_wg] = STATE(340),
    [sym_wh] = STATE(340),
    [sym_wa] = STATE(340),
    [sym__characterMarker] = STATE(340),
    [sym_fig] = STATE(340),
    [sym_jmp] = STATE(340),
    [aux_sym_cd_repeat1] = STATE(340),
    [ts_builtin_sym_end] = ACTIONS(4732),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHsts] = ACTIONS(4734),
    [anon_sym_BSLASHrem] = ACTIONS(4734),
    [anon_sym_BSLASHrestore] = ACTIONS(4734),
    [anon_sym_BSLASHlit] = ACTIONS(4734),
    [anon_sym_BSLASHip] = ACTIONS(4734),
    [anon_sym_BSLASHiex] = ACTIONS(4734),
    [anon_sym_BSLASHc] = ACTIONS(4734),
    [anon_sym_BSLASHcl] = ACTIONS(4734),
    [anon_sym_BSLASHca] = ACTIONS(4734),
    [anon_sym_BSLASHcp] = ACTIONS(4734),
    [anon_sym_BSLASHcd] = ACTIONS(4734),
    [anon_sym_BSLASHmte] = ACTIONS(4734),
    [anon_sym_BSLASHms] = ACTIONS(4734),
    [anon_sym_BSLASHs] = ACTIONS(4734),
    [anon_sym_BSLASHr] = ACTIONS(4734),
    [anon_sym_BSLASHsp] = ACTIONS(4734),
    [anon_sym_BSLASHd] = ACTIONS(4734),
    [anon_sym_BSLASHsd] = ACTIONS(4734),
    [anon_sym_BSLASHp] = ACTIONS(4734),
    [anon_sym_BSLASHm] = ACTIONS(4734),
    [anon_sym_BSLASHpo] = ACTIONS(4734),
    [anon_sym_BSLASHpr] = ACTIONS(4734),
    [anon_sym_BSLASHcls] = ACTIONS(4734),
    [anon_sym_BSLASHpmo] = ACTIONS(4734),
    [anon_sym_BSLASHpm] = ACTIONS(4734),
    [anon_sym_BSLASHpmc] = ACTIONS(4734),
    [anon_sym_BSLASHpmr] = ACTIONS(4734),
    [anon_sym_BSLASHpi] = ACTIONS(4734),
    [anon_sym_BSLASHmi] = ACTIONS(4734),
    [anon_sym_BSLASHnb] = ACTIONS(4734),
    [anon_sym_BSLASHpc] = ACTIONS(4734),
    [anon_sym_BSLASHph] = ACTIONS(4734),
    [anon_sym_BSLASHb] = ACTIONS(4734),
    [anon_sym_BSLASHq] = ACTIONS(4734),
    [anon_sym_BSLASHqr] = ACTIONS(4734),
    [anon_sym_BSLASHqc] = ACTIONS(4734),
    [anon_sym_BSLASHqa] = ACTIONS(4734),
    [anon_sym_BSLASHqm] = ACTIONS(4734),
    [anon_sym_BSLASHqd] = ACTIONS(4734),
    [anon_sym_BSLASHlh] = ACTIONS(4734),
    [anon_sym_BSLASHli] = ACTIONS(4734),
    [anon_sym_BSLASHlim] = ACTIONS(4734),
    [anon_sym_BSLASHtr] = ACTIONS(4734),
    [anon_sym_BSLASHf] = ACTIONS(4734),
    [anon_sym_BSLASHfe] = ACTIONS(4734),
    [anon_sym_BSLASHef] = ACTIONS(4734),
    [anon_sym_BSLASHfm] = ACTIONS(4734),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
    [anon_sym_BSLASHpb] = ACTIONS(4734),
    [anon_sym_BSLASH] = ACTIONS(4734),
    [sym_milestoneStartTag] = ACTIONS(4734),
    [sym_milestoneEndTag] = ACTIONS(4734),
    [sym_zSpaceTag] = ACTIONS(4734),
    [anon_sym_BSLASHesb] = ACTIONS(4734),
  },
  [339] = {
    [sym_text] = STATE(737),
    [sym_ref] = STATE(345),
    [sym__comments] = STATE(345),
    [sym_sts] = STATE(345),
    [sym_rem] = STATE(345),
    [sym_restore] = STATE(345),
    [sym_lit] = STATE(345),
    [sym_verseText] = STATE(345),
    [sym_v] = STATE(345),
    [sym__verseMeta] = STATE(345),
    [sym_va] = STATE(345),
    [sym_vp] = STATE(345),
    [sym__paragraphContent] = STATE(345),
    [sym__poetryContent] = STATE(345),
    [sym_qs] = STATE(345),
    [sym_qac] = STATE(345),
    [sym_footnote] = STATE(345),
    [sym_f] = STATE(1522),
    [sym_fe] = STATE(1522),
    [sym_ef] = STATE(1522),
    [sym_fm] = STATE(1522),
    [sym_crossref] = STATE(345),
    [sym_x] = STATE(1505),
    [sym_xt_standalone] = STATE(1505),
    [sym_rq] = STATE(1505),
    [sym_add] = STATE(737),
    [sym_bk] = STATE(737),
    [sym_dc] = STATE(737),
    [sym_k] = STATE(737),
    [sym_nd] = STATE(737),
    [sym_ord] = STATE(737),
    [sym_pn] = STATE(737),
    [sym_png] = STATE(737),
    [sym_addpn] = STATE(737),
    [sym_qt] = STATE(737),
    [sym_sig] = STATE(737),
    [sym_sls] = STATE(737),
    [sym_tl] = STATE(737),
    [sym_wj] = STATE(737),
    [sym_em] = STATE(737),
    [sym_bd] = STATE(737),
    [sym_it] = STATE(737),
    [sym_bdit] = STATE(737),
    [sym_no] = STATE(737),
    [sym_sc] = STATE(737),
    [sym_sup] = STATE(737),
    [sym_ndx] = STATE(737),
    [sym_pro] = STATE(737),
    [sym_rb] = STATE(737),
    [sym_w] = STATE(737),
    [sym_wg] = STATE(737),
    [sym_wh] = STATE(737),
    [sym_wa] = STATE(737),
    [sym__characterMarker] = STATE(737),
    [sym_fig] = STATE(737),
    [sym_jmp] = STATE(737),
    [sym_milestoneTag] = STATE(2079),
    [sym__milestoneStandaloneMarker] = STATE(1513),
    [sym__milestoneStart] = STATE(1513),
    [sym__milestoneEnd] = STATE(1513),
    [sym_milestone] = STATE(345),
    [sym__zNameSpaceRegular] = STATE(1516),
    [sym__zNameSpaceClosed] = STATE(1516),
    [sym__zNameSpaceStandaloneMarker] = STATE(1516),
    [sym_zNameSpace] = STATE(345),
    [aux_sym_verseText_repeat1] = STATE(737),
    [aux_sym_q_repeat1] = STATE(345),
    [aux_sym_text_token1] = ACTIONS(4736),
    [anon_sym_BSLASHref] = ACTIONS(4738),
    [anon_sym_BSLASHsts] = ACTIONS(4740),
    [anon_sym_BSLASHrem] = ACTIONS(4742),
    [anon_sym_BSLASHrestore] = ACTIONS(4744),
    [anon_sym_BSLASHlit] = ACTIONS(4746),
    [anon_sym_BSLASHv] = ACTIONS(4748),
    [anon_sym_BSLASHva] = ACTIONS(4750),
    [anon_sym_BSLASHvp] = ACTIONS(4752),
    [anon_sym_BSLASHqs] = ACTIONS(4754),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4756),
    [anon_sym_BSLASHqac] = ACTIONS(4758),
    [anon_sym_BSLASHf] = ACTIONS(4760),
    [anon_sym_BSLASHfe] = ACTIONS(4762),
    [anon_sym_BSLASHef] = ACTIONS(4764),
    [anon_sym_BSLASHfm] = ACTIONS(4766),
    [anon_sym_BSLASHx] = ACTIONS(4768),
    [anon_sym_BSLASHxt] = ACTIONS(4770),
    [anon_sym_BSLASHrq] = ACTIONS(4772),
    [anon_sym_BSLASHadd] = ACTIONS(4774),
    [anon_sym_BSLASHbk] = ACTIONS(4776),
    [anon_sym_BSLASHdc] = ACTIONS(4778),
    [anon_sym_BSLASHk] = ACTIONS(4780),
    [anon_sym_BSLASHnd] = ACTIONS(4782),
    [anon_sym_BSLASHord] = ACTIONS(4784),
    [anon_sym_BSLASHpn] = ACTIONS(4786),
    [anon_sym_BSLASHpng] = ACTIONS(4788),
    [anon_sym_BSLASHaddpn] = ACTIONS(4790),
    [anon_sym_BSLASHqt] = ACTIONS(4792),
    [anon_sym_BSLASHsig] = ACTIONS(4794),
    [anon_sym_BSLASHsls] = ACTIONS(4796),
    [anon_sym_BSLASHtl] = ACTIONS(4798),
    [anon_sym_BSLASHwj] = ACTIONS(4800),
    [anon_sym_BSLASHem] = ACTIONS(4802),
    [anon_sym_BSLASHbd] = ACTIONS(4804),
    [anon_sym_BSLASHit] = ACTIONS(4806),
    [anon_sym_BSLASHbdit] = ACTIONS(4808),
    [anon_sym_BSLASHno] = ACTIONS(4810),
    [anon_sym_BSLASHsc] = ACTIONS(4812),
    [anon_sym_BSLASHsup] = ACTIONS(4814),
    [anon_sym_BSLASHndx] = ACTIONS(4816),
    [anon_sym_BSLASHpro] = ACTIONS(4818),
    [anon_sym_BSLASHrb] = ACTIONS(4820),
    [anon_sym_BSLASHw] = ACTIONS(4822),
    [anon_sym_BSLASHwg] = ACTIONS(4824),
    [anon_sym_BSLASHwh] = ACTIONS(4826),
    [anon_sym_BSLASHwa] = ACTIONS(4828),
    [anon_sym_BSLASHfig] = ACTIONS(4830),
    [anon_sym_BSLASHjmp] = ACTIONS(4832),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(4834),
    [sym_milestoneEndTag] = ACTIONS(4836),
    [sym_zSpaceTag] = ACTIONS(4838),
  },
  [340] = {
    [sym_text] = STATE(340),
    [sym_xt_standalone] = STATE(340),
    [sym_add] = STATE(340),
    [sym_bk] = STATE(340),
    [sym_dc] = STATE(340),
    [sym_k] = STATE(340),
    [sym_nd] = STATE(340),
    [sym_ord] = STATE(340),
    [sym_pn] = STATE(340),
    [sym_png] = STATE(340),
    [sym_addpn] = STATE(340),
    [sym_qt] = STATE(340),
    [sym_sig] = STATE(340),
    [sym_sls] = STATE(340),
    [sym_tl] = STATE(340),
    [sym_wj] = STATE(340),
    [sym_em] = STATE(340),
    [sym_bd] = STATE(340),
    [sym_it] = STATE(340),
    [sym_bdit] = STATE(340),
    [sym_no] = STATE(340),
    [sym_sc] = STATE(340),
    [sym_sup] = STATE(340),
    [sym_ndx] = STATE(340),
    [sym_pro] = STATE(340),
    [sym_rb] = STATE(340),
    [sym_w] = STATE(340),
    [sym_wg] = STATE(340),
    [sym_wh] = STATE(340),
    [sym_wa] = STATE(340),
    [sym__characterMarker] = STATE(340),
    [sym_fig] = STATE(340),
    [sym_jmp] = STATE(340),
    [aux_sym_cd_repeat1] = STATE(340),
    [ts_builtin_sym_end] = ACTIONS(4840),
    [aux_sym_text_token1] = ACTIONS(4842),
    [anon_sym_BSLASHsts] = ACTIONS(4845),
    [anon_sym_BSLASHrem] = ACTIONS(4845),
    [anon_sym_BSLASHrestore] = ACTIONS(4845),
    [anon_sym_BSLASHlit] = ACTIONS(4845),
    [anon_sym_BSLASHip] = ACTIONS(4845),
    [anon_sym_BSLASHiex] = ACTIONS(4845),
    [anon_sym_BSLASHc] = ACTIONS(4845),
    [anon_sym_BSLASHcl] = ACTIONS(4845),
    [anon_sym_BSLASHca] = ACTIONS(4845),
    [anon_sym_BSLASHcp] = ACTIONS(4845),
    [anon_sym_BSLASHcd] = ACTIONS(4845),
    [anon_sym_BSLASHmte] = ACTIONS(4845),
    [anon_sym_BSLASHms] = ACTIONS(4845),
    [anon_sym_BSLASHs] = ACTIONS(4845),
    [anon_sym_BSLASHr] = ACTIONS(4845),
    [anon_sym_BSLASHsp] = ACTIONS(4845),
    [anon_sym_BSLASHd] = ACTIONS(4845),
    [anon_sym_BSLASHsd] = ACTIONS(4845),
    [anon_sym_BSLASHp] = ACTIONS(4845),
    [anon_sym_BSLASHm] = ACTIONS(4845),
    [anon_sym_BSLASHpo] = ACTIONS(4845),
    [anon_sym_BSLASHpr] = ACTIONS(4845),
    [anon_sym_BSLASHcls] = ACTIONS(4845),
    [anon_sym_BSLASHpmo] = ACTIONS(4845),
    [anon_sym_BSLASHpm] = ACTIONS(4845),
    [anon_sym_BSLASHpmc] = ACTIONS(4845),
    [anon_sym_BSLASHpmr] = ACTIONS(4845),
    [anon_sym_BSLASHpi] = ACTIONS(4845),
    [anon_sym_BSLASHmi] = ACTIONS(4845),
    [anon_sym_BSLASHnb] = ACTIONS(4845),
    [anon_sym_BSLASHpc] = ACTIONS(4845),
    [anon_sym_BSLASHph] = ACTIONS(4845),
    [anon_sym_BSLASHb] = ACTIONS(4845),
    [anon_sym_BSLASHq] = ACTIONS(4845),
    [anon_sym_BSLASHqr] = ACTIONS(4845),
    [anon_sym_BSLASHqc] = ACTIONS(4845),
    [anon_sym_BSLASHqa] = ACTIONS(4845),
    [anon_sym_BSLASHqm] = ACTIONS(4845),
    [anon_sym_BSLASHqd] = ACTIONS(4845),
    [anon_sym_BSLASHlh] = ACTIONS(4845),
    [anon_sym_BSLASHli] = ACTIONS(4845),
    [anon_sym_BSLASHlim] = ACTIONS(4845),
    [anon_sym_BSLASHtr] = ACTIONS(4845),
    [anon_sym_BSLASHf] = ACTIONS(4845),
    [anon_sym_BSLASHfe] = ACTIONS(4845),
    [anon_sym_BSLASHef] = ACTIONS(4845),
    [anon_sym_BSLASHfm] = ACTIONS(4845),
    [anon_sym_BSLASHxt] = ACTIONS(4847),
    [anon_sym_BSLASHadd] = ACTIONS(4850),
    [anon_sym_BSLASHbk] = ACTIONS(4853),
    [anon_sym_BSLASHdc] = ACTIONS(4856),
    [anon_sym_BSLASHk] = ACTIONS(4859),
    [anon_sym_BSLASHnd] = ACTIONS(4862),
    [anon_sym_BSLASHord] = ACTIONS(4865),
    [anon_sym_BSLASHpn] = ACTIONS(4868),
    [anon_sym_BSLASHpng] = ACTIONS(4871),
    [anon_sym_BSLASHaddpn] = ACTIONS(4874),
    [anon_sym_BSLASHqt] = ACTIONS(4877),
    [anon_sym_BSLASHsig] = ACTIONS(4880),
    [anon_sym_BSLASHsls] = ACTIONS(4883),
    [anon_sym_BSLASHtl] = ACTIONS(4886),
    [anon_sym_BSLASHwj] = ACTIONS(4889),
    [anon_sym_BSLASHem] = ACTIONS(4892),
    [anon_sym_BSLASHbd] = ACTIONS(4895),
    [anon_sym_BSLASHit] = ACTIONS(4898),
    [anon_sym_BSLASHbdit] = ACTIONS(4901),
    [anon_sym_BSLASHno] = ACTIONS(4904),
    [anon_sym_BSLASHsc] = ACTIONS(4907),
    [anon_sym_BSLASHsup] = ACTIONS(4910),
    [anon_sym_BSLASHndx] = ACTIONS(4913),
    [anon_sym_BSLASHpro] = ACTIONS(4916),
    [anon_sym_BSLASHrb] = ACTIONS(4919),
    [anon_sym_BSLASHw] = ACTIONS(4922),
    [anon_sym_BSLASHwg] = ACTIONS(4925),
    [anon_sym_BSLASHwh] = ACTIONS(4928),
    [anon_sym_BSLASHwa] = ACTIONS(4931),
    [anon_sym_BSLASHfig] = ACTIONS(4934),
    [anon_sym_BSLASHjmp] = ACTIONS(4937),
    [anon_sym_BSLASHpb] = ACTIONS(4845),
    [anon_sym_BSLASH] = ACTIONS(4845),
    [sym_milestoneStartTag] = ACTIONS(4845),
    [sym_milestoneEndTag] = ACTIONS(4845),
    [sym_zSpaceTag] = ACTIONS(4845),
    [anon_sym_BSLASHesb] = ACTIONS(4845),
  },
  [341] = {
    [sym_text] = STATE(737),
    [sym_ref] = STATE(335),
    [sym__comments] = STATE(335),
    [sym_sts] = STATE(335),
    [sym_rem] = STATE(335),
    [sym_restore] = STATE(335),
    [sym_lit] = STATE(335),
    [sym_verseText] = STATE(335),
    [sym_v] = STATE(335),
    [sym__verseMeta] = STATE(335),
    [sym_va] = STATE(335),
    [sym_vp] = STATE(335),
    [sym__paragraphContent] = STATE(335),
    [sym__poetryContent] = STATE(335),
    [sym_qs] = STATE(335),
    [sym_qac] = STATE(335),
    [sym_footnote] = STATE(335),
    [sym_f] = STATE(1522),
    [sym_fe] = STATE(1522),
    [sym_ef] = STATE(1522),
    [sym_fm] = STATE(1522),
    [sym_crossref] = STATE(335),
    [sym_x] = STATE(1505),
    [sym_xt_standalone] = STATE(1505),
    [sym_rq] = STATE(1505),
    [sym_add] = STATE(737),
    [sym_bk] = STATE(737),
    [sym_dc] = STATE(737),
    [sym_k] = STATE(737),
    [sym_nd] = STATE(737),
    [sym_ord] = STATE(737),
    [sym_pn] = STATE(737),
    [sym_png] = STATE(737),
    [sym_addpn] = STATE(737),
    [sym_qt] = STATE(737),
    [sym_sig] = STATE(737),
    [sym_sls] = STATE(737),
    [sym_tl] = STATE(737),
    [sym_wj] = STATE(737),
    [sym_em] = STATE(737),
    [sym_bd] = STATE(737),
    [sym_it] = STATE(737),
    [sym_bdit] = STATE(737),
    [sym_no] = STATE(737),
    [sym_sc] = STATE(737),
    [sym_sup] = STATE(737),
    [sym_ndx] = STATE(737),
    [sym_pro] = STATE(737),
    [sym_rb] = STATE(737),
    [sym_w] = STATE(737),
    [sym_wg] = STATE(737),
    [sym_wh] = STATE(737),
    [sym_wa] = STATE(737),
    [sym__characterMarker] = STATE(737),
    [sym_fig] = STATE(737),
    [sym_jmp] = STATE(737),
    [sym_milestoneTag] = STATE(2079),
    [sym__milestoneStandaloneMarker] = STATE(1513),
    [sym__milestoneStart] = STATE(1513),
    [sym__milestoneEnd] = STATE(1513),
    [sym_milestone] = STATE(335),
    [sym__zNameSpaceRegular] = STATE(1516),
    [sym__zNameSpaceClosed] = STATE(1516),
    [sym__zNameSpaceStandaloneMarker] = STATE(1516),
    [sym_zNameSpace] = STATE(335),
    [aux_sym_verseText_repeat1] = STATE(737),
    [aux_sym_q_repeat1] = STATE(335),
    [aux_sym_text_token1] = ACTIONS(4736),
    [anon_sym_BSLASHref] = ACTIONS(4738),
    [anon_sym_BSLASHsts] = ACTIONS(4740),
    [anon_sym_BSLASHrem] = ACTIONS(4742),
    [anon_sym_BSLASHrestore] = ACTIONS(4744),
    [anon_sym_BSLASHlit] = ACTIONS(4746),
    [anon_sym_BSLASHv] = ACTIONS(4748),
    [anon_sym_BSLASHva] = ACTIONS(4750),
    [anon_sym_BSLASHvp] = ACTIONS(4752),
    [anon_sym_BSLASHqs] = ACTIONS(4754),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4940),
    [anon_sym_BSLASHqac] = ACTIONS(4758),
    [anon_sym_BSLASHf] = ACTIONS(4760),
    [anon_sym_BSLASHfe] = ACTIONS(4762),
    [anon_sym_BSLASHef] = ACTIONS(4764),
    [anon_sym_BSLASHfm] = ACTIONS(4766),
    [anon_sym_BSLASHx] = ACTIONS(4768),
    [anon_sym_BSLASHxt] = ACTIONS(4770),
    [anon_sym_BSLASHrq] = ACTIONS(4772),
    [anon_sym_BSLASHadd] = ACTIONS(4774),
    [anon_sym_BSLASHbk] = ACTIONS(4776),
    [anon_sym_BSLASHdc] = ACTIONS(4778),
    [anon_sym_BSLASHk] = ACTIONS(4780),
    [anon_sym_BSLASHnd] = ACTIONS(4782),
    [anon_sym_BSLASHord] = ACTIONS(4784),
    [anon_sym_BSLASHpn] = ACTIONS(4786),
    [anon_sym_BSLASHpng] = ACTIONS(4788),
    [anon_sym_BSLASHaddpn] = ACTIONS(4790),
    [anon_sym_BSLASHqt] = ACTIONS(4792),
    [anon_sym_BSLASHsig] = ACTIONS(4794),
    [anon_sym_BSLASHsls] = ACTIONS(4796),
    [anon_sym_BSLASHtl] = ACTIONS(4798),
    [anon_sym_BSLASHwj] = ACTIONS(4800),
    [anon_sym_BSLASHem] = ACTIONS(4802),
    [anon_sym_BSLASHbd] = ACTIONS(4804),
    [anon_sym_BSLASHit] = ACTIONS(4806),
    [anon_sym_BSLASHbdit] = ACTIONS(4808),
    [anon_sym_BSLASHno] = ACTIONS(4810),
    [anon_sym_BSLASHsc] = ACTIONS(4812),
    [anon_sym_BSLASHsup] = ACTIONS(4814),
    [anon_sym_BSLASHndx] = ACTIONS(4816),
    [anon_sym_BSLASHpro] = ACTIONS(4818),
    [anon_sym_BSLASHrb] = ACTIONS(4820),
    [anon_sym_BSLASHw] = ACTIONS(4822),
    [anon_sym_BSLASHwg] = ACTIONS(4824),
    [anon_sym_BSLASHwh] = ACTIONS(4826),
    [anon_sym_BSLASHwa] = ACTIONS(4828),
    [anon_sym_BSLASHfig] = ACTIONS(4830),
    [anon_sym_BSLASHjmp] = ACTIONS(4832),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(4834),
    [sym_milestoneEndTag] = ACTIONS(4836),
    [sym_zSpaceTag] = ACTIONS(4838),
  },
  [342] = {
    [sym_text] = STATE(737),
    [sym_ref] = STATE(341),
    [sym__comments] = STATE(341),
    [sym_sts] = STATE(341),
    [sym_rem] = STATE(341),
    [sym_restore] = STATE(341),
    [sym_lit] = STATE(341),
    [sym_verseText] = STATE(341),
    [sym_v] = STATE(341),
    [sym__verseMeta] = STATE(341),
    [sym_va] = STATE(341),
    [sym_vp] = STATE(341),
    [sym__paragraphContent] = STATE(341),
    [sym__poetryContent] = STATE(341),
    [sym_qs] = STATE(341),
    [sym_qac] = STATE(341),
    [sym_footnote] = STATE(341),
    [sym_f] = STATE(1522),
    [sym_fe] = STATE(1522),
    [sym_ef] = STATE(1522),
    [sym_fm] = STATE(1522),
    [sym_crossref] = STATE(341),
    [sym_x] = STATE(1505),
    [sym_xt_standalone] = STATE(1505),
    [sym_rq] = STATE(1505),
    [sym_add] = STATE(737),
    [sym_bk] = STATE(737),
    [sym_dc] = STATE(737),
    [sym_k] = STATE(737),
    [sym_nd] = STATE(737),
    [sym_ord] = STATE(737),
    [sym_pn] = STATE(737),
    [sym_png] = STATE(737),
    [sym_addpn] = STATE(737),
    [sym_qt] = STATE(737),
    [sym_sig] = STATE(737),
    [sym_sls] = STATE(737),
    [sym_tl] = STATE(737),
    [sym_wj] = STATE(737),
    [sym_em] = STATE(737),
    [sym_bd] = STATE(737),
    [sym_it] = STATE(737),
    [sym_bdit] = STATE(737),
    [sym_no] = STATE(737),
    [sym_sc] = STATE(737),
    [sym_sup] = STATE(737),
    [sym_ndx] = STATE(737),
    [sym_pro] = STATE(737),
    [sym_rb] = STATE(737),
    [sym_w] = STATE(737),
    [sym_wg] = STATE(737),
    [sym_wh] = STATE(737),
    [sym_wa] = STATE(737),
    [sym__characterMarker] = STATE(737),
    [sym_fig] = STATE(737),
    [sym_jmp] = STATE(737),
    [sym_milestoneTag] = STATE(2079),
    [sym__milestoneStandaloneMarker] = STATE(1513),
    [sym__milestoneStart] = STATE(1513),
    [sym__milestoneEnd] = STATE(1513),
    [sym_milestone] = STATE(341),
    [sym__zNameSpaceRegular] = STATE(1516),
    [sym__zNameSpaceClosed] = STATE(1516),
    [sym__zNameSpaceStandaloneMarker] = STATE(1516),
    [sym_zNameSpace] = STATE(341),
    [aux_sym_verseText_repeat1] = STATE(737),
    [aux_sym_q_repeat1] = STATE(341),
    [aux_sym_text_token1] = ACTIONS(4736),
    [anon_sym_BSLASHref] = ACTIONS(4738),
    [anon_sym_BSLASHsts] = ACTIONS(4740),
    [anon_sym_BSLASHrem] = ACTIONS(4742),
    [anon_sym_BSLASHrestore] = ACTIONS(4744),
    [anon_sym_BSLASHlit] = ACTIONS(4746),
    [anon_sym_BSLASHv] = ACTIONS(4748),
    [anon_sym_BSLASHva] = ACTIONS(4750),
    [anon_sym_BSLASHvp] = ACTIONS(4752),
    [anon_sym_BSLASHqs] = ACTIONS(4754),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4942),
    [anon_sym_BSLASHqac] = ACTIONS(4758),
    [anon_sym_BSLASHf] = ACTIONS(4760),
    [anon_sym_BSLASHfe] = ACTIONS(4762),
    [anon_sym_BSLASHef] = ACTIONS(4764),
    [anon_sym_BSLASHfm] = ACTIONS(4766),
    [anon_sym_BSLASHx] = ACTIONS(4768),
    [anon_sym_BSLASHxt] = ACTIONS(4770),
    [anon_sym_BSLASHrq] = ACTIONS(4772),
    [anon_sym_BSLASHadd] = ACTIONS(4774),
    [anon_sym_BSLASHbk] = ACTIONS(4776),
    [anon_sym_BSLASHdc] = ACTIONS(4778),
    [anon_sym_BSLASHk] = ACTIONS(4780),
    [anon_sym_BSLASHnd] = ACTIONS(4782),
    [anon_sym_BSLASHord] = ACTIONS(4784),
    [anon_sym_BSLASHpn] = ACTIONS(4786),
    [anon_sym_BSLASHpng] = ACTIONS(4788),
    [anon_sym_BSLASHaddpn] = ACTIONS(4790),
    [anon_sym_BSLASHqt] = ACTIONS(4792),
    [anon_sym_BSLASHsig] = ACTIONS(4794),
    [anon_sym_BSLASHsls] = ACTIONS(4796),
    [anon_sym_BSLASHtl] = ACTIONS(4798),
    [anon_sym_BSLASHwj] = ACTIONS(4800),
    [anon_sym_BSLASHem] = ACTIONS(4802),
    [anon_sym_BSLASHbd] = ACTIONS(4804),
    [anon_sym_BSLASHit] = ACTIONS(4806),
    [anon_sym_BSLASHbdit] = ACTIONS(4808),
    [anon_sym_BSLASHno] = ACTIONS(4810),
    [anon_sym_BSLASHsc] = ACTIONS(4812),
    [anon_sym_BSLASHsup] = ACTIONS(4814),
    [anon_sym_BSLASHndx] = ACTIONS(4816),
    [anon_sym_BSLASHpro] = ACTIONS(4818),
    [anon_sym_BSLASHrb] = ACTIONS(4820),
    [anon_sym_BSLASHw] = ACTIONS(4822),
    [anon_sym_BSLASHwg] = ACTIONS(4824),
    [anon_sym_BSLASHwh] = ACTIONS(4826),
    [anon_sym_BSLASHwa] = ACTIONS(4828),
    [anon_sym_BSLASHfig] = ACTIONS(4830),
    [anon_sym_BSLASHjmp] = ACTIONS(4832),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(4834),
    [sym_milestoneEndTag] = ACTIONS(4836),
    [sym_zSpaceTag] = ACTIONS(4838),
  },
  [343] = {
    [sym_text] = STATE(737),
    [sym_ref] = STATE(335),
    [sym__comments] = STATE(335),
    [sym_sts] = STATE(335),
    [sym_rem] = STATE(335),
    [sym_restore] = STATE(335),
    [sym_lit] = STATE(335),
    [sym_verseText] = STATE(335),
    [sym_v] = STATE(335),
    [sym__verseMeta] = STATE(335),
    [sym_va] = STATE(335),
    [sym_vp] = STATE(335),
    [sym__paragraphContent] = STATE(335),
    [sym__poetryContent] = STATE(335),
    [sym_qs] = STATE(335),
    [sym_qac] = STATE(335),
    [sym_footnote] = STATE(335),
    [sym_f] = STATE(1522),
    [sym_fe] = STATE(1522),
    [sym_ef] = STATE(1522),
    [sym_fm] = STATE(1522),
    [sym_crossref] = STATE(335),
    [sym_x] = STATE(1505),
    [sym_xt_standalone] = STATE(1505),
    [sym_rq] = STATE(1505),
    [sym_add] = STATE(737),
    [sym_bk] = STATE(737),
    [sym_dc] = STATE(737),
    [sym_k] = STATE(737),
    [sym_nd] = STATE(737),
    [sym_ord] = STATE(737),
    [sym_pn] = STATE(737),
    [sym_png] = STATE(737),
    [sym_addpn] = STATE(737),
    [sym_qt] = STATE(737),
    [sym_sig] = STATE(737),
    [sym_sls] = STATE(737),
    [sym_tl] = STATE(737),
    [sym_wj] = STATE(737),
    [sym_em] = STATE(737),
    [sym_bd] = STATE(737),
    [sym_it] = STATE(737),
    [sym_bdit] = STATE(737),
    [sym_no] = STATE(737),
    [sym_sc] = STATE(737),
    [sym_sup] = STATE(737),
    [sym_ndx] = STATE(737),
    [sym_pro] = STATE(737),
    [sym_rb] = STATE(737),
    [sym_w] = STATE(737),
    [sym_wg] = STATE(737),
    [sym_wh] = STATE(737),
    [sym_wa] = STATE(737),
    [sym__characterMarker] = STATE(737),
    [sym_fig] = STATE(737),
    [sym_jmp] = STATE(737),
    [sym_milestoneTag] = STATE(2079),
    [sym__milestoneStandaloneMarker] = STATE(1513),
    [sym__milestoneStart] = STATE(1513),
    [sym__milestoneEnd] = STATE(1513),
    [sym_milestone] = STATE(335),
    [sym__zNameSpaceRegular] = STATE(1516),
    [sym__zNameSpaceClosed] = STATE(1516),
    [sym__zNameSpaceStandaloneMarker] = STATE(1516),
    [sym_zNameSpace] = STATE(335),
    [aux_sym_verseText_repeat1] = STATE(737),
    [aux_sym_q_repeat1] = STATE(335),
    [aux_sym_text_token1] = ACTIONS(4736),
    [anon_sym_BSLASHref] = ACTIONS(4738),
    [anon_sym_BSLASHsts] = ACTIONS(4740),
    [anon_sym_BSLASHrem] = ACTIONS(4742),
    [anon_sym_BSLASHrestore] = ACTIONS(4744),
    [anon_sym_BSLASHlit] = ACTIONS(4746),
    [anon_sym_BSLASHv] = ACTIONS(4748),
    [anon_sym_BSLASHva] = ACTIONS(4750),
    [anon_sym_BSLASHvp] = ACTIONS(4752),
    [anon_sym_BSLASHqs] = ACTIONS(4754),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4944),
    [anon_sym_BSLASHqac] = ACTIONS(4758),
    [anon_sym_BSLASHf] = ACTIONS(4760),
    [anon_sym_BSLASHfe] = ACTIONS(4762),
    [anon_sym_BSLASHef] = ACTIONS(4764),
    [anon_sym_BSLASHfm] = ACTIONS(4766),
    [anon_sym_BSLASHx] = ACTIONS(4768),
    [anon_sym_BSLASHxt] = ACTIONS(4770),
    [anon_sym_BSLASHrq] = ACTIONS(4772),
    [anon_sym_BSLASHadd] = ACTIONS(4774),
    [anon_sym_BSLASHbk] = ACTIONS(4776),
    [anon_sym_BSLASHdc] = ACTIONS(4778),
    [anon_sym_BSLASHk] = ACTIONS(4780),
    [anon_sym_BSLASHnd] = ACTIONS(4782),
    [anon_sym_BSLASHord] = ACTIONS(4784),
    [anon_sym_BSLASHpn] = ACTIONS(4786),
    [anon_sym_BSLASHpng] = ACTIONS(4788),
    [anon_sym_BSLASHaddpn] = ACTIONS(4790),
    [anon_sym_BSLASHqt] = ACTIONS(4792),
    [anon_sym_BSLASHsig] = ACTIONS(4794),
    [anon_sym_BSLASHsls] = ACTIONS(4796),
    [anon_sym_BSLASHtl] = ACTIONS(4798),
    [anon_sym_BSLASHwj] = ACTIONS(4800),
    [anon_sym_BSLASHem] = ACTIONS(4802),
    [anon_sym_BSLASHbd] = ACTIONS(4804),
    [anon_sym_BSLASHit] = ACTIONS(4806),
    [anon_sym_BSLASHbdit] = ACTIONS(4808),
    [anon_sym_BSLASHno] = ACTIONS(4810),
    [anon_sym_BSLASHsc] = ACTIONS(4812),
    [anon_sym_BSLASHsup] = ACTIONS(4814),
    [anon_sym_BSLASHndx] = ACTIONS(4816),
    [anon_sym_BSLASHpro] = ACTIONS(4818),
    [anon_sym_BSLASHrb] = ACTIONS(4820),
    [anon_sym_BSLASHw] = ACTIONS(4822),
    [anon_sym_BSLASHwg] = ACTIONS(4824),
    [anon_sym_BSLASHwh] = ACTIONS(4826),
    [anon_sym_BSLASHwa] = ACTIONS(4828),
    [anon_sym_BSLASHfig] = ACTIONS(4830),
    [anon_sym_BSLASHjmp] = ACTIONS(4832),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(4834),
    [sym_milestoneEndTag] = ACTIONS(4836),
    [sym_zSpaceTag] = ACTIONS(4838),
  },
  [344] = {
    [sym_text] = STATE(737),
    [sym_ref] = STATE(343),
    [sym__comments] = STATE(343),
    [sym_sts] = STATE(343),
    [sym_rem] = STATE(343),
    [sym_restore] = STATE(343),
    [sym_lit] = STATE(343),
    [sym_verseText] = STATE(343),
    [sym_v] = STATE(343),
    [sym__verseMeta] = STATE(343),
    [sym_va] = STATE(343),
    [sym_vp] = STATE(343),
    [sym__paragraphContent] = STATE(343),
    [sym__poetryContent] = STATE(343),
    [sym_qs] = STATE(343),
    [sym_qac] = STATE(343),
    [sym_footnote] = STATE(343),
    [sym_f] = STATE(1522),
    [sym_fe] = STATE(1522),
    [sym_ef] = STATE(1522),
    [sym_fm] = STATE(1522),
    [sym_crossref] = STATE(343),
    [sym_x] = STATE(1505),
    [sym_xt_standalone] = STATE(1505),
    [sym_rq] = STATE(1505),
    [sym_add] = STATE(737),
    [sym_bk] = STATE(737),
    [sym_dc] = STATE(737),
    [sym_k] = STATE(737),
    [sym_nd] = STATE(737),
    [sym_ord] = STATE(737),
    [sym_pn] = STATE(737),
    [sym_png] = STATE(737),
    [sym_addpn] = STATE(737),
    [sym_qt] = STATE(737),
    [sym_sig] = STATE(737),
    [sym_sls] = STATE(737),
    [sym_tl] = STATE(737),
    [sym_wj] = STATE(737),
    [sym_em] = STATE(737),
    [sym_bd] = STATE(737),
    [sym_it] = STATE(737),
    [sym_bdit] = STATE(737),
    [sym_no] = STATE(737),
    [sym_sc] = STATE(737),
    [sym_sup] = STATE(737),
    [sym_ndx] = STATE(737),
    [sym_pro] = STATE(737),
    [sym_rb] = STATE(737),
    [sym_w] = STATE(737),
    [sym_wg] = STATE(737),
    [sym_wh] = STATE(737),
    [sym_wa] = STATE(737),
    [sym__characterMarker] = STATE(737),
    [sym_fig] = STATE(737),
    [sym_jmp] = STATE(737),
    [sym_milestoneTag] = STATE(2079),
    [sym__milestoneStandaloneMarker] = STATE(1513),
    [sym__milestoneStart] = STATE(1513),
    [sym__milestoneEnd] = STATE(1513),
    [sym_milestone] = STATE(343),
    [sym__zNameSpaceRegular] = STATE(1516),
    [sym__zNameSpaceClosed] = STATE(1516),
    [sym__zNameSpaceStandaloneMarker] = STATE(1516),
    [sym_zNameSpace] = STATE(343),
    [aux_sym_verseText_repeat1] = STATE(737),
    [aux_sym_q_repeat1] = STATE(343),
    [aux_sym_text_token1] = ACTIONS(4736),
    [anon_sym_BSLASHref] = ACTIONS(4738),
    [anon_sym_BSLASHsts] = ACTIONS(4740),
    [anon_sym_BSLASHrem] = ACTIONS(4742),
    [anon_sym_BSLASHrestore] = ACTIONS(4744),
    [anon_sym_BSLASHlit] = ACTIONS(4746),
    [anon_sym_BSLASHv] = ACTIONS(4748),
    [anon_sym_BSLASHva] = ACTIONS(4750),
    [anon_sym_BSLASHvp] = ACTIONS(4752),
    [anon_sym_BSLASHqs] = ACTIONS(4754),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4946),
    [anon_sym_BSLASHqac] = ACTIONS(4758),
    [anon_sym_BSLASHf] = ACTIONS(4760),
    [anon_sym_BSLASHfe] = ACTIONS(4762),
    [anon_sym_BSLASHef] = ACTIONS(4764),
    [anon_sym_BSLASHfm] = ACTIONS(4766),
    [anon_sym_BSLASHx] = ACTIONS(4768),
    [anon_sym_BSLASHxt] = ACTIONS(4770),
    [anon_sym_BSLASHrq] = ACTIONS(4772),
    [anon_sym_BSLASHadd] = ACTIONS(4774),
    [anon_sym_BSLASHbk] = ACTIONS(4776),
    [anon_sym_BSLASHdc] = ACTIONS(4778),
    [anon_sym_BSLASHk] = ACTIONS(4780),
    [anon_sym_BSLASHnd] = ACTIONS(4782),
    [anon_sym_BSLASHord] = ACTIONS(4784),
    [anon_sym_BSLASHpn] = ACTIONS(4786),
    [anon_sym_BSLASHpng] = ACTIONS(4788),
    [anon_sym_BSLASHaddpn] = ACTIONS(4790),
    [anon_sym_BSLASHqt] = ACTIONS(4792),
    [anon_sym_BSLASHsig] = ACTIONS(4794),
    [anon_sym_BSLASHsls] = ACTIONS(4796),
    [anon_sym_BSLASHtl] = ACTIONS(4798),
    [anon_sym_BSLASHwj] = ACTIONS(4800),
    [anon_sym_BSLASHem] = ACTIONS(4802),
    [anon_sym_BSLASHbd] = ACTIONS(4804),
    [anon_sym_BSLASHit] = ACTIONS(4806),
    [anon_sym_BSLASHbdit] = ACTIONS(4808),
    [anon_sym_BSLASHno] = ACTIONS(4810),
    [anon_sym_BSLASHsc] = ACTIONS(4812),
    [anon_sym_BSLASHsup] = ACTIONS(4814),
    [anon_sym_BSLASHndx] = ACTIONS(4816),
    [anon_sym_BSLASHpro] = ACTIONS(4818),
    [anon_sym_BSLASHrb] = ACTIONS(4820),
    [anon_sym_BSLASHw] = ACTIONS(4822),
    [anon_sym_BSLASHwg] = ACTIONS(4824),
    [anon_sym_BSLASHwh] = ACTIONS(4826),
    [anon_sym_BSLASHwa] = ACTIONS(4828),
    [anon_sym_BSLASHfig] = ACTIONS(4830),
    [anon_sym_BSLASHjmp] = ACTIONS(4832),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(4834),
    [sym_milestoneEndTag] = ACTIONS(4836),
    [sym_zSpaceTag] = ACTIONS(4838),
  },
  [345] = {
    [sym_text] = STATE(737),
    [sym_ref] = STATE(335),
    [sym__comments] = STATE(335),
    [sym_sts] = STATE(335),
    [sym_rem] = STATE(335),
    [sym_restore] = STATE(335),
    [sym_lit] = STATE(335),
    [sym_verseText] = STATE(335),
    [sym_v] = STATE(335),
    [sym__verseMeta] = STATE(335),
    [sym_va] = STATE(335),
    [sym_vp] = STATE(335),
    [sym__paragraphContent] = STATE(335),
    [sym__poetryContent] = STATE(335),
    [sym_qs] = STATE(335),
    [sym_qac] = STATE(335),
    [sym_footnote] = STATE(335),
    [sym_f] = STATE(1522),
    [sym_fe] = STATE(1522),
    [sym_ef] = STATE(1522),
    [sym_fm] = STATE(1522),
    [sym_crossref] = STATE(335),
    [sym_x] = STATE(1505),
    [sym_xt_standalone] = STATE(1505),
    [sym_rq] = STATE(1505),
    [sym_add] = STATE(737),
    [sym_bk] = STATE(737),
    [sym_dc] = STATE(737),
    [sym_k] = STATE(737),
    [sym_nd] = STATE(737),
    [sym_ord] = STATE(737),
    [sym_pn] = STATE(737),
    [sym_png] = STATE(737),
    [sym_addpn] = STATE(737),
    [sym_qt] = STATE(737),
    [sym_sig] = STATE(737),
    [sym_sls] = STATE(737),
    [sym_tl] = STATE(737),
    [sym_wj] = STATE(737),
    [sym_em] = STATE(737),
    [sym_bd] = STATE(737),
    [sym_it] = STATE(737),
    [sym_bdit] = STATE(737),
    [sym_no] = STATE(737),
    [sym_sc] = STATE(737),
    [sym_sup] = STATE(737),
    [sym_ndx] = STATE(737),
    [sym_pro] = STATE(737),
    [sym_rb] = STATE(737),
    [sym_w] = STATE(737),
    [sym_wg] = STATE(737),
    [sym_wh] = STATE(737),
    [sym_wa] = STATE(737),
    [sym__characterMarker] = STATE(737),
    [sym_fig] = STATE(737),
    [sym_jmp] = STATE(737),
    [sym_milestoneTag] = STATE(2079),
    [sym__milestoneStandaloneMarker] = STATE(1513),
    [sym__milestoneStart] = STATE(1513),
    [sym__milestoneEnd] = STATE(1513),
    [sym_milestone] = STATE(335),
    [sym__zNameSpaceRegular] = STATE(1516),
    [sym__zNameSpaceClosed] = STATE(1516),
    [sym__zNameSpaceStandaloneMarker] = STATE(1516),
    [sym_zNameSpace] = STATE(335),
    [aux_sym_verseText_repeat1] = STATE(737),
    [aux_sym_q_repeat1] = STATE(335),
    [aux_sym_text_token1] = ACTIONS(4736),
    [anon_sym_BSLASHref] = ACTIONS(4738),
    [anon_sym_BSLASHsts] = ACTIONS(4740),
    [anon_sym_BSLASHrem] = ACTIONS(4742),
    [anon_sym_BSLASHrestore] = ACTIONS(4744),
    [anon_sym_BSLASHlit] = ACTIONS(4746),
    [anon_sym_BSLASHv] = ACTIONS(4748),
    [anon_sym_BSLASHva] = ACTIONS(4750),
    [anon_sym_BSLASHvp] = ACTIONS(4752),
    [anon_sym_BSLASHqs] = ACTIONS(4754),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4948),
    [anon_sym_BSLASHqac] = ACTIONS(4758),
    [anon_sym_BSLASHf] = ACTIONS(4760),
    [anon_sym_BSLASHfe] = ACTIONS(4762),
    [anon_sym_BSLASHef] = ACTIONS(4764),
    [anon_sym_BSLASHfm] = ACTIONS(4766),
    [anon_sym_BSLASHx] = ACTIONS(4768),
    [anon_sym_BSLASHxt] = ACTIONS(4770),
    [anon_sym_BSLASHrq] = ACTIONS(4772),
    [anon_sym_BSLASHadd] = ACTIONS(4774),
    [anon_sym_BSLASHbk] = ACTIONS(4776),
    [anon_sym_BSLASHdc] = ACTIONS(4778),
    [anon_sym_BSLASHk] = ACTIONS(4780),
    [anon_sym_BSLASHnd] = ACTIONS(4782),
    [anon_sym_BSLASHord] = ACTIONS(4784),
    [anon_sym_BSLASHpn] = ACTIONS(4786),
    [anon_sym_BSLASHpng] = ACTIONS(4788),
    [anon_sym_BSLASHaddpn] = ACTIONS(4790),
    [anon_sym_BSLASHqt] = ACTIONS(4792),
    [anon_sym_BSLASHsig] = ACTIONS(4794),
    [anon_sym_BSLASHsls] = ACTIONS(4796),
    [anon_sym_BSLASHtl] = ACTIONS(4798),
    [anon_sym_BSLASHwj] = ACTIONS(4800),
    [anon_sym_BSLASHem] = ACTIONS(4802),
    [anon_sym_BSLASHbd] = ACTIONS(4804),
    [anon_sym_BSLASHit] = ACTIONS(4806),
    [anon_sym_BSLASHbdit] = ACTIONS(4808),
    [anon_sym_BSLASHno] = ACTIONS(4810),
    [anon_sym_BSLASHsc] = ACTIONS(4812),
    [anon_sym_BSLASHsup] = ACTIONS(4814),
    [anon_sym_BSLASHndx] = ACTIONS(4816),
    [anon_sym_BSLASHpro] = ACTIONS(4818),
    [anon_sym_BSLASHrb] = ACTIONS(4820),
    [anon_sym_BSLASHw] = ACTIONS(4822),
    [anon_sym_BSLASHwg] = ACTIONS(4824),
    [anon_sym_BSLASHwh] = ACTIONS(4826),
    [anon_sym_BSLASHwa] = ACTIONS(4828),
    [anon_sym_BSLASHfig] = ACTIONS(4830),
    [anon_sym_BSLASHjmp] = ACTIONS(4832),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(4834),
    [sym_milestoneEndTag] = ACTIONS(4836),
    [sym_zSpaceTag] = ACTIONS(4838),
  },
  [346] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHsts] = ACTIONS(4149),
    [anon_sym_BSLASHrem] = ACTIONS(4149),
    [anon_sym_BSLASHrestore] = ACTIONS(4149),
    [anon_sym_BSLASHlit] = ACTIONS(4149),
    [anon_sym_BSLASHiqt] = ACTIONS(4950),
    [anon_sym_BSLASHip] = ACTIONS(4149),
    [anon_sym_BSLASHmte] = ACTIONS(4149),
    [anon_sym_BSLASHms] = ACTIONS(4149),
    [anon_sym_BSLASHs] = ACTIONS(4149),
    [anon_sym_BSLASHr] = ACTIONS(4149),
    [anon_sym_BSLASHsp] = ACTIONS(4149),
    [anon_sym_BSLASHd] = ACTIONS(4149),
    [anon_sym_BSLASHsd] = ACTIONS(4149),
    [anon_sym_BSLASHp] = ACTIONS(4149),
    [anon_sym_BSLASHm] = ACTIONS(4149),
    [anon_sym_BSLASHpo] = ACTIONS(4149),
    [anon_sym_BSLASHpr] = ACTIONS(4149),
    [anon_sym_BSLASHcls] = ACTIONS(4149),
    [anon_sym_BSLASHpmo] = ACTIONS(4149),
    [anon_sym_BSLASHpm] = ACTIONS(4149),
    [anon_sym_BSLASHpmc] = ACTIONS(4149),
    [anon_sym_BSLASHpmr] = ACTIONS(4149),
    [anon_sym_BSLASHpi] = ACTIONS(4149),
    [anon_sym_BSLASHmi] = ACTIONS(4149),
    [anon_sym_BSLASHnb] = ACTIONS(4149),
    [anon_sym_BSLASHpc] = ACTIONS(4149),
    [anon_sym_BSLASHph] = ACTIONS(4149),
    [anon_sym_BSLASHb] = ACTIONS(4149),
    [anon_sym_BSLASHq] = ACTIONS(4149),
    [anon_sym_BSLASHqr] = ACTIONS(4149),
    [anon_sym_BSLASHqc] = ACTIONS(4149),
    [anon_sym_BSLASHqa] = ACTIONS(4149),
    [anon_sym_BSLASHqm] = ACTIONS(4149),
    [anon_sym_BSLASHqd] = ACTIONS(4149),
    [anon_sym_BSLASHlh] = ACTIONS(4149),
    [anon_sym_BSLASHli] = ACTIONS(4149),
    [anon_sym_BSLASHlim] = ACTIONS(4149),
    [anon_sym_BSLASHtr] = ACTIONS(4149),
    [anon_sym_BSLASHf] = ACTIONS(4149),
    [anon_sym_BSLASHfe] = ACTIONS(4149),
    [anon_sym_BSLASHef] = ACTIONS(4149),
    [anon_sym_BSLASHfm] = ACTIONS(4149),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
    [anon_sym_BSLASHpb] = ACTIONS(4149),
    [anon_sym_BSLASH] = ACTIONS(4149),
    [sym_milestoneStartTag] = ACTIONS(4149),
    [sym_milestoneEndTag] = ACTIONS(4149),
    [sym_zSpaceTag] = ACTIONS(4149),
    [anon_sym_BSLASHesbe] = ACTIONS(4149),
    [anon_sym_BSLASHcat] = ACTIONS(4149),
  },
  [347] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [aux_sym_text_token1] = ACTIONS(4952),
    [anon_sym_BSLASHref] = ACTIONS(4955),
    [anon_sym_BSLASHsts] = ACTIONS(4043),
    [anon_sym_BSLASHrem] = ACTIONS(4043),
    [anon_sym_BSLASHrestore] = ACTIONS(4043),
    [anon_sym_BSLASHlit] = ACTIONS(4043),
    [anon_sym_BSLASHiqt] = ACTIONS(4958),
    [anon_sym_BSLASHip] = ACTIONS(4043),
    [anon_sym_BSLASHmte] = ACTIONS(4043),
    [anon_sym_BSLASHms] = ACTIONS(4043),
    [anon_sym_BSLASHs] = ACTIONS(4043),
    [anon_sym_BSLASHr] = ACTIONS(4043),
    [anon_sym_BSLASHsp] = ACTIONS(4043),
    [anon_sym_BSLASHd] = ACTIONS(4043),
    [anon_sym_BSLASHsd] = ACTIONS(4043),
    [anon_sym_BSLASHp] = ACTIONS(4043),
    [anon_sym_BSLASHm] = ACTIONS(4043),
    [anon_sym_BSLASHpo] = ACTIONS(4043),
    [anon_sym_BSLASHpr] = ACTIONS(4043),
    [anon_sym_BSLASHcls] = ACTIONS(4043),
    [anon_sym_BSLASHpmo] = ACTIONS(4043),
    [anon_sym_BSLASHpm] = ACTIONS(4043),
    [anon_sym_BSLASHpmc] = ACTIONS(4043),
    [anon_sym_BSLASHpmr] = ACTIONS(4043),
    [anon_sym_BSLASHpi] = ACTIONS(4043),
    [anon_sym_BSLASHmi] = ACTIONS(4043),
    [anon_sym_BSLASHnb] = ACTIONS(4043),
    [anon_sym_BSLASHpc] = ACTIONS(4043),
    [anon_sym_BSLASHph] = ACTIONS(4043),
    [anon_sym_BSLASHb] = ACTIONS(4043),
    [anon_sym_BSLASHq] = ACTIONS(4043),
    [anon_sym_BSLASHqr] = ACTIONS(4043),
    [anon_sym_BSLASHqc] = ACTIONS(4043),
    [anon_sym_BSLASHqa] = ACTIONS(4043),
    [anon_sym_BSLASHqm] = ACTIONS(4043),
    [anon_sym_BSLASHqd] = ACTIONS(4043),
    [anon_sym_BSLASHlh] = ACTIONS(4043),
    [anon_sym_BSLASHli] = ACTIONS(4043),
    [anon_sym_BSLASHlim] = ACTIONS(4043),
    [anon_sym_BSLASHtr] = ACTIONS(4043),
    [anon_sym_BSLASHf] = ACTIONS(4043),
    [anon_sym_BSLASHfe] = ACTIONS(4043),
    [anon_sym_BSLASHef] = ACTIONS(4043),
    [anon_sym_BSLASHfm] = ACTIONS(4043),
    [anon_sym_BSLASHxt] = ACTIONS(4961),
    [anon_sym_BSLASHadd] = ACTIONS(4964),
    [anon_sym_BSLASHbk] = ACTIONS(4967),
    [anon_sym_BSLASHdc] = ACTIONS(4970),
    [anon_sym_BSLASHk] = ACTIONS(4973),
    [anon_sym_BSLASHnd] = ACTIONS(4976),
    [anon_sym_BSLASHord] = ACTIONS(4979),
    [anon_sym_BSLASHpn] = ACTIONS(4982),
    [anon_sym_BSLASHpng] = ACTIONS(4985),
    [anon_sym_BSLASHaddpn] = ACTIONS(4988),
    [anon_sym_BSLASHqt] = ACTIONS(4991),
    [anon_sym_BSLASHsig] = ACTIONS(4994),
    [anon_sym_BSLASHsls] = ACTIONS(4997),
    [anon_sym_BSLASHtl] = ACTIONS(5000),
    [anon_sym_BSLASHwj] = ACTIONS(5003),
    [anon_sym_BSLASHem] = ACTIONS(5006),
    [anon_sym_BSLASHbd] = ACTIONS(5009),
    [anon_sym_BSLASHit] = ACTIONS(5012),
    [anon_sym_BSLASHbdit] = ACTIONS(5015),
    [anon_sym_BSLASHno] = ACTIONS(5018),
    [anon_sym_BSLASHsc] = ACTIONS(5021),
    [anon_sym_BSLASHsup] = ACTIONS(5024),
    [anon_sym_BSLASHndx] = ACTIONS(5027),
    [anon_sym_BSLASHpro] = ACTIONS(5030),
    [anon_sym_BSLASHrb] = ACTIONS(5033),
    [anon_sym_BSLASHw] = ACTIONS(5036),
    [anon_sym_BSLASHwg] = ACTIONS(5039),
    [anon_sym_BSLASHwh] = ACTIONS(5042),
    [anon_sym_BSLASHwa] = ACTIONS(5045),
    [anon_sym_BSLASHfig] = ACTIONS(5048),
    [anon_sym_BSLASHjmp] = ACTIONS(5051),
    [anon_sym_BSLASHpb] = ACTIONS(4043),
    [anon_sym_BSLASH] = ACTIONS(4043),
    [sym_milestoneStartTag] = ACTIONS(4043),
    [sym_milestoneEndTag] = ACTIONS(4043),
    [sym_zSpaceTag] = ACTIONS(4043),
    [anon_sym_BSLASHesbe] = ACTIONS(4043),
    [anon_sym_BSLASHcat] = ACTIONS(4043),
  },
  [348] = {
    [sym_text] = STATE(352),
    [sym_add] = STATE(352),
    [sym_bk] = STATE(352),
    [sym_dc] = STATE(352),
    [sym_k] = STATE(352),
    [sym_nd] = STATE(352),
    [sym_ord] = STATE(352),
    [sym_pn] = STATE(352),
    [sym_png] = STATE(352),
    [sym_addpn] = STATE(352),
    [sym_qt] = STATE(352),
    [sym_sig] = STATE(352),
    [sym_sls] = STATE(352),
    [sym_tl] = STATE(352),
    [sym_wj] = STATE(352),
    [sym_em] = STATE(352),
    [sym_bd] = STATE(352),
    [sym_it] = STATE(352),
    [sym_bdit] = STATE(352),
    [sym_no] = STATE(352),
    [sym_sc] = STATE(352),
    [sym_sup] = STATE(352),
    [sym_ndx] = STATE(352),
    [sym_pro] = STATE(352),
    [sym_rb] = STATE(352),
    [sym_w] = STATE(352),
    [sym_wg] = STATE(352),
    [sym_wh] = STATE(352),
    [sym_wa] = STATE(352),
    [sym__characterMarker] = STATE(352),
    [sym_fig] = STATE(352),
    [sym_jmp] = STATE(352),
    [aux_sym_verseText_repeat1] = STATE(352),
    [aux_sym_text_token1] = ACTIONS(5054),
    [anon_sym_BSLASHsts] = ACTIONS(3442),
    [anon_sym_BSLASHrem] = ACTIONS(3442),
    [anon_sym_BSLASHrestore] = ACTIONS(3442),
    [anon_sym_BSLASHlit] = ACTIONS(3442),
    [anon_sym_BSLASHip] = ACTIONS(3442),
    [anon_sym_BSLASHmte] = ACTIONS(3442),
    [anon_sym_BSLASHms] = ACTIONS(3442),
    [anon_sym_BSLASHs] = ACTIONS(3442),
    [anon_sym_BSLASHr] = ACTIONS(3442),
    [anon_sym_BSLASHsp] = ACTIONS(3442),
    [anon_sym_BSLASHd] = ACTIONS(3442),
    [anon_sym_BSLASHsd] = ACTIONS(3442),
    [anon_sym_BSLASHp] = ACTIONS(3442),
    [anon_sym_BSLASHm] = ACTIONS(3442),
    [anon_sym_BSLASHpo] = ACTIONS(3442),
    [anon_sym_BSLASHpr] = ACTIONS(3442),
    [anon_sym_BSLASHcls] = ACTIONS(3442),
    [anon_sym_BSLASHpmo] = ACTIONS(3442),
    [anon_sym_BSLASHpm] = ACTIONS(3442),
    [anon_sym_BSLASHpmc] = ACTIONS(3442),
    [anon_sym_BSLASHpmr] = ACTIONS(3442),
    [anon_sym_BSLASHpi] = ACTIONS(3442),
    [anon_sym_BSLASHmi] = ACTIONS(3442),
    [anon_sym_BSLASHnb] = ACTIONS(3442),
    [anon_sym_BSLASHpc] = ACTIONS(3442),
    [anon_sym_BSLASHph] = ACTIONS(3442),
    [anon_sym_BSLASHb] = ACTIONS(3442),
    [anon_sym_BSLASHq] = ACTIONS(3442),
    [anon_sym_BSLASHqr] = ACTIONS(3442),
    [anon_sym_BSLASHqc] = ACTIONS(3442),
    [anon_sym_BSLASHqa] = ACTIONS(3442),
    [anon_sym_BSLASHqm] = ACTIONS(3442),
    [anon_sym_BSLASHqd] = ACTIONS(3442),
    [anon_sym_BSLASHlh] = ACTIONS(3442),
    [anon_sym_BSLASHli] = ACTIONS(3442),
    [anon_sym_BSLASHlim] = ACTIONS(3442),
    [anon_sym_BSLASHtr] = ACTIONS(3442),
    [sym_thTag] = ACTIONS(3442),
    [sym_thrTag] = ACTIONS(3442),
    [sym_tcTag] = ACTIONS(3442),
    [sym_tcrTag] = ACTIONS(3442),
    [anon_sym_BSLASHf] = ACTIONS(3442),
    [anon_sym_BSLASHfe] = ACTIONS(3442),
    [anon_sym_BSLASHef] = ACTIONS(3442),
    [anon_sym_BSLASHfm] = ACTIONS(3442),
    [anon_sym_BSLASHadd] = ACTIONS(5056),
    [anon_sym_BSLASHbk] = ACTIONS(5058),
    [anon_sym_BSLASHdc] = ACTIONS(5060),
    [anon_sym_BSLASHk] = ACTIONS(5062),
    [anon_sym_BSLASHnd] = ACTIONS(5064),
    [anon_sym_BSLASHord] = ACTIONS(5066),
    [anon_sym_BSLASHpn] = ACTIONS(5068),
    [anon_sym_BSLASHpng] = ACTIONS(5070),
    [anon_sym_BSLASHaddpn] = ACTIONS(5072),
    [anon_sym_BSLASHqt] = ACTIONS(5074),
    [anon_sym_BSLASHsig] = ACTIONS(5076),
    [anon_sym_BSLASHsls] = ACTIONS(5078),
    [anon_sym_BSLASHtl] = ACTIONS(5080),
    [anon_sym_BSLASHwj] = ACTIONS(5082),
    [anon_sym_BSLASHem] = ACTIONS(5084),
    [anon_sym_BSLASHbd] = ACTIONS(5086),
    [anon_sym_BSLASHit] = ACTIONS(5088),
    [anon_sym_BSLASHbdit] = ACTIONS(5090),
    [anon_sym_BSLASHno] = ACTIONS(5092),
    [anon_sym_BSLASHsc] = ACTIONS(5094),
    [anon_sym_BSLASHsup] = ACTIONS(5096),
    [anon_sym_BSLASHndx] = ACTIONS(5098),
    [anon_sym_BSLASHpro] = ACTIONS(5100),
    [anon_sym_BSLASHrb] = ACTIONS(5102),
    [anon_sym_BSLASHw] = ACTIONS(5104),
    [anon_sym_BSLASHwg] = ACTIONS(5106),
    [anon_sym_BSLASHwh] = ACTIONS(5108),
    [anon_sym_BSLASHwa] = ACTIONS(5110),
    [anon_sym_BSLASHfig] = ACTIONS(5112),
    [anon_sym_BSLASHjmp] = ACTIONS(5114),
    [anon_sym_BSLASHpb] = ACTIONS(3442),
    [anon_sym_BSLASH] = ACTIONS(3442),
    [sym_milestoneStartTag] = ACTIONS(3442),
    [sym_milestoneEndTag] = ACTIONS(3442),
    [sym_zSpaceTag] = ACTIONS(3442),
    [anon_sym_BSLASHesbe] = ACTIONS(3442),
    [anon_sym_BSLASHcat] = ACTIONS(3442),
  },
  [349] = {
    [sym_text] = STATE(745),
    [sym_ref] = STATE(351),
    [sym__comments] = STATE(351),
    [sym_sts] = STATE(351),
    [sym_rem] = STATE(351),
    [sym_restore] = STATE(351),
    [sym_lit] = STATE(351),
    [sym_verseText] = STATE(351),
    [sym_v] = STATE(351),
    [sym__verseMeta] = STATE(351),
    [sym_va] = STATE(351),
    [sym_vp] = STATE(351),
    [sym__paragraphContent] = STATE(351),
    [sym_footnote] = STATE(351),
    [sym_f] = STATE(1620),
    [sym_fe] = STATE(1620),
    [sym_ef] = STATE(1620),
    [sym_fm] = STATE(1620),
    [sym_crossref] = STATE(351),
    [sym_x] = STATE(1624),
    [sym_xt_standalone] = STATE(1624),
    [sym_rq] = STATE(1624),
    [sym_add] = STATE(745),
    [sym_bk] = STATE(745),
    [sym_dc] = STATE(745),
    [sym_k] = STATE(745),
    [sym_nd] = STATE(745),
    [sym_ord] = STATE(745),
    [sym_pn] = STATE(745),
    [sym_png] = STATE(745),
    [sym_addpn] = STATE(745),
    [sym_qt] = STATE(745),
    [sym_sig] = STATE(745),
    [sym_sls] = STATE(745),
    [sym_tl] = STATE(745),
    [sym_wj] = STATE(745),
    [sym_em] = STATE(745),
    [sym_bd] = STATE(745),
    [sym_it] = STATE(745),
    [sym_bdit] = STATE(745),
    [sym_no] = STATE(745),
    [sym_sc] = STATE(745),
    [sym_sup] = STATE(745),
    [sym_ndx] = STATE(745),
    [sym_pro] = STATE(745),
    [sym_rb] = STATE(745),
    [sym_w] = STATE(745),
    [sym_wg] = STATE(745),
    [sym_wh] = STATE(745),
    [sym_wa] = STATE(745),
    [sym__characterMarker] = STATE(745),
    [sym_fig] = STATE(745),
    [sym_jmp] = STATE(745),
    [sym_milestoneTag] = STATE(2076),
    [sym__milestoneStandaloneMarker] = STATE(1582),
    [sym__milestoneStart] = STATE(1582),
    [sym__milestoneEnd] = STATE(1582),
    [sym_milestone] = STATE(351),
    [sym__zNameSpaceRegular] = STATE(1583),
    [sym__zNameSpaceClosed] = STATE(1583),
    [sym__zNameSpaceStandaloneMarker] = STATE(1583),
    [sym_zNameSpace] = STATE(351),
    [aux_sym_verseText_repeat1] = STATE(745),
    [aux_sym_p_repeat1] = STATE(351),
    [aux_sym_text_token1] = ACTIONS(5116),
    [anon_sym_BSLASHref] = ACTIONS(5118),
    [anon_sym_BSLASHsts] = ACTIONS(5120),
    [anon_sym_BSLASHrem] = ACTIONS(5122),
    [anon_sym_BSLASHrestore] = ACTIONS(5124),
    [anon_sym_BSLASHlit] = ACTIONS(5126),
    [anon_sym_BSLASHv] = ACTIONS(5128),
    [anon_sym_BSLASHva] = ACTIONS(5130),
    [anon_sym_BSLASHvp] = ACTIONS(5132),
    [anon_sym_BSLASHli] = ACTIONS(5134),
    [anon_sym_BSLASHlim] = ACTIONS(5134),
    [anon_sym_BSLASHf] = ACTIONS(5136),
    [anon_sym_BSLASHfe] = ACTIONS(5138),
    [anon_sym_BSLASHef] = ACTIONS(5140),
    [anon_sym_BSLASHfm] = ACTIONS(5142),
    [anon_sym_BSLASHx] = ACTIONS(5144),
    [anon_sym_BSLASHxt] = ACTIONS(5146),
    [anon_sym_BSLASHrq] = ACTIONS(5148),
    [anon_sym_BSLASHadd] = ACTIONS(5150),
    [anon_sym_BSLASHbk] = ACTIONS(5152),
    [anon_sym_BSLASHdc] = ACTIONS(5154),
    [anon_sym_BSLASHk] = ACTIONS(5156),
    [anon_sym_BSLASHnd] = ACTIONS(5158),
    [anon_sym_BSLASHord] = ACTIONS(5160),
    [anon_sym_BSLASHpn] = ACTIONS(5162),
    [anon_sym_BSLASHpng] = ACTIONS(5164),
    [anon_sym_BSLASHaddpn] = ACTIONS(5166),
    [anon_sym_BSLASHqt] = ACTIONS(5168),
    [anon_sym_BSLASHsig] = ACTIONS(5170),
    [anon_sym_BSLASHsls] = ACTIONS(5172),
    [anon_sym_BSLASHtl] = ACTIONS(5174),
    [anon_sym_BSLASHwj] = ACTIONS(5176),
    [anon_sym_BSLASHem] = ACTIONS(5178),
    [anon_sym_BSLASHbd] = ACTIONS(5180),
    [anon_sym_BSLASHit] = ACTIONS(5182),
    [anon_sym_BSLASHbdit] = ACTIONS(5184),
    [anon_sym_BSLASHno] = ACTIONS(5186),
    [anon_sym_BSLASHsc] = ACTIONS(5188),
    [anon_sym_BSLASHsup] = ACTIONS(5190),
    [anon_sym_BSLASHndx] = ACTIONS(5192),
    [anon_sym_BSLASHpro] = ACTIONS(5194),
    [anon_sym_BSLASHrb] = ACTIONS(5196),
    [anon_sym_BSLASHw] = ACTIONS(5198),
    [anon_sym_BSLASHwg] = ACTIONS(5200),
    [anon_sym_BSLASHwh] = ACTIONS(5202),
    [anon_sym_BSLASHwa] = ACTIONS(5204),
    [anon_sym_BSLASHfig] = ACTIONS(5206),
    [anon_sym_BSLASHjmp] = ACTIONS(5208),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(5210),
    [sym_milestoneEndTag] = ACTIONS(5212),
    [sym_zSpaceTag] = ACTIONS(5214),
  },
  [350] = {
    [sym_text] = STATE(745),
    [sym_ref] = STATE(349),
    [sym__comments] = STATE(349),
    [sym_sts] = STATE(349),
    [sym_rem] = STATE(349),
    [sym_restore] = STATE(349),
    [sym_lit] = STATE(349),
    [sym_verseText] = STATE(349),
    [sym_v] = STATE(349),
    [sym__verseMeta] = STATE(349),
    [sym_va] = STATE(349),
    [sym_vp] = STATE(349),
    [sym__paragraphContent] = STATE(349),
    [sym_footnote] = STATE(349),
    [sym_f] = STATE(1620),
    [sym_fe] = STATE(1620),
    [sym_ef] = STATE(1620),
    [sym_fm] = STATE(1620),
    [sym_crossref] = STATE(349),
    [sym_x] = STATE(1624),
    [sym_xt_standalone] = STATE(1624),
    [sym_rq] = STATE(1624),
    [sym_add] = STATE(745),
    [sym_bk] = STATE(745),
    [sym_dc] = STATE(745),
    [sym_k] = STATE(745),
    [sym_nd] = STATE(745),
    [sym_ord] = STATE(745),
    [sym_pn] = STATE(745),
    [sym_png] = STATE(745),
    [sym_addpn] = STATE(745),
    [sym_qt] = STATE(745),
    [sym_sig] = STATE(745),
    [sym_sls] = STATE(745),
    [sym_tl] = STATE(745),
    [sym_wj] = STATE(745),
    [sym_em] = STATE(745),
    [sym_bd] = STATE(745),
    [sym_it] = STATE(745),
    [sym_bdit] = STATE(745),
    [sym_no] = STATE(745),
    [sym_sc] = STATE(745),
    [sym_sup] = STATE(745),
    [sym_ndx] = STATE(745),
    [sym_pro] = STATE(745),
    [sym_rb] = STATE(745),
    [sym_w] = STATE(745),
    [sym_wg] = STATE(745),
    [sym_wh] = STATE(745),
    [sym_wa] = STATE(745),
    [sym__characterMarker] = STATE(745),
    [sym_fig] = STATE(745),
    [sym_jmp] = STATE(745),
    [sym_milestoneTag] = STATE(2076),
    [sym__milestoneStandaloneMarker] = STATE(1582),
    [sym__milestoneStart] = STATE(1582),
    [sym__milestoneEnd] = STATE(1582),
    [sym_milestone] = STATE(349),
    [sym__zNameSpaceRegular] = STATE(1583),
    [sym__zNameSpaceClosed] = STATE(1583),
    [sym__zNameSpaceStandaloneMarker] = STATE(1583),
    [sym_zNameSpace] = STATE(349),
    [aux_sym_verseText_repeat1] = STATE(745),
    [aux_sym_p_repeat1] = STATE(349),
    [aux_sym_text_token1] = ACTIONS(5116),
    [anon_sym_BSLASHref] = ACTIONS(5118),
    [anon_sym_BSLASHsts] = ACTIONS(5120),
    [anon_sym_BSLASHrem] = ACTIONS(5122),
    [anon_sym_BSLASHrestore] = ACTIONS(5124),
    [anon_sym_BSLASHlit] = ACTIONS(5126),
    [anon_sym_BSLASHv] = ACTIONS(5128),
    [anon_sym_BSLASHva] = ACTIONS(5130),
    [anon_sym_BSLASHvp] = ACTIONS(5132),
    [anon_sym_BSLASHli] = ACTIONS(5216),
    [anon_sym_BSLASHlim] = ACTIONS(5216),
    [anon_sym_BSLASHf] = ACTIONS(5136),
    [anon_sym_BSLASHfe] = ACTIONS(5138),
    [anon_sym_BSLASHef] = ACTIONS(5140),
    [anon_sym_BSLASHfm] = ACTIONS(5142),
    [anon_sym_BSLASHx] = ACTIONS(5144),
    [anon_sym_BSLASHxt] = ACTIONS(5146),
    [anon_sym_BSLASHrq] = ACTIONS(5148),
    [anon_sym_BSLASHadd] = ACTIONS(5150),
    [anon_sym_BSLASHbk] = ACTIONS(5152),
    [anon_sym_BSLASHdc] = ACTIONS(5154),
    [anon_sym_BSLASHk] = ACTIONS(5156),
    [anon_sym_BSLASHnd] = ACTIONS(5158),
    [anon_sym_BSLASHord] = ACTIONS(5160),
    [anon_sym_BSLASHpn] = ACTIONS(5162),
    [anon_sym_BSLASHpng] = ACTIONS(5164),
    [anon_sym_BSLASHaddpn] = ACTIONS(5166),
    [anon_sym_BSLASHqt] = ACTIONS(5168),
    [anon_sym_BSLASHsig] = ACTIONS(5170),
    [anon_sym_BSLASHsls] = ACTIONS(5172),
    [anon_sym_BSLASHtl] = ACTIONS(5174),
    [anon_sym_BSLASHwj] = ACTIONS(5176),
    [anon_sym_BSLASHem] = ACTIONS(5178),
    [anon_sym_BSLASHbd] = ACTIONS(5180),
    [anon_sym_BSLASHit] = ACTIONS(5182),
    [anon_sym_BSLASHbdit] = ACTIONS(5184),
    [anon_sym_BSLASHno] = ACTIONS(5186),
    [anon_sym_BSLASHsc] = ACTIONS(5188),
    [anon_sym_BSLASHsup] = ACTIONS(5190),
    [anon_sym_BSLASHndx] = ACTIONS(5192),
    [anon_sym_BSLASHpro] = ACTIONS(5194),
    [anon_sym_BSLASHrb] = ACTIONS(5196),
    [anon_sym_BSLASHw] = ACTIONS(5198),
    [anon_sym_BSLASHwg] = ACTIONS(5200),
    [anon_sym_BSLASHwh] = ACTIONS(5202),
    [anon_sym_BSLASHwa] = ACTIONS(5204),
    [anon_sym_BSLASHfig] = ACTIONS(5206),
    [anon_sym_BSLASHjmp] = ACTIONS(5208),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(5210),
    [sym_milestoneEndTag] = ACTIONS(5212),
    [sym_zSpaceTag] = ACTIONS(5214),
  },
  [351] = {
    [sym_text] = STATE(745),
    [sym_ref] = STATE(351),
    [sym__comments] = STATE(351),
    [sym_sts] = STATE(351),
    [sym_rem] = STATE(351),
    [sym_restore] = STATE(351),
    [sym_lit] = STATE(351),
    [sym_verseText] = STATE(351),
    [sym_v] = STATE(351),
    [sym__verseMeta] = STATE(351),
    [sym_va] = STATE(351),
    [sym_vp] = STATE(351),
    [sym__paragraphContent] = STATE(351),
    [sym_footnote] = STATE(351),
    [sym_f] = STATE(1620),
    [sym_fe] = STATE(1620),
    [sym_ef] = STATE(1620),
    [sym_fm] = STATE(1620),
    [sym_crossref] = STATE(351),
    [sym_x] = STATE(1624),
    [sym_xt_standalone] = STATE(1624),
    [sym_rq] = STATE(1624),
    [sym_add] = STATE(745),
    [sym_bk] = STATE(745),
    [sym_dc] = STATE(745),
    [sym_k] = STATE(745),
    [sym_nd] = STATE(745),
    [sym_ord] = STATE(745),
    [sym_pn] = STATE(745),
    [sym_png] = STATE(745),
    [sym_addpn] = STATE(745),
    [sym_qt] = STATE(745),
    [sym_sig] = STATE(745),
    [sym_sls] = STATE(745),
    [sym_tl] = STATE(745),
    [sym_wj] = STATE(745),
    [sym_em] = STATE(745),
    [sym_bd] = STATE(745),
    [sym_it] = STATE(745),
    [sym_bdit] = STATE(745),
    [sym_no] = STATE(745),
    [sym_sc] = STATE(745),
    [sym_sup] = STATE(745),
    [sym_ndx] = STATE(745),
    [sym_pro] = STATE(745),
    [sym_rb] = STATE(745),
    [sym_w] = STATE(745),
    [sym_wg] = STATE(745),
    [sym_wh] = STATE(745),
    [sym_wa] = STATE(745),
    [sym__characterMarker] = STATE(745),
    [sym_fig] = STATE(745),
    [sym_jmp] = STATE(745),
    [sym_milestoneTag] = STATE(2076),
    [sym__milestoneStandaloneMarker] = STATE(1582),
    [sym__milestoneStart] = STATE(1582),
    [sym__milestoneEnd] = STATE(1582),
    [sym_milestone] = STATE(351),
    [sym__zNameSpaceRegular] = STATE(1583),
    [sym__zNameSpaceClosed] = STATE(1583),
    [sym__zNameSpaceStandaloneMarker] = STATE(1583),
    [sym_zNameSpace] = STATE(351),
    [aux_sym_verseText_repeat1] = STATE(745),
    [aux_sym_p_repeat1] = STATE(351),
    [aux_sym_text_token1] = ACTIONS(5218),
    [anon_sym_BSLASHref] = ACTIONS(5221),
    [anon_sym_BSLASHsts] = ACTIONS(5224),
    [anon_sym_BSLASHrem] = ACTIONS(5227),
    [anon_sym_BSLASHrestore] = ACTIONS(5230),
    [anon_sym_BSLASHlit] = ACTIONS(5233),
    [anon_sym_BSLASHv] = ACTIONS(5236),
    [anon_sym_BSLASHva] = ACTIONS(5239),
    [anon_sym_BSLASHvp] = ACTIONS(5242),
    [anon_sym_BSLASHli] = ACTIONS(1431),
    [anon_sym_BSLASHlim] = ACTIONS(1431),
    [anon_sym_BSLASHf] = ACTIONS(5245),
    [anon_sym_BSLASHfe] = ACTIONS(5248),
    [anon_sym_BSLASHef] = ACTIONS(5251),
    [anon_sym_BSLASHfm] = ACTIONS(5254),
    [anon_sym_BSLASHx] = ACTIONS(5257),
    [anon_sym_BSLASHxt] = ACTIONS(5260),
    [anon_sym_BSLASHrq] = ACTIONS(5263),
    [anon_sym_BSLASHadd] = ACTIONS(5266),
    [anon_sym_BSLASHbk] = ACTIONS(5269),
    [anon_sym_BSLASHdc] = ACTIONS(5272),
    [anon_sym_BSLASHk] = ACTIONS(5275),
    [anon_sym_BSLASHnd] = ACTIONS(5278),
    [anon_sym_BSLASHord] = ACTIONS(5281),
    [anon_sym_BSLASHpn] = ACTIONS(5284),
    [anon_sym_BSLASHpng] = ACTIONS(5287),
    [anon_sym_BSLASHaddpn] = ACTIONS(5290),
    [anon_sym_BSLASHqt] = ACTIONS(5293),
    [anon_sym_BSLASHsig] = ACTIONS(5296),
    [anon_sym_BSLASHsls] = ACTIONS(5299),
    [anon_sym_BSLASHtl] = ACTIONS(5302),
    [anon_sym_BSLASHwj] = ACTIONS(5305),
    [anon_sym_BSLASHem] = ACTIONS(5308),
    [anon_sym_BSLASHbd] = ACTIONS(5311),
    [anon_sym_BSLASHit] = ACTIONS(5314),
    [anon_sym_BSLASHbdit] = ACTIONS(5317),
    [anon_sym_BSLASHno] = ACTIONS(5320),
    [anon_sym_BSLASHsc] = ACTIONS(5323),
    [anon_sym_BSLASHsup] = ACTIONS(5326),
    [anon_sym_BSLASHndx] = ACTIONS(5329),
    [anon_sym_BSLASHpro] = ACTIONS(5332),
    [anon_sym_BSLASHrb] = ACTIONS(5335),
    [anon_sym_BSLASHw] = ACTIONS(5338),
    [anon_sym_BSLASHwg] = ACTIONS(5341),
    [anon_sym_BSLASHwh] = ACTIONS(5344),
    [anon_sym_BSLASHwa] = ACTIONS(5347),
    [anon_sym_BSLASHfig] = ACTIONS(5350),
    [anon_sym_BSLASHjmp] = ACTIONS(5353),
    [anon_sym_BSLASH] = ACTIONS(1553),
    [sym_milestoneStartTag] = ACTIONS(5356),
    [sym_milestoneEndTag] = ACTIONS(5359),
    [sym_zSpaceTag] = ACTIONS(5362),
  },
  [352] = {
    [sym_text] = STATE(352),
    [sym_add] = STATE(352),
    [sym_bk] = STATE(352),
    [sym_dc] = STATE(352),
    [sym_k] = STATE(352),
    [sym_nd] = STATE(352),
    [sym_ord] = STATE(352),
    [sym_pn] = STATE(352),
    [sym_png] = STATE(352),
    [sym_addpn] = STATE(352),
    [sym_qt] = STATE(352),
    [sym_sig] = STATE(352),
    [sym_sls] = STATE(352),
    [sym_tl] = STATE(352),
    [sym_wj] = STATE(352),
    [sym_em] = STATE(352),
    [sym_bd] = STATE(352),
    [sym_it] = STATE(352),
    [sym_bdit] = STATE(352),
    [sym_no] = STATE(352),
    [sym_sc] = STATE(352),
    [sym_sup] = STATE(352),
    [sym_ndx] = STATE(352),
    [sym_pro] = STATE(352),
    [sym_rb] = STATE(352),
    [sym_w] = STATE(352),
    [sym_wg] = STATE(352),
    [sym_wh] = STATE(352),
    [sym_wa] = STATE(352),
    [sym__characterMarker] = STATE(352),
    [sym_fig] = STATE(352),
    [sym_jmp] = STATE(352),
    [aux_sym_verseText_repeat1] = STATE(352),
    [aux_sym_text_token1] = ACTIONS(5365),
    [anon_sym_BSLASHsts] = ACTIONS(3449),
    [anon_sym_BSLASHrem] = ACTIONS(3449),
    [anon_sym_BSLASHrestore] = ACTIONS(3449),
    [anon_sym_BSLASHlit] = ACTIONS(3449),
    [anon_sym_BSLASHip] = ACTIONS(3449),
    [anon_sym_BSLASHmte] = ACTIONS(3449),
    [anon_sym_BSLASHms] = ACTIONS(3449),
    [anon_sym_BSLASHs] = ACTIONS(3449),
    [anon_sym_BSLASHr] = ACTIONS(3449),
    [anon_sym_BSLASHsp] = ACTIONS(3449),
    [anon_sym_BSLASHd] = ACTIONS(3449),
    [anon_sym_BSLASHsd] = ACTIONS(3449),
    [anon_sym_BSLASHp] = ACTIONS(3449),
    [anon_sym_BSLASHm] = ACTIONS(3449),
    [anon_sym_BSLASHpo] = ACTIONS(3449),
    [anon_sym_BSLASHpr] = ACTIONS(3449),
    [anon_sym_BSLASHcls] = ACTIONS(3449),
    [anon_sym_BSLASHpmo] = ACTIONS(3449),
    [anon_sym_BSLASHpm] = ACTIONS(3449),
    [anon_sym_BSLASHpmc] = ACTIONS(3449),
    [anon_sym_BSLASHpmr] = ACTIONS(3449),
    [anon_sym_BSLASHpi] = ACTIONS(3449),
    [anon_sym_BSLASHmi] = ACTIONS(3449),
    [anon_sym_BSLASHnb] = ACTIONS(3449),
    [anon_sym_BSLASHpc] = ACTIONS(3449),
    [anon_sym_BSLASHph] = ACTIONS(3449),
    [anon_sym_BSLASHb] = ACTIONS(3449),
    [anon_sym_BSLASHq] = ACTIONS(3449),
    [anon_sym_BSLASHqr] = ACTIONS(3449),
    [anon_sym_BSLASHqc] = ACTIONS(3449),
    [anon_sym_BSLASHqa] = ACTIONS(3449),
    [anon_sym_BSLASHqm] = ACTIONS(3449),
    [anon_sym_BSLASHqd] = ACTIONS(3449),
    [anon_sym_BSLASHlh] = ACTIONS(3449),
    [anon_sym_BSLASHli] = ACTIONS(3449),
    [anon_sym_BSLASHlim] = ACTIONS(3449),
    [anon_sym_BSLASHtr] = ACTIONS(3449),
    [sym_thTag] = ACTIONS(3449),
    [sym_thrTag] = ACTIONS(3449),
    [sym_tcTag] = ACTIONS(3449),
    [sym_tcrTag] = ACTIONS(3449),
    [anon_sym_BSLASHf] = ACTIONS(3449),
    [anon_sym_BSLASHfe] = ACTIONS(3449),
    [anon_sym_BSLASHef] = ACTIONS(3449),
    [anon_sym_BSLASHfm] = ACTIONS(3449),
    [anon_sym_BSLASHadd] = ACTIONS(5368),
    [anon_sym_BSLASHbk] = ACTIONS(5371),
    [anon_sym_BSLASHdc] = ACTIONS(5374),
    [anon_sym_BSLASHk] = ACTIONS(5377),
    [anon_sym_BSLASHnd] = ACTIONS(5380),
    [anon_sym_BSLASHord] = ACTIONS(5383),
    [anon_sym_BSLASHpn] = ACTIONS(5386),
    [anon_sym_BSLASHpng] = ACTIONS(5389),
    [anon_sym_BSLASHaddpn] = ACTIONS(5392),
    [anon_sym_BSLASHqt] = ACTIONS(5395),
    [anon_sym_BSLASHsig] = ACTIONS(5398),
    [anon_sym_BSLASHsls] = ACTIONS(5401),
    [anon_sym_BSLASHtl] = ACTIONS(5404),
    [anon_sym_BSLASHwj] = ACTIONS(5407),
    [anon_sym_BSLASHem] = ACTIONS(5410),
    [anon_sym_BSLASHbd] = ACTIONS(5413),
    [anon_sym_BSLASHit] = ACTIONS(5416),
    [anon_sym_BSLASHbdit] = ACTIONS(5419),
    [anon_sym_BSLASHno] = ACTIONS(5422),
    [anon_sym_BSLASHsc] = ACTIONS(5425),
    [anon_sym_BSLASHsup] = ACTIONS(5428),
    [anon_sym_BSLASHndx] = ACTIONS(5431),
    [anon_sym_BSLASHpro] = ACTIONS(5434),
    [anon_sym_BSLASHrb] = ACTIONS(5437),
    [anon_sym_BSLASHw] = ACTIONS(5440),
    [anon_sym_BSLASHwg] = ACTIONS(5443),
    [anon_sym_BSLASHwh] = ACTIONS(5446),
    [anon_sym_BSLASHwa] = ACTIONS(5449),
    [anon_sym_BSLASHfig] = ACTIONS(5452),
    [anon_sym_BSLASHjmp] = ACTIONS(5455),
    [anon_sym_BSLASHpb] = ACTIONS(3449),
    [anon_sym_BSLASH] = ACTIONS(3449),
    [sym_milestoneStartTag] = ACTIONS(3449),
    [sym_milestoneEndTag] = ACTIONS(3449),
    [sym_zSpaceTag] = ACTIONS(3449),
    [anon_sym_BSLASHesbe] = ACTIONS(3449),
    [anon_sym_BSLASHcat] = ACTIONS(3449),
  },
  [353] = {
    [sym_customAttribute] = STATE(354),
    [sym_defaultAttribute] = STATE(354),
    [sym_linkAttribute] = STATE(354),
    [sym__linkAttributeName] = STATE(3101),
    [sym__linkAttributeUserDefinedName] = STATE(3101),
    [aux_sym__attributesInCrossref_repeat1] = STATE(354),
    [aux_sym_text_token1] = ACTIONS(5458),
    [anon_sym_BSLASHref] = ACTIONS(5458),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHfr] = ACTIONS(5458),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHfq] = ACTIONS(5458),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHfqa] = ACTIONS(5458),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHfk] = ACTIONS(5458),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHfl] = ACTIONS(5458),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHfw] = ACTIONS(5458),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHfp] = ACTIONS(5458),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHft] = ACTIONS(5458),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHfdc] = ACTIONS(5458),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHfv] = ACTIONS(5458),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHxt] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5458),
    [anon_sym_BSLASHadd] = ACTIONS(5458),
    [anon_sym_BSLASHbk] = ACTIONS(5458),
    [anon_sym_BSLASHdc] = ACTIONS(5458),
    [anon_sym_BSLASHk] = ACTIONS(5458),
    [anon_sym_BSLASHnd] = ACTIONS(5458),
    [anon_sym_BSLASHord] = ACTIONS(5458),
    [anon_sym_BSLASHpn] = ACTIONS(5458),
    [anon_sym_BSLASHpng] = ACTIONS(5458),
    [anon_sym_BSLASHaddpn] = ACTIONS(5458),
    [anon_sym_BSLASHqt] = ACTIONS(5458),
    [anon_sym_BSLASHsig] = ACTIONS(5458),
    [anon_sym_BSLASHsls] = ACTIONS(5458),
    [anon_sym_BSLASHtl] = ACTIONS(5458),
    [anon_sym_BSLASHwj] = ACTIONS(5458),
    [anon_sym_BSLASHem] = ACTIONS(5458),
    [anon_sym_BSLASHbd] = ACTIONS(5458),
    [anon_sym_BSLASHit] = ACTIONS(5458),
    [anon_sym_BSLASHbdit] = ACTIONS(5458),
    [anon_sym_BSLASHno] = ACTIONS(5458),
    [anon_sym_BSLASHsc] = ACTIONS(5458),
    [anon_sym_BSLASHsup] = ACTIONS(5458),
    [anon_sym_BSLASHndx] = ACTIONS(5458),
    [anon_sym_BSLASHpro] = ACTIONS(5458),
    [anon_sym_BSLASHrb] = ACTIONS(5458),
    [anon_sym_BSLASHw] = ACTIONS(5458),
    [anon_sym_BSLASHwg] = ACTIONS(5458),
    [anon_sym_BSLASHwh] = ACTIONS(5458),
    [anon_sym_BSLASHwa] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5458),
    [anon_sym_BSLASHfig] = ACTIONS(5458),
    [anon_sym_BSLASHjmp] = ACTIONS(5458),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5458),
    [anon_sym_BSLASHcat] = ACTIONS(5458),
    [sym_customAttributeName] = ACTIONS(5460),
    [anon_sym_PIPE] = ACTIONS(5462),
    [anon_sym_link_DASHhref] = ACTIONS(5464),
    [anon_sym_link_DASHtitle] = ACTIONS(5464),
    [anon_sym_link_DASHid] = ACTIONS(5464),
    [anon_sym_href] = ACTIONS(5464),
    [anon_sym_title] = ACTIONS(5464),
    [anon_sym_id] = ACTIONS(5464),
    [anon_sym_x_DASH] = ACTIONS(5466),
  },
  [354] = {
    [sym_customAttribute] = STATE(354),
    [sym_defaultAttribute] = STATE(354),
    [sym_linkAttribute] = STATE(354),
    [sym__linkAttributeName] = STATE(3101),
    [sym__linkAttributeUserDefinedName] = STATE(3101),
    [aux_sym__attributesInCrossref_repeat1] = STATE(354),
    [aux_sym_text_token1] = ACTIONS(5468),
    [anon_sym_BSLASHref] = ACTIONS(5468),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHfr] = ACTIONS(5468),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHfq] = ACTIONS(5468),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHfqa] = ACTIONS(5468),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHfk] = ACTIONS(5468),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHfl] = ACTIONS(5468),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHfw] = ACTIONS(5468),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHfp] = ACTIONS(5468),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHft] = ACTIONS(5468),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHfdc] = ACTIONS(5468),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHfv] = ACTIONS(5468),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHxt] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5468),
    [anon_sym_BSLASHadd] = ACTIONS(5468),
    [anon_sym_BSLASHbk] = ACTIONS(5468),
    [anon_sym_BSLASHdc] = ACTIONS(5468),
    [anon_sym_BSLASHk] = ACTIONS(5468),
    [anon_sym_BSLASHnd] = ACTIONS(5468),
    [anon_sym_BSLASHord] = ACTIONS(5468),
    [anon_sym_BSLASHpn] = ACTIONS(5468),
    [anon_sym_BSLASHpng] = ACTIONS(5468),
    [anon_sym_BSLASHaddpn] = ACTIONS(5468),
    [anon_sym_BSLASHqt] = ACTIONS(5468),
    [anon_sym_BSLASHsig] = ACTIONS(5468),
    [anon_sym_BSLASHsls] = ACTIONS(5468),
    [anon_sym_BSLASHtl] = ACTIONS(5468),
    [anon_sym_BSLASHwj] = ACTIONS(5468),
    [anon_sym_BSLASHem] = ACTIONS(5468),
    [anon_sym_BSLASHbd] = ACTIONS(5468),
    [anon_sym_BSLASHit] = ACTIONS(5468),
    [anon_sym_BSLASHbdit] = ACTIONS(5468),
    [anon_sym_BSLASHno] = ACTIONS(5468),
    [anon_sym_BSLASHsc] = ACTIONS(5468),
    [anon_sym_BSLASHsup] = ACTIONS(5468),
    [anon_sym_BSLASHndx] = ACTIONS(5468),
    [anon_sym_BSLASHpro] = ACTIONS(5468),
    [anon_sym_BSLASHrb] = ACTIONS(5468),
    [anon_sym_BSLASHw] = ACTIONS(5468),
    [anon_sym_BSLASHwg] = ACTIONS(5468),
    [anon_sym_BSLASHwh] = ACTIONS(5468),
    [anon_sym_BSLASHwa] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5468),
    [anon_sym_BSLASHfig] = ACTIONS(5468),
    [anon_sym_BSLASHjmp] = ACTIONS(5468),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5468),
    [anon_sym_BSLASHcat] = ACTIONS(5468),
    [sym_customAttributeName] = ACTIONS(5470),
    [anon_sym_PIPE] = ACTIONS(5473),
    [anon_sym_link_DASHhref] = ACTIONS(5476),
    [anon_sym_link_DASHtitle] = ACTIONS(5476),
    [anon_sym_link_DASHid] = ACTIONS(5476),
    [anon_sym_href] = ACTIONS(5476),
    [anon_sym_title] = ACTIONS(5476),
    [anon_sym_id] = ACTIONS(5476),
    [anon_sym_x_DASH] = ACTIONS(5479),
  },
  [355] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_ior] = STATE(1851),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(5482),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5488),
    [anon_sym_BSLASHrem] = ACTIONS(5488),
    [anon_sym_BSLASHrestore] = ACTIONS(5488),
    [anon_sym_BSLASHlit] = ACTIONS(5488),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(5488),
    [anon_sym_BSLASHimte] = ACTIONS(5488),
    [anon_sym_BSLASHis] = ACTIONS(5488),
    [anon_sym_BSLASHio] = ACTIONS(5488),
    [anon_sym_BSLASHior] = ACTIONS(5492),
    [anon_sym_BSLASHiot] = ACTIONS(5488),
    [anon_sym_BSLASHip] = ACTIONS(5488),
    [anon_sym_BSLASHim] = ACTIONS(5488),
    [anon_sym_BSLASHipi] = ACTIONS(5488),
    [anon_sym_BSLASHimi] = ACTIONS(5488),
    [anon_sym_BSLASHili] = ACTIONS(5488),
    [anon_sym_BSLASHipq] = ACTIONS(5488),
    [anon_sym_BSLASHimq] = ACTIONS(5488),
    [anon_sym_BSLASHipr] = ACTIONS(5488),
    [anon_sym_BSLASHib] = ACTIONS(5488),
    [anon_sym_BSLASHiq] = ACTIONS(5488),
    [anon_sym_BSLASHie] = ACTIONS(5488),
    [anon_sym_BSLASHiex] = ACTIONS(5488),
    [anon_sym_BSLASHc] = ACTIONS(5488),
    [anon_sym_BSLASHcl] = ACTIONS(5488),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(5488),
    [sym_milestoneStartTag] = ACTIONS(5488),
    [sym_milestoneEndTag] = ACTIONS(5488),
    [sym_zSpaceTag] = ACTIONS(5488),
    [anon_sym_BSLASHesb] = ACTIONS(5488),
  },
  [356] = {
    [sym_text] = STATE(357),
    [sym__milestoneAttributes] = STATE(2242),
    [ts_builtin_sym_end] = ACTIONS(5556),
    [aux_sym_text_token1] = ACTIONS(5558),
    [anon_sym_BSLASHref] = ACTIONS(5560),
    [anon_sym_BSLASHsts] = ACTIONS(5560),
    [anon_sym_BSLASHrem] = ACTIONS(5560),
    [anon_sym_BSLASHrestore] = ACTIONS(5560),
    [anon_sym_BSLASHlit] = ACTIONS(5560),
    [anon_sym_BSLASHip] = ACTIONS(5560),
    [anon_sym_BSLASHiex] = ACTIONS(5560),
    [anon_sym_BSLASHv] = ACTIONS(5560),
    [anon_sym_BSLASHva] = ACTIONS(5560),
    [anon_sym_BSLASHvp] = ACTIONS(5560),
    [anon_sym_BSLASHc] = ACTIONS(5560),
    [anon_sym_BSLASHcl] = ACTIONS(5560),
    [anon_sym_BSLASHca] = ACTIONS(5560),
    [anon_sym_BSLASHcp] = ACTIONS(5560),
    [anon_sym_BSLASHcd] = ACTIONS(5560),
    [anon_sym_BSLASHmte] = ACTIONS(5560),
    [anon_sym_BSLASHms] = ACTIONS(5560),
    [anon_sym_BSLASHs] = ACTIONS(5560),
    [anon_sym_BSLASHr] = ACTIONS(5560),
    [anon_sym_BSLASHsp] = ACTIONS(5560),
    [anon_sym_BSLASHd] = ACTIONS(5560),
    [anon_sym_BSLASHsd] = ACTIONS(5560),
    [anon_sym_BSLASHp] = ACTIONS(5560),
    [anon_sym_BSLASHm] = ACTIONS(5560),
    [anon_sym_BSLASHpo] = ACTIONS(5560),
    [anon_sym_BSLASHpr] = ACTIONS(5560),
    [anon_sym_BSLASHcls] = ACTIONS(5560),
    [anon_sym_BSLASHpmo] = ACTIONS(5560),
    [anon_sym_BSLASHpm] = ACTIONS(5560),
    [anon_sym_BSLASHpmc] = ACTIONS(5560),
    [anon_sym_BSLASHpmr] = ACTIONS(5560),
    [anon_sym_BSLASHpi] = ACTIONS(5560),
    [anon_sym_BSLASHmi] = ACTIONS(5560),
    [anon_sym_BSLASHnb] = ACTIONS(5560),
    [anon_sym_BSLASHpc] = ACTIONS(5560),
    [anon_sym_BSLASHph] = ACTIONS(5560),
    [anon_sym_BSLASHb] = ACTIONS(5560),
    [anon_sym_BSLASHq] = ACTIONS(5560),
    [anon_sym_BSLASHqr] = ACTIONS(5560),
    [anon_sym_BSLASHqc] = ACTIONS(5560),
    [anon_sym_BSLASHqa] = ACTIONS(5560),
    [anon_sym_BSLASHqm] = ACTIONS(5560),
    [anon_sym_BSLASHqd] = ACTIONS(5560),
    [anon_sym_BSLASHlh] = ACTIONS(5560),
    [anon_sym_BSLASHlf] = ACTIONS(5560),
    [anon_sym_BSLASHli] = ACTIONS(5560),
    [anon_sym_BSLASHlim] = ACTIONS(5560),
    [anon_sym_BSLASHliv] = ACTIONS(5560),
    [anon_sym_BSLASHlik] = ACTIONS(5560),
    [anon_sym_BSLASHlitl] = ACTIONS(5560),
    [anon_sym_BSLASHtr] = ACTIONS(5560),
    [anon_sym_BSLASHf] = ACTIONS(5560),
    [anon_sym_BSLASHfe] = ACTIONS(5560),
    [anon_sym_BSLASHef] = ACTIONS(5560),
    [anon_sym_BSLASHfm] = ACTIONS(5560),
    [anon_sym_BSLASHx] = ACTIONS(5560),
    [anon_sym_BSLASHxt] = ACTIONS(5560),
    [anon_sym_BSLASHrq] = ACTIONS(5560),
    [anon_sym_BSLASHadd] = ACTIONS(5560),
    [anon_sym_BSLASHbk] = ACTIONS(5560),
    [anon_sym_BSLASHdc] = ACTIONS(5560),
    [anon_sym_BSLASHk] = ACTIONS(5560),
    [anon_sym_BSLASHnd] = ACTIONS(5560),
    [anon_sym_BSLASHord] = ACTIONS(5560),
    [anon_sym_BSLASHpn] = ACTIONS(5560),
    [anon_sym_BSLASHpng] = ACTIONS(5560),
    [anon_sym_BSLASHaddpn] = ACTIONS(5560),
    [anon_sym_BSLASHqt] = ACTIONS(5560),
    [anon_sym_BSLASHsig] = ACTIONS(5560),
    [anon_sym_BSLASHsls] = ACTIONS(5560),
    [anon_sym_BSLASHtl] = ACTIONS(5560),
    [anon_sym_BSLASHwj] = ACTIONS(5560),
    [anon_sym_BSLASHem] = ACTIONS(5560),
    [anon_sym_BSLASHbd] = ACTIONS(5560),
    [anon_sym_BSLASHit] = ACTIONS(5560),
    [anon_sym_BSLASHbdit] = ACTIONS(5560),
    [anon_sym_BSLASHno] = ACTIONS(5560),
    [anon_sym_BSLASHsc] = ACTIONS(5560),
    [anon_sym_BSLASHsup] = ACTIONS(5560),
    [anon_sym_BSLASHndx] = ACTIONS(5560),
    [anon_sym_BSLASHpro] = ACTIONS(5560),
    [anon_sym_BSLASHrb] = ACTIONS(5560),
    [anon_sym_BSLASHw] = ACTIONS(5560),
    [anon_sym_BSLASHwg] = ACTIONS(5560),
    [anon_sym_BSLASHwh] = ACTIONS(5560),
    [anon_sym_BSLASHwa] = ACTIONS(5560),
    [anon_sym_BSLASHfig] = ACTIONS(5560),
    [anon_sym_BSLASHjmp] = ACTIONS(5560),
    [anon_sym_BSLASHpb] = ACTIONS(5560),
    [anon_sym_BSLASH] = ACTIONS(5560),
    [anon_sym_BSLASH_STAR] = ACTIONS(5562),
    [sym_milestoneStartTag] = ACTIONS(5560),
    [sym_milestoneEndTag] = ACTIONS(5560),
    [sym_zSpaceTag] = ACTIONS(5560),
    [sym__zSpaceClose] = ACTIONS(5564),
    [anon_sym_BSLASHesb] = ACTIONS(5560),
    [anon_sym_PIPE] = ACTIONS(5566),
  },
  [357] = {
    [sym__milestoneAttributes] = STATE(2233),
    [ts_builtin_sym_end] = ACTIONS(5568),
    [aux_sym_text_token1] = ACTIONS(5568),
    [anon_sym_BSLASHref] = ACTIONS(5570),
    [anon_sym_BSLASHsts] = ACTIONS(5570),
    [anon_sym_BSLASHrem] = ACTIONS(5570),
    [anon_sym_BSLASHrestore] = ACTIONS(5570),
    [anon_sym_BSLASHlit] = ACTIONS(5570),
    [anon_sym_BSLASHip] = ACTIONS(5570),
    [anon_sym_BSLASHiex] = ACTIONS(5570),
    [anon_sym_BSLASHv] = ACTIONS(5570),
    [anon_sym_BSLASHva] = ACTIONS(5570),
    [anon_sym_BSLASHvp] = ACTIONS(5570),
    [anon_sym_BSLASHc] = ACTIONS(5570),
    [anon_sym_BSLASHcl] = ACTIONS(5570),
    [anon_sym_BSLASHca] = ACTIONS(5570),
    [anon_sym_BSLASHcp] = ACTIONS(5570),
    [anon_sym_BSLASHcd] = ACTIONS(5570),
    [anon_sym_BSLASHmte] = ACTIONS(5570),
    [anon_sym_BSLASHms] = ACTIONS(5570),
    [anon_sym_BSLASHs] = ACTIONS(5570),
    [anon_sym_BSLASHr] = ACTIONS(5570),
    [anon_sym_BSLASHsp] = ACTIONS(5570),
    [anon_sym_BSLASHd] = ACTIONS(5570),
    [anon_sym_BSLASHsd] = ACTIONS(5570),
    [anon_sym_BSLASHp] = ACTIONS(5570),
    [anon_sym_BSLASHm] = ACTIONS(5570),
    [anon_sym_BSLASHpo] = ACTIONS(5570),
    [anon_sym_BSLASHpr] = ACTIONS(5570),
    [anon_sym_BSLASHcls] = ACTIONS(5570),
    [anon_sym_BSLASHpmo] = ACTIONS(5570),
    [anon_sym_BSLASHpm] = ACTIONS(5570),
    [anon_sym_BSLASHpmc] = ACTIONS(5570),
    [anon_sym_BSLASHpmr] = ACTIONS(5570),
    [anon_sym_BSLASHpi] = ACTIONS(5570),
    [anon_sym_BSLASHmi] = ACTIONS(5570),
    [anon_sym_BSLASHnb] = ACTIONS(5570),
    [anon_sym_BSLASHpc] = ACTIONS(5570),
    [anon_sym_BSLASHph] = ACTIONS(5570),
    [anon_sym_BSLASHb] = ACTIONS(5570),
    [anon_sym_BSLASHq] = ACTIONS(5570),
    [anon_sym_BSLASHqr] = ACTIONS(5570),
    [anon_sym_BSLASHqc] = ACTIONS(5570),
    [anon_sym_BSLASHqa] = ACTIONS(5570),
    [anon_sym_BSLASHqm] = ACTIONS(5570),
    [anon_sym_BSLASHqd] = ACTIONS(5570),
    [anon_sym_BSLASHlh] = ACTIONS(5570),
    [anon_sym_BSLASHlf] = ACTIONS(5570),
    [anon_sym_BSLASHli] = ACTIONS(5570),
    [anon_sym_BSLASHlim] = ACTIONS(5570),
    [anon_sym_BSLASHliv] = ACTIONS(5570),
    [anon_sym_BSLASHlik] = ACTIONS(5570),
    [anon_sym_BSLASHlitl] = ACTIONS(5570),
    [anon_sym_BSLASHtr] = ACTIONS(5570),
    [anon_sym_BSLASHf] = ACTIONS(5570),
    [anon_sym_BSLASHfe] = ACTIONS(5570),
    [anon_sym_BSLASHef] = ACTIONS(5570),
    [anon_sym_BSLASHfm] = ACTIONS(5570),
    [anon_sym_BSLASHx] = ACTIONS(5570),
    [anon_sym_BSLASHxt] = ACTIONS(5570),
    [anon_sym_BSLASHrq] = ACTIONS(5570),
    [anon_sym_BSLASHadd] = ACTIONS(5570),
    [anon_sym_BSLASHbk] = ACTIONS(5570),
    [anon_sym_BSLASHdc] = ACTIONS(5570),
    [anon_sym_BSLASHk] = ACTIONS(5570),
    [anon_sym_BSLASHnd] = ACTIONS(5570),
    [anon_sym_BSLASHord] = ACTIONS(5570),
    [anon_sym_BSLASHpn] = ACTIONS(5570),
    [anon_sym_BSLASHpng] = ACTIONS(5570),
    [anon_sym_BSLASHaddpn] = ACTIONS(5570),
    [anon_sym_BSLASHqt] = ACTIONS(5570),
    [anon_sym_BSLASHsig] = ACTIONS(5570),
    [anon_sym_BSLASHsls] = ACTIONS(5570),
    [anon_sym_BSLASHtl] = ACTIONS(5570),
    [anon_sym_BSLASHwj] = ACTIONS(5570),
    [anon_sym_BSLASHem] = ACTIONS(5570),
    [anon_sym_BSLASHbd] = ACTIONS(5570),
    [anon_sym_BSLASHit] = ACTIONS(5570),
    [anon_sym_BSLASHbdit] = ACTIONS(5570),
    [anon_sym_BSLASHno] = ACTIONS(5570),
    [anon_sym_BSLASHsc] = ACTIONS(5570),
    [anon_sym_BSLASHsup] = ACTIONS(5570),
    [anon_sym_BSLASHndx] = ACTIONS(5570),
    [anon_sym_BSLASHpro] = ACTIONS(5570),
    [anon_sym_BSLASHrb] = ACTIONS(5570),
    [anon_sym_BSLASHw] = ACTIONS(5570),
    [anon_sym_BSLASHwg] = ACTIONS(5570),
    [anon_sym_BSLASHwh] = ACTIONS(5570),
    [anon_sym_BSLASHwa] = ACTIONS(5570),
    [anon_sym_BSLASHfig] = ACTIONS(5570),
    [anon_sym_BSLASHjmp] = ACTIONS(5570),
    [anon_sym_BSLASHpb] = ACTIONS(5570),
    [anon_sym_BSLASH] = ACTIONS(5570),
    [anon_sym_BSLASH_STAR] = ACTIONS(5572),
    [sym_milestoneStartTag] = ACTIONS(5570),
    [sym_milestoneEndTag] = ACTIONS(5570),
    [sym_zSpaceTag] = ACTIONS(5570),
    [sym__zSpaceClose] = ACTIONS(5574),
    [anon_sym_BSLASHesb] = ACTIONS(5570),
    [anon_sym_PIPE] = ACTIONS(5566),
  },
  [358] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(4035),
    [aux_sym_text_token1] = ACTIONS(5576),
    [anon_sym_BSLASHref] = ACTIONS(5579),
    [anon_sym_BSLASHsts] = ACTIONS(4043),
    [anon_sym_BSLASHrem] = ACTIONS(4043),
    [anon_sym_BSLASHrestore] = ACTIONS(4043),
    [anon_sym_BSLASHlit] = ACTIONS(4043),
    [anon_sym_BSLASHiqt] = ACTIONS(5582),
    [anon_sym_BSLASHimt] = ACTIONS(4043),
    [anon_sym_BSLASHimte] = ACTIONS(4043),
    [anon_sym_BSLASHis] = ACTIONS(4043),
    [anon_sym_BSLASHio] = ACTIONS(4043),
    [anon_sym_BSLASHior] = ACTIONS(4043),
    [anon_sym_BSLASHiot] = ACTIONS(4043),
    [anon_sym_BSLASHip] = ACTIONS(4043),
    [anon_sym_BSLASHim] = ACTIONS(4043),
    [anon_sym_BSLASHipi] = ACTIONS(4043),
    [anon_sym_BSLASHimi] = ACTIONS(4043),
    [anon_sym_BSLASHili] = ACTIONS(4043),
    [anon_sym_BSLASHipq] = ACTIONS(4043),
    [anon_sym_BSLASHimq] = ACTIONS(4043),
    [anon_sym_BSLASHipr] = ACTIONS(4043),
    [anon_sym_BSLASHib] = ACTIONS(4043),
    [anon_sym_BSLASHiq] = ACTIONS(4043),
    [anon_sym_BSLASHie] = ACTIONS(4043),
    [anon_sym_BSLASHiex] = ACTIONS(4043),
    [anon_sym_BSLASHc] = ACTIONS(4043),
    [anon_sym_BSLASHcl] = ACTIONS(4043),
    [anon_sym_BSLASHxt] = ACTIONS(5585),
    [anon_sym_BSLASHadd] = ACTIONS(5588),
    [anon_sym_BSLASHbk] = ACTIONS(5591),
    [anon_sym_BSLASHdc] = ACTIONS(5594),
    [anon_sym_BSLASHk] = ACTIONS(5597),
    [anon_sym_BSLASHnd] = ACTIONS(5600),
    [anon_sym_BSLASHord] = ACTIONS(5603),
    [anon_sym_BSLASHpn] = ACTIONS(5606),
    [anon_sym_BSLASHpng] = ACTIONS(5609),
    [anon_sym_BSLASHaddpn] = ACTIONS(5612),
    [anon_sym_BSLASHqt] = ACTIONS(5615),
    [anon_sym_BSLASHsig] = ACTIONS(5618),
    [anon_sym_BSLASHsls] = ACTIONS(5621),
    [anon_sym_BSLASHtl] = ACTIONS(5624),
    [anon_sym_BSLASHwj] = ACTIONS(5627),
    [anon_sym_BSLASHem] = ACTIONS(5630),
    [anon_sym_BSLASHbd] = ACTIONS(5633),
    [anon_sym_BSLASHit] = ACTIONS(5636),
    [anon_sym_BSLASHbdit] = ACTIONS(5639),
    [anon_sym_BSLASHno] = ACTIONS(5642),
    [anon_sym_BSLASHsc] = ACTIONS(5645),
    [anon_sym_BSLASHsup] = ACTIONS(5648),
    [anon_sym_BSLASHndx] = ACTIONS(5651),
    [anon_sym_BSLASHpro] = ACTIONS(5654),
    [anon_sym_BSLASHrb] = ACTIONS(5657),
    [anon_sym_BSLASHw] = ACTIONS(5660),
    [anon_sym_BSLASHwg] = ACTIONS(5663),
    [anon_sym_BSLASHwh] = ACTIONS(5666),
    [anon_sym_BSLASHwa] = ACTIONS(5669),
    [anon_sym_BSLASHfig] = ACTIONS(5672),
    [anon_sym_BSLASHjmp] = ACTIONS(5675),
    [anon_sym_BSLASH] = ACTIONS(4043),
    [sym_milestoneStartTag] = ACTIONS(4043),
    [sym_milestoneEndTag] = ACTIONS(4043),
    [sym_zSpaceTag] = ACTIONS(4043),
    [anon_sym_BSLASHesb] = ACTIONS(4043),
  },
  [359] = {
    [sym__verseMeta] = STATE(359),
    [sym_va] = STATE(359),
    [sym_vp] = STATE(359),
    [aux_sym_v_repeat1] = STATE(359),
    [ts_builtin_sym_end] = ACTIONS(5678),
    [aux_sym_text_token1] = ACTIONS(5678),
    [anon_sym_BSLASHref] = ACTIONS(5680),
    [anon_sym_BSLASHsts] = ACTIONS(5680),
    [anon_sym_BSLASHrem] = ACTIONS(5680),
    [anon_sym_BSLASHrestore] = ACTIONS(5680),
    [anon_sym_BSLASHlit] = ACTIONS(5680),
    [anon_sym_BSLASHip] = ACTIONS(5680),
    [anon_sym_BSLASHiex] = ACTIONS(5680),
    [anon_sym_BSLASHv] = ACTIONS(5680),
    [anon_sym_BSLASHva] = ACTIONS(5682),
    [anon_sym_BSLASHvp] = ACTIONS(5685),
    [anon_sym_BSLASHc] = ACTIONS(5680),
    [anon_sym_BSLASHcl] = ACTIONS(5680),
    [anon_sym_BSLASHca] = ACTIONS(5680),
    [anon_sym_BSLASHcp] = ACTIONS(5680),
    [anon_sym_BSLASHcd] = ACTIONS(5680),
    [anon_sym_BSLASHmte] = ACTIONS(5680),
    [anon_sym_BSLASHms] = ACTIONS(5680),
    [anon_sym_BSLASHs] = ACTIONS(5680),
    [anon_sym_BSLASHr] = ACTIONS(5680),
    [anon_sym_BSLASHsp] = ACTIONS(5680),
    [anon_sym_BSLASHd] = ACTIONS(5680),
    [anon_sym_BSLASHsd] = ACTIONS(5680),
    [anon_sym_BSLASHp] = ACTIONS(5680),
    [anon_sym_BSLASHm] = ACTIONS(5680),
    [anon_sym_BSLASHpo] = ACTIONS(5680),
    [anon_sym_BSLASHpr] = ACTIONS(5680),
    [anon_sym_BSLASHcls] = ACTIONS(5680),
    [anon_sym_BSLASHpmo] = ACTIONS(5680),
    [anon_sym_BSLASHpm] = ACTIONS(5680),
    [anon_sym_BSLASHpmc] = ACTIONS(5680),
    [anon_sym_BSLASHpmr] = ACTIONS(5680),
    [anon_sym_BSLASHpi] = ACTIONS(5680),
    [anon_sym_BSLASHmi] = ACTIONS(5680),
    [anon_sym_BSLASHnb] = ACTIONS(5680),
    [anon_sym_BSLASHpc] = ACTIONS(5680),
    [anon_sym_BSLASHph] = ACTIONS(5680),
    [anon_sym_BSLASHb] = ACTIONS(5680),
    [anon_sym_BSLASHq] = ACTIONS(5680),
    [anon_sym_BSLASHqr] = ACTIONS(5680),
    [anon_sym_BSLASHqc] = ACTIONS(5680),
    [anon_sym_BSLASHqa] = ACTIONS(5680),
    [anon_sym_BSLASHqm] = ACTIONS(5680),
    [anon_sym_BSLASHqd] = ACTIONS(5680),
    [anon_sym_BSLASHlh] = ACTIONS(5680),
    [anon_sym_BSLASHlf] = ACTIONS(5680),
    [anon_sym_BSLASHli] = ACTIONS(5680),
    [anon_sym_BSLASHlim] = ACTIONS(5680),
    [anon_sym_BSLASHliv] = ACTIONS(5680),
    [anon_sym_BSLASHlik] = ACTIONS(5680),
    [anon_sym_BSLASHlitl] = ACTIONS(5680),
    [anon_sym_BSLASHtr] = ACTIONS(5680),
    [anon_sym_BSLASHf] = ACTIONS(5680),
    [anon_sym_BSLASHfe] = ACTIONS(5680),
    [anon_sym_BSLASHef] = ACTIONS(5680),
    [anon_sym_BSLASHfm] = ACTIONS(5680),
    [anon_sym_BSLASHx] = ACTIONS(5680),
    [anon_sym_BSLASHxt] = ACTIONS(5680),
    [anon_sym_BSLASHrq] = ACTIONS(5680),
    [anon_sym_BSLASHadd] = ACTIONS(5680),
    [anon_sym_BSLASHbk] = ACTIONS(5680),
    [anon_sym_BSLASHdc] = ACTIONS(5680),
    [anon_sym_BSLASHk] = ACTIONS(5680),
    [anon_sym_BSLASHnd] = ACTIONS(5680),
    [anon_sym_BSLASHord] = ACTIONS(5680),
    [anon_sym_BSLASHpn] = ACTIONS(5680),
    [anon_sym_BSLASHpng] = ACTIONS(5680),
    [anon_sym_BSLASHaddpn] = ACTIONS(5680),
    [anon_sym_BSLASHqt] = ACTIONS(5680),
    [anon_sym_BSLASHsig] = ACTIONS(5680),
    [anon_sym_BSLASHsls] = ACTIONS(5680),
    [anon_sym_BSLASHtl] = ACTIONS(5680),
    [anon_sym_BSLASHwj] = ACTIONS(5680),
    [anon_sym_BSLASHem] = ACTIONS(5680),
    [anon_sym_BSLASHbd] = ACTIONS(5680),
    [anon_sym_BSLASHit] = ACTIONS(5680),
    [anon_sym_BSLASHbdit] = ACTIONS(5680),
    [anon_sym_BSLASHno] = ACTIONS(5680),
    [anon_sym_BSLASHsc] = ACTIONS(5680),
    [anon_sym_BSLASHsup] = ACTIONS(5680),
    [anon_sym_BSLASHndx] = ACTIONS(5680),
    [anon_sym_BSLASHpro] = ACTIONS(5680),
    [anon_sym_BSLASHrb] = ACTIONS(5680),
    [anon_sym_BSLASHw] = ACTIONS(5680),
    [anon_sym_BSLASHwg] = ACTIONS(5680),
    [anon_sym_BSLASHwh] = ACTIONS(5680),
    [anon_sym_BSLASHwa] = ACTIONS(5680),
    [anon_sym_BSLASHfig] = ACTIONS(5680),
    [anon_sym_BSLASHjmp] = ACTIONS(5680),
    [anon_sym_BSLASHpb] = ACTIONS(5680),
    [anon_sym_BSLASH] = ACTIONS(5680),
    [sym_milestoneStartTag] = ACTIONS(5680),
    [sym_milestoneEndTag] = ACTIONS(5680),
    [sym_zSpaceTag] = ACTIONS(5680),
    [anon_sym_BSLASHesb] = ACTIONS(5680),
  },
  [360] = {
    [sym__verseMeta] = STATE(361),
    [sym_va] = STATE(361),
    [sym_vp] = STATE(361),
    [aux_sym_v_repeat1] = STATE(361),
    [ts_builtin_sym_end] = ACTIONS(5688),
    [aux_sym_text_token1] = ACTIONS(5688),
    [anon_sym_BSLASHref] = ACTIONS(5690),
    [anon_sym_BSLASHsts] = ACTIONS(5690),
    [anon_sym_BSLASHrem] = ACTIONS(5690),
    [anon_sym_BSLASHrestore] = ACTIONS(5690),
    [anon_sym_BSLASHlit] = ACTIONS(5690),
    [anon_sym_BSLASHip] = ACTIONS(5690),
    [anon_sym_BSLASHiex] = ACTIONS(5690),
    [anon_sym_BSLASHv] = ACTIONS(5690),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(5690),
    [anon_sym_BSLASHcl] = ACTIONS(5690),
    [anon_sym_BSLASHca] = ACTIONS(5690),
    [anon_sym_BSLASHcp] = ACTIONS(5690),
    [anon_sym_BSLASHcd] = ACTIONS(5690),
    [anon_sym_BSLASHmte] = ACTIONS(5690),
    [anon_sym_BSLASHms] = ACTIONS(5690),
    [anon_sym_BSLASHs] = ACTIONS(5690),
    [anon_sym_BSLASHr] = ACTIONS(5690),
    [anon_sym_BSLASHsp] = ACTIONS(5690),
    [anon_sym_BSLASHd] = ACTIONS(5690),
    [anon_sym_BSLASHsd] = ACTIONS(5690),
    [anon_sym_BSLASHp] = ACTIONS(5690),
    [anon_sym_BSLASHm] = ACTIONS(5690),
    [anon_sym_BSLASHpo] = ACTIONS(5690),
    [anon_sym_BSLASHpr] = ACTIONS(5690),
    [anon_sym_BSLASHcls] = ACTIONS(5690),
    [anon_sym_BSLASHpmo] = ACTIONS(5690),
    [anon_sym_BSLASHpm] = ACTIONS(5690),
    [anon_sym_BSLASHpmc] = ACTIONS(5690),
    [anon_sym_BSLASHpmr] = ACTIONS(5690),
    [anon_sym_BSLASHpi] = ACTIONS(5690),
    [anon_sym_BSLASHmi] = ACTIONS(5690),
    [anon_sym_BSLASHnb] = ACTIONS(5690),
    [anon_sym_BSLASHpc] = ACTIONS(5690),
    [anon_sym_BSLASHph] = ACTIONS(5690),
    [anon_sym_BSLASHb] = ACTIONS(5690),
    [anon_sym_BSLASHq] = ACTIONS(5690),
    [anon_sym_BSLASHqr] = ACTIONS(5690),
    [anon_sym_BSLASHqc] = ACTIONS(5690),
    [anon_sym_BSLASHqa] = ACTIONS(5690),
    [anon_sym_BSLASHqm] = ACTIONS(5690),
    [anon_sym_BSLASHqd] = ACTIONS(5690),
    [anon_sym_BSLASHlh] = ACTIONS(5690),
    [anon_sym_BSLASHlf] = ACTIONS(5690),
    [anon_sym_BSLASHli] = ACTIONS(5690),
    [anon_sym_BSLASHlim] = ACTIONS(5690),
    [anon_sym_BSLASHliv] = ACTIONS(5690),
    [anon_sym_BSLASHlik] = ACTIONS(5690),
    [anon_sym_BSLASHlitl] = ACTIONS(5690),
    [anon_sym_BSLASHtr] = ACTIONS(5690),
    [anon_sym_BSLASHf] = ACTIONS(5690),
    [anon_sym_BSLASHfe] = ACTIONS(5690),
    [anon_sym_BSLASHef] = ACTIONS(5690),
    [anon_sym_BSLASHfm] = ACTIONS(5690),
    [anon_sym_BSLASHx] = ACTIONS(5690),
    [anon_sym_BSLASHxt] = ACTIONS(5690),
    [anon_sym_BSLASHrq] = ACTIONS(5690),
    [anon_sym_BSLASHadd] = ACTIONS(5690),
    [anon_sym_BSLASHbk] = ACTIONS(5690),
    [anon_sym_BSLASHdc] = ACTIONS(5690),
    [anon_sym_BSLASHk] = ACTIONS(5690),
    [anon_sym_BSLASHnd] = ACTIONS(5690),
    [anon_sym_BSLASHord] = ACTIONS(5690),
    [anon_sym_BSLASHpn] = ACTIONS(5690),
    [anon_sym_BSLASHpng] = ACTIONS(5690),
    [anon_sym_BSLASHaddpn] = ACTIONS(5690),
    [anon_sym_BSLASHqt] = ACTIONS(5690),
    [anon_sym_BSLASHsig] = ACTIONS(5690),
    [anon_sym_BSLASHsls] = ACTIONS(5690),
    [anon_sym_BSLASHtl] = ACTIONS(5690),
    [anon_sym_BSLASHwj] = ACTIONS(5690),
    [anon_sym_BSLASHem] = ACTIONS(5690),
    [anon_sym_BSLASHbd] = ACTIONS(5690),
    [anon_sym_BSLASHit] = ACTIONS(5690),
    [anon_sym_BSLASHbdit] = ACTIONS(5690),
    [anon_sym_BSLASHno] = ACTIONS(5690),
    [anon_sym_BSLASHsc] = ACTIONS(5690),
    [anon_sym_BSLASHsup] = ACTIONS(5690),
    [anon_sym_BSLASHndx] = ACTIONS(5690),
    [anon_sym_BSLASHpro] = ACTIONS(5690),
    [anon_sym_BSLASHrb] = ACTIONS(5690),
    [anon_sym_BSLASHw] = ACTIONS(5690),
    [anon_sym_BSLASHwg] = ACTIONS(5690),
    [anon_sym_BSLASHwh] = ACTIONS(5690),
    [anon_sym_BSLASHwa] = ACTIONS(5690),
    [anon_sym_BSLASHfig] = ACTIONS(5690),
    [anon_sym_BSLASHjmp] = ACTIONS(5690),
    [anon_sym_BSLASHpb] = ACTIONS(5690),
    [anon_sym_BSLASH] = ACTIONS(5690),
    [sym_milestoneStartTag] = ACTIONS(5690),
    [sym_milestoneEndTag] = ACTIONS(5690),
    [sym_zSpaceTag] = ACTIONS(5690),
    [anon_sym_BSLASHesb] = ACTIONS(5690),
  },
  [361] = {
    [sym__verseMeta] = STATE(359),
    [sym_va] = STATE(359),
    [sym_vp] = STATE(359),
    [aux_sym_v_repeat1] = STATE(359),
    [ts_builtin_sym_end] = ACTIONS(5692),
    [aux_sym_text_token1] = ACTIONS(5692),
    [anon_sym_BSLASHref] = ACTIONS(5694),
    [anon_sym_BSLASHsts] = ACTIONS(5694),
    [anon_sym_BSLASHrem] = ACTIONS(5694),
    [anon_sym_BSLASHrestore] = ACTIONS(5694),
    [anon_sym_BSLASHlit] = ACTIONS(5694),
    [anon_sym_BSLASHip] = ACTIONS(5694),
    [anon_sym_BSLASHiex] = ACTIONS(5694),
    [anon_sym_BSLASHv] = ACTIONS(5694),
    [anon_sym_BSLASHva] = ACTIONS(402),
    [anon_sym_BSLASHvp] = ACTIONS(404),
    [anon_sym_BSLASHc] = ACTIONS(5694),
    [anon_sym_BSLASHcl] = ACTIONS(5694),
    [anon_sym_BSLASHca] = ACTIONS(5694),
    [anon_sym_BSLASHcp] = ACTIONS(5694),
    [anon_sym_BSLASHcd] = ACTIONS(5694),
    [anon_sym_BSLASHmte] = ACTIONS(5694),
    [anon_sym_BSLASHms] = ACTIONS(5694),
    [anon_sym_BSLASHs] = ACTIONS(5694),
    [anon_sym_BSLASHr] = ACTIONS(5694),
    [anon_sym_BSLASHsp] = ACTIONS(5694),
    [anon_sym_BSLASHd] = ACTIONS(5694),
    [anon_sym_BSLASHsd] = ACTIONS(5694),
    [anon_sym_BSLASHp] = ACTIONS(5694),
    [anon_sym_BSLASHm] = ACTIONS(5694),
    [anon_sym_BSLASHpo] = ACTIONS(5694),
    [anon_sym_BSLASHpr] = ACTIONS(5694),
    [anon_sym_BSLASHcls] = ACTIONS(5694),
    [anon_sym_BSLASHpmo] = ACTIONS(5694),
    [anon_sym_BSLASHpm] = ACTIONS(5694),
    [anon_sym_BSLASHpmc] = ACTIONS(5694),
    [anon_sym_BSLASHpmr] = ACTIONS(5694),
    [anon_sym_BSLASHpi] = ACTIONS(5694),
    [anon_sym_BSLASHmi] = ACTIONS(5694),
    [anon_sym_BSLASHnb] = ACTIONS(5694),
    [anon_sym_BSLASHpc] = ACTIONS(5694),
    [anon_sym_BSLASHph] = ACTIONS(5694),
    [anon_sym_BSLASHb] = ACTIONS(5694),
    [anon_sym_BSLASHq] = ACTIONS(5694),
    [anon_sym_BSLASHqr] = ACTIONS(5694),
    [anon_sym_BSLASHqc] = ACTIONS(5694),
    [anon_sym_BSLASHqa] = ACTIONS(5694),
    [anon_sym_BSLASHqm] = ACTIONS(5694),
    [anon_sym_BSLASHqd] = ACTIONS(5694),
    [anon_sym_BSLASHlh] = ACTIONS(5694),
    [anon_sym_BSLASHlf] = ACTIONS(5694),
    [anon_sym_BSLASHli] = ACTIONS(5694),
    [anon_sym_BSLASHlim] = ACTIONS(5694),
    [anon_sym_BSLASHliv] = ACTIONS(5694),
    [anon_sym_BSLASHlik] = ACTIONS(5694),
    [anon_sym_BSLASHlitl] = ACTIONS(5694),
    [anon_sym_BSLASHtr] = ACTIONS(5694),
    [anon_sym_BSLASHf] = ACTIONS(5694),
    [anon_sym_BSLASHfe] = ACTIONS(5694),
    [anon_sym_BSLASHef] = ACTIONS(5694),
    [anon_sym_BSLASHfm] = ACTIONS(5694),
    [anon_sym_BSLASHx] = ACTIONS(5694),
    [anon_sym_BSLASHxt] = ACTIONS(5694),
    [anon_sym_BSLASHrq] = ACTIONS(5694),
    [anon_sym_BSLASHadd] = ACTIONS(5694),
    [anon_sym_BSLASHbk] = ACTIONS(5694),
    [anon_sym_BSLASHdc] = ACTIONS(5694),
    [anon_sym_BSLASHk] = ACTIONS(5694),
    [anon_sym_BSLASHnd] = ACTIONS(5694),
    [anon_sym_BSLASHord] = ACTIONS(5694),
    [anon_sym_BSLASHpn] = ACTIONS(5694),
    [anon_sym_BSLASHpng] = ACTIONS(5694),
    [anon_sym_BSLASHaddpn] = ACTIONS(5694),
    [anon_sym_BSLASHqt] = ACTIONS(5694),
    [anon_sym_BSLASHsig] = ACTIONS(5694),
    [anon_sym_BSLASHsls] = ACTIONS(5694),
    [anon_sym_BSLASHtl] = ACTIONS(5694),
    [anon_sym_BSLASHwj] = ACTIONS(5694),
    [anon_sym_BSLASHem] = ACTIONS(5694),
    [anon_sym_BSLASHbd] = ACTIONS(5694),
    [anon_sym_BSLASHit] = ACTIONS(5694),
    [anon_sym_BSLASHbdit] = ACTIONS(5694),
    [anon_sym_BSLASHno] = ACTIONS(5694),
    [anon_sym_BSLASHsc] = ACTIONS(5694),
    [anon_sym_BSLASHsup] = ACTIONS(5694),
    [anon_sym_BSLASHndx] = ACTIONS(5694),
    [anon_sym_BSLASHpro] = ACTIONS(5694),
    [anon_sym_BSLASHrb] = ACTIONS(5694),
    [anon_sym_BSLASHw] = ACTIONS(5694),
    [anon_sym_BSLASHwg] = ACTIONS(5694),
    [anon_sym_BSLASHwh] = ACTIONS(5694),
    [anon_sym_BSLASHwa] = ACTIONS(5694),
    [anon_sym_BSLASHfig] = ACTIONS(5694),
    [anon_sym_BSLASHjmp] = ACTIONS(5694),
    [anon_sym_BSLASHpb] = ACTIONS(5694),
    [anon_sym_BSLASH] = ACTIONS(5694),
    [sym_milestoneStartTag] = ACTIONS(5694),
    [sym_milestoneEndTag] = ACTIONS(5694),
    [sym_zSpaceTag] = ACTIONS(5694),
    [anon_sym_BSLASHesb] = ACTIONS(5694),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(2755),
    [aux_sym_text_token1] = ACTIONS(2755),
    [anon_sym_BSLASHref] = ACTIONS(2757),
    [anon_sym_BSLASHsts] = ACTIONS(2757),
    [anon_sym_BSLASHrem] = ACTIONS(2757),
    [anon_sym_BSLASHrestore] = ACTIONS(2757),
    [anon_sym_BSLASHlit] = ACTIONS(2757),
    [anon_sym_BSLASHiqt] = ACTIONS(2757),
    [anon_sym_BSLASHip] = ACTIONS(2757),
    [anon_sym_BSLASHiex] = ACTIONS(2757),
    [anon_sym_BSLASHv] = ACTIONS(2757),
    [anon_sym_BSLASHva] = ACTIONS(2757),
    [anon_sym_BSLASHvp] = ACTIONS(2757),
    [anon_sym_BSLASHc] = ACTIONS(2757),
    [anon_sym_BSLASHcl] = ACTIONS(2757),
    [anon_sym_BSLASHca] = ACTIONS(2757),
    [anon_sym_BSLASHcp] = ACTIONS(2757),
    [anon_sym_BSLASHcd] = ACTIONS(2757),
    [anon_sym_BSLASHmte] = ACTIONS(2757),
    [anon_sym_BSLASHms] = ACTIONS(2757),
    [anon_sym_BSLASHmr] = ACTIONS(2757),
    [anon_sym_BSLASHs] = ACTIONS(2757),
    [anon_sym_BSLASHsr] = ACTIONS(2757),
    [anon_sym_BSLASHr] = ACTIONS(2757),
    [anon_sym_BSLASHsp] = ACTIONS(2757),
    [anon_sym_BSLASHd] = ACTIONS(2757),
    [anon_sym_BSLASHsd] = ACTIONS(2757),
    [anon_sym_BSLASHp] = ACTIONS(2757),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2757),
    [anon_sym_BSLASHpr] = ACTIONS(2757),
    [anon_sym_BSLASHcls] = ACTIONS(2757),
    [anon_sym_BSLASHpmo] = ACTIONS(2757),
    [anon_sym_BSLASHpm] = ACTIONS(2757),
    [anon_sym_BSLASHpmc] = ACTIONS(2757),
    [anon_sym_BSLASHpmr] = ACTIONS(2757),
    [anon_sym_BSLASHpi] = ACTIONS(2757),
    [anon_sym_BSLASHmi] = ACTIONS(2757),
    [anon_sym_BSLASHnb] = ACTIONS(2757),
    [anon_sym_BSLASHpc] = ACTIONS(2757),
    [anon_sym_BSLASHph] = ACTIONS(2757),
    [anon_sym_BSLASHb] = ACTIONS(2757),
    [anon_sym_BSLASHq] = ACTIONS(2757),
    [anon_sym_BSLASHqr] = ACTIONS(2757),
    [anon_sym_BSLASHqc] = ACTIONS(2757),
    [anon_sym_BSLASHqa] = ACTIONS(2757),
    [anon_sym_BSLASHqm] = ACTIONS(2757),
    [anon_sym_BSLASHqd] = ACTIONS(2757),
    [anon_sym_BSLASHlh] = ACTIONS(2757),
    [anon_sym_BSLASHlf] = ACTIONS(2757),
    [anon_sym_BSLASHli] = ACTIONS(2757),
    [anon_sym_BSLASHlim] = ACTIONS(2757),
    [anon_sym_BSLASHliv] = ACTIONS(2757),
    [anon_sym_BSLASHlik] = ACTIONS(2757),
    [anon_sym_BSLASHlitl] = ACTIONS(2757),
    [anon_sym_BSLASHtr] = ACTIONS(2757),
    [anon_sym_BSLASHf] = ACTIONS(2757),
    [anon_sym_BSLASHfe] = ACTIONS(2757),
    [anon_sym_BSLASHef] = ACTIONS(2757),
    [anon_sym_BSLASHfm] = ACTIONS(2757),
    [anon_sym_BSLASHx] = ACTIONS(2757),
    [anon_sym_BSLASHxt] = ACTIONS(2757),
    [anon_sym_BSLASHrq] = ACTIONS(2757),
    [anon_sym_BSLASHadd] = ACTIONS(2757),
    [anon_sym_BSLASHbk] = ACTIONS(2757),
    [anon_sym_BSLASHdc] = ACTIONS(2757),
    [anon_sym_BSLASHk] = ACTIONS(2757),
    [anon_sym_BSLASHnd] = ACTIONS(2757),
    [anon_sym_BSLASHord] = ACTIONS(2757),
    [anon_sym_BSLASHpn] = ACTIONS(2757),
    [anon_sym_BSLASHpng] = ACTIONS(2757),
    [anon_sym_BSLASHaddpn] = ACTIONS(2757),
    [anon_sym_BSLASHqt] = ACTIONS(2757),
    [anon_sym_BSLASHsig] = ACTIONS(2757),
    [anon_sym_BSLASHsls] = ACTIONS(2757),
    [anon_sym_BSLASHtl] = ACTIONS(2757),
    [anon_sym_BSLASHwj] = ACTIONS(2757),
    [anon_sym_BSLASHem] = ACTIONS(2757),
    [anon_sym_BSLASHbd] = ACTIONS(2757),
    [anon_sym_BSLASHit] = ACTIONS(2757),
    [anon_sym_BSLASHbdit] = ACTIONS(2757),
    [anon_sym_BSLASHno] = ACTIONS(2757),
    [anon_sym_BSLASHsc] = ACTIONS(2757),
    [anon_sym_BSLASHsup] = ACTIONS(2757),
    [anon_sym_BSLASHndx] = ACTIONS(2757),
    [anon_sym_BSLASHpro] = ACTIONS(2757),
    [anon_sym_BSLASHrb] = ACTIONS(2757),
    [anon_sym_BSLASHw] = ACTIONS(2757),
    [anon_sym_BSLASHwg] = ACTIONS(2757),
    [anon_sym_BSLASHwh] = ACTIONS(2757),
    [anon_sym_BSLASHwa] = ACTIONS(2757),
    [anon_sym_BSLASHfig] = ACTIONS(2757),
    [anon_sym_BSLASHjmp] = ACTIONS(2757),
    [anon_sym_BSLASHpb] = ACTIONS(2757),
    [anon_sym_BSLASH] = ACTIONS(2757),
    [sym_milestoneStartTag] = ACTIONS(2757),
    [sym_milestoneEndTag] = ACTIONS(2757),
    [sym_zSpaceTag] = ACTIONS(2757),
    [anon_sym_BSLASHesb] = ACTIONS(2757),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(29),
    [aux_sym_text_token1] = ACTIONS(29),
    [anon_sym_BSLASHref] = ACTIONS(31),
    [anon_sym_BSLASHsts] = ACTIONS(31),
    [anon_sym_BSLASHrem] = ACTIONS(31),
    [anon_sym_BSLASHrestore] = ACTIONS(31),
    [anon_sym_BSLASHlit] = ACTIONS(31),
    [anon_sym_BSLASHiqt] = ACTIONS(31),
    [anon_sym_BSLASHip] = ACTIONS(31),
    [anon_sym_BSLASHiex] = ACTIONS(31),
    [anon_sym_BSLASHv] = ACTIONS(31),
    [anon_sym_BSLASHva] = ACTIONS(31),
    [anon_sym_BSLASHvp] = ACTIONS(31),
    [anon_sym_BSLASHc] = ACTIONS(31),
    [anon_sym_BSLASHcl] = ACTIONS(31),
    [anon_sym_BSLASHca] = ACTIONS(31),
    [anon_sym_BSLASHcp] = ACTIONS(31),
    [anon_sym_BSLASHcd] = ACTIONS(31),
    [anon_sym_BSLASHmte] = ACTIONS(31),
    [anon_sym_BSLASHms] = ACTIONS(31),
    [anon_sym_BSLASHmr] = ACTIONS(31),
    [anon_sym_BSLASHs] = ACTIONS(31),
    [anon_sym_BSLASHsr] = ACTIONS(31),
    [anon_sym_BSLASHr] = ACTIONS(31),
    [anon_sym_BSLASHsp] = ACTIONS(31),
    [anon_sym_BSLASHd] = ACTIONS(31),
    [anon_sym_BSLASHsd] = ACTIONS(31),
    [anon_sym_BSLASHp] = ACTIONS(31),
    [anon_sym_BSLASHm] = ACTIONS(31),
    [anon_sym_BSLASHpo] = ACTIONS(31),
    [anon_sym_BSLASHpr] = ACTIONS(31),
    [anon_sym_BSLASHcls] = ACTIONS(31),
    [anon_sym_BSLASHpmo] = ACTIONS(31),
    [anon_sym_BSLASHpm] = ACTIONS(31),
    [anon_sym_BSLASHpmc] = ACTIONS(31),
    [anon_sym_BSLASHpmr] = ACTIONS(31),
    [anon_sym_BSLASHpi] = ACTIONS(31),
    [anon_sym_BSLASHmi] = ACTIONS(31),
    [anon_sym_BSLASHnb] = ACTIONS(31),
    [anon_sym_BSLASHpc] = ACTIONS(31),
    [anon_sym_BSLASHph] = ACTIONS(31),
    [anon_sym_BSLASHb] = ACTIONS(31),
    [anon_sym_BSLASHq] = ACTIONS(31),
    [anon_sym_BSLASHqr] = ACTIONS(31),
    [anon_sym_BSLASHqc] = ACTIONS(31),
    [anon_sym_BSLASHqa] = ACTIONS(31),
    [anon_sym_BSLASHqm] = ACTIONS(31),
    [anon_sym_BSLASHqd] = ACTIONS(31),
    [anon_sym_BSLASHlh] = ACTIONS(31),
    [anon_sym_BSLASHlf] = ACTIONS(31),
    [anon_sym_BSLASHli] = ACTIONS(31),
    [anon_sym_BSLASHlim] = ACTIONS(31),
    [anon_sym_BSLASHliv] = ACTIONS(31),
    [anon_sym_BSLASHlik] = ACTIONS(31),
    [anon_sym_BSLASHlitl] = ACTIONS(31),
    [anon_sym_BSLASHtr] = ACTIONS(31),
    [anon_sym_BSLASHf] = ACTIONS(31),
    [anon_sym_BSLASHfe] = ACTIONS(31),
    [anon_sym_BSLASHef] = ACTIONS(31),
    [anon_sym_BSLASHfm] = ACTIONS(31),
    [anon_sym_BSLASHx] = ACTIONS(31),
    [anon_sym_BSLASHxt] = ACTIONS(31),
    [anon_sym_BSLASHrq] = ACTIONS(31),
    [anon_sym_BSLASHadd] = ACTIONS(31),
    [anon_sym_BSLASHbk] = ACTIONS(31),
    [anon_sym_BSLASHdc] = ACTIONS(31),
    [anon_sym_BSLASHk] = ACTIONS(31),
    [anon_sym_BSLASHnd] = ACTIONS(31),
    [anon_sym_BSLASHord] = ACTIONS(31),
    [anon_sym_BSLASHpn] = ACTIONS(31),
    [anon_sym_BSLASHpng] = ACTIONS(31),
    [anon_sym_BSLASHaddpn] = ACTIONS(31),
    [anon_sym_BSLASHqt] = ACTIONS(31),
    [anon_sym_BSLASHsig] = ACTIONS(31),
    [anon_sym_BSLASHsls] = ACTIONS(31),
    [anon_sym_BSLASHtl] = ACTIONS(31),
    [anon_sym_BSLASHwj] = ACTIONS(31),
    [anon_sym_BSLASHem] = ACTIONS(31),
    [anon_sym_BSLASHbd] = ACTIONS(31),
    [anon_sym_BSLASHit] = ACTIONS(31),
    [anon_sym_BSLASHbdit] = ACTIONS(31),
    [anon_sym_BSLASHno] = ACTIONS(31),
    [anon_sym_BSLASHsc] = ACTIONS(31),
    [anon_sym_BSLASHsup] = ACTIONS(31),
    [anon_sym_BSLASHndx] = ACTIONS(31),
    [anon_sym_BSLASHpro] = ACTIONS(31),
    [anon_sym_BSLASHrb] = ACTIONS(31),
    [anon_sym_BSLASHw] = ACTIONS(31),
    [anon_sym_BSLASHwg] = ACTIONS(31),
    [anon_sym_BSLASHwh] = ACTIONS(31),
    [anon_sym_BSLASHwa] = ACTIONS(31),
    [anon_sym_BSLASHfig] = ACTIONS(31),
    [anon_sym_BSLASHjmp] = ACTIONS(31),
    [anon_sym_BSLASHpb] = ACTIONS(31),
    [anon_sym_BSLASH] = ACTIONS(31),
    [sym_milestoneStartTag] = ACTIONS(31),
    [sym_milestoneEndTag] = ACTIONS(31),
    [sym_zSpaceTag] = ACTIONS(31),
    [anon_sym_BSLASHesb] = ACTIONS(31),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(21),
    [aux_sym_text_token1] = ACTIONS(21),
    [anon_sym_BSLASHref] = ACTIONS(23),
    [anon_sym_BSLASHsts] = ACTIONS(23),
    [anon_sym_BSLASHrem] = ACTIONS(23),
    [anon_sym_BSLASHrestore] = ACTIONS(23),
    [anon_sym_BSLASHlit] = ACTIONS(23),
    [anon_sym_BSLASHiqt] = ACTIONS(23),
    [anon_sym_BSLASHip] = ACTIONS(23),
    [anon_sym_BSLASHiex] = ACTIONS(23),
    [anon_sym_BSLASHv] = ACTIONS(23),
    [anon_sym_BSLASHva] = ACTIONS(23),
    [anon_sym_BSLASHvp] = ACTIONS(23),
    [anon_sym_BSLASHc] = ACTIONS(23),
    [anon_sym_BSLASHcl] = ACTIONS(23),
    [anon_sym_BSLASHca] = ACTIONS(23),
    [anon_sym_BSLASHcp] = ACTIONS(23),
    [anon_sym_BSLASHcd] = ACTIONS(23),
    [anon_sym_BSLASHmte] = ACTIONS(23),
    [anon_sym_BSLASHms] = ACTIONS(23),
    [anon_sym_BSLASHmr] = ACTIONS(23),
    [anon_sym_BSLASHs] = ACTIONS(23),
    [anon_sym_BSLASHsr] = ACTIONS(23),
    [anon_sym_BSLASHr] = ACTIONS(23),
    [anon_sym_BSLASHsp] = ACTIONS(23),
    [anon_sym_BSLASHd] = ACTIONS(23),
    [anon_sym_BSLASHsd] = ACTIONS(23),
    [anon_sym_BSLASHp] = ACTIONS(23),
    [anon_sym_BSLASHm] = ACTIONS(23),
    [anon_sym_BSLASHpo] = ACTIONS(23),
    [anon_sym_BSLASHpr] = ACTIONS(23),
    [anon_sym_BSLASHcls] = ACTIONS(23),
    [anon_sym_BSLASHpmo] = ACTIONS(23),
    [anon_sym_BSLASHpm] = ACTIONS(23),
    [anon_sym_BSLASHpmc] = ACTIONS(23),
    [anon_sym_BSLASHpmr] = ACTIONS(23),
    [anon_sym_BSLASHpi] = ACTIONS(23),
    [anon_sym_BSLASHmi] = ACTIONS(23),
    [anon_sym_BSLASHnb] = ACTIONS(23),
    [anon_sym_BSLASHpc] = ACTIONS(23),
    [anon_sym_BSLASHph] = ACTIONS(23),
    [anon_sym_BSLASHb] = ACTIONS(23),
    [anon_sym_BSLASHq] = ACTIONS(23),
    [anon_sym_BSLASHqr] = ACTIONS(23),
    [anon_sym_BSLASHqc] = ACTIONS(23),
    [anon_sym_BSLASHqa] = ACTIONS(23),
    [anon_sym_BSLASHqm] = ACTIONS(23),
    [anon_sym_BSLASHqd] = ACTIONS(23),
    [anon_sym_BSLASHlh] = ACTIONS(23),
    [anon_sym_BSLASHlf] = ACTIONS(23),
    [anon_sym_BSLASHli] = ACTIONS(23),
    [anon_sym_BSLASHlim] = ACTIONS(23),
    [anon_sym_BSLASHliv] = ACTIONS(23),
    [anon_sym_BSLASHlik] = ACTIONS(23),
    [anon_sym_BSLASHlitl] = ACTIONS(23),
    [anon_sym_BSLASHtr] = ACTIONS(23),
    [anon_sym_BSLASHf] = ACTIONS(23),
    [anon_sym_BSLASHfe] = ACTIONS(23),
    [anon_sym_BSLASHef] = ACTIONS(23),
    [anon_sym_BSLASHfm] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(23),
    [anon_sym_BSLASHxt] = ACTIONS(23),
    [anon_sym_BSLASHrq] = ACTIONS(23),
    [anon_sym_BSLASHadd] = ACTIONS(23),
    [anon_sym_BSLASHbk] = ACTIONS(23),
    [anon_sym_BSLASHdc] = ACTIONS(23),
    [anon_sym_BSLASHk] = ACTIONS(23),
    [anon_sym_BSLASHnd] = ACTIONS(23),
    [anon_sym_BSLASHord] = ACTIONS(23),
    [anon_sym_BSLASHpn] = ACTIONS(23),
    [anon_sym_BSLASHpng] = ACTIONS(23),
    [anon_sym_BSLASHaddpn] = ACTIONS(23),
    [anon_sym_BSLASHqt] = ACTIONS(23),
    [anon_sym_BSLASHsig] = ACTIONS(23),
    [anon_sym_BSLASHsls] = ACTIONS(23),
    [anon_sym_BSLASHtl] = ACTIONS(23),
    [anon_sym_BSLASHwj] = ACTIONS(23),
    [anon_sym_BSLASHem] = ACTIONS(23),
    [anon_sym_BSLASHbd] = ACTIONS(23),
    [anon_sym_BSLASHit] = ACTIONS(23),
    [anon_sym_BSLASHbdit] = ACTIONS(23),
    [anon_sym_BSLASHno] = ACTIONS(23),
    [anon_sym_BSLASHsc] = ACTIONS(23),
    [anon_sym_BSLASHsup] = ACTIONS(23),
    [anon_sym_BSLASHndx] = ACTIONS(23),
    [anon_sym_BSLASHpro] = ACTIONS(23),
    [anon_sym_BSLASHrb] = ACTIONS(23),
    [anon_sym_BSLASHw] = ACTIONS(23),
    [anon_sym_BSLASHwg] = ACTIONS(23),
    [anon_sym_BSLASHwh] = ACTIONS(23),
    [anon_sym_BSLASHwa] = ACTIONS(23),
    [anon_sym_BSLASHfig] = ACTIONS(23),
    [anon_sym_BSLASHjmp] = ACTIONS(23),
    [anon_sym_BSLASHpb] = ACTIONS(23),
    [anon_sym_BSLASH] = ACTIONS(23),
    [sym_milestoneStartTag] = ACTIONS(23),
    [sym_milestoneEndTag] = ACTIONS(23),
    [sym_zSpaceTag] = ACTIONS(23),
    [anon_sym_BSLASHesb] = ACTIONS(23),
  },
  [365] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(5696),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5698),
    [anon_sym_BSLASHrem] = ACTIONS(5698),
    [anon_sym_BSLASHrestore] = ACTIONS(5698),
    [anon_sym_BSLASHlit] = ACTIONS(5698),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(5698),
    [anon_sym_BSLASHimte] = ACTIONS(5698),
    [anon_sym_BSLASHis] = ACTIONS(5698),
    [anon_sym_BSLASHio] = ACTIONS(5698),
    [anon_sym_BSLASHiot] = ACTIONS(5698),
    [anon_sym_BSLASHip] = ACTIONS(5698),
    [anon_sym_BSLASHim] = ACTIONS(5698),
    [anon_sym_BSLASHipi] = ACTIONS(5698),
    [anon_sym_BSLASHimi] = ACTIONS(5698),
    [anon_sym_BSLASHili] = ACTIONS(5698),
    [anon_sym_BSLASHipq] = ACTIONS(5698),
    [anon_sym_BSLASHimq] = ACTIONS(5698),
    [anon_sym_BSLASHipr] = ACTIONS(5698),
    [anon_sym_BSLASHib] = ACTIONS(5698),
    [anon_sym_BSLASHiq] = ACTIONS(5698),
    [anon_sym_BSLASHie] = ACTIONS(5698),
    [anon_sym_BSLASHiex] = ACTIONS(5698),
    [anon_sym_BSLASHc] = ACTIONS(5698),
    [anon_sym_BSLASHcl] = ACTIONS(5698),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(5698),
    [sym_milestoneStartTag] = ACTIONS(5698),
    [sym_milestoneEndTag] = ACTIONS(5698),
    [sym_zSpaceTag] = ACTIONS(5698),
    [anon_sym_BSLASHesb] = ACTIONS(5698),
  },
  [366] = {
    [sym_text] = STATE(430),
    [sym__milestoneAttributes] = STATE(2211),
    [ts_builtin_sym_end] = ACTIONS(5556),
    [aux_sym_text_token1] = ACTIONS(5700),
    [anon_sym_BSLASHref] = ACTIONS(5560),
    [anon_sym_BSLASHsts] = ACTIONS(5560),
    [anon_sym_BSLASHrem] = ACTIONS(5560),
    [anon_sym_BSLASHrestore] = ACTIONS(5560),
    [anon_sym_BSLASHlit] = ACTIONS(5560),
    [anon_sym_BSLASHip] = ACTIONS(5560),
    [anon_sym_BSLASHiex] = ACTIONS(5560),
    [anon_sym_BSLASHv] = ACTIONS(5560),
    [anon_sym_BSLASHva] = ACTIONS(5560),
    [anon_sym_BSLASHvp] = ACTIONS(5560),
    [anon_sym_BSLASHc] = ACTIONS(5560),
    [anon_sym_BSLASHcl] = ACTIONS(5560),
    [anon_sym_BSLASHca] = ACTIONS(5560),
    [anon_sym_BSLASHcp] = ACTIONS(5560),
    [anon_sym_BSLASHcd] = ACTIONS(5560),
    [anon_sym_BSLASHmte] = ACTIONS(5560),
    [anon_sym_BSLASHms] = ACTIONS(5560),
    [anon_sym_BSLASHs] = ACTIONS(5560),
    [anon_sym_BSLASHr] = ACTIONS(5560),
    [anon_sym_BSLASHsp] = ACTIONS(5560),
    [anon_sym_BSLASHd] = ACTIONS(5560),
    [anon_sym_BSLASHsd] = ACTIONS(5560),
    [anon_sym_BSLASHp] = ACTIONS(5560),
    [anon_sym_BSLASHm] = ACTIONS(5560),
    [anon_sym_BSLASHpo] = ACTIONS(5560),
    [anon_sym_BSLASHpr] = ACTIONS(5560),
    [anon_sym_BSLASHcls] = ACTIONS(5560),
    [anon_sym_BSLASHpmo] = ACTIONS(5560),
    [anon_sym_BSLASHpm] = ACTIONS(5560),
    [anon_sym_BSLASHpmc] = ACTIONS(5560),
    [anon_sym_BSLASHpmr] = ACTIONS(5560),
    [anon_sym_BSLASHpi] = ACTIONS(5560),
    [anon_sym_BSLASHmi] = ACTIONS(5560),
    [anon_sym_BSLASHnb] = ACTIONS(5560),
    [anon_sym_BSLASHpc] = ACTIONS(5560),
    [anon_sym_BSLASHph] = ACTIONS(5560),
    [anon_sym_BSLASHb] = ACTIONS(5560),
    [anon_sym_BSLASHq] = ACTIONS(5560),
    [anon_sym_BSLASHqr] = ACTIONS(5560),
    [anon_sym_BSLASHqc] = ACTIONS(5560),
    [anon_sym_BSLASHqs] = ACTIONS(5560),
    [anon_sym_BSLASHqa] = ACTIONS(5560),
    [anon_sym_BSLASHqac] = ACTIONS(5560),
    [anon_sym_BSLASHqm] = ACTIONS(5560),
    [anon_sym_BSLASHqd] = ACTIONS(5560),
    [anon_sym_BSLASHlh] = ACTIONS(5560),
    [anon_sym_BSLASHli] = ACTIONS(5560),
    [anon_sym_BSLASHlim] = ACTIONS(5560),
    [anon_sym_BSLASHtr] = ACTIONS(5560),
    [anon_sym_BSLASHf] = ACTIONS(5560),
    [anon_sym_BSLASHfe] = ACTIONS(5560),
    [anon_sym_BSLASHef] = ACTIONS(5560),
    [anon_sym_BSLASHfm] = ACTIONS(5560),
    [anon_sym_BSLASHx] = ACTIONS(5560),
    [anon_sym_BSLASHxt] = ACTIONS(5560),
    [anon_sym_BSLASHrq] = ACTIONS(5560),
    [anon_sym_BSLASHadd] = ACTIONS(5560),
    [anon_sym_BSLASHbk] = ACTIONS(5560),
    [anon_sym_BSLASHdc] = ACTIONS(5560),
    [anon_sym_BSLASHk] = ACTIONS(5560),
    [anon_sym_BSLASHnd] = ACTIONS(5560),
    [anon_sym_BSLASHord] = ACTIONS(5560),
    [anon_sym_BSLASHpn] = ACTIONS(5560),
    [anon_sym_BSLASHpng] = ACTIONS(5560),
    [anon_sym_BSLASHaddpn] = ACTIONS(5560),
    [anon_sym_BSLASHqt] = ACTIONS(5560),
    [anon_sym_BSLASHsig] = ACTIONS(5560),
    [anon_sym_BSLASHsls] = ACTIONS(5560),
    [anon_sym_BSLASHtl] = ACTIONS(5560),
    [anon_sym_BSLASHwj] = ACTIONS(5560),
    [anon_sym_BSLASHem] = ACTIONS(5560),
    [anon_sym_BSLASHbd] = ACTIONS(5560),
    [anon_sym_BSLASHit] = ACTIONS(5560),
    [anon_sym_BSLASHbdit] = ACTIONS(5560),
    [anon_sym_BSLASHno] = ACTIONS(5560),
    [anon_sym_BSLASHsc] = ACTIONS(5560),
    [anon_sym_BSLASHsup] = ACTIONS(5560),
    [anon_sym_BSLASHndx] = ACTIONS(5560),
    [anon_sym_BSLASHpro] = ACTIONS(5560),
    [anon_sym_BSLASHrb] = ACTIONS(5560),
    [anon_sym_BSLASHw] = ACTIONS(5560),
    [anon_sym_BSLASHwg] = ACTIONS(5560),
    [anon_sym_BSLASHwh] = ACTIONS(5560),
    [anon_sym_BSLASHwa] = ACTIONS(5560),
    [anon_sym_BSLASHfig] = ACTIONS(5560),
    [anon_sym_BSLASHjmp] = ACTIONS(5560),
    [anon_sym_BSLASHpb] = ACTIONS(5560),
    [anon_sym_BSLASH] = ACTIONS(5560),
    [anon_sym_BSLASH_STAR] = ACTIONS(5702),
    [sym_milestoneStartTag] = ACTIONS(5560),
    [sym_milestoneEndTag] = ACTIONS(5560),
    [sym_zSpaceTag] = ACTIONS(5560),
    [sym__zSpaceClose] = ACTIONS(5704),
    [anon_sym_BSLASHesb] = ACTIONS(5560),
    [anon_sym_PIPE] = ACTIONS(5566),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(25),
    [aux_sym_text_token1] = ACTIONS(25),
    [anon_sym_BSLASHref] = ACTIONS(27),
    [anon_sym_BSLASHsts] = ACTIONS(27),
    [anon_sym_BSLASHrem] = ACTIONS(27),
    [anon_sym_BSLASHrestore] = ACTIONS(27),
    [anon_sym_BSLASHlit] = ACTIONS(27),
    [anon_sym_BSLASHiqt] = ACTIONS(27),
    [anon_sym_BSLASHip] = ACTIONS(27),
    [anon_sym_BSLASHiex] = ACTIONS(27),
    [anon_sym_BSLASHv] = ACTIONS(27),
    [anon_sym_BSLASHva] = ACTIONS(27),
    [anon_sym_BSLASHvp] = ACTIONS(27),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [anon_sym_BSLASHcl] = ACTIONS(27),
    [anon_sym_BSLASHca] = ACTIONS(27),
    [anon_sym_BSLASHcp] = ACTIONS(27),
    [anon_sym_BSLASHcd] = ACTIONS(27),
    [anon_sym_BSLASHmte] = ACTIONS(27),
    [anon_sym_BSLASHms] = ACTIONS(27),
    [anon_sym_BSLASHmr] = ACTIONS(27),
    [anon_sym_BSLASHs] = ACTIONS(27),
    [anon_sym_BSLASHsr] = ACTIONS(27),
    [anon_sym_BSLASHr] = ACTIONS(27),
    [anon_sym_BSLASHsp] = ACTIONS(27),
    [anon_sym_BSLASHd] = ACTIONS(27),
    [anon_sym_BSLASHsd] = ACTIONS(27),
    [anon_sym_BSLASHp] = ACTIONS(27),
    [anon_sym_BSLASHm] = ACTIONS(27),
    [anon_sym_BSLASHpo] = ACTIONS(27),
    [anon_sym_BSLASHpr] = ACTIONS(27),
    [anon_sym_BSLASHcls] = ACTIONS(27),
    [anon_sym_BSLASHpmo] = ACTIONS(27),
    [anon_sym_BSLASHpm] = ACTIONS(27),
    [anon_sym_BSLASHpmc] = ACTIONS(27),
    [anon_sym_BSLASHpmr] = ACTIONS(27),
    [anon_sym_BSLASHpi] = ACTIONS(27),
    [anon_sym_BSLASHmi] = ACTIONS(27),
    [anon_sym_BSLASHnb] = ACTIONS(27),
    [anon_sym_BSLASHpc] = ACTIONS(27),
    [anon_sym_BSLASHph] = ACTIONS(27),
    [anon_sym_BSLASHb] = ACTIONS(27),
    [anon_sym_BSLASHq] = ACTIONS(27),
    [anon_sym_BSLASHqr] = ACTIONS(27),
    [anon_sym_BSLASHqc] = ACTIONS(27),
    [anon_sym_BSLASHqa] = ACTIONS(27),
    [anon_sym_BSLASHqm] = ACTIONS(27),
    [anon_sym_BSLASHqd] = ACTIONS(27),
    [anon_sym_BSLASHlh] = ACTIONS(27),
    [anon_sym_BSLASHlf] = ACTIONS(27),
    [anon_sym_BSLASHli] = ACTIONS(27),
    [anon_sym_BSLASHlim] = ACTIONS(27),
    [anon_sym_BSLASHliv] = ACTIONS(27),
    [anon_sym_BSLASHlik] = ACTIONS(27),
    [anon_sym_BSLASHlitl] = ACTIONS(27),
    [anon_sym_BSLASHtr] = ACTIONS(27),
    [anon_sym_BSLASHf] = ACTIONS(27),
    [anon_sym_BSLASHfe] = ACTIONS(27),
    [anon_sym_BSLASHef] = ACTIONS(27),
    [anon_sym_BSLASHfm] = ACTIONS(27),
    [anon_sym_BSLASHx] = ACTIONS(27),
    [anon_sym_BSLASHxt] = ACTIONS(27),
    [anon_sym_BSLASHrq] = ACTIONS(27),
    [anon_sym_BSLASHadd] = ACTIONS(27),
    [anon_sym_BSLASHbk] = ACTIONS(27),
    [anon_sym_BSLASHdc] = ACTIONS(27),
    [anon_sym_BSLASHk] = ACTIONS(27),
    [anon_sym_BSLASHnd] = ACTIONS(27),
    [anon_sym_BSLASHord] = ACTIONS(27),
    [anon_sym_BSLASHpn] = ACTIONS(27),
    [anon_sym_BSLASHpng] = ACTIONS(27),
    [anon_sym_BSLASHaddpn] = ACTIONS(27),
    [anon_sym_BSLASHqt] = ACTIONS(27),
    [anon_sym_BSLASHsig] = ACTIONS(27),
    [anon_sym_BSLASHsls] = ACTIONS(27),
    [anon_sym_BSLASHtl] = ACTIONS(27),
    [anon_sym_BSLASHwj] = ACTIONS(27),
    [anon_sym_BSLASHem] = ACTIONS(27),
    [anon_sym_BSLASHbd] = ACTIONS(27),
    [anon_sym_BSLASHit] = ACTIONS(27),
    [anon_sym_BSLASHbdit] = ACTIONS(27),
    [anon_sym_BSLASHno] = ACTIONS(27),
    [anon_sym_BSLASHsc] = ACTIONS(27),
    [anon_sym_BSLASHsup] = ACTIONS(27),
    [anon_sym_BSLASHndx] = ACTIONS(27),
    [anon_sym_BSLASHpro] = ACTIONS(27),
    [anon_sym_BSLASHrb] = ACTIONS(27),
    [anon_sym_BSLASHw] = ACTIONS(27),
    [anon_sym_BSLASHwg] = ACTIONS(27),
    [anon_sym_BSLASHwh] = ACTIONS(27),
    [anon_sym_BSLASHwa] = ACTIONS(27),
    [anon_sym_BSLASHfig] = ACTIONS(27),
    [anon_sym_BSLASHjmp] = ACTIONS(27),
    [anon_sym_BSLASHpb] = ACTIONS(27),
    [anon_sym_BSLASH] = ACTIONS(27),
    [sym_milestoneStartTag] = ACTIONS(27),
    [sym_milestoneEndTag] = ACTIONS(27),
    [sym_zSpaceTag] = ACTIONS(27),
    [anon_sym_BSLASHesb] = ACTIONS(27),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(2799),
    [aux_sym_text_token1] = ACTIONS(2799),
    [anon_sym_BSLASHref] = ACTIONS(2801),
    [anon_sym_BSLASHsts] = ACTIONS(2801),
    [anon_sym_BSLASHrem] = ACTIONS(2801),
    [anon_sym_BSLASHrestore] = ACTIONS(2801),
    [anon_sym_BSLASHlit] = ACTIONS(2801),
    [anon_sym_BSLASHiqt] = ACTIONS(2801),
    [anon_sym_BSLASHip] = ACTIONS(2801),
    [anon_sym_BSLASHiex] = ACTIONS(2801),
    [anon_sym_BSLASHv] = ACTIONS(2801),
    [anon_sym_BSLASHva] = ACTIONS(2801),
    [anon_sym_BSLASHvp] = ACTIONS(2801),
    [anon_sym_BSLASHc] = ACTIONS(2801),
    [anon_sym_BSLASHcl] = ACTIONS(2801),
    [anon_sym_BSLASHca] = ACTIONS(2801),
    [anon_sym_BSLASHcp] = ACTIONS(2801),
    [anon_sym_BSLASHcd] = ACTIONS(2801),
    [anon_sym_BSLASHmte] = ACTIONS(2801),
    [anon_sym_BSLASHms] = ACTIONS(2801),
    [anon_sym_BSLASHmr] = ACTIONS(2801),
    [anon_sym_BSLASHs] = ACTIONS(2801),
    [anon_sym_BSLASHsr] = ACTIONS(2801),
    [anon_sym_BSLASHr] = ACTIONS(2801),
    [anon_sym_BSLASHsp] = ACTIONS(2801),
    [anon_sym_BSLASHd] = ACTIONS(2801),
    [anon_sym_BSLASHsd] = ACTIONS(2801),
    [anon_sym_BSLASHp] = ACTIONS(2801),
    [anon_sym_BSLASHm] = ACTIONS(2801),
    [anon_sym_BSLASHpo] = ACTIONS(2801),
    [anon_sym_BSLASHpr] = ACTIONS(2801),
    [anon_sym_BSLASHcls] = ACTIONS(2801),
    [anon_sym_BSLASHpmo] = ACTIONS(2801),
    [anon_sym_BSLASHpm] = ACTIONS(2801),
    [anon_sym_BSLASHpmc] = ACTIONS(2801),
    [anon_sym_BSLASHpmr] = ACTIONS(2801),
    [anon_sym_BSLASHpi] = ACTIONS(2801),
    [anon_sym_BSLASHmi] = ACTIONS(2801),
    [anon_sym_BSLASHnb] = ACTIONS(2801),
    [anon_sym_BSLASHpc] = ACTIONS(2801),
    [anon_sym_BSLASHph] = ACTIONS(2801),
    [anon_sym_BSLASHb] = ACTIONS(2801),
    [anon_sym_BSLASHq] = ACTIONS(2801),
    [anon_sym_BSLASHqr] = ACTIONS(2801),
    [anon_sym_BSLASHqc] = ACTIONS(2801),
    [anon_sym_BSLASHqa] = ACTIONS(2801),
    [anon_sym_BSLASHqm] = ACTIONS(2801),
    [anon_sym_BSLASHqd] = ACTIONS(2801),
    [anon_sym_BSLASHlh] = ACTIONS(2801),
    [anon_sym_BSLASHlf] = ACTIONS(2801),
    [anon_sym_BSLASHli] = ACTIONS(2801),
    [anon_sym_BSLASHlim] = ACTIONS(2801),
    [anon_sym_BSLASHliv] = ACTIONS(2801),
    [anon_sym_BSLASHlik] = ACTIONS(2801),
    [anon_sym_BSLASHlitl] = ACTIONS(2801),
    [anon_sym_BSLASHtr] = ACTIONS(2801),
    [anon_sym_BSLASHf] = ACTIONS(2801),
    [anon_sym_BSLASHfe] = ACTIONS(2801),
    [anon_sym_BSLASHef] = ACTIONS(2801),
    [anon_sym_BSLASHfm] = ACTIONS(2801),
    [anon_sym_BSLASHx] = ACTIONS(2801),
    [anon_sym_BSLASHxt] = ACTIONS(2801),
    [anon_sym_BSLASHrq] = ACTIONS(2801),
    [anon_sym_BSLASHadd] = ACTIONS(2801),
    [anon_sym_BSLASHbk] = ACTIONS(2801),
    [anon_sym_BSLASHdc] = ACTIONS(2801),
    [anon_sym_BSLASHk] = ACTIONS(2801),
    [anon_sym_BSLASHnd] = ACTIONS(2801),
    [anon_sym_BSLASHord] = ACTIONS(2801),
    [anon_sym_BSLASHpn] = ACTIONS(2801),
    [anon_sym_BSLASHpng] = ACTIONS(2801),
    [anon_sym_BSLASHaddpn] = ACTIONS(2801),
    [anon_sym_BSLASHqt] = ACTIONS(2801),
    [anon_sym_BSLASHsig] = ACTIONS(2801),
    [anon_sym_BSLASHsls] = ACTIONS(2801),
    [anon_sym_BSLASHtl] = ACTIONS(2801),
    [anon_sym_BSLASHwj] = ACTIONS(2801),
    [anon_sym_BSLASHem] = ACTIONS(2801),
    [anon_sym_BSLASHbd] = ACTIONS(2801),
    [anon_sym_BSLASHit] = ACTIONS(2801),
    [anon_sym_BSLASHbdit] = ACTIONS(2801),
    [anon_sym_BSLASHno] = ACTIONS(2801),
    [anon_sym_BSLASHsc] = ACTIONS(2801),
    [anon_sym_BSLASHsup] = ACTIONS(2801),
    [anon_sym_BSLASHndx] = ACTIONS(2801),
    [anon_sym_BSLASHpro] = ACTIONS(2801),
    [anon_sym_BSLASHrb] = ACTIONS(2801),
    [anon_sym_BSLASHw] = ACTIONS(2801),
    [anon_sym_BSLASHwg] = ACTIONS(2801),
    [anon_sym_BSLASHwh] = ACTIONS(2801),
    [anon_sym_BSLASHwa] = ACTIONS(2801),
    [anon_sym_BSLASHfig] = ACTIONS(2801),
    [anon_sym_BSLASHjmp] = ACTIONS(2801),
    [anon_sym_BSLASHpb] = ACTIONS(2801),
    [anon_sym_BSLASH] = ACTIONS(2801),
    [sym_milestoneStartTag] = ACTIONS(2801),
    [sym_milestoneEndTag] = ACTIONS(2801),
    [sym_zSpaceTag] = ACTIONS(2801),
    [anon_sym_BSLASHesb] = ACTIONS(2801),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHref] = ACTIONS(2705),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHiqt] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHiex] = ACTIONS(2705),
    [anon_sym_BSLASHv] = ACTIONS(2705),
    [anon_sym_BSLASHva] = ACTIONS(2705),
    [anon_sym_BSLASHvp] = ACTIONS(2705),
    [anon_sym_BSLASHc] = ACTIONS(2705),
    [anon_sym_BSLASHcl] = ACTIONS(2705),
    [anon_sym_BSLASHca] = ACTIONS(2705),
    [anon_sym_BSLASHcp] = ACTIONS(2705),
    [anon_sym_BSLASHcd] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHmr] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHsr] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHlf] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHliv] = ACTIONS(2705),
    [anon_sym_BSLASHlik] = ACTIONS(2705),
    [anon_sym_BSLASHlitl] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHx] = ACTIONS(2705),
    [anon_sym_BSLASHxt] = ACTIONS(2705),
    [anon_sym_BSLASHrq] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesb] = ACTIONS(2705),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(17),
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHref] = ACTIONS(19),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHiqt] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHiex] = ACTIONS(19),
    [anon_sym_BSLASHv] = ACTIONS(19),
    [anon_sym_BSLASHva] = ACTIONS(19),
    [anon_sym_BSLASHvp] = ACTIONS(19),
    [anon_sym_BSLASHc] = ACTIONS(19),
    [anon_sym_BSLASHcl] = ACTIONS(19),
    [anon_sym_BSLASHca] = ACTIONS(19),
    [anon_sym_BSLASHcp] = ACTIONS(19),
    [anon_sym_BSLASHcd] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHmr] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHsr] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHlf] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHliv] = ACTIONS(19),
    [anon_sym_BSLASHlik] = ACTIONS(19),
    [anon_sym_BSLASHlitl] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHx] = ACTIONS(19),
    [anon_sym_BSLASHxt] = ACTIONS(19),
    [anon_sym_BSLASHrq] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesb] = ACTIONS(19),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(2791),
    [aux_sym_text_token1] = ACTIONS(2791),
    [anon_sym_BSLASHref] = ACTIONS(2793),
    [anon_sym_BSLASHsts] = ACTIONS(2793),
    [anon_sym_BSLASHrem] = ACTIONS(2793),
    [anon_sym_BSLASHrestore] = ACTIONS(2793),
    [anon_sym_BSLASHlit] = ACTIONS(2793),
    [anon_sym_BSLASHiqt] = ACTIONS(2793),
    [anon_sym_BSLASHip] = ACTIONS(2793),
    [anon_sym_BSLASHiex] = ACTIONS(2793),
    [anon_sym_BSLASHv] = ACTIONS(2793),
    [anon_sym_BSLASHva] = ACTIONS(2793),
    [anon_sym_BSLASHvp] = ACTIONS(2793),
    [anon_sym_BSLASHc] = ACTIONS(2793),
    [anon_sym_BSLASHcl] = ACTIONS(2793),
    [anon_sym_BSLASHca] = ACTIONS(2793),
    [anon_sym_BSLASHcp] = ACTIONS(2793),
    [anon_sym_BSLASHcd] = ACTIONS(2793),
    [anon_sym_BSLASHmte] = ACTIONS(2793),
    [anon_sym_BSLASHms] = ACTIONS(2793),
    [anon_sym_BSLASHmr] = ACTIONS(2793),
    [anon_sym_BSLASHs] = ACTIONS(2793),
    [anon_sym_BSLASHsr] = ACTIONS(2793),
    [anon_sym_BSLASHr] = ACTIONS(2793),
    [anon_sym_BSLASHsp] = ACTIONS(2793),
    [anon_sym_BSLASHd] = ACTIONS(2793),
    [anon_sym_BSLASHsd] = ACTIONS(2793),
    [anon_sym_BSLASHp] = ACTIONS(2793),
    [anon_sym_BSLASHm] = ACTIONS(2793),
    [anon_sym_BSLASHpo] = ACTIONS(2793),
    [anon_sym_BSLASHpr] = ACTIONS(2793),
    [anon_sym_BSLASHcls] = ACTIONS(2793),
    [anon_sym_BSLASHpmo] = ACTIONS(2793),
    [anon_sym_BSLASHpm] = ACTIONS(2793),
    [anon_sym_BSLASHpmc] = ACTIONS(2793),
    [anon_sym_BSLASHpmr] = ACTIONS(2793),
    [anon_sym_BSLASHpi] = ACTIONS(2793),
    [anon_sym_BSLASHmi] = ACTIONS(2793),
    [anon_sym_BSLASHnb] = ACTIONS(2793),
    [anon_sym_BSLASHpc] = ACTIONS(2793),
    [anon_sym_BSLASHph] = ACTIONS(2793),
    [anon_sym_BSLASHb] = ACTIONS(2793),
    [anon_sym_BSLASHq] = ACTIONS(2793),
    [anon_sym_BSLASHqr] = ACTIONS(2793),
    [anon_sym_BSLASHqc] = ACTIONS(2793),
    [anon_sym_BSLASHqa] = ACTIONS(2793),
    [anon_sym_BSLASHqm] = ACTIONS(2793),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(2793),
    [anon_sym_BSLASHlf] = ACTIONS(2793),
    [anon_sym_BSLASHli] = ACTIONS(2793),
    [anon_sym_BSLASHlim] = ACTIONS(2793),
    [anon_sym_BSLASHliv] = ACTIONS(2793),
    [anon_sym_BSLASHlik] = ACTIONS(2793),
    [anon_sym_BSLASHlitl] = ACTIONS(2793),
    [anon_sym_BSLASHtr] = ACTIONS(2793),
    [anon_sym_BSLASHf] = ACTIONS(2793),
    [anon_sym_BSLASHfe] = ACTIONS(2793),
    [anon_sym_BSLASHef] = ACTIONS(2793),
    [anon_sym_BSLASHfm] = ACTIONS(2793),
    [anon_sym_BSLASHx] = ACTIONS(2793),
    [anon_sym_BSLASHxt] = ACTIONS(2793),
    [anon_sym_BSLASHrq] = ACTIONS(2793),
    [anon_sym_BSLASHadd] = ACTIONS(2793),
    [anon_sym_BSLASHbk] = ACTIONS(2793),
    [anon_sym_BSLASHdc] = ACTIONS(2793),
    [anon_sym_BSLASHk] = ACTIONS(2793),
    [anon_sym_BSLASHnd] = ACTIONS(2793),
    [anon_sym_BSLASHord] = ACTIONS(2793),
    [anon_sym_BSLASHpn] = ACTIONS(2793),
    [anon_sym_BSLASHpng] = ACTIONS(2793),
    [anon_sym_BSLASHaddpn] = ACTIONS(2793),
    [anon_sym_BSLASHqt] = ACTIONS(2793),
    [anon_sym_BSLASHsig] = ACTIONS(2793),
    [anon_sym_BSLASHsls] = ACTIONS(2793),
    [anon_sym_BSLASHtl] = ACTIONS(2793),
    [anon_sym_BSLASHwj] = ACTIONS(2793),
    [anon_sym_BSLASHem] = ACTIONS(2793),
    [anon_sym_BSLASHbd] = ACTIONS(2793),
    [anon_sym_BSLASHit] = ACTIONS(2793),
    [anon_sym_BSLASHbdit] = ACTIONS(2793),
    [anon_sym_BSLASHno] = ACTIONS(2793),
    [anon_sym_BSLASHsc] = ACTIONS(2793),
    [anon_sym_BSLASHsup] = ACTIONS(2793),
    [anon_sym_BSLASHndx] = ACTIONS(2793),
    [anon_sym_BSLASHpro] = ACTIONS(2793),
    [anon_sym_BSLASHrb] = ACTIONS(2793),
    [anon_sym_BSLASHw] = ACTIONS(2793),
    [anon_sym_BSLASHwg] = ACTIONS(2793),
    [anon_sym_BSLASHwh] = ACTIONS(2793),
    [anon_sym_BSLASHwa] = ACTIONS(2793),
    [anon_sym_BSLASHfig] = ACTIONS(2793),
    [anon_sym_BSLASHjmp] = ACTIONS(2793),
    [anon_sym_BSLASHpb] = ACTIONS(2793),
    [anon_sym_BSLASH] = ACTIONS(2793),
    [sym_milestoneStartTag] = ACTIONS(2793),
    [sym_milestoneEndTag] = ACTIONS(2793),
    [sym_zSpaceTag] = ACTIONS(2793),
    [anon_sym_BSLASHesb] = ACTIONS(2793),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHref] = ACTIONS(2713),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHiqt] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHiex] = ACTIONS(2713),
    [anon_sym_BSLASHv] = ACTIONS(2713),
    [anon_sym_BSLASHva] = ACTIONS(2713),
    [anon_sym_BSLASHvp] = ACTIONS(2713),
    [anon_sym_BSLASHc] = ACTIONS(2713),
    [anon_sym_BSLASHcl] = ACTIONS(2713),
    [anon_sym_BSLASHca] = ACTIONS(2713),
    [anon_sym_BSLASHcp] = ACTIONS(2713),
    [anon_sym_BSLASHcd] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHmr] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHsr] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHlf] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHliv] = ACTIONS(2713),
    [anon_sym_BSLASHlik] = ACTIONS(2713),
    [anon_sym_BSLASHlitl] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHx] = ACTIONS(2713),
    [anon_sym_BSLASHxt] = ACTIONS(2713),
    [anon_sym_BSLASHrq] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesb] = ACTIONS(2713),
  },
  [373] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(5706),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5708),
    [anon_sym_BSLASHrem] = ACTIONS(5708),
    [anon_sym_BSLASHrestore] = ACTIONS(5708),
    [anon_sym_BSLASHlit] = ACTIONS(5708),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(5708),
    [anon_sym_BSLASHimte] = ACTIONS(5708),
    [anon_sym_BSLASHis] = ACTIONS(5708),
    [anon_sym_BSLASHio] = ACTIONS(5708),
    [anon_sym_BSLASHiot] = ACTIONS(5708),
    [anon_sym_BSLASHip] = ACTIONS(5708),
    [anon_sym_BSLASHim] = ACTIONS(5708),
    [anon_sym_BSLASHipi] = ACTIONS(5708),
    [anon_sym_BSLASHimi] = ACTIONS(5708),
    [anon_sym_BSLASHili] = ACTIONS(5708),
    [anon_sym_BSLASHipq] = ACTIONS(5708),
    [anon_sym_BSLASHimq] = ACTIONS(5708),
    [anon_sym_BSLASHipr] = ACTIONS(5708),
    [anon_sym_BSLASHib] = ACTIONS(5708),
    [anon_sym_BSLASHiq] = ACTIONS(5708),
    [anon_sym_BSLASHie] = ACTIONS(5708),
    [anon_sym_BSLASHiex] = ACTIONS(5708),
    [anon_sym_BSLASHc] = ACTIONS(5708),
    [anon_sym_BSLASHcl] = ACTIONS(5708),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(5708),
    [sym_milestoneStartTag] = ACTIONS(5708),
    [sym_milestoneEndTag] = ACTIONS(5708),
    [sym_zSpaceTag] = ACTIONS(5708),
    [anon_sym_BSLASHesb] = ACTIONS(5708),
  },
  [374] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(5710),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5712),
    [anon_sym_BSLASHrem] = ACTIONS(5712),
    [anon_sym_BSLASHrestore] = ACTIONS(5712),
    [anon_sym_BSLASHlit] = ACTIONS(5712),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(5712),
    [anon_sym_BSLASHimte] = ACTIONS(5712),
    [anon_sym_BSLASHis] = ACTIONS(5712),
    [anon_sym_BSLASHio] = ACTIONS(5712),
    [anon_sym_BSLASHiot] = ACTIONS(5712),
    [anon_sym_BSLASHip] = ACTIONS(5712),
    [anon_sym_BSLASHim] = ACTIONS(5712),
    [anon_sym_BSLASHipi] = ACTIONS(5712),
    [anon_sym_BSLASHimi] = ACTIONS(5712),
    [anon_sym_BSLASHili] = ACTIONS(5712),
    [anon_sym_BSLASHipq] = ACTIONS(5712),
    [anon_sym_BSLASHimq] = ACTIONS(5712),
    [anon_sym_BSLASHipr] = ACTIONS(5712),
    [anon_sym_BSLASHib] = ACTIONS(5712),
    [anon_sym_BSLASHiq] = ACTIONS(5712),
    [anon_sym_BSLASHie] = ACTIONS(5712),
    [anon_sym_BSLASHiex] = ACTIONS(5712),
    [anon_sym_BSLASHc] = ACTIONS(5712),
    [anon_sym_BSLASHcl] = ACTIONS(5712),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(5712),
    [sym_milestoneStartTag] = ACTIONS(5712),
    [sym_milestoneEndTag] = ACTIONS(5712),
    [sym_zSpaceTag] = ACTIONS(5712),
    [anon_sym_BSLASHesb] = ACTIONS(5712),
  },
  [375] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(5714),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5716),
    [anon_sym_BSLASHrem] = ACTIONS(5716),
    [anon_sym_BSLASHrestore] = ACTIONS(5716),
    [anon_sym_BSLASHlit] = ACTIONS(5716),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(5716),
    [anon_sym_BSLASHimte] = ACTIONS(5716),
    [anon_sym_BSLASHis] = ACTIONS(5716),
    [anon_sym_BSLASHio] = ACTIONS(5716),
    [anon_sym_BSLASHiot] = ACTIONS(5716),
    [anon_sym_BSLASHip] = ACTIONS(5716),
    [anon_sym_BSLASHim] = ACTIONS(5716),
    [anon_sym_BSLASHipi] = ACTIONS(5716),
    [anon_sym_BSLASHimi] = ACTIONS(5716),
    [anon_sym_BSLASHili] = ACTIONS(5716),
    [anon_sym_BSLASHipq] = ACTIONS(5716),
    [anon_sym_BSLASHimq] = ACTIONS(5716),
    [anon_sym_BSLASHipr] = ACTIONS(5716),
    [anon_sym_BSLASHib] = ACTIONS(5716),
    [anon_sym_BSLASHiq] = ACTIONS(5716),
    [anon_sym_BSLASHie] = ACTIONS(5716),
    [anon_sym_BSLASHiex] = ACTIONS(5716),
    [anon_sym_BSLASHc] = ACTIONS(5716),
    [anon_sym_BSLASHcl] = ACTIONS(5716),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(5716),
    [sym_milestoneStartTag] = ACTIONS(5716),
    [sym_milestoneEndTag] = ACTIONS(5716),
    [sym_zSpaceTag] = ACTIONS(5716),
    [anon_sym_BSLASHesb] = ACTIONS(5716),
  },
  [376] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(5718),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5720),
    [anon_sym_BSLASHrem] = ACTIONS(5720),
    [anon_sym_BSLASHrestore] = ACTIONS(5720),
    [anon_sym_BSLASHlit] = ACTIONS(5720),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(5720),
    [anon_sym_BSLASHimte] = ACTIONS(5720),
    [anon_sym_BSLASHis] = ACTIONS(5720),
    [anon_sym_BSLASHio] = ACTIONS(5720),
    [anon_sym_BSLASHiot] = ACTIONS(5720),
    [anon_sym_BSLASHip] = ACTIONS(5720),
    [anon_sym_BSLASHim] = ACTIONS(5720),
    [anon_sym_BSLASHipi] = ACTIONS(5720),
    [anon_sym_BSLASHimi] = ACTIONS(5720),
    [anon_sym_BSLASHili] = ACTIONS(5720),
    [anon_sym_BSLASHipq] = ACTIONS(5720),
    [anon_sym_BSLASHimq] = ACTIONS(5720),
    [anon_sym_BSLASHipr] = ACTIONS(5720),
    [anon_sym_BSLASHib] = ACTIONS(5720),
    [anon_sym_BSLASHiq] = ACTIONS(5720),
    [anon_sym_BSLASHie] = ACTIONS(5720),
    [anon_sym_BSLASHiex] = ACTIONS(5720),
    [anon_sym_BSLASHc] = ACTIONS(5720),
    [anon_sym_BSLASHcl] = ACTIONS(5720),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(5720),
    [sym_milestoneStartTag] = ACTIONS(5720),
    [sym_milestoneEndTag] = ACTIONS(5720),
    [sym_zSpaceTag] = ACTIONS(5720),
    [anon_sym_BSLASHesb] = ACTIONS(5720),
  },
  [377] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(5722),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5724),
    [anon_sym_BSLASHrem] = ACTIONS(5724),
    [anon_sym_BSLASHrestore] = ACTIONS(5724),
    [anon_sym_BSLASHlit] = ACTIONS(5724),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(5724),
    [anon_sym_BSLASHimte] = ACTIONS(5724),
    [anon_sym_BSLASHis] = ACTIONS(5724),
    [anon_sym_BSLASHio] = ACTIONS(5724),
    [anon_sym_BSLASHiot] = ACTIONS(5724),
    [anon_sym_BSLASHip] = ACTIONS(5724),
    [anon_sym_BSLASHim] = ACTIONS(5724),
    [anon_sym_BSLASHipi] = ACTIONS(5724),
    [anon_sym_BSLASHimi] = ACTIONS(5724),
    [anon_sym_BSLASHili] = ACTIONS(5724),
    [anon_sym_BSLASHipq] = ACTIONS(5724),
    [anon_sym_BSLASHimq] = ACTIONS(5724),
    [anon_sym_BSLASHipr] = ACTIONS(5724),
    [anon_sym_BSLASHib] = ACTIONS(5724),
    [anon_sym_BSLASHiq] = ACTIONS(5724),
    [anon_sym_BSLASHie] = ACTIONS(5724),
    [anon_sym_BSLASHiex] = ACTIONS(5724),
    [anon_sym_BSLASHc] = ACTIONS(5724),
    [anon_sym_BSLASHcl] = ACTIONS(5724),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(5724),
    [sym_milestoneStartTag] = ACTIONS(5724),
    [sym_milestoneEndTag] = ACTIONS(5724),
    [sym_zSpaceTag] = ACTIONS(5724),
    [anon_sym_BSLASHesb] = ACTIONS(5724),
  },
  [378] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(5726),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5728),
    [anon_sym_BSLASHrem] = ACTIONS(5728),
    [anon_sym_BSLASHrestore] = ACTIONS(5728),
    [anon_sym_BSLASHlit] = ACTIONS(5728),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(5728),
    [anon_sym_BSLASHimte] = ACTIONS(5728),
    [anon_sym_BSLASHis] = ACTIONS(5728),
    [anon_sym_BSLASHio] = ACTIONS(5728),
    [anon_sym_BSLASHiot] = ACTIONS(5728),
    [anon_sym_BSLASHip] = ACTIONS(5728),
    [anon_sym_BSLASHim] = ACTIONS(5728),
    [anon_sym_BSLASHipi] = ACTIONS(5728),
    [anon_sym_BSLASHimi] = ACTIONS(5728),
    [anon_sym_BSLASHili] = ACTIONS(5728),
    [anon_sym_BSLASHipq] = ACTIONS(5728),
    [anon_sym_BSLASHimq] = ACTIONS(5728),
    [anon_sym_BSLASHipr] = ACTIONS(5728),
    [anon_sym_BSLASHib] = ACTIONS(5728),
    [anon_sym_BSLASHiq] = ACTIONS(5728),
    [anon_sym_BSLASHie] = ACTIONS(5728),
    [anon_sym_BSLASHiex] = ACTIONS(5728),
    [anon_sym_BSLASHc] = ACTIONS(5728),
    [anon_sym_BSLASHcl] = ACTIONS(5728),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(5728),
    [sym_milestoneStartTag] = ACTIONS(5728),
    [sym_milestoneEndTag] = ACTIONS(5728),
    [sym_zSpaceTag] = ACTIONS(5728),
    [anon_sym_BSLASHesb] = ACTIONS(5728),
  },
  [379] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(4147),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(4149),
    [anon_sym_BSLASHrem] = ACTIONS(4149),
    [anon_sym_BSLASHrestore] = ACTIONS(4149),
    [anon_sym_BSLASHlit] = ACTIONS(4149),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(4149),
    [anon_sym_BSLASHimte] = ACTIONS(4149),
    [anon_sym_BSLASHis] = ACTIONS(4149),
    [anon_sym_BSLASHio] = ACTIONS(4149),
    [anon_sym_BSLASHiot] = ACTIONS(4149),
    [anon_sym_BSLASHip] = ACTIONS(4149),
    [anon_sym_BSLASHim] = ACTIONS(4149),
    [anon_sym_BSLASHipi] = ACTIONS(4149),
    [anon_sym_BSLASHimi] = ACTIONS(4149),
    [anon_sym_BSLASHili] = ACTIONS(4149),
    [anon_sym_BSLASHipq] = ACTIONS(4149),
    [anon_sym_BSLASHimq] = ACTIONS(4149),
    [anon_sym_BSLASHipr] = ACTIONS(4149),
    [anon_sym_BSLASHib] = ACTIONS(4149),
    [anon_sym_BSLASHiq] = ACTIONS(4149),
    [anon_sym_BSLASHie] = ACTIONS(4149),
    [anon_sym_BSLASHiex] = ACTIONS(4149),
    [anon_sym_BSLASHc] = ACTIONS(4149),
    [anon_sym_BSLASHcl] = ACTIONS(4149),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(4149),
    [sym_milestoneStartTag] = ACTIONS(4149),
    [sym_milestoneEndTag] = ACTIONS(4149),
    [sym_zSpaceTag] = ACTIONS(4149),
    [anon_sym_BSLASHesb] = ACTIONS(4149),
  },
  [380] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(5730),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5732),
    [anon_sym_BSLASHrem] = ACTIONS(5732),
    [anon_sym_BSLASHrestore] = ACTIONS(5732),
    [anon_sym_BSLASHlit] = ACTIONS(5732),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(5732),
    [anon_sym_BSLASHimte] = ACTIONS(5732),
    [anon_sym_BSLASHis] = ACTIONS(5732),
    [anon_sym_BSLASHio] = ACTIONS(5732),
    [anon_sym_BSLASHiot] = ACTIONS(5732),
    [anon_sym_BSLASHip] = ACTIONS(5732),
    [anon_sym_BSLASHim] = ACTIONS(5732),
    [anon_sym_BSLASHipi] = ACTIONS(5732),
    [anon_sym_BSLASHimi] = ACTIONS(5732),
    [anon_sym_BSLASHili] = ACTIONS(5732),
    [anon_sym_BSLASHipq] = ACTIONS(5732),
    [anon_sym_BSLASHimq] = ACTIONS(5732),
    [anon_sym_BSLASHipr] = ACTIONS(5732),
    [anon_sym_BSLASHib] = ACTIONS(5732),
    [anon_sym_BSLASHiq] = ACTIONS(5732),
    [anon_sym_BSLASHie] = ACTIONS(5732),
    [anon_sym_BSLASHiex] = ACTIONS(5732),
    [anon_sym_BSLASHc] = ACTIONS(5732),
    [anon_sym_BSLASHcl] = ACTIONS(5732),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(5732),
    [sym_milestoneStartTag] = ACTIONS(5732),
    [sym_milestoneEndTag] = ACTIONS(5732),
    [sym_zSpaceTag] = ACTIONS(5732),
    [anon_sym_BSLASHesb] = ACTIONS(5732),
  },
  [381] = {
    [ts_builtin_sym_end] = ACTIONS(13),
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHref] = ACTIONS(15),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHiqt] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHiex] = ACTIONS(15),
    [anon_sym_BSLASHv] = ACTIONS(15),
    [anon_sym_BSLASHva] = ACTIONS(15),
    [anon_sym_BSLASHvp] = ACTIONS(15),
    [anon_sym_BSLASHc] = ACTIONS(15),
    [anon_sym_BSLASHcl] = ACTIONS(15),
    [anon_sym_BSLASHca] = ACTIONS(15),
    [anon_sym_BSLASHcp] = ACTIONS(15),
    [anon_sym_BSLASHcd] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHmr] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHsr] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHlf] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHliv] = ACTIONS(15),
    [anon_sym_BSLASHlik] = ACTIONS(15),
    [anon_sym_BSLASHlitl] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHx] = ACTIONS(15),
    [anon_sym_BSLASHxt] = ACTIONS(15),
    [anon_sym_BSLASHrq] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesb] = ACTIONS(15),
  },
  [382] = {
    [ts_builtin_sym_end] = ACTIONS(9),
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHref] = ACTIONS(11),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHiqt] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHiex] = ACTIONS(11),
    [anon_sym_BSLASHv] = ACTIONS(11),
    [anon_sym_BSLASHva] = ACTIONS(11),
    [anon_sym_BSLASHvp] = ACTIONS(11),
    [anon_sym_BSLASHc] = ACTIONS(11),
    [anon_sym_BSLASHcl] = ACTIONS(11),
    [anon_sym_BSLASHca] = ACTIONS(11),
    [anon_sym_BSLASHcp] = ACTIONS(11),
    [anon_sym_BSLASHcd] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHmr] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHsr] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHlf] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHliv] = ACTIONS(11),
    [anon_sym_BSLASHlik] = ACTIONS(11),
    [anon_sym_BSLASHlitl] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHx] = ACTIONS(11),
    [anon_sym_BSLASHxt] = ACTIONS(11),
    [anon_sym_BSLASHrq] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesb] = ACTIONS(11),
  },
  [383] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(4141),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(4143),
    [anon_sym_BSLASHrem] = ACTIONS(4143),
    [anon_sym_BSLASHrestore] = ACTIONS(4143),
    [anon_sym_BSLASHlit] = ACTIONS(4143),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(4143),
    [anon_sym_BSLASHimte] = ACTIONS(4143),
    [anon_sym_BSLASHis] = ACTIONS(4143),
    [anon_sym_BSLASHio] = ACTIONS(4143),
    [anon_sym_BSLASHiot] = ACTIONS(4143),
    [anon_sym_BSLASHip] = ACTIONS(4143),
    [anon_sym_BSLASHim] = ACTIONS(4143),
    [anon_sym_BSLASHipi] = ACTIONS(4143),
    [anon_sym_BSLASHimi] = ACTIONS(4143),
    [anon_sym_BSLASHili] = ACTIONS(4143),
    [anon_sym_BSLASHipq] = ACTIONS(4143),
    [anon_sym_BSLASHimq] = ACTIONS(4143),
    [anon_sym_BSLASHipr] = ACTIONS(4143),
    [anon_sym_BSLASHib] = ACTIONS(4143),
    [anon_sym_BSLASHiq] = ACTIONS(4143),
    [anon_sym_BSLASHie] = ACTIONS(4143),
    [anon_sym_BSLASHiex] = ACTIONS(4143),
    [anon_sym_BSLASHc] = ACTIONS(4143),
    [anon_sym_BSLASHcl] = ACTIONS(4143),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(4143),
    [sym_milestoneStartTag] = ACTIONS(4143),
    [sym_milestoneEndTag] = ACTIONS(4143),
    [sym_zSpaceTag] = ACTIONS(4143),
    [anon_sym_BSLASHesb] = ACTIONS(4143),
  },
  [384] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(5734),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5736),
    [anon_sym_BSLASHrem] = ACTIONS(5736),
    [anon_sym_BSLASHrestore] = ACTIONS(5736),
    [anon_sym_BSLASHlit] = ACTIONS(5736),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(5736),
    [anon_sym_BSLASHimte] = ACTIONS(5736),
    [anon_sym_BSLASHis] = ACTIONS(5736),
    [anon_sym_BSLASHio] = ACTIONS(5736),
    [anon_sym_BSLASHiot] = ACTIONS(5736),
    [anon_sym_BSLASHip] = ACTIONS(5736),
    [anon_sym_BSLASHim] = ACTIONS(5736),
    [anon_sym_BSLASHipi] = ACTIONS(5736),
    [anon_sym_BSLASHimi] = ACTIONS(5736),
    [anon_sym_BSLASHili] = ACTIONS(5736),
    [anon_sym_BSLASHipq] = ACTIONS(5736),
    [anon_sym_BSLASHimq] = ACTIONS(5736),
    [anon_sym_BSLASHipr] = ACTIONS(5736),
    [anon_sym_BSLASHib] = ACTIONS(5736),
    [anon_sym_BSLASHiq] = ACTIONS(5736),
    [anon_sym_BSLASHie] = ACTIONS(5736),
    [anon_sym_BSLASHiex] = ACTIONS(5736),
    [anon_sym_BSLASHc] = ACTIONS(5736),
    [anon_sym_BSLASHcl] = ACTIONS(5736),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(5736),
    [sym_milestoneStartTag] = ACTIONS(5736),
    [sym_milestoneEndTag] = ACTIONS(5736),
    [sym_zSpaceTag] = ACTIONS(5736),
    [anon_sym_BSLASHesb] = ACTIONS(5736),
  },
  [385] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHref] = ACTIONS(2701),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHiqt] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHiex] = ACTIONS(2701),
    [anon_sym_BSLASHv] = ACTIONS(2701),
    [anon_sym_BSLASHva] = ACTIONS(2701),
    [anon_sym_BSLASHvp] = ACTIONS(2701),
    [anon_sym_BSLASHc] = ACTIONS(2701),
    [anon_sym_BSLASHcl] = ACTIONS(2701),
    [anon_sym_BSLASHca] = ACTIONS(2701),
    [anon_sym_BSLASHcp] = ACTIONS(2701),
    [anon_sym_BSLASHcd] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHmr] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHsr] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHlf] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHliv] = ACTIONS(2701),
    [anon_sym_BSLASHlik] = ACTIONS(2701),
    [anon_sym_BSLASHlitl] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHx] = ACTIONS(2701),
    [anon_sym_BSLASHxt] = ACTIONS(2701),
    [anon_sym_BSLASHrq] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesb] = ACTIONS(2701),
  },
  [386] = {
    [ts_builtin_sym_end] = ACTIONS(2695),
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHref] = ACTIONS(2697),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHiqt] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHiex] = ACTIONS(2697),
    [anon_sym_BSLASHv] = ACTIONS(2697),
    [anon_sym_BSLASHva] = ACTIONS(2697),
    [anon_sym_BSLASHvp] = ACTIONS(2697),
    [anon_sym_BSLASHc] = ACTIONS(2697),
    [anon_sym_BSLASHcl] = ACTIONS(2697),
    [anon_sym_BSLASHca] = ACTIONS(2697),
    [anon_sym_BSLASHcp] = ACTIONS(2697),
    [anon_sym_BSLASHcd] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHmr] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHsr] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHlf] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHliv] = ACTIONS(2697),
    [anon_sym_BSLASHlik] = ACTIONS(2697),
    [anon_sym_BSLASHlitl] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHx] = ACTIONS(2697),
    [anon_sym_BSLASHxt] = ACTIONS(2697),
    [anon_sym_BSLASHrq] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesb] = ACTIONS(2697),
  },
  [387] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHref] = ACTIONS(2689),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHiqt] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHiex] = ACTIONS(2689),
    [anon_sym_BSLASHv] = ACTIONS(2689),
    [anon_sym_BSLASHva] = ACTIONS(2689),
    [anon_sym_BSLASHvp] = ACTIONS(2689),
    [anon_sym_BSLASHc] = ACTIONS(2689),
    [anon_sym_BSLASHcl] = ACTIONS(2689),
    [anon_sym_BSLASHca] = ACTIONS(2689),
    [anon_sym_BSLASHcp] = ACTIONS(2689),
    [anon_sym_BSLASHcd] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHmr] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHsr] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHlf] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHliv] = ACTIONS(2689),
    [anon_sym_BSLASHlik] = ACTIONS(2689),
    [anon_sym_BSLASHlitl] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHx] = ACTIONS(2689),
    [anon_sym_BSLASHxt] = ACTIONS(2689),
    [anon_sym_BSLASHrq] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesb] = ACTIONS(2689),
  },
  [388] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHlf] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHliv] = ACTIONS(7),
    [anon_sym_BSLASHlik] = ACTIONS(7),
    [anon_sym_BSLASHlitl] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_BSLASH_STAR] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [sym__zSpaceClose] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [389] = {
    [ts_builtin_sym_end] = ACTIONS(2735),
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHref] = ACTIONS(2737),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHiqt] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHiex] = ACTIONS(2737),
    [anon_sym_BSLASHv] = ACTIONS(2737),
    [anon_sym_BSLASHva] = ACTIONS(2737),
    [anon_sym_BSLASHvp] = ACTIONS(2737),
    [anon_sym_BSLASHc] = ACTIONS(2737),
    [anon_sym_BSLASHcl] = ACTIONS(2737),
    [anon_sym_BSLASHca] = ACTIONS(2737),
    [anon_sym_BSLASHcp] = ACTIONS(2737),
    [anon_sym_BSLASHcd] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHmr] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHsr] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHlf] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHliv] = ACTIONS(2737),
    [anon_sym_BSLASHlik] = ACTIONS(2737),
    [anon_sym_BSLASHlitl] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHx] = ACTIONS(2737),
    [anon_sym_BSLASHxt] = ACTIONS(2737),
    [anon_sym_BSLASHrq] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesb] = ACTIONS(2737),
  },
  [390] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(5738),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5740),
    [anon_sym_BSLASHrem] = ACTIONS(5740),
    [anon_sym_BSLASHrestore] = ACTIONS(5740),
    [anon_sym_BSLASHlit] = ACTIONS(5740),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(5740),
    [anon_sym_BSLASHimte] = ACTIONS(5740),
    [anon_sym_BSLASHis] = ACTIONS(5740),
    [anon_sym_BSLASHio] = ACTIONS(5740),
    [anon_sym_BSLASHiot] = ACTIONS(5740),
    [anon_sym_BSLASHip] = ACTIONS(5740),
    [anon_sym_BSLASHim] = ACTIONS(5740),
    [anon_sym_BSLASHipi] = ACTIONS(5740),
    [anon_sym_BSLASHimi] = ACTIONS(5740),
    [anon_sym_BSLASHili] = ACTIONS(5740),
    [anon_sym_BSLASHipq] = ACTIONS(5740),
    [anon_sym_BSLASHimq] = ACTIONS(5740),
    [anon_sym_BSLASHipr] = ACTIONS(5740),
    [anon_sym_BSLASHib] = ACTIONS(5740),
    [anon_sym_BSLASHiq] = ACTIONS(5740),
    [anon_sym_BSLASHie] = ACTIONS(5740),
    [anon_sym_BSLASHiex] = ACTIONS(5740),
    [anon_sym_BSLASHc] = ACTIONS(5740),
    [anon_sym_BSLASHcl] = ACTIONS(5740),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(5740),
    [sym_milestoneStartTag] = ACTIONS(5740),
    [sym_milestoneEndTag] = ACTIONS(5740),
    [sym_zSpaceTag] = ACTIONS(5740),
    [anon_sym_BSLASHesb] = ACTIONS(5740),
  },
  [391] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHref] = ACTIONS(2681),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHiqt] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHiex] = ACTIONS(2681),
    [anon_sym_BSLASHv] = ACTIONS(2681),
    [anon_sym_BSLASHva] = ACTIONS(2681),
    [anon_sym_BSLASHvp] = ACTIONS(2681),
    [anon_sym_BSLASHc] = ACTIONS(2681),
    [anon_sym_BSLASHcl] = ACTIONS(2681),
    [anon_sym_BSLASHca] = ACTIONS(2681),
    [anon_sym_BSLASHcp] = ACTIONS(2681),
    [anon_sym_BSLASHcd] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHmr] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHsr] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHlf] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHliv] = ACTIONS(2681),
    [anon_sym_BSLASHlik] = ACTIONS(2681),
    [anon_sym_BSLASHlitl] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHx] = ACTIONS(2681),
    [anon_sym_BSLASHxt] = ACTIONS(2681),
    [anon_sym_BSLASHrq] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesb] = ACTIONS(2681),
  },
  [392] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHref] = ACTIONS(2725),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHiqt] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHiex] = ACTIONS(2725),
    [anon_sym_BSLASHv] = ACTIONS(2725),
    [anon_sym_BSLASHva] = ACTIONS(2725),
    [anon_sym_BSLASHvp] = ACTIONS(2725),
    [anon_sym_BSLASHc] = ACTIONS(2725),
    [anon_sym_BSLASHcl] = ACTIONS(2725),
    [anon_sym_BSLASHca] = ACTIONS(2725),
    [anon_sym_BSLASHcp] = ACTIONS(2725),
    [anon_sym_BSLASHcd] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHmr] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHsr] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHlf] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHliv] = ACTIONS(2725),
    [anon_sym_BSLASHlik] = ACTIONS(2725),
    [anon_sym_BSLASHlitl] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHx] = ACTIONS(2725),
    [anon_sym_BSLASHxt] = ACTIONS(2725),
    [anon_sym_BSLASHrq] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesb] = ACTIONS(2725),
  },
  [393] = {
    [ts_builtin_sym_end] = ACTIONS(2691),
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHref] = ACTIONS(2693),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHiqt] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHiex] = ACTIONS(2693),
    [anon_sym_BSLASHv] = ACTIONS(2693),
    [anon_sym_BSLASHva] = ACTIONS(2693),
    [anon_sym_BSLASHvp] = ACTIONS(2693),
    [anon_sym_BSLASHc] = ACTIONS(2693),
    [anon_sym_BSLASHcl] = ACTIONS(2693),
    [anon_sym_BSLASHca] = ACTIONS(2693),
    [anon_sym_BSLASHcp] = ACTIONS(2693),
    [anon_sym_BSLASHcd] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHmr] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHsr] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHlf] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHliv] = ACTIONS(2693),
    [anon_sym_BSLASHlik] = ACTIONS(2693),
    [anon_sym_BSLASHlitl] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHx] = ACTIONS(2693),
    [anon_sym_BSLASHxt] = ACTIONS(2693),
    [anon_sym_BSLASHrq] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesb] = ACTIONS(2693),
  },
  [394] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHref] = ACTIONS(2733),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHiqt] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHiex] = ACTIONS(2733),
    [anon_sym_BSLASHv] = ACTIONS(2733),
    [anon_sym_BSLASHva] = ACTIONS(2733),
    [anon_sym_BSLASHvp] = ACTIONS(2733),
    [anon_sym_BSLASHc] = ACTIONS(2733),
    [anon_sym_BSLASHcl] = ACTIONS(2733),
    [anon_sym_BSLASHca] = ACTIONS(2733),
    [anon_sym_BSLASHcp] = ACTIONS(2733),
    [anon_sym_BSLASHcd] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHmr] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHsr] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHlf] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHliv] = ACTIONS(2733),
    [anon_sym_BSLASHlik] = ACTIONS(2733),
    [anon_sym_BSLASHlitl] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHx] = ACTIONS(2733),
    [anon_sym_BSLASHxt] = ACTIONS(2733),
    [anon_sym_BSLASHrq] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesb] = ACTIONS(2733),
  },
  [395] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [aux_sym_text_token1] = ACTIONS(2771),
    [anon_sym_BSLASHref] = ACTIONS(2773),
    [anon_sym_BSLASHsts] = ACTIONS(2773),
    [anon_sym_BSLASHrem] = ACTIONS(2773),
    [anon_sym_BSLASHrestore] = ACTIONS(2773),
    [anon_sym_BSLASHlit] = ACTIONS(2773),
    [anon_sym_BSLASHiqt] = ACTIONS(2773),
    [anon_sym_BSLASHip] = ACTIONS(2773),
    [anon_sym_BSLASHiex] = ACTIONS(2773),
    [anon_sym_BSLASHv] = ACTIONS(2773),
    [anon_sym_BSLASHva] = ACTIONS(2773),
    [anon_sym_BSLASHvp] = ACTIONS(2773),
    [anon_sym_BSLASHc] = ACTIONS(2773),
    [anon_sym_BSLASHcl] = ACTIONS(2773),
    [anon_sym_BSLASHca] = ACTIONS(2773),
    [anon_sym_BSLASHcp] = ACTIONS(2773),
    [anon_sym_BSLASHcd] = ACTIONS(2773),
    [anon_sym_BSLASHmte] = ACTIONS(2773),
    [anon_sym_BSLASHms] = ACTIONS(2773),
    [anon_sym_BSLASHmr] = ACTIONS(2773),
    [anon_sym_BSLASHs] = ACTIONS(2773),
    [anon_sym_BSLASHsr] = ACTIONS(2773),
    [anon_sym_BSLASHr] = ACTIONS(2773),
    [anon_sym_BSLASHsp] = ACTIONS(2773),
    [anon_sym_BSLASHd] = ACTIONS(2773),
    [anon_sym_BSLASHsd] = ACTIONS(2773),
    [anon_sym_BSLASHp] = ACTIONS(2773),
    [anon_sym_BSLASHm] = ACTIONS(2773),
    [anon_sym_BSLASHpo] = ACTIONS(2773),
    [anon_sym_BSLASHpr] = ACTIONS(2773),
    [anon_sym_BSLASHcls] = ACTIONS(2773),
    [anon_sym_BSLASHpmo] = ACTIONS(2773),
    [anon_sym_BSLASHpm] = ACTIONS(2773),
    [anon_sym_BSLASHpmc] = ACTIONS(2773),
    [anon_sym_BSLASHpmr] = ACTIONS(2773),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2773),
    [anon_sym_BSLASHnb] = ACTIONS(2773),
    [anon_sym_BSLASHpc] = ACTIONS(2773),
    [anon_sym_BSLASHph] = ACTIONS(2773),
    [anon_sym_BSLASHb] = ACTIONS(2773),
    [anon_sym_BSLASHq] = ACTIONS(2773),
    [anon_sym_BSLASHqr] = ACTIONS(2773),
    [anon_sym_BSLASHqc] = ACTIONS(2773),
    [anon_sym_BSLASHqa] = ACTIONS(2773),
    [anon_sym_BSLASHqm] = ACTIONS(2773),
    [anon_sym_BSLASHqd] = ACTIONS(2773),
    [anon_sym_BSLASHlh] = ACTIONS(2773),
    [anon_sym_BSLASHlf] = ACTIONS(2773),
    [anon_sym_BSLASHli] = ACTIONS(2773),
    [anon_sym_BSLASHlim] = ACTIONS(2773),
    [anon_sym_BSLASHliv] = ACTIONS(2773),
    [anon_sym_BSLASHlik] = ACTIONS(2773),
    [anon_sym_BSLASHlitl] = ACTIONS(2773),
    [anon_sym_BSLASHtr] = ACTIONS(2773),
    [anon_sym_BSLASHf] = ACTIONS(2773),
    [anon_sym_BSLASHfe] = ACTIONS(2773),
    [anon_sym_BSLASHef] = ACTIONS(2773),
    [anon_sym_BSLASHfm] = ACTIONS(2773),
    [anon_sym_BSLASHx] = ACTIONS(2773),
    [anon_sym_BSLASHxt] = ACTIONS(2773),
    [anon_sym_BSLASHrq] = ACTIONS(2773),
    [anon_sym_BSLASHadd] = ACTIONS(2773),
    [anon_sym_BSLASHbk] = ACTIONS(2773),
    [anon_sym_BSLASHdc] = ACTIONS(2773),
    [anon_sym_BSLASHk] = ACTIONS(2773),
    [anon_sym_BSLASHnd] = ACTIONS(2773),
    [anon_sym_BSLASHord] = ACTIONS(2773),
    [anon_sym_BSLASHpn] = ACTIONS(2773),
    [anon_sym_BSLASHpng] = ACTIONS(2773),
    [anon_sym_BSLASHaddpn] = ACTIONS(2773),
    [anon_sym_BSLASHqt] = ACTIONS(2773),
    [anon_sym_BSLASHsig] = ACTIONS(2773),
    [anon_sym_BSLASHsls] = ACTIONS(2773),
    [anon_sym_BSLASHtl] = ACTIONS(2773),
    [anon_sym_BSLASHwj] = ACTIONS(2773),
    [anon_sym_BSLASHem] = ACTIONS(2773),
    [anon_sym_BSLASHbd] = ACTIONS(2773),
    [anon_sym_BSLASHit] = ACTIONS(2773),
    [anon_sym_BSLASHbdit] = ACTIONS(2773),
    [anon_sym_BSLASHno] = ACTIONS(2773),
    [anon_sym_BSLASHsc] = ACTIONS(2773),
    [anon_sym_BSLASHsup] = ACTIONS(2773),
    [anon_sym_BSLASHndx] = ACTIONS(2773),
    [anon_sym_BSLASHpro] = ACTIONS(2773),
    [anon_sym_BSLASHrb] = ACTIONS(2773),
    [anon_sym_BSLASHw] = ACTIONS(2773),
    [anon_sym_BSLASHwg] = ACTIONS(2773),
    [anon_sym_BSLASHwh] = ACTIONS(2773),
    [anon_sym_BSLASHwa] = ACTIONS(2773),
    [anon_sym_BSLASHfig] = ACTIONS(2773),
    [anon_sym_BSLASHjmp] = ACTIONS(2773),
    [anon_sym_BSLASHpb] = ACTIONS(2773),
    [anon_sym_BSLASH] = ACTIONS(2773),
    [sym_milestoneStartTag] = ACTIONS(2773),
    [sym_milestoneEndTag] = ACTIONS(2773),
    [sym_zSpaceTag] = ACTIONS(2773),
    [anon_sym_BSLASHesb] = ACTIONS(2773),
  },
  [396] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHref] = ACTIONS(2685),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHiqt] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHiex] = ACTIONS(2685),
    [anon_sym_BSLASHv] = ACTIONS(2685),
    [anon_sym_BSLASHva] = ACTIONS(2685),
    [anon_sym_BSLASHvp] = ACTIONS(2685),
    [anon_sym_BSLASHc] = ACTIONS(2685),
    [anon_sym_BSLASHcl] = ACTIONS(2685),
    [anon_sym_BSLASHca] = ACTIONS(2685),
    [anon_sym_BSLASHcp] = ACTIONS(2685),
    [anon_sym_BSLASHcd] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHmr] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHsr] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHlf] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHliv] = ACTIONS(2685),
    [anon_sym_BSLASHlik] = ACTIONS(2685),
    [anon_sym_BSLASHlitl] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHx] = ACTIONS(2685),
    [anon_sym_BSLASHxt] = ACTIONS(2685),
    [anon_sym_BSLASHrq] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesb] = ACTIONS(2685),
  },
  [397] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(5742),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5744),
    [anon_sym_BSLASHrem] = ACTIONS(5744),
    [anon_sym_BSLASHrestore] = ACTIONS(5744),
    [anon_sym_BSLASHlit] = ACTIONS(5744),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimt] = ACTIONS(5744),
    [anon_sym_BSLASHimte] = ACTIONS(5744),
    [anon_sym_BSLASHis] = ACTIONS(5744),
    [anon_sym_BSLASHio] = ACTIONS(5744),
    [anon_sym_BSLASHiot] = ACTIONS(5744),
    [anon_sym_BSLASHip] = ACTIONS(5744),
    [anon_sym_BSLASHim] = ACTIONS(5744),
    [anon_sym_BSLASHipi] = ACTIONS(5744),
    [anon_sym_BSLASHimi] = ACTIONS(5744),
    [anon_sym_BSLASHili] = ACTIONS(5744),
    [anon_sym_BSLASHipq] = ACTIONS(5744),
    [anon_sym_BSLASHimq] = ACTIONS(5744),
    [anon_sym_BSLASHipr] = ACTIONS(5744),
    [anon_sym_BSLASHib] = ACTIONS(5744),
    [anon_sym_BSLASHiq] = ACTIONS(5744),
    [anon_sym_BSLASHie] = ACTIONS(5744),
    [anon_sym_BSLASHiex] = ACTIONS(5744),
    [anon_sym_BSLASHc] = ACTIONS(5744),
    [anon_sym_BSLASHcl] = ACTIONS(5744),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(5744),
    [sym_milestoneStartTag] = ACTIONS(5744),
    [sym_milestoneEndTag] = ACTIONS(5744),
    [sym_zSpaceTag] = ACTIONS(5744),
    [anon_sym_BSLASHesb] = ACTIONS(5744),
  },
  [398] = {
    [ts_builtin_sym_end] = ACTIONS(2715),
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHref] = ACTIONS(2717),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHiqt] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHiex] = ACTIONS(2717),
    [anon_sym_BSLASHv] = ACTIONS(2717),
    [anon_sym_BSLASHva] = ACTIONS(2717),
    [anon_sym_BSLASHvp] = ACTIONS(2717),
    [anon_sym_BSLASHc] = ACTIONS(2717),
    [anon_sym_BSLASHcl] = ACTIONS(2717),
    [anon_sym_BSLASHca] = ACTIONS(2717),
    [anon_sym_BSLASHcp] = ACTIONS(2717),
    [anon_sym_BSLASHcd] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHmr] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHsr] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHlf] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHliv] = ACTIONS(2717),
    [anon_sym_BSLASHlik] = ACTIONS(2717),
    [anon_sym_BSLASHlitl] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHx] = ACTIONS(2717),
    [anon_sym_BSLASHxt] = ACTIONS(2717),
    [anon_sym_BSLASHrq] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesb] = ACTIONS(2717),
  },
  [399] = {
    [ts_builtin_sym_end] = ACTIONS(2707),
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHref] = ACTIONS(2709),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHiqt] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHiex] = ACTIONS(2709),
    [anon_sym_BSLASHv] = ACTIONS(2709),
    [anon_sym_BSLASHva] = ACTIONS(2709),
    [anon_sym_BSLASHvp] = ACTIONS(2709),
    [anon_sym_BSLASHc] = ACTIONS(2709),
    [anon_sym_BSLASHcl] = ACTIONS(2709),
    [anon_sym_BSLASHca] = ACTIONS(2709),
    [anon_sym_BSLASHcp] = ACTIONS(2709),
    [anon_sym_BSLASHcd] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHmr] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHsr] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHlf] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHliv] = ACTIONS(2709),
    [anon_sym_BSLASHlik] = ACTIONS(2709),
    [anon_sym_BSLASHlitl] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHx] = ACTIONS(2709),
    [anon_sym_BSLASHxt] = ACTIONS(2709),
    [anon_sym_BSLASHrq] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesb] = ACTIONS(2709),
  },
  [400] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHref] = ACTIONS(2721),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHiqt] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHiex] = ACTIONS(2721),
    [anon_sym_BSLASHv] = ACTIONS(2721),
    [anon_sym_BSLASHva] = ACTIONS(2721),
    [anon_sym_BSLASHvp] = ACTIONS(2721),
    [anon_sym_BSLASHc] = ACTIONS(2721),
    [anon_sym_BSLASHcl] = ACTIONS(2721),
    [anon_sym_BSLASHca] = ACTIONS(2721),
    [anon_sym_BSLASHcp] = ACTIONS(2721),
    [anon_sym_BSLASHcd] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHmr] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHsr] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHlf] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHliv] = ACTIONS(2721),
    [anon_sym_BSLASHlik] = ACTIONS(2721),
    [anon_sym_BSLASHlitl] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHx] = ACTIONS(2721),
    [anon_sym_BSLASHxt] = ACTIONS(2721),
    [anon_sym_BSLASHrq] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesb] = ACTIONS(2721),
  },
  [401] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHref] = ACTIONS(2729),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHiqt] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHiex] = ACTIONS(2729),
    [anon_sym_BSLASHv] = ACTIONS(2729),
    [anon_sym_BSLASHva] = ACTIONS(2729),
    [anon_sym_BSLASHvp] = ACTIONS(2729),
    [anon_sym_BSLASHc] = ACTIONS(2729),
    [anon_sym_BSLASHcl] = ACTIONS(2729),
    [anon_sym_BSLASHca] = ACTIONS(2729),
    [anon_sym_BSLASHcp] = ACTIONS(2729),
    [anon_sym_BSLASHcd] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHmr] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHsr] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHlf] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHliv] = ACTIONS(2729),
    [anon_sym_BSLASHlik] = ACTIONS(2729),
    [anon_sym_BSLASHlitl] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHx] = ACTIONS(2729),
    [anon_sym_BSLASHxt] = ACTIONS(2729),
    [anon_sym_BSLASHrq] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesb] = ACTIONS(2729),
  },
  [402] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHref] = ACTIONS(2673),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHiqt] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHiex] = ACTIONS(2673),
    [anon_sym_BSLASHv] = ACTIONS(2673),
    [anon_sym_BSLASHva] = ACTIONS(2673),
    [anon_sym_BSLASHvp] = ACTIONS(2673),
    [anon_sym_BSLASHc] = ACTIONS(2673),
    [anon_sym_BSLASHcl] = ACTIONS(2673),
    [anon_sym_BSLASHca] = ACTIONS(2673),
    [anon_sym_BSLASHcp] = ACTIONS(2673),
    [anon_sym_BSLASHcd] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHmr] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHsr] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHlf] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHliv] = ACTIONS(2673),
    [anon_sym_BSLASHlik] = ACTIONS(2673),
    [anon_sym_BSLASHlitl] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHx] = ACTIONS(2673),
    [anon_sym_BSLASHxt] = ACTIONS(2673),
    [anon_sym_BSLASHrq] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesb] = ACTIONS(2673),
  },
  [403] = {
    [ts_builtin_sym_end] = ACTIONS(2803),
    [aux_sym_text_token1] = ACTIONS(2803),
    [anon_sym_BSLASHref] = ACTIONS(2805),
    [anon_sym_BSLASHsts] = ACTIONS(2805),
    [anon_sym_BSLASHrem] = ACTIONS(2805),
    [anon_sym_BSLASHrestore] = ACTIONS(2805),
    [anon_sym_BSLASHlit] = ACTIONS(2805),
    [anon_sym_BSLASHiqt] = ACTIONS(2805),
    [anon_sym_BSLASHip] = ACTIONS(2805),
    [anon_sym_BSLASHiex] = ACTIONS(2805),
    [anon_sym_BSLASHv] = ACTIONS(2805),
    [anon_sym_BSLASHva] = ACTIONS(2805),
    [anon_sym_BSLASHvp] = ACTIONS(2805),
    [anon_sym_BSLASHc] = ACTIONS(2805),
    [anon_sym_BSLASHcl] = ACTIONS(2805),
    [anon_sym_BSLASHca] = ACTIONS(2805),
    [anon_sym_BSLASHcp] = ACTIONS(2805),
    [anon_sym_BSLASHcd] = ACTIONS(2805),
    [anon_sym_BSLASHmte] = ACTIONS(2805),
    [anon_sym_BSLASHms] = ACTIONS(2805),
    [anon_sym_BSLASHmr] = ACTIONS(2805),
    [anon_sym_BSLASHs] = ACTIONS(2805),
    [anon_sym_BSLASHsr] = ACTIONS(2805),
    [anon_sym_BSLASHr] = ACTIONS(2805),
    [anon_sym_BSLASHsp] = ACTIONS(2805),
    [anon_sym_BSLASHd] = ACTIONS(2805),
    [anon_sym_BSLASHsd] = ACTIONS(2805),
    [anon_sym_BSLASHp] = ACTIONS(2805),
    [anon_sym_BSLASHm] = ACTIONS(2805),
    [anon_sym_BSLASHpo] = ACTIONS(2805),
    [anon_sym_BSLASHpr] = ACTIONS(2805),
    [anon_sym_BSLASHcls] = ACTIONS(2805),
    [anon_sym_BSLASHpmo] = ACTIONS(2805),
    [anon_sym_BSLASHpm] = ACTIONS(2805),
    [anon_sym_BSLASHpmc] = ACTIONS(2805),
    [anon_sym_BSLASHpmr] = ACTIONS(2805),
    [anon_sym_BSLASHpi] = ACTIONS(2805),
    [anon_sym_BSLASHmi] = ACTIONS(2805),
    [anon_sym_BSLASHnb] = ACTIONS(2805),
    [anon_sym_BSLASHpc] = ACTIONS(2805),
    [anon_sym_BSLASHph] = ACTIONS(2805),
    [anon_sym_BSLASHb] = ACTIONS(2805),
    [anon_sym_BSLASHq] = ACTIONS(2805),
    [anon_sym_BSLASHqr] = ACTIONS(2805),
    [anon_sym_BSLASHqc] = ACTIONS(2805),
    [anon_sym_BSLASHqa] = ACTIONS(2805),
    [anon_sym_BSLASHqm] = ACTIONS(2805),
    [anon_sym_BSLASHqd] = ACTIONS(2805),
    [anon_sym_BSLASHlh] = ACTIONS(2805),
    [anon_sym_BSLASHlf] = ACTIONS(2805),
    [anon_sym_BSLASHli] = ACTIONS(2805),
    [anon_sym_BSLASHlim] = ACTIONS(2805),
    [anon_sym_BSLASHliv] = ACTIONS(2805),
    [anon_sym_BSLASHlik] = ACTIONS(2805),
    [anon_sym_BSLASHlitl] = ACTIONS(2805),
    [anon_sym_BSLASHtr] = ACTIONS(2805),
    [anon_sym_BSLASHf] = ACTIONS(2805),
    [anon_sym_BSLASHfe] = ACTIONS(2805),
    [anon_sym_BSLASHef] = ACTIONS(2805),
    [anon_sym_BSLASHfm] = ACTIONS(2805),
    [anon_sym_BSLASHx] = ACTIONS(2805),
    [anon_sym_BSLASHxt] = ACTIONS(2805),
    [anon_sym_BSLASHrq] = ACTIONS(2805),
    [anon_sym_BSLASHadd] = ACTIONS(2805),
    [anon_sym_BSLASHbk] = ACTIONS(2805),
    [anon_sym_BSLASHdc] = ACTIONS(2805),
    [anon_sym_BSLASHk] = ACTIONS(2805),
    [anon_sym_BSLASHnd] = ACTIONS(2805),
    [anon_sym_BSLASHord] = ACTIONS(2805),
    [anon_sym_BSLASHpn] = ACTIONS(2805),
    [anon_sym_BSLASHpng] = ACTIONS(2805),
    [anon_sym_BSLASHaddpn] = ACTIONS(2805),
    [anon_sym_BSLASHqt] = ACTIONS(2805),
    [anon_sym_BSLASHsig] = ACTIONS(2805),
    [anon_sym_BSLASHsls] = ACTIONS(2805),
    [anon_sym_BSLASHtl] = ACTIONS(2805),
    [anon_sym_BSLASHwj] = ACTIONS(2805),
    [anon_sym_BSLASHem] = ACTIONS(2805),
    [anon_sym_BSLASHbd] = ACTIONS(2805),
    [anon_sym_BSLASHit] = ACTIONS(2805),
    [anon_sym_BSLASHbdit] = ACTIONS(2805),
    [anon_sym_BSLASHno] = ACTIONS(2805),
    [anon_sym_BSLASHsc] = ACTIONS(2805),
    [anon_sym_BSLASHsup] = ACTIONS(2805),
    [anon_sym_BSLASHndx] = ACTIONS(2805),
    [anon_sym_BSLASHpro] = ACTIONS(2805),
    [anon_sym_BSLASHrb] = ACTIONS(2805),
    [anon_sym_BSLASHw] = ACTIONS(2805),
    [anon_sym_BSLASHwg] = ACTIONS(2805),
    [anon_sym_BSLASHwh] = ACTIONS(2805),
    [anon_sym_BSLASHwa] = ACTIONS(2805),
    [anon_sym_BSLASHfig] = ACTIONS(2805),
    [anon_sym_BSLASHjmp] = ACTIONS(2805),
    [anon_sym_BSLASHpb] = ACTIONS(2805),
    [anon_sym_BSLASH] = ACTIONS(2805),
    [sym_milestoneStartTag] = ACTIONS(2805),
    [sym_milestoneEndTag] = ACTIONS(2805),
    [sym_zSpaceTag] = ACTIONS(2805),
    [anon_sym_BSLASHesb] = ACTIONS(2805),
  },
  [404] = {
    [ts_builtin_sym_end] = ACTIONS(2775),
    [aux_sym_text_token1] = ACTIONS(2775),
    [anon_sym_BSLASHref] = ACTIONS(2777),
    [anon_sym_BSLASHsts] = ACTIONS(2777),
    [anon_sym_BSLASHrem] = ACTIONS(2777),
    [anon_sym_BSLASHrestore] = ACTIONS(2777),
    [anon_sym_BSLASHlit] = ACTIONS(2777),
    [anon_sym_BSLASHiqt] = ACTIONS(2777),
    [anon_sym_BSLASHip] = ACTIONS(2777),
    [anon_sym_BSLASHiex] = ACTIONS(2777),
    [anon_sym_BSLASHv] = ACTIONS(2777),
    [anon_sym_BSLASHva] = ACTIONS(2777),
    [anon_sym_BSLASHvp] = ACTIONS(2777),
    [anon_sym_BSLASHc] = ACTIONS(2777),
    [anon_sym_BSLASHcl] = ACTIONS(2777),
    [anon_sym_BSLASHca] = ACTIONS(2777),
    [anon_sym_BSLASHcp] = ACTIONS(2777),
    [anon_sym_BSLASHcd] = ACTIONS(2777),
    [anon_sym_BSLASHmte] = ACTIONS(2777),
    [anon_sym_BSLASHms] = ACTIONS(2777),
    [anon_sym_BSLASHmr] = ACTIONS(2777),
    [anon_sym_BSLASHs] = ACTIONS(2777),
    [anon_sym_BSLASHsr] = ACTIONS(2777),
    [anon_sym_BSLASHr] = ACTIONS(2777),
    [anon_sym_BSLASHsp] = ACTIONS(2777),
    [anon_sym_BSLASHd] = ACTIONS(2777),
    [anon_sym_BSLASHsd] = ACTIONS(2777),
    [anon_sym_BSLASHp] = ACTIONS(2777),
    [anon_sym_BSLASHm] = ACTIONS(2777),
    [anon_sym_BSLASHpo] = ACTIONS(2777),
    [anon_sym_BSLASHpr] = ACTIONS(2777),
    [anon_sym_BSLASHcls] = ACTIONS(2777),
    [anon_sym_BSLASHpmo] = ACTIONS(2777),
    [anon_sym_BSLASHpm] = ACTIONS(2777),
    [anon_sym_BSLASHpmc] = ACTIONS(2777),
    [anon_sym_BSLASHpmr] = ACTIONS(2777),
    [anon_sym_BSLASHpi] = ACTIONS(2777),
    [anon_sym_BSLASHmi] = ACTIONS(2777),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2777),
    [anon_sym_BSLASHph] = ACTIONS(2777),
    [anon_sym_BSLASHb] = ACTIONS(2777),
    [anon_sym_BSLASHq] = ACTIONS(2777),
    [anon_sym_BSLASHqr] = ACTIONS(2777),
    [anon_sym_BSLASHqc] = ACTIONS(2777),
    [anon_sym_BSLASHqa] = ACTIONS(2777),
    [anon_sym_BSLASHqm] = ACTIONS(2777),
    [anon_sym_BSLASHqd] = ACTIONS(2777),
    [anon_sym_BSLASHlh] = ACTIONS(2777),
    [anon_sym_BSLASHlf] = ACTIONS(2777),
    [anon_sym_BSLASHli] = ACTIONS(2777),
    [anon_sym_BSLASHlim] = ACTIONS(2777),
    [anon_sym_BSLASHliv] = ACTIONS(2777),
    [anon_sym_BSLASHlik] = ACTIONS(2777),
    [anon_sym_BSLASHlitl] = ACTIONS(2777),
    [anon_sym_BSLASHtr] = ACTIONS(2777),
    [anon_sym_BSLASHf] = ACTIONS(2777),
    [anon_sym_BSLASHfe] = ACTIONS(2777),
    [anon_sym_BSLASHef] = ACTIONS(2777),
    [anon_sym_BSLASHfm] = ACTIONS(2777),
    [anon_sym_BSLASHx] = ACTIONS(2777),
    [anon_sym_BSLASHxt] = ACTIONS(2777),
    [anon_sym_BSLASHrq] = ACTIONS(2777),
    [anon_sym_BSLASHadd] = ACTIONS(2777),
    [anon_sym_BSLASHbk] = ACTIONS(2777),
    [anon_sym_BSLASHdc] = ACTIONS(2777),
    [anon_sym_BSLASHk] = ACTIONS(2777),
    [anon_sym_BSLASHnd] = ACTIONS(2777),
    [anon_sym_BSLASHord] = ACTIONS(2777),
    [anon_sym_BSLASHpn] = ACTIONS(2777),
    [anon_sym_BSLASHpng] = ACTIONS(2777),
    [anon_sym_BSLASHaddpn] = ACTIONS(2777),
    [anon_sym_BSLASHqt] = ACTIONS(2777),
    [anon_sym_BSLASHsig] = ACTIONS(2777),
    [anon_sym_BSLASHsls] = ACTIONS(2777),
    [anon_sym_BSLASHtl] = ACTIONS(2777),
    [anon_sym_BSLASHwj] = ACTIONS(2777),
    [anon_sym_BSLASHem] = ACTIONS(2777),
    [anon_sym_BSLASHbd] = ACTIONS(2777),
    [anon_sym_BSLASHit] = ACTIONS(2777),
    [anon_sym_BSLASHbdit] = ACTIONS(2777),
    [anon_sym_BSLASHno] = ACTIONS(2777),
    [anon_sym_BSLASHsc] = ACTIONS(2777),
    [anon_sym_BSLASHsup] = ACTIONS(2777),
    [anon_sym_BSLASHndx] = ACTIONS(2777),
    [anon_sym_BSLASHpro] = ACTIONS(2777),
    [anon_sym_BSLASHrb] = ACTIONS(2777),
    [anon_sym_BSLASHw] = ACTIONS(2777),
    [anon_sym_BSLASHwg] = ACTIONS(2777),
    [anon_sym_BSLASHwh] = ACTIONS(2777),
    [anon_sym_BSLASHwa] = ACTIONS(2777),
    [anon_sym_BSLASHfig] = ACTIONS(2777),
    [anon_sym_BSLASHjmp] = ACTIONS(2777),
    [anon_sym_BSLASHpb] = ACTIONS(2777),
    [anon_sym_BSLASH] = ACTIONS(2777),
    [sym_milestoneStartTag] = ACTIONS(2777),
    [sym_milestoneEndTag] = ACTIONS(2777),
    [sym_zSpaceTag] = ACTIONS(2777),
    [anon_sym_BSLASHesb] = ACTIONS(2777),
  },
  [405] = {
    [ts_builtin_sym_end] = ACTIONS(2747),
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHref] = ACTIONS(2749),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHiqt] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHiex] = ACTIONS(2749),
    [anon_sym_BSLASHv] = ACTIONS(2749),
    [anon_sym_BSLASHva] = ACTIONS(2749),
    [anon_sym_BSLASHvp] = ACTIONS(2749),
    [anon_sym_BSLASHc] = ACTIONS(2749),
    [anon_sym_BSLASHcl] = ACTIONS(2749),
    [anon_sym_BSLASHca] = ACTIONS(2749),
    [anon_sym_BSLASHcp] = ACTIONS(2749),
    [anon_sym_BSLASHcd] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHmr] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHsr] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHlf] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHliv] = ACTIONS(2749),
    [anon_sym_BSLASHlik] = ACTIONS(2749),
    [anon_sym_BSLASHlitl] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHx] = ACTIONS(2749),
    [anon_sym_BSLASHxt] = ACTIONS(2749),
    [anon_sym_BSLASHrq] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesb] = ACTIONS(2749),
  },
  [406] = {
    [ts_builtin_sym_end] = ACTIONS(2743),
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHref] = ACTIONS(2745),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHiqt] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHiex] = ACTIONS(2745),
    [anon_sym_BSLASHv] = ACTIONS(2745),
    [anon_sym_BSLASHva] = ACTIONS(2745),
    [anon_sym_BSLASHvp] = ACTIONS(2745),
    [anon_sym_BSLASHc] = ACTIONS(2745),
    [anon_sym_BSLASHcl] = ACTIONS(2745),
    [anon_sym_BSLASHca] = ACTIONS(2745),
    [anon_sym_BSLASHcp] = ACTIONS(2745),
    [anon_sym_BSLASHcd] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHmr] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHsr] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHlf] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHliv] = ACTIONS(2745),
    [anon_sym_BSLASHlik] = ACTIONS(2745),
    [anon_sym_BSLASHlitl] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHx] = ACTIONS(2745),
    [anon_sym_BSLASHxt] = ACTIONS(2745),
    [anon_sym_BSLASHrq] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesb] = ACTIONS(2745),
  },
  [407] = {
    [ts_builtin_sym_end] = ACTIONS(2787),
    [aux_sym_text_token1] = ACTIONS(2787),
    [anon_sym_BSLASHref] = ACTIONS(2789),
    [anon_sym_BSLASHsts] = ACTIONS(2789),
    [anon_sym_BSLASHrem] = ACTIONS(2789),
    [anon_sym_BSLASHrestore] = ACTIONS(2789),
    [anon_sym_BSLASHlit] = ACTIONS(2789),
    [anon_sym_BSLASHiqt] = ACTIONS(2789),
    [anon_sym_BSLASHip] = ACTIONS(2789),
    [anon_sym_BSLASHiex] = ACTIONS(2789),
    [anon_sym_BSLASHv] = ACTIONS(2789),
    [anon_sym_BSLASHva] = ACTIONS(2789),
    [anon_sym_BSLASHvp] = ACTIONS(2789),
    [anon_sym_BSLASHc] = ACTIONS(2789),
    [anon_sym_BSLASHcl] = ACTIONS(2789),
    [anon_sym_BSLASHca] = ACTIONS(2789),
    [anon_sym_BSLASHcp] = ACTIONS(2789),
    [anon_sym_BSLASHcd] = ACTIONS(2789),
    [anon_sym_BSLASHmte] = ACTIONS(2789),
    [anon_sym_BSLASHms] = ACTIONS(2789),
    [anon_sym_BSLASHmr] = ACTIONS(2789),
    [anon_sym_BSLASHs] = ACTIONS(2789),
    [anon_sym_BSLASHsr] = ACTIONS(2789),
    [anon_sym_BSLASHr] = ACTIONS(2789),
    [anon_sym_BSLASHsp] = ACTIONS(2789),
    [anon_sym_BSLASHd] = ACTIONS(2789),
    [anon_sym_BSLASHsd] = ACTIONS(2789),
    [anon_sym_BSLASHp] = ACTIONS(2789),
    [anon_sym_BSLASHm] = ACTIONS(2789),
    [anon_sym_BSLASHpo] = ACTIONS(2789),
    [anon_sym_BSLASHpr] = ACTIONS(2789),
    [anon_sym_BSLASHcls] = ACTIONS(2789),
    [anon_sym_BSLASHpmo] = ACTIONS(2789),
    [anon_sym_BSLASHpm] = ACTIONS(2789),
    [anon_sym_BSLASHpmc] = ACTIONS(2789),
    [anon_sym_BSLASHpmr] = ACTIONS(2789),
    [anon_sym_BSLASHpi] = ACTIONS(2789),
    [anon_sym_BSLASHmi] = ACTIONS(2789),
    [anon_sym_BSLASHnb] = ACTIONS(2789),
    [anon_sym_BSLASHpc] = ACTIONS(2789),
    [anon_sym_BSLASHph] = ACTIONS(2789),
    [anon_sym_BSLASHb] = ACTIONS(2789),
    [anon_sym_BSLASHq] = ACTIONS(2789),
    [anon_sym_BSLASHqr] = ACTIONS(2789),
    [anon_sym_BSLASHqc] = ACTIONS(2789),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2789),
    [anon_sym_BSLASHqd] = ACTIONS(2789),
    [anon_sym_BSLASHlh] = ACTIONS(2789),
    [anon_sym_BSLASHlf] = ACTIONS(2789),
    [anon_sym_BSLASHli] = ACTIONS(2789),
    [anon_sym_BSLASHlim] = ACTIONS(2789),
    [anon_sym_BSLASHliv] = ACTIONS(2789),
    [anon_sym_BSLASHlik] = ACTIONS(2789),
    [anon_sym_BSLASHlitl] = ACTIONS(2789),
    [anon_sym_BSLASHtr] = ACTIONS(2789),
    [anon_sym_BSLASHf] = ACTIONS(2789),
    [anon_sym_BSLASHfe] = ACTIONS(2789),
    [anon_sym_BSLASHef] = ACTIONS(2789),
    [anon_sym_BSLASHfm] = ACTIONS(2789),
    [anon_sym_BSLASHx] = ACTIONS(2789),
    [anon_sym_BSLASHxt] = ACTIONS(2789),
    [anon_sym_BSLASHrq] = ACTIONS(2789),
    [anon_sym_BSLASHadd] = ACTIONS(2789),
    [anon_sym_BSLASHbk] = ACTIONS(2789),
    [anon_sym_BSLASHdc] = ACTIONS(2789),
    [anon_sym_BSLASHk] = ACTIONS(2789),
    [anon_sym_BSLASHnd] = ACTIONS(2789),
    [anon_sym_BSLASHord] = ACTIONS(2789),
    [anon_sym_BSLASHpn] = ACTIONS(2789),
    [anon_sym_BSLASHpng] = ACTIONS(2789),
    [anon_sym_BSLASHaddpn] = ACTIONS(2789),
    [anon_sym_BSLASHqt] = ACTIONS(2789),
    [anon_sym_BSLASHsig] = ACTIONS(2789),
    [anon_sym_BSLASHsls] = ACTIONS(2789),
    [anon_sym_BSLASHtl] = ACTIONS(2789),
    [anon_sym_BSLASHwj] = ACTIONS(2789),
    [anon_sym_BSLASHem] = ACTIONS(2789),
    [anon_sym_BSLASHbd] = ACTIONS(2789),
    [anon_sym_BSLASHit] = ACTIONS(2789),
    [anon_sym_BSLASHbdit] = ACTIONS(2789),
    [anon_sym_BSLASHno] = ACTIONS(2789),
    [anon_sym_BSLASHsc] = ACTIONS(2789),
    [anon_sym_BSLASHsup] = ACTIONS(2789),
    [anon_sym_BSLASHndx] = ACTIONS(2789),
    [anon_sym_BSLASHpro] = ACTIONS(2789),
    [anon_sym_BSLASHrb] = ACTIONS(2789),
    [anon_sym_BSLASHw] = ACTIONS(2789),
    [anon_sym_BSLASHwg] = ACTIONS(2789),
    [anon_sym_BSLASHwh] = ACTIONS(2789),
    [anon_sym_BSLASHwa] = ACTIONS(2789),
    [anon_sym_BSLASHfig] = ACTIONS(2789),
    [anon_sym_BSLASHjmp] = ACTIONS(2789),
    [anon_sym_BSLASHpb] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2789),
    [sym_milestoneStartTag] = ACTIONS(2789),
    [sym_milestoneEndTag] = ACTIONS(2789),
    [sym_zSpaceTag] = ACTIONS(2789),
    [anon_sym_BSLASHesb] = ACTIONS(2789),
  },
  [408] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [aux_sym_text_token1] = ACTIONS(2795),
    [anon_sym_BSLASHref] = ACTIONS(2797),
    [anon_sym_BSLASHsts] = ACTIONS(2797),
    [anon_sym_BSLASHrem] = ACTIONS(2797),
    [anon_sym_BSLASHrestore] = ACTIONS(2797),
    [anon_sym_BSLASHlit] = ACTIONS(2797),
    [anon_sym_BSLASHiqt] = ACTIONS(2797),
    [anon_sym_BSLASHip] = ACTIONS(2797),
    [anon_sym_BSLASHiex] = ACTIONS(2797),
    [anon_sym_BSLASHv] = ACTIONS(2797),
    [anon_sym_BSLASHva] = ACTIONS(2797),
    [anon_sym_BSLASHvp] = ACTIONS(2797),
    [anon_sym_BSLASHc] = ACTIONS(2797),
    [anon_sym_BSLASHcl] = ACTIONS(2797),
    [anon_sym_BSLASHca] = ACTIONS(2797),
    [anon_sym_BSLASHcp] = ACTIONS(2797),
    [anon_sym_BSLASHcd] = ACTIONS(2797),
    [anon_sym_BSLASHmte] = ACTIONS(2797),
    [anon_sym_BSLASHms] = ACTIONS(2797),
    [anon_sym_BSLASHmr] = ACTIONS(2797),
    [anon_sym_BSLASHs] = ACTIONS(2797),
    [anon_sym_BSLASHsr] = ACTIONS(2797),
    [anon_sym_BSLASHr] = ACTIONS(2797),
    [anon_sym_BSLASHsp] = ACTIONS(2797),
    [anon_sym_BSLASHd] = ACTIONS(2797),
    [anon_sym_BSLASHsd] = ACTIONS(2797),
    [anon_sym_BSLASHp] = ACTIONS(2797),
    [anon_sym_BSLASHm] = ACTIONS(2797),
    [anon_sym_BSLASHpo] = ACTIONS(2797),
    [anon_sym_BSLASHpr] = ACTIONS(2797),
    [anon_sym_BSLASHcls] = ACTIONS(2797),
    [anon_sym_BSLASHpmo] = ACTIONS(2797),
    [anon_sym_BSLASHpm] = ACTIONS(2797),
    [anon_sym_BSLASHpmc] = ACTIONS(2797),
    [anon_sym_BSLASHpmr] = ACTIONS(2797),
    [anon_sym_BSLASHpi] = ACTIONS(2797),
    [anon_sym_BSLASHmi] = ACTIONS(2797),
    [anon_sym_BSLASHnb] = ACTIONS(2797),
    [anon_sym_BSLASHpc] = ACTIONS(2797),
    [anon_sym_BSLASHph] = ACTIONS(2797),
    [anon_sym_BSLASHb] = ACTIONS(2797),
    [anon_sym_BSLASHq] = ACTIONS(2797),
    [anon_sym_BSLASHqr] = ACTIONS(2797),
    [anon_sym_BSLASHqc] = ACTIONS(2797),
    [anon_sym_BSLASHqa] = ACTIONS(2797),
    [anon_sym_BSLASHqm] = ACTIONS(2797),
    [anon_sym_BSLASHqd] = ACTIONS(2797),
    [anon_sym_BSLASHlh] = ACTIONS(2797),
    [anon_sym_BSLASHlf] = ACTIONS(2797),
    [anon_sym_BSLASHli] = ACTIONS(2797),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHliv] = ACTIONS(2797),
    [anon_sym_BSLASHlik] = ACTIONS(2797),
    [anon_sym_BSLASHlitl] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2797),
    [anon_sym_BSLASHf] = ACTIONS(2797),
    [anon_sym_BSLASHfe] = ACTIONS(2797),
    [anon_sym_BSLASHef] = ACTIONS(2797),
    [anon_sym_BSLASHfm] = ACTIONS(2797),
    [anon_sym_BSLASHx] = ACTIONS(2797),
    [anon_sym_BSLASHxt] = ACTIONS(2797),
    [anon_sym_BSLASHrq] = ACTIONS(2797),
    [anon_sym_BSLASHadd] = ACTIONS(2797),
    [anon_sym_BSLASHbk] = ACTIONS(2797),
    [anon_sym_BSLASHdc] = ACTIONS(2797),
    [anon_sym_BSLASHk] = ACTIONS(2797),
    [anon_sym_BSLASHnd] = ACTIONS(2797),
    [anon_sym_BSLASHord] = ACTIONS(2797),
    [anon_sym_BSLASHpn] = ACTIONS(2797),
    [anon_sym_BSLASHpng] = ACTIONS(2797),
    [anon_sym_BSLASHaddpn] = ACTIONS(2797),
    [anon_sym_BSLASHqt] = ACTIONS(2797),
    [anon_sym_BSLASHsig] = ACTIONS(2797),
    [anon_sym_BSLASHsls] = ACTIONS(2797),
    [anon_sym_BSLASHtl] = ACTIONS(2797),
    [anon_sym_BSLASHwj] = ACTIONS(2797),
    [anon_sym_BSLASHem] = ACTIONS(2797),
    [anon_sym_BSLASHbd] = ACTIONS(2797),
    [anon_sym_BSLASHit] = ACTIONS(2797),
    [anon_sym_BSLASHbdit] = ACTIONS(2797),
    [anon_sym_BSLASHno] = ACTIONS(2797),
    [anon_sym_BSLASHsc] = ACTIONS(2797),
    [anon_sym_BSLASHsup] = ACTIONS(2797),
    [anon_sym_BSLASHndx] = ACTIONS(2797),
    [anon_sym_BSLASHpro] = ACTIONS(2797),
    [anon_sym_BSLASHrb] = ACTIONS(2797),
    [anon_sym_BSLASHw] = ACTIONS(2797),
    [anon_sym_BSLASHwg] = ACTIONS(2797),
    [anon_sym_BSLASHwh] = ACTIONS(2797),
    [anon_sym_BSLASHwa] = ACTIONS(2797),
    [anon_sym_BSLASHfig] = ACTIONS(2797),
    [anon_sym_BSLASHjmp] = ACTIONS(2797),
    [anon_sym_BSLASHpb] = ACTIONS(2797),
    [anon_sym_BSLASH] = ACTIONS(2797),
    [sym_milestoneStartTag] = ACTIONS(2797),
    [sym_milestoneEndTag] = ACTIONS(2797),
    [sym_zSpaceTag] = ACTIONS(2797),
    [anon_sym_BSLASHesb] = ACTIONS(2797),
  },
  [409] = {
    [ts_builtin_sym_end] = ACTIONS(2783),
    [aux_sym_text_token1] = ACTIONS(2783),
    [anon_sym_BSLASHref] = ACTIONS(2785),
    [anon_sym_BSLASHsts] = ACTIONS(2785),
    [anon_sym_BSLASHrem] = ACTIONS(2785),
    [anon_sym_BSLASHrestore] = ACTIONS(2785),
    [anon_sym_BSLASHlit] = ACTIONS(2785),
    [anon_sym_BSLASHiqt] = ACTIONS(2785),
    [anon_sym_BSLASHip] = ACTIONS(2785),
    [anon_sym_BSLASHiex] = ACTIONS(2785),
    [anon_sym_BSLASHv] = ACTIONS(2785),
    [anon_sym_BSLASHva] = ACTIONS(2785),
    [anon_sym_BSLASHvp] = ACTIONS(2785),
    [anon_sym_BSLASHc] = ACTIONS(2785),
    [anon_sym_BSLASHcl] = ACTIONS(2785),
    [anon_sym_BSLASHca] = ACTIONS(2785),
    [anon_sym_BSLASHcp] = ACTIONS(2785),
    [anon_sym_BSLASHcd] = ACTIONS(2785),
    [anon_sym_BSLASHmte] = ACTIONS(2785),
    [anon_sym_BSLASHms] = ACTIONS(2785),
    [anon_sym_BSLASHmr] = ACTIONS(2785),
    [anon_sym_BSLASHs] = ACTIONS(2785),
    [anon_sym_BSLASHsr] = ACTIONS(2785),
    [anon_sym_BSLASHr] = ACTIONS(2785),
    [anon_sym_BSLASHsp] = ACTIONS(2785),
    [anon_sym_BSLASHd] = ACTIONS(2785),
    [anon_sym_BSLASHsd] = ACTIONS(2785),
    [anon_sym_BSLASHp] = ACTIONS(2785),
    [anon_sym_BSLASHm] = ACTIONS(2785),
    [anon_sym_BSLASHpo] = ACTIONS(2785),
    [anon_sym_BSLASHpr] = ACTIONS(2785),
    [anon_sym_BSLASHcls] = ACTIONS(2785),
    [anon_sym_BSLASHpmo] = ACTIONS(2785),
    [anon_sym_BSLASHpm] = ACTIONS(2785),
    [anon_sym_BSLASHpmc] = ACTIONS(2785),
    [anon_sym_BSLASHpmr] = ACTIONS(2785),
    [anon_sym_BSLASHpi] = ACTIONS(2785),
    [anon_sym_BSLASHmi] = ACTIONS(2785),
    [anon_sym_BSLASHnb] = ACTIONS(2785),
    [anon_sym_BSLASHpc] = ACTIONS(2785),
    [anon_sym_BSLASHph] = ACTIONS(2785),
    [anon_sym_BSLASHb] = ACTIONS(2785),
    [anon_sym_BSLASHq] = ACTIONS(2785),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2785),
    [anon_sym_BSLASHqa] = ACTIONS(2785),
    [anon_sym_BSLASHqm] = ACTIONS(2785),
    [anon_sym_BSLASHqd] = ACTIONS(2785),
    [anon_sym_BSLASHlh] = ACTIONS(2785),
    [anon_sym_BSLASHlf] = ACTIONS(2785),
    [anon_sym_BSLASHli] = ACTIONS(2785),
    [anon_sym_BSLASHlim] = ACTIONS(2785),
    [anon_sym_BSLASHliv] = ACTIONS(2785),
    [anon_sym_BSLASHlik] = ACTIONS(2785),
    [anon_sym_BSLASHlitl] = ACTIONS(2785),
    [anon_sym_BSLASHtr] = ACTIONS(2785),
    [anon_sym_BSLASHf] = ACTIONS(2785),
    [anon_sym_BSLASHfe] = ACTIONS(2785),
    [anon_sym_BSLASHef] = ACTIONS(2785),
    [anon_sym_BSLASHfm] = ACTIONS(2785),
    [anon_sym_BSLASHx] = ACTIONS(2785),
    [anon_sym_BSLASHxt] = ACTIONS(2785),
    [anon_sym_BSLASHrq] = ACTIONS(2785),
    [anon_sym_BSLASHadd] = ACTIONS(2785),
    [anon_sym_BSLASHbk] = ACTIONS(2785),
    [anon_sym_BSLASHdc] = ACTIONS(2785),
    [anon_sym_BSLASHk] = ACTIONS(2785),
    [anon_sym_BSLASHnd] = ACTIONS(2785),
    [anon_sym_BSLASHord] = ACTIONS(2785),
    [anon_sym_BSLASHpn] = ACTIONS(2785),
    [anon_sym_BSLASHpng] = ACTIONS(2785),
    [anon_sym_BSLASHaddpn] = ACTIONS(2785),
    [anon_sym_BSLASHqt] = ACTIONS(2785),
    [anon_sym_BSLASHsig] = ACTIONS(2785),
    [anon_sym_BSLASHsls] = ACTIONS(2785),
    [anon_sym_BSLASHtl] = ACTIONS(2785),
    [anon_sym_BSLASHwj] = ACTIONS(2785),
    [anon_sym_BSLASHem] = ACTIONS(2785),
    [anon_sym_BSLASHbd] = ACTIONS(2785),
    [anon_sym_BSLASHit] = ACTIONS(2785),
    [anon_sym_BSLASHbdit] = ACTIONS(2785),
    [anon_sym_BSLASHno] = ACTIONS(2785),
    [anon_sym_BSLASHsc] = ACTIONS(2785),
    [anon_sym_BSLASHsup] = ACTIONS(2785),
    [anon_sym_BSLASHndx] = ACTIONS(2785),
    [anon_sym_BSLASHpro] = ACTIONS(2785),
    [anon_sym_BSLASHrb] = ACTIONS(2785),
    [anon_sym_BSLASHw] = ACTIONS(2785),
    [anon_sym_BSLASHwg] = ACTIONS(2785),
    [anon_sym_BSLASHwh] = ACTIONS(2785),
    [anon_sym_BSLASHwa] = ACTIONS(2785),
    [anon_sym_BSLASHfig] = ACTIONS(2785),
    [anon_sym_BSLASHjmp] = ACTIONS(2785),
    [anon_sym_BSLASHpb] = ACTIONS(2785),
    [anon_sym_BSLASH] = ACTIONS(2785),
    [sym_milestoneStartTag] = ACTIONS(2785),
    [sym_milestoneEndTag] = ACTIONS(2785),
    [sym_zSpaceTag] = ACTIONS(2785),
    [anon_sym_BSLASHesb] = ACTIONS(2785),
  },
  [410] = {
    [ts_builtin_sym_end] = ACTIONS(2779),
    [aux_sym_text_token1] = ACTIONS(2779),
    [anon_sym_BSLASHref] = ACTIONS(2781),
    [anon_sym_BSLASHsts] = ACTIONS(2781),
    [anon_sym_BSLASHrem] = ACTIONS(2781),
    [anon_sym_BSLASHrestore] = ACTIONS(2781),
    [anon_sym_BSLASHlit] = ACTIONS(2781),
    [anon_sym_BSLASHiqt] = ACTIONS(2781),
    [anon_sym_BSLASHip] = ACTIONS(2781),
    [anon_sym_BSLASHiex] = ACTIONS(2781),
    [anon_sym_BSLASHv] = ACTIONS(2781),
    [anon_sym_BSLASHva] = ACTIONS(2781),
    [anon_sym_BSLASHvp] = ACTIONS(2781),
    [anon_sym_BSLASHc] = ACTIONS(2781),
    [anon_sym_BSLASHcl] = ACTIONS(2781),
    [anon_sym_BSLASHca] = ACTIONS(2781),
    [anon_sym_BSLASHcp] = ACTIONS(2781),
    [anon_sym_BSLASHcd] = ACTIONS(2781),
    [anon_sym_BSLASHmte] = ACTIONS(2781),
    [anon_sym_BSLASHms] = ACTIONS(2781),
    [anon_sym_BSLASHmr] = ACTIONS(2781),
    [anon_sym_BSLASHs] = ACTIONS(2781),
    [anon_sym_BSLASHsr] = ACTIONS(2781),
    [anon_sym_BSLASHr] = ACTIONS(2781),
    [anon_sym_BSLASHsp] = ACTIONS(2781),
    [anon_sym_BSLASHd] = ACTIONS(2781),
    [anon_sym_BSLASHsd] = ACTIONS(2781),
    [anon_sym_BSLASHp] = ACTIONS(2781),
    [anon_sym_BSLASHm] = ACTIONS(2781),
    [anon_sym_BSLASHpo] = ACTIONS(2781),
    [anon_sym_BSLASHpr] = ACTIONS(2781),
    [anon_sym_BSLASHcls] = ACTIONS(2781),
    [anon_sym_BSLASHpmo] = ACTIONS(2781),
    [anon_sym_BSLASHpm] = ACTIONS(2781),
    [anon_sym_BSLASHpmc] = ACTIONS(2781),
    [anon_sym_BSLASHpmr] = ACTIONS(2781),
    [anon_sym_BSLASHpi] = ACTIONS(2781),
    [anon_sym_BSLASHmi] = ACTIONS(2781),
    [anon_sym_BSLASHnb] = ACTIONS(2781),
    [anon_sym_BSLASHpc] = ACTIONS(2781),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(2781),
    [anon_sym_BSLASHq] = ACTIONS(2781),
    [anon_sym_BSLASHqr] = ACTIONS(2781),
    [anon_sym_BSLASHqc] = ACTIONS(2781),
    [anon_sym_BSLASHqa] = ACTIONS(2781),
    [anon_sym_BSLASHqm] = ACTIONS(2781),
    [anon_sym_BSLASHqd] = ACTIONS(2781),
    [anon_sym_BSLASHlh] = ACTIONS(2781),
    [anon_sym_BSLASHlf] = ACTIONS(2781),
    [anon_sym_BSLASHli] = ACTIONS(2781),
    [anon_sym_BSLASHlim] = ACTIONS(2781),
    [anon_sym_BSLASHliv] = ACTIONS(2781),
    [anon_sym_BSLASHlik] = ACTIONS(2781),
    [anon_sym_BSLASHlitl] = ACTIONS(2781),
    [anon_sym_BSLASHtr] = ACTIONS(2781),
    [anon_sym_BSLASHf] = ACTIONS(2781),
    [anon_sym_BSLASHfe] = ACTIONS(2781),
    [anon_sym_BSLASHef] = ACTIONS(2781),
    [anon_sym_BSLASHfm] = ACTIONS(2781),
    [anon_sym_BSLASHx] = ACTIONS(2781),
    [anon_sym_BSLASHxt] = ACTIONS(2781),
    [anon_sym_BSLASHrq] = ACTIONS(2781),
    [anon_sym_BSLASHadd] = ACTIONS(2781),
    [anon_sym_BSLASHbk] = ACTIONS(2781),
    [anon_sym_BSLASHdc] = ACTIONS(2781),
    [anon_sym_BSLASHk] = ACTIONS(2781),
    [anon_sym_BSLASHnd] = ACTIONS(2781),
    [anon_sym_BSLASHord] = ACTIONS(2781),
    [anon_sym_BSLASHpn] = ACTIONS(2781),
    [anon_sym_BSLASHpng] = ACTIONS(2781),
    [anon_sym_BSLASHaddpn] = ACTIONS(2781),
    [anon_sym_BSLASHqt] = ACTIONS(2781),
    [anon_sym_BSLASHsig] = ACTIONS(2781),
    [anon_sym_BSLASHsls] = ACTIONS(2781),
    [anon_sym_BSLASHtl] = ACTIONS(2781),
    [anon_sym_BSLASHwj] = ACTIONS(2781),
    [anon_sym_BSLASHem] = ACTIONS(2781),
    [anon_sym_BSLASHbd] = ACTIONS(2781),
    [anon_sym_BSLASHit] = ACTIONS(2781),
    [anon_sym_BSLASHbdit] = ACTIONS(2781),
    [anon_sym_BSLASHno] = ACTIONS(2781),
    [anon_sym_BSLASHsc] = ACTIONS(2781),
    [anon_sym_BSLASHsup] = ACTIONS(2781),
    [anon_sym_BSLASHndx] = ACTIONS(2781),
    [anon_sym_BSLASHpro] = ACTIONS(2781),
    [anon_sym_BSLASHrb] = ACTIONS(2781),
    [anon_sym_BSLASHw] = ACTIONS(2781),
    [anon_sym_BSLASHwg] = ACTIONS(2781),
    [anon_sym_BSLASHwh] = ACTIONS(2781),
    [anon_sym_BSLASHwa] = ACTIONS(2781),
    [anon_sym_BSLASHfig] = ACTIONS(2781),
    [anon_sym_BSLASHjmp] = ACTIONS(2781),
    [anon_sym_BSLASHpb] = ACTIONS(2781),
    [anon_sym_BSLASH] = ACTIONS(2781),
    [sym_milestoneStartTag] = ACTIONS(2781),
    [sym_milestoneEndTag] = ACTIONS(2781),
    [sym_zSpaceTag] = ACTIONS(2781),
    [anon_sym_BSLASHesb] = ACTIONS(2781),
  },
  [411] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHref] = ACTIONS(2677),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHiqt] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHiex] = ACTIONS(2677),
    [anon_sym_BSLASHv] = ACTIONS(2677),
    [anon_sym_BSLASHva] = ACTIONS(2677),
    [anon_sym_BSLASHvp] = ACTIONS(2677),
    [anon_sym_BSLASHc] = ACTIONS(2677),
    [anon_sym_BSLASHcl] = ACTIONS(2677),
    [anon_sym_BSLASHca] = ACTIONS(2677),
    [anon_sym_BSLASHcp] = ACTIONS(2677),
    [anon_sym_BSLASHcd] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHmr] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHsr] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHlf] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHliv] = ACTIONS(2677),
    [anon_sym_BSLASHlik] = ACTIONS(2677),
    [anon_sym_BSLASHlitl] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHx] = ACTIONS(2677),
    [anon_sym_BSLASHxt] = ACTIONS(2677),
    [anon_sym_BSLASHrq] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesb] = ACTIONS(2677),
  },
  [412] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [aux_sym_text_token1] = ACTIONS(2767),
    [anon_sym_BSLASHref] = ACTIONS(2769),
    [anon_sym_BSLASHsts] = ACTIONS(2769),
    [anon_sym_BSLASHrem] = ACTIONS(2769),
    [anon_sym_BSLASHrestore] = ACTIONS(2769),
    [anon_sym_BSLASHlit] = ACTIONS(2769),
    [anon_sym_BSLASHiqt] = ACTIONS(2769),
    [anon_sym_BSLASHip] = ACTIONS(2769),
    [anon_sym_BSLASHiex] = ACTIONS(2769),
    [anon_sym_BSLASHv] = ACTIONS(2769),
    [anon_sym_BSLASHva] = ACTIONS(2769),
    [anon_sym_BSLASHvp] = ACTIONS(2769),
    [anon_sym_BSLASHc] = ACTIONS(2769),
    [anon_sym_BSLASHcl] = ACTIONS(2769),
    [anon_sym_BSLASHca] = ACTIONS(2769),
    [anon_sym_BSLASHcp] = ACTIONS(2769),
    [anon_sym_BSLASHcd] = ACTIONS(2769),
    [anon_sym_BSLASHmte] = ACTIONS(2769),
    [anon_sym_BSLASHms] = ACTIONS(2769),
    [anon_sym_BSLASHmr] = ACTIONS(2769),
    [anon_sym_BSLASHs] = ACTIONS(2769),
    [anon_sym_BSLASHsr] = ACTIONS(2769),
    [anon_sym_BSLASHr] = ACTIONS(2769),
    [anon_sym_BSLASHsp] = ACTIONS(2769),
    [anon_sym_BSLASHd] = ACTIONS(2769),
    [anon_sym_BSLASHsd] = ACTIONS(2769),
    [anon_sym_BSLASHp] = ACTIONS(2769),
    [anon_sym_BSLASHm] = ACTIONS(2769),
    [anon_sym_BSLASHpo] = ACTIONS(2769),
    [anon_sym_BSLASHpr] = ACTIONS(2769),
    [anon_sym_BSLASHcls] = ACTIONS(2769),
    [anon_sym_BSLASHpmo] = ACTIONS(2769),
    [anon_sym_BSLASHpm] = ACTIONS(2769),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2769),
    [anon_sym_BSLASHpi] = ACTIONS(2769),
    [anon_sym_BSLASHmi] = ACTIONS(2769),
    [anon_sym_BSLASHnb] = ACTIONS(2769),
    [anon_sym_BSLASHpc] = ACTIONS(2769),
    [anon_sym_BSLASHph] = ACTIONS(2769),
    [anon_sym_BSLASHb] = ACTIONS(2769),
    [anon_sym_BSLASHq] = ACTIONS(2769),
    [anon_sym_BSLASHqr] = ACTIONS(2769),
    [anon_sym_BSLASHqc] = ACTIONS(2769),
    [anon_sym_BSLASHqa] = ACTIONS(2769),
    [anon_sym_BSLASHqm] = ACTIONS(2769),
    [anon_sym_BSLASHqd] = ACTIONS(2769),
    [anon_sym_BSLASHlh] = ACTIONS(2769),
    [anon_sym_BSLASHlf] = ACTIONS(2769),
    [anon_sym_BSLASHli] = ACTIONS(2769),
    [anon_sym_BSLASHlim] = ACTIONS(2769),
    [anon_sym_BSLASHliv] = ACTIONS(2769),
    [anon_sym_BSLASHlik] = ACTIONS(2769),
    [anon_sym_BSLASHlitl] = ACTIONS(2769),
    [anon_sym_BSLASHtr] = ACTIONS(2769),
    [anon_sym_BSLASHf] = ACTIONS(2769),
    [anon_sym_BSLASHfe] = ACTIONS(2769),
    [anon_sym_BSLASHef] = ACTIONS(2769),
    [anon_sym_BSLASHfm] = ACTIONS(2769),
    [anon_sym_BSLASHx] = ACTIONS(2769),
    [anon_sym_BSLASHxt] = ACTIONS(2769),
    [anon_sym_BSLASHrq] = ACTIONS(2769),
    [anon_sym_BSLASHadd] = ACTIONS(2769),
    [anon_sym_BSLASHbk] = ACTIONS(2769),
    [anon_sym_BSLASHdc] = ACTIONS(2769),
    [anon_sym_BSLASHk] = ACTIONS(2769),
    [anon_sym_BSLASHnd] = ACTIONS(2769),
    [anon_sym_BSLASHord] = ACTIONS(2769),
    [anon_sym_BSLASHpn] = ACTIONS(2769),
    [anon_sym_BSLASHpng] = ACTIONS(2769),
    [anon_sym_BSLASHaddpn] = ACTIONS(2769),
    [anon_sym_BSLASHqt] = ACTIONS(2769),
    [anon_sym_BSLASHsig] = ACTIONS(2769),
    [anon_sym_BSLASHsls] = ACTIONS(2769),
    [anon_sym_BSLASHtl] = ACTIONS(2769),
    [anon_sym_BSLASHwj] = ACTIONS(2769),
    [anon_sym_BSLASHem] = ACTIONS(2769),
    [anon_sym_BSLASHbd] = ACTIONS(2769),
    [anon_sym_BSLASHit] = ACTIONS(2769),
    [anon_sym_BSLASHbdit] = ACTIONS(2769),
    [anon_sym_BSLASHno] = ACTIONS(2769),
    [anon_sym_BSLASHsc] = ACTIONS(2769),
    [anon_sym_BSLASHsup] = ACTIONS(2769),
    [anon_sym_BSLASHndx] = ACTIONS(2769),
    [anon_sym_BSLASHpro] = ACTIONS(2769),
    [anon_sym_BSLASHrb] = ACTIONS(2769),
    [anon_sym_BSLASHw] = ACTIONS(2769),
    [anon_sym_BSLASHwg] = ACTIONS(2769),
    [anon_sym_BSLASHwh] = ACTIONS(2769),
    [anon_sym_BSLASHwa] = ACTIONS(2769),
    [anon_sym_BSLASHfig] = ACTIONS(2769),
    [anon_sym_BSLASHjmp] = ACTIONS(2769),
    [anon_sym_BSLASHpb] = ACTIONS(2769),
    [anon_sym_BSLASH] = ACTIONS(2769),
    [sym_milestoneStartTag] = ACTIONS(2769),
    [sym_milestoneEndTag] = ACTIONS(2769),
    [sym_zSpaceTag] = ACTIONS(2769),
    [anon_sym_BSLASHesb] = ACTIONS(2769),
  },
  [413] = {
    [ts_builtin_sym_end] = ACTIONS(2763),
    [aux_sym_text_token1] = ACTIONS(2763),
    [anon_sym_BSLASHref] = ACTIONS(2765),
    [anon_sym_BSLASHsts] = ACTIONS(2765),
    [anon_sym_BSLASHrem] = ACTIONS(2765),
    [anon_sym_BSLASHrestore] = ACTIONS(2765),
    [anon_sym_BSLASHlit] = ACTIONS(2765),
    [anon_sym_BSLASHiqt] = ACTIONS(2765),
    [anon_sym_BSLASHip] = ACTIONS(2765),
    [anon_sym_BSLASHiex] = ACTIONS(2765),
    [anon_sym_BSLASHv] = ACTIONS(2765),
    [anon_sym_BSLASHva] = ACTIONS(2765),
    [anon_sym_BSLASHvp] = ACTIONS(2765),
    [anon_sym_BSLASHc] = ACTIONS(2765),
    [anon_sym_BSLASHcl] = ACTIONS(2765),
    [anon_sym_BSLASHca] = ACTIONS(2765),
    [anon_sym_BSLASHcp] = ACTIONS(2765),
    [anon_sym_BSLASHcd] = ACTIONS(2765),
    [anon_sym_BSLASHmte] = ACTIONS(2765),
    [anon_sym_BSLASHms] = ACTIONS(2765),
    [anon_sym_BSLASHmr] = ACTIONS(2765),
    [anon_sym_BSLASHs] = ACTIONS(2765),
    [anon_sym_BSLASHsr] = ACTIONS(2765),
    [anon_sym_BSLASHr] = ACTIONS(2765),
    [anon_sym_BSLASHsp] = ACTIONS(2765),
    [anon_sym_BSLASHd] = ACTIONS(2765),
    [anon_sym_BSLASHsd] = ACTIONS(2765),
    [anon_sym_BSLASHp] = ACTIONS(2765),
    [anon_sym_BSLASHm] = ACTIONS(2765),
    [anon_sym_BSLASHpo] = ACTIONS(2765),
    [anon_sym_BSLASHpr] = ACTIONS(2765),
    [anon_sym_BSLASHcls] = ACTIONS(2765),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2765),
    [anon_sym_BSLASHpmc] = ACTIONS(2765),
    [anon_sym_BSLASHpmr] = ACTIONS(2765),
    [anon_sym_BSLASHpi] = ACTIONS(2765),
    [anon_sym_BSLASHmi] = ACTIONS(2765),
    [anon_sym_BSLASHnb] = ACTIONS(2765),
    [anon_sym_BSLASHpc] = ACTIONS(2765),
    [anon_sym_BSLASHph] = ACTIONS(2765),
    [anon_sym_BSLASHb] = ACTIONS(2765),
    [anon_sym_BSLASHq] = ACTIONS(2765),
    [anon_sym_BSLASHqr] = ACTIONS(2765),
    [anon_sym_BSLASHqc] = ACTIONS(2765),
    [anon_sym_BSLASHqa] = ACTIONS(2765),
    [anon_sym_BSLASHqm] = ACTIONS(2765),
    [anon_sym_BSLASHqd] = ACTIONS(2765),
    [anon_sym_BSLASHlh] = ACTIONS(2765),
    [anon_sym_BSLASHlf] = ACTIONS(2765),
    [anon_sym_BSLASHli] = ACTIONS(2765),
    [anon_sym_BSLASHlim] = ACTIONS(2765),
    [anon_sym_BSLASHliv] = ACTIONS(2765),
    [anon_sym_BSLASHlik] = ACTIONS(2765),
    [anon_sym_BSLASHlitl] = ACTIONS(2765),
    [anon_sym_BSLASHtr] = ACTIONS(2765),
    [anon_sym_BSLASHf] = ACTIONS(2765),
    [anon_sym_BSLASHfe] = ACTIONS(2765),
    [anon_sym_BSLASHef] = ACTIONS(2765),
    [anon_sym_BSLASHfm] = ACTIONS(2765),
    [anon_sym_BSLASHx] = ACTIONS(2765),
    [anon_sym_BSLASHxt] = ACTIONS(2765),
    [anon_sym_BSLASHrq] = ACTIONS(2765),
    [anon_sym_BSLASHadd] = ACTIONS(2765),
    [anon_sym_BSLASHbk] = ACTIONS(2765),
    [anon_sym_BSLASHdc] = ACTIONS(2765),
    [anon_sym_BSLASHk] = ACTIONS(2765),
    [anon_sym_BSLASHnd] = ACTIONS(2765),
    [anon_sym_BSLASHord] = ACTIONS(2765),
    [anon_sym_BSLASHpn] = ACTIONS(2765),
    [anon_sym_BSLASHpng] = ACTIONS(2765),
    [anon_sym_BSLASHaddpn] = ACTIONS(2765),
    [anon_sym_BSLASHqt] = ACTIONS(2765),
    [anon_sym_BSLASHsig] = ACTIONS(2765),
    [anon_sym_BSLASHsls] = ACTIONS(2765),
    [anon_sym_BSLASHtl] = ACTIONS(2765),
    [anon_sym_BSLASHwj] = ACTIONS(2765),
    [anon_sym_BSLASHem] = ACTIONS(2765),
    [anon_sym_BSLASHbd] = ACTIONS(2765),
    [anon_sym_BSLASHit] = ACTIONS(2765),
    [anon_sym_BSLASHbdit] = ACTIONS(2765),
    [anon_sym_BSLASHno] = ACTIONS(2765),
    [anon_sym_BSLASHsc] = ACTIONS(2765),
    [anon_sym_BSLASHsup] = ACTIONS(2765),
    [anon_sym_BSLASHndx] = ACTIONS(2765),
    [anon_sym_BSLASHpro] = ACTIONS(2765),
    [anon_sym_BSLASHrb] = ACTIONS(2765),
    [anon_sym_BSLASHw] = ACTIONS(2765),
    [anon_sym_BSLASHwg] = ACTIONS(2765),
    [anon_sym_BSLASHwh] = ACTIONS(2765),
    [anon_sym_BSLASHwa] = ACTIONS(2765),
    [anon_sym_BSLASHfig] = ACTIONS(2765),
    [anon_sym_BSLASHjmp] = ACTIONS(2765),
    [anon_sym_BSLASHpb] = ACTIONS(2765),
    [anon_sym_BSLASH] = ACTIONS(2765),
    [sym_milestoneStartTag] = ACTIONS(2765),
    [sym_milestoneEndTag] = ACTIONS(2765),
    [sym_zSpaceTag] = ACTIONS(2765),
    [anon_sym_BSLASHesb] = ACTIONS(2765),
  },
  [414] = {
    [ts_builtin_sym_end] = ACTIONS(2759),
    [aux_sym_text_token1] = ACTIONS(2759),
    [anon_sym_BSLASHref] = ACTIONS(2761),
    [anon_sym_BSLASHsts] = ACTIONS(2761),
    [anon_sym_BSLASHrem] = ACTIONS(2761),
    [anon_sym_BSLASHrestore] = ACTIONS(2761),
    [anon_sym_BSLASHlit] = ACTIONS(2761),
    [anon_sym_BSLASHiqt] = ACTIONS(2761),
    [anon_sym_BSLASHip] = ACTIONS(2761),
    [anon_sym_BSLASHiex] = ACTIONS(2761),
    [anon_sym_BSLASHv] = ACTIONS(2761),
    [anon_sym_BSLASHva] = ACTIONS(2761),
    [anon_sym_BSLASHvp] = ACTIONS(2761),
    [anon_sym_BSLASHc] = ACTIONS(2761),
    [anon_sym_BSLASHcl] = ACTIONS(2761),
    [anon_sym_BSLASHca] = ACTIONS(2761),
    [anon_sym_BSLASHcp] = ACTIONS(2761),
    [anon_sym_BSLASHcd] = ACTIONS(2761),
    [anon_sym_BSLASHmte] = ACTIONS(2761),
    [anon_sym_BSLASHms] = ACTIONS(2761),
    [anon_sym_BSLASHmr] = ACTIONS(2761),
    [anon_sym_BSLASHs] = ACTIONS(2761),
    [anon_sym_BSLASHsr] = ACTIONS(2761),
    [anon_sym_BSLASHr] = ACTIONS(2761),
    [anon_sym_BSLASHsp] = ACTIONS(2761),
    [anon_sym_BSLASHd] = ACTIONS(2761),
    [anon_sym_BSLASHsd] = ACTIONS(2761),
    [anon_sym_BSLASHp] = ACTIONS(2761),
    [anon_sym_BSLASHm] = ACTIONS(2761),
    [anon_sym_BSLASHpo] = ACTIONS(2761),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2761),
    [anon_sym_BSLASHpmo] = ACTIONS(2761),
    [anon_sym_BSLASHpm] = ACTIONS(2761),
    [anon_sym_BSLASHpmc] = ACTIONS(2761),
    [anon_sym_BSLASHpmr] = ACTIONS(2761),
    [anon_sym_BSLASHpi] = ACTIONS(2761),
    [anon_sym_BSLASHmi] = ACTIONS(2761),
    [anon_sym_BSLASHnb] = ACTIONS(2761),
    [anon_sym_BSLASHpc] = ACTIONS(2761),
    [anon_sym_BSLASHph] = ACTIONS(2761),
    [anon_sym_BSLASHb] = ACTIONS(2761),
    [anon_sym_BSLASHq] = ACTIONS(2761),
    [anon_sym_BSLASHqr] = ACTIONS(2761),
    [anon_sym_BSLASHqc] = ACTIONS(2761),
    [anon_sym_BSLASHqa] = ACTIONS(2761),
    [anon_sym_BSLASHqm] = ACTIONS(2761),
    [anon_sym_BSLASHqd] = ACTIONS(2761),
    [anon_sym_BSLASHlh] = ACTIONS(2761),
    [anon_sym_BSLASHlf] = ACTIONS(2761),
    [anon_sym_BSLASHli] = ACTIONS(2761),
    [anon_sym_BSLASHlim] = ACTIONS(2761),
    [anon_sym_BSLASHliv] = ACTIONS(2761),
    [anon_sym_BSLASHlik] = ACTIONS(2761),
    [anon_sym_BSLASHlitl] = ACTIONS(2761),
    [anon_sym_BSLASHtr] = ACTIONS(2761),
    [anon_sym_BSLASHf] = ACTIONS(2761),
    [anon_sym_BSLASHfe] = ACTIONS(2761),
    [anon_sym_BSLASHef] = ACTIONS(2761),
    [anon_sym_BSLASHfm] = ACTIONS(2761),
    [anon_sym_BSLASHx] = ACTIONS(2761),
    [anon_sym_BSLASHxt] = ACTIONS(2761),
    [anon_sym_BSLASHrq] = ACTIONS(2761),
    [anon_sym_BSLASHadd] = ACTIONS(2761),
    [anon_sym_BSLASHbk] = ACTIONS(2761),
    [anon_sym_BSLASHdc] = ACTIONS(2761),
    [anon_sym_BSLASHk] = ACTIONS(2761),
    [anon_sym_BSLASHnd] = ACTIONS(2761),
    [anon_sym_BSLASHord] = ACTIONS(2761),
    [anon_sym_BSLASHpn] = ACTIONS(2761),
    [anon_sym_BSLASHpng] = ACTIONS(2761),
    [anon_sym_BSLASHaddpn] = ACTIONS(2761),
    [anon_sym_BSLASHqt] = ACTIONS(2761),
    [anon_sym_BSLASHsig] = ACTIONS(2761),
    [anon_sym_BSLASHsls] = ACTIONS(2761),
    [anon_sym_BSLASHtl] = ACTIONS(2761),
    [anon_sym_BSLASHwj] = ACTIONS(2761),
    [anon_sym_BSLASHem] = ACTIONS(2761),
    [anon_sym_BSLASHbd] = ACTIONS(2761),
    [anon_sym_BSLASHit] = ACTIONS(2761),
    [anon_sym_BSLASHbdit] = ACTIONS(2761),
    [anon_sym_BSLASHno] = ACTIONS(2761),
    [anon_sym_BSLASHsc] = ACTIONS(2761),
    [anon_sym_BSLASHsup] = ACTIONS(2761),
    [anon_sym_BSLASHndx] = ACTIONS(2761),
    [anon_sym_BSLASHpro] = ACTIONS(2761),
    [anon_sym_BSLASHrb] = ACTIONS(2761),
    [anon_sym_BSLASHw] = ACTIONS(2761),
    [anon_sym_BSLASHwg] = ACTIONS(2761),
    [anon_sym_BSLASHwh] = ACTIONS(2761),
    [anon_sym_BSLASHwa] = ACTIONS(2761),
    [anon_sym_BSLASHfig] = ACTIONS(2761),
    [anon_sym_BSLASHjmp] = ACTIONS(2761),
    [anon_sym_BSLASHpb] = ACTIONS(2761),
    [anon_sym_BSLASH] = ACTIONS(2761),
    [sym_milestoneStartTag] = ACTIONS(2761),
    [sym_milestoneEndTag] = ACTIONS(2761),
    [sym_zSpaceTag] = ACTIONS(2761),
    [anon_sym_BSLASHesb] = ACTIONS(2761),
  },
  [415] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHiqt] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHmr] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHsr] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHlf] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHliv] = ACTIONS(7),
    [anon_sym_BSLASHlik] = ACTIONS(7),
    [anon_sym_BSLASHlitl] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
  },
  [416] = {
    [ts_builtin_sym_end] = ACTIONS(2751),
    [aux_sym_text_token1] = ACTIONS(2751),
    [anon_sym_BSLASHref] = ACTIONS(2753),
    [anon_sym_BSLASHsts] = ACTIONS(2753),
    [anon_sym_BSLASHrem] = ACTIONS(2753),
    [anon_sym_BSLASHrestore] = ACTIONS(2753),
    [anon_sym_BSLASHlit] = ACTIONS(2753),
    [anon_sym_BSLASHiqt] = ACTIONS(2753),
    [anon_sym_BSLASHip] = ACTIONS(2753),
    [anon_sym_BSLASHiex] = ACTIONS(2753),
    [anon_sym_BSLASHv] = ACTIONS(2753),
    [anon_sym_BSLASHva] = ACTIONS(2753),
    [anon_sym_BSLASHvp] = ACTIONS(2753),
    [anon_sym_BSLASHc] = ACTIONS(2753),
    [anon_sym_BSLASHcl] = ACTIONS(2753),
    [anon_sym_BSLASHca] = ACTIONS(2753),
    [anon_sym_BSLASHcp] = ACTIONS(2753),
    [anon_sym_BSLASHcd] = ACTIONS(2753),
    [anon_sym_BSLASHmte] = ACTIONS(2753),
    [anon_sym_BSLASHms] = ACTIONS(2753),
    [anon_sym_BSLASHmr] = ACTIONS(2753),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHsr] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(2753),
    [anon_sym_BSLASHsp] = ACTIONS(2753),
    [anon_sym_BSLASHd] = ACTIONS(2753),
    [anon_sym_BSLASHsd] = ACTIONS(2753),
    [anon_sym_BSLASHp] = ACTIONS(2753),
    [anon_sym_BSLASHm] = ACTIONS(2753),
    [anon_sym_BSLASHpo] = ACTIONS(2753),
    [anon_sym_BSLASHpr] = ACTIONS(2753),
    [anon_sym_BSLASHcls] = ACTIONS(2753),
    [anon_sym_BSLASHpmo] = ACTIONS(2753),
    [anon_sym_BSLASHpm] = ACTIONS(2753),
    [anon_sym_BSLASHpmc] = ACTIONS(2753),
    [anon_sym_BSLASHpmr] = ACTIONS(2753),
    [anon_sym_BSLASHpi] = ACTIONS(2753),
    [anon_sym_BSLASHmi] = ACTIONS(2753),
    [anon_sym_BSLASHnb] = ACTIONS(2753),
    [anon_sym_BSLASHpc] = ACTIONS(2753),
    [anon_sym_BSLASHph] = ACTIONS(2753),
    [anon_sym_BSLASHb] = ACTIONS(2753),
    [anon_sym_BSLASHq] = ACTIONS(2753),
    [anon_sym_BSLASHqr] = ACTIONS(2753),
    [anon_sym_BSLASHqc] = ACTIONS(2753),
    [anon_sym_BSLASHqa] = ACTIONS(2753),
    [anon_sym_BSLASHqm] = ACTIONS(2753),
    [anon_sym_BSLASHqd] = ACTIONS(2753),
    [anon_sym_BSLASHlh] = ACTIONS(2753),
    [anon_sym_BSLASHlf] = ACTIONS(2753),
    [anon_sym_BSLASHli] = ACTIONS(2753),
    [anon_sym_BSLASHlim] = ACTIONS(2753),
    [anon_sym_BSLASHliv] = ACTIONS(2753),
    [anon_sym_BSLASHlik] = ACTIONS(2753),
    [anon_sym_BSLASHlitl] = ACTIONS(2753),
    [anon_sym_BSLASHtr] = ACTIONS(2753),
    [anon_sym_BSLASHf] = ACTIONS(2753),
    [anon_sym_BSLASHfe] = ACTIONS(2753),
    [anon_sym_BSLASHef] = ACTIONS(2753),
    [anon_sym_BSLASHfm] = ACTIONS(2753),
    [anon_sym_BSLASHx] = ACTIONS(2753),
    [anon_sym_BSLASHxt] = ACTIONS(2753),
    [anon_sym_BSLASHrq] = ACTIONS(2753),
    [anon_sym_BSLASHadd] = ACTIONS(2753),
    [anon_sym_BSLASHbk] = ACTIONS(2753),
    [anon_sym_BSLASHdc] = ACTIONS(2753),
    [anon_sym_BSLASHk] = ACTIONS(2753),
    [anon_sym_BSLASHnd] = ACTIONS(2753),
    [anon_sym_BSLASHord] = ACTIONS(2753),
    [anon_sym_BSLASHpn] = ACTIONS(2753),
    [anon_sym_BSLASHpng] = ACTIONS(2753),
    [anon_sym_BSLASHaddpn] = ACTIONS(2753),
    [anon_sym_BSLASHqt] = ACTIONS(2753),
    [anon_sym_BSLASHsig] = ACTIONS(2753),
    [anon_sym_BSLASHsls] = ACTIONS(2753),
    [anon_sym_BSLASHtl] = ACTIONS(2753),
    [anon_sym_BSLASHwj] = ACTIONS(2753),
    [anon_sym_BSLASHem] = ACTIONS(2753),
    [anon_sym_BSLASHbd] = ACTIONS(2753),
    [anon_sym_BSLASHit] = ACTIONS(2753),
    [anon_sym_BSLASHbdit] = ACTIONS(2753),
    [anon_sym_BSLASHno] = ACTIONS(2753),
    [anon_sym_BSLASHsc] = ACTIONS(2753),
    [anon_sym_BSLASHsup] = ACTIONS(2753),
    [anon_sym_BSLASHndx] = ACTIONS(2753),
    [anon_sym_BSLASHpro] = ACTIONS(2753),
    [anon_sym_BSLASHrb] = ACTIONS(2753),
    [anon_sym_BSLASHw] = ACTIONS(2753),
    [anon_sym_BSLASHwg] = ACTIONS(2753),
    [anon_sym_BSLASHwh] = ACTIONS(2753),
    [anon_sym_BSLASHwa] = ACTIONS(2753),
    [anon_sym_BSLASHfig] = ACTIONS(2753),
    [anon_sym_BSLASHjmp] = ACTIONS(2753),
    [anon_sym_BSLASHpb] = ACTIONS(2753),
    [anon_sym_BSLASH] = ACTIONS(2753),
    [sym_milestoneStartTag] = ACTIONS(2753),
    [sym_milestoneEndTag] = ACTIONS(2753),
    [sym_zSpaceTag] = ACTIONS(2753),
    [anon_sym_BSLASHesb] = ACTIONS(2753),
  },
  [417] = {
    [ts_builtin_sym_end] = ACTIONS(2739),
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHref] = ACTIONS(2741),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHiqt] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHiex] = ACTIONS(2741),
    [anon_sym_BSLASHv] = ACTIONS(2741),
    [anon_sym_BSLASHva] = ACTIONS(2741),
    [anon_sym_BSLASHvp] = ACTIONS(2741),
    [anon_sym_BSLASHc] = ACTIONS(2741),
    [anon_sym_BSLASHcl] = ACTIONS(2741),
    [anon_sym_BSLASHca] = ACTIONS(2741),
    [anon_sym_BSLASHcp] = ACTIONS(2741),
    [anon_sym_BSLASHcd] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHmr] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHsr] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHlf] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHliv] = ACTIONS(2741),
    [anon_sym_BSLASHlik] = ACTIONS(2741),
    [anon_sym_BSLASHlitl] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHx] = ACTIONS(2741),
    [anon_sym_BSLASHxt] = ACTIONS(2741),
    [anon_sym_BSLASHrq] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesb] = ACTIONS(2741),
  },
  [418] = {
    [ts_builtin_sym_end] = ACTIONS(69),
    [aux_sym_text_token1] = ACTIONS(69),
    [anon_sym_BSLASHref] = ACTIONS(71),
    [anon_sym_BSLASHsts] = ACTIONS(71),
    [anon_sym_BSLASHrem] = ACTIONS(71),
    [anon_sym_BSLASHrestore] = ACTIONS(71),
    [anon_sym_BSLASHlit] = ACTIONS(71),
    [anon_sym_BSLASHip] = ACTIONS(71),
    [anon_sym_BSLASHiex] = ACTIONS(71),
    [anon_sym_BSLASHv] = ACTIONS(71),
    [anon_sym_BSLASHva] = ACTIONS(71),
    [anon_sym_BSLASHvp] = ACTIONS(71),
    [anon_sym_BSLASHc] = ACTIONS(71),
    [anon_sym_BSLASHcl] = ACTIONS(71),
    [anon_sym_BSLASHca] = ACTIONS(71),
    [anon_sym_BSLASHcp] = ACTIONS(71),
    [anon_sym_BSLASHcd] = ACTIONS(71),
    [anon_sym_BSLASHmte] = ACTIONS(71),
    [anon_sym_BSLASHms] = ACTIONS(71),
    [anon_sym_BSLASHmr] = ACTIONS(71),
    [anon_sym_BSLASHs] = ACTIONS(71),
    [anon_sym_BSLASHsr] = ACTIONS(71),
    [anon_sym_BSLASHr] = ACTIONS(71),
    [anon_sym_BSLASHsp] = ACTIONS(71),
    [anon_sym_BSLASHd] = ACTIONS(71),
    [anon_sym_BSLASHsd] = ACTIONS(71),
    [anon_sym_BSLASHp] = ACTIONS(71),
    [anon_sym_BSLASHm] = ACTIONS(71),
    [anon_sym_BSLASHpo] = ACTIONS(71),
    [anon_sym_BSLASHpr] = ACTIONS(71),
    [anon_sym_BSLASHcls] = ACTIONS(71),
    [anon_sym_BSLASHpmo] = ACTIONS(71),
    [anon_sym_BSLASHpm] = ACTIONS(71),
    [anon_sym_BSLASHpmc] = ACTIONS(71),
    [anon_sym_BSLASHpmr] = ACTIONS(71),
    [anon_sym_BSLASHpi] = ACTIONS(71),
    [anon_sym_BSLASHmi] = ACTIONS(71),
    [anon_sym_BSLASHnb] = ACTIONS(71),
    [anon_sym_BSLASHpc] = ACTIONS(71),
    [anon_sym_BSLASHph] = ACTIONS(71),
    [anon_sym_BSLASHb] = ACTIONS(71),
    [anon_sym_BSLASHq] = ACTIONS(71),
    [anon_sym_BSLASHqr] = ACTIONS(71),
    [anon_sym_BSLASHqc] = ACTIONS(71),
    [anon_sym_BSLASHqa] = ACTIONS(71),
    [anon_sym_BSLASHqm] = ACTIONS(71),
    [anon_sym_BSLASHqd] = ACTIONS(71),
    [anon_sym_BSLASHlh] = ACTIONS(71),
    [anon_sym_BSLASHlf] = ACTIONS(71),
    [anon_sym_BSLASHli] = ACTIONS(71),
    [anon_sym_BSLASHlim] = ACTIONS(71),
    [anon_sym_BSLASHliv] = ACTIONS(71),
    [anon_sym_BSLASHlik] = ACTIONS(71),
    [anon_sym_BSLASHlitl] = ACTIONS(71),
    [anon_sym_BSLASHtr] = ACTIONS(71),
    [anon_sym_BSLASHf] = ACTIONS(71),
    [anon_sym_BSLASHfe] = ACTIONS(71),
    [anon_sym_BSLASHef] = ACTIONS(71),
    [anon_sym_BSLASHfm] = ACTIONS(71),
    [anon_sym_BSLASHx] = ACTIONS(71),
    [anon_sym_BSLASHxt] = ACTIONS(71),
    [anon_sym_BSLASHrq] = ACTIONS(71),
    [anon_sym_BSLASHadd] = ACTIONS(71),
    [anon_sym_BSLASHbk] = ACTIONS(71),
    [anon_sym_BSLASHdc] = ACTIONS(71),
    [anon_sym_BSLASHk] = ACTIONS(71),
    [anon_sym_BSLASHnd] = ACTIONS(71),
    [anon_sym_BSLASHord] = ACTIONS(71),
    [anon_sym_BSLASHpn] = ACTIONS(71),
    [anon_sym_BSLASHpng] = ACTIONS(71),
    [anon_sym_BSLASHaddpn] = ACTIONS(71),
    [anon_sym_BSLASHqt] = ACTIONS(71),
    [anon_sym_BSLASHsig] = ACTIONS(71),
    [anon_sym_BSLASHsls] = ACTIONS(71),
    [anon_sym_BSLASHtl] = ACTIONS(71),
    [anon_sym_BSLASHwj] = ACTIONS(71),
    [anon_sym_BSLASHem] = ACTIONS(71),
    [anon_sym_BSLASHbd] = ACTIONS(71),
    [anon_sym_BSLASHit] = ACTIONS(71),
    [anon_sym_BSLASHbdit] = ACTIONS(71),
    [anon_sym_BSLASHno] = ACTIONS(71),
    [anon_sym_BSLASHsc] = ACTIONS(71),
    [anon_sym_BSLASHsup] = ACTIONS(71),
    [anon_sym_BSLASHndx] = ACTIONS(71),
    [anon_sym_BSLASHpro] = ACTIONS(71),
    [anon_sym_BSLASHrb] = ACTIONS(71),
    [anon_sym_BSLASHw] = ACTIONS(71),
    [anon_sym_BSLASHwg] = ACTIONS(71),
    [anon_sym_BSLASHwh] = ACTIONS(71),
    [anon_sym_BSLASHwa] = ACTIONS(71),
    [anon_sym_BSLASHfig] = ACTIONS(71),
    [anon_sym_BSLASHjmp] = ACTIONS(71),
    [anon_sym_BSLASHpb] = ACTIONS(71),
    [anon_sym_BSLASH] = ACTIONS(71),
    [sym_milestoneStartTag] = ACTIONS(71),
    [sym_milestoneEndTag] = ACTIONS(71),
    [sym_zSpaceTag] = ACTIONS(71),
    [anon_sym_BSLASHesb] = ACTIONS(71),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(77),
    [aux_sym_text_token1] = ACTIONS(77),
    [anon_sym_BSLASHref] = ACTIONS(79),
    [anon_sym_BSLASHsts] = ACTIONS(79),
    [anon_sym_BSLASHrem] = ACTIONS(79),
    [anon_sym_BSLASHrestore] = ACTIONS(79),
    [anon_sym_BSLASHlit] = ACTIONS(79),
    [anon_sym_BSLASHip] = ACTIONS(79),
    [anon_sym_BSLASHiex] = ACTIONS(79),
    [anon_sym_BSLASHv] = ACTIONS(79),
    [anon_sym_BSLASHva] = ACTIONS(79),
    [anon_sym_BSLASHvp] = ACTIONS(79),
    [anon_sym_BSLASHc] = ACTIONS(79),
    [anon_sym_BSLASHcl] = ACTIONS(79),
    [anon_sym_BSLASHca] = ACTIONS(79),
    [anon_sym_BSLASHcp] = ACTIONS(79),
    [anon_sym_BSLASHcd] = ACTIONS(79),
    [anon_sym_BSLASHmte] = ACTIONS(79),
    [anon_sym_BSLASHms] = ACTIONS(79),
    [anon_sym_BSLASHmr] = ACTIONS(79),
    [anon_sym_BSLASHs] = ACTIONS(79),
    [anon_sym_BSLASHsr] = ACTIONS(79),
    [anon_sym_BSLASHr] = ACTIONS(79),
    [anon_sym_BSLASHsp] = ACTIONS(79),
    [anon_sym_BSLASHd] = ACTIONS(79),
    [anon_sym_BSLASHsd] = ACTIONS(79),
    [anon_sym_BSLASHp] = ACTIONS(79),
    [anon_sym_BSLASHm] = ACTIONS(79),
    [anon_sym_BSLASHpo] = ACTIONS(79),
    [anon_sym_BSLASHpr] = ACTIONS(79),
    [anon_sym_BSLASHcls] = ACTIONS(79),
    [anon_sym_BSLASHpmo] = ACTIONS(79),
    [anon_sym_BSLASHpm] = ACTIONS(79),
    [anon_sym_BSLASHpmc] = ACTIONS(79),
    [anon_sym_BSLASHpmr] = ACTIONS(79),
    [anon_sym_BSLASHpi] = ACTIONS(79),
    [anon_sym_BSLASHmi] = ACTIONS(79),
    [anon_sym_BSLASHnb] = ACTIONS(79),
    [anon_sym_BSLASHpc] = ACTIONS(79),
    [anon_sym_BSLASHph] = ACTIONS(79),
    [anon_sym_BSLASHb] = ACTIONS(79),
    [anon_sym_BSLASHq] = ACTIONS(79),
    [anon_sym_BSLASHqr] = ACTIONS(79),
    [anon_sym_BSLASHqc] = ACTIONS(79),
    [anon_sym_BSLASHqa] = ACTIONS(79),
    [anon_sym_BSLASHqm] = ACTIONS(79),
    [anon_sym_BSLASHqd] = ACTIONS(79),
    [anon_sym_BSLASHlh] = ACTIONS(79),
    [anon_sym_BSLASHlf] = ACTIONS(79),
    [anon_sym_BSLASHli] = ACTIONS(79),
    [anon_sym_BSLASHlim] = ACTIONS(79),
    [anon_sym_BSLASHliv] = ACTIONS(79),
    [anon_sym_BSLASHlik] = ACTIONS(79),
    [anon_sym_BSLASHlitl] = ACTIONS(79),
    [anon_sym_BSLASHtr] = ACTIONS(79),
    [anon_sym_BSLASHf] = ACTIONS(79),
    [anon_sym_BSLASHfe] = ACTIONS(79),
    [anon_sym_BSLASHef] = ACTIONS(79),
    [anon_sym_BSLASHfm] = ACTIONS(79),
    [anon_sym_BSLASHx] = ACTIONS(79),
    [anon_sym_BSLASHxt] = ACTIONS(79),
    [anon_sym_BSLASHrq] = ACTIONS(79),
    [anon_sym_BSLASHadd] = ACTIONS(79),
    [anon_sym_BSLASHbk] = ACTIONS(79),
    [anon_sym_BSLASHdc] = ACTIONS(79),
    [anon_sym_BSLASHk] = ACTIONS(79),
    [anon_sym_BSLASHnd] = ACTIONS(79),
    [anon_sym_BSLASHord] = ACTIONS(79),
    [anon_sym_BSLASHpn] = ACTIONS(79),
    [anon_sym_BSLASHpng] = ACTIONS(79),
    [anon_sym_BSLASHaddpn] = ACTIONS(79),
    [anon_sym_BSLASHqt] = ACTIONS(79),
    [anon_sym_BSLASHsig] = ACTIONS(79),
    [anon_sym_BSLASHsls] = ACTIONS(79),
    [anon_sym_BSLASHtl] = ACTIONS(79),
    [anon_sym_BSLASHwj] = ACTIONS(79),
    [anon_sym_BSLASHem] = ACTIONS(79),
    [anon_sym_BSLASHbd] = ACTIONS(79),
    [anon_sym_BSLASHit] = ACTIONS(79),
    [anon_sym_BSLASHbdit] = ACTIONS(79),
    [anon_sym_BSLASHno] = ACTIONS(79),
    [anon_sym_BSLASHsc] = ACTIONS(79),
    [anon_sym_BSLASHsup] = ACTIONS(79),
    [anon_sym_BSLASHndx] = ACTIONS(79),
    [anon_sym_BSLASHpro] = ACTIONS(79),
    [anon_sym_BSLASHrb] = ACTIONS(79),
    [anon_sym_BSLASHw] = ACTIONS(79),
    [anon_sym_BSLASHwg] = ACTIONS(79),
    [anon_sym_BSLASHwh] = ACTIONS(79),
    [anon_sym_BSLASHwa] = ACTIONS(79),
    [anon_sym_BSLASHfig] = ACTIONS(79),
    [anon_sym_BSLASHjmp] = ACTIONS(79),
    [anon_sym_BSLASHpb] = ACTIONS(79),
    [anon_sym_BSLASH] = ACTIONS(79),
    [sym_milestoneStartTag] = ACTIONS(79),
    [sym_milestoneEndTag] = ACTIONS(79),
    [sym_zSpaceTag] = ACTIONS(79),
    [anon_sym_BSLASHesb] = ACTIONS(79),
  },
  [420] = {
    [ts_builtin_sym_end] = ACTIONS(53),
    [aux_sym_text_token1] = ACTIONS(53),
    [anon_sym_BSLASHref] = ACTIONS(55),
    [anon_sym_BSLASHsts] = ACTIONS(55),
    [anon_sym_BSLASHrem] = ACTIONS(55),
    [anon_sym_BSLASHrestore] = ACTIONS(55),
    [anon_sym_BSLASHlit] = ACTIONS(55),
    [anon_sym_BSLASHip] = ACTIONS(55),
    [anon_sym_BSLASHiex] = ACTIONS(55),
    [anon_sym_BSLASHv] = ACTIONS(55),
    [anon_sym_BSLASHva] = ACTIONS(55),
    [anon_sym_BSLASHvp] = ACTIONS(55),
    [anon_sym_BSLASHc] = ACTIONS(55),
    [anon_sym_BSLASHcl] = ACTIONS(55),
    [anon_sym_BSLASHca] = ACTIONS(55),
    [anon_sym_BSLASHcp] = ACTIONS(55),
    [anon_sym_BSLASHcd] = ACTIONS(55),
    [anon_sym_BSLASHmte] = ACTIONS(55),
    [anon_sym_BSLASHms] = ACTIONS(55),
    [anon_sym_BSLASHmr] = ACTIONS(55),
    [anon_sym_BSLASHs] = ACTIONS(55),
    [anon_sym_BSLASHsr] = ACTIONS(55),
    [anon_sym_BSLASHr] = ACTIONS(55),
    [anon_sym_BSLASHsp] = ACTIONS(55),
    [anon_sym_BSLASHd] = ACTIONS(55),
    [anon_sym_BSLASHsd] = ACTIONS(55),
    [anon_sym_BSLASHp] = ACTIONS(55),
    [anon_sym_BSLASHm] = ACTIONS(55),
    [anon_sym_BSLASHpo] = ACTIONS(55),
    [anon_sym_BSLASHpr] = ACTIONS(55),
    [anon_sym_BSLASHcls] = ACTIONS(55),
    [anon_sym_BSLASHpmo] = ACTIONS(55),
    [anon_sym_BSLASHpm] = ACTIONS(55),
    [anon_sym_BSLASHpmc] = ACTIONS(55),
    [anon_sym_BSLASHpmr] = ACTIONS(55),
    [anon_sym_BSLASHpi] = ACTIONS(55),
    [anon_sym_BSLASHmi] = ACTIONS(55),
    [anon_sym_BSLASHnb] = ACTIONS(55),
    [anon_sym_BSLASHpc] = ACTIONS(55),
    [anon_sym_BSLASHph] = ACTIONS(55),
    [anon_sym_BSLASHb] = ACTIONS(55),
    [anon_sym_BSLASHq] = ACTIONS(55),
    [anon_sym_BSLASHqr] = ACTIONS(55),
    [anon_sym_BSLASHqc] = ACTIONS(55),
    [anon_sym_BSLASHqa] = ACTIONS(55),
    [anon_sym_BSLASHqm] = ACTIONS(55),
    [anon_sym_BSLASHqd] = ACTIONS(55),
    [anon_sym_BSLASHlh] = ACTIONS(55),
    [anon_sym_BSLASHlf] = ACTIONS(55),
    [anon_sym_BSLASHli] = ACTIONS(55),
    [anon_sym_BSLASHlim] = ACTIONS(55),
    [anon_sym_BSLASHliv] = ACTIONS(55),
    [anon_sym_BSLASHlik] = ACTIONS(55),
    [anon_sym_BSLASHlitl] = ACTIONS(55),
    [anon_sym_BSLASHtr] = ACTIONS(55),
    [anon_sym_BSLASHf] = ACTIONS(55),
    [anon_sym_BSLASHfe] = ACTIONS(55),
    [anon_sym_BSLASHef] = ACTIONS(55),
    [anon_sym_BSLASHfm] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHxt] = ACTIONS(55),
    [anon_sym_BSLASHrq] = ACTIONS(55),
    [anon_sym_BSLASHadd] = ACTIONS(55),
    [anon_sym_BSLASHbk] = ACTIONS(55),
    [anon_sym_BSLASHdc] = ACTIONS(55),
    [anon_sym_BSLASHk] = ACTIONS(55),
    [anon_sym_BSLASHnd] = ACTIONS(55),
    [anon_sym_BSLASHord] = ACTIONS(55),
    [anon_sym_BSLASHpn] = ACTIONS(55),
    [anon_sym_BSLASHpng] = ACTIONS(55),
    [anon_sym_BSLASHaddpn] = ACTIONS(55),
    [anon_sym_BSLASHqt] = ACTIONS(55),
    [anon_sym_BSLASHsig] = ACTIONS(55),
    [anon_sym_BSLASHsls] = ACTIONS(55),
    [anon_sym_BSLASHtl] = ACTIONS(55),
    [anon_sym_BSLASHwj] = ACTIONS(55),
    [anon_sym_BSLASHem] = ACTIONS(55),
    [anon_sym_BSLASHbd] = ACTIONS(55),
    [anon_sym_BSLASHit] = ACTIONS(55),
    [anon_sym_BSLASHbdit] = ACTIONS(55),
    [anon_sym_BSLASHno] = ACTIONS(55),
    [anon_sym_BSLASHsc] = ACTIONS(55),
    [anon_sym_BSLASHsup] = ACTIONS(55),
    [anon_sym_BSLASHndx] = ACTIONS(55),
    [anon_sym_BSLASHpro] = ACTIONS(55),
    [anon_sym_BSLASHrb] = ACTIONS(55),
    [anon_sym_BSLASHw] = ACTIONS(55),
    [anon_sym_BSLASHwg] = ACTIONS(55),
    [anon_sym_BSLASHwh] = ACTIONS(55),
    [anon_sym_BSLASHwa] = ACTIONS(55),
    [anon_sym_BSLASHfig] = ACTIONS(55),
    [anon_sym_BSLASHjmp] = ACTIONS(55),
    [anon_sym_BSLASHpb] = ACTIONS(55),
    [anon_sym_BSLASH] = ACTIONS(55),
    [sym_milestoneStartTag] = ACTIONS(55),
    [sym_milestoneEndTag] = ACTIONS(55),
    [sym_zSpaceTag] = ACTIONS(55),
    [anon_sym_BSLASHesb] = ACTIONS(55),
  },
  [421] = {
    [sym_text] = STATE(421),
    [sym_add] = STATE(421),
    [sym_bk] = STATE(421),
    [sym_dc] = STATE(421),
    [sym_k] = STATE(421),
    [sym_nd] = STATE(421),
    [sym_ord] = STATE(421),
    [sym_pn] = STATE(421),
    [sym_png] = STATE(421),
    [sym_addpn] = STATE(421),
    [sym_qt] = STATE(421),
    [sym_sig] = STATE(421),
    [sym_sls] = STATE(421),
    [sym_tl] = STATE(421),
    [sym_wj] = STATE(421),
    [sym_em] = STATE(421),
    [sym_bd] = STATE(421),
    [sym_it] = STATE(421),
    [sym_bdit] = STATE(421),
    [sym_no] = STATE(421),
    [sym_sc] = STATE(421),
    [sym_sup] = STATE(421),
    [sym_ndx] = STATE(421),
    [sym_pro] = STATE(421),
    [sym_rb] = STATE(421),
    [sym_w] = STATE(421),
    [sym_wg] = STATE(421),
    [sym_wh] = STATE(421),
    [sym_wa] = STATE(421),
    [sym__characterMarker] = STATE(421),
    [sym_jmp] = STATE(421),
    [aux_sym_rem_repeat1] = STATE(421),
    [ts_builtin_sym_end] = ACTIONS(3545),
    [aux_sym_text_token1] = ACTIONS(5746),
    [anon_sym_BSLASHusfm] = ACTIONS(3550),
    [anon_sym_BSLASHide] = ACTIONS(3550),
    [anon_sym_BSLASHref] = ACTIONS(3550),
    [anon_sym_BSLASHh] = ACTIONS(3550),
    [anon_sym_BSLASHtoc] = ACTIONS(3550),
    [anon_sym_BSLASHtoca] = ACTIONS(3550),
    [anon_sym_BSLASHsts] = ACTIONS(3550),
    [anon_sym_BSLASHrem] = ACTIONS(3550),
    [anon_sym_BSLASHrestore] = ACTIONS(3550),
    [anon_sym_BSLASHlit] = ACTIONS(3550),
    [anon_sym_BSLASHimt] = ACTIONS(3550),
    [anon_sym_BSLASHimte] = ACTIONS(3550),
    [anon_sym_BSLASHis] = ACTIONS(3550),
    [anon_sym_BSLASHio] = ACTIONS(3550),
    [anon_sym_BSLASHiot] = ACTIONS(3550),
    [anon_sym_BSLASHip] = ACTIONS(3550),
    [anon_sym_BSLASHim] = ACTIONS(3550),
    [anon_sym_BSLASHipi] = ACTIONS(3550),
    [anon_sym_BSLASHimi] = ACTIONS(3550),
    [anon_sym_BSLASHili] = ACTIONS(3550),
    [anon_sym_BSLASHipq] = ACTIONS(3550),
    [anon_sym_BSLASHimq] = ACTIONS(3550),
    [anon_sym_BSLASHipr] = ACTIONS(3550),
    [anon_sym_BSLASHib] = ACTIONS(3550),
    [anon_sym_BSLASHiq] = ACTIONS(3550),
    [anon_sym_BSLASHie] = ACTIONS(3550),
    [anon_sym_BSLASHiex] = ACTIONS(3550),
    [anon_sym_BSLASHc] = ACTIONS(3550),
    [anon_sym_BSLASHcl] = ACTIONS(3550),
    [anon_sym_BSLASHmt] = ACTIONS(3550),
    [anon_sym_BSLASHadd] = ACTIONS(5749),
    [anon_sym_BSLASHbk] = ACTIONS(5752),
    [anon_sym_BSLASHdc] = ACTIONS(5755),
    [anon_sym_BSLASHk] = ACTIONS(5758),
    [anon_sym_BSLASHnd] = ACTIONS(5761),
    [anon_sym_BSLASHord] = ACTIONS(5764),
    [anon_sym_BSLASHpn] = ACTIONS(5767),
    [anon_sym_BSLASHpng] = ACTIONS(5770),
    [anon_sym_BSLASHaddpn] = ACTIONS(5773),
    [anon_sym_BSLASHqt] = ACTIONS(5776),
    [anon_sym_BSLASHsig] = ACTIONS(5779),
    [anon_sym_BSLASHsls] = ACTIONS(5782),
    [anon_sym_BSLASHtl] = ACTIONS(5785),
    [anon_sym_BSLASHwj] = ACTIONS(5788),
    [anon_sym_BSLASHem] = ACTIONS(5791),
    [anon_sym_BSLASHbd] = ACTIONS(5794),
    [anon_sym_BSLASHit] = ACTIONS(5797),
    [anon_sym_BSLASHbdit] = ACTIONS(5800),
    [anon_sym_BSLASHno] = ACTIONS(5803),
    [anon_sym_BSLASHsc] = ACTIONS(5806),
    [anon_sym_BSLASHsup] = ACTIONS(5809),
    [anon_sym_BSLASHndx] = ACTIONS(5812),
    [anon_sym_BSLASHpro] = ACTIONS(5815),
    [anon_sym_BSLASHrb] = ACTIONS(5818),
    [anon_sym_BSLASHw] = ACTIONS(5821),
    [anon_sym_BSLASHwg] = ACTIONS(5824),
    [anon_sym_BSLASHwh] = ACTIONS(5827),
    [anon_sym_BSLASHwa] = ACTIONS(5830),
    [anon_sym_BSLASHjmp] = ACTIONS(5833),
    [anon_sym_BSLASH] = ACTIONS(3550),
    [sym_milestoneStartTag] = ACTIONS(3550),
    [sym_milestoneEndTag] = ACTIONS(3550),
    [sym_zSpaceTag] = ACTIONS(3550),
    [anon_sym_BSLASHesb] = ACTIONS(3550),
  },
  [422] = {
    [sym_text] = STATE(421),
    [sym_add] = STATE(421),
    [sym_bk] = STATE(421),
    [sym_dc] = STATE(421),
    [sym_k] = STATE(421),
    [sym_nd] = STATE(421),
    [sym_ord] = STATE(421),
    [sym_pn] = STATE(421),
    [sym_png] = STATE(421),
    [sym_addpn] = STATE(421),
    [sym_qt] = STATE(421),
    [sym_sig] = STATE(421),
    [sym_sls] = STATE(421),
    [sym_tl] = STATE(421),
    [sym_wj] = STATE(421),
    [sym_em] = STATE(421),
    [sym_bd] = STATE(421),
    [sym_it] = STATE(421),
    [sym_bdit] = STATE(421),
    [sym_no] = STATE(421),
    [sym_sc] = STATE(421),
    [sym_sup] = STATE(421),
    [sym_ndx] = STATE(421),
    [sym_pro] = STATE(421),
    [sym_rb] = STATE(421),
    [sym_w] = STATE(421),
    [sym_wg] = STATE(421),
    [sym_wh] = STATE(421),
    [sym_wa] = STATE(421),
    [sym__characterMarker] = STATE(421),
    [sym_jmp] = STATE(421),
    [aux_sym_rem_repeat1] = STATE(421),
    [ts_builtin_sym_end] = ACTIONS(3541),
    [aux_sym_text_token1] = ACTIONS(5836),
    [anon_sym_BSLASHusfm] = ACTIONS(3543),
    [anon_sym_BSLASHide] = ACTIONS(3543),
    [anon_sym_BSLASHref] = ACTIONS(3543),
    [anon_sym_BSLASHh] = ACTIONS(3543),
    [anon_sym_BSLASHtoc] = ACTIONS(3543),
    [anon_sym_BSLASHtoca] = ACTIONS(3543),
    [anon_sym_BSLASHsts] = ACTIONS(3543),
    [anon_sym_BSLASHrem] = ACTIONS(3543),
    [anon_sym_BSLASHrestore] = ACTIONS(3543),
    [anon_sym_BSLASHlit] = ACTIONS(3543),
    [anon_sym_BSLASHimt] = ACTIONS(3543),
    [anon_sym_BSLASHimte] = ACTIONS(3543),
    [anon_sym_BSLASHis] = ACTIONS(3543),
    [anon_sym_BSLASHio] = ACTIONS(3543),
    [anon_sym_BSLASHiot] = ACTIONS(3543),
    [anon_sym_BSLASHip] = ACTIONS(3543),
    [anon_sym_BSLASHim] = ACTIONS(3543),
    [anon_sym_BSLASHipi] = ACTIONS(3543),
    [anon_sym_BSLASHimi] = ACTIONS(3543),
    [anon_sym_BSLASHili] = ACTIONS(3543),
    [anon_sym_BSLASHipq] = ACTIONS(3543),
    [anon_sym_BSLASHimq] = ACTIONS(3543),
    [anon_sym_BSLASHipr] = ACTIONS(3543),
    [anon_sym_BSLASHib] = ACTIONS(3543),
    [anon_sym_BSLASHiq] = ACTIONS(3543),
    [anon_sym_BSLASHie] = ACTIONS(3543),
    [anon_sym_BSLASHiex] = ACTIONS(3543),
    [anon_sym_BSLASHc] = ACTIONS(3543),
    [anon_sym_BSLASHcl] = ACTIONS(3543),
    [anon_sym_BSLASHmt] = ACTIONS(3543),
    [anon_sym_BSLASHadd] = ACTIONS(5838),
    [anon_sym_BSLASHbk] = ACTIONS(5840),
    [anon_sym_BSLASHdc] = ACTIONS(5842),
    [anon_sym_BSLASHk] = ACTIONS(5844),
    [anon_sym_BSLASHnd] = ACTIONS(5846),
    [anon_sym_BSLASHord] = ACTIONS(5848),
    [anon_sym_BSLASHpn] = ACTIONS(5850),
    [anon_sym_BSLASHpng] = ACTIONS(5852),
    [anon_sym_BSLASHaddpn] = ACTIONS(5854),
    [anon_sym_BSLASHqt] = ACTIONS(5856),
    [anon_sym_BSLASHsig] = ACTIONS(5858),
    [anon_sym_BSLASHsls] = ACTIONS(5860),
    [anon_sym_BSLASHtl] = ACTIONS(5862),
    [anon_sym_BSLASHwj] = ACTIONS(5864),
    [anon_sym_BSLASHem] = ACTIONS(5866),
    [anon_sym_BSLASHbd] = ACTIONS(5868),
    [anon_sym_BSLASHit] = ACTIONS(5870),
    [anon_sym_BSLASHbdit] = ACTIONS(5872),
    [anon_sym_BSLASHno] = ACTIONS(5874),
    [anon_sym_BSLASHsc] = ACTIONS(5876),
    [anon_sym_BSLASHsup] = ACTIONS(5878),
    [anon_sym_BSLASHndx] = ACTIONS(5880),
    [anon_sym_BSLASHpro] = ACTIONS(5882),
    [anon_sym_BSLASHrb] = ACTIONS(5884),
    [anon_sym_BSLASHw] = ACTIONS(5886),
    [anon_sym_BSLASHwg] = ACTIONS(5888),
    [anon_sym_BSLASHwh] = ACTIONS(5890),
    [anon_sym_BSLASHwa] = ACTIONS(5892),
    [anon_sym_BSLASHjmp] = ACTIONS(5894),
    [anon_sym_BSLASH] = ACTIONS(3543),
    [sym_milestoneStartTag] = ACTIONS(3543),
    [sym_milestoneEndTag] = ACTIONS(3543),
    [sym_zSpaceTag] = ACTIONS(3543),
    [anon_sym_BSLASHesb] = ACTIONS(3543),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(65),
    [aux_sym_text_token1] = ACTIONS(65),
    [anon_sym_BSLASHref] = ACTIONS(67),
    [anon_sym_BSLASHsts] = ACTIONS(67),
    [anon_sym_BSLASHrem] = ACTIONS(67),
    [anon_sym_BSLASHrestore] = ACTIONS(67),
    [anon_sym_BSLASHlit] = ACTIONS(67),
    [anon_sym_BSLASHip] = ACTIONS(67),
    [anon_sym_BSLASHiex] = ACTIONS(67),
    [anon_sym_BSLASHv] = ACTIONS(67),
    [anon_sym_BSLASHva] = ACTIONS(67),
    [anon_sym_BSLASHvp] = ACTIONS(67),
    [anon_sym_BSLASHc] = ACTIONS(67),
    [anon_sym_BSLASHcl] = ACTIONS(67),
    [anon_sym_BSLASHca] = ACTIONS(67),
    [anon_sym_BSLASHcp] = ACTIONS(67),
    [anon_sym_BSLASHcd] = ACTIONS(67),
    [anon_sym_BSLASHmte] = ACTIONS(67),
    [anon_sym_BSLASHms] = ACTIONS(67),
    [anon_sym_BSLASHmr] = ACTIONS(67),
    [anon_sym_BSLASHs] = ACTIONS(67),
    [anon_sym_BSLASHsr] = ACTIONS(67),
    [anon_sym_BSLASHr] = ACTIONS(67),
    [anon_sym_BSLASHsp] = ACTIONS(67),
    [anon_sym_BSLASHd] = ACTIONS(67),
    [anon_sym_BSLASHsd] = ACTIONS(67),
    [anon_sym_BSLASHp] = ACTIONS(67),
    [anon_sym_BSLASHm] = ACTIONS(67),
    [anon_sym_BSLASHpo] = ACTIONS(67),
    [anon_sym_BSLASHpr] = ACTIONS(67),
    [anon_sym_BSLASHcls] = ACTIONS(67),
    [anon_sym_BSLASHpmo] = ACTIONS(67),
    [anon_sym_BSLASHpm] = ACTIONS(67),
    [anon_sym_BSLASHpmc] = ACTIONS(67),
    [anon_sym_BSLASHpmr] = ACTIONS(67),
    [anon_sym_BSLASHpi] = ACTIONS(67),
    [anon_sym_BSLASHmi] = ACTIONS(67),
    [anon_sym_BSLASHnb] = ACTIONS(67),
    [anon_sym_BSLASHpc] = ACTIONS(67),
    [anon_sym_BSLASHph] = ACTIONS(67),
    [anon_sym_BSLASHb] = ACTIONS(67),
    [anon_sym_BSLASHq] = ACTIONS(67),
    [anon_sym_BSLASHqr] = ACTIONS(67),
    [anon_sym_BSLASHqc] = ACTIONS(67),
    [anon_sym_BSLASHqa] = ACTIONS(67),
    [anon_sym_BSLASHqm] = ACTIONS(67),
    [anon_sym_BSLASHqd] = ACTIONS(67),
    [anon_sym_BSLASHlh] = ACTIONS(67),
    [anon_sym_BSLASHlf] = ACTIONS(67),
    [anon_sym_BSLASHli] = ACTIONS(67),
    [anon_sym_BSLASHlim] = ACTIONS(67),
    [anon_sym_BSLASHliv] = ACTIONS(67),
    [anon_sym_BSLASHlik] = ACTIONS(67),
    [anon_sym_BSLASHlitl] = ACTIONS(67),
    [anon_sym_BSLASHtr] = ACTIONS(67),
    [anon_sym_BSLASHf] = ACTIONS(67),
    [anon_sym_BSLASHfe] = ACTIONS(67),
    [anon_sym_BSLASHef] = ACTIONS(67),
    [anon_sym_BSLASHfm] = ACTIONS(67),
    [anon_sym_BSLASHx] = ACTIONS(67),
    [anon_sym_BSLASHxt] = ACTIONS(67),
    [anon_sym_BSLASHrq] = ACTIONS(67),
    [anon_sym_BSLASHadd] = ACTIONS(67),
    [anon_sym_BSLASHbk] = ACTIONS(67),
    [anon_sym_BSLASHdc] = ACTIONS(67),
    [anon_sym_BSLASHk] = ACTIONS(67),
    [anon_sym_BSLASHnd] = ACTIONS(67),
    [anon_sym_BSLASHord] = ACTIONS(67),
    [anon_sym_BSLASHpn] = ACTIONS(67),
    [anon_sym_BSLASHpng] = ACTIONS(67),
    [anon_sym_BSLASHaddpn] = ACTIONS(67),
    [anon_sym_BSLASHqt] = ACTIONS(67),
    [anon_sym_BSLASHsig] = ACTIONS(67),
    [anon_sym_BSLASHsls] = ACTIONS(67),
    [anon_sym_BSLASHtl] = ACTIONS(67),
    [anon_sym_BSLASHwj] = ACTIONS(67),
    [anon_sym_BSLASHem] = ACTIONS(67),
    [anon_sym_BSLASHbd] = ACTIONS(67),
    [anon_sym_BSLASHit] = ACTIONS(67),
    [anon_sym_BSLASHbdit] = ACTIONS(67),
    [anon_sym_BSLASHno] = ACTIONS(67),
    [anon_sym_BSLASHsc] = ACTIONS(67),
    [anon_sym_BSLASHsup] = ACTIONS(67),
    [anon_sym_BSLASHndx] = ACTIONS(67),
    [anon_sym_BSLASHpro] = ACTIONS(67),
    [anon_sym_BSLASHrb] = ACTIONS(67),
    [anon_sym_BSLASHw] = ACTIONS(67),
    [anon_sym_BSLASHwg] = ACTIONS(67),
    [anon_sym_BSLASHwh] = ACTIONS(67),
    [anon_sym_BSLASHwa] = ACTIONS(67),
    [anon_sym_BSLASHfig] = ACTIONS(67),
    [anon_sym_BSLASHjmp] = ACTIONS(67),
    [anon_sym_BSLASHpb] = ACTIONS(67),
    [anon_sym_BSLASH] = ACTIONS(67),
    [sym_milestoneStartTag] = ACTIONS(67),
    [sym_milestoneEndTag] = ACTIONS(67),
    [sym_zSpaceTag] = ACTIONS(67),
    [anon_sym_BSLASHesb] = ACTIONS(67),
  },
  [424] = {
    [sym__verseMeta] = STATE(424),
    [sym_va] = STATE(424),
    [sym_vp] = STATE(424),
    [aux_sym_v_repeat1] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(5678),
    [aux_sym_text_token1] = ACTIONS(5678),
    [anon_sym_BSLASHref] = ACTIONS(5680),
    [anon_sym_BSLASHsts] = ACTIONS(5680),
    [anon_sym_BSLASHrem] = ACTIONS(5680),
    [anon_sym_BSLASHrestore] = ACTIONS(5680),
    [anon_sym_BSLASHlit] = ACTIONS(5680),
    [anon_sym_BSLASHip] = ACTIONS(5680),
    [anon_sym_BSLASHiex] = ACTIONS(5680),
    [anon_sym_BSLASHv] = ACTIONS(5680),
    [anon_sym_BSLASHva] = ACTIONS(5896),
    [anon_sym_BSLASHvp] = ACTIONS(5899),
    [anon_sym_BSLASHc] = ACTIONS(5680),
    [anon_sym_BSLASHcl] = ACTIONS(5680),
    [anon_sym_BSLASHca] = ACTIONS(5680),
    [anon_sym_BSLASHcp] = ACTIONS(5680),
    [anon_sym_BSLASHcd] = ACTIONS(5680),
    [anon_sym_BSLASHmte] = ACTIONS(5680),
    [anon_sym_BSLASHms] = ACTIONS(5680),
    [anon_sym_BSLASHs] = ACTIONS(5680),
    [anon_sym_BSLASHr] = ACTIONS(5680),
    [anon_sym_BSLASHsp] = ACTIONS(5680),
    [anon_sym_BSLASHd] = ACTIONS(5680),
    [anon_sym_BSLASHsd] = ACTIONS(5680),
    [anon_sym_BSLASHp] = ACTIONS(5680),
    [anon_sym_BSLASHm] = ACTIONS(5680),
    [anon_sym_BSLASHpo] = ACTIONS(5680),
    [anon_sym_BSLASHpr] = ACTIONS(5680),
    [anon_sym_BSLASHcls] = ACTIONS(5680),
    [anon_sym_BSLASHpmo] = ACTIONS(5680),
    [anon_sym_BSLASHpm] = ACTIONS(5680),
    [anon_sym_BSLASHpmc] = ACTIONS(5680),
    [anon_sym_BSLASHpmr] = ACTIONS(5680),
    [anon_sym_BSLASHpi] = ACTIONS(5680),
    [anon_sym_BSLASHmi] = ACTIONS(5680),
    [anon_sym_BSLASHnb] = ACTIONS(5680),
    [anon_sym_BSLASHpc] = ACTIONS(5680),
    [anon_sym_BSLASHph] = ACTIONS(5680),
    [anon_sym_BSLASHb] = ACTIONS(5680),
    [anon_sym_BSLASHq] = ACTIONS(5680),
    [anon_sym_BSLASHqr] = ACTIONS(5680),
    [anon_sym_BSLASHqc] = ACTIONS(5680),
    [anon_sym_BSLASHqs] = ACTIONS(5680),
    [anon_sym_BSLASHqa] = ACTIONS(5680),
    [anon_sym_BSLASHqac] = ACTIONS(5680),
    [anon_sym_BSLASHqm] = ACTIONS(5680),
    [anon_sym_BSLASHqd] = ACTIONS(5680),
    [anon_sym_BSLASHlh] = ACTIONS(5680),
    [anon_sym_BSLASHli] = ACTIONS(5680),
    [anon_sym_BSLASHlim] = ACTIONS(5680),
    [anon_sym_BSLASHtr] = ACTIONS(5680),
    [anon_sym_BSLASHf] = ACTIONS(5680),
    [anon_sym_BSLASHfe] = ACTIONS(5680),
    [anon_sym_BSLASHef] = ACTIONS(5680),
    [anon_sym_BSLASHfm] = ACTIONS(5680),
    [anon_sym_BSLASHx] = ACTIONS(5680),
    [anon_sym_BSLASHxt] = ACTIONS(5680),
    [anon_sym_BSLASHrq] = ACTIONS(5680),
    [anon_sym_BSLASHadd] = ACTIONS(5680),
    [anon_sym_BSLASHbk] = ACTIONS(5680),
    [anon_sym_BSLASHdc] = ACTIONS(5680),
    [anon_sym_BSLASHk] = ACTIONS(5680),
    [anon_sym_BSLASHnd] = ACTIONS(5680),
    [anon_sym_BSLASHord] = ACTIONS(5680),
    [anon_sym_BSLASHpn] = ACTIONS(5680),
    [anon_sym_BSLASHpng] = ACTIONS(5680),
    [anon_sym_BSLASHaddpn] = ACTIONS(5680),
    [anon_sym_BSLASHqt] = ACTIONS(5680),
    [anon_sym_BSLASHsig] = ACTIONS(5680),
    [anon_sym_BSLASHsls] = ACTIONS(5680),
    [anon_sym_BSLASHtl] = ACTIONS(5680),
    [anon_sym_BSLASHwj] = ACTIONS(5680),
    [anon_sym_BSLASHem] = ACTIONS(5680),
    [anon_sym_BSLASHbd] = ACTIONS(5680),
    [anon_sym_BSLASHit] = ACTIONS(5680),
    [anon_sym_BSLASHbdit] = ACTIONS(5680),
    [anon_sym_BSLASHno] = ACTIONS(5680),
    [anon_sym_BSLASHsc] = ACTIONS(5680),
    [anon_sym_BSLASHsup] = ACTIONS(5680),
    [anon_sym_BSLASHndx] = ACTIONS(5680),
    [anon_sym_BSLASHpro] = ACTIONS(5680),
    [anon_sym_BSLASHrb] = ACTIONS(5680),
    [anon_sym_BSLASHw] = ACTIONS(5680),
    [anon_sym_BSLASHwg] = ACTIONS(5680),
    [anon_sym_BSLASHwh] = ACTIONS(5680),
    [anon_sym_BSLASHwa] = ACTIONS(5680),
    [anon_sym_BSLASHfig] = ACTIONS(5680),
    [anon_sym_BSLASHjmp] = ACTIONS(5680),
    [anon_sym_BSLASHpb] = ACTIONS(5680),
    [anon_sym_BSLASH] = ACTIONS(5680),
    [sym_milestoneStartTag] = ACTIONS(5680),
    [sym_milestoneEndTag] = ACTIONS(5680),
    [sym_zSpaceTag] = ACTIONS(5680),
    [anon_sym_BSLASHesb] = ACTIONS(5680),
  },
  [425] = {
    [sym__verseMeta] = STATE(424),
    [sym_va] = STATE(424),
    [sym_vp] = STATE(424),
    [aux_sym_v_repeat1] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(5692),
    [aux_sym_text_token1] = ACTIONS(5692),
    [anon_sym_BSLASHref] = ACTIONS(5694),
    [anon_sym_BSLASHsts] = ACTIONS(5694),
    [anon_sym_BSLASHrem] = ACTIONS(5694),
    [anon_sym_BSLASHrestore] = ACTIONS(5694),
    [anon_sym_BSLASHlit] = ACTIONS(5694),
    [anon_sym_BSLASHip] = ACTIONS(5694),
    [anon_sym_BSLASHiex] = ACTIONS(5694),
    [anon_sym_BSLASHv] = ACTIONS(5694),
    [anon_sym_BSLASHva] = ACTIONS(532),
    [anon_sym_BSLASHvp] = ACTIONS(534),
    [anon_sym_BSLASHc] = ACTIONS(5694),
    [anon_sym_BSLASHcl] = ACTIONS(5694),
    [anon_sym_BSLASHca] = ACTIONS(5694),
    [anon_sym_BSLASHcp] = ACTIONS(5694),
    [anon_sym_BSLASHcd] = ACTIONS(5694),
    [anon_sym_BSLASHmte] = ACTIONS(5694),
    [anon_sym_BSLASHms] = ACTIONS(5694),
    [anon_sym_BSLASHs] = ACTIONS(5694),
    [anon_sym_BSLASHr] = ACTIONS(5694),
    [anon_sym_BSLASHsp] = ACTIONS(5694),
    [anon_sym_BSLASHd] = ACTIONS(5694),
    [anon_sym_BSLASHsd] = ACTIONS(5694),
    [anon_sym_BSLASHp] = ACTIONS(5694),
    [anon_sym_BSLASHm] = ACTIONS(5694),
    [anon_sym_BSLASHpo] = ACTIONS(5694),
    [anon_sym_BSLASHpr] = ACTIONS(5694),
    [anon_sym_BSLASHcls] = ACTIONS(5694),
    [anon_sym_BSLASHpmo] = ACTIONS(5694),
    [anon_sym_BSLASHpm] = ACTIONS(5694),
    [anon_sym_BSLASHpmc] = ACTIONS(5694),
    [anon_sym_BSLASHpmr] = ACTIONS(5694),
    [anon_sym_BSLASHpi] = ACTIONS(5694),
    [anon_sym_BSLASHmi] = ACTIONS(5694),
    [anon_sym_BSLASHnb] = ACTIONS(5694),
    [anon_sym_BSLASHpc] = ACTIONS(5694),
    [anon_sym_BSLASHph] = ACTIONS(5694),
    [anon_sym_BSLASHb] = ACTIONS(5694),
    [anon_sym_BSLASHq] = ACTIONS(5694),
    [anon_sym_BSLASHqr] = ACTIONS(5694),
    [anon_sym_BSLASHqc] = ACTIONS(5694),
    [anon_sym_BSLASHqs] = ACTIONS(5694),
    [anon_sym_BSLASHqa] = ACTIONS(5694),
    [anon_sym_BSLASHqac] = ACTIONS(5694),
    [anon_sym_BSLASHqm] = ACTIONS(5694),
    [anon_sym_BSLASHqd] = ACTIONS(5694),
    [anon_sym_BSLASHlh] = ACTIONS(5694),
    [anon_sym_BSLASHli] = ACTIONS(5694),
    [anon_sym_BSLASHlim] = ACTIONS(5694),
    [anon_sym_BSLASHtr] = ACTIONS(5694),
    [anon_sym_BSLASHf] = ACTIONS(5694),
    [anon_sym_BSLASHfe] = ACTIONS(5694),
    [anon_sym_BSLASHef] = ACTIONS(5694),
    [anon_sym_BSLASHfm] = ACTIONS(5694),
    [anon_sym_BSLASHx] = ACTIONS(5694),
    [anon_sym_BSLASHxt] = ACTIONS(5694),
    [anon_sym_BSLASHrq] = ACTIONS(5694),
    [anon_sym_BSLASHadd] = ACTIONS(5694),
    [anon_sym_BSLASHbk] = ACTIONS(5694),
    [anon_sym_BSLASHdc] = ACTIONS(5694),
    [anon_sym_BSLASHk] = ACTIONS(5694),
    [anon_sym_BSLASHnd] = ACTIONS(5694),
    [anon_sym_BSLASHord] = ACTIONS(5694),
    [anon_sym_BSLASHpn] = ACTIONS(5694),
    [anon_sym_BSLASHpng] = ACTIONS(5694),
    [anon_sym_BSLASHaddpn] = ACTIONS(5694),
    [anon_sym_BSLASHqt] = ACTIONS(5694),
    [anon_sym_BSLASHsig] = ACTIONS(5694),
    [anon_sym_BSLASHsls] = ACTIONS(5694),
    [anon_sym_BSLASHtl] = ACTIONS(5694),
    [anon_sym_BSLASHwj] = ACTIONS(5694),
    [anon_sym_BSLASHem] = ACTIONS(5694),
    [anon_sym_BSLASHbd] = ACTIONS(5694),
    [anon_sym_BSLASHit] = ACTIONS(5694),
    [anon_sym_BSLASHbdit] = ACTIONS(5694),
    [anon_sym_BSLASHno] = ACTIONS(5694),
    [anon_sym_BSLASHsc] = ACTIONS(5694),
    [anon_sym_BSLASHsup] = ACTIONS(5694),
    [anon_sym_BSLASHndx] = ACTIONS(5694),
    [anon_sym_BSLASHpro] = ACTIONS(5694),
    [anon_sym_BSLASHrb] = ACTIONS(5694),
    [anon_sym_BSLASHw] = ACTIONS(5694),
    [anon_sym_BSLASHwg] = ACTIONS(5694),
    [anon_sym_BSLASHwh] = ACTIONS(5694),
    [anon_sym_BSLASHwa] = ACTIONS(5694),
    [anon_sym_BSLASHfig] = ACTIONS(5694),
    [anon_sym_BSLASHjmp] = ACTIONS(5694),
    [anon_sym_BSLASHpb] = ACTIONS(5694),
    [anon_sym_BSLASH] = ACTIONS(5694),
    [sym_milestoneStartTag] = ACTIONS(5694),
    [sym_milestoneEndTag] = ACTIONS(5694),
    [sym_zSpaceTag] = ACTIONS(5694),
    [anon_sym_BSLASHesb] = ACTIONS(5694),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(73),
    [aux_sym_text_token1] = ACTIONS(73),
    [anon_sym_BSLASHref] = ACTIONS(75),
    [anon_sym_BSLASHsts] = ACTIONS(75),
    [anon_sym_BSLASHrem] = ACTIONS(75),
    [anon_sym_BSLASHrestore] = ACTIONS(75),
    [anon_sym_BSLASHlit] = ACTIONS(75),
    [anon_sym_BSLASHip] = ACTIONS(75),
    [anon_sym_BSLASHiex] = ACTIONS(75),
    [anon_sym_BSLASHv] = ACTIONS(75),
    [anon_sym_BSLASHva] = ACTIONS(75),
    [anon_sym_BSLASHvp] = ACTIONS(75),
    [anon_sym_BSLASHc] = ACTIONS(75),
    [anon_sym_BSLASHcl] = ACTIONS(75),
    [anon_sym_BSLASHca] = ACTIONS(75),
    [anon_sym_BSLASHcp] = ACTIONS(75),
    [anon_sym_BSLASHcd] = ACTIONS(75),
    [anon_sym_BSLASHmte] = ACTIONS(75),
    [anon_sym_BSLASHms] = ACTIONS(75),
    [anon_sym_BSLASHmr] = ACTIONS(75),
    [anon_sym_BSLASHs] = ACTIONS(75),
    [anon_sym_BSLASHsr] = ACTIONS(75),
    [anon_sym_BSLASHr] = ACTIONS(75),
    [anon_sym_BSLASHsp] = ACTIONS(75),
    [anon_sym_BSLASHd] = ACTIONS(75),
    [anon_sym_BSLASHsd] = ACTIONS(75),
    [anon_sym_BSLASHp] = ACTIONS(75),
    [anon_sym_BSLASHm] = ACTIONS(75),
    [anon_sym_BSLASHpo] = ACTIONS(75),
    [anon_sym_BSLASHpr] = ACTIONS(75),
    [anon_sym_BSLASHcls] = ACTIONS(75),
    [anon_sym_BSLASHpmo] = ACTIONS(75),
    [anon_sym_BSLASHpm] = ACTIONS(75),
    [anon_sym_BSLASHpmc] = ACTIONS(75),
    [anon_sym_BSLASHpmr] = ACTIONS(75),
    [anon_sym_BSLASHpi] = ACTIONS(75),
    [anon_sym_BSLASHmi] = ACTIONS(75),
    [anon_sym_BSLASHnb] = ACTIONS(75),
    [anon_sym_BSLASHpc] = ACTIONS(75),
    [anon_sym_BSLASHph] = ACTIONS(75),
    [anon_sym_BSLASHb] = ACTIONS(75),
    [anon_sym_BSLASHq] = ACTIONS(75),
    [anon_sym_BSLASHqr] = ACTIONS(75),
    [anon_sym_BSLASHqc] = ACTIONS(75),
    [anon_sym_BSLASHqa] = ACTIONS(75),
    [anon_sym_BSLASHqm] = ACTIONS(75),
    [anon_sym_BSLASHqd] = ACTIONS(75),
    [anon_sym_BSLASHlh] = ACTIONS(75),
    [anon_sym_BSLASHlf] = ACTIONS(75),
    [anon_sym_BSLASHli] = ACTIONS(75),
    [anon_sym_BSLASHlim] = ACTIONS(75),
    [anon_sym_BSLASHliv] = ACTIONS(75),
    [anon_sym_BSLASHlik] = ACTIONS(75),
    [anon_sym_BSLASHlitl] = ACTIONS(75),
    [anon_sym_BSLASHtr] = ACTIONS(75),
    [anon_sym_BSLASHf] = ACTIONS(75),
    [anon_sym_BSLASHfe] = ACTIONS(75),
    [anon_sym_BSLASHef] = ACTIONS(75),
    [anon_sym_BSLASHfm] = ACTIONS(75),
    [anon_sym_BSLASHx] = ACTIONS(75),
    [anon_sym_BSLASHxt] = ACTIONS(75),
    [anon_sym_BSLASHrq] = ACTIONS(75),
    [anon_sym_BSLASHadd] = ACTIONS(75),
    [anon_sym_BSLASHbk] = ACTIONS(75),
    [anon_sym_BSLASHdc] = ACTIONS(75),
    [anon_sym_BSLASHk] = ACTIONS(75),
    [anon_sym_BSLASHnd] = ACTIONS(75),
    [anon_sym_BSLASHord] = ACTIONS(75),
    [anon_sym_BSLASHpn] = ACTIONS(75),
    [anon_sym_BSLASHpng] = ACTIONS(75),
    [anon_sym_BSLASHaddpn] = ACTIONS(75),
    [anon_sym_BSLASHqt] = ACTIONS(75),
    [anon_sym_BSLASHsig] = ACTIONS(75),
    [anon_sym_BSLASHsls] = ACTIONS(75),
    [anon_sym_BSLASHtl] = ACTIONS(75),
    [anon_sym_BSLASHwj] = ACTIONS(75),
    [anon_sym_BSLASHem] = ACTIONS(75),
    [anon_sym_BSLASHbd] = ACTIONS(75),
    [anon_sym_BSLASHit] = ACTIONS(75),
    [anon_sym_BSLASHbdit] = ACTIONS(75),
    [anon_sym_BSLASHno] = ACTIONS(75),
    [anon_sym_BSLASHsc] = ACTIONS(75),
    [anon_sym_BSLASHsup] = ACTIONS(75),
    [anon_sym_BSLASHndx] = ACTIONS(75),
    [anon_sym_BSLASHpro] = ACTIONS(75),
    [anon_sym_BSLASHrb] = ACTIONS(75),
    [anon_sym_BSLASHw] = ACTIONS(75),
    [anon_sym_BSLASHwg] = ACTIONS(75),
    [anon_sym_BSLASHwh] = ACTIONS(75),
    [anon_sym_BSLASHwa] = ACTIONS(75),
    [anon_sym_BSLASHfig] = ACTIONS(75),
    [anon_sym_BSLASHjmp] = ACTIONS(75),
    [anon_sym_BSLASHpb] = ACTIONS(75),
    [anon_sym_BSLASH] = ACTIONS(75),
    [sym_milestoneStartTag] = ACTIONS(75),
    [sym_milestoneEndTag] = ACTIONS(75),
    [sym_zSpaceTag] = ACTIONS(75),
    [anon_sym_BSLASHesb] = ACTIONS(75),
  },
  [427] = {
    [sym__verseMeta] = STATE(425),
    [sym_va] = STATE(425),
    [sym_vp] = STATE(425),
    [aux_sym_v_repeat1] = STATE(425),
    [ts_builtin_sym_end] = ACTIONS(5688),
    [aux_sym_text_token1] = ACTIONS(5688),
    [anon_sym_BSLASHref] = ACTIONS(5690),
    [anon_sym_BSLASHsts] = ACTIONS(5690),
    [anon_sym_BSLASHrem] = ACTIONS(5690),
    [anon_sym_BSLASHrestore] = ACTIONS(5690),
    [anon_sym_BSLASHlit] = ACTIONS(5690),
    [anon_sym_BSLASHip] = ACTIONS(5690),
    [anon_sym_BSLASHiex] = ACTIONS(5690),
    [anon_sym_BSLASHv] = ACTIONS(5690),
    [anon_sym_BSLASHva] = ACTIONS(532),
    [anon_sym_BSLASHvp] = ACTIONS(534),
    [anon_sym_BSLASHc] = ACTIONS(5690),
    [anon_sym_BSLASHcl] = ACTIONS(5690),
    [anon_sym_BSLASHca] = ACTIONS(5690),
    [anon_sym_BSLASHcp] = ACTIONS(5690),
    [anon_sym_BSLASHcd] = ACTIONS(5690),
    [anon_sym_BSLASHmte] = ACTIONS(5690),
    [anon_sym_BSLASHms] = ACTIONS(5690),
    [anon_sym_BSLASHs] = ACTIONS(5690),
    [anon_sym_BSLASHr] = ACTIONS(5690),
    [anon_sym_BSLASHsp] = ACTIONS(5690),
    [anon_sym_BSLASHd] = ACTIONS(5690),
    [anon_sym_BSLASHsd] = ACTIONS(5690),
    [anon_sym_BSLASHp] = ACTIONS(5690),
    [anon_sym_BSLASHm] = ACTIONS(5690),
    [anon_sym_BSLASHpo] = ACTIONS(5690),
    [anon_sym_BSLASHpr] = ACTIONS(5690),
    [anon_sym_BSLASHcls] = ACTIONS(5690),
    [anon_sym_BSLASHpmo] = ACTIONS(5690),
    [anon_sym_BSLASHpm] = ACTIONS(5690),
    [anon_sym_BSLASHpmc] = ACTIONS(5690),
    [anon_sym_BSLASHpmr] = ACTIONS(5690),
    [anon_sym_BSLASHpi] = ACTIONS(5690),
    [anon_sym_BSLASHmi] = ACTIONS(5690),
    [anon_sym_BSLASHnb] = ACTIONS(5690),
    [anon_sym_BSLASHpc] = ACTIONS(5690),
    [anon_sym_BSLASHph] = ACTIONS(5690),
    [anon_sym_BSLASHb] = ACTIONS(5690),
    [anon_sym_BSLASHq] = ACTIONS(5690),
    [anon_sym_BSLASHqr] = ACTIONS(5690),
    [anon_sym_BSLASHqc] = ACTIONS(5690),
    [anon_sym_BSLASHqs] = ACTIONS(5690),
    [anon_sym_BSLASHqa] = ACTIONS(5690),
    [anon_sym_BSLASHqac] = ACTIONS(5690),
    [anon_sym_BSLASHqm] = ACTIONS(5690),
    [anon_sym_BSLASHqd] = ACTIONS(5690),
    [anon_sym_BSLASHlh] = ACTIONS(5690),
    [anon_sym_BSLASHli] = ACTIONS(5690),
    [anon_sym_BSLASHlim] = ACTIONS(5690),
    [anon_sym_BSLASHtr] = ACTIONS(5690),
    [anon_sym_BSLASHf] = ACTIONS(5690),
    [anon_sym_BSLASHfe] = ACTIONS(5690),
    [anon_sym_BSLASHef] = ACTIONS(5690),
    [anon_sym_BSLASHfm] = ACTIONS(5690),
    [anon_sym_BSLASHx] = ACTIONS(5690),
    [anon_sym_BSLASHxt] = ACTIONS(5690),
    [anon_sym_BSLASHrq] = ACTIONS(5690),
    [anon_sym_BSLASHadd] = ACTIONS(5690),
    [anon_sym_BSLASHbk] = ACTIONS(5690),
    [anon_sym_BSLASHdc] = ACTIONS(5690),
    [anon_sym_BSLASHk] = ACTIONS(5690),
    [anon_sym_BSLASHnd] = ACTIONS(5690),
    [anon_sym_BSLASHord] = ACTIONS(5690),
    [anon_sym_BSLASHpn] = ACTIONS(5690),
    [anon_sym_BSLASHpng] = ACTIONS(5690),
    [anon_sym_BSLASHaddpn] = ACTIONS(5690),
    [anon_sym_BSLASHqt] = ACTIONS(5690),
    [anon_sym_BSLASHsig] = ACTIONS(5690),
    [anon_sym_BSLASHsls] = ACTIONS(5690),
    [anon_sym_BSLASHtl] = ACTIONS(5690),
    [anon_sym_BSLASHwj] = ACTIONS(5690),
    [anon_sym_BSLASHem] = ACTIONS(5690),
    [anon_sym_BSLASHbd] = ACTIONS(5690),
    [anon_sym_BSLASHit] = ACTIONS(5690),
    [anon_sym_BSLASHbdit] = ACTIONS(5690),
    [anon_sym_BSLASHno] = ACTIONS(5690),
    [anon_sym_BSLASHsc] = ACTIONS(5690),
    [anon_sym_BSLASHsup] = ACTIONS(5690),
    [anon_sym_BSLASHndx] = ACTIONS(5690),
    [anon_sym_BSLASHpro] = ACTIONS(5690),
    [anon_sym_BSLASHrb] = ACTIONS(5690),
    [anon_sym_BSLASHw] = ACTIONS(5690),
    [anon_sym_BSLASHwg] = ACTIONS(5690),
    [anon_sym_BSLASHwh] = ACTIONS(5690),
    [anon_sym_BSLASHwa] = ACTIONS(5690),
    [anon_sym_BSLASHfig] = ACTIONS(5690),
    [anon_sym_BSLASHjmp] = ACTIONS(5690),
    [anon_sym_BSLASHpb] = ACTIONS(5690),
    [anon_sym_BSLASH] = ACTIONS(5690),
    [sym_milestoneStartTag] = ACTIONS(5690),
    [sym_milestoneEndTag] = ACTIONS(5690),
    [sym_zSpaceTag] = ACTIONS(5690),
    [anon_sym_BSLASHesb] = ACTIONS(5690),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(37),
    [aux_sym_text_token1] = ACTIONS(37),
    [anon_sym_BSLASHref] = ACTIONS(39),
    [anon_sym_BSLASHsts] = ACTIONS(39),
    [anon_sym_BSLASHrem] = ACTIONS(39),
    [anon_sym_BSLASHrestore] = ACTIONS(39),
    [anon_sym_BSLASHlit] = ACTIONS(39),
    [anon_sym_BSLASHip] = ACTIONS(39),
    [anon_sym_BSLASHiex] = ACTIONS(39),
    [anon_sym_BSLASHv] = ACTIONS(39),
    [anon_sym_BSLASHva] = ACTIONS(39),
    [anon_sym_BSLASHvp] = ACTIONS(39),
    [anon_sym_BSLASHc] = ACTIONS(39),
    [anon_sym_BSLASHcl] = ACTIONS(39),
    [anon_sym_BSLASHca] = ACTIONS(39),
    [anon_sym_BSLASHcp] = ACTIONS(39),
    [anon_sym_BSLASHcd] = ACTIONS(39),
    [anon_sym_BSLASHmte] = ACTIONS(39),
    [anon_sym_BSLASHms] = ACTIONS(39),
    [anon_sym_BSLASHmr] = ACTIONS(39),
    [anon_sym_BSLASHs] = ACTIONS(39),
    [anon_sym_BSLASHsr] = ACTIONS(39),
    [anon_sym_BSLASHr] = ACTIONS(39),
    [anon_sym_BSLASHsp] = ACTIONS(39),
    [anon_sym_BSLASHd] = ACTIONS(39),
    [anon_sym_BSLASHsd] = ACTIONS(39),
    [anon_sym_BSLASHp] = ACTIONS(39),
    [anon_sym_BSLASHm] = ACTIONS(39),
    [anon_sym_BSLASHpo] = ACTIONS(39),
    [anon_sym_BSLASHpr] = ACTIONS(39),
    [anon_sym_BSLASHcls] = ACTIONS(39),
    [anon_sym_BSLASHpmo] = ACTIONS(39),
    [anon_sym_BSLASHpm] = ACTIONS(39),
    [anon_sym_BSLASHpmc] = ACTIONS(39),
    [anon_sym_BSLASHpmr] = ACTIONS(39),
    [anon_sym_BSLASHpi] = ACTIONS(39),
    [anon_sym_BSLASHmi] = ACTIONS(39),
    [anon_sym_BSLASHnb] = ACTIONS(39),
    [anon_sym_BSLASHpc] = ACTIONS(39),
    [anon_sym_BSLASHph] = ACTIONS(39),
    [anon_sym_BSLASHb] = ACTIONS(39),
    [anon_sym_BSLASHq] = ACTIONS(39),
    [anon_sym_BSLASHqr] = ACTIONS(39),
    [anon_sym_BSLASHqc] = ACTIONS(39),
    [anon_sym_BSLASHqa] = ACTIONS(39),
    [anon_sym_BSLASHqm] = ACTIONS(39),
    [anon_sym_BSLASHqd] = ACTIONS(39),
    [anon_sym_BSLASHlh] = ACTIONS(39),
    [anon_sym_BSLASHlf] = ACTIONS(39),
    [anon_sym_BSLASHli] = ACTIONS(39),
    [anon_sym_BSLASHlim] = ACTIONS(39),
    [anon_sym_BSLASHliv] = ACTIONS(39),
    [anon_sym_BSLASHlik] = ACTIONS(39),
    [anon_sym_BSLASHlitl] = ACTIONS(39),
    [anon_sym_BSLASHtr] = ACTIONS(39),
    [anon_sym_BSLASHf] = ACTIONS(39),
    [anon_sym_BSLASHfe] = ACTIONS(39),
    [anon_sym_BSLASHef] = ACTIONS(39),
    [anon_sym_BSLASHfm] = ACTIONS(39),
    [anon_sym_BSLASHx] = ACTIONS(39),
    [anon_sym_BSLASHxt] = ACTIONS(39),
    [anon_sym_BSLASHrq] = ACTIONS(39),
    [anon_sym_BSLASHadd] = ACTIONS(39),
    [anon_sym_BSLASHbk] = ACTIONS(39),
    [anon_sym_BSLASHdc] = ACTIONS(39),
    [anon_sym_BSLASHk] = ACTIONS(39),
    [anon_sym_BSLASHnd] = ACTIONS(39),
    [anon_sym_BSLASHord] = ACTIONS(39),
    [anon_sym_BSLASHpn] = ACTIONS(39),
    [anon_sym_BSLASHpng] = ACTIONS(39),
    [anon_sym_BSLASHaddpn] = ACTIONS(39),
    [anon_sym_BSLASHqt] = ACTIONS(39),
    [anon_sym_BSLASHsig] = ACTIONS(39),
    [anon_sym_BSLASHsls] = ACTIONS(39),
    [anon_sym_BSLASHtl] = ACTIONS(39),
    [anon_sym_BSLASHwj] = ACTIONS(39),
    [anon_sym_BSLASHem] = ACTIONS(39),
    [anon_sym_BSLASHbd] = ACTIONS(39),
    [anon_sym_BSLASHit] = ACTIONS(39),
    [anon_sym_BSLASHbdit] = ACTIONS(39),
    [anon_sym_BSLASHno] = ACTIONS(39),
    [anon_sym_BSLASHsc] = ACTIONS(39),
    [anon_sym_BSLASHsup] = ACTIONS(39),
    [anon_sym_BSLASHndx] = ACTIONS(39),
    [anon_sym_BSLASHpro] = ACTIONS(39),
    [anon_sym_BSLASHrb] = ACTIONS(39),
    [anon_sym_BSLASHw] = ACTIONS(39),
    [anon_sym_BSLASHwg] = ACTIONS(39),
    [anon_sym_BSLASHwh] = ACTIONS(39),
    [anon_sym_BSLASHwa] = ACTIONS(39),
    [anon_sym_BSLASHfig] = ACTIONS(39),
    [anon_sym_BSLASHjmp] = ACTIONS(39),
    [anon_sym_BSLASHpb] = ACTIONS(39),
    [anon_sym_BSLASH] = ACTIONS(39),
    [sym_milestoneStartTag] = ACTIONS(39),
    [sym_milestoneEndTag] = ACTIONS(39),
    [sym_zSpaceTag] = ACTIONS(39),
    [anon_sym_BSLASHesb] = ACTIONS(39),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(33),
    [aux_sym_text_token1] = ACTIONS(33),
    [anon_sym_BSLASHref] = ACTIONS(35),
    [anon_sym_BSLASHsts] = ACTIONS(35),
    [anon_sym_BSLASHrem] = ACTIONS(35),
    [anon_sym_BSLASHrestore] = ACTIONS(35),
    [anon_sym_BSLASHlit] = ACTIONS(35),
    [anon_sym_BSLASHip] = ACTIONS(35),
    [anon_sym_BSLASHiex] = ACTIONS(35),
    [anon_sym_BSLASHv] = ACTIONS(35),
    [anon_sym_BSLASHva] = ACTIONS(35),
    [anon_sym_BSLASHvp] = ACTIONS(35),
    [anon_sym_BSLASHc] = ACTIONS(35),
    [anon_sym_BSLASHcl] = ACTIONS(35),
    [anon_sym_BSLASHca] = ACTIONS(35),
    [anon_sym_BSLASHcp] = ACTIONS(35),
    [anon_sym_BSLASHcd] = ACTIONS(35),
    [anon_sym_BSLASHmte] = ACTIONS(35),
    [anon_sym_BSLASHms] = ACTIONS(35),
    [anon_sym_BSLASHmr] = ACTIONS(35),
    [anon_sym_BSLASHs] = ACTIONS(35),
    [anon_sym_BSLASHsr] = ACTIONS(35),
    [anon_sym_BSLASHr] = ACTIONS(35),
    [anon_sym_BSLASHsp] = ACTIONS(35),
    [anon_sym_BSLASHd] = ACTIONS(35),
    [anon_sym_BSLASHsd] = ACTIONS(35),
    [anon_sym_BSLASHp] = ACTIONS(35),
    [anon_sym_BSLASHm] = ACTIONS(35),
    [anon_sym_BSLASHpo] = ACTIONS(35),
    [anon_sym_BSLASHpr] = ACTIONS(35),
    [anon_sym_BSLASHcls] = ACTIONS(35),
    [anon_sym_BSLASHpmo] = ACTIONS(35),
    [anon_sym_BSLASHpm] = ACTIONS(35),
    [anon_sym_BSLASHpmc] = ACTIONS(35),
    [anon_sym_BSLASHpmr] = ACTIONS(35),
    [anon_sym_BSLASHpi] = ACTIONS(35),
    [anon_sym_BSLASHmi] = ACTIONS(35),
    [anon_sym_BSLASHnb] = ACTIONS(35),
    [anon_sym_BSLASHpc] = ACTIONS(35),
    [anon_sym_BSLASHph] = ACTIONS(35),
    [anon_sym_BSLASHb] = ACTIONS(35),
    [anon_sym_BSLASHq] = ACTIONS(35),
    [anon_sym_BSLASHqr] = ACTIONS(35),
    [anon_sym_BSLASHqc] = ACTIONS(35),
    [anon_sym_BSLASHqa] = ACTIONS(35),
    [anon_sym_BSLASHqm] = ACTIONS(35),
    [anon_sym_BSLASHqd] = ACTIONS(35),
    [anon_sym_BSLASHlh] = ACTIONS(35),
    [anon_sym_BSLASHlf] = ACTIONS(35),
    [anon_sym_BSLASHli] = ACTIONS(35),
    [anon_sym_BSLASHlim] = ACTIONS(35),
    [anon_sym_BSLASHliv] = ACTIONS(35),
    [anon_sym_BSLASHlik] = ACTIONS(35),
    [anon_sym_BSLASHlitl] = ACTIONS(35),
    [anon_sym_BSLASHtr] = ACTIONS(35),
    [anon_sym_BSLASHf] = ACTIONS(35),
    [anon_sym_BSLASHfe] = ACTIONS(35),
    [anon_sym_BSLASHef] = ACTIONS(35),
    [anon_sym_BSLASHfm] = ACTIONS(35),
    [anon_sym_BSLASHx] = ACTIONS(35),
    [anon_sym_BSLASHxt] = ACTIONS(35),
    [anon_sym_BSLASHrq] = ACTIONS(35),
    [anon_sym_BSLASHadd] = ACTIONS(35),
    [anon_sym_BSLASHbk] = ACTIONS(35),
    [anon_sym_BSLASHdc] = ACTIONS(35),
    [anon_sym_BSLASHk] = ACTIONS(35),
    [anon_sym_BSLASHnd] = ACTIONS(35),
    [anon_sym_BSLASHord] = ACTIONS(35),
    [anon_sym_BSLASHpn] = ACTIONS(35),
    [anon_sym_BSLASHpng] = ACTIONS(35),
    [anon_sym_BSLASHaddpn] = ACTIONS(35),
    [anon_sym_BSLASHqt] = ACTIONS(35),
    [anon_sym_BSLASHsig] = ACTIONS(35),
    [anon_sym_BSLASHsls] = ACTIONS(35),
    [anon_sym_BSLASHtl] = ACTIONS(35),
    [anon_sym_BSLASHwj] = ACTIONS(35),
    [anon_sym_BSLASHem] = ACTIONS(35),
    [anon_sym_BSLASHbd] = ACTIONS(35),
    [anon_sym_BSLASHit] = ACTIONS(35),
    [anon_sym_BSLASHbdit] = ACTIONS(35),
    [anon_sym_BSLASHno] = ACTIONS(35),
    [anon_sym_BSLASHsc] = ACTIONS(35),
    [anon_sym_BSLASHsup] = ACTIONS(35),
    [anon_sym_BSLASHndx] = ACTIONS(35),
    [anon_sym_BSLASHpro] = ACTIONS(35),
    [anon_sym_BSLASHrb] = ACTIONS(35),
    [anon_sym_BSLASHw] = ACTIONS(35),
    [anon_sym_BSLASHwg] = ACTIONS(35),
    [anon_sym_BSLASHwh] = ACTIONS(35),
    [anon_sym_BSLASHwa] = ACTIONS(35),
    [anon_sym_BSLASHfig] = ACTIONS(35),
    [anon_sym_BSLASHjmp] = ACTIONS(35),
    [anon_sym_BSLASHpb] = ACTIONS(35),
    [anon_sym_BSLASH] = ACTIONS(35),
    [sym_milestoneStartTag] = ACTIONS(35),
    [sym_milestoneEndTag] = ACTIONS(35),
    [sym_zSpaceTag] = ACTIONS(35),
    [anon_sym_BSLASHesb] = ACTIONS(35),
  },
  [430] = {
    [sym__milestoneAttributes] = STATE(2202),
    [ts_builtin_sym_end] = ACTIONS(5568),
    [aux_sym_text_token1] = ACTIONS(5568),
    [anon_sym_BSLASHref] = ACTIONS(5570),
    [anon_sym_BSLASHsts] = ACTIONS(5570),
    [anon_sym_BSLASHrem] = ACTIONS(5570),
    [anon_sym_BSLASHrestore] = ACTIONS(5570),
    [anon_sym_BSLASHlit] = ACTIONS(5570),
    [anon_sym_BSLASHip] = ACTIONS(5570),
    [anon_sym_BSLASHiex] = ACTIONS(5570),
    [anon_sym_BSLASHv] = ACTIONS(5570),
    [anon_sym_BSLASHva] = ACTIONS(5570),
    [anon_sym_BSLASHvp] = ACTIONS(5570),
    [anon_sym_BSLASHc] = ACTIONS(5570),
    [anon_sym_BSLASHcl] = ACTIONS(5570),
    [anon_sym_BSLASHca] = ACTIONS(5570),
    [anon_sym_BSLASHcp] = ACTIONS(5570),
    [anon_sym_BSLASHcd] = ACTIONS(5570),
    [anon_sym_BSLASHmte] = ACTIONS(5570),
    [anon_sym_BSLASHms] = ACTIONS(5570),
    [anon_sym_BSLASHs] = ACTIONS(5570),
    [anon_sym_BSLASHr] = ACTIONS(5570),
    [anon_sym_BSLASHsp] = ACTIONS(5570),
    [anon_sym_BSLASHd] = ACTIONS(5570),
    [anon_sym_BSLASHsd] = ACTIONS(5570),
    [anon_sym_BSLASHp] = ACTIONS(5570),
    [anon_sym_BSLASHm] = ACTIONS(5570),
    [anon_sym_BSLASHpo] = ACTIONS(5570),
    [anon_sym_BSLASHpr] = ACTIONS(5570),
    [anon_sym_BSLASHcls] = ACTIONS(5570),
    [anon_sym_BSLASHpmo] = ACTIONS(5570),
    [anon_sym_BSLASHpm] = ACTIONS(5570),
    [anon_sym_BSLASHpmc] = ACTIONS(5570),
    [anon_sym_BSLASHpmr] = ACTIONS(5570),
    [anon_sym_BSLASHpi] = ACTIONS(5570),
    [anon_sym_BSLASHmi] = ACTIONS(5570),
    [anon_sym_BSLASHnb] = ACTIONS(5570),
    [anon_sym_BSLASHpc] = ACTIONS(5570),
    [anon_sym_BSLASHph] = ACTIONS(5570),
    [anon_sym_BSLASHb] = ACTIONS(5570),
    [anon_sym_BSLASHq] = ACTIONS(5570),
    [anon_sym_BSLASHqr] = ACTIONS(5570),
    [anon_sym_BSLASHqc] = ACTIONS(5570),
    [anon_sym_BSLASHqs] = ACTIONS(5570),
    [anon_sym_BSLASHqa] = ACTIONS(5570),
    [anon_sym_BSLASHqac] = ACTIONS(5570),
    [anon_sym_BSLASHqm] = ACTIONS(5570),
    [anon_sym_BSLASHqd] = ACTIONS(5570),
    [anon_sym_BSLASHlh] = ACTIONS(5570),
    [anon_sym_BSLASHli] = ACTIONS(5570),
    [anon_sym_BSLASHlim] = ACTIONS(5570),
    [anon_sym_BSLASHtr] = ACTIONS(5570),
    [anon_sym_BSLASHf] = ACTIONS(5570),
    [anon_sym_BSLASHfe] = ACTIONS(5570),
    [anon_sym_BSLASHef] = ACTIONS(5570),
    [anon_sym_BSLASHfm] = ACTIONS(5570),
    [anon_sym_BSLASHx] = ACTIONS(5570),
    [anon_sym_BSLASHxt] = ACTIONS(5570),
    [anon_sym_BSLASHrq] = ACTIONS(5570),
    [anon_sym_BSLASHadd] = ACTIONS(5570),
    [anon_sym_BSLASHbk] = ACTIONS(5570),
    [anon_sym_BSLASHdc] = ACTIONS(5570),
    [anon_sym_BSLASHk] = ACTIONS(5570),
    [anon_sym_BSLASHnd] = ACTIONS(5570),
    [anon_sym_BSLASHord] = ACTIONS(5570),
    [anon_sym_BSLASHpn] = ACTIONS(5570),
    [anon_sym_BSLASHpng] = ACTIONS(5570),
    [anon_sym_BSLASHaddpn] = ACTIONS(5570),
    [anon_sym_BSLASHqt] = ACTIONS(5570),
    [anon_sym_BSLASHsig] = ACTIONS(5570),
    [anon_sym_BSLASHsls] = ACTIONS(5570),
    [anon_sym_BSLASHtl] = ACTIONS(5570),
    [anon_sym_BSLASHwj] = ACTIONS(5570),
    [anon_sym_BSLASHem] = ACTIONS(5570),
    [anon_sym_BSLASHbd] = ACTIONS(5570),
    [anon_sym_BSLASHit] = ACTIONS(5570),
    [anon_sym_BSLASHbdit] = ACTIONS(5570),
    [anon_sym_BSLASHno] = ACTIONS(5570),
    [anon_sym_BSLASHsc] = ACTIONS(5570),
    [anon_sym_BSLASHsup] = ACTIONS(5570),
    [anon_sym_BSLASHndx] = ACTIONS(5570),
    [anon_sym_BSLASHpro] = ACTIONS(5570),
    [anon_sym_BSLASHrb] = ACTIONS(5570),
    [anon_sym_BSLASHw] = ACTIONS(5570),
    [anon_sym_BSLASHwg] = ACTIONS(5570),
    [anon_sym_BSLASHwh] = ACTIONS(5570),
    [anon_sym_BSLASHwa] = ACTIONS(5570),
    [anon_sym_BSLASHfig] = ACTIONS(5570),
    [anon_sym_BSLASHjmp] = ACTIONS(5570),
    [anon_sym_BSLASHpb] = ACTIONS(5570),
    [anon_sym_BSLASH] = ACTIONS(5570),
    [anon_sym_BSLASH_STAR] = ACTIONS(5902),
    [sym_milestoneStartTag] = ACTIONS(5570),
    [sym_milestoneEndTag] = ACTIONS(5570),
    [sym_zSpaceTag] = ACTIONS(5570),
    [sym__zSpaceClose] = ACTIONS(5904),
    [anon_sym_BSLASHesb] = ACTIONS(5570),
    [anon_sym_PIPE] = ACTIONS(5566),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(57),
    [aux_sym_text_token1] = ACTIONS(57),
    [anon_sym_BSLASHref] = ACTIONS(59),
    [anon_sym_BSLASHsts] = ACTIONS(59),
    [anon_sym_BSLASHrem] = ACTIONS(59),
    [anon_sym_BSLASHrestore] = ACTIONS(59),
    [anon_sym_BSLASHlit] = ACTIONS(59),
    [anon_sym_BSLASHip] = ACTIONS(59),
    [anon_sym_BSLASHiex] = ACTIONS(59),
    [anon_sym_BSLASHv] = ACTIONS(59),
    [anon_sym_BSLASHva] = ACTIONS(59),
    [anon_sym_BSLASHvp] = ACTIONS(59),
    [anon_sym_BSLASHc] = ACTIONS(59),
    [anon_sym_BSLASHcl] = ACTIONS(59),
    [anon_sym_BSLASHca] = ACTIONS(59),
    [anon_sym_BSLASHcp] = ACTIONS(59),
    [anon_sym_BSLASHcd] = ACTIONS(59),
    [anon_sym_BSLASHmte] = ACTIONS(59),
    [anon_sym_BSLASHms] = ACTIONS(59),
    [anon_sym_BSLASHmr] = ACTIONS(59),
    [anon_sym_BSLASHs] = ACTIONS(59),
    [anon_sym_BSLASHsr] = ACTIONS(59),
    [anon_sym_BSLASHr] = ACTIONS(59),
    [anon_sym_BSLASHsp] = ACTIONS(59),
    [anon_sym_BSLASHd] = ACTIONS(59),
    [anon_sym_BSLASHsd] = ACTIONS(59),
    [anon_sym_BSLASHp] = ACTIONS(59),
    [anon_sym_BSLASHm] = ACTIONS(59),
    [anon_sym_BSLASHpo] = ACTIONS(59),
    [anon_sym_BSLASHpr] = ACTIONS(59),
    [anon_sym_BSLASHcls] = ACTIONS(59),
    [anon_sym_BSLASHpmo] = ACTIONS(59),
    [anon_sym_BSLASHpm] = ACTIONS(59),
    [anon_sym_BSLASHpmc] = ACTIONS(59),
    [anon_sym_BSLASHpmr] = ACTIONS(59),
    [anon_sym_BSLASHpi] = ACTIONS(59),
    [anon_sym_BSLASHmi] = ACTIONS(59),
    [anon_sym_BSLASHnb] = ACTIONS(59),
    [anon_sym_BSLASHpc] = ACTIONS(59),
    [anon_sym_BSLASHph] = ACTIONS(59),
    [anon_sym_BSLASHb] = ACTIONS(59),
    [anon_sym_BSLASHq] = ACTIONS(59),
    [anon_sym_BSLASHqr] = ACTIONS(59),
    [anon_sym_BSLASHqc] = ACTIONS(59),
    [anon_sym_BSLASHqa] = ACTIONS(59),
    [anon_sym_BSLASHqm] = ACTIONS(59),
    [anon_sym_BSLASHqd] = ACTIONS(59),
    [anon_sym_BSLASHlh] = ACTIONS(59),
    [anon_sym_BSLASHlf] = ACTIONS(59),
    [anon_sym_BSLASHli] = ACTIONS(59),
    [anon_sym_BSLASHlim] = ACTIONS(59),
    [anon_sym_BSLASHliv] = ACTIONS(59),
    [anon_sym_BSLASHlik] = ACTIONS(59),
    [anon_sym_BSLASHlitl] = ACTIONS(59),
    [anon_sym_BSLASHtr] = ACTIONS(59),
    [anon_sym_BSLASHf] = ACTIONS(59),
    [anon_sym_BSLASHfe] = ACTIONS(59),
    [anon_sym_BSLASHef] = ACTIONS(59),
    [anon_sym_BSLASHfm] = ACTIONS(59),
    [anon_sym_BSLASHx] = ACTIONS(59),
    [anon_sym_BSLASHxt] = ACTIONS(59),
    [anon_sym_BSLASHrq] = ACTIONS(59),
    [anon_sym_BSLASHadd] = ACTIONS(59),
    [anon_sym_BSLASHbk] = ACTIONS(59),
    [anon_sym_BSLASHdc] = ACTIONS(59),
    [anon_sym_BSLASHk] = ACTIONS(59),
    [anon_sym_BSLASHnd] = ACTIONS(59),
    [anon_sym_BSLASHord] = ACTIONS(59),
    [anon_sym_BSLASHpn] = ACTIONS(59),
    [anon_sym_BSLASHpng] = ACTIONS(59),
    [anon_sym_BSLASHaddpn] = ACTIONS(59),
    [anon_sym_BSLASHqt] = ACTIONS(59),
    [anon_sym_BSLASHsig] = ACTIONS(59),
    [anon_sym_BSLASHsls] = ACTIONS(59),
    [anon_sym_BSLASHtl] = ACTIONS(59),
    [anon_sym_BSLASHwj] = ACTIONS(59),
    [anon_sym_BSLASHem] = ACTIONS(59),
    [anon_sym_BSLASHbd] = ACTIONS(59),
    [anon_sym_BSLASHit] = ACTIONS(59),
    [anon_sym_BSLASHbdit] = ACTIONS(59),
    [anon_sym_BSLASHno] = ACTIONS(59),
    [anon_sym_BSLASHsc] = ACTIONS(59),
    [anon_sym_BSLASHsup] = ACTIONS(59),
    [anon_sym_BSLASHndx] = ACTIONS(59),
    [anon_sym_BSLASHpro] = ACTIONS(59),
    [anon_sym_BSLASHrb] = ACTIONS(59),
    [anon_sym_BSLASHw] = ACTIONS(59),
    [anon_sym_BSLASHwg] = ACTIONS(59),
    [anon_sym_BSLASHwh] = ACTIONS(59),
    [anon_sym_BSLASHwa] = ACTIONS(59),
    [anon_sym_BSLASHfig] = ACTIONS(59),
    [anon_sym_BSLASHjmp] = ACTIONS(59),
    [anon_sym_BSLASHpb] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(59),
    [sym_milestoneStartTag] = ACTIONS(59),
    [sym_milestoneEndTag] = ACTIONS(59),
    [sym_zSpaceTag] = ACTIONS(59),
    [anon_sym_BSLASHesb] = ACTIONS(59),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(81),
    [aux_sym_text_token1] = ACTIONS(81),
    [anon_sym_BSLASHref] = ACTIONS(83),
    [anon_sym_BSLASHsts] = ACTIONS(83),
    [anon_sym_BSLASHrem] = ACTIONS(83),
    [anon_sym_BSLASHrestore] = ACTIONS(83),
    [anon_sym_BSLASHlit] = ACTIONS(83),
    [anon_sym_BSLASHip] = ACTIONS(83),
    [anon_sym_BSLASHiex] = ACTIONS(83),
    [anon_sym_BSLASHv] = ACTIONS(83),
    [anon_sym_BSLASHva] = ACTIONS(83),
    [anon_sym_BSLASHvp] = ACTIONS(83),
    [anon_sym_BSLASHc] = ACTIONS(83),
    [anon_sym_BSLASHcl] = ACTIONS(83),
    [anon_sym_BSLASHca] = ACTIONS(83),
    [anon_sym_BSLASHcp] = ACTIONS(83),
    [anon_sym_BSLASHcd] = ACTIONS(83),
    [anon_sym_BSLASHmte] = ACTIONS(83),
    [anon_sym_BSLASHms] = ACTIONS(83),
    [anon_sym_BSLASHmr] = ACTIONS(83),
    [anon_sym_BSLASHs] = ACTIONS(83),
    [anon_sym_BSLASHsr] = ACTIONS(83),
    [anon_sym_BSLASHr] = ACTIONS(83),
    [anon_sym_BSLASHsp] = ACTIONS(83),
    [anon_sym_BSLASHd] = ACTIONS(83),
    [anon_sym_BSLASHsd] = ACTIONS(83),
    [anon_sym_BSLASHp] = ACTIONS(83),
    [anon_sym_BSLASHm] = ACTIONS(83),
    [anon_sym_BSLASHpo] = ACTIONS(83),
    [anon_sym_BSLASHpr] = ACTIONS(83),
    [anon_sym_BSLASHcls] = ACTIONS(83),
    [anon_sym_BSLASHpmo] = ACTIONS(83),
    [anon_sym_BSLASHpm] = ACTIONS(83),
    [anon_sym_BSLASHpmc] = ACTIONS(83),
    [anon_sym_BSLASHpmr] = ACTIONS(83),
    [anon_sym_BSLASHpi] = ACTIONS(83),
    [anon_sym_BSLASHmi] = ACTIONS(83),
    [anon_sym_BSLASHnb] = ACTIONS(83),
    [anon_sym_BSLASHpc] = ACTIONS(83),
    [anon_sym_BSLASHph] = ACTIONS(83),
    [anon_sym_BSLASHb] = ACTIONS(83),
    [anon_sym_BSLASHq] = ACTIONS(83),
    [anon_sym_BSLASHqr] = ACTIONS(83),
    [anon_sym_BSLASHqc] = ACTIONS(83),
    [anon_sym_BSLASHqa] = ACTIONS(83),
    [anon_sym_BSLASHqm] = ACTIONS(83),
    [anon_sym_BSLASHqd] = ACTIONS(83),
    [anon_sym_BSLASHlh] = ACTIONS(83),
    [anon_sym_BSLASHlf] = ACTIONS(83),
    [anon_sym_BSLASHli] = ACTIONS(83),
    [anon_sym_BSLASHlim] = ACTIONS(83),
    [anon_sym_BSLASHliv] = ACTIONS(83),
    [anon_sym_BSLASHlik] = ACTIONS(83),
    [anon_sym_BSLASHlitl] = ACTIONS(83),
    [anon_sym_BSLASHtr] = ACTIONS(83),
    [anon_sym_BSLASHf] = ACTIONS(83),
    [anon_sym_BSLASHfe] = ACTIONS(83),
    [anon_sym_BSLASHef] = ACTIONS(83),
    [anon_sym_BSLASHfm] = ACTIONS(83),
    [anon_sym_BSLASHx] = ACTIONS(83),
    [anon_sym_BSLASHxt] = ACTIONS(83),
    [anon_sym_BSLASHrq] = ACTIONS(83),
    [anon_sym_BSLASHadd] = ACTIONS(83),
    [anon_sym_BSLASHbk] = ACTIONS(83),
    [anon_sym_BSLASHdc] = ACTIONS(83),
    [anon_sym_BSLASHk] = ACTIONS(83),
    [anon_sym_BSLASHnd] = ACTIONS(83),
    [anon_sym_BSLASHord] = ACTIONS(83),
    [anon_sym_BSLASHpn] = ACTIONS(83),
    [anon_sym_BSLASHpng] = ACTIONS(83),
    [anon_sym_BSLASHaddpn] = ACTIONS(83),
    [anon_sym_BSLASHqt] = ACTIONS(83),
    [anon_sym_BSLASHsig] = ACTIONS(83),
    [anon_sym_BSLASHsls] = ACTIONS(83),
    [anon_sym_BSLASHtl] = ACTIONS(83),
    [anon_sym_BSLASHwj] = ACTIONS(83),
    [anon_sym_BSLASHem] = ACTIONS(83),
    [anon_sym_BSLASHbd] = ACTIONS(83),
    [anon_sym_BSLASHit] = ACTIONS(83),
    [anon_sym_BSLASHbdit] = ACTIONS(83),
    [anon_sym_BSLASHno] = ACTIONS(83),
    [anon_sym_BSLASHsc] = ACTIONS(83),
    [anon_sym_BSLASHsup] = ACTIONS(83),
    [anon_sym_BSLASHndx] = ACTIONS(83),
    [anon_sym_BSLASHpro] = ACTIONS(83),
    [anon_sym_BSLASHrb] = ACTIONS(83),
    [anon_sym_BSLASHw] = ACTIONS(83),
    [anon_sym_BSLASHwg] = ACTIONS(83),
    [anon_sym_BSLASHwh] = ACTIONS(83),
    [anon_sym_BSLASHwa] = ACTIONS(83),
    [anon_sym_BSLASHfig] = ACTIONS(83),
    [anon_sym_BSLASHjmp] = ACTIONS(83),
    [anon_sym_BSLASHpb] = ACTIONS(83),
    [anon_sym_BSLASH] = ACTIONS(83),
    [sym_milestoneStartTag] = ACTIONS(83),
    [sym_milestoneEndTag] = ACTIONS(83),
    [sym_zSpaceTag] = ACTIONS(83),
    [anon_sym_BSLASHesb] = ACTIONS(83),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(41),
    [aux_sym_text_token1] = ACTIONS(41),
    [anon_sym_BSLASHref] = ACTIONS(43),
    [anon_sym_BSLASHsts] = ACTIONS(43),
    [anon_sym_BSLASHrem] = ACTIONS(43),
    [anon_sym_BSLASHrestore] = ACTIONS(43),
    [anon_sym_BSLASHlit] = ACTIONS(43),
    [anon_sym_BSLASHip] = ACTIONS(43),
    [anon_sym_BSLASHiex] = ACTIONS(43),
    [anon_sym_BSLASHv] = ACTIONS(43),
    [anon_sym_BSLASHva] = ACTIONS(43),
    [anon_sym_BSLASHvp] = ACTIONS(43),
    [anon_sym_BSLASHc] = ACTIONS(43),
    [anon_sym_BSLASHcl] = ACTIONS(43),
    [anon_sym_BSLASHca] = ACTIONS(43),
    [anon_sym_BSLASHcp] = ACTIONS(43),
    [anon_sym_BSLASHcd] = ACTIONS(43),
    [anon_sym_BSLASHmte] = ACTIONS(43),
    [anon_sym_BSLASHms] = ACTIONS(43),
    [anon_sym_BSLASHmr] = ACTIONS(43),
    [anon_sym_BSLASHs] = ACTIONS(43),
    [anon_sym_BSLASHsr] = ACTIONS(43),
    [anon_sym_BSLASHr] = ACTIONS(43),
    [anon_sym_BSLASHsp] = ACTIONS(43),
    [anon_sym_BSLASHd] = ACTIONS(43),
    [anon_sym_BSLASHsd] = ACTIONS(43),
    [anon_sym_BSLASHp] = ACTIONS(43),
    [anon_sym_BSLASHm] = ACTIONS(43),
    [anon_sym_BSLASHpo] = ACTIONS(43),
    [anon_sym_BSLASHpr] = ACTIONS(43),
    [anon_sym_BSLASHcls] = ACTIONS(43),
    [anon_sym_BSLASHpmo] = ACTIONS(43),
    [anon_sym_BSLASHpm] = ACTIONS(43),
    [anon_sym_BSLASHpmc] = ACTIONS(43),
    [anon_sym_BSLASHpmr] = ACTIONS(43),
    [anon_sym_BSLASHpi] = ACTIONS(43),
    [anon_sym_BSLASHmi] = ACTIONS(43),
    [anon_sym_BSLASHnb] = ACTIONS(43),
    [anon_sym_BSLASHpc] = ACTIONS(43),
    [anon_sym_BSLASHph] = ACTIONS(43),
    [anon_sym_BSLASHb] = ACTIONS(43),
    [anon_sym_BSLASHq] = ACTIONS(43),
    [anon_sym_BSLASHqr] = ACTIONS(43),
    [anon_sym_BSLASHqc] = ACTIONS(43),
    [anon_sym_BSLASHqa] = ACTIONS(43),
    [anon_sym_BSLASHqm] = ACTIONS(43),
    [anon_sym_BSLASHqd] = ACTIONS(43),
    [anon_sym_BSLASHlh] = ACTIONS(43),
    [anon_sym_BSLASHlf] = ACTIONS(43),
    [anon_sym_BSLASHli] = ACTIONS(43),
    [anon_sym_BSLASHlim] = ACTIONS(43),
    [anon_sym_BSLASHliv] = ACTIONS(43),
    [anon_sym_BSLASHlik] = ACTIONS(43),
    [anon_sym_BSLASHlitl] = ACTIONS(43),
    [anon_sym_BSLASHtr] = ACTIONS(43),
    [anon_sym_BSLASHf] = ACTIONS(43),
    [anon_sym_BSLASHfe] = ACTIONS(43),
    [anon_sym_BSLASHef] = ACTIONS(43),
    [anon_sym_BSLASHfm] = ACTIONS(43),
    [anon_sym_BSLASHx] = ACTIONS(43),
    [anon_sym_BSLASHxt] = ACTIONS(43),
    [anon_sym_BSLASHrq] = ACTIONS(43),
    [anon_sym_BSLASHadd] = ACTIONS(43),
    [anon_sym_BSLASHbk] = ACTIONS(43),
    [anon_sym_BSLASHdc] = ACTIONS(43),
    [anon_sym_BSLASHk] = ACTIONS(43),
    [anon_sym_BSLASHnd] = ACTIONS(43),
    [anon_sym_BSLASHord] = ACTIONS(43),
    [anon_sym_BSLASHpn] = ACTIONS(43),
    [anon_sym_BSLASHpng] = ACTIONS(43),
    [anon_sym_BSLASHaddpn] = ACTIONS(43),
    [anon_sym_BSLASHqt] = ACTIONS(43),
    [anon_sym_BSLASHsig] = ACTIONS(43),
    [anon_sym_BSLASHsls] = ACTIONS(43),
    [anon_sym_BSLASHtl] = ACTIONS(43),
    [anon_sym_BSLASHwj] = ACTIONS(43),
    [anon_sym_BSLASHem] = ACTIONS(43),
    [anon_sym_BSLASHbd] = ACTIONS(43),
    [anon_sym_BSLASHit] = ACTIONS(43),
    [anon_sym_BSLASHbdit] = ACTIONS(43),
    [anon_sym_BSLASHno] = ACTIONS(43),
    [anon_sym_BSLASHsc] = ACTIONS(43),
    [anon_sym_BSLASHsup] = ACTIONS(43),
    [anon_sym_BSLASHndx] = ACTIONS(43),
    [anon_sym_BSLASHpro] = ACTIONS(43),
    [anon_sym_BSLASHrb] = ACTIONS(43),
    [anon_sym_BSLASHw] = ACTIONS(43),
    [anon_sym_BSLASHwg] = ACTIONS(43),
    [anon_sym_BSLASHwh] = ACTIONS(43),
    [anon_sym_BSLASHwa] = ACTIONS(43),
    [anon_sym_BSLASHfig] = ACTIONS(43),
    [anon_sym_BSLASHjmp] = ACTIONS(43),
    [anon_sym_BSLASHpb] = ACTIONS(43),
    [anon_sym_BSLASH] = ACTIONS(43),
    [sym_milestoneStartTag] = ACTIONS(43),
    [sym_milestoneEndTag] = ACTIONS(43),
    [sym_zSpaceTag] = ACTIONS(43),
    [anon_sym_BSLASHesb] = ACTIONS(43),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(49),
    [aux_sym_text_token1] = ACTIONS(49),
    [anon_sym_BSLASHref] = ACTIONS(51),
    [anon_sym_BSLASHsts] = ACTIONS(51),
    [anon_sym_BSLASHrem] = ACTIONS(51),
    [anon_sym_BSLASHrestore] = ACTIONS(51),
    [anon_sym_BSLASHlit] = ACTIONS(51),
    [anon_sym_BSLASHip] = ACTIONS(51),
    [anon_sym_BSLASHiex] = ACTIONS(51),
    [anon_sym_BSLASHv] = ACTIONS(51),
    [anon_sym_BSLASHva] = ACTIONS(51),
    [anon_sym_BSLASHvp] = ACTIONS(51),
    [anon_sym_BSLASHc] = ACTIONS(51),
    [anon_sym_BSLASHcl] = ACTIONS(51),
    [anon_sym_BSLASHca] = ACTIONS(51),
    [anon_sym_BSLASHcp] = ACTIONS(51),
    [anon_sym_BSLASHcd] = ACTIONS(51),
    [anon_sym_BSLASHmte] = ACTIONS(51),
    [anon_sym_BSLASHms] = ACTIONS(51),
    [anon_sym_BSLASHmr] = ACTIONS(51),
    [anon_sym_BSLASHs] = ACTIONS(51),
    [anon_sym_BSLASHsr] = ACTIONS(51),
    [anon_sym_BSLASHr] = ACTIONS(51),
    [anon_sym_BSLASHsp] = ACTIONS(51),
    [anon_sym_BSLASHd] = ACTIONS(51),
    [anon_sym_BSLASHsd] = ACTIONS(51),
    [anon_sym_BSLASHp] = ACTIONS(51),
    [anon_sym_BSLASHm] = ACTIONS(51),
    [anon_sym_BSLASHpo] = ACTIONS(51),
    [anon_sym_BSLASHpr] = ACTIONS(51),
    [anon_sym_BSLASHcls] = ACTIONS(51),
    [anon_sym_BSLASHpmo] = ACTIONS(51),
    [anon_sym_BSLASHpm] = ACTIONS(51),
    [anon_sym_BSLASHpmc] = ACTIONS(51),
    [anon_sym_BSLASHpmr] = ACTIONS(51),
    [anon_sym_BSLASHpi] = ACTIONS(51),
    [anon_sym_BSLASHmi] = ACTIONS(51),
    [anon_sym_BSLASHnb] = ACTIONS(51),
    [anon_sym_BSLASHpc] = ACTIONS(51),
    [anon_sym_BSLASHph] = ACTIONS(51),
    [anon_sym_BSLASHb] = ACTIONS(51),
    [anon_sym_BSLASHq] = ACTIONS(51),
    [anon_sym_BSLASHqr] = ACTIONS(51),
    [anon_sym_BSLASHqc] = ACTIONS(51),
    [anon_sym_BSLASHqa] = ACTIONS(51),
    [anon_sym_BSLASHqm] = ACTIONS(51),
    [anon_sym_BSLASHqd] = ACTIONS(51),
    [anon_sym_BSLASHlh] = ACTIONS(51),
    [anon_sym_BSLASHlf] = ACTIONS(51),
    [anon_sym_BSLASHli] = ACTIONS(51),
    [anon_sym_BSLASHlim] = ACTIONS(51),
    [anon_sym_BSLASHliv] = ACTIONS(51),
    [anon_sym_BSLASHlik] = ACTIONS(51),
    [anon_sym_BSLASHlitl] = ACTIONS(51),
    [anon_sym_BSLASHtr] = ACTIONS(51),
    [anon_sym_BSLASHf] = ACTIONS(51),
    [anon_sym_BSLASHfe] = ACTIONS(51),
    [anon_sym_BSLASHef] = ACTIONS(51),
    [anon_sym_BSLASHfm] = ACTIONS(51),
    [anon_sym_BSLASHx] = ACTIONS(51),
    [anon_sym_BSLASHxt] = ACTIONS(51),
    [anon_sym_BSLASHrq] = ACTIONS(51),
    [anon_sym_BSLASHadd] = ACTIONS(51),
    [anon_sym_BSLASHbk] = ACTIONS(51),
    [anon_sym_BSLASHdc] = ACTIONS(51),
    [anon_sym_BSLASHk] = ACTIONS(51),
    [anon_sym_BSLASHnd] = ACTIONS(51),
    [anon_sym_BSLASHord] = ACTIONS(51),
    [anon_sym_BSLASHpn] = ACTIONS(51),
    [anon_sym_BSLASHpng] = ACTIONS(51),
    [anon_sym_BSLASHaddpn] = ACTIONS(51),
    [anon_sym_BSLASHqt] = ACTIONS(51),
    [anon_sym_BSLASHsig] = ACTIONS(51),
    [anon_sym_BSLASHsls] = ACTIONS(51),
    [anon_sym_BSLASHtl] = ACTIONS(51),
    [anon_sym_BSLASHwj] = ACTIONS(51),
    [anon_sym_BSLASHem] = ACTIONS(51),
    [anon_sym_BSLASHbd] = ACTIONS(51),
    [anon_sym_BSLASHit] = ACTIONS(51),
    [anon_sym_BSLASHbdit] = ACTIONS(51),
    [anon_sym_BSLASHno] = ACTIONS(51),
    [anon_sym_BSLASHsc] = ACTIONS(51),
    [anon_sym_BSLASHsup] = ACTIONS(51),
    [anon_sym_BSLASHndx] = ACTIONS(51),
    [anon_sym_BSLASHpro] = ACTIONS(51),
    [anon_sym_BSLASHrb] = ACTIONS(51),
    [anon_sym_BSLASHw] = ACTIONS(51),
    [anon_sym_BSLASHwg] = ACTIONS(51),
    [anon_sym_BSLASHwh] = ACTIONS(51),
    [anon_sym_BSLASHwa] = ACTIONS(51),
    [anon_sym_BSLASHfig] = ACTIONS(51),
    [anon_sym_BSLASHjmp] = ACTIONS(51),
    [anon_sym_BSLASHpb] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(51),
    [sym_milestoneStartTag] = ACTIONS(51),
    [sym_milestoneEndTag] = ACTIONS(51),
    [sym_zSpaceTag] = ACTIONS(51),
    [anon_sym_BSLASHesb] = ACTIONS(51),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(61),
    [aux_sym_text_token1] = ACTIONS(61),
    [anon_sym_BSLASHref] = ACTIONS(63),
    [anon_sym_BSLASHsts] = ACTIONS(63),
    [anon_sym_BSLASHrem] = ACTIONS(63),
    [anon_sym_BSLASHrestore] = ACTIONS(63),
    [anon_sym_BSLASHlit] = ACTIONS(63),
    [anon_sym_BSLASHip] = ACTIONS(63),
    [anon_sym_BSLASHiex] = ACTIONS(63),
    [anon_sym_BSLASHv] = ACTIONS(63),
    [anon_sym_BSLASHva] = ACTIONS(63),
    [anon_sym_BSLASHvp] = ACTIONS(63),
    [anon_sym_BSLASHc] = ACTIONS(63),
    [anon_sym_BSLASHcl] = ACTIONS(63),
    [anon_sym_BSLASHca] = ACTIONS(63),
    [anon_sym_BSLASHcp] = ACTIONS(63),
    [anon_sym_BSLASHcd] = ACTIONS(63),
    [anon_sym_BSLASHmte] = ACTIONS(63),
    [anon_sym_BSLASHms] = ACTIONS(63),
    [anon_sym_BSLASHmr] = ACTIONS(63),
    [anon_sym_BSLASHs] = ACTIONS(63),
    [anon_sym_BSLASHsr] = ACTIONS(63),
    [anon_sym_BSLASHr] = ACTIONS(63),
    [anon_sym_BSLASHsp] = ACTIONS(63),
    [anon_sym_BSLASHd] = ACTIONS(63),
    [anon_sym_BSLASHsd] = ACTIONS(63),
    [anon_sym_BSLASHp] = ACTIONS(63),
    [anon_sym_BSLASHm] = ACTIONS(63),
    [anon_sym_BSLASHpo] = ACTIONS(63),
    [anon_sym_BSLASHpr] = ACTIONS(63),
    [anon_sym_BSLASHcls] = ACTIONS(63),
    [anon_sym_BSLASHpmo] = ACTIONS(63),
    [anon_sym_BSLASHpm] = ACTIONS(63),
    [anon_sym_BSLASHpmc] = ACTIONS(63),
    [anon_sym_BSLASHpmr] = ACTIONS(63),
    [anon_sym_BSLASHpi] = ACTIONS(63),
    [anon_sym_BSLASHmi] = ACTIONS(63),
    [anon_sym_BSLASHnb] = ACTIONS(63),
    [anon_sym_BSLASHpc] = ACTIONS(63),
    [anon_sym_BSLASHph] = ACTIONS(63),
    [anon_sym_BSLASHb] = ACTIONS(63),
    [anon_sym_BSLASHq] = ACTIONS(63),
    [anon_sym_BSLASHqr] = ACTIONS(63),
    [anon_sym_BSLASHqc] = ACTIONS(63),
    [anon_sym_BSLASHqa] = ACTIONS(63),
    [anon_sym_BSLASHqm] = ACTIONS(63),
    [anon_sym_BSLASHqd] = ACTIONS(63),
    [anon_sym_BSLASHlh] = ACTIONS(63),
    [anon_sym_BSLASHlf] = ACTIONS(63),
    [anon_sym_BSLASHli] = ACTIONS(63),
    [anon_sym_BSLASHlim] = ACTIONS(63),
    [anon_sym_BSLASHliv] = ACTIONS(63),
    [anon_sym_BSLASHlik] = ACTIONS(63),
    [anon_sym_BSLASHlitl] = ACTIONS(63),
    [anon_sym_BSLASHtr] = ACTIONS(63),
    [anon_sym_BSLASHf] = ACTIONS(63),
    [anon_sym_BSLASHfe] = ACTIONS(63),
    [anon_sym_BSLASHef] = ACTIONS(63),
    [anon_sym_BSLASHfm] = ACTIONS(63),
    [anon_sym_BSLASHx] = ACTIONS(63),
    [anon_sym_BSLASHxt] = ACTIONS(63),
    [anon_sym_BSLASHrq] = ACTIONS(63),
    [anon_sym_BSLASHadd] = ACTIONS(63),
    [anon_sym_BSLASHbk] = ACTIONS(63),
    [anon_sym_BSLASHdc] = ACTIONS(63),
    [anon_sym_BSLASHk] = ACTIONS(63),
    [anon_sym_BSLASHnd] = ACTIONS(63),
    [anon_sym_BSLASHord] = ACTIONS(63),
    [anon_sym_BSLASHpn] = ACTIONS(63),
    [anon_sym_BSLASHpng] = ACTIONS(63),
    [anon_sym_BSLASHaddpn] = ACTIONS(63),
    [anon_sym_BSLASHqt] = ACTIONS(63),
    [anon_sym_BSLASHsig] = ACTIONS(63),
    [anon_sym_BSLASHsls] = ACTIONS(63),
    [anon_sym_BSLASHtl] = ACTIONS(63),
    [anon_sym_BSLASHwj] = ACTIONS(63),
    [anon_sym_BSLASHem] = ACTIONS(63),
    [anon_sym_BSLASHbd] = ACTIONS(63),
    [anon_sym_BSLASHit] = ACTIONS(63),
    [anon_sym_BSLASHbdit] = ACTIONS(63),
    [anon_sym_BSLASHno] = ACTIONS(63),
    [anon_sym_BSLASHsc] = ACTIONS(63),
    [anon_sym_BSLASHsup] = ACTIONS(63),
    [anon_sym_BSLASHndx] = ACTIONS(63),
    [anon_sym_BSLASHpro] = ACTIONS(63),
    [anon_sym_BSLASHrb] = ACTIONS(63),
    [anon_sym_BSLASHw] = ACTIONS(63),
    [anon_sym_BSLASHwg] = ACTIONS(63),
    [anon_sym_BSLASHwh] = ACTIONS(63),
    [anon_sym_BSLASHwa] = ACTIONS(63),
    [anon_sym_BSLASHfig] = ACTIONS(63),
    [anon_sym_BSLASHjmp] = ACTIONS(63),
    [anon_sym_BSLASHpb] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(63),
    [sym_milestoneStartTag] = ACTIONS(63),
    [sym_milestoneEndTag] = ACTIONS(63),
    [sym_zSpaceTag] = ACTIONS(63),
    [anon_sym_BSLASHesb] = ACTIONS(63),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(45),
    [aux_sym_text_token1] = ACTIONS(45),
    [anon_sym_BSLASHref] = ACTIONS(47),
    [anon_sym_BSLASHsts] = ACTIONS(47),
    [anon_sym_BSLASHrem] = ACTIONS(47),
    [anon_sym_BSLASHrestore] = ACTIONS(47),
    [anon_sym_BSLASHlit] = ACTIONS(47),
    [anon_sym_BSLASHip] = ACTIONS(47),
    [anon_sym_BSLASHiex] = ACTIONS(47),
    [anon_sym_BSLASHv] = ACTIONS(47),
    [anon_sym_BSLASHva] = ACTIONS(47),
    [anon_sym_BSLASHvp] = ACTIONS(47),
    [anon_sym_BSLASHc] = ACTIONS(47),
    [anon_sym_BSLASHcl] = ACTIONS(47),
    [anon_sym_BSLASHca] = ACTIONS(47),
    [anon_sym_BSLASHcp] = ACTIONS(47),
    [anon_sym_BSLASHcd] = ACTIONS(47),
    [anon_sym_BSLASHmte] = ACTIONS(47),
    [anon_sym_BSLASHms] = ACTIONS(47),
    [anon_sym_BSLASHmr] = ACTIONS(47),
    [anon_sym_BSLASHs] = ACTIONS(47),
    [anon_sym_BSLASHsr] = ACTIONS(47),
    [anon_sym_BSLASHr] = ACTIONS(47),
    [anon_sym_BSLASHsp] = ACTIONS(47),
    [anon_sym_BSLASHd] = ACTIONS(47),
    [anon_sym_BSLASHsd] = ACTIONS(47),
    [anon_sym_BSLASHp] = ACTIONS(47),
    [anon_sym_BSLASHm] = ACTIONS(47),
    [anon_sym_BSLASHpo] = ACTIONS(47),
    [anon_sym_BSLASHpr] = ACTIONS(47),
    [anon_sym_BSLASHcls] = ACTIONS(47),
    [anon_sym_BSLASHpmo] = ACTIONS(47),
    [anon_sym_BSLASHpm] = ACTIONS(47),
    [anon_sym_BSLASHpmc] = ACTIONS(47),
    [anon_sym_BSLASHpmr] = ACTIONS(47),
    [anon_sym_BSLASHpi] = ACTIONS(47),
    [anon_sym_BSLASHmi] = ACTIONS(47),
    [anon_sym_BSLASHnb] = ACTIONS(47),
    [anon_sym_BSLASHpc] = ACTIONS(47),
    [anon_sym_BSLASHph] = ACTIONS(47),
    [anon_sym_BSLASHb] = ACTIONS(47),
    [anon_sym_BSLASHq] = ACTIONS(47),
    [anon_sym_BSLASHqr] = ACTIONS(47),
    [anon_sym_BSLASHqc] = ACTIONS(47),
    [anon_sym_BSLASHqa] = ACTIONS(47),
    [anon_sym_BSLASHqm] = ACTIONS(47),
    [anon_sym_BSLASHqd] = ACTIONS(47),
    [anon_sym_BSLASHlh] = ACTIONS(47),
    [anon_sym_BSLASHlf] = ACTIONS(47),
    [anon_sym_BSLASHli] = ACTIONS(47),
    [anon_sym_BSLASHlim] = ACTIONS(47),
    [anon_sym_BSLASHliv] = ACTIONS(47),
    [anon_sym_BSLASHlik] = ACTIONS(47),
    [anon_sym_BSLASHlitl] = ACTIONS(47),
    [anon_sym_BSLASHtr] = ACTIONS(47),
    [anon_sym_BSLASHf] = ACTIONS(47),
    [anon_sym_BSLASHfe] = ACTIONS(47),
    [anon_sym_BSLASHef] = ACTIONS(47),
    [anon_sym_BSLASHfm] = ACTIONS(47),
    [anon_sym_BSLASHx] = ACTIONS(47),
    [anon_sym_BSLASHxt] = ACTIONS(47),
    [anon_sym_BSLASHrq] = ACTIONS(47),
    [anon_sym_BSLASHadd] = ACTIONS(47),
    [anon_sym_BSLASHbk] = ACTIONS(47),
    [anon_sym_BSLASHdc] = ACTIONS(47),
    [anon_sym_BSLASHk] = ACTIONS(47),
    [anon_sym_BSLASHnd] = ACTIONS(47),
    [anon_sym_BSLASHord] = ACTIONS(47),
    [anon_sym_BSLASHpn] = ACTIONS(47),
    [anon_sym_BSLASHpng] = ACTIONS(47),
    [anon_sym_BSLASHaddpn] = ACTIONS(47),
    [anon_sym_BSLASHqt] = ACTIONS(47),
    [anon_sym_BSLASHsig] = ACTIONS(47),
    [anon_sym_BSLASHsls] = ACTIONS(47),
    [anon_sym_BSLASHtl] = ACTIONS(47),
    [anon_sym_BSLASHwj] = ACTIONS(47),
    [anon_sym_BSLASHem] = ACTIONS(47),
    [anon_sym_BSLASHbd] = ACTIONS(47),
    [anon_sym_BSLASHit] = ACTIONS(47),
    [anon_sym_BSLASHbdit] = ACTIONS(47),
    [anon_sym_BSLASHno] = ACTIONS(47),
    [anon_sym_BSLASHsc] = ACTIONS(47),
    [anon_sym_BSLASHsup] = ACTIONS(47),
    [anon_sym_BSLASHndx] = ACTIONS(47),
    [anon_sym_BSLASHpro] = ACTIONS(47),
    [anon_sym_BSLASHrb] = ACTIONS(47),
    [anon_sym_BSLASHw] = ACTIONS(47),
    [anon_sym_BSLASHwg] = ACTIONS(47),
    [anon_sym_BSLASHwh] = ACTIONS(47),
    [anon_sym_BSLASHwa] = ACTIONS(47),
    [anon_sym_BSLASHfig] = ACTIONS(47),
    [anon_sym_BSLASHjmp] = ACTIONS(47),
    [anon_sym_BSLASHpb] = ACTIONS(47),
    [anon_sym_BSLASH] = ACTIONS(47),
    [sym_milestoneStartTag] = ACTIONS(47),
    [sym_milestoneEndTag] = ACTIONS(47),
    [sym_zSpaceTag] = ACTIONS(47),
    [anon_sym_BSLASHesb] = ACTIONS(47),
  },
  [437] = {
    [aux_sym_text_token1] = ACTIONS(5906),
    [anon_sym_BSLASHref] = ACTIONS(5906),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHfr] = ACTIONS(5906),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHfq] = ACTIONS(5906),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHfqa] = ACTIONS(5906),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHfk] = ACTIONS(5906),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHfl] = ACTIONS(5906),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHfw] = ACTIONS(5906),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHfp] = ACTIONS(5906),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHft] = ACTIONS(5906),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHfdc] = ACTIONS(5906),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHfv] = ACTIONS(5906),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHxt] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5906),
    [anon_sym_BSLASHadd] = ACTIONS(5906),
    [anon_sym_BSLASHbk] = ACTIONS(5906),
    [anon_sym_BSLASHdc] = ACTIONS(5906),
    [anon_sym_BSLASHk] = ACTIONS(5906),
    [anon_sym_BSLASHnd] = ACTIONS(5906),
    [anon_sym_BSLASHord] = ACTIONS(5906),
    [anon_sym_BSLASHpn] = ACTIONS(5906),
    [anon_sym_BSLASHpng] = ACTIONS(5906),
    [anon_sym_BSLASHaddpn] = ACTIONS(5906),
    [anon_sym_BSLASHqt] = ACTIONS(5906),
    [anon_sym_BSLASHsig] = ACTIONS(5906),
    [anon_sym_BSLASHsls] = ACTIONS(5906),
    [anon_sym_BSLASHtl] = ACTIONS(5906),
    [anon_sym_BSLASHwj] = ACTIONS(5906),
    [anon_sym_BSLASHem] = ACTIONS(5906),
    [anon_sym_BSLASHbd] = ACTIONS(5906),
    [anon_sym_BSLASHit] = ACTIONS(5906),
    [anon_sym_BSLASHbdit] = ACTIONS(5906),
    [anon_sym_BSLASHno] = ACTIONS(5906),
    [anon_sym_BSLASHsc] = ACTIONS(5906),
    [anon_sym_BSLASHsup] = ACTIONS(5906),
    [anon_sym_BSLASHndx] = ACTIONS(5906),
    [anon_sym_BSLASHpro] = ACTIONS(5906),
    [anon_sym_BSLASHrb] = ACTIONS(5906),
    [anon_sym_BSLASHw] = ACTIONS(5906),
    [anon_sym_BSLASHwg] = ACTIONS(5906),
    [anon_sym_BSLASHwh] = ACTIONS(5906),
    [anon_sym_BSLASHwa] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5906),
    [anon_sym_BSLASHfig] = ACTIONS(5906),
    [anon_sym_BSLASHjmp] = ACTIONS(5906),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5906),
    [anon_sym_BSLASHcat] = ACTIONS(5906),
    [sym_customAttributeName] = ACTIONS(5906),
    [anon_sym_PIPE] = ACTIONS(5906),
    [anon_sym_link_DASHhref] = ACTIONS(5906),
    [anon_sym_link_DASHtitle] = ACTIONS(5906),
    [anon_sym_link_DASHid] = ACTIONS(5906),
    [anon_sym_href] = ACTIONS(5906),
    [anon_sym_title] = ACTIONS(5906),
    [anon_sym_id] = ACTIONS(5906),
    [anon_sym_x_DASH] = ACTIONS(5906),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqs] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqac] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_BSLASH_STAR] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [sym__zSpaceClose] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [439] = {
    [aux_sym_text_token1] = ACTIONS(5908),
    [anon_sym_BSLASHref] = ACTIONS(5908),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfr] = ACTIONS(5908),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfq] = ACTIONS(5908),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfqa] = ACTIONS(5908),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfk] = ACTIONS(5908),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfl] = ACTIONS(5908),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfw] = ACTIONS(5908),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfp] = ACTIONS(5908),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHft] = ACTIONS(5908),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfdc] = ACTIONS(5908),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfv] = ACTIONS(5908),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHxt] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHadd] = ACTIONS(5908),
    [anon_sym_BSLASHbk] = ACTIONS(5908),
    [anon_sym_BSLASHdc] = ACTIONS(5908),
    [anon_sym_BSLASHk] = ACTIONS(5908),
    [anon_sym_BSLASHnd] = ACTIONS(5908),
    [anon_sym_BSLASHord] = ACTIONS(5908),
    [anon_sym_BSLASHpn] = ACTIONS(5908),
    [anon_sym_BSLASHpng] = ACTIONS(5908),
    [anon_sym_BSLASHaddpn] = ACTIONS(5908),
    [anon_sym_BSLASHqt] = ACTIONS(5908),
    [anon_sym_BSLASHsig] = ACTIONS(5908),
    [anon_sym_BSLASHsls] = ACTIONS(5908),
    [anon_sym_BSLASHtl] = ACTIONS(5908),
    [anon_sym_BSLASHwj] = ACTIONS(5908),
    [anon_sym_BSLASHem] = ACTIONS(5908),
    [anon_sym_BSLASHbd] = ACTIONS(5908),
    [anon_sym_BSLASHit] = ACTIONS(5908),
    [anon_sym_BSLASHbdit] = ACTIONS(5908),
    [anon_sym_BSLASHno] = ACTIONS(5908),
    [anon_sym_BSLASHsc] = ACTIONS(5908),
    [anon_sym_BSLASHsup] = ACTIONS(5908),
    [anon_sym_BSLASHndx] = ACTIONS(5908),
    [anon_sym_BSLASHpro] = ACTIONS(5908),
    [anon_sym_BSLASHrb] = ACTIONS(5908),
    [anon_sym_BSLASHw] = ACTIONS(5908),
    [anon_sym_BSLASHwg] = ACTIONS(5908),
    [anon_sym_BSLASHwh] = ACTIONS(5908),
    [anon_sym_BSLASHwa] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5908),
    [anon_sym_BSLASHfig] = ACTIONS(5908),
    [anon_sym_BSLASHjmp] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5908),
    [anon_sym_BSLASHcat] = ACTIONS(5908),
    [sym_customAttributeName] = ACTIONS(5908),
    [anon_sym_PIPE] = ACTIONS(5908),
    [anon_sym_link_DASHhref] = ACTIONS(5908),
    [anon_sym_link_DASHtitle] = ACTIONS(5908),
    [anon_sym_link_DASHid] = ACTIONS(5908),
    [anon_sym_href] = ACTIONS(5908),
    [anon_sym_title] = ACTIONS(5908),
    [anon_sym_id] = ACTIONS(5908),
    [anon_sym_x_DASH] = ACTIONS(5908),
  },
  [440] = {
    [aux_sym_text_token1] = ACTIONS(5910),
    [anon_sym_BSLASHref] = ACTIONS(5910),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHfr] = ACTIONS(5910),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHfq] = ACTIONS(5910),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHfqa] = ACTIONS(5910),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHfk] = ACTIONS(5910),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHfl] = ACTIONS(5910),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHfw] = ACTIONS(5910),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHfp] = ACTIONS(5910),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHft] = ACTIONS(5910),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHfdc] = ACTIONS(5910),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHfv] = ACTIONS(5910),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHxt] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5910),
    [anon_sym_BSLASHadd] = ACTIONS(5910),
    [anon_sym_BSLASHbk] = ACTIONS(5910),
    [anon_sym_BSLASHdc] = ACTIONS(5910),
    [anon_sym_BSLASHk] = ACTIONS(5910),
    [anon_sym_BSLASHnd] = ACTIONS(5910),
    [anon_sym_BSLASHord] = ACTIONS(5910),
    [anon_sym_BSLASHpn] = ACTIONS(5910),
    [anon_sym_BSLASHpng] = ACTIONS(5910),
    [anon_sym_BSLASHaddpn] = ACTIONS(5910),
    [anon_sym_BSLASHqt] = ACTIONS(5910),
    [anon_sym_BSLASHsig] = ACTIONS(5910),
    [anon_sym_BSLASHsls] = ACTIONS(5910),
    [anon_sym_BSLASHtl] = ACTIONS(5910),
    [anon_sym_BSLASHwj] = ACTIONS(5910),
    [anon_sym_BSLASHem] = ACTIONS(5910),
    [anon_sym_BSLASHbd] = ACTIONS(5910),
    [anon_sym_BSLASHit] = ACTIONS(5910),
    [anon_sym_BSLASHbdit] = ACTIONS(5910),
    [anon_sym_BSLASHno] = ACTIONS(5910),
    [anon_sym_BSLASHsc] = ACTIONS(5910),
    [anon_sym_BSLASHsup] = ACTIONS(5910),
    [anon_sym_BSLASHndx] = ACTIONS(5910),
    [anon_sym_BSLASHpro] = ACTIONS(5910),
    [anon_sym_BSLASHrb] = ACTIONS(5910),
    [anon_sym_BSLASHw] = ACTIONS(5910),
    [anon_sym_BSLASHwg] = ACTIONS(5910),
    [anon_sym_BSLASHwh] = ACTIONS(5910),
    [anon_sym_BSLASHwa] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5910),
    [anon_sym_BSLASHfig] = ACTIONS(5910),
    [anon_sym_BSLASHjmp] = ACTIONS(5910),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5910),
    [anon_sym_BSLASHcat] = ACTIONS(5910),
    [sym_customAttributeName] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5910),
    [anon_sym_link_DASHhref] = ACTIONS(5910),
    [anon_sym_link_DASHtitle] = ACTIONS(5910),
    [anon_sym_link_DASHid] = ACTIONS(5910),
    [anon_sym_href] = ACTIONS(5910),
    [anon_sym_title] = ACTIONS(5910),
    [anon_sym_id] = ACTIONS(5910),
    [anon_sym_x_DASH] = ACTIONS(5910),
  },
  [441] = {
    [aux_sym_text_token1] = ACTIONS(5912),
    [anon_sym_BSLASHref] = ACTIONS(5912),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfr] = ACTIONS(5912),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfq] = ACTIONS(5912),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfqa] = ACTIONS(5912),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfk] = ACTIONS(5912),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfl] = ACTIONS(5912),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfw] = ACTIONS(5912),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfp] = ACTIONS(5912),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHft] = ACTIONS(5912),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfdc] = ACTIONS(5912),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfv] = ACTIONS(5912),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHxt] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHadd] = ACTIONS(5912),
    [anon_sym_BSLASHbk] = ACTIONS(5912),
    [anon_sym_BSLASHdc] = ACTIONS(5912),
    [anon_sym_BSLASHk] = ACTIONS(5912),
    [anon_sym_BSLASHnd] = ACTIONS(5912),
    [anon_sym_BSLASHord] = ACTIONS(5912),
    [anon_sym_BSLASHpn] = ACTIONS(5912),
    [anon_sym_BSLASHpng] = ACTIONS(5912),
    [anon_sym_BSLASHaddpn] = ACTIONS(5912),
    [anon_sym_BSLASHqt] = ACTIONS(5912),
    [anon_sym_BSLASHsig] = ACTIONS(5912),
    [anon_sym_BSLASHsls] = ACTIONS(5912),
    [anon_sym_BSLASHtl] = ACTIONS(5912),
    [anon_sym_BSLASHwj] = ACTIONS(5912),
    [anon_sym_BSLASHem] = ACTIONS(5912),
    [anon_sym_BSLASHbd] = ACTIONS(5912),
    [anon_sym_BSLASHit] = ACTIONS(5912),
    [anon_sym_BSLASHbdit] = ACTIONS(5912),
    [anon_sym_BSLASHno] = ACTIONS(5912),
    [anon_sym_BSLASHsc] = ACTIONS(5912),
    [anon_sym_BSLASHsup] = ACTIONS(5912),
    [anon_sym_BSLASHndx] = ACTIONS(5912),
    [anon_sym_BSLASHpro] = ACTIONS(5912),
    [anon_sym_BSLASHrb] = ACTIONS(5912),
    [anon_sym_BSLASHw] = ACTIONS(5912),
    [anon_sym_BSLASHwg] = ACTIONS(5912),
    [anon_sym_BSLASHwh] = ACTIONS(5912),
    [anon_sym_BSLASHwa] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5912),
    [anon_sym_BSLASHfig] = ACTIONS(5912),
    [anon_sym_BSLASHjmp] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5912),
    [anon_sym_BSLASHcat] = ACTIONS(5912),
    [sym_customAttributeName] = ACTIONS(5912),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_link_DASHhref] = ACTIONS(5912),
    [anon_sym_link_DASHtitle] = ACTIONS(5912),
    [anon_sym_link_DASHid] = ACTIONS(5912),
    [anon_sym_href] = ACTIONS(5912),
    [anon_sym_title] = ACTIONS(5912),
    [anon_sym_id] = ACTIONS(5912),
    [anon_sym_x_DASH] = ACTIONS(5912),
  },
  [442] = {
    [aux_sym_text_token1] = ACTIONS(5914),
    [anon_sym_BSLASHref] = ACTIONS(5914),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHfr] = ACTIONS(5914),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHfq] = ACTIONS(5914),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHfqa] = ACTIONS(5914),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHfk] = ACTIONS(5914),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHfl] = ACTIONS(5914),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHfw] = ACTIONS(5914),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHfp] = ACTIONS(5914),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHft] = ACTIONS(5914),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHfdc] = ACTIONS(5914),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHfv] = ACTIONS(5914),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHxt] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5914),
    [anon_sym_BSLASHadd] = ACTIONS(5914),
    [anon_sym_BSLASHbk] = ACTIONS(5914),
    [anon_sym_BSLASHdc] = ACTIONS(5914),
    [anon_sym_BSLASHk] = ACTIONS(5914),
    [anon_sym_BSLASHnd] = ACTIONS(5914),
    [anon_sym_BSLASHord] = ACTIONS(5914),
    [anon_sym_BSLASHpn] = ACTIONS(5914),
    [anon_sym_BSLASHpng] = ACTIONS(5914),
    [anon_sym_BSLASHaddpn] = ACTIONS(5914),
    [anon_sym_BSLASHqt] = ACTIONS(5914),
    [anon_sym_BSLASHsig] = ACTIONS(5914),
    [anon_sym_BSLASHsls] = ACTIONS(5914),
    [anon_sym_BSLASHtl] = ACTIONS(5914),
    [anon_sym_BSLASHwj] = ACTIONS(5914),
    [anon_sym_BSLASHem] = ACTIONS(5914),
    [anon_sym_BSLASHbd] = ACTIONS(5914),
    [anon_sym_BSLASHit] = ACTIONS(5914),
    [anon_sym_BSLASHbdit] = ACTIONS(5914),
    [anon_sym_BSLASHno] = ACTIONS(5914),
    [anon_sym_BSLASHsc] = ACTIONS(5914),
    [anon_sym_BSLASHsup] = ACTIONS(5914),
    [anon_sym_BSLASHndx] = ACTIONS(5914),
    [anon_sym_BSLASHpro] = ACTIONS(5914),
    [anon_sym_BSLASHrb] = ACTIONS(5914),
    [anon_sym_BSLASHw] = ACTIONS(5914),
    [anon_sym_BSLASHwg] = ACTIONS(5914),
    [anon_sym_BSLASHwh] = ACTIONS(5914),
    [anon_sym_BSLASHwa] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5914),
    [anon_sym_BSLASHfig] = ACTIONS(5914),
    [anon_sym_BSLASHjmp] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5914),
    [anon_sym_BSLASHcat] = ACTIONS(5914),
    [sym_customAttributeName] = ACTIONS(5914),
    [anon_sym_PIPE] = ACTIONS(5914),
    [anon_sym_link_DASHhref] = ACTIONS(5914),
    [anon_sym_link_DASHtitle] = ACTIONS(5914),
    [anon_sym_link_DASHid] = ACTIONS(5914),
    [anon_sym_href] = ACTIONS(5914),
    [anon_sym_title] = ACTIONS(5914),
    [anon_sym_id] = ACTIONS(5914),
    [anon_sym_x_DASH] = ACTIONS(5914),
  },
  [443] = {
    [aux_sym_text_token1] = ACTIONS(5916),
    [anon_sym_BSLASHref] = ACTIONS(5916),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHfr] = ACTIONS(5916),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHfq] = ACTIONS(5916),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHfqa] = ACTIONS(5916),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHfk] = ACTIONS(5916),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHfl] = ACTIONS(5916),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHfw] = ACTIONS(5916),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHfp] = ACTIONS(5916),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHft] = ACTIONS(5916),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHfdc] = ACTIONS(5916),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHfv] = ACTIONS(5916),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHxt] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5916),
    [anon_sym_BSLASHadd] = ACTIONS(5916),
    [anon_sym_BSLASHbk] = ACTIONS(5916),
    [anon_sym_BSLASHdc] = ACTIONS(5916),
    [anon_sym_BSLASHk] = ACTIONS(5916),
    [anon_sym_BSLASHnd] = ACTIONS(5916),
    [anon_sym_BSLASHord] = ACTIONS(5916),
    [anon_sym_BSLASHpn] = ACTIONS(5916),
    [anon_sym_BSLASHpng] = ACTIONS(5916),
    [anon_sym_BSLASHaddpn] = ACTIONS(5916),
    [anon_sym_BSLASHqt] = ACTIONS(5916),
    [anon_sym_BSLASHsig] = ACTIONS(5916),
    [anon_sym_BSLASHsls] = ACTIONS(5916),
    [anon_sym_BSLASHtl] = ACTIONS(5916),
    [anon_sym_BSLASHwj] = ACTIONS(5916),
    [anon_sym_BSLASHem] = ACTIONS(5916),
    [anon_sym_BSLASHbd] = ACTIONS(5916),
    [anon_sym_BSLASHit] = ACTIONS(5916),
    [anon_sym_BSLASHbdit] = ACTIONS(5916),
    [anon_sym_BSLASHno] = ACTIONS(5916),
    [anon_sym_BSLASHsc] = ACTIONS(5916),
    [anon_sym_BSLASHsup] = ACTIONS(5916),
    [anon_sym_BSLASHndx] = ACTIONS(5916),
    [anon_sym_BSLASHpro] = ACTIONS(5916),
    [anon_sym_BSLASHrb] = ACTIONS(5916),
    [anon_sym_BSLASHw] = ACTIONS(5916),
    [anon_sym_BSLASHwg] = ACTIONS(5916),
    [anon_sym_BSLASHwh] = ACTIONS(5916),
    [anon_sym_BSLASHwa] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5916),
    [anon_sym_BSLASHfig] = ACTIONS(5916),
    [anon_sym_BSLASHjmp] = ACTIONS(5916),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5916),
    [anon_sym_BSLASHcat] = ACTIONS(5916),
    [sym_customAttributeName] = ACTIONS(5916),
    [anon_sym_PIPE] = ACTIONS(5916),
    [anon_sym_link_DASHhref] = ACTIONS(5916),
    [anon_sym_link_DASHtitle] = ACTIONS(5916),
    [anon_sym_link_DASHid] = ACTIONS(5916),
    [anon_sym_href] = ACTIONS(5916),
    [anon_sym_title] = ACTIONS(5916),
    [anon_sym_id] = ACTIONS(5916),
    [anon_sym_x_DASH] = ACTIONS(5916),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(506),
    [aux_sym_text_token1] = ACTIONS(506),
    [anon_sym_BSLASHref] = ACTIONS(508),
    [anon_sym_BSLASHsts] = ACTIONS(508),
    [anon_sym_BSLASHrem] = ACTIONS(508),
    [anon_sym_BSLASHrestore] = ACTIONS(508),
    [anon_sym_BSLASHlit] = ACTIONS(508),
    [anon_sym_BSLASHiqt] = ACTIONS(508),
    [anon_sym_BSLASHip] = ACTIONS(508),
    [anon_sym_BSLASHiex] = ACTIONS(508),
    [anon_sym_BSLASHv] = ACTIONS(508),
    [anon_sym_BSLASHva] = ACTIONS(508),
    [anon_sym_BSLASHvp] = ACTIONS(508),
    [anon_sym_BSLASHc] = ACTIONS(508),
    [anon_sym_BSLASHcl] = ACTIONS(508),
    [anon_sym_BSLASHca] = ACTIONS(508),
    [anon_sym_BSLASHcp] = ACTIONS(508),
    [anon_sym_BSLASHcd] = ACTIONS(508),
    [anon_sym_BSLASHmte] = ACTIONS(508),
    [anon_sym_BSLASHms] = ACTIONS(508),
    [anon_sym_BSLASHs] = ACTIONS(508),
    [anon_sym_BSLASHr] = ACTIONS(508),
    [anon_sym_BSLASHsp] = ACTIONS(508),
    [anon_sym_BSLASHd] = ACTIONS(508),
    [anon_sym_BSLASHsd] = ACTIONS(508),
    [anon_sym_BSLASHp] = ACTIONS(508),
    [anon_sym_BSLASHm] = ACTIONS(508),
    [anon_sym_BSLASHpo] = ACTIONS(508),
    [anon_sym_BSLASHpr] = ACTIONS(508),
    [anon_sym_BSLASHcls] = ACTIONS(508),
    [anon_sym_BSLASHpmo] = ACTIONS(508),
    [anon_sym_BSLASHpm] = ACTIONS(508),
    [anon_sym_BSLASHpmc] = ACTIONS(508),
    [anon_sym_BSLASHpmr] = ACTIONS(508),
    [anon_sym_BSLASHpi] = ACTIONS(508),
    [anon_sym_BSLASHmi] = ACTIONS(508),
    [anon_sym_BSLASHnb] = ACTIONS(508),
    [anon_sym_BSLASHpc] = ACTIONS(508),
    [anon_sym_BSLASHph] = ACTIONS(508),
    [anon_sym_BSLASHb] = ACTIONS(508),
    [anon_sym_BSLASHq] = ACTIONS(508),
    [anon_sym_BSLASHqr] = ACTIONS(508),
    [anon_sym_BSLASHqc] = ACTIONS(508),
    [anon_sym_BSLASHqa] = ACTIONS(508),
    [anon_sym_BSLASHqm] = ACTIONS(508),
    [anon_sym_BSLASHqd] = ACTIONS(508),
    [anon_sym_BSLASHlh] = ACTIONS(508),
    [anon_sym_BSLASHlf] = ACTIONS(508),
    [anon_sym_BSLASHli] = ACTIONS(508),
    [anon_sym_BSLASHlim] = ACTIONS(508),
    [anon_sym_BSLASHliv] = ACTIONS(508),
    [anon_sym_BSLASHlik] = ACTIONS(508),
    [anon_sym_BSLASHlitl] = ACTIONS(508),
    [anon_sym_BSLASHtr] = ACTIONS(508),
    [anon_sym_BSLASHf] = ACTIONS(508),
    [anon_sym_BSLASHfe] = ACTIONS(508),
    [anon_sym_BSLASHef] = ACTIONS(508),
    [anon_sym_BSLASHfm] = ACTIONS(508),
    [anon_sym_BSLASHx] = ACTIONS(508),
    [anon_sym_BSLASHxt] = ACTIONS(508),
    [anon_sym_BSLASHrq] = ACTIONS(508),
    [anon_sym_BSLASHadd] = ACTIONS(508),
    [anon_sym_BSLASHbk] = ACTIONS(508),
    [anon_sym_BSLASHdc] = ACTIONS(508),
    [anon_sym_BSLASHk] = ACTIONS(508),
    [anon_sym_BSLASHnd] = ACTIONS(508),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(508),
    [anon_sym_BSLASHpng] = ACTIONS(508),
    [anon_sym_BSLASHaddpn] = ACTIONS(508),
    [anon_sym_BSLASHqt] = ACTIONS(508),
    [anon_sym_BSLASHsig] = ACTIONS(508),
    [anon_sym_BSLASHsls] = ACTIONS(508),
    [anon_sym_BSLASHtl] = ACTIONS(508),
    [anon_sym_BSLASHwj] = ACTIONS(508),
    [anon_sym_BSLASHem] = ACTIONS(508),
    [anon_sym_BSLASHbd] = ACTIONS(508),
    [anon_sym_BSLASHit] = ACTIONS(508),
    [anon_sym_BSLASHbdit] = ACTIONS(508),
    [anon_sym_BSLASHno] = ACTIONS(508),
    [anon_sym_BSLASHsc] = ACTIONS(508),
    [anon_sym_BSLASHsup] = ACTIONS(508),
    [anon_sym_BSLASHndx] = ACTIONS(508),
    [anon_sym_BSLASHpro] = ACTIONS(508),
    [anon_sym_BSLASHrb] = ACTIONS(508),
    [anon_sym_BSLASHw] = ACTIONS(508),
    [anon_sym_BSLASHwg] = ACTIONS(508),
    [anon_sym_BSLASHwh] = ACTIONS(508),
    [anon_sym_BSLASHwa] = ACTIONS(508),
    [anon_sym_BSLASHfig] = ACTIONS(508),
    [anon_sym_BSLASHjmp] = ACTIONS(508),
    [anon_sym_BSLASHpb] = ACTIONS(508),
    [anon_sym_BSLASH] = ACTIONS(508),
    [sym_milestoneStartTag] = ACTIONS(508),
    [sym_milestoneEndTag] = ACTIONS(508),
    [sym_zSpaceTag] = ACTIONS(508),
    [anon_sym_BSLASHesb] = ACTIONS(508),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(510),
    [aux_sym_text_token1] = ACTIONS(510),
    [anon_sym_BSLASHref] = ACTIONS(512),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(512),
    [anon_sym_BSLASHrestore] = ACTIONS(512),
    [anon_sym_BSLASHlit] = ACTIONS(512),
    [anon_sym_BSLASHiqt] = ACTIONS(512),
    [anon_sym_BSLASHip] = ACTIONS(512),
    [anon_sym_BSLASHiex] = ACTIONS(512),
    [anon_sym_BSLASHv] = ACTIONS(512),
    [anon_sym_BSLASHva] = ACTIONS(512),
    [anon_sym_BSLASHvp] = ACTIONS(512),
    [anon_sym_BSLASHc] = ACTIONS(512),
    [anon_sym_BSLASHcl] = ACTIONS(512),
    [anon_sym_BSLASHca] = ACTIONS(512),
    [anon_sym_BSLASHcp] = ACTIONS(512),
    [anon_sym_BSLASHcd] = ACTIONS(512),
    [anon_sym_BSLASHmte] = ACTIONS(512),
    [anon_sym_BSLASHms] = ACTIONS(512),
    [anon_sym_BSLASHs] = ACTIONS(512),
    [anon_sym_BSLASHr] = ACTIONS(512),
    [anon_sym_BSLASHsp] = ACTIONS(512),
    [anon_sym_BSLASHd] = ACTIONS(512),
    [anon_sym_BSLASHsd] = ACTIONS(512),
    [anon_sym_BSLASHp] = ACTIONS(512),
    [anon_sym_BSLASHm] = ACTIONS(512),
    [anon_sym_BSLASHpo] = ACTIONS(512),
    [anon_sym_BSLASHpr] = ACTIONS(512),
    [anon_sym_BSLASHcls] = ACTIONS(512),
    [anon_sym_BSLASHpmo] = ACTIONS(512),
    [anon_sym_BSLASHpm] = ACTIONS(512),
    [anon_sym_BSLASHpmc] = ACTIONS(512),
    [anon_sym_BSLASHpmr] = ACTIONS(512),
    [anon_sym_BSLASHpi] = ACTIONS(512),
    [anon_sym_BSLASHmi] = ACTIONS(512),
    [anon_sym_BSLASHnb] = ACTIONS(512),
    [anon_sym_BSLASHpc] = ACTIONS(512),
    [anon_sym_BSLASHph] = ACTIONS(512),
    [anon_sym_BSLASHb] = ACTIONS(512),
    [anon_sym_BSLASHq] = ACTIONS(512),
    [anon_sym_BSLASHqr] = ACTIONS(512),
    [anon_sym_BSLASHqc] = ACTIONS(512),
    [anon_sym_BSLASHqa] = ACTIONS(512),
    [anon_sym_BSLASHqm] = ACTIONS(512),
    [anon_sym_BSLASHqd] = ACTIONS(512),
    [anon_sym_BSLASHlh] = ACTIONS(512),
    [anon_sym_BSLASHlf] = ACTIONS(512),
    [anon_sym_BSLASHli] = ACTIONS(512),
    [anon_sym_BSLASHlim] = ACTIONS(512),
    [anon_sym_BSLASHliv] = ACTIONS(512),
    [anon_sym_BSLASHlik] = ACTIONS(512),
    [anon_sym_BSLASHlitl] = ACTIONS(512),
    [anon_sym_BSLASHtr] = ACTIONS(512),
    [anon_sym_BSLASHf] = ACTIONS(512),
    [anon_sym_BSLASHfe] = ACTIONS(512),
    [anon_sym_BSLASHef] = ACTIONS(512),
    [anon_sym_BSLASHfm] = ACTIONS(512),
    [anon_sym_BSLASHx] = ACTIONS(512),
    [anon_sym_BSLASHxt] = ACTIONS(512),
    [anon_sym_BSLASHrq] = ACTIONS(512),
    [anon_sym_BSLASHadd] = ACTIONS(512),
    [anon_sym_BSLASHbk] = ACTIONS(512),
    [anon_sym_BSLASHdc] = ACTIONS(512),
    [anon_sym_BSLASHk] = ACTIONS(512),
    [anon_sym_BSLASHnd] = ACTIONS(512),
    [anon_sym_BSLASHord] = ACTIONS(512),
    [anon_sym_BSLASHpn] = ACTIONS(512),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(512),
    [anon_sym_BSLASHqt] = ACTIONS(512),
    [anon_sym_BSLASHsig] = ACTIONS(512),
    [anon_sym_BSLASHsls] = ACTIONS(512),
    [anon_sym_BSLASHtl] = ACTIONS(512),
    [anon_sym_BSLASHwj] = ACTIONS(512),
    [anon_sym_BSLASHem] = ACTIONS(512),
    [anon_sym_BSLASHbd] = ACTIONS(512),
    [anon_sym_BSLASHit] = ACTIONS(512),
    [anon_sym_BSLASHbdit] = ACTIONS(512),
    [anon_sym_BSLASHno] = ACTIONS(512),
    [anon_sym_BSLASHsc] = ACTIONS(512),
    [anon_sym_BSLASHsup] = ACTIONS(512),
    [anon_sym_BSLASHndx] = ACTIONS(512),
    [anon_sym_BSLASHpro] = ACTIONS(512),
    [anon_sym_BSLASHrb] = ACTIONS(512),
    [anon_sym_BSLASHw] = ACTIONS(512),
    [anon_sym_BSLASHwg] = ACTIONS(512),
    [anon_sym_BSLASHwh] = ACTIONS(512),
    [anon_sym_BSLASHwa] = ACTIONS(512),
    [anon_sym_BSLASHfig] = ACTIONS(512),
    [anon_sym_BSLASHjmp] = ACTIONS(512),
    [anon_sym_BSLASHpb] = ACTIONS(512),
    [anon_sym_BSLASH] = ACTIONS(512),
    [sym_milestoneStartTag] = ACTIONS(512),
    [sym_milestoneEndTag] = ACTIONS(512),
    [sym_zSpaceTag] = ACTIONS(512),
    [anon_sym_BSLASHesb] = ACTIONS(512),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(5918),
    [aux_sym_text_token1] = ACTIONS(5918),
    [anon_sym_BSLASHref] = ACTIONS(5920),
    [anon_sym_BSLASHsts] = ACTIONS(5920),
    [anon_sym_BSLASHrem] = ACTIONS(5920),
    [anon_sym_BSLASHrestore] = ACTIONS(5920),
    [anon_sym_BSLASHlit] = ACTIONS(5920),
    [anon_sym_BSLASHip] = ACTIONS(5920),
    [anon_sym_BSLASHiex] = ACTIONS(5920),
    [anon_sym_BSLASHv] = ACTIONS(5920),
    [anon_sym_BSLASHva] = ACTIONS(5920),
    [anon_sym_BSLASHvp] = ACTIONS(5920),
    [anon_sym_BSLASHc] = ACTIONS(5920),
    [anon_sym_BSLASHcl] = ACTIONS(5920),
    [anon_sym_BSLASHca] = ACTIONS(5920),
    [anon_sym_BSLASHcp] = ACTIONS(5920),
    [anon_sym_BSLASHcd] = ACTIONS(5920),
    [anon_sym_BSLASHmte] = ACTIONS(5920),
    [anon_sym_BSLASHms] = ACTIONS(5920),
    [anon_sym_BSLASHs] = ACTIONS(5920),
    [anon_sym_BSLASHr] = ACTIONS(5920),
    [anon_sym_BSLASHsp] = ACTIONS(5920),
    [anon_sym_BSLASHd] = ACTIONS(5920),
    [anon_sym_BSLASHsd] = ACTIONS(5920),
    [anon_sym_BSLASHp] = ACTIONS(5920),
    [anon_sym_BSLASHm] = ACTIONS(5920),
    [anon_sym_BSLASHpo] = ACTIONS(5920),
    [anon_sym_BSLASHpr] = ACTIONS(5920),
    [anon_sym_BSLASHcls] = ACTIONS(5920),
    [anon_sym_BSLASHpmo] = ACTIONS(5920),
    [anon_sym_BSLASHpm] = ACTIONS(5920),
    [anon_sym_BSLASHpmc] = ACTIONS(5920),
    [anon_sym_BSLASHpmr] = ACTIONS(5920),
    [anon_sym_BSLASHpi] = ACTIONS(5920),
    [anon_sym_BSLASHmi] = ACTIONS(5920),
    [anon_sym_BSLASHnb] = ACTIONS(5920),
    [anon_sym_BSLASHpc] = ACTIONS(5920),
    [anon_sym_BSLASHph] = ACTIONS(5920),
    [anon_sym_BSLASHb] = ACTIONS(5920),
    [anon_sym_BSLASHq] = ACTIONS(5920),
    [anon_sym_BSLASHqr] = ACTIONS(5920),
    [anon_sym_BSLASHqc] = ACTIONS(5920),
    [anon_sym_BSLASHqa] = ACTIONS(5920),
    [anon_sym_BSLASHqm] = ACTIONS(5920),
    [anon_sym_BSLASHqd] = ACTIONS(5920),
    [anon_sym_BSLASHlh] = ACTIONS(5920),
    [anon_sym_BSLASHlf] = ACTIONS(5920),
    [anon_sym_BSLASHli] = ACTIONS(5920),
    [anon_sym_BSLASHlim] = ACTIONS(5920),
    [anon_sym_BSLASHliv] = ACTIONS(5920),
    [anon_sym_BSLASHlik] = ACTIONS(5920),
    [anon_sym_BSLASHlitl] = ACTIONS(5920),
    [anon_sym_BSLASHtr] = ACTIONS(5920),
    [anon_sym_BSLASHf] = ACTIONS(5920),
    [anon_sym_BSLASHfe] = ACTIONS(5920),
    [anon_sym_BSLASHef] = ACTIONS(5920),
    [anon_sym_BSLASHfm] = ACTIONS(5920),
    [anon_sym_BSLASHx] = ACTIONS(5920),
    [anon_sym_BSLASHxt] = ACTIONS(5920),
    [anon_sym_BSLASHrq] = ACTIONS(5920),
    [anon_sym_BSLASHadd] = ACTIONS(5920),
    [anon_sym_BSLASHbk] = ACTIONS(5920),
    [anon_sym_BSLASHdc] = ACTIONS(5920),
    [anon_sym_BSLASHk] = ACTIONS(5920),
    [anon_sym_BSLASHnd] = ACTIONS(5920),
    [anon_sym_BSLASHord] = ACTIONS(5920),
    [anon_sym_BSLASHpn] = ACTIONS(5920),
    [anon_sym_BSLASHpng] = ACTIONS(5920),
    [anon_sym_BSLASHaddpn] = ACTIONS(5920),
    [anon_sym_BSLASHqt] = ACTIONS(5920),
    [anon_sym_BSLASHsig] = ACTIONS(5920),
    [anon_sym_BSLASHsls] = ACTIONS(5920),
    [anon_sym_BSLASHtl] = ACTIONS(5920),
    [anon_sym_BSLASHwj] = ACTIONS(5920),
    [anon_sym_BSLASHem] = ACTIONS(5920),
    [anon_sym_BSLASHbd] = ACTIONS(5920),
    [anon_sym_BSLASHit] = ACTIONS(5920),
    [anon_sym_BSLASHbdit] = ACTIONS(5920),
    [anon_sym_BSLASHno] = ACTIONS(5920),
    [anon_sym_BSLASHsc] = ACTIONS(5920),
    [anon_sym_BSLASHsup] = ACTIONS(5920),
    [anon_sym_BSLASHndx] = ACTIONS(5920),
    [anon_sym_BSLASHpro] = ACTIONS(5920),
    [anon_sym_BSLASHrb] = ACTIONS(5920),
    [anon_sym_BSLASHw] = ACTIONS(5920),
    [anon_sym_BSLASHwg] = ACTIONS(5920),
    [anon_sym_BSLASHwh] = ACTIONS(5920),
    [anon_sym_BSLASHwa] = ACTIONS(5920),
    [anon_sym_BSLASHfig] = ACTIONS(5920),
    [anon_sym_BSLASHjmp] = ACTIONS(5920),
    [anon_sym_BSLASHpb] = ACTIONS(5920),
    [anon_sym_BSLASH] = ACTIONS(5920),
    [sym_milestoneStartTag] = ACTIONS(5920),
    [sym_milestoneEndTag] = ACTIONS(5920),
    [sym_zSpaceTag] = ACTIONS(5920),
    [anon_sym_BSLASHesb] = ACTIONS(5920),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(5922),
    [aux_sym_text_token1] = ACTIONS(5922),
    [anon_sym_BSLASHref] = ACTIONS(5924),
    [anon_sym_BSLASHsts] = ACTIONS(5924),
    [anon_sym_BSLASHrem] = ACTIONS(5924),
    [anon_sym_BSLASHrestore] = ACTIONS(5924),
    [anon_sym_BSLASHlit] = ACTIONS(5924),
    [anon_sym_BSLASHip] = ACTIONS(5924),
    [anon_sym_BSLASHiex] = ACTIONS(5924),
    [anon_sym_BSLASHv] = ACTIONS(5924),
    [anon_sym_BSLASHva] = ACTIONS(5924),
    [anon_sym_BSLASHvp] = ACTIONS(5924),
    [anon_sym_BSLASHc] = ACTIONS(5924),
    [anon_sym_BSLASHcl] = ACTIONS(5924),
    [anon_sym_BSLASHca] = ACTIONS(5924),
    [anon_sym_BSLASHcp] = ACTIONS(5924),
    [anon_sym_BSLASHcd] = ACTIONS(5924),
    [anon_sym_BSLASHmte] = ACTIONS(5924),
    [anon_sym_BSLASHms] = ACTIONS(5924),
    [anon_sym_BSLASHs] = ACTIONS(5924),
    [anon_sym_BSLASHr] = ACTIONS(5924),
    [anon_sym_BSLASHsp] = ACTIONS(5924),
    [anon_sym_BSLASHd] = ACTIONS(5924),
    [anon_sym_BSLASHsd] = ACTIONS(5924),
    [anon_sym_BSLASHp] = ACTIONS(5924),
    [anon_sym_BSLASHm] = ACTIONS(5924),
    [anon_sym_BSLASHpo] = ACTIONS(5924),
    [anon_sym_BSLASHpr] = ACTIONS(5924),
    [anon_sym_BSLASHcls] = ACTIONS(5924),
    [anon_sym_BSLASHpmo] = ACTIONS(5924),
    [anon_sym_BSLASHpm] = ACTIONS(5924),
    [anon_sym_BSLASHpmc] = ACTIONS(5924),
    [anon_sym_BSLASHpmr] = ACTIONS(5924),
    [anon_sym_BSLASHpi] = ACTIONS(5924),
    [anon_sym_BSLASHmi] = ACTIONS(5924),
    [anon_sym_BSLASHnb] = ACTIONS(5924),
    [anon_sym_BSLASHpc] = ACTIONS(5924),
    [anon_sym_BSLASHph] = ACTIONS(5924),
    [anon_sym_BSLASHb] = ACTIONS(5924),
    [anon_sym_BSLASHq] = ACTIONS(5924),
    [anon_sym_BSLASHqr] = ACTIONS(5924),
    [anon_sym_BSLASHqc] = ACTIONS(5924),
    [anon_sym_BSLASHqa] = ACTIONS(5924),
    [anon_sym_BSLASHqm] = ACTIONS(5924),
    [anon_sym_BSLASHqd] = ACTIONS(5924),
    [anon_sym_BSLASHlh] = ACTIONS(5924),
    [anon_sym_BSLASHlf] = ACTIONS(5924),
    [anon_sym_BSLASHli] = ACTIONS(5924),
    [anon_sym_BSLASHlim] = ACTIONS(5924),
    [anon_sym_BSLASHliv] = ACTIONS(5924),
    [anon_sym_BSLASHlik] = ACTIONS(5924),
    [anon_sym_BSLASHlitl] = ACTIONS(5924),
    [anon_sym_BSLASHtr] = ACTIONS(5924),
    [anon_sym_BSLASHf] = ACTIONS(5924),
    [anon_sym_BSLASHfe] = ACTIONS(5924),
    [anon_sym_BSLASHef] = ACTIONS(5924),
    [anon_sym_BSLASHfm] = ACTIONS(5924),
    [anon_sym_BSLASHx] = ACTIONS(5924),
    [anon_sym_BSLASHxt] = ACTIONS(5924),
    [anon_sym_BSLASHrq] = ACTIONS(5924),
    [anon_sym_BSLASHadd] = ACTIONS(5924),
    [anon_sym_BSLASHbk] = ACTIONS(5924),
    [anon_sym_BSLASHdc] = ACTIONS(5924),
    [anon_sym_BSLASHk] = ACTIONS(5924),
    [anon_sym_BSLASHnd] = ACTIONS(5924),
    [anon_sym_BSLASHord] = ACTIONS(5924),
    [anon_sym_BSLASHpn] = ACTIONS(5924),
    [anon_sym_BSLASHpng] = ACTIONS(5924),
    [anon_sym_BSLASHaddpn] = ACTIONS(5924),
    [anon_sym_BSLASHqt] = ACTIONS(5924),
    [anon_sym_BSLASHsig] = ACTIONS(5924),
    [anon_sym_BSLASHsls] = ACTIONS(5924),
    [anon_sym_BSLASHtl] = ACTIONS(5924),
    [anon_sym_BSLASHwj] = ACTIONS(5924),
    [anon_sym_BSLASHem] = ACTIONS(5924),
    [anon_sym_BSLASHbd] = ACTIONS(5924),
    [anon_sym_BSLASHit] = ACTIONS(5924),
    [anon_sym_BSLASHbdit] = ACTIONS(5924),
    [anon_sym_BSLASHno] = ACTIONS(5924),
    [anon_sym_BSLASHsc] = ACTIONS(5924),
    [anon_sym_BSLASHsup] = ACTIONS(5924),
    [anon_sym_BSLASHndx] = ACTIONS(5924),
    [anon_sym_BSLASHpro] = ACTIONS(5924),
    [anon_sym_BSLASHrb] = ACTIONS(5924),
    [anon_sym_BSLASHw] = ACTIONS(5924),
    [anon_sym_BSLASHwg] = ACTIONS(5924),
    [anon_sym_BSLASHwh] = ACTIONS(5924),
    [anon_sym_BSLASHwa] = ACTIONS(5924),
    [anon_sym_BSLASHfig] = ACTIONS(5924),
    [anon_sym_BSLASHjmp] = ACTIONS(5924),
    [anon_sym_BSLASHpb] = ACTIONS(5924),
    [anon_sym_BSLASH] = ACTIONS(5924),
    [sym_milestoneStartTag] = ACTIONS(5924),
    [sym_milestoneEndTag] = ACTIONS(5924),
    [sym_zSpaceTag] = ACTIONS(5924),
    [anon_sym_BSLASHesb] = ACTIONS(5924),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(5926),
    [aux_sym_text_token1] = ACTIONS(5926),
    [anon_sym_BSLASHref] = ACTIONS(5928),
    [anon_sym_BSLASHsts] = ACTIONS(5928),
    [anon_sym_BSLASHrem] = ACTIONS(5928),
    [anon_sym_BSLASHrestore] = ACTIONS(5928),
    [anon_sym_BSLASHlit] = ACTIONS(5928),
    [anon_sym_BSLASHip] = ACTIONS(5928),
    [anon_sym_BSLASHiex] = ACTIONS(5928),
    [anon_sym_BSLASHv] = ACTIONS(5928),
    [anon_sym_BSLASHva] = ACTIONS(5928),
    [anon_sym_BSLASHvp] = ACTIONS(5928),
    [anon_sym_BSLASHc] = ACTIONS(5928),
    [anon_sym_BSLASHcl] = ACTIONS(5928),
    [anon_sym_BSLASHca] = ACTIONS(5928),
    [anon_sym_BSLASHcp] = ACTIONS(5928),
    [anon_sym_BSLASHcd] = ACTIONS(5928),
    [anon_sym_BSLASHmte] = ACTIONS(5928),
    [anon_sym_BSLASHms] = ACTIONS(5928),
    [anon_sym_BSLASHs] = ACTIONS(5928),
    [anon_sym_BSLASHr] = ACTIONS(5928),
    [anon_sym_BSLASHsp] = ACTIONS(5928),
    [anon_sym_BSLASHd] = ACTIONS(5928),
    [anon_sym_BSLASHsd] = ACTIONS(5928),
    [anon_sym_BSLASHp] = ACTIONS(5928),
    [anon_sym_BSLASHm] = ACTIONS(5928),
    [anon_sym_BSLASHpo] = ACTIONS(5928),
    [anon_sym_BSLASHpr] = ACTIONS(5928),
    [anon_sym_BSLASHcls] = ACTIONS(5928),
    [anon_sym_BSLASHpmo] = ACTIONS(5928),
    [anon_sym_BSLASHpm] = ACTIONS(5928),
    [anon_sym_BSLASHpmc] = ACTIONS(5928),
    [anon_sym_BSLASHpmr] = ACTIONS(5928),
    [anon_sym_BSLASHpi] = ACTIONS(5928),
    [anon_sym_BSLASHmi] = ACTIONS(5928),
    [anon_sym_BSLASHnb] = ACTIONS(5928),
    [anon_sym_BSLASHpc] = ACTIONS(5928),
    [anon_sym_BSLASHph] = ACTIONS(5928),
    [anon_sym_BSLASHb] = ACTIONS(5928),
    [anon_sym_BSLASHq] = ACTIONS(5928),
    [anon_sym_BSLASHqr] = ACTIONS(5928),
    [anon_sym_BSLASHqc] = ACTIONS(5928),
    [anon_sym_BSLASHqa] = ACTIONS(5928),
    [anon_sym_BSLASHqm] = ACTIONS(5928),
    [anon_sym_BSLASHqd] = ACTIONS(5928),
    [anon_sym_BSLASHlh] = ACTIONS(5928),
    [anon_sym_BSLASHlf] = ACTIONS(5928),
    [anon_sym_BSLASHli] = ACTIONS(5928),
    [anon_sym_BSLASHlim] = ACTIONS(5928),
    [anon_sym_BSLASHliv] = ACTIONS(5928),
    [anon_sym_BSLASHlik] = ACTIONS(5928),
    [anon_sym_BSLASHlitl] = ACTIONS(5928),
    [anon_sym_BSLASHtr] = ACTIONS(5928),
    [anon_sym_BSLASHf] = ACTIONS(5928),
    [anon_sym_BSLASHfe] = ACTIONS(5928),
    [anon_sym_BSLASHef] = ACTIONS(5928),
    [anon_sym_BSLASHfm] = ACTIONS(5928),
    [anon_sym_BSLASHx] = ACTIONS(5928),
    [anon_sym_BSLASHxt] = ACTIONS(5928),
    [anon_sym_BSLASHrq] = ACTIONS(5928),
    [anon_sym_BSLASHadd] = ACTIONS(5928),
    [anon_sym_BSLASHbk] = ACTIONS(5928),
    [anon_sym_BSLASHdc] = ACTIONS(5928),
    [anon_sym_BSLASHk] = ACTIONS(5928),
    [anon_sym_BSLASHnd] = ACTIONS(5928),
    [anon_sym_BSLASHord] = ACTIONS(5928),
    [anon_sym_BSLASHpn] = ACTIONS(5928),
    [anon_sym_BSLASHpng] = ACTIONS(5928),
    [anon_sym_BSLASHaddpn] = ACTIONS(5928),
    [anon_sym_BSLASHqt] = ACTIONS(5928),
    [anon_sym_BSLASHsig] = ACTIONS(5928),
    [anon_sym_BSLASHsls] = ACTIONS(5928),
    [anon_sym_BSLASHtl] = ACTIONS(5928),
    [anon_sym_BSLASHwj] = ACTIONS(5928),
    [anon_sym_BSLASHem] = ACTIONS(5928),
    [anon_sym_BSLASHbd] = ACTIONS(5928),
    [anon_sym_BSLASHit] = ACTIONS(5928),
    [anon_sym_BSLASHbdit] = ACTIONS(5928),
    [anon_sym_BSLASHno] = ACTIONS(5928),
    [anon_sym_BSLASHsc] = ACTIONS(5928),
    [anon_sym_BSLASHsup] = ACTIONS(5928),
    [anon_sym_BSLASHndx] = ACTIONS(5928),
    [anon_sym_BSLASHpro] = ACTIONS(5928),
    [anon_sym_BSLASHrb] = ACTIONS(5928),
    [anon_sym_BSLASHw] = ACTIONS(5928),
    [anon_sym_BSLASHwg] = ACTIONS(5928),
    [anon_sym_BSLASHwh] = ACTIONS(5928),
    [anon_sym_BSLASHwa] = ACTIONS(5928),
    [anon_sym_BSLASHfig] = ACTIONS(5928),
    [anon_sym_BSLASHjmp] = ACTIONS(5928),
    [anon_sym_BSLASHpb] = ACTIONS(5928),
    [anon_sym_BSLASH] = ACTIONS(5928),
    [sym_milestoneStartTag] = ACTIONS(5928),
    [sym_milestoneEndTag] = ACTIONS(5928),
    [sym_zSpaceTag] = ACTIONS(5928),
    [anon_sym_BSLASHesb] = ACTIONS(5928),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(5930),
    [aux_sym_text_token1] = ACTIONS(5930),
    [anon_sym_BSLASHref] = ACTIONS(5932),
    [anon_sym_BSLASHsts] = ACTIONS(5932),
    [anon_sym_BSLASHrem] = ACTIONS(5932),
    [anon_sym_BSLASHrestore] = ACTIONS(5932),
    [anon_sym_BSLASHlit] = ACTIONS(5932),
    [anon_sym_BSLASHip] = ACTIONS(5932),
    [anon_sym_BSLASHiex] = ACTIONS(5932),
    [anon_sym_BSLASHv] = ACTIONS(5932),
    [anon_sym_BSLASHva] = ACTIONS(5932),
    [anon_sym_BSLASHvp] = ACTIONS(5932),
    [anon_sym_BSLASHc] = ACTIONS(5932),
    [anon_sym_BSLASHcl] = ACTIONS(5932),
    [anon_sym_BSLASHca] = ACTIONS(5932),
    [anon_sym_BSLASHcp] = ACTIONS(5932),
    [anon_sym_BSLASHcd] = ACTIONS(5932),
    [anon_sym_BSLASHmte] = ACTIONS(5932),
    [anon_sym_BSLASHms] = ACTIONS(5932),
    [anon_sym_BSLASHs] = ACTIONS(5932),
    [anon_sym_BSLASHr] = ACTIONS(5932),
    [anon_sym_BSLASHsp] = ACTIONS(5932),
    [anon_sym_BSLASHd] = ACTIONS(5932),
    [anon_sym_BSLASHsd] = ACTIONS(5932),
    [anon_sym_BSLASHp] = ACTIONS(5932),
    [anon_sym_BSLASHm] = ACTIONS(5932),
    [anon_sym_BSLASHpo] = ACTIONS(5932),
    [anon_sym_BSLASHpr] = ACTIONS(5932),
    [anon_sym_BSLASHcls] = ACTIONS(5932),
    [anon_sym_BSLASHpmo] = ACTIONS(5932),
    [anon_sym_BSLASHpm] = ACTIONS(5932),
    [anon_sym_BSLASHpmc] = ACTIONS(5932),
    [anon_sym_BSLASHpmr] = ACTIONS(5932),
    [anon_sym_BSLASHpi] = ACTIONS(5932),
    [anon_sym_BSLASHmi] = ACTIONS(5932),
    [anon_sym_BSLASHnb] = ACTIONS(5932),
    [anon_sym_BSLASHpc] = ACTIONS(5932),
    [anon_sym_BSLASHph] = ACTIONS(5932),
    [anon_sym_BSLASHb] = ACTIONS(5932),
    [anon_sym_BSLASHq] = ACTIONS(5932),
    [anon_sym_BSLASHqr] = ACTIONS(5932),
    [anon_sym_BSLASHqc] = ACTIONS(5932),
    [anon_sym_BSLASHqa] = ACTIONS(5932),
    [anon_sym_BSLASHqm] = ACTIONS(5932),
    [anon_sym_BSLASHqd] = ACTIONS(5932),
    [anon_sym_BSLASHlh] = ACTIONS(5932),
    [anon_sym_BSLASHlf] = ACTIONS(5932),
    [anon_sym_BSLASHli] = ACTIONS(5932),
    [anon_sym_BSLASHlim] = ACTIONS(5932),
    [anon_sym_BSLASHliv] = ACTIONS(5932),
    [anon_sym_BSLASHlik] = ACTIONS(5932),
    [anon_sym_BSLASHlitl] = ACTIONS(5932),
    [anon_sym_BSLASHtr] = ACTIONS(5932),
    [anon_sym_BSLASHf] = ACTIONS(5932),
    [anon_sym_BSLASHfe] = ACTIONS(5932),
    [anon_sym_BSLASHef] = ACTIONS(5932),
    [anon_sym_BSLASHfm] = ACTIONS(5932),
    [anon_sym_BSLASHx] = ACTIONS(5932),
    [anon_sym_BSLASHxt] = ACTIONS(5932),
    [anon_sym_BSLASHrq] = ACTIONS(5932),
    [anon_sym_BSLASHadd] = ACTIONS(5932),
    [anon_sym_BSLASHbk] = ACTIONS(5932),
    [anon_sym_BSLASHdc] = ACTIONS(5932),
    [anon_sym_BSLASHk] = ACTIONS(5932),
    [anon_sym_BSLASHnd] = ACTIONS(5932),
    [anon_sym_BSLASHord] = ACTIONS(5932),
    [anon_sym_BSLASHpn] = ACTIONS(5932),
    [anon_sym_BSLASHpng] = ACTIONS(5932),
    [anon_sym_BSLASHaddpn] = ACTIONS(5932),
    [anon_sym_BSLASHqt] = ACTIONS(5932),
    [anon_sym_BSLASHsig] = ACTIONS(5932),
    [anon_sym_BSLASHsls] = ACTIONS(5932),
    [anon_sym_BSLASHtl] = ACTIONS(5932),
    [anon_sym_BSLASHwj] = ACTIONS(5932),
    [anon_sym_BSLASHem] = ACTIONS(5932),
    [anon_sym_BSLASHbd] = ACTIONS(5932),
    [anon_sym_BSLASHit] = ACTIONS(5932),
    [anon_sym_BSLASHbdit] = ACTIONS(5932),
    [anon_sym_BSLASHno] = ACTIONS(5932),
    [anon_sym_BSLASHsc] = ACTIONS(5932),
    [anon_sym_BSLASHsup] = ACTIONS(5932),
    [anon_sym_BSLASHndx] = ACTIONS(5932),
    [anon_sym_BSLASHpro] = ACTIONS(5932),
    [anon_sym_BSLASHrb] = ACTIONS(5932),
    [anon_sym_BSLASHw] = ACTIONS(5932),
    [anon_sym_BSLASHwg] = ACTIONS(5932),
    [anon_sym_BSLASHwh] = ACTIONS(5932),
    [anon_sym_BSLASHwa] = ACTIONS(5932),
    [anon_sym_BSLASHfig] = ACTIONS(5932),
    [anon_sym_BSLASHjmp] = ACTIONS(5932),
    [anon_sym_BSLASHpb] = ACTIONS(5932),
    [anon_sym_BSLASH] = ACTIONS(5932),
    [sym_milestoneStartTag] = ACTIONS(5932),
    [sym_milestoneEndTag] = ACTIONS(5932),
    [sym_zSpaceTag] = ACTIONS(5932),
    [anon_sym_BSLASHesb] = ACTIONS(5932),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(5934),
    [aux_sym_text_token1] = ACTIONS(5934),
    [anon_sym_BSLASHref] = ACTIONS(5936),
    [anon_sym_BSLASHsts] = ACTIONS(5936),
    [anon_sym_BSLASHrem] = ACTIONS(5936),
    [anon_sym_BSLASHrestore] = ACTIONS(5936),
    [anon_sym_BSLASHlit] = ACTIONS(5936),
    [anon_sym_BSLASHip] = ACTIONS(5936),
    [anon_sym_BSLASHiex] = ACTIONS(5936),
    [anon_sym_BSLASHv] = ACTIONS(5936),
    [anon_sym_BSLASHva] = ACTIONS(5936),
    [anon_sym_BSLASHvp] = ACTIONS(5936),
    [anon_sym_BSLASHc] = ACTIONS(5936),
    [anon_sym_BSLASHcl] = ACTIONS(5936),
    [anon_sym_BSLASHca] = ACTIONS(5936),
    [anon_sym_BSLASHcp] = ACTIONS(5936),
    [anon_sym_BSLASHcd] = ACTIONS(5936),
    [anon_sym_BSLASHmte] = ACTIONS(5936),
    [anon_sym_BSLASHms] = ACTIONS(5936),
    [anon_sym_BSLASHs] = ACTIONS(5936),
    [anon_sym_BSLASHr] = ACTIONS(5936),
    [anon_sym_BSLASHsp] = ACTIONS(5936),
    [anon_sym_BSLASHd] = ACTIONS(5936),
    [anon_sym_BSLASHsd] = ACTIONS(5936),
    [anon_sym_BSLASHp] = ACTIONS(5936),
    [anon_sym_BSLASHm] = ACTIONS(5936),
    [anon_sym_BSLASHpo] = ACTIONS(5936),
    [anon_sym_BSLASHpr] = ACTIONS(5936),
    [anon_sym_BSLASHcls] = ACTIONS(5936),
    [anon_sym_BSLASHpmo] = ACTIONS(5936),
    [anon_sym_BSLASHpm] = ACTIONS(5936),
    [anon_sym_BSLASHpmc] = ACTIONS(5936),
    [anon_sym_BSLASHpmr] = ACTIONS(5936),
    [anon_sym_BSLASHpi] = ACTIONS(5936),
    [anon_sym_BSLASHmi] = ACTIONS(5936),
    [anon_sym_BSLASHnb] = ACTIONS(5936),
    [anon_sym_BSLASHpc] = ACTIONS(5936),
    [anon_sym_BSLASHph] = ACTIONS(5936),
    [anon_sym_BSLASHb] = ACTIONS(5936),
    [anon_sym_BSLASHq] = ACTIONS(5936),
    [anon_sym_BSLASHqr] = ACTIONS(5936),
    [anon_sym_BSLASHqc] = ACTIONS(5936),
    [anon_sym_BSLASHqa] = ACTIONS(5936),
    [anon_sym_BSLASHqm] = ACTIONS(5936),
    [anon_sym_BSLASHqd] = ACTIONS(5936),
    [anon_sym_BSLASHlh] = ACTIONS(5936),
    [anon_sym_BSLASHlf] = ACTIONS(5936),
    [anon_sym_BSLASHli] = ACTIONS(5936),
    [anon_sym_BSLASHlim] = ACTIONS(5936),
    [anon_sym_BSLASHliv] = ACTIONS(5936),
    [anon_sym_BSLASHlik] = ACTIONS(5936),
    [anon_sym_BSLASHlitl] = ACTIONS(5936),
    [anon_sym_BSLASHtr] = ACTIONS(5936),
    [anon_sym_BSLASHf] = ACTIONS(5936),
    [anon_sym_BSLASHfe] = ACTIONS(5936),
    [anon_sym_BSLASHef] = ACTIONS(5936),
    [anon_sym_BSLASHfm] = ACTIONS(5936),
    [anon_sym_BSLASHx] = ACTIONS(5936),
    [anon_sym_BSLASHxt] = ACTIONS(5936),
    [anon_sym_BSLASHrq] = ACTIONS(5936),
    [anon_sym_BSLASHadd] = ACTIONS(5936),
    [anon_sym_BSLASHbk] = ACTIONS(5936),
    [anon_sym_BSLASHdc] = ACTIONS(5936),
    [anon_sym_BSLASHk] = ACTIONS(5936),
    [anon_sym_BSLASHnd] = ACTIONS(5936),
    [anon_sym_BSLASHord] = ACTIONS(5936),
    [anon_sym_BSLASHpn] = ACTIONS(5936),
    [anon_sym_BSLASHpng] = ACTIONS(5936),
    [anon_sym_BSLASHaddpn] = ACTIONS(5936),
    [anon_sym_BSLASHqt] = ACTIONS(5936),
    [anon_sym_BSLASHsig] = ACTIONS(5936),
    [anon_sym_BSLASHsls] = ACTIONS(5936),
    [anon_sym_BSLASHtl] = ACTIONS(5936),
    [anon_sym_BSLASHwj] = ACTIONS(5936),
    [anon_sym_BSLASHem] = ACTIONS(5936),
    [anon_sym_BSLASHbd] = ACTIONS(5936),
    [anon_sym_BSLASHit] = ACTIONS(5936),
    [anon_sym_BSLASHbdit] = ACTIONS(5936),
    [anon_sym_BSLASHno] = ACTIONS(5936),
    [anon_sym_BSLASHsc] = ACTIONS(5936),
    [anon_sym_BSLASHsup] = ACTIONS(5936),
    [anon_sym_BSLASHndx] = ACTIONS(5936),
    [anon_sym_BSLASHpro] = ACTIONS(5936),
    [anon_sym_BSLASHrb] = ACTIONS(5936),
    [anon_sym_BSLASHw] = ACTIONS(5936),
    [anon_sym_BSLASHwg] = ACTIONS(5936),
    [anon_sym_BSLASHwh] = ACTIONS(5936),
    [anon_sym_BSLASHwa] = ACTIONS(5936),
    [anon_sym_BSLASHfig] = ACTIONS(5936),
    [anon_sym_BSLASHjmp] = ACTIONS(5936),
    [anon_sym_BSLASHpb] = ACTIONS(5936),
    [anon_sym_BSLASH] = ACTIONS(5936),
    [sym_milestoneStartTag] = ACTIONS(5936),
    [sym_milestoneEndTag] = ACTIONS(5936),
    [sym_zSpaceTag] = ACTIONS(5936),
    [anon_sym_BSLASHesb] = ACTIONS(5936),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(5938),
    [aux_sym_text_token1] = ACTIONS(5938),
    [anon_sym_BSLASHref] = ACTIONS(5940),
    [anon_sym_BSLASHsts] = ACTIONS(5940),
    [anon_sym_BSLASHrem] = ACTIONS(5940),
    [anon_sym_BSLASHrestore] = ACTIONS(5940),
    [anon_sym_BSLASHlit] = ACTIONS(5940),
    [anon_sym_BSLASHip] = ACTIONS(5940),
    [anon_sym_BSLASHiex] = ACTIONS(5940),
    [anon_sym_BSLASHv] = ACTIONS(5940),
    [anon_sym_BSLASHva] = ACTIONS(5940),
    [anon_sym_BSLASHvp] = ACTIONS(5940),
    [anon_sym_BSLASHc] = ACTIONS(5940),
    [anon_sym_BSLASHcl] = ACTIONS(5940),
    [anon_sym_BSLASHca] = ACTIONS(5940),
    [anon_sym_BSLASHcp] = ACTIONS(5940),
    [anon_sym_BSLASHcd] = ACTIONS(5940),
    [anon_sym_BSLASHmte] = ACTIONS(5940),
    [anon_sym_BSLASHms] = ACTIONS(5940),
    [anon_sym_BSLASHs] = ACTIONS(5940),
    [anon_sym_BSLASHr] = ACTIONS(5940),
    [anon_sym_BSLASHsp] = ACTIONS(5940),
    [anon_sym_BSLASHd] = ACTIONS(5940),
    [anon_sym_BSLASHsd] = ACTIONS(5940),
    [anon_sym_BSLASHp] = ACTIONS(5940),
    [anon_sym_BSLASHm] = ACTIONS(5940),
    [anon_sym_BSLASHpo] = ACTIONS(5940),
    [anon_sym_BSLASHpr] = ACTIONS(5940),
    [anon_sym_BSLASHcls] = ACTIONS(5940),
    [anon_sym_BSLASHpmo] = ACTIONS(5940),
    [anon_sym_BSLASHpm] = ACTIONS(5940),
    [anon_sym_BSLASHpmc] = ACTIONS(5940),
    [anon_sym_BSLASHpmr] = ACTIONS(5940),
    [anon_sym_BSLASHpi] = ACTIONS(5940),
    [anon_sym_BSLASHmi] = ACTIONS(5940),
    [anon_sym_BSLASHnb] = ACTIONS(5940),
    [anon_sym_BSLASHpc] = ACTIONS(5940),
    [anon_sym_BSLASHph] = ACTIONS(5940),
    [anon_sym_BSLASHb] = ACTIONS(5940),
    [anon_sym_BSLASHq] = ACTIONS(5940),
    [anon_sym_BSLASHqr] = ACTIONS(5940),
    [anon_sym_BSLASHqc] = ACTIONS(5940),
    [anon_sym_BSLASHqa] = ACTIONS(5940),
    [anon_sym_BSLASHqm] = ACTIONS(5940),
    [anon_sym_BSLASHqd] = ACTIONS(5940),
    [anon_sym_BSLASHlh] = ACTIONS(5940),
    [anon_sym_BSLASHlf] = ACTIONS(5940),
    [anon_sym_BSLASHli] = ACTIONS(5940),
    [anon_sym_BSLASHlim] = ACTIONS(5940),
    [anon_sym_BSLASHliv] = ACTIONS(5940),
    [anon_sym_BSLASHlik] = ACTIONS(5940),
    [anon_sym_BSLASHlitl] = ACTIONS(5940),
    [anon_sym_BSLASHtr] = ACTIONS(5940),
    [anon_sym_BSLASHf] = ACTIONS(5940),
    [anon_sym_BSLASHfe] = ACTIONS(5940),
    [anon_sym_BSLASHef] = ACTIONS(5940),
    [anon_sym_BSLASHfm] = ACTIONS(5940),
    [anon_sym_BSLASHx] = ACTIONS(5940),
    [anon_sym_BSLASHxt] = ACTIONS(5940),
    [anon_sym_BSLASHrq] = ACTIONS(5940),
    [anon_sym_BSLASHadd] = ACTIONS(5940),
    [anon_sym_BSLASHbk] = ACTIONS(5940),
    [anon_sym_BSLASHdc] = ACTIONS(5940),
    [anon_sym_BSLASHk] = ACTIONS(5940),
    [anon_sym_BSLASHnd] = ACTIONS(5940),
    [anon_sym_BSLASHord] = ACTIONS(5940),
    [anon_sym_BSLASHpn] = ACTIONS(5940),
    [anon_sym_BSLASHpng] = ACTIONS(5940),
    [anon_sym_BSLASHaddpn] = ACTIONS(5940),
    [anon_sym_BSLASHqt] = ACTIONS(5940),
    [anon_sym_BSLASHsig] = ACTIONS(5940),
    [anon_sym_BSLASHsls] = ACTIONS(5940),
    [anon_sym_BSLASHtl] = ACTIONS(5940),
    [anon_sym_BSLASHwj] = ACTIONS(5940),
    [anon_sym_BSLASHem] = ACTIONS(5940),
    [anon_sym_BSLASHbd] = ACTIONS(5940),
    [anon_sym_BSLASHit] = ACTIONS(5940),
    [anon_sym_BSLASHbdit] = ACTIONS(5940),
    [anon_sym_BSLASHno] = ACTIONS(5940),
    [anon_sym_BSLASHsc] = ACTIONS(5940),
    [anon_sym_BSLASHsup] = ACTIONS(5940),
    [anon_sym_BSLASHndx] = ACTIONS(5940),
    [anon_sym_BSLASHpro] = ACTIONS(5940),
    [anon_sym_BSLASHrb] = ACTIONS(5940),
    [anon_sym_BSLASHw] = ACTIONS(5940),
    [anon_sym_BSLASHwg] = ACTIONS(5940),
    [anon_sym_BSLASHwh] = ACTIONS(5940),
    [anon_sym_BSLASHwa] = ACTIONS(5940),
    [anon_sym_BSLASHfig] = ACTIONS(5940),
    [anon_sym_BSLASHjmp] = ACTIONS(5940),
    [anon_sym_BSLASHpb] = ACTIONS(5940),
    [anon_sym_BSLASH] = ACTIONS(5940),
    [sym_milestoneStartTag] = ACTIONS(5940),
    [sym_milestoneEndTag] = ACTIONS(5940),
    [sym_zSpaceTag] = ACTIONS(5940),
    [anon_sym_BSLASHesb] = ACTIONS(5940),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(5942),
    [aux_sym_text_token1] = ACTIONS(5942),
    [anon_sym_BSLASHref] = ACTIONS(5944),
    [anon_sym_BSLASHsts] = ACTIONS(5944),
    [anon_sym_BSLASHrem] = ACTIONS(5944),
    [anon_sym_BSLASHrestore] = ACTIONS(5944),
    [anon_sym_BSLASHlit] = ACTIONS(5944),
    [anon_sym_BSLASHip] = ACTIONS(5944),
    [anon_sym_BSLASHiex] = ACTIONS(5944),
    [anon_sym_BSLASHv] = ACTIONS(5944),
    [anon_sym_BSLASHva] = ACTIONS(5944),
    [anon_sym_BSLASHvp] = ACTIONS(5944),
    [anon_sym_BSLASHc] = ACTIONS(5944),
    [anon_sym_BSLASHcl] = ACTIONS(5944),
    [anon_sym_BSLASHca] = ACTIONS(5944),
    [anon_sym_BSLASHcp] = ACTIONS(5944),
    [anon_sym_BSLASHcd] = ACTIONS(5944),
    [anon_sym_BSLASHmte] = ACTIONS(5944),
    [anon_sym_BSLASHms] = ACTIONS(5944),
    [anon_sym_BSLASHs] = ACTIONS(5944),
    [anon_sym_BSLASHr] = ACTIONS(5944),
    [anon_sym_BSLASHsp] = ACTIONS(5944),
    [anon_sym_BSLASHd] = ACTIONS(5944),
    [anon_sym_BSLASHsd] = ACTIONS(5944),
    [anon_sym_BSLASHp] = ACTIONS(5944),
    [anon_sym_BSLASHm] = ACTIONS(5944),
    [anon_sym_BSLASHpo] = ACTIONS(5944),
    [anon_sym_BSLASHpr] = ACTIONS(5944),
    [anon_sym_BSLASHcls] = ACTIONS(5944),
    [anon_sym_BSLASHpmo] = ACTIONS(5944),
    [anon_sym_BSLASHpm] = ACTIONS(5944),
    [anon_sym_BSLASHpmc] = ACTIONS(5944),
    [anon_sym_BSLASHpmr] = ACTIONS(5944),
    [anon_sym_BSLASHpi] = ACTIONS(5944),
    [anon_sym_BSLASHmi] = ACTIONS(5944),
    [anon_sym_BSLASHnb] = ACTIONS(5944),
    [anon_sym_BSLASHpc] = ACTIONS(5944),
    [anon_sym_BSLASHph] = ACTIONS(5944),
    [anon_sym_BSLASHb] = ACTIONS(5944),
    [anon_sym_BSLASHq] = ACTIONS(5944),
    [anon_sym_BSLASHqr] = ACTIONS(5944),
    [anon_sym_BSLASHqc] = ACTIONS(5944),
    [anon_sym_BSLASHqa] = ACTIONS(5944),
    [anon_sym_BSLASHqm] = ACTIONS(5944),
    [anon_sym_BSLASHqd] = ACTIONS(5944),
    [anon_sym_BSLASHlh] = ACTIONS(5944),
    [anon_sym_BSLASHlf] = ACTIONS(5944),
    [anon_sym_BSLASHli] = ACTIONS(5944),
    [anon_sym_BSLASHlim] = ACTIONS(5944),
    [anon_sym_BSLASHliv] = ACTIONS(5944),
    [anon_sym_BSLASHlik] = ACTIONS(5944),
    [anon_sym_BSLASHlitl] = ACTIONS(5944),
    [anon_sym_BSLASHtr] = ACTIONS(5944),
    [anon_sym_BSLASHf] = ACTIONS(5944),
    [anon_sym_BSLASHfe] = ACTIONS(5944),
    [anon_sym_BSLASHef] = ACTIONS(5944),
    [anon_sym_BSLASHfm] = ACTIONS(5944),
    [anon_sym_BSLASHx] = ACTIONS(5944),
    [anon_sym_BSLASHxt] = ACTIONS(5944),
    [anon_sym_BSLASHrq] = ACTIONS(5944),
    [anon_sym_BSLASHadd] = ACTIONS(5944),
    [anon_sym_BSLASHbk] = ACTIONS(5944),
    [anon_sym_BSLASHdc] = ACTIONS(5944),
    [anon_sym_BSLASHk] = ACTIONS(5944),
    [anon_sym_BSLASHnd] = ACTIONS(5944),
    [anon_sym_BSLASHord] = ACTIONS(5944),
    [anon_sym_BSLASHpn] = ACTIONS(5944),
    [anon_sym_BSLASHpng] = ACTIONS(5944),
    [anon_sym_BSLASHaddpn] = ACTIONS(5944),
    [anon_sym_BSLASHqt] = ACTIONS(5944),
    [anon_sym_BSLASHsig] = ACTIONS(5944),
    [anon_sym_BSLASHsls] = ACTIONS(5944),
    [anon_sym_BSLASHtl] = ACTIONS(5944),
    [anon_sym_BSLASHwj] = ACTIONS(5944),
    [anon_sym_BSLASHem] = ACTIONS(5944),
    [anon_sym_BSLASHbd] = ACTIONS(5944),
    [anon_sym_BSLASHit] = ACTIONS(5944),
    [anon_sym_BSLASHbdit] = ACTIONS(5944),
    [anon_sym_BSLASHno] = ACTIONS(5944),
    [anon_sym_BSLASHsc] = ACTIONS(5944),
    [anon_sym_BSLASHsup] = ACTIONS(5944),
    [anon_sym_BSLASHndx] = ACTIONS(5944),
    [anon_sym_BSLASHpro] = ACTIONS(5944),
    [anon_sym_BSLASHrb] = ACTIONS(5944),
    [anon_sym_BSLASHw] = ACTIONS(5944),
    [anon_sym_BSLASHwg] = ACTIONS(5944),
    [anon_sym_BSLASHwh] = ACTIONS(5944),
    [anon_sym_BSLASHwa] = ACTIONS(5944),
    [anon_sym_BSLASHfig] = ACTIONS(5944),
    [anon_sym_BSLASHjmp] = ACTIONS(5944),
    [anon_sym_BSLASHpb] = ACTIONS(5944),
    [anon_sym_BSLASH] = ACTIONS(5944),
    [sym_milestoneStartTag] = ACTIONS(5944),
    [sym_milestoneEndTag] = ACTIONS(5944),
    [sym_zSpaceTag] = ACTIONS(5944),
    [anon_sym_BSLASHesb] = ACTIONS(5944),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(5946),
    [aux_sym_text_token1] = ACTIONS(5946),
    [anon_sym_BSLASHref] = ACTIONS(5948),
    [anon_sym_BSLASHsts] = ACTIONS(5948),
    [anon_sym_BSLASHrem] = ACTIONS(5948),
    [anon_sym_BSLASHrestore] = ACTIONS(5948),
    [anon_sym_BSLASHlit] = ACTIONS(5948),
    [anon_sym_BSLASHip] = ACTIONS(5948),
    [anon_sym_BSLASHiex] = ACTIONS(5948),
    [anon_sym_BSLASHv] = ACTIONS(5948),
    [anon_sym_BSLASHva] = ACTIONS(5948),
    [anon_sym_BSLASHvp] = ACTIONS(5948),
    [anon_sym_BSLASHc] = ACTIONS(5948),
    [anon_sym_BSLASHcl] = ACTIONS(5948),
    [anon_sym_BSLASHca] = ACTIONS(5948),
    [anon_sym_BSLASHcp] = ACTIONS(5948),
    [anon_sym_BSLASHcd] = ACTIONS(5948),
    [anon_sym_BSLASHmte] = ACTIONS(5948),
    [anon_sym_BSLASHms] = ACTIONS(5948),
    [anon_sym_BSLASHs] = ACTIONS(5948),
    [anon_sym_BSLASHr] = ACTIONS(5948),
    [anon_sym_BSLASHsp] = ACTIONS(5948),
    [anon_sym_BSLASHd] = ACTIONS(5948),
    [anon_sym_BSLASHsd] = ACTIONS(5948),
    [anon_sym_BSLASHp] = ACTIONS(5948),
    [anon_sym_BSLASHm] = ACTIONS(5948),
    [anon_sym_BSLASHpo] = ACTIONS(5948),
    [anon_sym_BSLASHpr] = ACTIONS(5948),
    [anon_sym_BSLASHcls] = ACTIONS(5948),
    [anon_sym_BSLASHpmo] = ACTIONS(5948),
    [anon_sym_BSLASHpm] = ACTIONS(5948),
    [anon_sym_BSLASHpmc] = ACTIONS(5948),
    [anon_sym_BSLASHpmr] = ACTIONS(5948),
    [anon_sym_BSLASHpi] = ACTIONS(5948),
    [anon_sym_BSLASHmi] = ACTIONS(5948),
    [anon_sym_BSLASHnb] = ACTIONS(5948),
    [anon_sym_BSLASHpc] = ACTIONS(5948),
    [anon_sym_BSLASHph] = ACTIONS(5948),
    [anon_sym_BSLASHb] = ACTIONS(5948),
    [anon_sym_BSLASHq] = ACTIONS(5948),
    [anon_sym_BSLASHqr] = ACTIONS(5948),
    [anon_sym_BSLASHqc] = ACTIONS(5948),
    [anon_sym_BSLASHqa] = ACTIONS(5948),
    [anon_sym_BSLASHqm] = ACTIONS(5948),
    [anon_sym_BSLASHqd] = ACTIONS(5948),
    [anon_sym_BSLASHlh] = ACTIONS(5948),
    [anon_sym_BSLASHlf] = ACTIONS(5948),
    [anon_sym_BSLASHli] = ACTIONS(5948),
    [anon_sym_BSLASHlim] = ACTIONS(5948),
    [anon_sym_BSLASHliv] = ACTIONS(5948),
    [anon_sym_BSLASHlik] = ACTIONS(5948),
    [anon_sym_BSLASHlitl] = ACTIONS(5948),
    [anon_sym_BSLASHtr] = ACTIONS(5948),
    [anon_sym_BSLASHf] = ACTIONS(5948),
    [anon_sym_BSLASHfe] = ACTIONS(5948),
    [anon_sym_BSLASHef] = ACTIONS(5948),
    [anon_sym_BSLASHfm] = ACTIONS(5948),
    [anon_sym_BSLASHx] = ACTIONS(5948),
    [anon_sym_BSLASHxt] = ACTIONS(5948),
    [anon_sym_BSLASHrq] = ACTIONS(5948),
    [anon_sym_BSLASHadd] = ACTIONS(5948),
    [anon_sym_BSLASHbk] = ACTIONS(5948),
    [anon_sym_BSLASHdc] = ACTIONS(5948),
    [anon_sym_BSLASHk] = ACTIONS(5948),
    [anon_sym_BSLASHnd] = ACTIONS(5948),
    [anon_sym_BSLASHord] = ACTIONS(5948),
    [anon_sym_BSLASHpn] = ACTIONS(5948),
    [anon_sym_BSLASHpng] = ACTIONS(5948),
    [anon_sym_BSLASHaddpn] = ACTIONS(5948),
    [anon_sym_BSLASHqt] = ACTIONS(5948),
    [anon_sym_BSLASHsig] = ACTIONS(5948),
    [anon_sym_BSLASHsls] = ACTIONS(5948),
    [anon_sym_BSLASHtl] = ACTIONS(5948),
    [anon_sym_BSLASHwj] = ACTIONS(5948),
    [anon_sym_BSLASHem] = ACTIONS(5948),
    [anon_sym_BSLASHbd] = ACTIONS(5948),
    [anon_sym_BSLASHit] = ACTIONS(5948),
    [anon_sym_BSLASHbdit] = ACTIONS(5948),
    [anon_sym_BSLASHno] = ACTIONS(5948),
    [anon_sym_BSLASHsc] = ACTIONS(5948),
    [anon_sym_BSLASHsup] = ACTIONS(5948),
    [anon_sym_BSLASHndx] = ACTIONS(5948),
    [anon_sym_BSLASHpro] = ACTIONS(5948),
    [anon_sym_BSLASHrb] = ACTIONS(5948),
    [anon_sym_BSLASHw] = ACTIONS(5948),
    [anon_sym_BSLASHwg] = ACTIONS(5948),
    [anon_sym_BSLASHwh] = ACTIONS(5948),
    [anon_sym_BSLASHwa] = ACTIONS(5948),
    [anon_sym_BSLASHfig] = ACTIONS(5948),
    [anon_sym_BSLASHjmp] = ACTIONS(5948),
    [anon_sym_BSLASHpb] = ACTIONS(5948),
    [anon_sym_BSLASH] = ACTIONS(5948),
    [sym_milestoneStartTag] = ACTIONS(5948),
    [sym_milestoneEndTag] = ACTIONS(5948),
    [sym_zSpaceTag] = ACTIONS(5948),
    [anon_sym_BSLASHesb] = ACTIONS(5948),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(5950),
    [aux_sym_text_token1] = ACTIONS(5950),
    [anon_sym_BSLASHref] = ACTIONS(5952),
    [anon_sym_BSLASHsts] = ACTIONS(5952),
    [anon_sym_BSLASHrem] = ACTIONS(5952),
    [anon_sym_BSLASHrestore] = ACTIONS(5952),
    [anon_sym_BSLASHlit] = ACTIONS(5952),
    [anon_sym_BSLASHip] = ACTIONS(5952),
    [anon_sym_BSLASHiex] = ACTIONS(5952),
    [anon_sym_BSLASHv] = ACTIONS(5952),
    [anon_sym_BSLASHva] = ACTIONS(5952),
    [anon_sym_BSLASHvp] = ACTIONS(5952),
    [anon_sym_BSLASHc] = ACTIONS(5952),
    [anon_sym_BSLASHcl] = ACTIONS(5952),
    [anon_sym_BSLASHca] = ACTIONS(5952),
    [anon_sym_BSLASHcp] = ACTIONS(5952),
    [anon_sym_BSLASHcd] = ACTIONS(5952),
    [anon_sym_BSLASHmte] = ACTIONS(5952),
    [anon_sym_BSLASHms] = ACTIONS(5952),
    [anon_sym_BSLASHs] = ACTIONS(5952),
    [anon_sym_BSLASHr] = ACTIONS(5952),
    [anon_sym_BSLASHsp] = ACTIONS(5952),
    [anon_sym_BSLASHd] = ACTIONS(5952),
    [anon_sym_BSLASHsd] = ACTIONS(5952),
    [anon_sym_BSLASHp] = ACTIONS(5952),
    [anon_sym_BSLASHm] = ACTIONS(5952),
    [anon_sym_BSLASHpo] = ACTIONS(5952),
    [anon_sym_BSLASHpr] = ACTIONS(5952),
    [anon_sym_BSLASHcls] = ACTIONS(5952),
    [anon_sym_BSLASHpmo] = ACTIONS(5952),
    [anon_sym_BSLASHpm] = ACTIONS(5952),
    [anon_sym_BSLASHpmc] = ACTIONS(5952),
    [anon_sym_BSLASHpmr] = ACTIONS(5952),
    [anon_sym_BSLASHpi] = ACTIONS(5952),
    [anon_sym_BSLASHmi] = ACTIONS(5952),
    [anon_sym_BSLASHnb] = ACTIONS(5952),
    [anon_sym_BSLASHpc] = ACTIONS(5952),
    [anon_sym_BSLASHph] = ACTIONS(5952),
    [anon_sym_BSLASHb] = ACTIONS(5952),
    [anon_sym_BSLASHq] = ACTIONS(5952),
    [anon_sym_BSLASHqr] = ACTIONS(5952),
    [anon_sym_BSLASHqc] = ACTIONS(5952),
    [anon_sym_BSLASHqa] = ACTIONS(5952),
    [anon_sym_BSLASHqm] = ACTIONS(5952),
    [anon_sym_BSLASHqd] = ACTIONS(5952),
    [anon_sym_BSLASHlh] = ACTIONS(5952),
    [anon_sym_BSLASHlf] = ACTIONS(5952),
    [anon_sym_BSLASHli] = ACTIONS(5952),
    [anon_sym_BSLASHlim] = ACTIONS(5952),
    [anon_sym_BSLASHliv] = ACTIONS(5952),
    [anon_sym_BSLASHlik] = ACTIONS(5952),
    [anon_sym_BSLASHlitl] = ACTIONS(5952),
    [anon_sym_BSLASHtr] = ACTIONS(5952),
    [anon_sym_BSLASHf] = ACTIONS(5952),
    [anon_sym_BSLASHfe] = ACTIONS(5952),
    [anon_sym_BSLASHef] = ACTIONS(5952),
    [anon_sym_BSLASHfm] = ACTIONS(5952),
    [anon_sym_BSLASHx] = ACTIONS(5952),
    [anon_sym_BSLASHxt] = ACTIONS(5952),
    [anon_sym_BSLASHrq] = ACTIONS(5952),
    [anon_sym_BSLASHadd] = ACTIONS(5952),
    [anon_sym_BSLASHbk] = ACTIONS(5952),
    [anon_sym_BSLASHdc] = ACTIONS(5952),
    [anon_sym_BSLASHk] = ACTIONS(5952),
    [anon_sym_BSLASHnd] = ACTIONS(5952),
    [anon_sym_BSLASHord] = ACTIONS(5952),
    [anon_sym_BSLASHpn] = ACTIONS(5952),
    [anon_sym_BSLASHpng] = ACTIONS(5952),
    [anon_sym_BSLASHaddpn] = ACTIONS(5952),
    [anon_sym_BSLASHqt] = ACTIONS(5952),
    [anon_sym_BSLASHsig] = ACTIONS(5952),
    [anon_sym_BSLASHsls] = ACTIONS(5952),
    [anon_sym_BSLASHtl] = ACTIONS(5952),
    [anon_sym_BSLASHwj] = ACTIONS(5952),
    [anon_sym_BSLASHem] = ACTIONS(5952),
    [anon_sym_BSLASHbd] = ACTIONS(5952),
    [anon_sym_BSLASHit] = ACTIONS(5952),
    [anon_sym_BSLASHbdit] = ACTIONS(5952),
    [anon_sym_BSLASHno] = ACTIONS(5952),
    [anon_sym_BSLASHsc] = ACTIONS(5952),
    [anon_sym_BSLASHsup] = ACTIONS(5952),
    [anon_sym_BSLASHndx] = ACTIONS(5952),
    [anon_sym_BSLASHpro] = ACTIONS(5952),
    [anon_sym_BSLASHrb] = ACTIONS(5952),
    [anon_sym_BSLASHw] = ACTIONS(5952),
    [anon_sym_BSLASHwg] = ACTIONS(5952),
    [anon_sym_BSLASHwh] = ACTIONS(5952),
    [anon_sym_BSLASHwa] = ACTIONS(5952),
    [anon_sym_BSLASHfig] = ACTIONS(5952),
    [anon_sym_BSLASHjmp] = ACTIONS(5952),
    [anon_sym_BSLASHpb] = ACTIONS(5952),
    [anon_sym_BSLASH] = ACTIONS(5952),
    [sym_milestoneStartTag] = ACTIONS(5952),
    [sym_milestoneEndTag] = ACTIONS(5952),
    [sym_zSpaceTag] = ACTIONS(5952),
    [anon_sym_BSLASHesb] = ACTIONS(5952),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(5954),
    [aux_sym_text_token1] = ACTIONS(5954),
    [anon_sym_BSLASHref] = ACTIONS(5956),
    [anon_sym_BSLASHsts] = ACTIONS(5956),
    [anon_sym_BSLASHrem] = ACTIONS(5956),
    [anon_sym_BSLASHrestore] = ACTIONS(5956),
    [anon_sym_BSLASHlit] = ACTIONS(5956),
    [anon_sym_BSLASHip] = ACTIONS(5956),
    [anon_sym_BSLASHiex] = ACTIONS(5956),
    [anon_sym_BSLASHv] = ACTIONS(5956),
    [anon_sym_BSLASHva] = ACTIONS(5956),
    [anon_sym_BSLASHvp] = ACTIONS(5956),
    [anon_sym_BSLASHc] = ACTIONS(5956),
    [anon_sym_BSLASHcl] = ACTIONS(5956),
    [anon_sym_BSLASHca] = ACTIONS(5956),
    [anon_sym_BSLASHcp] = ACTIONS(5956),
    [anon_sym_BSLASHcd] = ACTIONS(5956),
    [anon_sym_BSLASHmte] = ACTIONS(5956),
    [anon_sym_BSLASHms] = ACTIONS(5956),
    [anon_sym_BSLASHs] = ACTIONS(5956),
    [anon_sym_BSLASHr] = ACTIONS(5956),
    [anon_sym_BSLASHsp] = ACTIONS(5956),
    [anon_sym_BSLASHd] = ACTIONS(5956),
    [anon_sym_BSLASHsd] = ACTIONS(5956),
    [anon_sym_BSLASHp] = ACTIONS(5956),
    [anon_sym_BSLASHm] = ACTIONS(5956),
    [anon_sym_BSLASHpo] = ACTIONS(5956),
    [anon_sym_BSLASHpr] = ACTIONS(5956),
    [anon_sym_BSLASHcls] = ACTIONS(5956),
    [anon_sym_BSLASHpmo] = ACTIONS(5956),
    [anon_sym_BSLASHpm] = ACTIONS(5956),
    [anon_sym_BSLASHpmc] = ACTIONS(5956),
    [anon_sym_BSLASHpmr] = ACTIONS(5956),
    [anon_sym_BSLASHpi] = ACTIONS(5956),
    [anon_sym_BSLASHmi] = ACTIONS(5956),
    [anon_sym_BSLASHnb] = ACTIONS(5956),
    [anon_sym_BSLASHpc] = ACTIONS(5956),
    [anon_sym_BSLASHph] = ACTIONS(5956),
    [anon_sym_BSLASHb] = ACTIONS(5956),
    [anon_sym_BSLASHq] = ACTIONS(5956),
    [anon_sym_BSLASHqr] = ACTIONS(5956),
    [anon_sym_BSLASHqc] = ACTIONS(5956),
    [anon_sym_BSLASHqa] = ACTIONS(5956),
    [anon_sym_BSLASHqm] = ACTIONS(5956),
    [anon_sym_BSLASHqd] = ACTIONS(5956),
    [anon_sym_BSLASHlh] = ACTIONS(5956),
    [anon_sym_BSLASHlf] = ACTIONS(5956),
    [anon_sym_BSLASHli] = ACTIONS(5956),
    [anon_sym_BSLASHlim] = ACTIONS(5956),
    [anon_sym_BSLASHliv] = ACTIONS(5956),
    [anon_sym_BSLASHlik] = ACTIONS(5956),
    [anon_sym_BSLASHlitl] = ACTIONS(5956),
    [anon_sym_BSLASHtr] = ACTIONS(5956),
    [anon_sym_BSLASHf] = ACTIONS(5956),
    [anon_sym_BSLASHfe] = ACTIONS(5956),
    [anon_sym_BSLASHef] = ACTIONS(5956),
    [anon_sym_BSLASHfm] = ACTIONS(5956),
    [anon_sym_BSLASHx] = ACTIONS(5956),
    [anon_sym_BSLASHxt] = ACTIONS(5956),
    [anon_sym_BSLASHrq] = ACTIONS(5956),
    [anon_sym_BSLASHadd] = ACTIONS(5956),
    [anon_sym_BSLASHbk] = ACTIONS(5956),
    [anon_sym_BSLASHdc] = ACTIONS(5956),
    [anon_sym_BSLASHk] = ACTIONS(5956),
    [anon_sym_BSLASHnd] = ACTIONS(5956),
    [anon_sym_BSLASHord] = ACTIONS(5956),
    [anon_sym_BSLASHpn] = ACTIONS(5956),
    [anon_sym_BSLASHpng] = ACTIONS(5956),
    [anon_sym_BSLASHaddpn] = ACTIONS(5956),
    [anon_sym_BSLASHqt] = ACTIONS(5956),
    [anon_sym_BSLASHsig] = ACTIONS(5956),
    [anon_sym_BSLASHsls] = ACTIONS(5956),
    [anon_sym_BSLASHtl] = ACTIONS(5956),
    [anon_sym_BSLASHwj] = ACTIONS(5956),
    [anon_sym_BSLASHem] = ACTIONS(5956),
    [anon_sym_BSLASHbd] = ACTIONS(5956),
    [anon_sym_BSLASHit] = ACTIONS(5956),
    [anon_sym_BSLASHbdit] = ACTIONS(5956),
    [anon_sym_BSLASHno] = ACTIONS(5956),
    [anon_sym_BSLASHsc] = ACTIONS(5956),
    [anon_sym_BSLASHsup] = ACTIONS(5956),
    [anon_sym_BSLASHndx] = ACTIONS(5956),
    [anon_sym_BSLASHpro] = ACTIONS(5956),
    [anon_sym_BSLASHrb] = ACTIONS(5956),
    [anon_sym_BSLASHw] = ACTIONS(5956),
    [anon_sym_BSLASHwg] = ACTIONS(5956),
    [anon_sym_BSLASHwh] = ACTIONS(5956),
    [anon_sym_BSLASHwa] = ACTIONS(5956),
    [anon_sym_BSLASHfig] = ACTIONS(5956),
    [anon_sym_BSLASHjmp] = ACTIONS(5956),
    [anon_sym_BSLASHpb] = ACTIONS(5956),
    [anon_sym_BSLASH] = ACTIONS(5956),
    [sym_milestoneStartTag] = ACTIONS(5956),
    [sym_milestoneEndTag] = ACTIONS(5956),
    [sym_zSpaceTag] = ACTIONS(5956),
    [anon_sym_BSLASHesb] = ACTIONS(5956),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(5958),
    [aux_sym_text_token1] = ACTIONS(5958),
    [anon_sym_BSLASHref] = ACTIONS(5960),
    [anon_sym_BSLASHsts] = ACTIONS(5960),
    [anon_sym_BSLASHrem] = ACTIONS(5960),
    [anon_sym_BSLASHrestore] = ACTIONS(5960),
    [anon_sym_BSLASHlit] = ACTIONS(5960),
    [anon_sym_BSLASHip] = ACTIONS(5960),
    [anon_sym_BSLASHiex] = ACTIONS(5960),
    [anon_sym_BSLASHv] = ACTIONS(5960),
    [anon_sym_BSLASHva] = ACTIONS(5960),
    [anon_sym_BSLASHvp] = ACTIONS(5960),
    [anon_sym_BSLASHc] = ACTIONS(5960),
    [anon_sym_BSLASHcl] = ACTIONS(5960),
    [anon_sym_BSLASHca] = ACTIONS(5960),
    [anon_sym_BSLASHcp] = ACTIONS(5960),
    [anon_sym_BSLASHcd] = ACTIONS(5960),
    [anon_sym_BSLASHmte] = ACTIONS(5960),
    [anon_sym_BSLASHms] = ACTIONS(5960),
    [anon_sym_BSLASHs] = ACTIONS(5960),
    [anon_sym_BSLASHr] = ACTIONS(5960),
    [anon_sym_BSLASHsp] = ACTIONS(5960),
    [anon_sym_BSLASHd] = ACTIONS(5960),
    [anon_sym_BSLASHsd] = ACTIONS(5960),
    [anon_sym_BSLASHp] = ACTIONS(5960),
    [anon_sym_BSLASHm] = ACTIONS(5960),
    [anon_sym_BSLASHpo] = ACTIONS(5960),
    [anon_sym_BSLASHpr] = ACTIONS(5960),
    [anon_sym_BSLASHcls] = ACTIONS(5960),
    [anon_sym_BSLASHpmo] = ACTIONS(5960),
    [anon_sym_BSLASHpm] = ACTIONS(5960),
    [anon_sym_BSLASHpmc] = ACTIONS(5960),
    [anon_sym_BSLASHpmr] = ACTIONS(5960),
    [anon_sym_BSLASHpi] = ACTIONS(5960),
    [anon_sym_BSLASHmi] = ACTIONS(5960),
    [anon_sym_BSLASHnb] = ACTIONS(5960),
    [anon_sym_BSLASHpc] = ACTIONS(5960),
    [anon_sym_BSLASHph] = ACTIONS(5960),
    [anon_sym_BSLASHb] = ACTIONS(5960),
    [anon_sym_BSLASHq] = ACTIONS(5960),
    [anon_sym_BSLASHqr] = ACTIONS(5960),
    [anon_sym_BSLASHqc] = ACTIONS(5960),
    [anon_sym_BSLASHqa] = ACTIONS(5960),
    [anon_sym_BSLASHqm] = ACTIONS(5960),
    [anon_sym_BSLASHqd] = ACTIONS(5960),
    [anon_sym_BSLASHlh] = ACTIONS(5960),
    [anon_sym_BSLASHlf] = ACTIONS(5960),
    [anon_sym_BSLASHli] = ACTIONS(5960),
    [anon_sym_BSLASHlim] = ACTIONS(5960),
    [anon_sym_BSLASHliv] = ACTIONS(5960),
    [anon_sym_BSLASHlik] = ACTIONS(5960),
    [anon_sym_BSLASHlitl] = ACTIONS(5960),
    [anon_sym_BSLASHtr] = ACTIONS(5960),
    [anon_sym_BSLASHf] = ACTIONS(5960),
    [anon_sym_BSLASHfe] = ACTIONS(5960),
    [anon_sym_BSLASHef] = ACTIONS(5960),
    [anon_sym_BSLASHfm] = ACTIONS(5960),
    [anon_sym_BSLASHx] = ACTIONS(5960),
    [anon_sym_BSLASHxt] = ACTIONS(5960),
    [anon_sym_BSLASHrq] = ACTIONS(5960),
    [anon_sym_BSLASHadd] = ACTIONS(5960),
    [anon_sym_BSLASHbk] = ACTIONS(5960),
    [anon_sym_BSLASHdc] = ACTIONS(5960),
    [anon_sym_BSLASHk] = ACTIONS(5960),
    [anon_sym_BSLASHnd] = ACTIONS(5960),
    [anon_sym_BSLASHord] = ACTIONS(5960),
    [anon_sym_BSLASHpn] = ACTIONS(5960),
    [anon_sym_BSLASHpng] = ACTIONS(5960),
    [anon_sym_BSLASHaddpn] = ACTIONS(5960),
    [anon_sym_BSLASHqt] = ACTIONS(5960),
    [anon_sym_BSLASHsig] = ACTIONS(5960),
    [anon_sym_BSLASHsls] = ACTIONS(5960),
    [anon_sym_BSLASHtl] = ACTIONS(5960),
    [anon_sym_BSLASHwj] = ACTIONS(5960),
    [anon_sym_BSLASHem] = ACTIONS(5960),
    [anon_sym_BSLASHbd] = ACTIONS(5960),
    [anon_sym_BSLASHit] = ACTIONS(5960),
    [anon_sym_BSLASHbdit] = ACTIONS(5960),
    [anon_sym_BSLASHno] = ACTIONS(5960),
    [anon_sym_BSLASHsc] = ACTIONS(5960),
    [anon_sym_BSLASHsup] = ACTIONS(5960),
    [anon_sym_BSLASHndx] = ACTIONS(5960),
    [anon_sym_BSLASHpro] = ACTIONS(5960),
    [anon_sym_BSLASHrb] = ACTIONS(5960),
    [anon_sym_BSLASHw] = ACTIONS(5960),
    [anon_sym_BSLASHwg] = ACTIONS(5960),
    [anon_sym_BSLASHwh] = ACTIONS(5960),
    [anon_sym_BSLASHwa] = ACTIONS(5960),
    [anon_sym_BSLASHfig] = ACTIONS(5960),
    [anon_sym_BSLASHjmp] = ACTIONS(5960),
    [anon_sym_BSLASHpb] = ACTIONS(5960),
    [anon_sym_BSLASH] = ACTIONS(5960),
    [sym_milestoneStartTag] = ACTIONS(5960),
    [sym_milestoneEndTag] = ACTIONS(5960),
    [sym_zSpaceTag] = ACTIONS(5960),
    [anon_sym_BSLASHesb] = ACTIONS(5960),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(5962),
    [aux_sym_text_token1] = ACTIONS(5962),
    [anon_sym_BSLASHref] = ACTIONS(5964),
    [anon_sym_BSLASHsts] = ACTIONS(5964),
    [anon_sym_BSLASHrem] = ACTIONS(5964),
    [anon_sym_BSLASHrestore] = ACTIONS(5964),
    [anon_sym_BSLASHlit] = ACTIONS(5964),
    [anon_sym_BSLASHip] = ACTIONS(5964),
    [anon_sym_BSLASHiex] = ACTIONS(5964),
    [anon_sym_BSLASHv] = ACTIONS(5964),
    [anon_sym_BSLASHva] = ACTIONS(5964),
    [anon_sym_BSLASHvp] = ACTIONS(5964),
    [anon_sym_BSLASHc] = ACTIONS(5964),
    [anon_sym_BSLASHcl] = ACTIONS(5964),
    [anon_sym_BSLASHca] = ACTIONS(5964),
    [anon_sym_BSLASHcp] = ACTIONS(5964),
    [anon_sym_BSLASHcd] = ACTIONS(5964),
    [anon_sym_BSLASHmte] = ACTIONS(5964),
    [anon_sym_BSLASHms] = ACTIONS(5964),
    [anon_sym_BSLASHs] = ACTIONS(5964),
    [anon_sym_BSLASHr] = ACTIONS(5964),
    [anon_sym_BSLASHsp] = ACTIONS(5964),
    [anon_sym_BSLASHd] = ACTIONS(5964),
    [anon_sym_BSLASHsd] = ACTIONS(5964),
    [anon_sym_BSLASHp] = ACTIONS(5964),
    [anon_sym_BSLASHm] = ACTIONS(5964),
    [anon_sym_BSLASHpo] = ACTIONS(5964),
    [anon_sym_BSLASHpr] = ACTIONS(5964),
    [anon_sym_BSLASHcls] = ACTIONS(5964),
    [anon_sym_BSLASHpmo] = ACTIONS(5964),
    [anon_sym_BSLASHpm] = ACTIONS(5964),
    [anon_sym_BSLASHpmc] = ACTIONS(5964),
    [anon_sym_BSLASHpmr] = ACTIONS(5964),
    [anon_sym_BSLASHpi] = ACTIONS(5964),
    [anon_sym_BSLASHmi] = ACTIONS(5964),
    [anon_sym_BSLASHnb] = ACTIONS(5964),
    [anon_sym_BSLASHpc] = ACTIONS(5964),
    [anon_sym_BSLASHph] = ACTIONS(5964),
    [anon_sym_BSLASHb] = ACTIONS(5964),
    [anon_sym_BSLASHq] = ACTIONS(5964),
    [anon_sym_BSLASHqr] = ACTIONS(5964),
    [anon_sym_BSLASHqc] = ACTIONS(5964),
    [anon_sym_BSLASHqa] = ACTIONS(5964),
    [anon_sym_BSLASHqm] = ACTIONS(5964),
    [anon_sym_BSLASHqd] = ACTIONS(5964),
    [anon_sym_BSLASHlh] = ACTIONS(5964),
    [anon_sym_BSLASHlf] = ACTIONS(5964),
    [anon_sym_BSLASHli] = ACTIONS(5964),
    [anon_sym_BSLASHlim] = ACTIONS(5964),
    [anon_sym_BSLASHliv] = ACTIONS(5964),
    [anon_sym_BSLASHlik] = ACTIONS(5964),
    [anon_sym_BSLASHlitl] = ACTIONS(5964),
    [anon_sym_BSLASHtr] = ACTIONS(5964),
    [anon_sym_BSLASHf] = ACTIONS(5964),
    [anon_sym_BSLASHfe] = ACTIONS(5964),
    [anon_sym_BSLASHef] = ACTIONS(5964),
    [anon_sym_BSLASHfm] = ACTIONS(5964),
    [anon_sym_BSLASHx] = ACTIONS(5964),
    [anon_sym_BSLASHxt] = ACTIONS(5964),
    [anon_sym_BSLASHrq] = ACTIONS(5964),
    [anon_sym_BSLASHadd] = ACTIONS(5964),
    [anon_sym_BSLASHbk] = ACTIONS(5964),
    [anon_sym_BSLASHdc] = ACTIONS(5964),
    [anon_sym_BSLASHk] = ACTIONS(5964),
    [anon_sym_BSLASHnd] = ACTIONS(5964),
    [anon_sym_BSLASHord] = ACTIONS(5964),
    [anon_sym_BSLASHpn] = ACTIONS(5964),
    [anon_sym_BSLASHpng] = ACTIONS(5964),
    [anon_sym_BSLASHaddpn] = ACTIONS(5964),
    [anon_sym_BSLASHqt] = ACTIONS(5964),
    [anon_sym_BSLASHsig] = ACTIONS(5964),
    [anon_sym_BSLASHsls] = ACTIONS(5964),
    [anon_sym_BSLASHtl] = ACTIONS(5964),
    [anon_sym_BSLASHwj] = ACTIONS(5964),
    [anon_sym_BSLASHem] = ACTIONS(5964),
    [anon_sym_BSLASHbd] = ACTIONS(5964),
    [anon_sym_BSLASHit] = ACTIONS(5964),
    [anon_sym_BSLASHbdit] = ACTIONS(5964),
    [anon_sym_BSLASHno] = ACTIONS(5964),
    [anon_sym_BSLASHsc] = ACTIONS(5964),
    [anon_sym_BSLASHsup] = ACTIONS(5964),
    [anon_sym_BSLASHndx] = ACTIONS(5964),
    [anon_sym_BSLASHpro] = ACTIONS(5964),
    [anon_sym_BSLASHrb] = ACTIONS(5964),
    [anon_sym_BSLASHw] = ACTIONS(5964),
    [anon_sym_BSLASHwg] = ACTIONS(5964),
    [anon_sym_BSLASHwh] = ACTIONS(5964),
    [anon_sym_BSLASHwa] = ACTIONS(5964),
    [anon_sym_BSLASHfig] = ACTIONS(5964),
    [anon_sym_BSLASHjmp] = ACTIONS(5964),
    [anon_sym_BSLASHpb] = ACTIONS(5964),
    [anon_sym_BSLASH] = ACTIONS(5964),
    [sym_milestoneStartTag] = ACTIONS(5964),
    [sym_milestoneEndTag] = ACTIONS(5964),
    [sym_zSpaceTag] = ACTIONS(5964),
    [anon_sym_BSLASHesb] = ACTIONS(5964),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(5966),
    [aux_sym_text_token1] = ACTIONS(5966),
    [anon_sym_BSLASHref] = ACTIONS(5968),
    [anon_sym_BSLASHsts] = ACTIONS(5968),
    [anon_sym_BSLASHrem] = ACTIONS(5968),
    [anon_sym_BSLASHrestore] = ACTIONS(5968),
    [anon_sym_BSLASHlit] = ACTIONS(5968),
    [anon_sym_BSLASHip] = ACTIONS(5968),
    [anon_sym_BSLASHiex] = ACTIONS(5968),
    [anon_sym_BSLASHv] = ACTIONS(5968),
    [anon_sym_BSLASHva] = ACTIONS(5968),
    [anon_sym_BSLASHvp] = ACTIONS(5968),
    [anon_sym_BSLASHc] = ACTIONS(5968),
    [anon_sym_BSLASHcl] = ACTIONS(5968),
    [anon_sym_BSLASHca] = ACTIONS(5968),
    [anon_sym_BSLASHcp] = ACTIONS(5968),
    [anon_sym_BSLASHcd] = ACTIONS(5968),
    [anon_sym_BSLASHmte] = ACTIONS(5968),
    [anon_sym_BSLASHms] = ACTIONS(5968),
    [anon_sym_BSLASHs] = ACTIONS(5968),
    [anon_sym_BSLASHr] = ACTIONS(5968),
    [anon_sym_BSLASHsp] = ACTIONS(5968),
    [anon_sym_BSLASHd] = ACTIONS(5968),
    [anon_sym_BSLASHsd] = ACTIONS(5968),
    [anon_sym_BSLASHp] = ACTIONS(5968),
    [anon_sym_BSLASHm] = ACTIONS(5968),
    [anon_sym_BSLASHpo] = ACTIONS(5968),
    [anon_sym_BSLASHpr] = ACTIONS(5968),
    [anon_sym_BSLASHcls] = ACTIONS(5968),
    [anon_sym_BSLASHpmo] = ACTIONS(5968),
    [anon_sym_BSLASHpm] = ACTIONS(5968),
    [anon_sym_BSLASHpmc] = ACTIONS(5968),
    [anon_sym_BSLASHpmr] = ACTIONS(5968),
    [anon_sym_BSLASHpi] = ACTIONS(5968),
    [anon_sym_BSLASHmi] = ACTIONS(5968),
    [anon_sym_BSLASHnb] = ACTIONS(5968),
    [anon_sym_BSLASHpc] = ACTIONS(5968),
    [anon_sym_BSLASHph] = ACTIONS(5968),
    [anon_sym_BSLASHb] = ACTIONS(5968),
    [anon_sym_BSLASHq] = ACTIONS(5968),
    [anon_sym_BSLASHqr] = ACTIONS(5968),
    [anon_sym_BSLASHqc] = ACTIONS(5968),
    [anon_sym_BSLASHqa] = ACTIONS(5968),
    [anon_sym_BSLASHqm] = ACTIONS(5968),
    [anon_sym_BSLASHqd] = ACTIONS(5968),
    [anon_sym_BSLASHlh] = ACTIONS(5968),
    [anon_sym_BSLASHlf] = ACTIONS(5968),
    [anon_sym_BSLASHli] = ACTIONS(5968),
    [anon_sym_BSLASHlim] = ACTIONS(5968),
    [anon_sym_BSLASHliv] = ACTIONS(5968),
    [anon_sym_BSLASHlik] = ACTIONS(5968),
    [anon_sym_BSLASHlitl] = ACTIONS(5968),
    [anon_sym_BSLASHtr] = ACTIONS(5968),
    [anon_sym_BSLASHf] = ACTIONS(5968),
    [anon_sym_BSLASHfe] = ACTIONS(5968),
    [anon_sym_BSLASHef] = ACTIONS(5968),
    [anon_sym_BSLASHfm] = ACTIONS(5968),
    [anon_sym_BSLASHx] = ACTIONS(5968),
    [anon_sym_BSLASHxt] = ACTIONS(5968),
    [anon_sym_BSLASHrq] = ACTIONS(5968),
    [anon_sym_BSLASHadd] = ACTIONS(5968),
    [anon_sym_BSLASHbk] = ACTIONS(5968),
    [anon_sym_BSLASHdc] = ACTIONS(5968),
    [anon_sym_BSLASHk] = ACTIONS(5968),
    [anon_sym_BSLASHnd] = ACTIONS(5968),
    [anon_sym_BSLASHord] = ACTIONS(5968),
    [anon_sym_BSLASHpn] = ACTIONS(5968),
    [anon_sym_BSLASHpng] = ACTIONS(5968),
    [anon_sym_BSLASHaddpn] = ACTIONS(5968),
    [anon_sym_BSLASHqt] = ACTIONS(5968),
    [anon_sym_BSLASHsig] = ACTIONS(5968),
    [anon_sym_BSLASHsls] = ACTIONS(5968),
    [anon_sym_BSLASHtl] = ACTIONS(5968),
    [anon_sym_BSLASHwj] = ACTIONS(5968),
    [anon_sym_BSLASHem] = ACTIONS(5968),
    [anon_sym_BSLASHbd] = ACTIONS(5968),
    [anon_sym_BSLASHit] = ACTIONS(5968),
    [anon_sym_BSLASHbdit] = ACTIONS(5968),
    [anon_sym_BSLASHno] = ACTIONS(5968),
    [anon_sym_BSLASHsc] = ACTIONS(5968),
    [anon_sym_BSLASHsup] = ACTIONS(5968),
    [anon_sym_BSLASHndx] = ACTIONS(5968),
    [anon_sym_BSLASHpro] = ACTIONS(5968),
    [anon_sym_BSLASHrb] = ACTIONS(5968),
    [anon_sym_BSLASHw] = ACTIONS(5968),
    [anon_sym_BSLASHwg] = ACTIONS(5968),
    [anon_sym_BSLASHwh] = ACTIONS(5968),
    [anon_sym_BSLASHwa] = ACTIONS(5968),
    [anon_sym_BSLASHfig] = ACTIONS(5968),
    [anon_sym_BSLASHjmp] = ACTIONS(5968),
    [anon_sym_BSLASHpb] = ACTIONS(5968),
    [anon_sym_BSLASH] = ACTIONS(5968),
    [sym_milestoneStartTag] = ACTIONS(5968),
    [sym_milestoneEndTag] = ACTIONS(5968),
    [sym_zSpaceTag] = ACTIONS(5968),
    [anon_sym_BSLASHesb] = ACTIONS(5968),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(5970),
    [aux_sym_text_token1] = ACTIONS(5970),
    [anon_sym_BSLASHref] = ACTIONS(5972),
    [anon_sym_BSLASHsts] = ACTIONS(5972),
    [anon_sym_BSLASHrem] = ACTIONS(5972),
    [anon_sym_BSLASHrestore] = ACTIONS(5972),
    [anon_sym_BSLASHlit] = ACTIONS(5972),
    [anon_sym_BSLASHip] = ACTIONS(5972),
    [anon_sym_BSLASHiex] = ACTIONS(5972),
    [anon_sym_BSLASHv] = ACTIONS(5972),
    [anon_sym_BSLASHva] = ACTIONS(5972),
    [anon_sym_BSLASHvp] = ACTIONS(5972),
    [anon_sym_BSLASHc] = ACTIONS(5972),
    [anon_sym_BSLASHcl] = ACTIONS(5972),
    [anon_sym_BSLASHca] = ACTIONS(5972),
    [anon_sym_BSLASHcp] = ACTIONS(5972),
    [anon_sym_BSLASHcd] = ACTIONS(5972),
    [anon_sym_BSLASHmte] = ACTIONS(5972),
    [anon_sym_BSLASHms] = ACTIONS(5972),
    [anon_sym_BSLASHs] = ACTIONS(5972),
    [anon_sym_BSLASHr] = ACTIONS(5972),
    [anon_sym_BSLASHsp] = ACTIONS(5972),
    [anon_sym_BSLASHd] = ACTIONS(5972),
    [anon_sym_BSLASHsd] = ACTIONS(5972),
    [anon_sym_BSLASHp] = ACTIONS(5972),
    [anon_sym_BSLASHm] = ACTIONS(5972),
    [anon_sym_BSLASHpo] = ACTIONS(5972),
    [anon_sym_BSLASHpr] = ACTIONS(5972),
    [anon_sym_BSLASHcls] = ACTIONS(5972),
    [anon_sym_BSLASHpmo] = ACTIONS(5972),
    [anon_sym_BSLASHpm] = ACTIONS(5972),
    [anon_sym_BSLASHpmc] = ACTIONS(5972),
    [anon_sym_BSLASHpmr] = ACTIONS(5972),
    [anon_sym_BSLASHpi] = ACTIONS(5972),
    [anon_sym_BSLASHmi] = ACTIONS(5972),
    [anon_sym_BSLASHnb] = ACTIONS(5972),
    [anon_sym_BSLASHpc] = ACTIONS(5972),
    [anon_sym_BSLASHph] = ACTIONS(5972),
    [anon_sym_BSLASHb] = ACTIONS(5972),
    [anon_sym_BSLASHq] = ACTIONS(5972),
    [anon_sym_BSLASHqr] = ACTIONS(5972),
    [anon_sym_BSLASHqc] = ACTIONS(5972),
    [anon_sym_BSLASHqa] = ACTIONS(5972),
    [anon_sym_BSLASHqm] = ACTIONS(5972),
    [anon_sym_BSLASHqd] = ACTIONS(5972),
    [anon_sym_BSLASHlh] = ACTIONS(5972),
    [anon_sym_BSLASHlf] = ACTIONS(5972),
    [anon_sym_BSLASHli] = ACTIONS(5972),
    [anon_sym_BSLASHlim] = ACTIONS(5972),
    [anon_sym_BSLASHliv] = ACTIONS(5972),
    [anon_sym_BSLASHlik] = ACTIONS(5972),
    [anon_sym_BSLASHlitl] = ACTIONS(5972),
    [anon_sym_BSLASHtr] = ACTIONS(5972),
    [anon_sym_BSLASHf] = ACTIONS(5972),
    [anon_sym_BSLASHfe] = ACTIONS(5972),
    [anon_sym_BSLASHef] = ACTIONS(5972),
    [anon_sym_BSLASHfm] = ACTIONS(5972),
    [anon_sym_BSLASHx] = ACTIONS(5972),
    [anon_sym_BSLASHxt] = ACTIONS(5972),
    [anon_sym_BSLASHrq] = ACTIONS(5972),
    [anon_sym_BSLASHadd] = ACTIONS(5972),
    [anon_sym_BSLASHbk] = ACTIONS(5972),
    [anon_sym_BSLASHdc] = ACTIONS(5972),
    [anon_sym_BSLASHk] = ACTIONS(5972),
    [anon_sym_BSLASHnd] = ACTIONS(5972),
    [anon_sym_BSLASHord] = ACTIONS(5972),
    [anon_sym_BSLASHpn] = ACTIONS(5972),
    [anon_sym_BSLASHpng] = ACTIONS(5972),
    [anon_sym_BSLASHaddpn] = ACTIONS(5972),
    [anon_sym_BSLASHqt] = ACTIONS(5972),
    [anon_sym_BSLASHsig] = ACTIONS(5972),
    [anon_sym_BSLASHsls] = ACTIONS(5972),
    [anon_sym_BSLASHtl] = ACTIONS(5972),
    [anon_sym_BSLASHwj] = ACTIONS(5972),
    [anon_sym_BSLASHem] = ACTIONS(5972),
    [anon_sym_BSLASHbd] = ACTIONS(5972),
    [anon_sym_BSLASHit] = ACTIONS(5972),
    [anon_sym_BSLASHbdit] = ACTIONS(5972),
    [anon_sym_BSLASHno] = ACTIONS(5972),
    [anon_sym_BSLASHsc] = ACTIONS(5972),
    [anon_sym_BSLASHsup] = ACTIONS(5972),
    [anon_sym_BSLASHndx] = ACTIONS(5972),
    [anon_sym_BSLASHpro] = ACTIONS(5972),
    [anon_sym_BSLASHrb] = ACTIONS(5972),
    [anon_sym_BSLASHw] = ACTIONS(5972),
    [anon_sym_BSLASHwg] = ACTIONS(5972),
    [anon_sym_BSLASHwh] = ACTIONS(5972),
    [anon_sym_BSLASHwa] = ACTIONS(5972),
    [anon_sym_BSLASHfig] = ACTIONS(5972),
    [anon_sym_BSLASHjmp] = ACTIONS(5972),
    [anon_sym_BSLASHpb] = ACTIONS(5972),
    [anon_sym_BSLASH] = ACTIONS(5972),
    [sym_milestoneStartTag] = ACTIONS(5972),
    [sym_milestoneEndTag] = ACTIONS(5972),
    [sym_zSpaceTag] = ACTIONS(5972),
    [anon_sym_BSLASHesb] = ACTIONS(5972),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(5974),
    [aux_sym_text_token1] = ACTIONS(5974),
    [anon_sym_BSLASHref] = ACTIONS(5976),
    [anon_sym_BSLASHsts] = ACTIONS(5976),
    [anon_sym_BSLASHrem] = ACTIONS(5976),
    [anon_sym_BSLASHrestore] = ACTIONS(5976),
    [anon_sym_BSLASHlit] = ACTIONS(5976),
    [anon_sym_BSLASHip] = ACTIONS(5976),
    [anon_sym_BSLASHiex] = ACTIONS(5976),
    [anon_sym_BSLASHv] = ACTIONS(5976),
    [anon_sym_BSLASHva] = ACTIONS(5976),
    [anon_sym_BSLASHvp] = ACTIONS(5976),
    [anon_sym_BSLASHc] = ACTIONS(5976),
    [anon_sym_BSLASHcl] = ACTIONS(5976),
    [anon_sym_BSLASHca] = ACTIONS(5976),
    [anon_sym_BSLASHcp] = ACTIONS(5976),
    [anon_sym_BSLASHcd] = ACTIONS(5976),
    [anon_sym_BSLASHmte] = ACTIONS(5976),
    [anon_sym_BSLASHms] = ACTIONS(5976),
    [anon_sym_BSLASHs] = ACTIONS(5976),
    [anon_sym_BSLASHr] = ACTIONS(5976),
    [anon_sym_BSLASHsp] = ACTIONS(5976),
    [anon_sym_BSLASHd] = ACTIONS(5976),
    [anon_sym_BSLASHsd] = ACTIONS(5976),
    [anon_sym_BSLASHp] = ACTIONS(5976),
    [anon_sym_BSLASHm] = ACTIONS(5976),
    [anon_sym_BSLASHpo] = ACTIONS(5976),
    [anon_sym_BSLASHpr] = ACTIONS(5976),
    [anon_sym_BSLASHcls] = ACTIONS(5976),
    [anon_sym_BSLASHpmo] = ACTIONS(5976),
    [anon_sym_BSLASHpm] = ACTIONS(5976),
    [anon_sym_BSLASHpmc] = ACTIONS(5976),
    [anon_sym_BSLASHpmr] = ACTIONS(5976),
    [anon_sym_BSLASHpi] = ACTIONS(5976),
    [anon_sym_BSLASHmi] = ACTIONS(5976),
    [anon_sym_BSLASHnb] = ACTIONS(5976),
    [anon_sym_BSLASHpc] = ACTIONS(5976),
    [anon_sym_BSLASHph] = ACTIONS(5976),
    [anon_sym_BSLASHb] = ACTIONS(5976),
    [anon_sym_BSLASHq] = ACTIONS(5976),
    [anon_sym_BSLASHqr] = ACTIONS(5976),
    [anon_sym_BSLASHqc] = ACTIONS(5976),
    [anon_sym_BSLASHqa] = ACTIONS(5976),
    [anon_sym_BSLASHqm] = ACTIONS(5976),
    [anon_sym_BSLASHqd] = ACTIONS(5976),
    [anon_sym_BSLASHlh] = ACTIONS(5976),
    [anon_sym_BSLASHlf] = ACTIONS(5976),
    [anon_sym_BSLASHli] = ACTIONS(5976),
    [anon_sym_BSLASHlim] = ACTIONS(5976),
    [anon_sym_BSLASHliv] = ACTIONS(5976),
    [anon_sym_BSLASHlik] = ACTIONS(5976),
    [anon_sym_BSLASHlitl] = ACTIONS(5976),
    [anon_sym_BSLASHtr] = ACTIONS(5976),
    [anon_sym_BSLASHf] = ACTIONS(5976),
    [anon_sym_BSLASHfe] = ACTIONS(5976),
    [anon_sym_BSLASHef] = ACTIONS(5976),
    [anon_sym_BSLASHfm] = ACTIONS(5976),
    [anon_sym_BSLASHx] = ACTIONS(5976),
    [anon_sym_BSLASHxt] = ACTIONS(5976),
    [anon_sym_BSLASHrq] = ACTIONS(5976),
    [anon_sym_BSLASHadd] = ACTIONS(5976),
    [anon_sym_BSLASHbk] = ACTIONS(5976),
    [anon_sym_BSLASHdc] = ACTIONS(5976),
    [anon_sym_BSLASHk] = ACTIONS(5976),
    [anon_sym_BSLASHnd] = ACTIONS(5976),
    [anon_sym_BSLASHord] = ACTIONS(5976),
    [anon_sym_BSLASHpn] = ACTIONS(5976),
    [anon_sym_BSLASHpng] = ACTIONS(5976),
    [anon_sym_BSLASHaddpn] = ACTIONS(5976),
    [anon_sym_BSLASHqt] = ACTIONS(5976),
    [anon_sym_BSLASHsig] = ACTIONS(5976),
    [anon_sym_BSLASHsls] = ACTIONS(5976),
    [anon_sym_BSLASHtl] = ACTIONS(5976),
    [anon_sym_BSLASHwj] = ACTIONS(5976),
    [anon_sym_BSLASHem] = ACTIONS(5976),
    [anon_sym_BSLASHbd] = ACTIONS(5976),
    [anon_sym_BSLASHit] = ACTIONS(5976),
    [anon_sym_BSLASHbdit] = ACTIONS(5976),
    [anon_sym_BSLASHno] = ACTIONS(5976),
    [anon_sym_BSLASHsc] = ACTIONS(5976),
    [anon_sym_BSLASHsup] = ACTIONS(5976),
    [anon_sym_BSLASHndx] = ACTIONS(5976),
    [anon_sym_BSLASHpro] = ACTIONS(5976),
    [anon_sym_BSLASHrb] = ACTIONS(5976),
    [anon_sym_BSLASHw] = ACTIONS(5976),
    [anon_sym_BSLASHwg] = ACTIONS(5976),
    [anon_sym_BSLASHwh] = ACTIONS(5976),
    [anon_sym_BSLASHwa] = ACTIONS(5976),
    [anon_sym_BSLASHfig] = ACTIONS(5976),
    [anon_sym_BSLASHjmp] = ACTIONS(5976),
    [anon_sym_BSLASHpb] = ACTIONS(5976),
    [anon_sym_BSLASH] = ACTIONS(5976),
    [sym_milestoneStartTag] = ACTIONS(5976),
    [sym_milestoneEndTag] = ACTIONS(5976),
    [sym_zSpaceTag] = ACTIONS(5976),
    [anon_sym_BSLASHesb] = ACTIONS(5976),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(5978),
    [aux_sym_text_token1] = ACTIONS(5978),
    [anon_sym_BSLASHref] = ACTIONS(5980),
    [anon_sym_BSLASHsts] = ACTIONS(5980),
    [anon_sym_BSLASHrem] = ACTIONS(5980),
    [anon_sym_BSLASHrestore] = ACTIONS(5980),
    [anon_sym_BSLASHlit] = ACTIONS(5980),
    [anon_sym_BSLASHip] = ACTIONS(5980),
    [anon_sym_BSLASHiex] = ACTIONS(5980),
    [anon_sym_BSLASHv] = ACTIONS(5980),
    [anon_sym_BSLASHva] = ACTIONS(5980),
    [anon_sym_BSLASHvp] = ACTIONS(5980),
    [anon_sym_BSLASHc] = ACTIONS(5980),
    [anon_sym_BSLASHcl] = ACTIONS(5980),
    [anon_sym_BSLASHca] = ACTIONS(5980),
    [anon_sym_BSLASHcp] = ACTIONS(5980),
    [anon_sym_BSLASHcd] = ACTIONS(5980),
    [anon_sym_BSLASHmte] = ACTIONS(5980),
    [anon_sym_BSLASHms] = ACTIONS(5980),
    [anon_sym_BSLASHs] = ACTIONS(5980),
    [anon_sym_BSLASHr] = ACTIONS(5980),
    [anon_sym_BSLASHsp] = ACTIONS(5980),
    [anon_sym_BSLASHd] = ACTIONS(5980),
    [anon_sym_BSLASHsd] = ACTIONS(5980),
    [anon_sym_BSLASHp] = ACTIONS(5980),
    [anon_sym_BSLASHm] = ACTIONS(5980),
    [anon_sym_BSLASHpo] = ACTIONS(5980),
    [anon_sym_BSLASHpr] = ACTIONS(5980),
    [anon_sym_BSLASHcls] = ACTIONS(5980),
    [anon_sym_BSLASHpmo] = ACTIONS(5980),
    [anon_sym_BSLASHpm] = ACTIONS(5980),
    [anon_sym_BSLASHpmc] = ACTIONS(5980),
    [anon_sym_BSLASHpmr] = ACTIONS(5980),
    [anon_sym_BSLASHpi] = ACTIONS(5980),
    [anon_sym_BSLASHmi] = ACTIONS(5980),
    [anon_sym_BSLASHnb] = ACTIONS(5980),
    [anon_sym_BSLASHpc] = ACTIONS(5980),
    [anon_sym_BSLASHph] = ACTIONS(5980),
    [anon_sym_BSLASHb] = ACTIONS(5980),
    [anon_sym_BSLASHq] = ACTIONS(5980),
    [anon_sym_BSLASHqr] = ACTIONS(5980),
    [anon_sym_BSLASHqc] = ACTIONS(5980),
    [anon_sym_BSLASHqa] = ACTIONS(5980),
    [anon_sym_BSLASHqm] = ACTIONS(5980),
    [anon_sym_BSLASHqd] = ACTIONS(5980),
    [anon_sym_BSLASHlh] = ACTIONS(5980),
    [anon_sym_BSLASHlf] = ACTIONS(5980),
    [anon_sym_BSLASHli] = ACTIONS(5980),
    [anon_sym_BSLASHlim] = ACTIONS(5980),
    [anon_sym_BSLASHliv] = ACTIONS(5980),
    [anon_sym_BSLASHlik] = ACTIONS(5980),
    [anon_sym_BSLASHlitl] = ACTIONS(5980),
    [anon_sym_BSLASHtr] = ACTIONS(5980),
    [anon_sym_BSLASHf] = ACTIONS(5980),
    [anon_sym_BSLASHfe] = ACTIONS(5980),
    [anon_sym_BSLASHef] = ACTIONS(5980),
    [anon_sym_BSLASHfm] = ACTIONS(5980),
    [anon_sym_BSLASHx] = ACTIONS(5980),
    [anon_sym_BSLASHxt] = ACTIONS(5980),
    [anon_sym_BSLASHrq] = ACTIONS(5980),
    [anon_sym_BSLASHadd] = ACTIONS(5980),
    [anon_sym_BSLASHbk] = ACTIONS(5980),
    [anon_sym_BSLASHdc] = ACTIONS(5980),
    [anon_sym_BSLASHk] = ACTIONS(5980),
    [anon_sym_BSLASHnd] = ACTIONS(5980),
    [anon_sym_BSLASHord] = ACTIONS(5980),
    [anon_sym_BSLASHpn] = ACTIONS(5980),
    [anon_sym_BSLASHpng] = ACTIONS(5980),
    [anon_sym_BSLASHaddpn] = ACTIONS(5980),
    [anon_sym_BSLASHqt] = ACTIONS(5980),
    [anon_sym_BSLASHsig] = ACTIONS(5980),
    [anon_sym_BSLASHsls] = ACTIONS(5980),
    [anon_sym_BSLASHtl] = ACTIONS(5980),
    [anon_sym_BSLASHwj] = ACTIONS(5980),
    [anon_sym_BSLASHem] = ACTIONS(5980),
    [anon_sym_BSLASHbd] = ACTIONS(5980),
    [anon_sym_BSLASHit] = ACTIONS(5980),
    [anon_sym_BSLASHbdit] = ACTIONS(5980),
    [anon_sym_BSLASHno] = ACTIONS(5980),
    [anon_sym_BSLASHsc] = ACTIONS(5980),
    [anon_sym_BSLASHsup] = ACTIONS(5980),
    [anon_sym_BSLASHndx] = ACTIONS(5980),
    [anon_sym_BSLASHpro] = ACTIONS(5980),
    [anon_sym_BSLASHrb] = ACTIONS(5980),
    [anon_sym_BSLASHw] = ACTIONS(5980),
    [anon_sym_BSLASHwg] = ACTIONS(5980),
    [anon_sym_BSLASHwh] = ACTIONS(5980),
    [anon_sym_BSLASHwa] = ACTIONS(5980),
    [anon_sym_BSLASHfig] = ACTIONS(5980),
    [anon_sym_BSLASHjmp] = ACTIONS(5980),
    [anon_sym_BSLASHpb] = ACTIONS(5980),
    [anon_sym_BSLASH] = ACTIONS(5980),
    [sym_milestoneStartTag] = ACTIONS(5980),
    [sym_milestoneEndTag] = ACTIONS(5980),
    [sym_zSpaceTag] = ACTIONS(5980),
    [anon_sym_BSLASHesb] = ACTIONS(5980),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(5982),
    [aux_sym_text_token1] = ACTIONS(5982),
    [anon_sym_BSLASHref] = ACTIONS(5984),
    [anon_sym_BSLASHsts] = ACTIONS(5984),
    [anon_sym_BSLASHrem] = ACTIONS(5984),
    [anon_sym_BSLASHrestore] = ACTIONS(5984),
    [anon_sym_BSLASHlit] = ACTIONS(5984),
    [anon_sym_BSLASHip] = ACTIONS(5984),
    [anon_sym_BSLASHiex] = ACTIONS(5984),
    [anon_sym_BSLASHv] = ACTIONS(5984),
    [anon_sym_BSLASHva] = ACTIONS(5984),
    [anon_sym_BSLASHvp] = ACTIONS(5984),
    [anon_sym_BSLASHc] = ACTIONS(5984),
    [anon_sym_BSLASHcl] = ACTIONS(5984),
    [anon_sym_BSLASHca] = ACTIONS(5984),
    [anon_sym_BSLASHcp] = ACTIONS(5984),
    [anon_sym_BSLASHcd] = ACTIONS(5984),
    [anon_sym_BSLASHmte] = ACTIONS(5984),
    [anon_sym_BSLASHms] = ACTIONS(5984),
    [anon_sym_BSLASHs] = ACTIONS(5984),
    [anon_sym_BSLASHr] = ACTIONS(5984),
    [anon_sym_BSLASHsp] = ACTIONS(5984),
    [anon_sym_BSLASHd] = ACTIONS(5984),
    [anon_sym_BSLASHsd] = ACTIONS(5984),
    [anon_sym_BSLASHp] = ACTIONS(5984),
    [anon_sym_BSLASHm] = ACTIONS(5984),
    [anon_sym_BSLASHpo] = ACTIONS(5984),
    [anon_sym_BSLASHpr] = ACTIONS(5984),
    [anon_sym_BSLASHcls] = ACTIONS(5984),
    [anon_sym_BSLASHpmo] = ACTIONS(5984),
    [anon_sym_BSLASHpm] = ACTIONS(5984),
    [anon_sym_BSLASHpmc] = ACTIONS(5984),
    [anon_sym_BSLASHpmr] = ACTIONS(5984),
    [anon_sym_BSLASHpi] = ACTIONS(5984),
    [anon_sym_BSLASHmi] = ACTIONS(5984),
    [anon_sym_BSLASHnb] = ACTIONS(5984),
    [anon_sym_BSLASHpc] = ACTIONS(5984),
    [anon_sym_BSLASHph] = ACTIONS(5984),
    [anon_sym_BSLASHb] = ACTIONS(5984),
    [anon_sym_BSLASHq] = ACTIONS(5984),
    [anon_sym_BSLASHqr] = ACTIONS(5984),
    [anon_sym_BSLASHqc] = ACTIONS(5984),
    [anon_sym_BSLASHqa] = ACTIONS(5984),
    [anon_sym_BSLASHqm] = ACTIONS(5984),
    [anon_sym_BSLASHqd] = ACTIONS(5984),
    [anon_sym_BSLASHlh] = ACTIONS(5984),
    [anon_sym_BSLASHlf] = ACTIONS(5984),
    [anon_sym_BSLASHli] = ACTIONS(5984),
    [anon_sym_BSLASHlim] = ACTIONS(5984),
    [anon_sym_BSLASHliv] = ACTIONS(5984),
    [anon_sym_BSLASHlik] = ACTIONS(5984),
    [anon_sym_BSLASHlitl] = ACTIONS(5984),
    [anon_sym_BSLASHtr] = ACTIONS(5984),
    [anon_sym_BSLASHf] = ACTIONS(5984),
    [anon_sym_BSLASHfe] = ACTIONS(5984),
    [anon_sym_BSLASHef] = ACTIONS(5984),
    [anon_sym_BSLASHfm] = ACTIONS(5984),
    [anon_sym_BSLASHx] = ACTIONS(5984),
    [anon_sym_BSLASHxt] = ACTIONS(5984),
    [anon_sym_BSLASHrq] = ACTIONS(5984),
    [anon_sym_BSLASHadd] = ACTIONS(5984),
    [anon_sym_BSLASHbk] = ACTIONS(5984),
    [anon_sym_BSLASHdc] = ACTIONS(5984),
    [anon_sym_BSLASHk] = ACTIONS(5984),
    [anon_sym_BSLASHnd] = ACTIONS(5984),
    [anon_sym_BSLASHord] = ACTIONS(5984),
    [anon_sym_BSLASHpn] = ACTIONS(5984),
    [anon_sym_BSLASHpng] = ACTIONS(5984),
    [anon_sym_BSLASHaddpn] = ACTIONS(5984),
    [anon_sym_BSLASHqt] = ACTIONS(5984),
    [anon_sym_BSLASHsig] = ACTIONS(5984),
    [anon_sym_BSLASHsls] = ACTIONS(5984),
    [anon_sym_BSLASHtl] = ACTIONS(5984),
    [anon_sym_BSLASHwj] = ACTIONS(5984),
    [anon_sym_BSLASHem] = ACTIONS(5984),
    [anon_sym_BSLASHbd] = ACTIONS(5984),
    [anon_sym_BSLASHit] = ACTIONS(5984),
    [anon_sym_BSLASHbdit] = ACTIONS(5984),
    [anon_sym_BSLASHno] = ACTIONS(5984),
    [anon_sym_BSLASHsc] = ACTIONS(5984),
    [anon_sym_BSLASHsup] = ACTIONS(5984),
    [anon_sym_BSLASHndx] = ACTIONS(5984),
    [anon_sym_BSLASHpro] = ACTIONS(5984),
    [anon_sym_BSLASHrb] = ACTIONS(5984),
    [anon_sym_BSLASHw] = ACTIONS(5984),
    [anon_sym_BSLASHwg] = ACTIONS(5984),
    [anon_sym_BSLASHwh] = ACTIONS(5984),
    [anon_sym_BSLASHwa] = ACTIONS(5984),
    [anon_sym_BSLASHfig] = ACTIONS(5984),
    [anon_sym_BSLASHjmp] = ACTIONS(5984),
    [anon_sym_BSLASHpb] = ACTIONS(5984),
    [anon_sym_BSLASH] = ACTIONS(5984),
    [sym_milestoneStartTag] = ACTIONS(5984),
    [sym_milestoneEndTag] = ACTIONS(5984),
    [sym_zSpaceTag] = ACTIONS(5984),
    [anon_sym_BSLASHesb] = ACTIONS(5984),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(5986),
    [aux_sym_text_token1] = ACTIONS(5986),
    [anon_sym_BSLASHref] = ACTIONS(5988),
    [anon_sym_BSLASHsts] = ACTIONS(5988),
    [anon_sym_BSLASHrem] = ACTIONS(5988),
    [anon_sym_BSLASHrestore] = ACTIONS(5988),
    [anon_sym_BSLASHlit] = ACTIONS(5988),
    [anon_sym_BSLASHip] = ACTIONS(5988),
    [anon_sym_BSLASHiex] = ACTIONS(5988),
    [anon_sym_BSLASHv] = ACTIONS(5988),
    [anon_sym_BSLASHva] = ACTIONS(5988),
    [anon_sym_BSLASHvp] = ACTIONS(5988),
    [anon_sym_BSLASHc] = ACTIONS(5988),
    [anon_sym_BSLASHcl] = ACTIONS(5988),
    [anon_sym_BSLASHca] = ACTIONS(5988),
    [anon_sym_BSLASHcp] = ACTIONS(5988),
    [anon_sym_BSLASHcd] = ACTIONS(5988),
    [anon_sym_BSLASHmte] = ACTIONS(5988),
    [anon_sym_BSLASHms] = ACTIONS(5988),
    [anon_sym_BSLASHs] = ACTIONS(5988),
    [anon_sym_BSLASHr] = ACTIONS(5988),
    [anon_sym_BSLASHsp] = ACTIONS(5988),
    [anon_sym_BSLASHd] = ACTIONS(5988),
    [anon_sym_BSLASHsd] = ACTIONS(5988),
    [anon_sym_BSLASHp] = ACTIONS(5988),
    [anon_sym_BSLASHm] = ACTIONS(5988),
    [anon_sym_BSLASHpo] = ACTIONS(5988),
    [anon_sym_BSLASHpr] = ACTIONS(5988),
    [anon_sym_BSLASHcls] = ACTIONS(5988),
    [anon_sym_BSLASHpmo] = ACTIONS(5988),
    [anon_sym_BSLASHpm] = ACTIONS(5988),
    [anon_sym_BSLASHpmc] = ACTIONS(5988),
    [anon_sym_BSLASHpmr] = ACTIONS(5988),
    [anon_sym_BSLASHpi] = ACTIONS(5988),
    [anon_sym_BSLASHmi] = ACTIONS(5988),
    [anon_sym_BSLASHnb] = ACTIONS(5988),
    [anon_sym_BSLASHpc] = ACTIONS(5988),
    [anon_sym_BSLASHph] = ACTIONS(5988),
    [anon_sym_BSLASHb] = ACTIONS(5988),
    [anon_sym_BSLASHq] = ACTIONS(5988),
    [anon_sym_BSLASHqr] = ACTIONS(5988),
    [anon_sym_BSLASHqc] = ACTIONS(5988),
    [anon_sym_BSLASHqa] = ACTIONS(5988),
    [anon_sym_BSLASHqm] = ACTIONS(5988),
    [anon_sym_BSLASHqd] = ACTIONS(5988),
    [anon_sym_BSLASHlh] = ACTIONS(5988),
    [anon_sym_BSLASHlf] = ACTIONS(5988),
    [anon_sym_BSLASHli] = ACTIONS(5988),
    [anon_sym_BSLASHlim] = ACTIONS(5988),
    [anon_sym_BSLASHliv] = ACTIONS(5988),
    [anon_sym_BSLASHlik] = ACTIONS(5988),
    [anon_sym_BSLASHlitl] = ACTIONS(5988),
    [anon_sym_BSLASHtr] = ACTIONS(5988),
    [anon_sym_BSLASHf] = ACTIONS(5988),
    [anon_sym_BSLASHfe] = ACTIONS(5988),
    [anon_sym_BSLASHef] = ACTIONS(5988),
    [anon_sym_BSLASHfm] = ACTIONS(5988),
    [anon_sym_BSLASHx] = ACTIONS(5988),
    [anon_sym_BSLASHxt] = ACTIONS(5988),
    [anon_sym_BSLASHrq] = ACTIONS(5988),
    [anon_sym_BSLASHadd] = ACTIONS(5988),
    [anon_sym_BSLASHbk] = ACTIONS(5988),
    [anon_sym_BSLASHdc] = ACTIONS(5988),
    [anon_sym_BSLASHk] = ACTIONS(5988),
    [anon_sym_BSLASHnd] = ACTIONS(5988),
    [anon_sym_BSLASHord] = ACTIONS(5988),
    [anon_sym_BSLASHpn] = ACTIONS(5988),
    [anon_sym_BSLASHpng] = ACTIONS(5988),
    [anon_sym_BSLASHaddpn] = ACTIONS(5988),
    [anon_sym_BSLASHqt] = ACTIONS(5988),
    [anon_sym_BSLASHsig] = ACTIONS(5988),
    [anon_sym_BSLASHsls] = ACTIONS(5988),
    [anon_sym_BSLASHtl] = ACTIONS(5988),
    [anon_sym_BSLASHwj] = ACTIONS(5988),
    [anon_sym_BSLASHem] = ACTIONS(5988),
    [anon_sym_BSLASHbd] = ACTIONS(5988),
    [anon_sym_BSLASHit] = ACTIONS(5988),
    [anon_sym_BSLASHbdit] = ACTIONS(5988),
    [anon_sym_BSLASHno] = ACTIONS(5988),
    [anon_sym_BSLASHsc] = ACTIONS(5988),
    [anon_sym_BSLASHsup] = ACTIONS(5988),
    [anon_sym_BSLASHndx] = ACTIONS(5988),
    [anon_sym_BSLASHpro] = ACTIONS(5988),
    [anon_sym_BSLASHrb] = ACTIONS(5988),
    [anon_sym_BSLASHw] = ACTIONS(5988),
    [anon_sym_BSLASHwg] = ACTIONS(5988),
    [anon_sym_BSLASHwh] = ACTIONS(5988),
    [anon_sym_BSLASHwa] = ACTIONS(5988),
    [anon_sym_BSLASHfig] = ACTIONS(5988),
    [anon_sym_BSLASHjmp] = ACTIONS(5988),
    [anon_sym_BSLASHpb] = ACTIONS(5988),
    [anon_sym_BSLASH] = ACTIONS(5988),
    [sym_milestoneStartTag] = ACTIONS(5988),
    [sym_milestoneEndTag] = ACTIONS(5988),
    [sym_zSpaceTag] = ACTIONS(5988),
    [anon_sym_BSLASHesb] = ACTIONS(5988),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(5990),
    [aux_sym_text_token1] = ACTIONS(5990),
    [anon_sym_BSLASHref] = ACTIONS(5992),
    [anon_sym_BSLASHsts] = ACTIONS(5992),
    [anon_sym_BSLASHrem] = ACTIONS(5992),
    [anon_sym_BSLASHrestore] = ACTIONS(5992),
    [anon_sym_BSLASHlit] = ACTIONS(5992),
    [anon_sym_BSLASHip] = ACTIONS(5992),
    [anon_sym_BSLASHiex] = ACTIONS(5992),
    [anon_sym_BSLASHv] = ACTIONS(5992),
    [anon_sym_BSLASHva] = ACTIONS(5992),
    [anon_sym_BSLASHvp] = ACTIONS(5992),
    [anon_sym_BSLASHc] = ACTIONS(5992),
    [anon_sym_BSLASHcl] = ACTIONS(5992),
    [anon_sym_BSLASHca] = ACTIONS(5992),
    [anon_sym_BSLASHcp] = ACTIONS(5992),
    [anon_sym_BSLASHcd] = ACTIONS(5992),
    [anon_sym_BSLASHmte] = ACTIONS(5992),
    [anon_sym_BSLASHms] = ACTIONS(5992),
    [anon_sym_BSLASHs] = ACTIONS(5992),
    [anon_sym_BSLASHr] = ACTIONS(5992),
    [anon_sym_BSLASHsp] = ACTIONS(5992),
    [anon_sym_BSLASHd] = ACTIONS(5992),
    [anon_sym_BSLASHsd] = ACTIONS(5992),
    [anon_sym_BSLASHp] = ACTIONS(5992),
    [anon_sym_BSLASHm] = ACTIONS(5992),
    [anon_sym_BSLASHpo] = ACTIONS(5992),
    [anon_sym_BSLASHpr] = ACTIONS(5992),
    [anon_sym_BSLASHcls] = ACTIONS(5992),
    [anon_sym_BSLASHpmo] = ACTIONS(5992),
    [anon_sym_BSLASHpm] = ACTIONS(5992),
    [anon_sym_BSLASHpmc] = ACTIONS(5992),
    [anon_sym_BSLASHpmr] = ACTIONS(5992),
    [anon_sym_BSLASHpi] = ACTIONS(5992),
    [anon_sym_BSLASHmi] = ACTIONS(5992),
    [anon_sym_BSLASHnb] = ACTIONS(5992),
    [anon_sym_BSLASHpc] = ACTIONS(5992),
    [anon_sym_BSLASHph] = ACTIONS(5992),
    [anon_sym_BSLASHb] = ACTIONS(5992),
    [anon_sym_BSLASHq] = ACTIONS(5992),
    [anon_sym_BSLASHqr] = ACTIONS(5992),
    [anon_sym_BSLASHqc] = ACTIONS(5992),
    [anon_sym_BSLASHqa] = ACTIONS(5992),
    [anon_sym_BSLASHqm] = ACTIONS(5992),
    [anon_sym_BSLASHqd] = ACTIONS(5992),
    [anon_sym_BSLASHlh] = ACTIONS(5992),
    [anon_sym_BSLASHlf] = ACTIONS(5992),
    [anon_sym_BSLASHli] = ACTIONS(5992),
    [anon_sym_BSLASHlim] = ACTIONS(5992),
    [anon_sym_BSLASHliv] = ACTIONS(5992),
    [anon_sym_BSLASHlik] = ACTIONS(5992),
    [anon_sym_BSLASHlitl] = ACTIONS(5992),
    [anon_sym_BSLASHtr] = ACTIONS(5992),
    [anon_sym_BSLASHf] = ACTIONS(5992),
    [anon_sym_BSLASHfe] = ACTIONS(5992),
    [anon_sym_BSLASHef] = ACTIONS(5992),
    [anon_sym_BSLASHfm] = ACTIONS(5992),
    [anon_sym_BSLASHx] = ACTIONS(5992),
    [anon_sym_BSLASHxt] = ACTIONS(5992),
    [anon_sym_BSLASHrq] = ACTIONS(5992),
    [anon_sym_BSLASHadd] = ACTIONS(5992),
    [anon_sym_BSLASHbk] = ACTIONS(5992),
    [anon_sym_BSLASHdc] = ACTIONS(5992),
    [anon_sym_BSLASHk] = ACTIONS(5992),
    [anon_sym_BSLASHnd] = ACTIONS(5992),
    [anon_sym_BSLASHord] = ACTIONS(5992),
    [anon_sym_BSLASHpn] = ACTIONS(5992),
    [anon_sym_BSLASHpng] = ACTIONS(5992),
    [anon_sym_BSLASHaddpn] = ACTIONS(5992),
    [anon_sym_BSLASHqt] = ACTIONS(5992),
    [anon_sym_BSLASHsig] = ACTIONS(5992),
    [anon_sym_BSLASHsls] = ACTIONS(5992),
    [anon_sym_BSLASHtl] = ACTIONS(5992),
    [anon_sym_BSLASHwj] = ACTIONS(5992),
    [anon_sym_BSLASHem] = ACTIONS(5992),
    [anon_sym_BSLASHbd] = ACTIONS(5992),
    [anon_sym_BSLASHit] = ACTIONS(5992),
    [anon_sym_BSLASHbdit] = ACTIONS(5992),
    [anon_sym_BSLASHno] = ACTIONS(5992),
    [anon_sym_BSLASHsc] = ACTIONS(5992),
    [anon_sym_BSLASHsup] = ACTIONS(5992),
    [anon_sym_BSLASHndx] = ACTIONS(5992),
    [anon_sym_BSLASHpro] = ACTIONS(5992),
    [anon_sym_BSLASHrb] = ACTIONS(5992),
    [anon_sym_BSLASHw] = ACTIONS(5992),
    [anon_sym_BSLASHwg] = ACTIONS(5992),
    [anon_sym_BSLASHwh] = ACTIONS(5992),
    [anon_sym_BSLASHwa] = ACTIONS(5992),
    [anon_sym_BSLASHfig] = ACTIONS(5992),
    [anon_sym_BSLASHjmp] = ACTIONS(5992),
    [anon_sym_BSLASHpb] = ACTIONS(5992),
    [anon_sym_BSLASH] = ACTIONS(5992),
    [sym_milestoneStartTag] = ACTIONS(5992),
    [sym_milestoneEndTag] = ACTIONS(5992),
    [sym_zSpaceTag] = ACTIONS(5992),
    [anon_sym_BSLASHesb] = ACTIONS(5992),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(5994),
    [aux_sym_text_token1] = ACTIONS(5994),
    [anon_sym_BSLASHref] = ACTIONS(5996),
    [anon_sym_BSLASHsts] = ACTIONS(5996),
    [anon_sym_BSLASHrem] = ACTIONS(5996),
    [anon_sym_BSLASHrestore] = ACTIONS(5996),
    [anon_sym_BSLASHlit] = ACTIONS(5996),
    [anon_sym_BSLASHip] = ACTIONS(5996),
    [anon_sym_BSLASHiex] = ACTIONS(5996),
    [anon_sym_BSLASHv] = ACTIONS(5996),
    [anon_sym_BSLASHva] = ACTIONS(5996),
    [anon_sym_BSLASHvp] = ACTIONS(5996),
    [anon_sym_BSLASHc] = ACTIONS(5996),
    [anon_sym_BSLASHcl] = ACTIONS(5996),
    [anon_sym_BSLASHca] = ACTIONS(5996),
    [anon_sym_BSLASHcp] = ACTIONS(5996),
    [anon_sym_BSLASHcd] = ACTIONS(5996),
    [anon_sym_BSLASHmte] = ACTIONS(5996),
    [anon_sym_BSLASHms] = ACTIONS(5996),
    [anon_sym_BSLASHs] = ACTIONS(5996),
    [anon_sym_BSLASHr] = ACTIONS(5996),
    [anon_sym_BSLASHsp] = ACTIONS(5996),
    [anon_sym_BSLASHd] = ACTIONS(5996),
    [anon_sym_BSLASHsd] = ACTIONS(5996),
    [anon_sym_BSLASHp] = ACTIONS(5996),
    [anon_sym_BSLASHm] = ACTIONS(5996),
    [anon_sym_BSLASHpo] = ACTIONS(5996),
    [anon_sym_BSLASHpr] = ACTIONS(5996),
    [anon_sym_BSLASHcls] = ACTIONS(5996),
    [anon_sym_BSLASHpmo] = ACTIONS(5996),
    [anon_sym_BSLASHpm] = ACTIONS(5996),
    [anon_sym_BSLASHpmc] = ACTIONS(5996),
    [anon_sym_BSLASHpmr] = ACTIONS(5996),
    [anon_sym_BSLASHpi] = ACTIONS(5996),
    [anon_sym_BSLASHmi] = ACTIONS(5996),
    [anon_sym_BSLASHnb] = ACTIONS(5996),
    [anon_sym_BSLASHpc] = ACTIONS(5996),
    [anon_sym_BSLASHph] = ACTIONS(5996),
    [anon_sym_BSLASHb] = ACTIONS(5996),
    [anon_sym_BSLASHq] = ACTIONS(5996),
    [anon_sym_BSLASHqr] = ACTIONS(5996),
    [anon_sym_BSLASHqc] = ACTIONS(5996),
    [anon_sym_BSLASHqa] = ACTIONS(5996),
    [anon_sym_BSLASHqm] = ACTIONS(5996),
    [anon_sym_BSLASHqd] = ACTIONS(5996),
    [anon_sym_BSLASHlh] = ACTIONS(5996),
    [anon_sym_BSLASHlf] = ACTIONS(5996),
    [anon_sym_BSLASHli] = ACTIONS(5996),
    [anon_sym_BSLASHlim] = ACTIONS(5996),
    [anon_sym_BSLASHliv] = ACTIONS(5996),
    [anon_sym_BSLASHlik] = ACTIONS(5996),
    [anon_sym_BSLASHlitl] = ACTIONS(5996),
    [anon_sym_BSLASHtr] = ACTIONS(5996),
    [anon_sym_BSLASHf] = ACTIONS(5996),
    [anon_sym_BSLASHfe] = ACTIONS(5996),
    [anon_sym_BSLASHef] = ACTIONS(5996),
    [anon_sym_BSLASHfm] = ACTIONS(5996),
    [anon_sym_BSLASHx] = ACTIONS(5996),
    [anon_sym_BSLASHxt] = ACTIONS(5996),
    [anon_sym_BSLASHrq] = ACTIONS(5996),
    [anon_sym_BSLASHadd] = ACTIONS(5996),
    [anon_sym_BSLASHbk] = ACTIONS(5996),
    [anon_sym_BSLASHdc] = ACTIONS(5996),
    [anon_sym_BSLASHk] = ACTIONS(5996),
    [anon_sym_BSLASHnd] = ACTIONS(5996),
    [anon_sym_BSLASHord] = ACTIONS(5996),
    [anon_sym_BSLASHpn] = ACTIONS(5996),
    [anon_sym_BSLASHpng] = ACTIONS(5996),
    [anon_sym_BSLASHaddpn] = ACTIONS(5996),
    [anon_sym_BSLASHqt] = ACTIONS(5996),
    [anon_sym_BSLASHsig] = ACTIONS(5996),
    [anon_sym_BSLASHsls] = ACTIONS(5996),
    [anon_sym_BSLASHtl] = ACTIONS(5996),
    [anon_sym_BSLASHwj] = ACTIONS(5996),
    [anon_sym_BSLASHem] = ACTIONS(5996),
    [anon_sym_BSLASHbd] = ACTIONS(5996),
    [anon_sym_BSLASHit] = ACTIONS(5996),
    [anon_sym_BSLASHbdit] = ACTIONS(5996),
    [anon_sym_BSLASHno] = ACTIONS(5996),
    [anon_sym_BSLASHsc] = ACTIONS(5996),
    [anon_sym_BSLASHsup] = ACTIONS(5996),
    [anon_sym_BSLASHndx] = ACTIONS(5996),
    [anon_sym_BSLASHpro] = ACTIONS(5996),
    [anon_sym_BSLASHrb] = ACTIONS(5996),
    [anon_sym_BSLASHw] = ACTIONS(5996),
    [anon_sym_BSLASHwg] = ACTIONS(5996),
    [anon_sym_BSLASHwh] = ACTIONS(5996),
    [anon_sym_BSLASHwa] = ACTIONS(5996),
    [anon_sym_BSLASHfig] = ACTIONS(5996),
    [anon_sym_BSLASHjmp] = ACTIONS(5996),
    [anon_sym_BSLASHpb] = ACTIONS(5996),
    [anon_sym_BSLASH] = ACTIONS(5996),
    [sym_milestoneStartTag] = ACTIONS(5996),
    [sym_milestoneEndTag] = ACTIONS(5996),
    [sym_zSpaceTag] = ACTIONS(5996),
    [anon_sym_BSLASHesb] = ACTIONS(5996),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(5998),
    [aux_sym_text_token1] = ACTIONS(5998),
    [anon_sym_BSLASHref] = ACTIONS(6000),
    [anon_sym_BSLASHsts] = ACTIONS(6000),
    [anon_sym_BSLASHrem] = ACTIONS(6000),
    [anon_sym_BSLASHrestore] = ACTIONS(6000),
    [anon_sym_BSLASHlit] = ACTIONS(6000),
    [anon_sym_BSLASHip] = ACTIONS(6000),
    [anon_sym_BSLASHiex] = ACTIONS(6000),
    [anon_sym_BSLASHv] = ACTIONS(6000),
    [anon_sym_BSLASHva] = ACTIONS(6000),
    [anon_sym_BSLASHvp] = ACTIONS(6000),
    [anon_sym_BSLASHc] = ACTIONS(6000),
    [anon_sym_BSLASHcl] = ACTIONS(6000),
    [anon_sym_BSLASHca] = ACTIONS(6000),
    [anon_sym_BSLASHcp] = ACTIONS(6000),
    [anon_sym_BSLASHcd] = ACTIONS(6000),
    [anon_sym_BSLASHmte] = ACTIONS(6000),
    [anon_sym_BSLASHms] = ACTIONS(6000),
    [anon_sym_BSLASHs] = ACTIONS(6000),
    [anon_sym_BSLASHr] = ACTIONS(6000),
    [anon_sym_BSLASHsp] = ACTIONS(6000),
    [anon_sym_BSLASHd] = ACTIONS(6000),
    [anon_sym_BSLASHsd] = ACTIONS(6000),
    [anon_sym_BSLASHp] = ACTIONS(6000),
    [anon_sym_BSLASHm] = ACTIONS(6000),
    [anon_sym_BSLASHpo] = ACTIONS(6000),
    [anon_sym_BSLASHpr] = ACTIONS(6000),
    [anon_sym_BSLASHcls] = ACTIONS(6000),
    [anon_sym_BSLASHpmo] = ACTIONS(6000),
    [anon_sym_BSLASHpm] = ACTIONS(6000),
    [anon_sym_BSLASHpmc] = ACTIONS(6000),
    [anon_sym_BSLASHpmr] = ACTIONS(6000),
    [anon_sym_BSLASHpi] = ACTIONS(6000),
    [anon_sym_BSLASHmi] = ACTIONS(6000),
    [anon_sym_BSLASHnb] = ACTIONS(6000),
    [anon_sym_BSLASHpc] = ACTIONS(6000),
    [anon_sym_BSLASHph] = ACTIONS(6000),
    [anon_sym_BSLASHb] = ACTIONS(6000),
    [anon_sym_BSLASHq] = ACTIONS(6000),
    [anon_sym_BSLASHqr] = ACTIONS(6000),
    [anon_sym_BSLASHqc] = ACTIONS(6000),
    [anon_sym_BSLASHqa] = ACTIONS(6000),
    [anon_sym_BSLASHqm] = ACTIONS(6000),
    [anon_sym_BSLASHqd] = ACTIONS(6000),
    [anon_sym_BSLASHlh] = ACTIONS(6000),
    [anon_sym_BSLASHlf] = ACTIONS(6000),
    [anon_sym_BSLASHli] = ACTIONS(6000),
    [anon_sym_BSLASHlim] = ACTIONS(6000),
    [anon_sym_BSLASHliv] = ACTIONS(6000),
    [anon_sym_BSLASHlik] = ACTIONS(6000),
    [anon_sym_BSLASHlitl] = ACTIONS(6000),
    [anon_sym_BSLASHtr] = ACTIONS(6000),
    [anon_sym_BSLASHf] = ACTIONS(6000),
    [anon_sym_BSLASHfe] = ACTIONS(6000),
    [anon_sym_BSLASHef] = ACTIONS(6000),
    [anon_sym_BSLASHfm] = ACTIONS(6000),
    [anon_sym_BSLASHx] = ACTIONS(6000),
    [anon_sym_BSLASHxt] = ACTIONS(6000),
    [anon_sym_BSLASHrq] = ACTIONS(6000),
    [anon_sym_BSLASHadd] = ACTIONS(6000),
    [anon_sym_BSLASHbk] = ACTIONS(6000),
    [anon_sym_BSLASHdc] = ACTIONS(6000),
    [anon_sym_BSLASHk] = ACTIONS(6000),
    [anon_sym_BSLASHnd] = ACTIONS(6000),
    [anon_sym_BSLASHord] = ACTIONS(6000),
    [anon_sym_BSLASHpn] = ACTIONS(6000),
    [anon_sym_BSLASHpng] = ACTIONS(6000),
    [anon_sym_BSLASHaddpn] = ACTIONS(6000),
    [anon_sym_BSLASHqt] = ACTIONS(6000),
    [anon_sym_BSLASHsig] = ACTIONS(6000),
    [anon_sym_BSLASHsls] = ACTIONS(6000),
    [anon_sym_BSLASHtl] = ACTIONS(6000),
    [anon_sym_BSLASHwj] = ACTIONS(6000),
    [anon_sym_BSLASHem] = ACTIONS(6000),
    [anon_sym_BSLASHbd] = ACTIONS(6000),
    [anon_sym_BSLASHit] = ACTIONS(6000),
    [anon_sym_BSLASHbdit] = ACTIONS(6000),
    [anon_sym_BSLASHno] = ACTIONS(6000),
    [anon_sym_BSLASHsc] = ACTIONS(6000),
    [anon_sym_BSLASHsup] = ACTIONS(6000),
    [anon_sym_BSLASHndx] = ACTIONS(6000),
    [anon_sym_BSLASHpro] = ACTIONS(6000),
    [anon_sym_BSLASHrb] = ACTIONS(6000),
    [anon_sym_BSLASHw] = ACTIONS(6000),
    [anon_sym_BSLASHwg] = ACTIONS(6000),
    [anon_sym_BSLASHwh] = ACTIONS(6000),
    [anon_sym_BSLASHwa] = ACTIONS(6000),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASHjmp] = ACTIONS(6000),
    [anon_sym_BSLASHpb] = ACTIONS(6000),
    [anon_sym_BSLASH] = ACTIONS(6000),
    [sym_milestoneStartTag] = ACTIONS(6000),
    [sym_milestoneEndTag] = ACTIONS(6000),
    [sym_zSpaceTag] = ACTIONS(6000),
    [anon_sym_BSLASHesb] = ACTIONS(6000),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(6002),
    [aux_sym_text_token1] = ACTIONS(6002),
    [anon_sym_BSLASHref] = ACTIONS(6004),
    [anon_sym_BSLASHsts] = ACTIONS(6004),
    [anon_sym_BSLASHrem] = ACTIONS(6004),
    [anon_sym_BSLASHrestore] = ACTIONS(6004),
    [anon_sym_BSLASHlit] = ACTIONS(6004),
    [anon_sym_BSLASHip] = ACTIONS(6004),
    [anon_sym_BSLASHiex] = ACTIONS(6004),
    [anon_sym_BSLASHv] = ACTIONS(6004),
    [anon_sym_BSLASHva] = ACTIONS(6004),
    [anon_sym_BSLASHvp] = ACTIONS(6004),
    [anon_sym_BSLASHc] = ACTIONS(6004),
    [anon_sym_BSLASHcl] = ACTIONS(6004),
    [anon_sym_BSLASHca] = ACTIONS(6004),
    [anon_sym_BSLASHcp] = ACTIONS(6004),
    [anon_sym_BSLASHcd] = ACTIONS(6004),
    [anon_sym_BSLASHmte] = ACTIONS(6004),
    [anon_sym_BSLASHms] = ACTIONS(6004),
    [anon_sym_BSLASHs] = ACTIONS(6004),
    [anon_sym_BSLASHr] = ACTIONS(6004),
    [anon_sym_BSLASHsp] = ACTIONS(6004),
    [anon_sym_BSLASHd] = ACTIONS(6004),
    [anon_sym_BSLASHsd] = ACTIONS(6004),
    [anon_sym_BSLASHp] = ACTIONS(6004),
    [anon_sym_BSLASHm] = ACTIONS(6004),
    [anon_sym_BSLASHpo] = ACTIONS(6004),
    [anon_sym_BSLASHpr] = ACTIONS(6004),
    [anon_sym_BSLASHcls] = ACTIONS(6004),
    [anon_sym_BSLASHpmo] = ACTIONS(6004),
    [anon_sym_BSLASHpm] = ACTIONS(6004),
    [anon_sym_BSLASHpmc] = ACTIONS(6004),
    [anon_sym_BSLASHpmr] = ACTIONS(6004),
    [anon_sym_BSLASHpi] = ACTIONS(6004),
    [anon_sym_BSLASHmi] = ACTIONS(6004),
    [anon_sym_BSLASHnb] = ACTIONS(6004),
    [anon_sym_BSLASHpc] = ACTIONS(6004),
    [anon_sym_BSLASHph] = ACTIONS(6004),
    [anon_sym_BSLASHb] = ACTIONS(6004),
    [anon_sym_BSLASHq] = ACTIONS(6004),
    [anon_sym_BSLASHqr] = ACTIONS(6004),
    [anon_sym_BSLASHqc] = ACTIONS(6004),
    [anon_sym_BSLASHqa] = ACTIONS(6004),
    [anon_sym_BSLASHqm] = ACTIONS(6004),
    [anon_sym_BSLASHqd] = ACTIONS(6004),
    [anon_sym_BSLASHlh] = ACTIONS(6004),
    [anon_sym_BSLASHlf] = ACTIONS(6004),
    [anon_sym_BSLASHli] = ACTIONS(6004),
    [anon_sym_BSLASHlim] = ACTIONS(6004),
    [anon_sym_BSLASHliv] = ACTIONS(6004),
    [anon_sym_BSLASHlik] = ACTIONS(6004),
    [anon_sym_BSLASHlitl] = ACTIONS(6004),
    [anon_sym_BSLASHtr] = ACTIONS(6004),
    [anon_sym_BSLASHf] = ACTIONS(6004),
    [anon_sym_BSLASHfe] = ACTIONS(6004),
    [anon_sym_BSLASHef] = ACTIONS(6004),
    [anon_sym_BSLASHfm] = ACTIONS(6004),
    [anon_sym_BSLASHx] = ACTIONS(6004),
    [anon_sym_BSLASHxt] = ACTIONS(6004),
    [anon_sym_BSLASHrq] = ACTIONS(6004),
    [anon_sym_BSLASHadd] = ACTIONS(6004),
    [anon_sym_BSLASHbk] = ACTIONS(6004),
    [anon_sym_BSLASHdc] = ACTIONS(6004),
    [anon_sym_BSLASHk] = ACTIONS(6004),
    [anon_sym_BSLASHnd] = ACTIONS(6004),
    [anon_sym_BSLASHord] = ACTIONS(6004),
    [anon_sym_BSLASHpn] = ACTIONS(6004),
    [anon_sym_BSLASHpng] = ACTIONS(6004),
    [anon_sym_BSLASHaddpn] = ACTIONS(6004),
    [anon_sym_BSLASHqt] = ACTIONS(6004),
    [anon_sym_BSLASHsig] = ACTIONS(6004),
    [anon_sym_BSLASHsls] = ACTIONS(6004),
    [anon_sym_BSLASHtl] = ACTIONS(6004),
    [anon_sym_BSLASHwj] = ACTIONS(6004),
    [anon_sym_BSLASHem] = ACTIONS(6004),
    [anon_sym_BSLASHbd] = ACTIONS(6004),
    [anon_sym_BSLASHit] = ACTIONS(6004),
    [anon_sym_BSLASHbdit] = ACTIONS(6004),
    [anon_sym_BSLASHno] = ACTIONS(6004),
    [anon_sym_BSLASHsc] = ACTIONS(6004),
    [anon_sym_BSLASHsup] = ACTIONS(6004),
    [anon_sym_BSLASHndx] = ACTIONS(6004),
    [anon_sym_BSLASHpro] = ACTIONS(6004),
    [anon_sym_BSLASHrb] = ACTIONS(6004),
    [anon_sym_BSLASHw] = ACTIONS(6004),
    [anon_sym_BSLASHwg] = ACTIONS(6004),
    [anon_sym_BSLASHwh] = ACTIONS(6004),
    [anon_sym_BSLASHwa] = ACTIONS(6004),
    [anon_sym_BSLASHfig] = ACTIONS(6004),
    [anon_sym_BSLASHjmp] = ACTIONS(6004),
    [anon_sym_BSLASHpb] = ACTIONS(6004),
    [anon_sym_BSLASH] = ACTIONS(6004),
    [sym_milestoneStartTag] = ACTIONS(6004),
    [sym_milestoneEndTag] = ACTIONS(6004),
    [sym_zSpaceTag] = ACTIONS(6004),
    [anon_sym_BSLASHesb] = ACTIONS(6004),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(6006),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHref] = ACTIONS(6008),
    [anon_sym_BSLASHsts] = ACTIONS(6008),
    [anon_sym_BSLASHrem] = ACTIONS(6008),
    [anon_sym_BSLASHrestore] = ACTIONS(6008),
    [anon_sym_BSLASHlit] = ACTIONS(6008),
    [anon_sym_BSLASHip] = ACTIONS(6008),
    [anon_sym_BSLASHiex] = ACTIONS(6008),
    [anon_sym_BSLASHv] = ACTIONS(6008),
    [anon_sym_BSLASHva] = ACTIONS(6008),
    [anon_sym_BSLASHvp] = ACTIONS(6008),
    [anon_sym_BSLASHc] = ACTIONS(6008),
    [anon_sym_BSLASHcl] = ACTIONS(6008),
    [anon_sym_BSLASHca] = ACTIONS(6008),
    [anon_sym_BSLASHcp] = ACTIONS(6008),
    [anon_sym_BSLASHcd] = ACTIONS(6008),
    [anon_sym_BSLASHmte] = ACTIONS(6008),
    [anon_sym_BSLASHms] = ACTIONS(6008),
    [anon_sym_BSLASHs] = ACTIONS(6008),
    [anon_sym_BSLASHr] = ACTIONS(6008),
    [anon_sym_BSLASHsp] = ACTIONS(6008),
    [anon_sym_BSLASHd] = ACTIONS(6008),
    [anon_sym_BSLASHsd] = ACTIONS(6008),
    [anon_sym_BSLASHp] = ACTIONS(6008),
    [anon_sym_BSLASHm] = ACTIONS(6008),
    [anon_sym_BSLASHpo] = ACTIONS(6008),
    [anon_sym_BSLASHpr] = ACTIONS(6008),
    [anon_sym_BSLASHcls] = ACTIONS(6008),
    [anon_sym_BSLASHpmo] = ACTIONS(6008),
    [anon_sym_BSLASHpm] = ACTIONS(6008),
    [anon_sym_BSLASHpmc] = ACTIONS(6008),
    [anon_sym_BSLASHpmr] = ACTIONS(6008),
    [anon_sym_BSLASHpi] = ACTIONS(6008),
    [anon_sym_BSLASHmi] = ACTIONS(6008),
    [anon_sym_BSLASHnb] = ACTIONS(6008),
    [anon_sym_BSLASHpc] = ACTIONS(6008),
    [anon_sym_BSLASHph] = ACTIONS(6008),
    [anon_sym_BSLASHb] = ACTIONS(6008),
    [anon_sym_BSLASHq] = ACTIONS(6008),
    [anon_sym_BSLASHqr] = ACTIONS(6008),
    [anon_sym_BSLASHqc] = ACTIONS(6008),
    [anon_sym_BSLASHqa] = ACTIONS(6008),
    [anon_sym_BSLASHqm] = ACTIONS(6008),
    [anon_sym_BSLASHqd] = ACTIONS(6008),
    [anon_sym_BSLASHlh] = ACTIONS(6008),
    [anon_sym_BSLASHlf] = ACTIONS(6008),
    [anon_sym_BSLASHli] = ACTIONS(6008),
    [anon_sym_BSLASHlim] = ACTIONS(6008),
    [anon_sym_BSLASHliv] = ACTIONS(6008),
    [anon_sym_BSLASHlik] = ACTIONS(6008),
    [anon_sym_BSLASHlitl] = ACTIONS(6008),
    [anon_sym_BSLASHtr] = ACTIONS(6008),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6008),
    [anon_sym_BSLASHef] = ACTIONS(6008),
    [anon_sym_BSLASHfm] = ACTIONS(6008),
    [anon_sym_BSLASHx] = ACTIONS(6008),
    [anon_sym_BSLASHxt] = ACTIONS(6008),
    [anon_sym_BSLASHrq] = ACTIONS(6008),
    [anon_sym_BSLASHadd] = ACTIONS(6008),
    [anon_sym_BSLASHbk] = ACTIONS(6008),
    [anon_sym_BSLASHdc] = ACTIONS(6008),
    [anon_sym_BSLASHk] = ACTIONS(6008),
    [anon_sym_BSLASHnd] = ACTIONS(6008),
    [anon_sym_BSLASHord] = ACTIONS(6008),
    [anon_sym_BSLASHpn] = ACTIONS(6008),
    [anon_sym_BSLASHpng] = ACTIONS(6008),
    [anon_sym_BSLASHaddpn] = ACTIONS(6008),
    [anon_sym_BSLASHqt] = ACTIONS(6008),
    [anon_sym_BSLASHsig] = ACTIONS(6008),
    [anon_sym_BSLASHsls] = ACTIONS(6008),
    [anon_sym_BSLASHtl] = ACTIONS(6008),
    [anon_sym_BSLASHwj] = ACTIONS(6008),
    [anon_sym_BSLASHem] = ACTIONS(6008),
    [anon_sym_BSLASHbd] = ACTIONS(6008),
    [anon_sym_BSLASHit] = ACTIONS(6008),
    [anon_sym_BSLASHbdit] = ACTIONS(6008),
    [anon_sym_BSLASHno] = ACTIONS(6008),
    [anon_sym_BSLASHsc] = ACTIONS(6008),
    [anon_sym_BSLASHsup] = ACTIONS(6008),
    [anon_sym_BSLASHndx] = ACTIONS(6008),
    [anon_sym_BSLASHpro] = ACTIONS(6008),
    [anon_sym_BSLASHrb] = ACTIONS(6008),
    [anon_sym_BSLASHw] = ACTIONS(6008),
    [anon_sym_BSLASHwg] = ACTIONS(6008),
    [anon_sym_BSLASHwh] = ACTIONS(6008),
    [anon_sym_BSLASHwa] = ACTIONS(6008),
    [anon_sym_BSLASHfig] = ACTIONS(6008),
    [anon_sym_BSLASHjmp] = ACTIONS(6008),
    [anon_sym_BSLASHpb] = ACTIONS(6008),
    [anon_sym_BSLASH] = ACTIONS(6008),
    [sym_milestoneStartTag] = ACTIONS(6008),
    [sym_milestoneEndTag] = ACTIONS(6008),
    [sym_zSpaceTag] = ACTIONS(6008),
    [anon_sym_BSLASHesb] = ACTIONS(6008),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(6010),
    [aux_sym_text_token1] = ACTIONS(6010),
    [anon_sym_BSLASHref] = ACTIONS(6012),
    [anon_sym_BSLASHsts] = ACTIONS(6012),
    [anon_sym_BSLASHrem] = ACTIONS(6012),
    [anon_sym_BSLASHrestore] = ACTIONS(6012),
    [anon_sym_BSLASHlit] = ACTIONS(6012),
    [anon_sym_BSLASHip] = ACTIONS(6012),
    [anon_sym_BSLASHiex] = ACTIONS(6012),
    [anon_sym_BSLASHv] = ACTIONS(6012),
    [anon_sym_BSLASHva] = ACTIONS(6012),
    [anon_sym_BSLASHvp] = ACTIONS(6012),
    [anon_sym_BSLASHc] = ACTIONS(6012),
    [anon_sym_BSLASHcl] = ACTIONS(6012),
    [anon_sym_BSLASHca] = ACTIONS(6012),
    [anon_sym_BSLASHcp] = ACTIONS(6012),
    [anon_sym_BSLASHcd] = ACTIONS(6012),
    [anon_sym_BSLASHmte] = ACTIONS(6012),
    [anon_sym_BSLASHms] = ACTIONS(6012),
    [anon_sym_BSLASHs] = ACTIONS(6012),
    [anon_sym_BSLASHr] = ACTIONS(6012),
    [anon_sym_BSLASHsp] = ACTIONS(6012),
    [anon_sym_BSLASHd] = ACTIONS(6012),
    [anon_sym_BSLASHsd] = ACTIONS(6012),
    [anon_sym_BSLASHp] = ACTIONS(6012),
    [anon_sym_BSLASHm] = ACTIONS(6012),
    [anon_sym_BSLASHpo] = ACTIONS(6012),
    [anon_sym_BSLASHpr] = ACTIONS(6012),
    [anon_sym_BSLASHcls] = ACTIONS(6012),
    [anon_sym_BSLASHpmo] = ACTIONS(6012),
    [anon_sym_BSLASHpm] = ACTIONS(6012),
    [anon_sym_BSLASHpmc] = ACTIONS(6012),
    [anon_sym_BSLASHpmr] = ACTIONS(6012),
    [anon_sym_BSLASHpi] = ACTIONS(6012),
    [anon_sym_BSLASHmi] = ACTIONS(6012),
    [anon_sym_BSLASHnb] = ACTIONS(6012),
    [anon_sym_BSLASHpc] = ACTIONS(6012),
    [anon_sym_BSLASHph] = ACTIONS(6012),
    [anon_sym_BSLASHb] = ACTIONS(6012),
    [anon_sym_BSLASHq] = ACTIONS(6012),
    [anon_sym_BSLASHqr] = ACTIONS(6012),
    [anon_sym_BSLASHqc] = ACTIONS(6012),
    [anon_sym_BSLASHqa] = ACTIONS(6012),
    [anon_sym_BSLASHqm] = ACTIONS(6012),
    [anon_sym_BSLASHqd] = ACTIONS(6012),
    [anon_sym_BSLASHlh] = ACTIONS(6012),
    [anon_sym_BSLASHlf] = ACTIONS(6012),
    [anon_sym_BSLASHli] = ACTIONS(6012),
    [anon_sym_BSLASHlim] = ACTIONS(6012),
    [anon_sym_BSLASHliv] = ACTIONS(6012),
    [anon_sym_BSLASHlik] = ACTIONS(6012),
    [anon_sym_BSLASHlitl] = ACTIONS(6012),
    [anon_sym_BSLASHtr] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6012),
    [anon_sym_BSLASHfe] = ACTIONS(6012),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6012),
    [anon_sym_BSLASHx] = ACTIONS(6012),
    [anon_sym_BSLASHxt] = ACTIONS(6012),
    [anon_sym_BSLASHrq] = ACTIONS(6012),
    [anon_sym_BSLASHadd] = ACTIONS(6012),
    [anon_sym_BSLASHbk] = ACTIONS(6012),
    [anon_sym_BSLASHdc] = ACTIONS(6012),
    [anon_sym_BSLASHk] = ACTIONS(6012),
    [anon_sym_BSLASHnd] = ACTIONS(6012),
    [anon_sym_BSLASHord] = ACTIONS(6012),
    [anon_sym_BSLASHpn] = ACTIONS(6012),
    [anon_sym_BSLASHpng] = ACTIONS(6012),
    [anon_sym_BSLASHaddpn] = ACTIONS(6012),
    [anon_sym_BSLASHqt] = ACTIONS(6012),
    [anon_sym_BSLASHsig] = ACTIONS(6012),
    [anon_sym_BSLASHsls] = ACTIONS(6012),
    [anon_sym_BSLASHtl] = ACTIONS(6012),
    [anon_sym_BSLASHwj] = ACTIONS(6012),
    [anon_sym_BSLASHem] = ACTIONS(6012),
    [anon_sym_BSLASHbd] = ACTIONS(6012),
    [anon_sym_BSLASHit] = ACTIONS(6012),
    [anon_sym_BSLASHbdit] = ACTIONS(6012),
    [anon_sym_BSLASHno] = ACTIONS(6012),
    [anon_sym_BSLASHsc] = ACTIONS(6012),
    [anon_sym_BSLASHsup] = ACTIONS(6012),
    [anon_sym_BSLASHndx] = ACTIONS(6012),
    [anon_sym_BSLASHpro] = ACTIONS(6012),
    [anon_sym_BSLASHrb] = ACTIONS(6012),
    [anon_sym_BSLASHw] = ACTIONS(6012),
    [anon_sym_BSLASHwg] = ACTIONS(6012),
    [anon_sym_BSLASHwh] = ACTIONS(6012),
    [anon_sym_BSLASHwa] = ACTIONS(6012),
    [anon_sym_BSLASHfig] = ACTIONS(6012),
    [anon_sym_BSLASHjmp] = ACTIONS(6012),
    [anon_sym_BSLASHpb] = ACTIONS(6012),
    [anon_sym_BSLASH] = ACTIONS(6012),
    [sym_milestoneStartTag] = ACTIONS(6012),
    [sym_milestoneEndTag] = ACTIONS(6012),
    [sym_zSpaceTag] = ACTIONS(6012),
    [anon_sym_BSLASHesb] = ACTIONS(6012),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(6014),
    [aux_sym_text_token1] = ACTIONS(6014),
    [anon_sym_BSLASHref] = ACTIONS(6016),
    [anon_sym_BSLASHsts] = ACTIONS(6016),
    [anon_sym_BSLASHrem] = ACTIONS(6016),
    [anon_sym_BSLASHrestore] = ACTIONS(6016),
    [anon_sym_BSLASHlit] = ACTIONS(6016),
    [anon_sym_BSLASHip] = ACTIONS(6016),
    [anon_sym_BSLASHiex] = ACTIONS(6016),
    [anon_sym_BSLASHv] = ACTIONS(6016),
    [anon_sym_BSLASHva] = ACTIONS(6016),
    [anon_sym_BSLASHvp] = ACTIONS(6016),
    [anon_sym_BSLASHc] = ACTIONS(6016),
    [anon_sym_BSLASHcl] = ACTIONS(6016),
    [anon_sym_BSLASHca] = ACTIONS(6016),
    [anon_sym_BSLASHcp] = ACTIONS(6016),
    [anon_sym_BSLASHcd] = ACTIONS(6016),
    [anon_sym_BSLASHmte] = ACTIONS(6016),
    [anon_sym_BSLASHms] = ACTIONS(6016),
    [anon_sym_BSLASHs] = ACTIONS(6016),
    [anon_sym_BSLASHr] = ACTIONS(6016),
    [anon_sym_BSLASHsp] = ACTIONS(6016),
    [anon_sym_BSLASHd] = ACTIONS(6016),
    [anon_sym_BSLASHsd] = ACTIONS(6016),
    [anon_sym_BSLASHp] = ACTIONS(6016),
    [anon_sym_BSLASHm] = ACTIONS(6016),
    [anon_sym_BSLASHpo] = ACTIONS(6016),
    [anon_sym_BSLASHpr] = ACTIONS(6016),
    [anon_sym_BSLASHcls] = ACTIONS(6016),
    [anon_sym_BSLASHpmo] = ACTIONS(6016),
    [anon_sym_BSLASHpm] = ACTIONS(6016),
    [anon_sym_BSLASHpmc] = ACTIONS(6016),
    [anon_sym_BSLASHpmr] = ACTIONS(6016),
    [anon_sym_BSLASHpi] = ACTIONS(6016),
    [anon_sym_BSLASHmi] = ACTIONS(6016),
    [anon_sym_BSLASHnb] = ACTIONS(6016),
    [anon_sym_BSLASHpc] = ACTIONS(6016),
    [anon_sym_BSLASHph] = ACTIONS(6016),
    [anon_sym_BSLASHb] = ACTIONS(6016),
    [anon_sym_BSLASHq] = ACTIONS(6016),
    [anon_sym_BSLASHqr] = ACTIONS(6016),
    [anon_sym_BSLASHqc] = ACTIONS(6016),
    [anon_sym_BSLASHqa] = ACTIONS(6016),
    [anon_sym_BSLASHqm] = ACTIONS(6016),
    [anon_sym_BSLASHqd] = ACTIONS(6016),
    [anon_sym_BSLASHlh] = ACTIONS(6016),
    [anon_sym_BSLASHlf] = ACTIONS(6016),
    [anon_sym_BSLASHli] = ACTIONS(6016),
    [anon_sym_BSLASHlim] = ACTIONS(6016),
    [anon_sym_BSLASHliv] = ACTIONS(6016),
    [anon_sym_BSLASHlik] = ACTIONS(6016),
    [anon_sym_BSLASHlitl] = ACTIONS(6016),
    [anon_sym_BSLASHtr] = ACTIONS(6016),
    [anon_sym_BSLASHf] = ACTIONS(6016),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6016),
    [anon_sym_BSLASHfm] = ACTIONS(6016),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6016),
    [anon_sym_BSLASHrq] = ACTIONS(6016),
    [anon_sym_BSLASHadd] = ACTIONS(6016),
    [anon_sym_BSLASHbk] = ACTIONS(6016),
    [anon_sym_BSLASHdc] = ACTIONS(6016),
    [anon_sym_BSLASHk] = ACTIONS(6016),
    [anon_sym_BSLASHnd] = ACTIONS(6016),
    [anon_sym_BSLASHord] = ACTIONS(6016),
    [anon_sym_BSLASHpn] = ACTIONS(6016),
    [anon_sym_BSLASHpng] = ACTIONS(6016),
    [anon_sym_BSLASHaddpn] = ACTIONS(6016),
    [anon_sym_BSLASHqt] = ACTIONS(6016),
    [anon_sym_BSLASHsig] = ACTIONS(6016),
    [anon_sym_BSLASHsls] = ACTIONS(6016),
    [anon_sym_BSLASHtl] = ACTIONS(6016),
    [anon_sym_BSLASHwj] = ACTIONS(6016),
    [anon_sym_BSLASHem] = ACTIONS(6016),
    [anon_sym_BSLASHbd] = ACTIONS(6016),
    [anon_sym_BSLASHit] = ACTIONS(6016),
    [anon_sym_BSLASHbdit] = ACTIONS(6016),
    [anon_sym_BSLASHno] = ACTIONS(6016),
    [anon_sym_BSLASHsc] = ACTIONS(6016),
    [anon_sym_BSLASHsup] = ACTIONS(6016),
    [anon_sym_BSLASHndx] = ACTIONS(6016),
    [anon_sym_BSLASHpro] = ACTIONS(6016),
    [anon_sym_BSLASHrb] = ACTIONS(6016),
    [anon_sym_BSLASHw] = ACTIONS(6016),
    [anon_sym_BSLASHwg] = ACTIONS(6016),
    [anon_sym_BSLASHwh] = ACTIONS(6016),
    [anon_sym_BSLASHwa] = ACTIONS(6016),
    [anon_sym_BSLASHfig] = ACTIONS(6016),
    [anon_sym_BSLASHjmp] = ACTIONS(6016),
    [anon_sym_BSLASHpb] = ACTIONS(6016),
    [anon_sym_BSLASH] = ACTIONS(6016),
    [sym_milestoneStartTag] = ACTIONS(6016),
    [sym_milestoneEndTag] = ACTIONS(6016),
    [sym_zSpaceTag] = ACTIONS(6016),
    [anon_sym_BSLASHesb] = ACTIONS(6016),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(6018),
    [aux_sym_text_token1] = ACTIONS(6018),
    [anon_sym_BSLASHref] = ACTIONS(6020),
    [anon_sym_BSLASHsts] = ACTIONS(6020),
    [anon_sym_BSLASHrem] = ACTIONS(6020),
    [anon_sym_BSLASHrestore] = ACTIONS(6020),
    [anon_sym_BSLASHlit] = ACTIONS(6020),
    [anon_sym_BSLASHip] = ACTIONS(6020),
    [anon_sym_BSLASHiex] = ACTIONS(6020),
    [anon_sym_BSLASHv] = ACTIONS(6020),
    [anon_sym_BSLASHva] = ACTIONS(6020),
    [anon_sym_BSLASHvp] = ACTIONS(6020),
    [anon_sym_BSLASHc] = ACTIONS(6020),
    [anon_sym_BSLASHcl] = ACTIONS(6020),
    [anon_sym_BSLASHca] = ACTIONS(6020),
    [anon_sym_BSLASHcp] = ACTIONS(6020),
    [anon_sym_BSLASHcd] = ACTIONS(6020),
    [anon_sym_BSLASHmte] = ACTIONS(6020),
    [anon_sym_BSLASHms] = ACTIONS(6020),
    [anon_sym_BSLASHs] = ACTIONS(6020),
    [anon_sym_BSLASHr] = ACTIONS(6020),
    [anon_sym_BSLASHsp] = ACTIONS(6020),
    [anon_sym_BSLASHd] = ACTIONS(6020),
    [anon_sym_BSLASHsd] = ACTIONS(6020),
    [anon_sym_BSLASHp] = ACTIONS(6020),
    [anon_sym_BSLASHm] = ACTIONS(6020),
    [anon_sym_BSLASHpo] = ACTIONS(6020),
    [anon_sym_BSLASHpr] = ACTIONS(6020),
    [anon_sym_BSLASHcls] = ACTIONS(6020),
    [anon_sym_BSLASHpmo] = ACTIONS(6020),
    [anon_sym_BSLASHpm] = ACTIONS(6020),
    [anon_sym_BSLASHpmc] = ACTIONS(6020),
    [anon_sym_BSLASHpmr] = ACTIONS(6020),
    [anon_sym_BSLASHpi] = ACTIONS(6020),
    [anon_sym_BSLASHmi] = ACTIONS(6020),
    [anon_sym_BSLASHnb] = ACTIONS(6020),
    [anon_sym_BSLASHpc] = ACTIONS(6020),
    [anon_sym_BSLASHph] = ACTIONS(6020),
    [anon_sym_BSLASHb] = ACTIONS(6020),
    [anon_sym_BSLASHq] = ACTIONS(6020),
    [anon_sym_BSLASHqr] = ACTIONS(6020),
    [anon_sym_BSLASHqc] = ACTIONS(6020),
    [anon_sym_BSLASHqa] = ACTIONS(6020),
    [anon_sym_BSLASHqm] = ACTIONS(6020),
    [anon_sym_BSLASHqd] = ACTIONS(6020),
    [anon_sym_BSLASHlh] = ACTIONS(6020),
    [anon_sym_BSLASHlf] = ACTIONS(6020),
    [anon_sym_BSLASHli] = ACTIONS(6020),
    [anon_sym_BSLASHlim] = ACTIONS(6020),
    [anon_sym_BSLASHliv] = ACTIONS(6020),
    [anon_sym_BSLASHlik] = ACTIONS(6020),
    [anon_sym_BSLASHlitl] = ACTIONS(6020),
    [anon_sym_BSLASHtr] = ACTIONS(6020),
    [anon_sym_BSLASHf] = ACTIONS(6020),
    [anon_sym_BSLASHfe] = ACTIONS(6020),
    [anon_sym_BSLASHef] = ACTIONS(6020),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6020),
    [anon_sym_BSLASHxt] = ACTIONS(6020),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASHadd] = ACTIONS(6020),
    [anon_sym_BSLASHbk] = ACTIONS(6020),
    [anon_sym_BSLASHdc] = ACTIONS(6020),
    [anon_sym_BSLASHk] = ACTIONS(6020),
    [anon_sym_BSLASHnd] = ACTIONS(6020),
    [anon_sym_BSLASHord] = ACTIONS(6020),
    [anon_sym_BSLASHpn] = ACTIONS(6020),
    [anon_sym_BSLASHpng] = ACTIONS(6020),
    [anon_sym_BSLASHaddpn] = ACTIONS(6020),
    [anon_sym_BSLASHqt] = ACTIONS(6020),
    [anon_sym_BSLASHsig] = ACTIONS(6020),
    [anon_sym_BSLASHsls] = ACTIONS(6020),
    [anon_sym_BSLASHtl] = ACTIONS(6020),
    [anon_sym_BSLASHwj] = ACTIONS(6020),
    [anon_sym_BSLASHem] = ACTIONS(6020),
    [anon_sym_BSLASHbd] = ACTIONS(6020),
    [anon_sym_BSLASHit] = ACTIONS(6020),
    [anon_sym_BSLASHbdit] = ACTIONS(6020),
    [anon_sym_BSLASHno] = ACTIONS(6020),
    [anon_sym_BSLASHsc] = ACTIONS(6020),
    [anon_sym_BSLASHsup] = ACTIONS(6020),
    [anon_sym_BSLASHndx] = ACTIONS(6020),
    [anon_sym_BSLASHpro] = ACTIONS(6020),
    [anon_sym_BSLASHrb] = ACTIONS(6020),
    [anon_sym_BSLASHw] = ACTIONS(6020),
    [anon_sym_BSLASHwg] = ACTIONS(6020),
    [anon_sym_BSLASHwh] = ACTIONS(6020),
    [anon_sym_BSLASHwa] = ACTIONS(6020),
    [anon_sym_BSLASHfig] = ACTIONS(6020),
    [anon_sym_BSLASHjmp] = ACTIONS(6020),
    [anon_sym_BSLASHpb] = ACTIONS(6020),
    [anon_sym_BSLASH] = ACTIONS(6020),
    [sym_milestoneStartTag] = ACTIONS(6020),
    [sym_milestoneEndTag] = ACTIONS(6020),
    [sym_zSpaceTag] = ACTIONS(6020),
    [anon_sym_BSLASHesb] = ACTIONS(6020),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(6022),
    [aux_sym_text_token1] = ACTIONS(6022),
    [anon_sym_BSLASHref] = ACTIONS(6024),
    [anon_sym_BSLASHsts] = ACTIONS(6024),
    [anon_sym_BSLASHrem] = ACTIONS(6024),
    [anon_sym_BSLASHrestore] = ACTIONS(6024),
    [anon_sym_BSLASHlit] = ACTIONS(6024),
    [anon_sym_BSLASHip] = ACTIONS(6024),
    [anon_sym_BSLASHiex] = ACTIONS(6024),
    [anon_sym_BSLASHv] = ACTIONS(6024),
    [anon_sym_BSLASHva] = ACTIONS(6024),
    [anon_sym_BSLASHvp] = ACTIONS(6024),
    [anon_sym_BSLASHc] = ACTIONS(6024),
    [anon_sym_BSLASHcl] = ACTIONS(6024),
    [anon_sym_BSLASHca] = ACTIONS(6024),
    [anon_sym_BSLASHcp] = ACTIONS(6024),
    [anon_sym_BSLASHcd] = ACTIONS(6024),
    [anon_sym_BSLASHmte] = ACTIONS(6024),
    [anon_sym_BSLASHms] = ACTIONS(6024),
    [anon_sym_BSLASHs] = ACTIONS(6024),
    [anon_sym_BSLASHr] = ACTIONS(6024),
    [anon_sym_BSLASHsp] = ACTIONS(6024),
    [anon_sym_BSLASHd] = ACTIONS(6024),
    [anon_sym_BSLASHsd] = ACTIONS(6024),
    [anon_sym_BSLASHp] = ACTIONS(6024),
    [anon_sym_BSLASHm] = ACTIONS(6024),
    [anon_sym_BSLASHpo] = ACTIONS(6024),
    [anon_sym_BSLASHpr] = ACTIONS(6024),
    [anon_sym_BSLASHcls] = ACTIONS(6024),
    [anon_sym_BSLASHpmo] = ACTIONS(6024),
    [anon_sym_BSLASHpm] = ACTIONS(6024),
    [anon_sym_BSLASHpmc] = ACTIONS(6024),
    [anon_sym_BSLASHpmr] = ACTIONS(6024),
    [anon_sym_BSLASHpi] = ACTIONS(6024),
    [anon_sym_BSLASHmi] = ACTIONS(6024),
    [anon_sym_BSLASHnb] = ACTIONS(6024),
    [anon_sym_BSLASHpc] = ACTIONS(6024),
    [anon_sym_BSLASHph] = ACTIONS(6024),
    [anon_sym_BSLASHb] = ACTIONS(6024),
    [anon_sym_BSLASHq] = ACTIONS(6024),
    [anon_sym_BSLASHqr] = ACTIONS(6024),
    [anon_sym_BSLASHqc] = ACTIONS(6024),
    [anon_sym_BSLASHqa] = ACTIONS(6024),
    [anon_sym_BSLASHqm] = ACTIONS(6024),
    [anon_sym_BSLASHqd] = ACTIONS(6024),
    [anon_sym_BSLASHlh] = ACTIONS(6024),
    [anon_sym_BSLASHlf] = ACTIONS(6024),
    [anon_sym_BSLASHli] = ACTIONS(6024),
    [anon_sym_BSLASHlim] = ACTIONS(6024),
    [anon_sym_BSLASHliv] = ACTIONS(6024),
    [anon_sym_BSLASHlik] = ACTIONS(6024),
    [anon_sym_BSLASHlitl] = ACTIONS(6024),
    [anon_sym_BSLASHtr] = ACTIONS(6024),
    [anon_sym_BSLASHf] = ACTIONS(6024),
    [anon_sym_BSLASHfe] = ACTIONS(6024),
    [anon_sym_BSLASHef] = ACTIONS(6024),
    [anon_sym_BSLASHfm] = ACTIONS(6024),
    [anon_sym_BSLASHx] = ACTIONS(6024),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6024),
    [anon_sym_BSLASHadd] = ACTIONS(6024),
    [anon_sym_BSLASHbk] = ACTIONS(6024),
    [anon_sym_BSLASHdc] = ACTIONS(6024),
    [anon_sym_BSLASHk] = ACTIONS(6024),
    [anon_sym_BSLASHnd] = ACTIONS(6024),
    [anon_sym_BSLASHord] = ACTIONS(6024),
    [anon_sym_BSLASHpn] = ACTIONS(6024),
    [anon_sym_BSLASHpng] = ACTIONS(6024),
    [anon_sym_BSLASHaddpn] = ACTIONS(6024),
    [anon_sym_BSLASHqt] = ACTIONS(6024),
    [anon_sym_BSLASHsig] = ACTIONS(6024),
    [anon_sym_BSLASHsls] = ACTIONS(6024),
    [anon_sym_BSLASHtl] = ACTIONS(6024),
    [anon_sym_BSLASHwj] = ACTIONS(6024),
    [anon_sym_BSLASHem] = ACTIONS(6024),
    [anon_sym_BSLASHbd] = ACTIONS(6024),
    [anon_sym_BSLASHit] = ACTIONS(6024),
    [anon_sym_BSLASHbdit] = ACTIONS(6024),
    [anon_sym_BSLASHno] = ACTIONS(6024),
    [anon_sym_BSLASHsc] = ACTIONS(6024),
    [anon_sym_BSLASHsup] = ACTIONS(6024),
    [anon_sym_BSLASHndx] = ACTIONS(6024),
    [anon_sym_BSLASHpro] = ACTIONS(6024),
    [anon_sym_BSLASHrb] = ACTIONS(6024),
    [anon_sym_BSLASHw] = ACTIONS(6024),
    [anon_sym_BSLASHwg] = ACTIONS(6024),
    [anon_sym_BSLASHwh] = ACTIONS(6024),
    [anon_sym_BSLASHwa] = ACTIONS(6024),
    [anon_sym_BSLASHfig] = ACTIONS(6024),
    [anon_sym_BSLASHjmp] = ACTIONS(6024),
    [anon_sym_BSLASHpb] = ACTIONS(6024),
    [anon_sym_BSLASH] = ACTIONS(6024),
    [sym_milestoneStartTag] = ACTIONS(6024),
    [sym_milestoneEndTag] = ACTIONS(6024),
    [sym_zSpaceTag] = ACTIONS(6024),
    [anon_sym_BSLASHesb] = ACTIONS(6024),
  },
  [473] = {
    [sym_text] = STATE(513),
    [sym__milestoneAttributes] = STATE(2136),
    [aux_sym_text_token1] = ACTIONS(6026),
    [anon_sym_BSLASHref] = ACTIONS(5560),
    [anon_sym_BSLASHsts] = ACTIONS(5560),
    [anon_sym_BSLASHrem] = ACTIONS(5560),
    [anon_sym_BSLASHrestore] = ACTIONS(5560),
    [anon_sym_BSLASHlit] = ACTIONS(5560),
    [anon_sym_BSLASHip] = ACTIONS(5560),
    [anon_sym_BSLASHv] = ACTIONS(5560),
    [anon_sym_BSLASHva] = ACTIONS(5560),
    [anon_sym_BSLASHvp] = ACTIONS(5560),
    [anon_sym_BSLASHmte] = ACTIONS(5560),
    [anon_sym_BSLASHms] = ACTIONS(5560),
    [anon_sym_BSLASHs] = ACTIONS(5560),
    [anon_sym_BSLASHr] = ACTIONS(5560),
    [anon_sym_BSLASHsp] = ACTIONS(5560),
    [anon_sym_BSLASHd] = ACTIONS(5560),
    [anon_sym_BSLASHsd] = ACTIONS(5560),
    [anon_sym_BSLASHp] = ACTIONS(5560),
    [anon_sym_BSLASHm] = ACTIONS(5560),
    [anon_sym_BSLASHpo] = ACTIONS(5560),
    [anon_sym_BSLASHpr] = ACTIONS(5560),
    [anon_sym_BSLASHcls] = ACTIONS(5560),
    [anon_sym_BSLASHpmo] = ACTIONS(5560),
    [anon_sym_BSLASHpm] = ACTIONS(5560),
    [anon_sym_BSLASHpmc] = ACTIONS(5560),
    [anon_sym_BSLASHpmr] = ACTIONS(5560),
    [anon_sym_BSLASHpi] = ACTIONS(5560),
    [anon_sym_BSLASHmi] = ACTIONS(5560),
    [anon_sym_BSLASHnb] = ACTIONS(5560),
    [anon_sym_BSLASHpc] = ACTIONS(5560),
    [anon_sym_BSLASHph] = ACTIONS(5560),
    [anon_sym_BSLASHb] = ACTIONS(5560),
    [anon_sym_BSLASHq] = ACTIONS(5560),
    [anon_sym_BSLASHqr] = ACTIONS(5560),
    [anon_sym_BSLASHqc] = ACTIONS(5560),
    [anon_sym_BSLASHqa] = ACTIONS(5560),
    [anon_sym_BSLASHqm] = ACTIONS(5560),
    [anon_sym_BSLASHqd] = ACTIONS(5560),
    [anon_sym_BSLASHlh] = ACTIONS(5560),
    [anon_sym_BSLASHlf] = ACTIONS(5560),
    [anon_sym_BSLASHli] = ACTIONS(5560),
    [anon_sym_BSLASHlim] = ACTIONS(5560),
    [anon_sym_BSLASHliv] = ACTIONS(5560),
    [anon_sym_BSLASHlik] = ACTIONS(5560),
    [anon_sym_BSLASHlitl] = ACTIONS(5560),
    [anon_sym_BSLASHtr] = ACTIONS(5560),
    [anon_sym_BSLASHf] = ACTIONS(5560),
    [anon_sym_BSLASHfe] = ACTIONS(5560),
    [anon_sym_BSLASHef] = ACTIONS(5560),
    [anon_sym_BSLASHfm] = ACTIONS(5560),
    [anon_sym_BSLASHx] = ACTIONS(5560),
    [anon_sym_BSLASHxt] = ACTIONS(5560),
    [anon_sym_BSLASHrq] = ACTIONS(5560),
    [anon_sym_BSLASHadd] = ACTIONS(5560),
    [anon_sym_BSLASHbk] = ACTIONS(5560),
    [anon_sym_BSLASHdc] = ACTIONS(5560),
    [anon_sym_BSLASHk] = ACTIONS(5560),
    [anon_sym_BSLASHnd] = ACTIONS(5560),
    [anon_sym_BSLASHord] = ACTIONS(5560),
    [anon_sym_BSLASHpn] = ACTIONS(5560),
    [anon_sym_BSLASHpng] = ACTIONS(5560),
    [anon_sym_BSLASHaddpn] = ACTIONS(5560),
    [anon_sym_BSLASHqt] = ACTIONS(5560),
    [anon_sym_BSLASHsig] = ACTIONS(5560),
    [anon_sym_BSLASHsls] = ACTIONS(5560),
    [anon_sym_BSLASHtl] = ACTIONS(5560),
    [anon_sym_BSLASHwj] = ACTIONS(5560),
    [anon_sym_BSLASHem] = ACTIONS(5560),
    [anon_sym_BSLASHbd] = ACTIONS(5560),
    [anon_sym_BSLASHit] = ACTIONS(5560),
    [anon_sym_BSLASHbdit] = ACTIONS(5560),
    [anon_sym_BSLASHno] = ACTIONS(5560),
    [anon_sym_BSLASHsc] = ACTIONS(5560),
    [anon_sym_BSLASHsup] = ACTIONS(5560),
    [anon_sym_BSLASHndx] = ACTIONS(5560),
    [anon_sym_BSLASHpro] = ACTIONS(5560),
    [anon_sym_BSLASHrb] = ACTIONS(5560),
    [anon_sym_BSLASHw] = ACTIONS(5560),
    [anon_sym_BSLASHwg] = ACTIONS(5560),
    [anon_sym_BSLASHwh] = ACTIONS(5560),
    [anon_sym_BSLASHwa] = ACTIONS(5560),
    [anon_sym_BSLASHfig] = ACTIONS(5560),
    [anon_sym_BSLASHjmp] = ACTIONS(5560),
    [anon_sym_BSLASHpb] = ACTIONS(5560),
    [anon_sym_BSLASH] = ACTIONS(5560),
    [anon_sym_BSLASH_STAR] = ACTIONS(6028),
    [sym_milestoneStartTag] = ACTIONS(5560),
    [sym_milestoneEndTag] = ACTIONS(5560),
    [sym_zSpaceTag] = ACTIONS(5560),
    [sym__zSpaceClose] = ACTIONS(6030),
    [anon_sym_BSLASHesbe] = ACTIONS(5560),
    [anon_sym_BSLASHcat] = ACTIONS(5560),
    [anon_sym_PIPE] = ACTIONS(5566),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHref] = ACTIONS(2705),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHiex] = ACTIONS(2705),
    [anon_sym_BSLASHv] = ACTIONS(2705),
    [anon_sym_BSLASHva] = ACTIONS(2705),
    [anon_sym_BSLASHvp] = ACTIONS(2705),
    [anon_sym_BSLASHc] = ACTIONS(2705),
    [anon_sym_BSLASHcl] = ACTIONS(2705),
    [anon_sym_BSLASHca] = ACTIONS(2705),
    [anon_sym_BSLASHcp] = ACTIONS(2705),
    [anon_sym_BSLASHcd] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqs] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqac] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHx] = ACTIONS(2705),
    [anon_sym_BSLASHxt] = ACTIONS(2705),
    [anon_sym_BSLASHrq] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesb] = ACTIONS(2705),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(17),
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHref] = ACTIONS(19),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHiex] = ACTIONS(19),
    [anon_sym_BSLASHv] = ACTIONS(19),
    [anon_sym_BSLASHva] = ACTIONS(19),
    [anon_sym_BSLASHvp] = ACTIONS(19),
    [anon_sym_BSLASHc] = ACTIONS(19),
    [anon_sym_BSLASHcl] = ACTIONS(19),
    [anon_sym_BSLASHca] = ACTIONS(19),
    [anon_sym_BSLASHcp] = ACTIONS(19),
    [anon_sym_BSLASHcd] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqs] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqac] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHx] = ACTIONS(19),
    [anon_sym_BSLASHxt] = ACTIONS(19),
    [anon_sym_BSLASHrq] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesb] = ACTIONS(19),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(2803),
    [aux_sym_text_token1] = ACTIONS(2803),
    [anon_sym_BSLASHref] = ACTIONS(2805),
    [anon_sym_BSLASHsts] = ACTIONS(2805),
    [anon_sym_BSLASHrem] = ACTIONS(2805),
    [anon_sym_BSLASHrestore] = ACTIONS(2805),
    [anon_sym_BSLASHlit] = ACTIONS(2805),
    [anon_sym_BSLASHip] = ACTIONS(2805),
    [anon_sym_BSLASHiex] = ACTIONS(2805),
    [anon_sym_BSLASHv] = ACTIONS(2805),
    [anon_sym_BSLASHva] = ACTIONS(2805),
    [anon_sym_BSLASHvp] = ACTIONS(2805),
    [anon_sym_BSLASHc] = ACTIONS(2805),
    [anon_sym_BSLASHcl] = ACTIONS(2805),
    [anon_sym_BSLASHca] = ACTIONS(2805),
    [anon_sym_BSLASHcp] = ACTIONS(2805),
    [anon_sym_BSLASHcd] = ACTIONS(2805),
    [anon_sym_BSLASHmte] = ACTIONS(2805),
    [anon_sym_BSLASHms] = ACTIONS(2805),
    [anon_sym_BSLASHs] = ACTIONS(2805),
    [anon_sym_BSLASHr] = ACTIONS(2805),
    [anon_sym_BSLASHsp] = ACTIONS(2805),
    [anon_sym_BSLASHd] = ACTIONS(2805),
    [anon_sym_BSLASHsd] = ACTIONS(2805),
    [anon_sym_BSLASHp] = ACTIONS(2805),
    [anon_sym_BSLASHm] = ACTIONS(2805),
    [anon_sym_BSLASHpo] = ACTIONS(2805),
    [anon_sym_BSLASHpr] = ACTIONS(2805),
    [anon_sym_BSLASHcls] = ACTIONS(2805),
    [anon_sym_BSLASHpmo] = ACTIONS(2805),
    [anon_sym_BSLASHpm] = ACTIONS(2805),
    [anon_sym_BSLASHpmc] = ACTIONS(2805),
    [anon_sym_BSLASHpmr] = ACTIONS(2805),
    [anon_sym_BSLASHpi] = ACTIONS(2805),
    [anon_sym_BSLASHmi] = ACTIONS(2805),
    [anon_sym_BSLASHnb] = ACTIONS(2805),
    [anon_sym_BSLASHpc] = ACTIONS(2805),
    [anon_sym_BSLASHph] = ACTIONS(2805),
    [anon_sym_BSLASHb] = ACTIONS(2805),
    [anon_sym_BSLASHq] = ACTIONS(2805),
    [anon_sym_BSLASHqr] = ACTIONS(2805),
    [anon_sym_BSLASHqc] = ACTIONS(2805),
    [anon_sym_BSLASHqs] = ACTIONS(2805),
    [anon_sym_BSLASHqa] = ACTIONS(2805),
    [anon_sym_BSLASHqac] = ACTIONS(2805),
    [anon_sym_BSLASHqm] = ACTIONS(2805),
    [anon_sym_BSLASHqd] = ACTIONS(2805),
    [anon_sym_BSLASHlh] = ACTIONS(2805),
    [anon_sym_BSLASHli] = ACTIONS(2805),
    [anon_sym_BSLASHlim] = ACTIONS(2805),
    [anon_sym_BSLASHtr] = ACTIONS(2805),
    [anon_sym_BSLASHf] = ACTIONS(2805),
    [anon_sym_BSLASHfe] = ACTIONS(2805),
    [anon_sym_BSLASHef] = ACTIONS(2805),
    [anon_sym_BSLASHfm] = ACTIONS(2805),
    [anon_sym_BSLASHx] = ACTIONS(2805),
    [anon_sym_BSLASHxt] = ACTIONS(2805),
    [anon_sym_BSLASHrq] = ACTIONS(2805),
    [anon_sym_BSLASHadd] = ACTIONS(2805),
    [anon_sym_BSLASHbk] = ACTIONS(2805),
    [anon_sym_BSLASHdc] = ACTIONS(2805),
    [anon_sym_BSLASHk] = ACTIONS(2805),
    [anon_sym_BSLASHnd] = ACTIONS(2805),
    [anon_sym_BSLASHord] = ACTIONS(2805),
    [anon_sym_BSLASHpn] = ACTIONS(2805),
    [anon_sym_BSLASHpng] = ACTIONS(2805),
    [anon_sym_BSLASHaddpn] = ACTIONS(2805),
    [anon_sym_BSLASHqt] = ACTIONS(2805),
    [anon_sym_BSLASHsig] = ACTIONS(2805),
    [anon_sym_BSLASHsls] = ACTIONS(2805),
    [anon_sym_BSLASHtl] = ACTIONS(2805),
    [anon_sym_BSLASHwj] = ACTIONS(2805),
    [anon_sym_BSLASHem] = ACTIONS(2805),
    [anon_sym_BSLASHbd] = ACTIONS(2805),
    [anon_sym_BSLASHit] = ACTIONS(2805),
    [anon_sym_BSLASHbdit] = ACTIONS(2805),
    [anon_sym_BSLASHno] = ACTIONS(2805),
    [anon_sym_BSLASHsc] = ACTIONS(2805),
    [anon_sym_BSLASHsup] = ACTIONS(2805),
    [anon_sym_BSLASHndx] = ACTIONS(2805),
    [anon_sym_BSLASHpro] = ACTIONS(2805),
    [anon_sym_BSLASHrb] = ACTIONS(2805),
    [anon_sym_BSLASHw] = ACTIONS(2805),
    [anon_sym_BSLASHwg] = ACTIONS(2805),
    [anon_sym_BSLASHwh] = ACTIONS(2805),
    [anon_sym_BSLASHwa] = ACTIONS(2805),
    [anon_sym_BSLASHfig] = ACTIONS(2805),
    [anon_sym_BSLASHjmp] = ACTIONS(2805),
    [anon_sym_BSLASHpb] = ACTIONS(2805),
    [anon_sym_BSLASH] = ACTIONS(2805),
    [sym_milestoneStartTag] = ACTIONS(2805),
    [sym_milestoneEndTag] = ACTIONS(2805),
    [sym_zSpaceTag] = ACTIONS(2805),
    [anon_sym_BSLASHesb] = ACTIONS(2805),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(6010),
    [aux_sym_text_token1] = ACTIONS(6010),
    [anon_sym_BSLASHref] = ACTIONS(6012),
    [anon_sym_BSLASHsts] = ACTIONS(6012),
    [anon_sym_BSLASHrem] = ACTIONS(6012),
    [anon_sym_BSLASHrestore] = ACTIONS(6012),
    [anon_sym_BSLASHlit] = ACTIONS(6012),
    [anon_sym_BSLASHip] = ACTIONS(6012),
    [anon_sym_BSLASHiex] = ACTIONS(6012),
    [anon_sym_BSLASHv] = ACTIONS(6012),
    [anon_sym_BSLASHva] = ACTIONS(6012),
    [anon_sym_BSLASHvp] = ACTIONS(6012),
    [anon_sym_BSLASHc] = ACTIONS(6012),
    [anon_sym_BSLASHcl] = ACTIONS(6012),
    [anon_sym_BSLASHca] = ACTIONS(6012),
    [anon_sym_BSLASHcp] = ACTIONS(6012),
    [anon_sym_BSLASHcd] = ACTIONS(6012),
    [anon_sym_BSLASHmte] = ACTIONS(6012),
    [anon_sym_BSLASHms] = ACTIONS(6012),
    [anon_sym_BSLASHs] = ACTIONS(6012),
    [anon_sym_BSLASHr] = ACTIONS(6012),
    [anon_sym_BSLASHsp] = ACTIONS(6012),
    [anon_sym_BSLASHd] = ACTIONS(6012),
    [anon_sym_BSLASHsd] = ACTIONS(6012),
    [anon_sym_BSLASHp] = ACTIONS(6012),
    [anon_sym_BSLASHm] = ACTIONS(6012),
    [anon_sym_BSLASHpo] = ACTIONS(6012),
    [anon_sym_BSLASHpr] = ACTIONS(6012),
    [anon_sym_BSLASHcls] = ACTIONS(6012),
    [anon_sym_BSLASHpmo] = ACTIONS(6012),
    [anon_sym_BSLASHpm] = ACTIONS(6012),
    [anon_sym_BSLASHpmc] = ACTIONS(6012),
    [anon_sym_BSLASHpmr] = ACTIONS(6012),
    [anon_sym_BSLASHpi] = ACTIONS(6012),
    [anon_sym_BSLASHmi] = ACTIONS(6012),
    [anon_sym_BSLASHnb] = ACTIONS(6012),
    [anon_sym_BSLASHpc] = ACTIONS(6012),
    [anon_sym_BSLASHph] = ACTIONS(6012),
    [anon_sym_BSLASHb] = ACTIONS(6012),
    [anon_sym_BSLASHq] = ACTIONS(6012),
    [anon_sym_BSLASHqr] = ACTIONS(6012),
    [anon_sym_BSLASHqc] = ACTIONS(6012),
    [anon_sym_BSLASHqs] = ACTIONS(6012),
    [anon_sym_BSLASHqa] = ACTIONS(6012),
    [anon_sym_BSLASHqac] = ACTIONS(6012),
    [anon_sym_BSLASHqm] = ACTIONS(6012),
    [anon_sym_BSLASHqd] = ACTIONS(6012),
    [anon_sym_BSLASHlh] = ACTIONS(6012),
    [anon_sym_BSLASHli] = ACTIONS(6012),
    [anon_sym_BSLASHlim] = ACTIONS(6012),
    [anon_sym_BSLASHtr] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6012),
    [anon_sym_BSLASHfe] = ACTIONS(6012),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6012),
    [anon_sym_BSLASHx] = ACTIONS(6012),
    [anon_sym_BSLASHxt] = ACTIONS(6012),
    [anon_sym_BSLASHrq] = ACTIONS(6012),
    [anon_sym_BSLASHadd] = ACTIONS(6012),
    [anon_sym_BSLASHbk] = ACTIONS(6012),
    [anon_sym_BSLASHdc] = ACTIONS(6012),
    [anon_sym_BSLASHk] = ACTIONS(6012),
    [anon_sym_BSLASHnd] = ACTIONS(6012),
    [anon_sym_BSLASHord] = ACTIONS(6012),
    [anon_sym_BSLASHpn] = ACTIONS(6012),
    [anon_sym_BSLASHpng] = ACTIONS(6012),
    [anon_sym_BSLASHaddpn] = ACTIONS(6012),
    [anon_sym_BSLASHqt] = ACTIONS(6012),
    [anon_sym_BSLASHsig] = ACTIONS(6012),
    [anon_sym_BSLASHsls] = ACTIONS(6012),
    [anon_sym_BSLASHtl] = ACTIONS(6012),
    [anon_sym_BSLASHwj] = ACTIONS(6012),
    [anon_sym_BSLASHem] = ACTIONS(6012),
    [anon_sym_BSLASHbd] = ACTIONS(6012),
    [anon_sym_BSLASHit] = ACTIONS(6012),
    [anon_sym_BSLASHbdit] = ACTIONS(6012),
    [anon_sym_BSLASHno] = ACTIONS(6012),
    [anon_sym_BSLASHsc] = ACTIONS(6012),
    [anon_sym_BSLASHsup] = ACTIONS(6012),
    [anon_sym_BSLASHndx] = ACTIONS(6012),
    [anon_sym_BSLASHpro] = ACTIONS(6012),
    [anon_sym_BSLASHrb] = ACTIONS(6012),
    [anon_sym_BSLASHw] = ACTIONS(6012),
    [anon_sym_BSLASHwg] = ACTIONS(6012),
    [anon_sym_BSLASHwh] = ACTIONS(6012),
    [anon_sym_BSLASHwa] = ACTIONS(6012),
    [anon_sym_BSLASHfig] = ACTIONS(6012),
    [anon_sym_BSLASHjmp] = ACTIONS(6012),
    [anon_sym_BSLASHpb] = ACTIONS(6012),
    [anon_sym_BSLASH] = ACTIONS(6012),
    [sym_milestoneStartTag] = ACTIONS(6012),
    [sym_milestoneEndTag] = ACTIONS(6012),
    [sym_zSpaceTag] = ACTIONS(6012),
    [anon_sym_BSLASHesb] = ACTIONS(6012),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqs] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqac] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(6014),
    [aux_sym_text_token1] = ACTIONS(6014),
    [anon_sym_BSLASHref] = ACTIONS(6016),
    [anon_sym_BSLASHsts] = ACTIONS(6016),
    [anon_sym_BSLASHrem] = ACTIONS(6016),
    [anon_sym_BSLASHrestore] = ACTIONS(6016),
    [anon_sym_BSLASHlit] = ACTIONS(6016),
    [anon_sym_BSLASHip] = ACTIONS(6016),
    [anon_sym_BSLASHiex] = ACTIONS(6016),
    [anon_sym_BSLASHv] = ACTIONS(6016),
    [anon_sym_BSLASHva] = ACTIONS(6016),
    [anon_sym_BSLASHvp] = ACTIONS(6016),
    [anon_sym_BSLASHc] = ACTIONS(6016),
    [anon_sym_BSLASHcl] = ACTIONS(6016),
    [anon_sym_BSLASHca] = ACTIONS(6016),
    [anon_sym_BSLASHcp] = ACTIONS(6016),
    [anon_sym_BSLASHcd] = ACTIONS(6016),
    [anon_sym_BSLASHmte] = ACTIONS(6016),
    [anon_sym_BSLASHms] = ACTIONS(6016),
    [anon_sym_BSLASHs] = ACTIONS(6016),
    [anon_sym_BSLASHr] = ACTIONS(6016),
    [anon_sym_BSLASHsp] = ACTIONS(6016),
    [anon_sym_BSLASHd] = ACTIONS(6016),
    [anon_sym_BSLASHsd] = ACTIONS(6016),
    [anon_sym_BSLASHp] = ACTIONS(6016),
    [anon_sym_BSLASHm] = ACTIONS(6016),
    [anon_sym_BSLASHpo] = ACTIONS(6016),
    [anon_sym_BSLASHpr] = ACTIONS(6016),
    [anon_sym_BSLASHcls] = ACTIONS(6016),
    [anon_sym_BSLASHpmo] = ACTIONS(6016),
    [anon_sym_BSLASHpm] = ACTIONS(6016),
    [anon_sym_BSLASHpmc] = ACTIONS(6016),
    [anon_sym_BSLASHpmr] = ACTIONS(6016),
    [anon_sym_BSLASHpi] = ACTIONS(6016),
    [anon_sym_BSLASHmi] = ACTIONS(6016),
    [anon_sym_BSLASHnb] = ACTIONS(6016),
    [anon_sym_BSLASHpc] = ACTIONS(6016),
    [anon_sym_BSLASHph] = ACTIONS(6016),
    [anon_sym_BSLASHb] = ACTIONS(6016),
    [anon_sym_BSLASHq] = ACTIONS(6016),
    [anon_sym_BSLASHqr] = ACTIONS(6016),
    [anon_sym_BSLASHqc] = ACTIONS(6016),
    [anon_sym_BSLASHqs] = ACTIONS(6016),
    [anon_sym_BSLASHqa] = ACTIONS(6016),
    [anon_sym_BSLASHqac] = ACTIONS(6016),
    [anon_sym_BSLASHqm] = ACTIONS(6016),
    [anon_sym_BSLASHqd] = ACTIONS(6016),
    [anon_sym_BSLASHlh] = ACTIONS(6016),
    [anon_sym_BSLASHli] = ACTIONS(6016),
    [anon_sym_BSLASHlim] = ACTIONS(6016),
    [anon_sym_BSLASHtr] = ACTIONS(6016),
    [anon_sym_BSLASHf] = ACTIONS(6016),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6016),
    [anon_sym_BSLASHfm] = ACTIONS(6016),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6016),
    [anon_sym_BSLASHrq] = ACTIONS(6016),
    [anon_sym_BSLASHadd] = ACTIONS(6016),
    [anon_sym_BSLASHbk] = ACTIONS(6016),
    [anon_sym_BSLASHdc] = ACTIONS(6016),
    [anon_sym_BSLASHk] = ACTIONS(6016),
    [anon_sym_BSLASHnd] = ACTIONS(6016),
    [anon_sym_BSLASHord] = ACTIONS(6016),
    [anon_sym_BSLASHpn] = ACTIONS(6016),
    [anon_sym_BSLASHpng] = ACTIONS(6016),
    [anon_sym_BSLASHaddpn] = ACTIONS(6016),
    [anon_sym_BSLASHqt] = ACTIONS(6016),
    [anon_sym_BSLASHsig] = ACTIONS(6016),
    [anon_sym_BSLASHsls] = ACTIONS(6016),
    [anon_sym_BSLASHtl] = ACTIONS(6016),
    [anon_sym_BSLASHwj] = ACTIONS(6016),
    [anon_sym_BSLASHem] = ACTIONS(6016),
    [anon_sym_BSLASHbd] = ACTIONS(6016),
    [anon_sym_BSLASHit] = ACTIONS(6016),
    [anon_sym_BSLASHbdit] = ACTIONS(6016),
    [anon_sym_BSLASHno] = ACTIONS(6016),
    [anon_sym_BSLASHsc] = ACTIONS(6016),
    [anon_sym_BSLASHsup] = ACTIONS(6016),
    [anon_sym_BSLASHndx] = ACTIONS(6016),
    [anon_sym_BSLASHpro] = ACTIONS(6016),
    [anon_sym_BSLASHrb] = ACTIONS(6016),
    [anon_sym_BSLASHw] = ACTIONS(6016),
    [anon_sym_BSLASHwg] = ACTIONS(6016),
    [anon_sym_BSLASHwh] = ACTIONS(6016),
    [anon_sym_BSLASHwa] = ACTIONS(6016),
    [anon_sym_BSLASHfig] = ACTIONS(6016),
    [anon_sym_BSLASHjmp] = ACTIONS(6016),
    [anon_sym_BSLASHpb] = ACTIONS(6016),
    [anon_sym_BSLASH] = ACTIONS(6016),
    [sym_milestoneStartTag] = ACTIONS(6016),
    [sym_milestoneEndTag] = ACTIONS(6016),
    [sym_zSpaceTag] = ACTIONS(6016),
    [anon_sym_BSLASHesb] = ACTIONS(6016),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHref] = ACTIONS(2673),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHiex] = ACTIONS(2673),
    [anon_sym_BSLASHv] = ACTIONS(2673),
    [anon_sym_BSLASHva] = ACTIONS(2673),
    [anon_sym_BSLASHvp] = ACTIONS(2673),
    [anon_sym_BSLASHc] = ACTIONS(2673),
    [anon_sym_BSLASHcl] = ACTIONS(2673),
    [anon_sym_BSLASHca] = ACTIONS(2673),
    [anon_sym_BSLASHcp] = ACTIONS(2673),
    [anon_sym_BSLASHcd] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqs] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqac] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHx] = ACTIONS(2673),
    [anon_sym_BSLASHxt] = ACTIONS(2673),
    [anon_sym_BSLASHrq] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesb] = ACTIONS(2673),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHref] = ACTIONS(2729),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHiex] = ACTIONS(2729),
    [anon_sym_BSLASHv] = ACTIONS(2729),
    [anon_sym_BSLASHva] = ACTIONS(2729),
    [anon_sym_BSLASHvp] = ACTIONS(2729),
    [anon_sym_BSLASHc] = ACTIONS(2729),
    [anon_sym_BSLASHcl] = ACTIONS(2729),
    [anon_sym_BSLASHca] = ACTIONS(2729),
    [anon_sym_BSLASHcp] = ACTIONS(2729),
    [anon_sym_BSLASHcd] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqs] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqac] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHx] = ACTIONS(2729),
    [anon_sym_BSLASHxt] = ACTIONS(2729),
    [anon_sym_BSLASHrq] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesb] = ACTIONS(2729),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(6018),
    [aux_sym_text_token1] = ACTIONS(6018),
    [anon_sym_BSLASHref] = ACTIONS(6020),
    [anon_sym_BSLASHsts] = ACTIONS(6020),
    [anon_sym_BSLASHrem] = ACTIONS(6020),
    [anon_sym_BSLASHrestore] = ACTIONS(6020),
    [anon_sym_BSLASHlit] = ACTIONS(6020),
    [anon_sym_BSLASHip] = ACTIONS(6020),
    [anon_sym_BSLASHiex] = ACTIONS(6020),
    [anon_sym_BSLASHv] = ACTIONS(6020),
    [anon_sym_BSLASHva] = ACTIONS(6020),
    [anon_sym_BSLASHvp] = ACTIONS(6020),
    [anon_sym_BSLASHc] = ACTIONS(6020),
    [anon_sym_BSLASHcl] = ACTIONS(6020),
    [anon_sym_BSLASHca] = ACTIONS(6020),
    [anon_sym_BSLASHcp] = ACTIONS(6020),
    [anon_sym_BSLASHcd] = ACTIONS(6020),
    [anon_sym_BSLASHmte] = ACTIONS(6020),
    [anon_sym_BSLASHms] = ACTIONS(6020),
    [anon_sym_BSLASHs] = ACTIONS(6020),
    [anon_sym_BSLASHr] = ACTIONS(6020),
    [anon_sym_BSLASHsp] = ACTIONS(6020),
    [anon_sym_BSLASHd] = ACTIONS(6020),
    [anon_sym_BSLASHsd] = ACTIONS(6020),
    [anon_sym_BSLASHp] = ACTIONS(6020),
    [anon_sym_BSLASHm] = ACTIONS(6020),
    [anon_sym_BSLASHpo] = ACTIONS(6020),
    [anon_sym_BSLASHpr] = ACTIONS(6020),
    [anon_sym_BSLASHcls] = ACTIONS(6020),
    [anon_sym_BSLASHpmo] = ACTIONS(6020),
    [anon_sym_BSLASHpm] = ACTIONS(6020),
    [anon_sym_BSLASHpmc] = ACTIONS(6020),
    [anon_sym_BSLASHpmr] = ACTIONS(6020),
    [anon_sym_BSLASHpi] = ACTIONS(6020),
    [anon_sym_BSLASHmi] = ACTIONS(6020),
    [anon_sym_BSLASHnb] = ACTIONS(6020),
    [anon_sym_BSLASHpc] = ACTIONS(6020),
    [anon_sym_BSLASHph] = ACTIONS(6020),
    [anon_sym_BSLASHb] = ACTIONS(6020),
    [anon_sym_BSLASHq] = ACTIONS(6020),
    [anon_sym_BSLASHqr] = ACTIONS(6020),
    [anon_sym_BSLASHqc] = ACTIONS(6020),
    [anon_sym_BSLASHqs] = ACTIONS(6020),
    [anon_sym_BSLASHqa] = ACTIONS(6020),
    [anon_sym_BSLASHqac] = ACTIONS(6020),
    [anon_sym_BSLASHqm] = ACTIONS(6020),
    [anon_sym_BSLASHqd] = ACTIONS(6020),
    [anon_sym_BSLASHlh] = ACTIONS(6020),
    [anon_sym_BSLASHli] = ACTIONS(6020),
    [anon_sym_BSLASHlim] = ACTIONS(6020),
    [anon_sym_BSLASHtr] = ACTIONS(6020),
    [anon_sym_BSLASHf] = ACTIONS(6020),
    [anon_sym_BSLASHfe] = ACTIONS(6020),
    [anon_sym_BSLASHef] = ACTIONS(6020),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6020),
    [anon_sym_BSLASHxt] = ACTIONS(6020),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASHadd] = ACTIONS(6020),
    [anon_sym_BSLASHbk] = ACTIONS(6020),
    [anon_sym_BSLASHdc] = ACTIONS(6020),
    [anon_sym_BSLASHk] = ACTIONS(6020),
    [anon_sym_BSLASHnd] = ACTIONS(6020),
    [anon_sym_BSLASHord] = ACTIONS(6020),
    [anon_sym_BSLASHpn] = ACTIONS(6020),
    [anon_sym_BSLASHpng] = ACTIONS(6020),
    [anon_sym_BSLASHaddpn] = ACTIONS(6020),
    [anon_sym_BSLASHqt] = ACTIONS(6020),
    [anon_sym_BSLASHsig] = ACTIONS(6020),
    [anon_sym_BSLASHsls] = ACTIONS(6020),
    [anon_sym_BSLASHtl] = ACTIONS(6020),
    [anon_sym_BSLASHwj] = ACTIONS(6020),
    [anon_sym_BSLASHem] = ACTIONS(6020),
    [anon_sym_BSLASHbd] = ACTIONS(6020),
    [anon_sym_BSLASHit] = ACTIONS(6020),
    [anon_sym_BSLASHbdit] = ACTIONS(6020),
    [anon_sym_BSLASHno] = ACTIONS(6020),
    [anon_sym_BSLASHsc] = ACTIONS(6020),
    [anon_sym_BSLASHsup] = ACTIONS(6020),
    [anon_sym_BSLASHndx] = ACTIONS(6020),
    [anon_sym_BSLASHpro] = ACTIONS(6020),
    [anon_sym_BSLASHrb] = ACTIONS(6020),
    [anon_sym_BSLASHw] = ACTIONS(6020),
    [anon_sym_BSLASHwg] = ACTIONS(6020),
    [anon_sym_BSLASHwh] = ACTIONS(6020),
    [anon_sym_BSLASHwa] = ACTIONS(6020),
    [anon_sym_BSLASHfig] = ACTIONS(6020),
    [anon_sym_BSLASHjmp] = ACTIONS(6020),
    [anon_sym_BSLASHpb] = ACTIONS(6020),
    [anon_sym_BSLASH] = ACTIONS(6020),
    [sym_milestoneStartTag] = ACTIONS(6020),
    [sym_milestoneEndTag] = ACTIONS(6020),
    [sym_zSpaceTag] = ACTIONS(6020),
    [anon_sym_BSLASHesb] = ACTIONS(6020),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(5922),
    [aux_sym_text_token1] = ACTIONS(5922),
    [anon_sym_BSLASHref] = ACTIONS(5924),
    [anon_sym_BSLASHsts] = ACTIONS(5924),
    [anon_sym_BSLASHrem] = ACTIONS(5924),
    [anon_sym_BSLASHrestore] = ACTIONS(5924),
    [anon_sym_BSLASHlit] = ACTIONS(5924),
    [anon_sym_BSLASHip] = ACTIONS(5924),
    [anon_sym_BSLASHiex] = ACTIONS(5924),
    [anon_sym_BSLASHv] = ACTIONS(5924),
    [anon_sym_BSLASHva] = ACTIONS(5924),
    [anon_sym_BSLASHvp] = ACTIONS(5924),
    [anon_sym_BSLASHc] = ACTIONS(5924),
    [anon_sym_BSLASHcl] = ACTIONS(5924),
    [anon_sym_BSLASHca] = ACTIONS(5924),
    [anon_sym_BSLASHcp] = ACTIONS(5924),
    [anon_sym_BSLASHcd] = ACTIONS(5924),
    [anon_sym_BSLASHmte] = ACTIONS(5924),
    [anon_sym_BSLASHms] = ACTIONS(5924),
    [anon_sym_BSLASHs] = ACTIONS(5924),
    [anon_sym_BSLASHr] = ACTIONS(5924),
    [anon_sym_BSLASHsp] = ACTIONS(5924),
    [anon_sym_BSLASHd] = ACTIONS(5924),
    [anon_sym_BSLASHsd] = ACTIONS(5924),
    [anon_sym_BSLASHp] = ACTIONS(5924),
    [anon_sym_BSLASHm] = ACTIONS(5924),
    [anon_sym_BSLASHpo] = ACTIONS(5924),
    [anon_sym_BSLASHpr] = ACTIONS(5924),
    [anon_sym_BSLASHcls] = ACTIONS(5924),
    [anon_sym_BSLASHpmo] = ACTIONS(5924),
    [anon_sym_BSLASHpm] = ACTIONS(5924),
    [anon_sym_BSLASHpmc] = ACTIONS(5924),
    [anon_sym_BSLASHpmr] = ACTIONS(5924),
    [anon_sym_BSLASHpi] = ACTIONS(5924),
    [anon_sym_BSLASHmi] = ACTIONS(5924),
    [anon_sym_BSLASHnb] = ACTIONS(5924),
    [anon_sym_BSLASHpc] = ACTIONS(5924),
    [anon_sym_BSLASHph] = ACTIONS(5924),
    [anon_sym_BSLASHb] = ACTIONS(5924),
    [anon_sym_BSLASHq] = ACTIONS(5924),
    [anon_sym_BSLASHqr] = ACTIONS(5924),
    [anon_sym_BSLASHqc] = ACTIONS(5924),
    [anon_sym_BSLASHqs] = ACTIONS(5924),
    [anon_sym_BSLASHqa] = ACTIONS(5924),
    [anon_sym_BSLASHqac] = ACTIONS(5924),
    [anon_sym_BSLASHqm] = ACTIONS(5924),
    [anon_sym_BSLASHqd] = ACTIONS(5924),
    [anon_sym_BSLASHlh] = ACTIONS(5924),
    [anon_sym_BSLASHli] = ACTIONS(5924),
    [anon_sym_BSLASHlim] = ACTIONS(5924),
    [anon_sym_BSLASHtr] = ACTIONS(5924),
    [anon_sym_BSLASHf] = ACTIONS(5924),
    [anon_sym_BSLASHfe] = ACTIONS(5924),
    [anon_sym_BSLASHef] = ACTIONS(5924),
    [anon_sym_BSLASHfm] = ACTIONS(5924),
    [anon_sym_BSLASHx] = ACTIONS(5924),
    [anon_sym_BSLASHxt] = ACTIONS(5924),
    [anon_sym_BSLASHrq] = ACTIONS(5924),
    [anon_sym_BSLASHadd] = ACTIONS(5924),
    [anon_sym_BSLASHbk] = ACTIONS(5924),
    [anon_sym_BSLASHdc] = ACTIONS(5924),
    [anon_sym_BSLASHk] = ACTIONS(5924),
    [anon_sym_BSLASHnd] = ACTIONS(5924),
    [anon_sym_BSLASHord] = ACTIONS(5924),
    [anon_sym_BSLASHpn] = ACTIONS(5924),
    [anon_sym_BSLASHpng] = ACTIONS(5924),
    [anon_sym_BSLASHaddpn] = ACTIONS(5924),
    [anon_sym_BSLASHqt] = ACTIONS(5924),
    [anon_sym_BSLASHsig] = ACTIONS(5924),
    [anon_sym_BSLASHsls] = ACTIONS(5924),
    [anon_sym_BSLASHtl] = ACTIONS(5924),
    [anon_sym_BSLASHwj] = ACTIONS(5924),
    [anon_sym_BSLASHem] = ACTIONS(5924),
    [anon_sym_BSLASHbd] = ACTIONS(5924),
    [anon_sym_BSLASHit] = ACTIONS(5924),
    [anon_sym_BSLASHbdit] = ACTIONS(5924),
    [anon_sym_BSLASHno] = ACTIONS(5924),
    [anon_sym_BSLASHsc] = ACTIONS(5924),
    [anon_sym_BSLASHsup] = ACTIONS(5924),
    [anon_sym_BSLASHndx] = ACTIONS(5924),
    [anon_sym_BSLASHpro] = ACTIONS(5924),
    [anon_sym_BSLASHrb] = ACTIONS(5924),
    [anon_sym_BSLASHw] = ACTIONS(5924),
    [anon_sym_BSLASHwg] = ACTIONS(5924),
    [anon_sym_BSLASHwh] = ACTIONS(5924),
    [anon_sym_BSLASHwa] = ACTIONS(5924),
    [anon_sym_BSLASHfig] = ACTIONS(5924),
    [anon_sym_BSLASHjmp] = ACTIONS(5924),
    [anon_sym_BSLASHpb] = ACTIONS(5924),
    [anon_sym_BSLASH] = ACTIONS(5924),
    [sym_milestoneStartTag] = ACTIONS(5924),
    [sym_milestoneEndTag] = ACTIONS(5924),
    [sym_zSpaceTag] = ACTIONS(5924),
    [anon_sym_BSLASHesb] = ACTIONS(5924),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(2707),
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHref] = ACTIONS(2709),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHiex] = ACTIONS(2709),
    [anon_sym_BSLASHv] = ACTIONS(2709),
    [anon_sym_BSLASHva] = ACTIONS(2709),
    [anon_sym_BSLASHvp] = ACTIONS(2709),
    [anon_sym_BSLASHc] = ACTIONS(2709),
    [anon_sym_BSLASHcl] = ACTIONS(2709),
    [anon_sym_BSLASHca] = ACTIONS(2709),
    [anon_sym_BSLASHcp] = ACTIONS(2709),
    [anon_sym_BSLASHcd] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqs] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqac] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHx] = ACTIONS(2709),
    [anon_sym_BSLASHxt] = ACTIONS(2709),
    [anon_sym_BSLASHrq] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesb] = ACTIONS(2709),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHref] = ACTIONS(2677),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHiex] = ACTIONS(2677),
    [anon_sym_BSLASHv] = ACTIONS(2677),
    [anon_sym_BSLASHva] = ACTIONS(2677),
    [anon_sym_BSLASHvp] = ACTIONS(2677),
    [anon_sym_BSLASHc] = ACTIONS(2677),
    [anon_sym_BSLASHcl] = ACTIONS(2677),
    [anon_sym_BSLASHca] = ACTIONS(2677),
    [anon_sym_BSLASHcp] = ACTIONS(2677),
    [anon_sym_BSLASHcd] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqs] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqac] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHx] = ACTIONS(2677),
    [anon_sym_BSLASHxt] = ACTIONS(2677),
    [anon_sym_BSLASHrq] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesb] = ACTIONS(2677),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(65),
    [aux_sym_text_token1] = ACTIONS(65),
    [anon_sym_BSLASHref] = ACTIONS(67),
    [anon_sym_BSLASHsts] = ACTIONS(67),
    [anon_sym_BSLASHrem] = ACTIONS(67),
    [anon_sym_BSLASHrestore] = ACTIONS(67),
    [anon_sym_BSLASHlit] = ACTIONS(67),
    [anon_sym_BSLASHip] = ACTIONS(67),
    [anon_sym_BSLASHiex] = ACTIONS(67),
    [anon_sym_BSLASHv] = ACTIONS(67),
    [anon_sym_BSLASHva] = ACTIONS(67),
    [anon_sym_BSLASHvp] = ACTIONS(67),
    [anon_sym_BSLASHc] = ACTIONS(67),
    [anon_sym_BSLASHcl] = ACTIONS(67),
    [anon_sym_BSLASHca] = ACTIONS(67),
    [anon_sym_BSLASHcp] = ACTIONS(67),
    [anon_sym_BSLASHcd] = ACTIONS(67),
    [anon_sym_BSLASHmte] = ACTIONS(67),
    [anon_sym_BSLASHms] = ACTIONS(67),
    [anon_sym_BSLASHs] = ACTIONS(67),
    [anon_sym_BSLASHr] = ACTIONS(67),
    [anon_sym_BSLASHsp] = ACTIONS(67),
    [anon_sym_BSLASHd] = ACTIONS(67),
    [anon_sym_BSLASHsd] = ACTIONS(67),
    [anon_sym_BSLASHp] = ACTIONS(67),
    [anon_sym_BSLASHm] = ACTIONS(67),
    [anon_sym_BSLASHpo] = ACTIONS(67),
    [anon_sym_BSLASHpr] = ACTIONS(67),
    [anon_sym_BSLASHcls] = ACTIONS(67),
    [anon_sym_BSLASHpmo] = ACTIONS(67),
    [anon_sym_BSLASHpm] = ACTIONS(67),
    [anon_sym_BSLASHpmc] = ACTIONS(67),
    [anon_sym_BSLASHpmr] = ACTIONS(67),
    [anon_sym_BSLASHpi] = ACTIONS(67),
    [anon_sym_BSLASHmi] = ACTIONS(67),
    [anon_sym_BSLASHnb] = ACTIONS(67),
    [anon_sym_BSLASHpc] = ACTIONS(67),
    [anon_sym_BSLASHph] = ACTIONS(67),
    [anon_sym_BSLASHb] = ACTIONS(67),
    [anon_sym_BSLASHq] = ACTIONS(67),
    [anon_sym_BSLASHqr] = ACTIONS(67),
    [anon_sym_BSLASHqc] = ACTIONS(67),
    [anon_sym_BSLASHqs] = ACTIONS(67),
    [anon_sym_BSLASHqa] = ACTIONS(67),
    [anon_sym_BSLASHqac] = ACTIONS(67),
    [anon_sym_BSLASHqm] = ACTIONS(67),
    [anon_sym_BSLASHqd] = ACTIONS(67),
    [anon_sym_BSLASHlh] = ACTIONS(67),
    [anon_sym_BSLASHli] = ACTIONS(67),
    [anon_sym_BSLASHlim] = ACTIONS(67),
    [anon_sym_BSLASHtr] = ACTIONS(67),
    [anon_sym_BSLASHf] = ACTIONS(67),
    [anon_sym_BSLASHfe] = ACTIONS(67),
    [anon_sym_BSLASHef] = ACTIONS(67),
    [anon_sym_BSLASHfm] = ACTIONS(67),
    [anon_sym_BSLASHx] = ACTIONS(67),
    [anon_sym_BSLASHxt] = ACTIONS(67),
    [anon_sym_BSLASHrq] = ACTIONS(67),
    [anon_sym_BSLASHadd] = ACTIONS(67),
    [anon_sym_BSLASHbk] = ACTIONS(67),
    [anon_sym_BSLASHdc] = ACTIONS(67),
    [anon_sym_BSLASHk] = ACTIONS(67),
    [anon_sym_BSLASHnd] = ACTIONS(67),
    [anon_sym_BSLASHord] = ACTIONS(67),
    [anon_sym_BSLASHpn] = ACTIONS(67),
    [anon_sym_BSLASHpng] = ACTIONS(67),
    [anon_sym_BSLASHaddpn] = ACTIONS(67),
    [anon_sym_BSLASHqt] = ACTIONS(67),
    [anon_sym_BSLASHsig] = ACTIONS(67),
    [anon_sym_BSLASHsls] = ACTIONS(67),
    [anon_sym_BSLASHtl] = ACTIONS(67),
    [anon_sym_BSLASHwj] = ACTIONS(67),
    [anon_sym_BSLASHem] = ACTIONS(67),
    [anon_sym_BSLASHbd] = ACTIONS(67),
    [anon_sym_BSLASHit] = ACTIONS(67),
    [anon_sym_BSLASHbdit] = ACTIONS(67),
    [anon_sym_BSLASHno] = ACTIONS(67),
    [anon_sym_BSLASHsc] = ACTIONS(67),
    [anon_sym_BSLASHsup] = ACTIONS(67),
    [anon_sym_BSLASHndx] = ACTIONS(67),
    [anon_sym_BSLASHpro] = ACTIONS(67),
    [anon_sym_BSLASHrb] = ACTIONS(67),
    [anon_sym_BSLASHw] = ACTIONS(67),
    [anon_sym_BSLASHwg] = ACTIONS(67),
    [anon_sym_BSLASHwh] = ACTIONS(67),
    [anon_sym_BSLASHwa] = ACTIONS(67),
    [anon_sym_BSLASHfig] = ACTIONS(67),
    [anon_sym_BSLASHjmp] = ACTIONS(67),
    [anon_sym_BSLASHpb] = ACTIONS(67),
    [anon_sym_BSLASH] = ACTIONS(67),
    [sym_milestoneStartTag] = ACTIONS(67),
    [sym_milestoneEndTag] = ACTIONS(67),
    [sym_zSpaceTag] = ACTIONS(67),
    [anon_sym_BSLASHesb] = ACTIONS(67),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(5962),
    [aux_sym_text_token1] = ACTIONS(5962),
    [anon_sym_BSLASHref] = ACTIONS(5964),
    [anon_sym_BSLASHsts] = ACTIONS(5964),
    [anon_sym_BSLASHrem] = ACTIONS(5964),
    [anon_sym_BSLASHrestore] = ACTIONS(5964),
    [anon_sym_BSLASHlit] = ACTIONS(5964),
    [anon_sym_BSLASHip] = ACTIONS(5964),
    [anon_sym_BSLASHiex] = ACTIONS(5964),
    [anon_sym_BSLASHv] = ACTIONS(5964),
    [anon_sym_BSLASHva] = ACTIONS(5964),
    [anon_sym_BSLASHvp] = ACTIONS(5964),
    [anon_sym_BSLASHc] = ACTIONS(5964),
    [anon_sym_BSLASHcl] = ACTIONS(5964),
    [anon_sym_BSLASHca] = ACTIONS(5964),
    [anon_sym_BSLASHcp] = ACTIONS(5964),
    [anon_sym_BSLASHcd] = ACTIONS(5964),
    [anon_sym_BSLASHmte] = ACTIONS(5964),
    [anon_sym_BSLASHms] = ACTIONS(5964),
    [anon_sym_BSLASHs] = ACTIONS(5964),
    [anon_sym_BSLASHr] = ACTIONS(5964),
    [anon_sym_BSLASHsp] = ACTIONS(5964),
    [anon_sym_BSLASHd] = ACTIONS(5964),
    [anon_sym_BSLASHsd] = ACTIONS(5964),
    [anon_sym_BSLASHp] = ACTIONS(5964),
    [anon_sym_BSLASHm] = ACTIONS(5964),
    [anon_sym_BSLASHpo] = ACTIONS(5964),
    [anon_sym_BSLASHpr] = ACTIONS(5964),
    [anon_sym_BSLASHcls] = ACTIONS(5964),
    [anon_sym_BSLASHpmo] = ACTIONS(5964),
    [anon_sym_BSLASHpm] = ACTIONS(5964),
    [anon_sym_BSLASHpmc] = ACTIONS(5964),
    [anon_sym_BSLASHpmr] = ACTIONS(5964),
    [anon_sym_BSLASHpi] = ACTIONS(5964),
    [anon_sym_BSLASHmi] = ACTIONS(5964),
    [anon_sym_BSLASHnb] = ACTIONS(5964),
    [anon_sym_BSLASHpc] = ACTIONS(5964),
    [anon_sym_BSLASHph] = ACTIONS(5964),
    [anon_sym_BSLASHb] = ACTIONS(5964),
    [anon_sym_BSLASHq] = ACTIONS(5964),
    [anon_sym_BSLASHqr] = ACTIONS(5964),
    [anon_sym_BSLASHqc] = ACTIONS(5964),
    [anon_sym_BSLASHqs] = ACTIONS(5964),
    [anon_sym_BSLASHqa] = ACTIONS(5964),
    [anon_sym_BSLASHqac] = ACTIONS(5964),
    [anon_sym_BSLASHqm] = ACTIONS(5964),
    [anon_sym_BSLASHqd] = ACTIONS(5964),
    [anon_sym_BSLASHlh] = ACTIONS(5964),
    [anon_sym_BSLASHli] = ACTIONS(5964),
    [anon_sym_BSLASHlim] = ACTIONS(5964),
    [anon_sym_BSLASHtr] = ACTIONS(5964),
    [anon_sym_BSLASHf] = ACTIONS(5964),
    [anon_sym_BSLASHfe] = ACTIONS(5964),
    [anon_sym_BSLASHef] = ACTIONS(5964),
    [anon_sym_BSLASHfm] = ACTIONS(5964),
    [anon_sym_BSLASHx] = ACTIONS(5964),
    [anon_sym_BSLASHxt] = ACTIONS(5964),
    [anon_sym_BSLASHrq] = ACTIONS(5964),
    [anon_sym_BSLASHadd] = ACTIONS(5964),
    [anon_sym_BSLASHbk] = ACTIONS(5964),
    [anon_sym_BSLASHdc] = ACTIONS(5964),
    [anon_sym_BSLASHk] = ACTIONS(5964),
    [anon_sym_BSLASHnd] = ACTIONS(5964),
    [anon_sym_BSLASHord] = ACTIONS(5964),
    [anon_sym_BSLASHpn] = ACTIONS(5964),
    [anon_sym_BSLASHpng] = ACTIONS(5964),
    [anon_sym_BSLASHaddpn] = ACTIONS(5964),
    [anon_sym_BSLASHqt] = ACTIONS(5964),
    [anon_sym_BSLASHsig] = ACTIONS(5964),
    [anon_sym_BSLASHsls] = ACTIONS(5964),
    [anon_sym_BSLASHtl] = ACTIONS(5964),
    [anon_sym_BSLASHwj] = ACTIONS(5964),
    [anon_sym_BSLASHem] = ACTIONS(5964),
    [anon_sym_BSLASHbd] = ACTIONS(5964),
    [anon_sym_BSLASHit] = ACTIONS(5964),
    [anon_sym_BSLASHbdit] = ACTIONS(5964),
    [anon_sym_BSLASHno] = ACTIONS(5964),
    [anon_sym_BSLASHsc] = ACTIONS(5964),
    [anon_sym_BSLASHsup] = ACTIONS(5964),
    [anon_sym_BSLASHndx] = ACTIONS(5964),
    [anon_sym_BSLASHpro] = ACTIONS(5964),
    [anon_sym_BSLASHrb] = ACTIONS(5964),
    [anon_sym_BSLASHw] = ACTIONS(5964),
    [anon_sym_BSLASHwg] = ACTIONS(5964),
    [anon_sym_BSLASHwh] = ACTIONS(5964),
    [anon_sym_BSLASHwa] = ACTIONS(5964),
    [anon_sym_BSLASHfig] = ACTIONS(5964),
    [anon_sym_BSLASHjmp] = ACTIONS(5964),
    [anon_sym_BSLASHpb] = ACTIONS(5964),
    [anon_sym_BSLASH] = ACTIONS(5964),
    [sym_milestoneStartTag] = ACTIONS(5964),
    [sym_milestoneEndTag] = ACTIONS(5964),
    [sym_zSpaceTag] = ACTIONS(5964),
    [anon_sym_BSLASHesb] = ACTIONS(5964),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(5966),
    [aux_sym_text_token1] = ACTIONS(5966),
    [anon_sym_BSLASHref] = ACTIONS(5968),
    [anon_sym_BSLASHsts] = ACTIONS(5968),
    [anon_sym_BSLASHrem] = ACTIONS(5968),
    [anon_sym_BSLASHrestore] = ACTIONS(5968),
    [anon_sym_BSLASHlit] = ACTIONS(5968),
    [anon_sym_BSLASHip] = ACTIONS(5968),
    [anon_sym_BSLASHiex] = ACTIONS(5968),
    [anon_sym_BSLASHv] = ACTIONS(5968),
    [anon_sym_BSLASHva] = ACTIONS(5968),
    [anon_sym_BSLASHvp] = ACTIONS(5968),
    [anon_sym_BSLASHc] = ACTIONS(5968),
    [anon_sym_BSLASHcl] = ACTIONS(5968),
    [anon_sym_BSLASHca] = ACTIONS(5968),
    [anon_sym_BSLASHcp] = ACTIONS(5968),
    [anon_sym_BSLASHcd] = ACTIONS(5968),
    [anon_sym_BSLASHmte] = ACTIONS(5968),
    [anon_sym_BSLASHms] = ACTIONS(5968),
    [anon_sym_BSLASHs] = ACTIONS(5968),
    [anon_sym_BSLASHr] = ACTIONS(5968),
    [anon_sym_BSLASHsp] = ACTIONS(5968),
    [anon_sym_BSLASHd] = ACTIONS(5968),
    [anon_sym_BSLASHsd] = ACTIONS(5968),
    [anon_sym_BSLASHp] = ACTIONS(5968),
    [anon_sym_BSLASHm] = ACTIONS(5968),
    [anon_sym_BSLASHpo] = ACTIONS(5968),
    [anon_sym_BSLASHpr] = ACTIONS(5968),
    [anon_sym_BSLASHcls] = ACTIONS(5968),
    [anon_sym_BSLASHpmo] = ACTIONS(5968),
    [anon_sym_BSLASHpm] = ACTIONS(5968),
    [anon_sym_BSLASHpmc] = ACTIONS(5968),
    [anon_sym_BSLASHpmr] = ACTIONS(5968),
    [anon_sym_BSLASHpi] = ACTIONS(5968),
    [anon_sym_BSLASHmi] = ACTIONS(5968),
    [anon_sym_BSLASHnb] = ACTIONS(5968),
    [anon_sym_BSLASHpc] = ACTIONS(5968),
    [anon_sym_BSLASHph] = ACTIONS(5968),
    [anon_sym_BSLASHb] = ACTIONS(5968),
    [anon_sym_BSLASHq] = ACTIONS(5968),
    [anon_sym_BSLASHqr] = ACTIONS(5968),
    [anon_sym_BSLASHqc] = ACTIONS(5968),
    [anon_sym_BSLASHqs] = ACTIONS(5968),
    [anon_sym_BSLASHqa] = ACTIONS(5968),
    [anon_sym_BSLASHqac] = ACTIONS(5968),
    [anon_sym_BSLASHqm] = ACTIONS(5968),
    [anon_sym_BSLASHqd] = ACTIONS(5968),
    [anon_sym_BSLASHlh] = ACTIONS(5968),
    [anon_sym_BSLASHli] = ACTIONS(5968),
    [anon_sym_BSLASHlim] = ACTIONS(5968),
    [anon_sym_BSLASHtr] = ACTIONS(5968),
    [anon_sym_BSLASHf] = ACTIONS(5968),
    [anon_sym_BSLASHfe] = ACTIONS(5968),
    [anon_sym_BSLASHef] = ACTIONS(5968),
    [anon_sym_BSLASHfm] = ACTIONS(5968),
    [anon_sym_BSLASHx] = ACTIONS(5968),
    [anon_sym_BSLASHxt] = ACTIONS(5968),
    [anon_sym_BSLASHrq] = ACTIONS(5968),
    [anon_sym_BSLASHadd] = ACTIONS(5968),
    [anon_sym_BSLASHbk] = ACTIONS(5968),
    [anon_sym_BSLASHdc] = ACTIONS(5968),
    [anon_sym_BSLASHk] = ACTIONS(5968),
    [anon_sym_BSLASHnd] = ACTIONS(5968),
    [anon_sym_BSLASHord] = ACTIONS(5968),
    [anon_sym_BSLASHpn] = ACTIONS(5968),
    [anon_sym_BSLASHpng] = ACTIONS(5968),
    [anon_sym_BSLASHaddpn] = ACTIONS(5968),
    [anon_sym_BSLASHqt] = ACTIONS(5968),
    [anon_sym_BSLASHsig] = ACTIONS(5968),
    [anon_sym_BSLASHsls] = ACTIONS(5968),
    [anon_sym_BSLASHtl] = ACTIONS(5968),
    [anon_sym_BSLASHwj] = ACTIONS(5968),
    [anon_sym_BSLASHem] = ACTIONS(5968),
    [anon_sym_BSLASHbd] = ACTIONS(5968),
    [anon_sym_BSLASHit] = ACTIONS(5968),
    [anon_sym_BSLASHbdit] = ACTIONS(5968),
    [anon_sym_BSLASHno] = ACTIONS(5968),
    [anon_sym_BSLASHsc] = ACTIONS(5968),
    [anon_sym_BSLASHsup] = ACTIONS(5968),
    [anon_sym_BSLASHndx] = ACTIONS(5968),
    [anon_sym_BSLASHpro] = ACTIONS(5968),
    [anon_sym_BSLASHrb] = ACTIONS(5968),
    [anon_sym_BSLASHw] = ACTIONS(5968),
    [anon_sym_BSLASHwg] = ACTIONS(5968),
    [anon_sym_BSLASHwh] = ACTIONS(5968),
    [anon_sym_BSLASHwa] = ACTIONS(5968),
    [anon_sym_BSLASHfig] = ACTIONS(5968),
    [anon_sym_BSLASHjmp] = ACTIONS(5968),
    [anon_sym_BSLASHpb] = ACTIONS(5968),
    [anon_sym_BSLASH] = ACTIONS(5968),
    [sym_milestoneStartTag] = ACTIONS(5968),
    [sym_milestoneEndTag] = ACTIONS(5968),
    [sym_zSpaceTag] = ACTIONS(5968),
    [anon_sym_BSLASHesb] = ACTIONS(5968),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(5970),
    [aux_sym_text_token1] = ACTIONS(5970),
    [anon_sym_BSLASHref] = ACTIONS(5972),
    [anon_sym_BSLASHsts] = ACTIONS(5972),
    [anon_sym_BSLASHrem] = ACTIONS(5972),
    [anon_sym_BSLASHrestore] = ACTIONS(5972),
    [anon_sym_BSLASHlit] = ACTIONS(5972),
    [anon_sym_BSLASHip] = ACTIONS(5972),
    [anon_sym_BSLASHiex] = ACTIONS(5972),
    [anon_sym_BSLASHv] = ACTIONS(5972),
    [anon_sym_BSLASHva] = ACTIONS(5972),
    [anon_sym_BSLASHvp] = ACTIONS(5972),
    [anon_sym_BSLASHc] = ACTIONS(5972),
    [anon_sym_BSLASHcl] = ACTIONS(5972),
    [anon_sym_BSLASHca] = ACTIONS(5972),
    [anon_sym_BSLASHcp] = ACTIONS(5972),
    [anon_sym_BSLASHcd] = ACTIONS(5972),
    [anon_sym_BSLASHmte] = ACTIONS(5972),
    [anon_sym_BSLASHms] = ACTIONS(5972),
    [anon_sym_BSLASHs] = ACTIONS(5972),
    [anon_sym_BSLASHr] = ACTIONS(5972),
    [anon_sym_BSLASHsp] = ACTIONS(5972),
    [anon_sym_BSLASHd] = ACTIONS(5972),
    [anon_sym_BSLASHsd] = ACTIONS(5972),
    [anon_sym_BSLASHp] = ACTIONS(5972),
    [anon_sym_BSLASHm] = ACTIONS(5972),
    [anon_sym_BSLASHpo] = ACTIONS(5972),
    [anon_sym_BSLASHpr] = ACTIONS(5972),
    [anon_sym_BSLASHcls] = ACTIONS(5972),
    [anon_sym_BSLASHpmo] = ACTIONS(5972),
    [anon_sym_BSLASHpm] = ACTIONS(5972),
    [anon_sym_BSLASHpmc] = ACTIONS(5972),
    [anon_sym_BSLASHpmr] = ACTIONS(5972),
    [anon_sym_BSLASHpi] = ACTIONS(5972),
    [anon_sym_BSLASHmi] = ACTIONS(5972),
    [anon_sym_BSLASHnb] = ACTIONS(5972),
    [anon_sym_BSLASHpc] = ACTIONS(5972),
    [anon_sym_BSLASHph] = ACTIONS(5972),
    [anon_sym_BSLASHb] = ACTIONS(5972),
    [anon_sym_BSLASHq] = ACTIONS(5972),
    [anon_sym_BSLASHqr] = ACTIONS(5972),
    [anon_sym_BSLASHqc] = ACTIONS(5972),
    [anon_sym_BSLASHqs] = ACTIONS(5972),
    [anon_sym_BSLASHqa] = ACTIONS(5972),
    [anon_sym_BSLASHqac] = ACTIONS(5972),
    [anon_sym_BSLASHqm] = ACTIONS(5972),
    [anon_sym_BSLASHqd] = ACTIONS(5972),
    [anon_sym_BSLASHlh] = ACTIONS(5972),
    [anon_sym_BSLASHli] = ACTIONS(5972),
    [anon_sym_BSLASHlim] = ACTIONS(5972),
    [anon_sym_BSLASHtr] = ACTIONS(5972),
    [anon_sym_BSLASHf] = ACTIONS(5972),
    [anon_sym_BSLASHfe] = ACTIONS(5972),
    [anon_sym_BSLASHef] = ACTIONS(5972),
    [anon_sym_BSLASHfm] = ACTIONS(5972),
    [anon_sym_BSLASHx] = ACTIONS(5972),
    [anon_sym_BSLASHxt] = ACTIONS(5972),
    [anon_sym_BSLASHrq] = ACTIONS(5972),
    [anon_sym_BSLASHadd] = ACTIONS(5972),
    [anon_sym_BSLASHbk] = ACTIONS(5972),
    [anon_sym_BSLASHdc] = ACTIONS(5972),
    [anon_sym_BSLASHk] = ACTIONS(5972),
    [anon_sym_BSLASHnd] = ACTIONS(5972),
    [anon_sym_BSLASHord] = ACTIONS(5972),
    [anon_sym_BSLASHpn] = ACTIONS(5972),
    [anon_sym_BSLASHpng] = ACTIONS(5972),
    [anon_sym_BSLASHaddpn] = ACTIONS(5972),
    [anon_sym_BSLASHqt] = ACTIONS(5972),
    [anon_sym_BSLASHsig] = ACTIONS(5972),
    [anon_sym_BSLASHsls] = ACTIONS(5972),
    [anon_sym_BSLASHtl] = ACTIONS(5972),
    [anon_sym_BSLASHwj] = ACTIONS(5972),
    [anon_sym_BSLASHem] = ACTIONS(5972),
    [anon_sym_BSLASHbd] = ACTIONS(5972),
    [anon_sym_BSLASHit] = ACTIONS(5972),
    [anon_sym_BSLASHbdit] = ACTIONS(5972),
    [anon_sym_BSLASHno] = ACTIONS(5972),
    [anon_sym_BSLASHsc] = ACTIONS(5972),
    [anon_sym_BSLASHsup] = ACTIONS(5972),
    [anon_sym_BSLASHndx] = ACTIONS(5972),
    [anon_sym_BSLASHpro] = ACTIONS(5972),
    [anon_sym_BSLASHrb] = ACTIONS(5972),
    [anon_sym_BSLASHw] = ACTIONS(5972),
    [anon_sym_BSLASHwg] = ACTIONS(5972),
    [anon_sym_BSLASHwh] = ACTIONS(5972),
    [anon_sym_BSLASHwa] = ACTIONS(5972),
    [anon_sym_BSLASHfig] = ACTIONS(5972),
    [anon_sym_BSLASHjmp] = ACTIONS(5972),
    [anon_sym_BSLASHpb] = ACTIONS(5972),
    [anon_sym_BSLASH] = ACTIONS(5972),
    [sym_milestoneStartTag] = ACTIONS(5972),
    [sym_milestoneEndTag] = ACTIONS(5972),
    [sym_zSpaceTag] = ACTIONS(5972),
    [anon_sym_BSLASHesb] = ACTIONS(5972),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(5974),
    [aux_sym_text_token1] = ACTIONS(5974),
    [anon_sym_BSLASHref] = ACTIONS(5976),
    [anon_sym_BSLASHsts] = ACTIONS(5976),
    [anon_sym_BSLASHrem] = ACTIONS(5976),
    [anon_sym_BSLASHrestore] = ACTIONS(5976),
    [anon_sym_BSLASHlit] = ACTIONS(5976),
    [anon_sym_BSLASHip] = ACTIONS(5976),
    [anon_sym_BSLASHiex] = ACTIONS(5976),
    [anon_sym_BSLASHv] = ACTIONS(5976),
    [anon_sym_BSLASHva] = ACTIONS(5976),
    [anon_sym_BSLASHvp] = ACTIONS(5976),
    [anon_sym_BSLASHc] = ACTIONS(5976),
    [anon_sym_BSLASHcl] = ACTIONS(5976),
    [anon_sym_BSLASHca] = ACTIONS(5976),
    [anon_sym_BSLASHcp] = ACTIONS(5976),
    [anon_sym_BSLASHcd] = ACTIONS(5976),
    [anon_sym_BSLASHmte] = ACTIONS(5976),
    [anon_sym_BSLASHms] = ACTIONS(5976),
    [anon_sym_BSLASHs] = ACTIONS(5976),
    [anon_sym_BSLASHr] = ACTIONS(5976),
    [anon_sym_BSLASHsp] = ACTIONS(5976),
    [anon_sym_BSLASHd] = ACTIONS(5976),
    [anon_sym_BSLASHsd] = ACTIONS(5976),
    [anon_sym_BSLASHp] = ACTIONS(5976),
    [anon_sym_BSLASHm] = ACTIONS(5976),
    [anon_sym_BSLASHpo] = ACTIONS(5976),
    [anon_sym_BSLASHpr] = ACTIONS(5976),
    [anon_sym_BSLASHcls] = ACTIONS(5976),
    [anon_sym_BSLASHpmo] = ACTIONS(5976),
    [anon_sym_BSLASHpm] = ACTIONS(5976),
    [anon_sym_BSLASHpmc] = ACTIONS(5976),
    [anon_sym_BSLASHpmr] = ACTIONS(5976),
    [anon_sym_BSLASHpi] = ACTIONS(5976),
    [anon_sym_BSLASHmi] = ACTIONS(5976),
    [anon_sym_BSLASHnb] = ACTIONS(5976),
    [anon_sym_BSLASHpc] = ACTIONS(5976),
    [anon_sym_BSLASHph] = ACTIONS(5976),
    [anon_sym_BSLASHb] = ACTIONS(5976),
    [anon_sym_BSLASHq] = ACTIONS(5976),
    [anon_sym_BSLASHqr] = ACTIONS(5976),
    [anon_sym_BSLASHqc] = ACTIONS(5976),
    [anon_sym_BSLASHqs] = ACTIONS(5976),
    [anon_sym_BSLASHqa] = ACTIONS(5976),
    [anon_sym_BSLASHqac] = ACTIONS(5976),
    [anon_sym_BSLASHqm] = ACTIONS(5976),
    [anon_sym_BSLASHqd] = ACTIONS(5976),
    [anon_sym_BSLASHlh] = ACTIONS(5976),
    [anon_sym_BSLASHli] = ACTIONS(5976),
    [anon_sym_BSLASHlim] = ACTIONS(5976),
    [anon_sym_BSLASHtr] = ACTIONS(5976),
    [anon_sym_BSLASHf] = ACTIONS(5976),
    [anon_sym_BSLASHfe] = ACTIONS(5976),
    [anon_sym_BSLASHef] = ACTIONS(5976),
    [anon_sym_BSLASHfm] = ACTIONS(5976),
    [anon_sym_BSLASHx] = ACTIONS(5976),
    [anon_sym_BSLASHxt] = ACTIONS(5976),
    [anon_sym_BSLASHrq] = ACTIONS(5976),
    [anon_sym_BSLASHadd] = ACTIONS(5976),
    [anon_sym_BSLASHbk] = ACTIONS(5976),
    [anon_sym_BSLASHdc] = ACTIONS(5976),
    [anon_sym_BSLASHk] = ACTIONS(5976),
    [anon_sym_BSLASHnd] = ACTIONS(5976),
    [anon_sym_BSLASHord] = ACTIONS(5976),
    [anon_sym_BSLASHpn] = ACTIONS(5976),
    [anon_sym_BSLASHpng] = ACTIONS(5976),
    [anon_sym_BSLASHaddpn] = ACTIONS(5976),
    [anon_sym_BSLASHqt] = ACTIONS(5976),
    [anon_sym_BSLASHsig] = ACTIONS(5976),
    [anon_sym_BSLASHsls] = ACTIONS(5976),
    [anon_sym_BSLASHtl] = ACTIONS(5976),
    [anon_sym_BSLASHwj] = ACTIONS(5976),
    [anon_sym_BSLASHem] = ACTIONS(5976),
    [anon_sym_BSLASHbd] = ACTIONS(5976),
    [anon_sym_BSLASHit] = ACTIONS(5976),
    [anon_sym_BSLASHbdit] = ACTIONS(5976),
    [anon_sym_BSLASHno] = ACTIONS(5976),
    [anon_sym_BSLASHsc] = ACTIONS(5976),
    [anon_sym_BSLASHsup] = ACTIONS(5976),
    [anon_sym_BSLASHndx] = ACTIONS(5976),
    [anon_sym_BSLASHpro] = ACTIONS(5976),
    [anon_sym_BSLASHrb] = ACTIONS(5976),
    [anon_sym_BSLASHw] = ACTIONS(5976),
    [anon_sym_BSLASHwg] = ACTIONS(5976),
    [anon_sym_BSLASHwh] = ACTIONS(5976),
    [anon_sym_BSLASHwa] = ACTIONS(5976),
    [anon_sym_BSLASHfig] = ACTIONS(5976),
    [anon_sym_BSLASHjmp] = ACTIONS(5976),
    [anon_sym_BSLASHpb] = ACTIONS(5976),
    [anon_sym_BSLASH] = ACTIONS(5976),
    [sym_milestoneStartTag] = ACTIONS(5976),
    [sym_milestoneEndTag] = ACTIONS(5976),
    [sym_zSpaceTag] = ACTIONS(5976),
    [anon_sym_BSLASHesb] = ACTIONS(5976),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(510),
    [aux_sym_text_token1] = ACTIONS(510),
    [anon_sym_BSLASHref] = ACTIONS(512),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(512),
    [anon_sym_BSLASHrestore] = ACTIONS(512),
    [anon_sym_BSLASHlit] = ACTIONS(512),
    [anon_sym_BSLASHip] = ACTIONS(512),
    [anon_sym_BSLASHiex] = ACTIONS(512),
    [anon_sym_BSLASHv] = ACTIONS(512),
    [anon_sym_BSLASHva] = ACTIONS(512),
    [anon_sym_BSLASHvp] = ACTIONS(512),
    [anon_sym_BSLASHc] = ACTIONS(512),
    [anon_sym_BSLASHcl] = ACTIONS(512),
    [anon_sym_BSLASHca] = ACTIONS(512),
    [anon_sym_BSLASHcp] = ACTIONS(512),
    [anon_sym_BSLASHcd] = ACTIONS(512),
    [anon_sym_BSLASHmte] = ACTIONS(512),
    [anon_sym_BSLASHms] = ACTIONS(512),
    [anon_sym_BSLASHs] = ACTIONS(512),
    [anon_sym_BSLASHr] = ACTIONS(512),
    [anon_sym_BSLASHsp] = ACTIONS(512),
    [anon_sym_BSLASHd] = ACTIONS(512),
    [anon_sym_BSLASHsd] = ACTIONS(512),
    [anon_sym_BSLASHp] = ACTIONS(512),
    [anon_sym_BSLASHm] = ACTIONS(512),
    [anon_sym_BSLASHpo] = ACTIONS(512),
    [anon_sym_BSLASHpr] = ACTIONS(512),
    [anon_sym_BSLASHcls] = ACTIONS(512),
    [anon_sym_BSLASHpmo] = ACTIONS(512),
    [anon_sym_BSLASHpm] = ACTIONS(512),
    [anon_sym_BSLASHpmc] = ACTIONS(512),
    [anon_sym_BSLASHpmr] = ACTIONS(512),
    [anon_sym_BSLASHpi] = ACTIONS(512),
    [anon_sym_BSLASHmi] = ACTIONS(512),
    [anon_sym_BSLASHnb] = ACTIONS(512),
    [anon_sym_BSLASHpc] = ACTIONS(512),
    [anon_sym_BSLASHph] = ACTIONS(512),
    [anon_sym_BSLASHb] = ACTIONS(512),
    [anon_sym_BSLASHq] = ACTIONS(512),
    [anon_sym_BSLASHqr] = ACTIONS(512),
    [anon_sym_BSLASHqc] = ACTIONS(512),
    [anon_sym_BSLASHqs] = ACTIONS(512),
    [anon_sym_BSLASHqa] = ACTIONS(512),
    [anon_sym_BSLASHqac] = ACTIONS(512),
    [anon_sym_BSLASHqm] = ACTIONS(512),
    [anon_sym_BSLASHqd] = ACTIONS(512),
    [anon_sym_BSLASHlh] = ACTIONS(512),
    [anon_sym_BSLASHli] = ACTIONS(512),
    [anon_sym_BSLASHlim] = ACTIONS(512),
    [anon_sym_BSLASHtr] = ACTIONS(512),
    [anon_sym_BSLASHf] = ACTIONS(512),
    [anon_sym_BSLASHfe] = ACTIONS(512),
    [anon_sym_BSLASHef] = ACTIONS(512),
    [anon_sym_BSLASHfm] = ACTIONS(512),
    [anon_sym_BSLASHx] = ACTIONS(512),
    [anon_sym_BSLASHxt] = ACTIONS(512),
    [anon_sym_BSLASHrq] = ACTIONS(512),
    [anon_sym_BSLASHadd] = ACTIONS(512),
    [anon_sym_BSLASHbk] = ACTIONS(512),
    [anon_sym_BSLASHdc] = ACTIONS(512),
    [anon_sym_BSLASHk] = ACTIONS(512),
    [anon_sym_BSLASHnd] = ACTIONS(512),
    [anon_sym_BSLASHord] = ACTIONS(512),
    [anon_sym_BSLASHpn] = ACTIONS(512),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(512),
    [anon_sym_BSLASHqt] = ACTIONS(512),
    [anon_sym_BSLASHsig] = ACTIONS(512),
    [anon_sym_BSLASHsls] = ACTIONS(512),
    [anon_sym_BSLASHtl] = ACTIONS(512),
    [anon_sym_BSLASHwj] = ACTIONS(512),
    [anon_sym_BSLASHem] = ACTIONS(512),
    [anon_sym_BSLASHbd] = ACTIONS(512),
    [anon_sym_BSLASHit] = ACTIONS(512),
    [anon_sym_BSLASHbdit] = ACTIONS(512),
    [anon_sym_BSLASHno] = ACTIONS(512),
    [anon_sym_BSLASHsc] = ACTIONS(512),
    [anon_sym_BSLASHsup] = ACTIONS(512),
    [anon_sym_BSLASHndx] = ACTIONS(512),
    [anon_sym_BSLASHpro] = ACTIONS(512),
    [anon_sym_BSLASHrb] = ACTIONS(512),
    [anon_sym_BSLASHw] = ACTIONS(512),
    [anon_sym_BSLASHwg] = ACTIONS(512),
    [anon_sym_BSLASHwh] = ACTIONS(512),
    [anon_sym_BSLASHwa] = ACTIONS(512),
    [anon_sym_BSLASHfig] = ACTIONS(512),
    [anon_sym_BSLASHjmp] = ACTIONS(512),
    [anon_sym_BSLASHpb] = ACTIONS(512),
    [anon_sym_BSLASH] = ACTIONS(512),
    [sym_milestoneStartTag] = ACTIONS(512),
    [sym_milestoneEndTag] = ACTIONS(512),
    [sym_zSpaceTag] = ACTIONS(512),
    [anon_sym_BSLASHesb] = ACTIONS(512),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHref] = ACTIONS(2701),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHiex] = ACTIONS(2701),
    [anon_sym_BSLASHv] = ACTIONS(2701),
    [anon_sym_BSLASHva] = ACTIONS(2701),
    [anon_sym_BSLASHvp] = ACTIONS(2701),
    [anon_sym_BSLASHc] = ACTIONS(2701),
    [anon_sym_BSLASHcl] = ACTIONS(2701),
    [anon_sym_BSLASHca] = ACTIONS(2701),
    [anon_sym_BSLASHcp] = ACTIONS(2701),
    [anon_sym_BSLASHcd] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqs] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqac] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHx] = ACTIONS(2701),
    [anon_sym_BSLASHxt] = ACTIONS(2701),
    [anon_sym_BSLASHrq] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesb] = ACTIONS(2701),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(5990),
    [aux_sym_text_token1] = ACTIONS(5990),
    [anon_sym_BSLASHref] = ACTIONS(5992),
    [anon_sym_BSLASHsts] = ACTIONS(5992),
    [anon_sym_BSLASHrem] = ACTIONS(5992),
    [anon_sym_BSLASHrestore] = ACTIONS(5992),
    [anon_sym_BSLASHlit] = ACTIONS(5992),
    [anon_sym_BSLASHip] = ACTIONS(5992),
    [anon_sym_BSLASHiex] = ACTIONS(5992),
    [anon_sym_BSLASHv] = ACTIONS(5992),
    [anon_sym_BSLASHva] = ACTIONS(5992),
    [anon_sym_BSLASHvp] = ACTIONS(5992),
    [anon_sym_BSLASHc] = ACTIONS(5992),
    [anon_sym_BSLASHcl] = ACTIONS(5992),
    [anon_sym_BSLASHca] = ACTIONS(5992),
    [anon_sym_BSLASHcp] = ACTIONS(5992),
    [anon_sym_BSLASHcd] = ACTIONS(5992),
    [anon_sym_BSLASHmte] = ACTIONS(5992),
    [anon_sym_BSLASHms] = ACTIONS(5992),
    [anon_sym_BSLASHs] = ACTIONS(5992),
    [anon_sym_BSLASHr] = ACTIONS(5992),
    [anon_sym_BSLASHsp] = ACTIONS(5992),
    [anon_sym_BSLASHd] = ACTIONS(5992),
    [anon_sym_BSLASHsd] = ACTIONS(5992),
    [anon_sym_BSLASHp] = ACTIONS(5992),
    [anon_sym_BSLASHm] = ACTIONS(5992),
    [anon_sym_BSLASHpo] = ACTIONS(5992),
    [anon_sym_BSLASHpr] = ACTIONS(5992),
    [anon_sym_BSLASHcls] = ACTIONS(5992),
    [anon_sym_BSLASHpmo] = ACTIONS(5992),
    [anon_sym_BSLASHpm] = ACTIONS(5992),
    [anon_sym_BSLASHpmc] = ACTIONS(5992),
    [anon_sym_BSLASHpmr] = ACTIONS(5992),
    [anon_sym_BSLASHpi] = ACTIONS(5992),
    [anon_sym_BSLASHmi] = ACTIONS(5992),
    [anon_sym_BSLASHnb] = ACTIONS(5992),
    [anon_sym_BSLASHpc] = ACTIONS(5992),
    [anon_sym_BSLASHph] = ACTIONS(5992),
    [anon_sym_BSLASHb] = ACTIONS(5992),
    [anon_sym_BSLASHq] = ACTIONS(5992),
    [anon_sym_BSLASHqr] = ACTIONS(5992),
    [anon_sym_BSLASHqc] = ACTIONS(5992),
    [anon_sym_BSLASHqs] = ACTIONS(5992),
    [anon_sym_BSLASHqa] = ACTIONS(5992),
    [anon_sym_BSLASHqac] = ACTIONS(5992),
    [anon_sym_BSLASHqm] = ACTIONS(5992),
    [anon_sym_BSLASHqd] = ACTIONS(5992),
    [anon_sym_BSLASHlh] = ACTIONS(5992),
    [anon_sym_BSLASHli] = ACTIONS(5992),
    [anon_sym_BSLASHlim] = ACTIONS(5992),
    [anon_sym_BSLASHtr] = ACTIONS(5992),
    [anon_sym_BSLASHf] = ACTIONS(5992),
    [anon_sym_BSLASHfe] = ACTIONS(5992),
    [anon_sym_BSLASHef] = ACTIONS(5992),
    [anon_sym_BSLASHfm] = ACTIONS(5992),
    [anon_sym_BSLASHx] = ACTIONS(5992),
    [anon_sym_BSLASHxt] = ACTIONS(5992),
    [anon_sym_BSLASHrq] = ACTIONS(5992),
    [anon_sym_BSLASHadd] = ACTIONS(5992),
    [anon_sym_BSLASHbk] = ACTIONS(5992),
    [anon_sym_BSLASHdc] = ACTIONS(5992),
    [anon_sym_BSLASHk] = ACTIONS(5992),
    [anon_sym_BSLASHnd] = ACTIONS(5992),
    [anon_sym_BSLASHord] = ACTIONS(5992),
    [anon_sym_BSLASHpn] = ACTIONS(5992),
    [anon_sym_BSLASHpng] = ACTIONS(5992),
    [anon_sym_BSLASHaddpn] = ACTIONS(5992),
    [anon_sym_BSLASHqt] = ACTIONS(5992),
    [anon_sym_BSLASHsig] = ACTIONS(5992),
    [anon_sym_BSLASHsls] = ACTIONS(5992),
    [anon_sym_BSLASHtl] = ACTIONS(5992),
    [anon_sym_BSLASHwj] = ACTIONS(5992),
    [anon_sym_BSLASHem] = ACTIONS(5992),
    [anon_sym_BSLASHbd] = ACTIONS(5992),
    [anon_sym_BSLASHit] = ACTIONS(5992),
    [anon_sym_BSLASHbdit] = ACTIONS(5992),
    [anon_sym_BSLASHno] = ACTIONS(5992),
    [anon_sym_BSLASHsc] = ACTIONS(5992),
    [anon_sym_BSLASHsup] = ACTIONS(5992),
    [anon_sym_BSLASHndx] = ACTIONS(5992),
    [anon_sym_BSLASHpro] = ACTIONS(5992),
    [anon_sym_BSLASHrb] = ACTIONS(5992),
    [anon_sym_BSLASHw] = ACTIONS(5992),
    [anon_sym_BSLASHwg] = ACTIONS(5992),
    [anon_sym_BSLASHwh] = ACTIONS(5992),
    [anon_sym_BSLASHwa] = ACTIONS(5992),
    [anon_sym_BSLASHfig] = ACTIONS(5992),
    [anon_sym_BSLASHjmp] = ACTIONS(5992),
    [anon_sym_BSLASHpb] = ACTIONS(5992),
    [anon_sym_BSLASH] = ACTIONS(5992),
    [sym_milestoneStartTag] = ACTIONS(5992),
    [sym_milestoneEndTag] = ACTIONS(5992),
    [sym_zSpaceTag] = ACTIONS(5992),
    [anon_sym_BSLASHesb] = ACTIONS(5992),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(5994),
    [aux_sym_text_token1] = ACTIONS(5994),
    [anon_sym_BSLASHref] = ACTIONS(5996),
    [anon_sym_BSLASHsts] = ACTIONS(5996),
    [anon_sym_BSLASHrem] = ACTIONS(5996),
    [anon_sym_BSLASHrestore] = ACTIONS(5996),
    [anon_sym_BSLASHlit] = ACTIONS(5996),
    [anon_sym_BSLASHip] = ACTIONS(5996),
    [anon_sym_BSLASHiex] = ACTIONS(5996),
    [anon_sym_BSLASHv] = ACTIONS(5996),
    [anon_sym_BSLASHva] = ACTIONS(5996),
    [anon_sym_BSLASHvp] = ACTIONS(5996),
    [anon_sym_BSLASHc] = ACTIONS(5996),
    [anon_sym_BSLASHcl] = ACTIONS(5996),
    [anon_sym_BSLASHca] = ACTIONS(5996),
    [anon_sym_BSLASHcp] = ACTIONS(5996),
    [anon_sym_BSLASHcd] = ACTIONS(5996),
    [anon_sym_BSLASHmte] = ACTIONS(5996),
    [anon_sym_BSLASHms] = ACTIONS(5996),
    [anon_sym_BSLASHs] = ACTIONS(5996),
    [anon_sym_BSLASHr] = ACTIONS(5996),
    [anon_sym_BSLASHsp] = ACTIONS(5996),
    [anon_sym_BSLASHd] = ACTIONS(5996),
    [anon_sym_BSLASHsd] = ACTIONS(5996),
    [anon_sym_BSLASHp] = ACTIONS(5996),
    [anon_sym_BSLASHm] = ACTIONS(5996),
    [anon_sym_BSLASHpo] = ACTIONS(5996),
    [anon_sym_BSLASHpr] = ACTIONS(5996),
    [anon_sym_BSLASHcls] = ACTIONS(5996),
    [anon_sym_BSLASHpmo] = ACTIONS(5996),
    [anon_sym_BSLASHpm] = ACTIONS(5996),
    [anon_sym_BSLASHpmc] = ACTIONS(5996),
    [anon_sym_BSLASHpmr] = ACTIONS(5996),
    [anon_sym_BSLASHpi] = ACTIONS(5996),
    [anon_sym_BSLASHmi] = ACTIONS(5996),
    [anon_sym_BSLASHnb] = ACTIONS(5996),
    [anon_sym_BSLASHpc] = ACTIONS(5996),
    [anon_sym_BSLASHph] = ACTIONS(5996),
    [anon_sym_BSLASHb] = ACTIONS(5996),
    [anon_sym_BSLASHq] = ACTIONS(5996),
    [anon_sym_BSLASHqr] = ACTIONS(5996),
    [anon_sym_BSLASHqc] = ACTIONS(5996),
    [anon_sym_BSLASHqs] = ACTIONS(5996),
    [anon_sym_BSLASHqa] = ACTIONS(5996),
    [anon_sym_BSLASHqac] = ACTIONS(5996),
    [anon_sym_BSLASHqm] = ACTIONS(5996),
    [anon_sym_BSLASHqd] = ACTIONS(5996),
    [anon_sym_BSLASHlh] = ACTIONS(5996),
    [anon_sym_BSLASHli] = ACTIONS(5996),
    [anon_sym_BSLASHlim] = ACTIONS(5996),
    [anon_sym_BSLASHtr] = ACTIONS(5996),
    [anon_sym_BSLASHf] = ACTIONS(5996),
    [anon_sym_BSLASHfe] = ACTIONS(5996),
    [anon_sym_BSLASHef] = ACTIONS(5996),
    [anon_sym_BSLASHfm] = ACTIONS(5996),
    [anon_sym_BSLASHx] = ACTIONS(5996),
    [anon_sym_BSLASHxt] = ACTIONS(5996),
    [anon_sym_BSLASHrq] = ACTIONS(5996),
    [anon_sym_BSLASHadd] = ACTIONS(5996),
    [anon_sym_BSLASHbk] = ACTIONS(5996),
    [anon_sym_BSLASHdc] = ACTIONS(5996),
    [anon_sym_BSLASHk] = ACTIONS(5996),
    [anon_sym_BSLASHnd] = ACTIONS(5996),
    [anon_sym_BSLASHord] = ACTIONS(5996),
    [anon_sym_BSLASHpn] = ACTIONS(5996),
    [anon_sym_BSLASHpng] = ACTIONS(5996),
    [anon_sym_BSLASHaddpn] = ACTIONS(5996),
    [anon_sym_BSLASHqt] = ACTIONS(5996),
    [anon_sym_BSLASHsig] = ACTIONS(5996),
    [anon_sym_BSLASHsls] = ACTIONS(5996),
    [anon_sym_BSLASHtl] = ACTIONS(5996),
    [anon_sym_BSLASHwj] = ACTIONS(5996),
    [anon_sym_BSLASHem] = ACTIONS(5996),
    [anon_sym_BSLASHbd] = ACTIONS(5996),
    [anon_sym_BSLASHit] = ACTIONS(5996),
    [anon_sym_BSLASHbdit] = ACTIONS(5996),
    [anon_sym_BSLASHno] = ACTIONS(5996),
    [anon_sym_BSLASHsc] = ACTIONS(5996),
    [anon_sym_BSLASHsup] = ACTIONS(5996),
    [anon_sym_BSLASHndx] = ACTIONS(5996),
    [anon_sym_BSLASHpro] = ACTIONS(5996),
    [anon_sym_BSLASHrb] = ACTIONS(5996),
    [anon_sym_BSLASHw] = ACTIONS(5996),
    [anon_sym_BSLASHwg] = ACTIONS(5996),
    [anon_sym_BSLASHwh] = ACTIONS(5996),
    [anon_sym_BSLASHwa] = ACTIONS(5996),
    [anon_sym_BSLASHfig] = ACTIONS(5996),
    [anon_sym_BSLASHjmp] = ACTIONS(5996),
    [anon_sym_BSLASHpb] = ACTIONS(5996),
    [anon_sym_BSLASH] = ACTIONS(5996),
    [sym_milestoneStartTag] = ACTIONS(5996),
    [sym_milestoneEndTag] = ACTIONS(5996),
    [sym_zSpaceTag] = ACTIONS(5996),
    [anon_sym_BSLASHesb] = ACTIONS(5996),
  },
  [495] = {
    [sym__verseMeta] = STATE(495),
    [sym_va] = STATE(495),
    [sym_vp] = STATE(495),
    [aux_sym_v_repeat1] = STATE(495),
    [aux_sym_text_token1] = ACTIONS(5678),
    [anon_sym_BSLASHref] = ACTIONS(5680),
    [anon_sym_BSLASHsts] = ACTIONS(5680),
    [anon_sym_BSLASHrem] = ACTIONS(5680),
    [anon_sym_BSLASHrestore] = ACTIONS(5680),
    [anon_sym_BSLASHlit] = ACTIONS(5680),
    [anon_sym_BSLASHip] = ACTIONS(5680),
    [anon_sym_BSLASHv] = ACTIONS(5680),
    [anon_sym_BSLASHva] = ACTIONS(6032),
    [anon_sym_BSLASHvp] = ACTIONS(6035),
    [anon_sym_BSLASHmte] = ACTIONS(5680),
    [anon_sym_BSLASHms] = ACTIONS(5680),
    [anon_sym_BSLASHs] = ACTIONS(5680),
    [anon_sym_BSLASHr] = ACTIONS(5680),
    [anon_sym_BSLASHsp] = ACTIONS(5680),
    [anon_sym_BSLASHd] = ACTIONS(5680),
    [anon_sym_BSLASHsd] = ACTIONS(5680),
    [anon_sym_BSLASHp] = ACTIONS(5680),
    [anon_sym_BSLASHm] = ACTIONS(5680),
    [anon_sym_BSLASHpo] = ACTIONS(5680),
    [anon_sym_BSLASHpr] = ACTIONS(5680),
    [anon_sym_BSLASHcls] = ACTIONS(5680),
    [anon_sym_BSLASHpmo] = ACTIONS(5680),
    [anon_sym_BSLASHpm] = ACTIONS(5680),
    [anon_sym_BSLASHpmc] = ACTIONS(5680),
    [anon_sym_BSLASHpmr] = ACTIONS(5680),
    [anon_sym_BSLASHpi] = ACTIONS(5680),
    [anon_sym_BSLASHmi] = ACTIONS(5680),
    [anon_sym_BSLASHnb] = ACTIONS(5680),
    [anon_sym_BSLASHpc] = ACTIONS(5680),
    [anon_sym_BSLASHph] = ACTIONS(5680),
    [anon_sym_BSLASHb] = ACTIONS(5680),
    [anon_sym_BSLASHq] = ACTIONS(5680),
    [anon_sym_BSLASHqr] = ACTIONS(5680),
    [anon_sym_BSLASHqc] = ACTIONS(5680),
    [anon_sym_BSLASHqa] = ACTIONS(5680),
    [anon_sym_BSLASHqm] = ACTIONS(5680),
    [anon_sym_BSLASHqd] = ACTIONS(5680),
    [anon_sym_BSLASHlh] = ACTIONS(5680),
    [anon_sym_BSLASHlf] = ACTIONS(5680),
    [anon_sym_BSLASHli] = ACTIONS(5680),
    [anon_sym_BSLASHlim] = ACTIONS(5680),
    [anon_sym_BSLASHliv] = ACTIONS(5680),
    [anon_sym_BSLASHlik] = ACTIONS(5680),
    [anon_sym_BSLASHlitl] = ACTIONS(5680),
    [anon_sym_BSLASHtr] = ACTIONS(5680),
    [anon_sym_BSLASHf] = ACTIONS(5680),
    [anon_sym_BSLASHfe] = ACTIONS(5680),
    [anon_sym_BSLASHef] = ACTIONS(5680),
    [anon_sym_BSLASHfm] = ACTIONS(5680),
    [anon_sym_BSLASHx] = ACTIONS(5680),
    [anon_sym_BSLASHxt] = ACTIONS(5680),
    [anon_sym_BSLASHrq] = ACTIONS(5680),
    [anon_sym_BSLASHadd] = ACTIONS(5680),
    [anon_sym_BSLASHbk] = ACTIONS(5680),
    [anon_sym_BSLASHdc] = ACTIONS(5680),
    [anon_sym_BSLASHk] = ACTIONS(5680),
    [anon_sym_BSLASHnd] = ACTIONS(5680),
    [anon_sym_BSLASHord] = ACTIONS(5680),
    [anon_sym_BSLASHpn] = ACTIONS(5680),
    [anon_sym_BSLASHpng] = ACTIONS(5680),
    [anon_sym_BSLASHaddpn] = ACTIONS(5680),
    [anon_sym_BSLASHqt] = ACTIONS(5680),
    [anon_sym_BSLASHsig] = ACTIONS(5680),
    [anon_sym_BSLASHsls] = ACTIONS(5680),
    [anon_sym_BSLASHtl] = ACTIONS(5680),
    [anon_sym_BSLASHwj] = ACTIONS(5680),
    [anon_sym_BSLASHem] = ACTIONS(5680),
    [anon_sym_BSLASHbd] = ACTIONS(5680),
    [anon_sym_BSLASHit] = ACTIONS(5680),
    [anon_sym_BSLASHbdit] = ACTIONS(5680),
    [anon_sym_BSLASHno] = ACTIONS(5680),
    [anon_sym_BSLASHsc] = ACTIONS(5680),
    [anon_sym_BSLASHsup] = ACTIONS(5680),
    [anon_sym_BSLASHndx] = ACTIONS(5680),
    [anon_sym_BSLASHpro] = ACTIONS(5680),
    [anon_sym_BSLASHrb] = ACTIONS(5680),
    [anon_sym_BSLASHw] = ACTIONS(5680),
    [anon_sym_BSLASHwg] = ACTIONS(5680),
    [anon_sym_BSLASHwh] = ACTIONS(5680),
    [anon_sym_BSLASHwa] = ACTIONS(5680),
    [anon_sym_BSLASHfig] = ACTIONS(5680),
    [anon_sym_BSLASHjmp] = ACTIONS(5680),
    [anon_sym_BSLASHpb] = ACTIONS(5680),
    [anon_sym_BSLASH] = ACTIONS(5680),
    [sym_milestoneStartTag] = ACTIONS(5680),
    [sym_milestoneEndTag] = ACTIONS(5680),
    [sym_zSpaceTag] = ACTIONS(5680),
    [anon_sym_BSLASHesbe] = ACTIONS(5680),
    [anon_sym_BSLASHcat] = ACTIONS(5680),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(6002),
    [aux_sym_text_token1] = ACTIONS(6002),
    [anon_sym_BSLASHref] = ACTIONS(6004),
    [anon_sym_BSLASHsts] = ACTIONS(6004),
    [anon_sym_BSLASHrem] = ACTIONS(6004),
    [anon_sym_BSLASHrestore] = ACTIONS(6004),
    [anon_sym_BSLASHlit] = ACTIONS(6004),
    [anon_sym_BSLASHip] = ACTIONS(6004),
    [anon_sym_BSLASHiex] = ACTIONS(6004),
    [anon_sym_BSLASHv] = ACTIONS(6004),
    [anon_sym_BSLASHva] = ACTIONS(6004),
    [anon_sym_BSLASHvp] = ACTIONS(6004),
    [anon_sym_BSLASHc] = ACTIONS(6004),
    [anon_sym_BSLASHcl] = ACTIONS(6004),
    [anon_sym_BSLASHca] = ACTIONS(6004),
    [anon_sym_BSLASHcp] = ACTIONS(6004),
    [anon_sym_BSLASHcd] = ACTIONS(6004),
    [anon_sym_BSLASHmte] = ACTIONS(6004),
    [anon_sym_BSLASHms] = ACTIONS(6004),
    [anon_sym_BSLASHs] = ACTIONS(6004),
    [anon_sym_BSLASHr] = ACTIONS(6004),
    [anon_sym_BSLASHsp] = ACTIONS(6004),
    [anon_sym_BSLASHd] = ACTIONS(6004),
    [anon_sym_BSLASHsd] = ACTIONS(6004),
    [anon_sym_BSLASHp] = ACTIONS(6004),
    [anon_sym_BSLASHm] = ACTIONS(6004),
    [anon_sym_BSLASHpo] = ACTIONS(6004),
    [anon_sym_BSLASHpr] = ACTIONS(6004),
    [anon_sym_BSLASHcls] = ACTIONS(6004),
    [anon_sym_BSLASHpmo] = ACTIONS(6004),
    [anon_sym_BSLASHpm] = ACTIONS(6004),
    [anon_sym_BSLASHpmc] = ACTIONS(6004),
    [anon_sym_BSLASHpmr] = ACTIONS(6004),
    [anon_sym_BSLASHpi] = ACTIONS(6004),
    [anon_sym_BSLASHmi] = ACTIONS(6004),
    [anon_sym_BSLASHnb] = ACTIONS(6004),
    [anon_sym_BSLASHpc] = ACTIONS(6004),
    [anon_sym_BSLASHph] = ACTIONS(6004),
    [anon_sym_BSLASHb] = ACTIONS(6004),
    [anon_sym_BSLASHq] = ACTIONS(6004),
    [anon_sym_BSLASHqr] = ACTIONS(6004),
    [anon_sym_BSLASHqc] = ACTIONS(6004),
    [anon_sym_BSLASHqs] = ACTIONS(6004),
    [anon_sym_BSLASHqa] = ACTIONS(6004),
    [anon_sym_BSLASHqac] = ACTIONS(6004),
    [anon_sym_BSLASHqm] = ACTIONS(6004),
    [anon_sym_BSLASHqd] = ACTIONS(6004),
    [anon_sym_BSLASHlh] = ACTIONS(6004),
    [anon_sym_BSLASHli] = ACTIONS(6004),
    [anon_sym_BSLASHlim] = ACTIONS(6004),
    [anon_sym_BSLASHtr] = ACTIONS(6004),
    [anon_sym_BSLASHf] = ACTIONS(6004),
    [anon_sym_BSLASHfe] = ACTIONS(6004),
    [anon_sym_BSLASHef] = ACTIONS(6004),
    [anon_sym_BSLASHfm] = ACTIONS(6004),
    [anon_sym_BSLASHx] = ACTIONS(6004),
    [anon_sym_BSLASHxt] = ACTIONS(6004),
    [anon_sym_BSLASHrq] = ACTIONS(6004),
    [anon_sym_BSLASHadd] = ACTIONS(6004),
    [anon_sym_BSLASHbk] = ACTIONS(6004),
    [anon_sym_BSLASHdc] = ACTIONS(6004),
    [anon_sym_BSLASHk] = ACTIONS(6004),
    [anon_sym_BSLASHnd] = ACTIONS(6004),
    [anon_sym_BSLASHord] = ACTIONS(6004),
    [anon_sym_BSLASHpn] = ACTIONS(6004),
    [anon_sym_BSLASHpng] = ACTIONS(6004),
    [anon_sym_BSLASHaddpn] = ACTIONS(6004),
    [anon_sym_BSLASHqt] = ACTIONS(6004),
    [anon_sym_BSLASHsig] = ACTIONS(6004),
    [anon_sym_BSLASHsls] = ACTIONS(6004),
    [anon_sym_BSLASHtl] = ACTIONS(6004),
    [anon_sym_BSLASHwj] = ACTIONS(6004),
    [anon_sym_BSLASHem] = ACTIONS(6004),
    [anon_sym_BSLASHbd] = ACTIONS(6004),
    [anon_sym_BSLASHit] = ACTIONS(6004),
    [anon_sym_BSLASHbdit] = ACTIONS(6004),
    [anon_sym_BSLASHno] = ACTIONS(6004),
    [anon_sym_BSLASHsc] = ACTIONS(6004),
    [anon_sym_BSLASHsup] = ACTIONS(6004),
    [anon_sym_BSLASHndx] = ACTIONS(6004),
    [anon_sym_BSLASHpro] = ACTIONS(6004),
    [anon_sym_BSLASHrb] = ACTIONS(6004),
    [anon_sym_BSLASHw] = ACTIONS(6004),
    [anon_sym_BSLASHwg] = ACTIONS(6004),
    [anon_sym_BSLASHwh] = ACTIONS(6004),
    [anon_sym_BSLASHwa] = ACTIONS(6004),
    [anon_sym_BSLASHfig] = ACTIONS(6004),
    [anon_sym_BSLASHjmp] = ACTIONS(6004),
    [anon_sym_BSLASHpb] = ACTIONS(6004),
    [anon_sym_BSLASH] = ACTIONS(6004),
    [sym_milestoneStartTag] = ACTIONS(6004),
    [sym_milestoneEndTag] = ACTIONS(6004),
    [sym_zSpaceTag] = ACTIONS(6004),
    [anon_sym_BSLASHesb] = ACTIONS(6004),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(6038),
    [aux_sym_text_token1] = ACTIONS(6038),
    [anon_sym_BSLASHref] = ACTIONS(6040),
    [anon_sym_BSLASHsts] = ACTIONS(6040),
    [anon_sym_BSLASHrem] = ACTIONS(6040),
    [anon_sym_BSLASHrestore] = ACTIONS(6040),
    [anon_sym_BSLASHlit] = ACTIONS(6040),
    [anon_sym_BSLASHip] = ACTIONS(6040),
    [anon_sym_BSLASHiex] = ACTIONS(6040),
    [anon_sym_BSLASHv] = ACTIONS(6040),
    [anon_sym_BSLASHva] = ACTIONS(6040),
    [anon_sym_BSLASHvp] = ACTIONS(6040),
    [anon_sym_BSLASHc] = ACTIONS(6040),
    [anon_sym_BSLASHcl] = ACTIONS(6040),
    [anon_sym_BSLASHca] = ACTIONS(6040),
    [anon_sym_BSLASHcp] = ACTIONS(6040),
    [anon_sym_BSLASHcd] = ACTIONS(6040),
    [anon_sym_BSLASHmte] = ACTIONS(6040),
    [anon_sym_BSLASHms] = ACTIONS(6040),
    [anon_sym_BSLASHs] = ACTIONS(6040),
    [anon_sym_BSLASHr] = ACTIONS(6040),
    [anon_sym_BSLASHsp] = ACTIONS(6040),
    [anon_sym_BSLASHd] = ACTIONS(6040),
    [anon_sym_BSLASHsd] = ACTIONS(6040),
    [anon_sym_BSLASHp] = ACTIONS(6040),
    [anon_sym_BSLASHm] = ACTIONS(6040),
    [anon_sym_BSLASHpo] = ACTIONS(6040),
    [anon_sym_BSLASHpr] = ACTIONS(6040),
    [anon_sym_BSLASHcls] = ACTIONS(6040),
    [anon_sym_BSLASHpmo] = ACTIONS(6040),
    [anon_sym_BSLASHpm] = ACTIONS(6040),
    [anon_sym_BSLASHpmc] = ACTIONS(6040),
    [anon_sym_BSLASHpmr] = ACTIONS(6040),
    [anon_sym_BSLASHpi] = ACTIONS(6040),
    [anon_sym_BSLASHmi] = ACTIONS(6040),
    [anon_sym_BSLASHnb] = ACTIONS(6040),
    [anon_sym_BSLASHpc] = ACTIONS(6040),
    [anon_sym_BSLASHph] = ACTIONS(6040),
    [anon_sym_BSLASHb] = ACTIONS(6040),
    [anon_sym_BSLASHq] = ACTIONS(6040),
    [anon_sym_BSLASHqr] = ACTIONS(6040),
    [anon_sym_BSLASHqc] = ACTIONS(6040),
    [anon_sym_BSLASHqs] = ACTIONS(6040),
    [anon_sym_BSLASHqa] = ACTIONS(6040),
    [anon_sym_BSLASHqac] = ACTIONS(6040),
    [anon_sym_BSLASHqm] = ACTIONS(6040),
    [anon_sym_BSLASHqd] = ACTIONS(6040),
    [anon_sym_BSLASHlh] = ACTIONS(6040),
    [anon_sym_BSLASHli] = ACTIONS(6040),
    [anon_sym_BSLASHlim] = ACTIONS(6040),
    [anon_sym_BSLASHtr] = ACTIONS(6040),
    [anon_sym_BSLASHf] = ACTIONS(6040),
    [anon_sym_BSLASHfe] = ACTIONS(6040),
    [anon_sym_BSLASHef] = ACTIONS(6040),
    [anon_sym_BSLASHfm] = ACTIONS(6040),
    [anon_sym_BSLASHx] = ACTIONS(6040),
    [anon_sym_BSLASHxt] = ACTIONS(6040),
    [anon_sym_BSLASHrq] = ACTIONS(6040),
    [anon_sym_BSLASHadd] = ACTIONS(6040),
    [anon_sym_BSLASHbk] = ACTIONS(6040),
    [anon_sym_BSLASHdc] = ACTIONS(6040),
    [anon_sym_BSLASHk] = ACTIONS(6040),
    [anon_sym_BSLASHnd] = ACTIONS(6040),
    [anon_sym_BSLASHord] = ACTIONS(6040),
    [anon_sym_BSLASHpn] = ACTIONS(6040),
    [anon_sym_BSLASHpng] = ACTIONS(6040),
    [anon_sym_BSLASHaddpn] = ACTIONS(6040),
    [anon_sym_BSLASHqt] = ACTIONS(6040),
    [anon_sym_BSLASHsig] = ACTIONS(6040),
    [anon_sym_BSLASHsls] = ACTIONS(6040),
    [anon_sym_BSLASHtl] = ACTIONS(6040),
    [anon_sym_BSLASHwj] = ACTIONS(6040),
    [anon_sym_BSLASHem] = ACTIONS(6040),
    [anon_sym_BSLASHbd] = ACTIONS(6040),
    [anon_sym_BSLASHit] = ACTIONS(6040),
    [anon_sym_BSLASHbdit] = ACTIONS(6040),
    [anon_sym_BSLASHno] = ACTIONS(6040),
    [anon_sym_BSLASHsc] = ACTIONS(6040),
    [anon_sym_BSLASHsup] = ACTIONS(6040),
    [anon_sym_BSLASHndx] = ACTIONS(6040),
    [anon_sym_BSLASHpro] = ACTIONS(6040),
    [anon_sym_BSLASHrb] = ACTIONS(6040),
    [anon_sym_BSLASHw] = ACTIONS(6040),
    [anon_sym_BSLASHwg] = ACTIONS(6040),
    [anon_sym_BSLASHwh] = ACTIONS(6040),
    [anon_sym_BSLASHwa] = ACTIONS(6040),
    [anon_sym_BSLASHfig] = ACTIONS(6040),
    [anon_sym_BSLASHjmp] = ACTIONS(6040),
    [anon_sym_BSLASHpb] = ACTIONS(6040),
    [anon_sym_BSLASH] = ACTIONS(6040),
    [sym_milestoneStartTag] = ACTIONS(6040),
    [sym_milestoneEndTag] = ACTIONS(6040),
    [sym_zSpaceTag] = ACTIONS(6040),
    [anon_sym_BSLASHesb] = ACTIONS(6040),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(6042),
    [aux_sym_text_token1] = ACTIONS(6042),
    [anon_sym_BSLASHref] = ACTIONS(6044),
    [anon_sym_BSLASHsts] = ACTIONS(6044),
    [anon_sym_BSLASHrem] = ACTIONS(6044),
    [anon_sym_BSLASHrestore] = ACTIONS(6044),
    [anon_sym_BSLASHlit] = ACTIONS(6044),
    [anon_sym_BSLASHip] = ACTIONS(6044),
    [anon_sym_BSLASHiex] = ACTIONS(6044),
    [anon_sym_BSLASHv] = ACTIONS(6044),
    [anon_sym_BSLASHva] = ACTIONS(6044),
    [anon_sym_BSLASHvp] = ACTIONS(6044),
    [anon_sym_BSLASHc] = ACTIONS(6044),
    [anon_sym_BSLASHcl] = ACTIONS(6044),
    [anon_sym_BSLASHca] = ACTIONS(6044),
    [anon_sym_BSLASHcp] = ACTIONS(6044),
    [anon_sym_BSLASHcd] = ACTIONS(6044),
    [anon_sym_BSLASHmte] = ACTIONS(6044),
    [anon_sym_BSLASHms] = ACTIONS(6044),
    [anon_sym_BSLASHs] = ACTIONS(6044),
    [anon_sym_BSLASHr] = ACTIONS(6044),
    [anon_sym_BSLASHsp] = ACTIONS(6044),
    [anon_sym_BSLASHd] = ACTIONS(6044),
    [anon_sym_BSLASHsd] = ACTIONS(6044),
    [anon_sym_BSLASHp] = ACTIONS(6044),
    [anon_sym_BSLASHm] = ACTIONS(6044),
    [anon_sym_BSLASHpo] = ACTIONS(6044),
    [anon_sym_BSLASHpr] = ACTIONS(6044),
    [anon_sym_BSLASHcls] = ACTIONS(6044),
    [anon_sym_BSLASHpmo] = ACTIONS(6044),
    [anon_sym_BSLASHpm] = ACTIONS(6044),
    [anon_sym_BSLASHpmc] = ACTIONS(6044),
    [anon_sym_BSLASHpmr] = ACTIONS(6044),
    [anon_sym_BSLASHpi] = ACTIONS(6044),
    [anon_sym_BSLASHmi] = ACTIONS(6044),
    [anon_sym_BSLASHnb] = ACTIONS(6044),
    [anon_sym_BSLASHpc] = ACTIONS(6044),
    [anon_sym_BSLASHph] = ACTIONS(6044),
    [anon_sym_BSLASHb] = ACTIONS(6044),
    [anon_sym_BSLASHq] = ACTIONS(6044),
    [anon_sym_BSLASHqr] = ACTIONS(6044),
    [anon_sym_BSLASHqc] = ACTIONS(6044),
    [anon_sym_BSLASHqs] = ACTIONS(6044),
    [anon_sym_BSLASHqa] = ACTIONS(6044),
    [anon_sym_BSLASHqac] = ACTIONS(6044),
    [anon_sym_BSLASHqm] = ACTIONS(6044),
    [anon_sym_BSLASHqd] = ACTIONS(6044),
    [anon_sym_BSLASHlh] = ACTIONS(6044),
    [anon_sym_BSLASHli] = ACTIONS(6044),
    [anon_sym_BSLASHlim] = ACTIONS(6044),
    [anon_sym_BSLASHtr] = ACTIONS(6044),
    [anon_sym_BSLASHf] = ACTIONS(6044),
    [anon_sym_BSLASHfe] = ACTIONS(6044),
    [anon_sym_BSLASHef] = ACTIONS(6044),
    [anon_sym_BSLASHfm] = ACTIONS(6044),
    [anon_sym_BSLASHx] = ACTIONS(6044),
    [anon_sym_BSLASHxt] = ACTIONS(6044),
    [anon_sym_BSLASHrq] = ACTIONS(6044),
    [anon_sym_BSLASHadd] = ACTIONS(6044),
    [anon_sym_BSLASHbk] = ACTIONS(6044),
    [anon_sym_BSLASHdc] = ACTIONS(6044),
    [anon_sym_BSLASHk] = ACTIONS(6044),
    [anon_sym_BSLASHnd] = ACTIONS(6044),
    [anon_sym_BSLASHord] = ACTIONS(6044),
    [anon_sym_BSLASHpn] = ACTIONS(6044),
    [anon_sym_BSLASHpng] = ACTIONS(6044),
    [anon_sym_BSLASHaddpn] = ACTIONS(6044),
    [anon_sym_BSLASHqt] = ACTIONS(6044),
    [anon_sym_BSLASHsig] = ACTIONS(6044),
    [anon_sym_BSLASHsls] = ACTIONS(6044),
    [anon_sym_BSLASHtl] = ACTIONS(6044),
    [anon_sym_BSLASHwj] = ACTIONS(6044),
    [anon_sym_BSLASHem] = ACTIONS(6044),
    [anon_sym_BSLASHbd] = ACTIONS(6044),
    [anon_sym_BSLASHit] = ACTIONS(6044),
    [anon_sym_BSLASHbdit] = ACTIONS(6044),
    [anon_sym_BSLASHno] = ACTIONS(6044),
    [anon_sym_BSLASHsc] = ACTIONS(6044),
    [anon_sym_BSLASHsup] = ACTIONS(6044),
    [anon_sym_BSLASHndx] = ACTIONS(6044),
    [anon_sym_BSLASHpro] = ACTIONS(6044),
    [anon_sym_BSLASHrb] = ACTIONS(6044),
    [anon_sym_BSLASHw] = ACTIONS(6044),
    [anon_sym_BSLASHwg] = ACTIONS(6044),
    [anon_sym_BSLASHwh] = ACTIONS(6044),
    [anon_sym_BSLASHwa] = ACTIONS(6044),
    [anon_sym_BSLASHfig] = ACTIONS(6044),
    [anon_sym_BSLASHjmp] = ACTIONS(6044),
    [anon_sym_BSLASHpb] = ACTIONS(6044),
    [anon_sym_BSLASH] = ACTIONS(6044),
    [sym_milestoneStartTag] = ACTIONS(6044),
    [sym_milestoneEndTag] = ACTIONS(6044),
    [sym_zSpaceTag] = ACTIONS(6044),
    [anon_sym_BSLASHesb] = ACTIONS(6044),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(2787),
    [aux_sym_text_token1] = ACTIONS(2787),
    [anon_sym_BSLASHref] = ACTIONS(2789),
    [anon_sym_BSLASHsts] = ACTIONS(2789),
    [anon_sym_BSLASHrem] = ACTIONS(2789),
    [anon_sym_BSLASHrestore] = ACTIONS(2789),
    [anon_sym_BSLASHlit] = ACTIONS(2789),
    [anon_sym_BSLASHip] = ACTIONS(2789),
    [anon_sym_BSLASHiex] = ACTIONS(2789),
    [anon_sym_BSLASHv] = ACTIONS(2789),
    [anon_sym_BSLASHva] = ACTIONS(2789),
    [anon_sym_BSLASHvp] = ACTIONS(2789),
    [anon_sym_BSLASHc] = ACTIONS(2789),
    [anon_sym_BSLASHcl] = ACTIONS(2789),
    [anon_sym_BSLASHca] = ACTIONS(2789),
    [anon_sym_BSLASHcp] = ACTIONS(2789),
    [anon_sym_BSLASHcd] = ACTIONS(2789),
    [anon_sym_BSLASHmte] = ACTIONS(2789),
    [anon_sym_BSLASHms] = ACTIONS(2789),
    [anon_sym_BSLASHs] = ACTIONS(2789),
    [anon_sym_BSLASHr] = ACTIONS(2789),
    [anon_sym_BSLASHsp] = ACTIONS(2789),
    [anon_sym_BSLASHd] = ACTIONS(2789),
    [anon_sym_BSLASHsd] = ACTIONS(2789),
    [anon_sym_BSLASHp] = ACTIONS(2789),
    [anon_sym_BSLASHm] = ACTIONS(2789),
    [anon_sym_BSLASHpo] = ACTIONS(2789),
    [anon_sym_BSLASHpr] = ACTIONS(2789),
    [anon_sym_BSLASHcls] = ACTIONS(2789),
    [anon_sym_BSLASHpmo] = ACTIONS(2789),
    [anon_sym_BSLASHpm] = ACTIONS(2789),
    [anon_sym_BSLASHpmc] = ACTIONS(2789),
    [anon_sym_BSLASHpmr] = ACTIONS(2789),
    [anon_sym_BSLASHpi] = ACTIONS(2789),
    [anon_sym_BSLASHmi] = ACTIONS(2789),
    [anon_sym_BSLASHnb] = ACTIONS(2789),
    [anon_sym_BSLASHpc] = ACTIONS(2789),
    [anon_sym_BSLASHph] = ACTIONS(2789),
    [anon_sym_BSLASHb] = ACTIONS(2789),
    [anon_sym_BSLASHq] = ACTIONS(2789),
    [anon_sym_BSLASHqr] = ACTIONS(2789),
    [anon_sym_BSLASHqc] = ACTIONS(2789),
    [anon_sym_BSLASHqs] = ACTIONS(2789),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqac] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2789),
    [anon_sym_BSLASHqd] = ACTIONS(2789),
    [anon_sym_BSLASHlh] = ACTIONS(2789),
    [anon_sym_BSLASHli] = ACTIONS(2789),
    [anon_sym_BSLASHlim] = ACTIONS(2789),
    [anon_sym_BSLASHtr] = ACTIONS(2789),
    [anon_sym_BSLASHf] = ACTIONS(2789),
    [anon_sym_BSLASHfe] = ACTIONS(2789),
    [anon_sym_BSLASHef] = ACTIONS(2789),
    [anon_sym_BSLASHfm] = ACTIONS(2789),
    [anon_sym_BSLASHx] = ACTIONS(2789),
    [anon_sym_BSLASHxt] = ACTIONS(2789),
    [anon_sym_BSLASHrq] = ACTIONS(2789),
    [anon_sym_BSLASHadd] = ACTIONS(2789),
    [anon_sym_BSLASHbk] = ACTIONS(2789),
    [anon_sym_BSLASHdc] = ACTIONS(2789),
    [anon_sym_BSLASHk] = ACTIONS(2789),
    [anon_sym_BSLASHnd] = ACTIONS(2789),
    [anon_sym_BSLASHord] = ACTIONS(2789),
    [anon_sym_BSLASHpn] = ACTIONS(2789),
    [anon_sym_BSLASHpng] = ACTIONS(2789),
    [anon_sym_BSLASHaddpn] = ACTIONS(2789),
    [anon_sym_BSLASHqt] = ACTIONS(2789),
    [anon_sym_BSLASHsig] = ACTIONS(2789),
    [anon_sym_BSLASHsls] = ACTIONS(2789),
    [anon_sym_BSLASHtl] = ACTIONS(2789),
    [anon_sym_BSLASHwj] = ACTIONS(2789),
    [anon_sym_BSLASHem] = ACTIONS(2789),
    [anon_sym_BSLASHbd] = ACTIONS(2789),
    [anon_sym_BSLASHit] = ACTIONS(2789),
    [anon_sym_BSLASHbdit] = ACTIONS(2789),
    [anon_sym_BSLASHno] = ACTIONS(2789),
    [anon_sym_BSLASHsc] = ACTIONS(2789),
    [anon_sym_BSLASHsup] = ACTIONS(2789),
    [anon_sym_BSLASHndx] = ACTIONS(2789),
    [anon_sym_BSLASHpro] = ACTIONS(2789),
    [anon_sym_BSLASHrb] = ACTIONS(2789),
    [anon_sym_BSLASHw] = ACTIONS(2789),
    [anon_sym_BSLASHwg] = ACTIONS(2789),
    [anon_sym_BSLASHwh] = ACTIONS(2789),
    [anon_sym_BSLASHwa] = ACTIONS(2789),
    [anon_sym_BSLASHfig] = ACTIONS(2789),
    [anon_sym_BSLASHjmp] = ACTIONS(2789),
    [anon_sym_BSLASHpb] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2789),
    [sym_milestoneStartTag] = ACTIONS(2789),
    [sym_milestoneEndTag] = ACTIONS(2789),
    [sym_zSpaceTag] = ACTIONS(2789),
    [anon_sym_BSLASHesb] = ACTIONS(2789),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(6022),
    [aux_sym_text_token1] = ACTIONS(6022),
    [anon_sym_BSLASHref] = ACTIONS(6024),
    [anon_sym_BSLASHsts] = ACTIONS(6024),
    [anon_sym_BSLASHrem] = ACTIONS(6024),
    [anon_sym_BSLASHrestore] = ACTIONS(6024),
    [anon_sym_BSLASHlit] = ACTIONS(6024),
    [anon_sym_BSLASHip] = ACTIONS(6024),
    [anon_sym_BSLASHiex] = ACTIONS(6024),
    [anon_sym_BSLASHv] = ACTIONS(6024),
    [anon_sym_BSLASHva] = ACTIONS(6024),
    [anon_sym_BSLASHvp] = ACTIONS(6024),
    [anon_sym_BSLASHc] = ACTIONS(6024),
    [anon_sym_BSLASHcl] = ACTIONS(6024),
    [anon_sym_BSLASHca] = ACTIONS(6024),
    [anon_sym_BSLASHcp] = ACTIONS(6024),
    [anon_sym_BSLASHcd] = ACTIONS(6024),
    [anon_sym_BSLASHmte] = ACTIONS(6024),
    [anon_sym_BSLASHms] = ACTIONS(6024),
    [anon_sym_BSLASHs] = ACTIONS(6024),
    [anon_sym_BSLASHr] = ACTIONS(6024),
    [anon_sym_BSLASHsp] = ACTIONS(6024),
    [anon_sym_BSLASHd] = ACTIONS(6024),
    [anon_sym_BSLASHsd] = ACTIONS(6024),
    [anon_sym_BSLASHp] = ACTIONS(6024),
    [anon_sym_BSLASHm] = ACTIONS(6024),
    [anon_sym_BSLASHpo] = ACTIONS(6024),
    [anon_sym_BSLASHpr] = ACTIONS(6024),
    [anon_sym_BSLASHcls] = ACTIONS(6024),
    [anon_sym_BSLASHpmo] = ACTIONS(6024),
    [anon_sym_BSLASHpm] = ACTIONS(6024),
    [anon_sym_BSLASHpmc] = ACTIONS(6024),
    [anon_sym_BSLASHpmr] = ACTIONS(6024),
    [anon_sym_BSLASHpi] = ACTIONS(6024),
    [anon_sym_BSLASHmi] = ACTIONS(6024),
    [anon_sym_BSLASHnb] = ACTIONS(6024),
    [anon_sym_BSLASHpc] = ACTIONS(6024),
    [anon_sym_BSLASHph] = ACTIONS(6024),
    [anon_sym_BSLASHb] = ACTIONS(6024),
    [anon_sym_BSLASHq] = ACTIONS(6024),
    [anon_sym_BSLASHqr] = ACTIONS(6024),
    [anon_sym_BSLASHqc] = ACTIONS(6024),
    [anon_sym_BSLASHqs] = ACTIONS(6024),
    [anon_sym_BSLASHqa] = ACTIONS(6024),
    [anon_sym_BSLASHqac] = ACTIONS(6024),
    [anon_sym_BSLASHqm] = ACTIONS(6024),
    [anon_sym_BSLASHqd] = ACTIONS(6024),
    [anon_sym_BSLASHlh] = ACTIONS(6024),
    [anon_sym_BSLASHli] = ACTIONS(6024),
    [anon_sym_BSLASHlim] = ACTIONS(6024),
    [anon_sym_BSLASHtr] = ACTIONS(6024),
    [anon_sym_BSLASHf] = ACTIONS(6024),
    [anon_sym_BSLASHfe] = ACTIONS(6024),
    [anon_sym_BSLASHef] = ACTIONS(6024),
    [anon_sym_BSLASHfm] = ACTIONS(6024),
    [anon_sym_BSLASHx] = ACTIONS(6024),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6024),
    [anon_sym_BSLASHadd] = ACTIONS(6024),
    [anon_sym_BSLASHbk] = ACTIONS(6024),
    [anon_sym_BSLASHdc] = ACTIONS(6024),
    [anon_sym_BSLASHk] = ACTIONS(6024),
    [anon_sym_BSLASHnd] = ACTIONS(6024),
    [anon_sym_BSLASHord] = ACTIONS(6024),
    [anon_sym_BSLASHpn] = ACTIONS(6024),
    [anon_sym_BSLASHpng] = ACTIONS(6024),
    [anon_sym_BSLASHaddpn] = ACTIONS(6024),
    [anon_sym_BSLASHqt] = ACTIONS(6024),
    [anon_sym_BSLASHsig] = ACTIONS(6024),
    [anon_sym_BSLASHsls] = ACTIONS(6024),
    [anon_sym_BSLASHtl] = ACTIONS(6024),
    [anon_sym_BSLASHwj] = ACTIONS(6024),
    [anon_sym_BSLASHem] = ACTIONS(6024),
    [anon_sym_BSLASHbd] = ACTIONS(6024),
    [anon_sym_BSLASHit] = ACTIONS(6024),
    [anon_sym_BSLASHbdit] = ACTIONS(6024),
    [anon_sym_BSLASHno] = ACTIONS(6024),
    [anon_sym_BSLASHsc] = ACTIONS(6024),
    [anon_sym_BSLASHsup] = ACTIONS(6024),
    [anon_sym_BSLASHndx] = ACTIONS(6024),
    [anon_sym_BSLASHpro] = ACTIONS(6024),
    [anon_sym_BSLASHrb] = ACTIONS(6024),
    [anon_sym_BSLASHw] = ACTIONS(6024),
    [anon_sym_BSLASHwg] = ACTIONS(6024),
    [anon_sym_BSLASHwh] = ACTIONS(6024),
    [anon_sym_BSLASHwa] = ACTIONS(6024),
    [anon_sym_BSLASHfig] = ACTIONS(6024),
    [anon_sym_BSLASHjmp] = ACTIONS(6024),
    [anon_sym_BSLASHpb] = ACTIONS(6024),
    [anon_sym_BSLASH] = ACTIONS(6024),
    [sym_milestoneStartTag] = ACTIONS(6024),
    [sym_milestoneEndTag] = ACTIONS(6024),
    [sym_zSpaceTag] = ACTIONS(6024),
    [anon_sym_BSLASHesb] = ACTIONS(6024),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(2755),
    [aux_sym_text_token1] = ACTIONS(2755),
    [anon_sym_BSLASHref] = ACTIONS(2757),
    [anon_sym_BSLASHsts] = ACTIONS(2757),
    [anon_sym_BSLASHrem] = ACTIONS(2757),
    [anon_sym_BSLASHrestore] = ACTIONS(2757),
    [anon_sym_BSLASHlit] = ACTIONS(2757),
    [anon_sym_BSLASHip] = ACTIONS(2757),
    [anon_sym_BSLASHiex] = ACTIONS(2757),
    [anon_sym_BSLASHv] = ACTIONS(2757),
    [anon_sym_BSLASHva] = ACTIONS(2757),
    [anon_sym_BSLASHvp] = ACTIONS(2757),
    [anon_sym_BSLASHc] = ACTIONS(2757),
    [anon_sym_BSLASHcl] = ACTIONS(2757),
    [anon_sym_BSLASHca] = ACTIONS(2757),
    [anon_sym_BSLASHcp] = ACTIONS(2757),
    [anon_sym_BSLASHcd] = ACTIONS(2757),
    [anon_sym_BSLASHmte] = ACTIONS(2757),
    [anon_sym_BSLASHms] = ACTIONS(2757),
    [anon_sym_BSLASHs] = ACTIONS(2757),
    [anon_sym_BSLASHr] = ACTIONS(2757),
    [anon_sym_BSLASHsp] = ACTIONS(2757),
    [anon_sym_BSLASHd] = ACTIONS(2757),
    [anon_sym_BSLASHsd] = ACTIONS(2757),
    [anon_sym_BSLASHp] = ACTIONS(2757),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2757),
    [anon_sym_BSLASHpr] = ACTIONS(2757),
    [anon_sym_BSLASHcls] = ACTIONS(2757),
    [anon_sym_BSLASHpmo] = ACTIONS(2757),
    [anon_sym_BSLASHpm] = ACTIONS(2757),
    [anon_sym_BSLASHpmc] = ACTIONS(2757),
    [anon_sym_BSLASHpmr] = ACTIONS(2757),
    [anon_sym_BSLASHpi] = ACTIONS(2757),
    [anon_sym_BSLASHmi] = ACTIONS(2757),
    [anon_sym_BSLASHnb] = ACTIONS(2757),
    [anon_sym_BSLASHpc] = ACTIONS(2757),
    [anon_sym_BSLASHph] = ACTIONS(2757),
    [anon_sym_BSLASHb] = ACTIONS(2757),
    [anon_sym_BSLASHq] = ACTIONS(2757),
    [anon_sym_BSLASHqr] = ACTIONS(2757),
    [anon_sym_BSLASHqc] = ACTIONS(2757),
    [anon_sym_BSLASHqs] = ACTIONS(2757),
    [anon_sym_BSLASHqa] = ACTIONS(2757),
    [anon_sym_BSLASHqac] = ACTIONS(2757),
    [anon_sym_BSLASHqm] = ACTIONS(2757),
    [anon_sym_BSLASHqd] = ACTIONS(2757),
    [anon_sym_BSLASHlh] = ACTIONS(2757),
    [anon_sym_BSLASHli] = ACTIONS(2757),
    [anon_sym_BSLASHlim] = ACTIONS(2757),
    [anon_sym_BSLASHtr] = ACTIONS(2757),
    [anon_sym_BSLASHf] = ACTIONS(2757),
    [anon_sym_BSLASHfe] = ACTIONS(2757),
    [anon_sym_BSLASHef] = ACTIONS(2757),
    [anon_sym_BSLASHfm] = ACTIONS(2757),
    [anon_sym_BSLASHx] = ACTIONS(2757),
    [anon_sym_BSLASHxt] = ACTIONS(2757),
    [anon_sym_BSLASHrq] = ACTIONS(2757),
    [anon_sym_BSLASHadd] = ACTIONS(2757),
    [anon_sym_BSLASHbk] = ACTIONS(2757),
    [anon_sym_BSLASHdc] = ACTIONS(2757),
    [anon_sym_BSLASHk] = ACTIONS(2757),
    [anon_sym_BSLASHnd] = ACTIONS(2757),
    [anon_sym_BSLASHord] = ACTIONS(2757),
    [anon_sym_BSLASHpn] = ACTIONS(2757),
    [anon_sym_BSLASHpng] = ACTIONS(2757),
    [anon_sym_BSLASHaddpn] = ACTIONS(2757),
    [anon_sym_BSLASHqt] = ACTIONS(2757),
    [anon_sym_BSLASHsig] = ACTIONS(2757),
    [anon_sym_BSLASHsls] = ACTIONS(2757),
    [anon_sym_BSLASHtl] = ACTIONS(2757),
    [anon_sym_BSLASHwj] = ACTIONS(2757),
    [anon_sym_BSLASHem] = ACTIONS(2757),
    [anon_sym_BSLASHbd] = ACTIONS(2757),
    [anon_sym_BSLASHit] = ACTIONS(2757),
    [anon_sym_BSLASHbdit] = ACTIONS(2757),
    [anon_sym_BSLASHno] = ACTIONS(2757),
    [anon_sym_BSLASHsc] = ACTIONS(2757),
    [anon_sym_BSLASHsup] = ACTIONS(2757),
    [anon_sym_BSLASHndx] = ACTIONS(2757),
    [anon_sym_BSLASHpro] = ACTIONS(2757),
    [anon_sym_BSLASHrb] = ACTIONS(2757),
    [anon_sym_BSLASHw] = ACTIONS(2757),
    [anon_sym_BSLASHwg] = ACTIONS(2757),
    [anon_sym_BSLASHwh] = ACTIONS(2757),
    [anon_sym_BSLASHwa] = ACTIONS(2757),
    [anon_sym_BSLASHfig] = ACTIONS(2757),
    [anon_sym_BSLASHjmp] = ACTIONS(2757),
    [anon_sym_BSLASHpb] = ACTIONS(2757),
    [anon_sym_BSLASH] = ACTIONS(2757),
    [sym_milestoneStartTag] = ACTIONS(2757),
    [sym_milestoneEndTag] = ACTIONS(2757),
    [sym_zSpaceTag] = ACTIONS(2757),
    [anon_sym_BSLASHesb] = ACTIONS(2757),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [aux_sym_text_token1] = ACTIONS(2767),
    [anon_sym_BSLASHref] = ACTIONS(2769),
    [anon_sym_BSLASHsts] = ACTIONS(2769),
    [anon_sym_BSLASHrem] = ACTIONS(2769),
    [anon_sym_BSLASHrestore] = ACTIONS(2769),
    [anon_sym_BSLASHlit] = ACTIONS(2769),
    [anon_sym_BSLASHip] = ACTIONS(2769),
    [anon_sym_BSLASHiex] = ACTIONS(2769),
    [anon_sym_BSLASHv] = ACTIONS(2769),
    [anon_sym_BSLASHva] = ACTIONS(2769),
    [anon_sym_BSLASHvp] = ACTIONS(2769),
    [anon_sym_BSLASHc] = ACTIONS(2769),
    [anon_sym_BSLASHcl] = ACTIONS(2769),
    [anon_sym_BSLASHca] = ACTIONS(2769),
    [anon_sym_BSLASHcp] = ACTIONS(2769),
    [anon_sym_BSLASHcd] = ACTIONS(2769),
    [anon_sym_BSLASHmte] = ACTIONS(2769),
    [anon_sym_BSLASHms] = ACTIONS(2769),
    [anon_sym_BSLASHs] = ACTIONS(2769),
    [anon_sym_BSLASHr] = ACTIONS(2769),
    [anon_sym_BSLASHsp] = ACTIONS(2769),
    [anon_sym_BSLASHd] = ACTIONS(2769),
    [anon_sym_BSLASHsd] = ACTIONS(2769),
    [anon_sym_BSLASHp] = ACTIONS(2769),
    [anon_sym_BSLASHm] = ACTIONS(2769),
    [anon_sym_BSLASHpo] = ACTIONS(2769),
    [anon_sym_BSLASHpr] = ACTIONS(2769),
    [anon_sym_BSLASHcls] = ACTIONS(2769),
    [anon_sym_BSLASHpmo] = ACTIONS(2769),
    [anon_sym_BSLASHpm] = ACTIONS(2769),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2769),
    [anon_sym_BSLASHpi] = ACTIONS(2769),
    [anon_sym_BSLASHmi] = ACTIONS(2769),
    [anon_sym_BSLASHnb] = ACTIONS(2769),
    [anon_sym_BSLASHpc] = ACTIONS(2769),
    [anon_sym_BSLASHph] = ACTIONS(2769),
    [anon_sym_BSLASHb] = ACTIONS(2769),
    [anon_sym_BSLASHq] = ACTIONS(2769),
    [anon_sym_BSLASHqr] = ACTIONS(2769),
    [anon_sym_BSLASHqc] = ACTIONS(2769),
    [anon_sym_BSLASHqs] = ACTIONS(2769),
    [anon_sym_BSLASHqa] = ACTIONS(2769),
    [anon_sym_BSLASHqac] = ACTIONS(2769),
    [anon_sym_BSLASHqm] = ACTIONS(2769),
    [anon_sym_BSLASHqd] = ACTIONS(2769),
    [anon_sym_BSLASHlh] = ACTIONS(2769),
    [anon_sym_BSLASHli] = ACTIONS(2769),
    [anon_sym_BSLASHlim] = ACTIONS(2769),
    [anon_sym_BSLASHtr] = ACTIONS(2769),
    [anon_sym_BSLASHf] = ACTIONS(2769),
    [anon_sym_BSLASHfe] = ACTIONS(2769),
    [anon_sym_BSLASHef] = ACTIONS(2769),
    [anon_sym_BSLASHfm] = ACTIONS(2769),
    [anon_sym_BSLASHx] = ACTIONS(2769),
    [anon_sym_BSLASHxt] = ACTIONS(2769),
    [anon_sym_BSLASHrq] = ACTIONS(2769),
    [anon_sym_BSLASHadd] = ACTIONS(2769),
    [anon_sym_BSLASHbk] = ACTIONS(2769),
    [anon_sym_BSLASHdc] = ACTIONS(2769),
    [anon_sym_BSLASHk] = ACTIONS(2769),
    [anon_sym_BSLASHnd] = ACTIONS(2769),
    [anon_sym_BSLASHord] = ACTIONS(2769),
    [anon_sym_BSLASHpn] = ACTIONS(2769),
    [anon_sym_BSLASHpng] = ACTIONS(2769),
    [anon_sym_BSLASHaddpn] = ACTIONS(2769),
    [anon_sym_BSLASHqt] = ACTIONS(2769),
    [anon_sym_BSLASHsig] = ACTIONS(2769),
    [anon_sym_BSLASHsls] = ACTIONS(2769),
    [anon_sym_BSLASHtl] = ACTIONS(2769),
    [anon_sym_BSLASHwj] = ACTIONS(2769),
    [anon_sym_BSLASHem] = ACTIONS(2769),
    [anon_sym_BSLASHbd] = ACTIONS(2769),
    [anon_sym_BSLASHit] = ACTIONS(2769),
    [anon_sym_BSLASHbdit] = ACTIONS(2769),
    [anon_sym_BSLASHno] = ACTIONS(2769),
    [anon_sym_BSLASHsc] = ACTIONS(2769),
    [anon_sym_BSLASHsup] = ACTIONS(2769),
    [anon_sym_BSLASHndx] = ACTIONS(2769),
    [anon_sym_BSLASHpro] = ACTIONS(2769),
    [anon_sym_BSLASHrb] = ACTIONS(2769),
    [anon_sym_BSLASHw] = ACTIONS(2769),
    [anon_sym_BSLASHwg] = ACTIONS(2769),
    [anon_sym_BSLASHwh] = ACTIONS(2769),
    [anon_sym_BSLASHwa] = ACTIONS(2769),
    [anon_sym_BSLASHfig] = ACTIONS(2769),
    [anon_sym_BSLASHjmp] = ACTIONS(2769),
    [anon_sym_BSLASHpb] = ACTIONS(2769),
    [anon_sym_BSLASH] = ACTIONS(2769),
    [sym_milestoneStartTag] = ACTIONS(2769),
    [sym_milestoneEndTag] = ACTIONS(2769),
    [sym_zSpaceTag] = ACTIONS(2769),
    [anon_sym_BSLASHesb] = ACTIONS(2769),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(506),
    [aux_sym_text_token1] = ACTIONS(506),
    [anon_sym_BSLASHref] = ACTIONS(508),
    [anon_sym_BSLASHsts] = ACTIONS(508),
    [anon_sym_BSLASHrem] = ACTIONS(508),
    [anon_sym_BSLASHrestore] = ACTIONS(508),
    [anon_sym_BSLASHlit] = ACTIONS(508),
    [anon_sym_BSLASHip] = ACTIONS(508),
    [anon_sym_BSLASHiex] = ACTIONS(508),
    [anon_sym_BSLASHv] = ACTIONS(508),
    [anon_sym_BSLASHva] = ACTIONS(508),
    [anon_sym_BSLASHvp] = ACTIONS(508),
    [anon_sym_BSLASHc] = ACTIONS(508),
    [anon_sym_BSLASHcl] = ACTIONS(508),
    [anon_sym_BSLASHca] = ACTIONS(508),
    [anon_sym_BSLASHcp] = ACTIONS(508),
    [anon_sym_BSLASHcd] = ACTIONS(508),
    [anon_sym_BSLASHmte] = ACTIONS(508),
    [anon_sym_BSLASHms] = ACTIONS(508),
    [anon_sym_BSLASHs] = ACTIONS(508),
    [anon_sym_BSLASHr] = ACTIONS(508),
    [anon_sym_BSLASHsp] = ACTIONS(508),
    [anon_sym_BSLASHd] = ACTIONS(508),
    [anon_sym_BSLASHsd] = ACTIONS(508),
    [anon_sym_BSLASHp] = ACTIONS(508),
    [anon_sym_BSLASHm] = ACTIONS(508),
    [anon_sym_BSLASHpo] = ACTIONS(508),
    [anon_sym_BSLASHpr] = ACTIONS(508),
    [anon_sym_BSLASHcls] = ACTIONS(508),
    [anon_sym_BSLASHpmo] = ACTIONS(508),
    [anon_sym_BSLASHpm] = ACTIONS(508),
    [anon_sym_BSLASHpmc] = ACTIONS(508),
    [anon_sym_BSLASHpmr] = ACTIONS(508),
    [anon_sym_BSLASHpi] = ACTIONS(508),
    [anon_sym_BSLASHmi] = ACTIONS(508),
    [anon_sym_BSLASHnb] = ACTIONS(508),
    [anon_sym_BSLASHpc] = ACTIONS(508),
    [anon_sym_BSLASHph] = ACTIONS(508),
    [anon_sym_BSLASHb] = ACTIONS(508),
    [anon_sym_BSLASHq] = ACTIONS(508),
    [anon_sym_BSLASHqr] = ACTIONS(508),
    [anon_sym_BSLASHqc] = ACTIONS(508),
    [anon_sym_BSLASHqs] = ACTIONS(508),
    [anon_sym_BSLASHqa] = ACTIONS(508),
    [anon_sym_BSLASHqac] = ACTIONS(508),
    [anon_sym_BSLASHqm] = ACTIONS(508),
    [anon_sym_BSLASHqd] = ACTIONS(508),
    [anon_sym_BSLASHlh] = ACTIONS(508),
    [anon_sym_BSLASHli] = ACTIONS(508),
    [anon_sym_BSLASHlim] = ACTIONS(508),
    [anon_sym_BSLASHtr] = ACTIONS(508),
    [anon_sym_BSLASHf] = ACTIONS(508),
    [anon_sym_BSLASHfe] = ACTIONS(508),
    [anon_sym_BSLASHef] = ACTIONS(508),
    [anon_sym_BSLASHfm] = ACTIONS(508),
    [anon_sym_BSLASHx] = ACTIONS(508),
    [anon_sym_BSLASHxt] = ACTIONS(508),
    [anon_sym_BSLASHrq] = ACTIONS(508),
    [anon_sym_BSLASHadd] = ACTIONS(508),
    [anon_sym_BSLASHbk] = ACTIONS(508),
    [anon_sym_BSLASHdc] = ACTIONS(508),
    [anon_sym_BSLASHk] = ACTIONS(508),
    [anon_sym_BSLASHnd] = ACTIONS(508),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(508),
    [anon_sym_BSLASHpng] = ACTIONS(508),
    [anon_sym_BSLASHaddpn] = ACTIONS(508),
    [anon_sym_BSLASHqt] = ACTIONS(508),
    [anon_sym_BSLASHsig] = ACTIONS(508),
    [anon_sym_BSLASHsls] = ACTIONS(508),
    [anon_sym_BSLASHtl] = ACTIONS(508),
    [anon_sym_BSLASHwj] = ACTIONS(508),
    [anon_sym_BSLASHem] = ACTIONS(508),
    [anon_sym_BSLASHbd] = ACTIONS(508),
    [anon_sym_BSLASHit] = ACTIONS(508),
    [anon_sym_BSLASHbdit] = ACTIONS(508),
    [anon_sym_BSLASHno] = ACTIONS(508),
    [anon_sym_BSLASHsc] = ACTIONS(508),
    [anon_sym_BSLASHsup] = ACTIONS(508),
    [anon_sym_BSLASHndx] = ACTIONS(508),
    [anon_sym_BSLASHpro] = ACTIONS(508),
    [anon_sym_BSLASHrb] = ACTIONS(508),
    [anon_sym_BSLASHw] = ACTIONS(508),
    [anon_sym_BSLASHwg] = ACTIONS(508),
    [anon_sym_BSLASHwh] = ACTIONS(508),
    [anon_sym_BSLASHwa] = ACTIONS(508),
    [anon_sym_BSLASHfig] = ACTIONS(508),
    [anon_sym_BSLASHjmp] = ACTIONS(508),
    [anon_sym_BSLASHpb] = ACTIONS(508),
    [anon_sym_BSLASH] = ACTIONS(508),
    [sym_milestoneStartTag] = ACTIONS(508),
    [sym_milestoneEndTag] = ACTIONS(508),
    [sym_zSpaceTag] = ACTIONS(508),
    [anon_sym_BSLASHesb] = ACTIONS(508),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(2743),
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHref] = ACTIONS(2745),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHiex] = ACTIONS(2745),
    [anon_sym_BSLASHv] = ACTIONS(2745),
    [anon_sym_BSLASHva] = ACTIONS(2745),
    [anon_sym_BSLASHvp] = ACTIONS(2745),
    [anon_sym_BSLASHc] = ACTIONS(2745),
    [anon_sym_BSLASHcl] = ACTIONS(2745),
    [anon_sym_BSLASHca] = ACTIONS(2745),
    [anon_sym_BSLASHcp] = ACTIONS(2745),
    [anon_sym_BSLASHcd] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqs] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqac] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHx] = ACTIONS(2745),
    [anon_sym_BSLASHxt] = ACTIONS(2745),
    [anon_sym_BSLASHrq] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesb] = ACTIONS(2745),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(2799),
    [aux_sym_text_token1] = ACTIONS(2799),
    [anon_sym_BSLASHref] = ACTIONS(2801),
    [anon_sym_BSLASHsts] = ACTIONS(2801),
    [anon_sym_BSLASHrem] = ACTIONS(2801),
    [anon_sym_BSLASHrestore] = ACTIONS(2801),
    [anon_sym_BSLASHlit] = ACTIONS(2801),
    [anon_sym_BSLASHip] = ACTIONS(2801),
    [anon_sym_BSLASHiex] = ACTIONS(2801),
    [anon_sym_BSLASHv] = ACTIONS(2801),
    [anon_sym_BSLASHva] = ACTIONS(2801),
    [anon_sym_BSLASHvp] = ACTIONS(2801),
    [anon_sym_BSLASHc] = ACTIONS(2801),
    [anon_sym_BSLASHcl] = ACTIONS(2801),
    [anon_sym_BSLASHca] = ACTIONS(2801),
    [anon_sym_BSLASHcp] = ACTIONS(2801),
    [anon_sym_BSLASHcd] = ACTIONS(2801),
    [anon_sym_BSLASHmte] = ACTIONS(2801),
    [anon_sym_BSLASHms] = ACTIONS(2801),
    [anon_sym_BSLASHs] = ACTIONS(2801),
    [anon_sym_BSLASHr] = ACTIONS(2801),
    [anon_sym_BSLASHsp] = ACTIONS(2801),
    [anon_sym_BSLASHd] = ACTIONS(2801),
    [anon_sym_BSLASHsd] = ACTIONS(2801),
    [anon_sym_BSLASHp] = ACTIONS(2801),
    [anon_sym_BSLASHm] = ACTIONS(2801),
    [anon_sym_BSLASHpo] = ACTIONS(2801),
    [anon_sym_BSLASHpr] = ACTIONS(2801),
    [anon_sym_BSLASHcls] = ACTIONS(2801),
    [anon_sym_BSLASHpmo] = ACTIONS(2801),
    [anon_sym_BSLASHpm] = ACTIONS(2801),
    [anon_sym_BSLASHpmc] = ACTIONS(2801),
    [anon_sym_BSLASHpmr] = ACTIONS(2801),
    [anon_sym_BSLASHpi] = ACTIONS(2801),
    [anon_sym_BSLASHmi] = ACTIONS(2801),
    [anon_sym_BSLASHnb] = ACTIONS(2801),
    [anon_sym_BSLASHpc] = ACTIONS(2801),
    [anon_sym_BSLASHph] = ACTIONS(2801),
    [anon_sym_BSLASHb] = ACTIONS(2801),
    [anon_sym_BSLASHq] = ACTIONS(2801),
    [anon_sym_BSLASHqr] = ACTIONS(2801),
    [anon_sym_BSLASHqc] = ACTIONS(2801),
    [anon_sym_BSLASHqs] = ACTIONS(2801),
    [anon_sym_BSLASHqa] = ACTIONS(2801),
    [anon_sym_BSLASHqac] = ACTIONS(2801),
    [anon_sym_BSLASHqm] = ACTIONS(2801),
    [anon_sym_BSLASHqd] = ACTIONS(2801),
    [anon_sym_BSLASHlh] = ACTIONS(2801),
    [anon_sym_BSLASHli] = ACTIONS(2801),
    [anon_sym_BSLASHlim] = ACTIONS(2801),
    [anon_sym_BSLASHtr] = ACTIONS(2801),
    [anon_sym_BSLASHf] = ACTIONS(2801),
    [anon_sym_BSLASHfe] = ACTIONS(2801),
    [anon_sym_BSLASHef] = ACTIONS(2801),
    [anon_sym_BSLASHfm] = ACTIONS(2801),
    [anon_sym_BSLASHx] = ACTIONS(2801),
    [anon_sym_BSLASHxt] = ACTIONS(2801),
    [anon_sym_BSLASHrq] = ACTIONS(2801),
    [anon_sym_BSLASHadd] = ACTIONS(2801),
    [anon_sym_BSLASHbk] = ACTIONS(2801),
    [anon_sym_BSLASHdc] = ACTIONS(2801),
    [anon_sym_BSLASHk] = ACTIONS(2801),
    [anon_sym_BSLASHnd] = ACTIONS(2801),
    [anon_sym_BSLASHord] = ACTIONS(2801),
    [anon_sym_BSLASHpn] = ACTIONS(2801),
    [anon_sym_BSLASHpng] = ACTIONS(2801),
    [anon_sym_BSLASHaddpn] = ACTIONS(2801),
    [anon_sym_BSLASHqt] = ACTIONS(2801),
    [anon_sym_BSLASHsig] = ACTIONS(2801),
    [anon_sym_BSLASHsls] = ACTIONS(2801),
    [anon_sym_BSLASHtl] = ACTIONS(2801),
    [anon_sym_BSLASHwj] = ACTIONS(2801),
    [anon_sym_BSLASHem] = ACTIONS(2801),
    [anon_sym_BSLASHbd] = ACTIONS(2801),
    [anon_sym_BSLASHit] = ACTIONS(2801),
    [anon_sym_BSLASHbdit] = ACTIONS(2801),
    [anon_sym_BSLASHno] = ACTIONS(2801),
    [anon_sym_BSLASHsc] = ACTIONS(2801),
    [anon_sym_BSLASHsup] = ACTIONS(2801),
    [anon_sym_BSLASHndx] = ACTIONS(2801),
    [anon_sym_BSLASHpro] = ACTIONS(2801),
    [anon_sym_BSLASHrb] = ACTIONS(2801),
    [anon_sym_BSLASHw] = ACTIONS(2801),
    [anon_sym_BSLASHwg] = ACTIONS(2801),
    [anon_sym_BSLASHwh] = ACTIONS(2801),
    [anon_sym_BSLASHwa] = ACTIONS(2801),
    [anon_sym_BSLASHfig] = ACTIONS(2801),
    [anon_sym_BSLASHjmp] = ACTIONS(2801),
    [anon_sym_BSLASHpb] = ACTIONS(2801),
    [anon_sym_BSLASH] = ACTIONS(2801),
    [sym_milestoneStartTag] = ACTIONS(2801),
    [sym_milestoneEndTag] = ACTIONS(2801),
    [sym_zSpaceTag] = ACTIONS(2801),
    [anon_sym_BSLASHesb] = ACTIONS(2801),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(2791),
    [aux_sym_text_token1] = ACTIONS(2791),
    [anon_sym_BSLASHref] = ACTIONS(2793),
    [anon_sym_BSLASHsts] = ACTIONS(2793),
    [anon_sym_BSLASHrem] = ACTIONS(2793),
    [anon_sym_BSLASHrestore] = ACTIONS(2793),
    [anon_sym_BSLASHlit] = ACTIONS(2793),
    [anon_sym_BSLASHip] = ACTIONS(2793),
    [anon_sym_BSLASHiex] = ACTIONS(2793),
    [anon_sym_BSLASHv] = ACTIONS(2793),
    [anon_sym_BSLASHva] = ACTIONS(2793),
    [anon_sym_BSLASHvp] = ACTIONS(2793),
    [anon_sym_BSLASHc] = ACTIONS(2793),
    [anon_sym_BSLASHcl] = ACTIONS(2793),
    [anon_sym_BSLASHca] = ACTIONS(2793),
    [anon_sym_BSLASHcp] = ACTIONS(2793),
    [anon_sym_BSLASHcd] = ACTIONS(2793),
    [anon_sym_BSLASHmte] = ACTIONS(2793),
    [anon_sym_BSLASHms] = ACTIONS(2793),
    [anon_sym_BSLASHs] = ACTIONS(2793),
    [anon_sym_BSLASHr] = ACTIONS(2793),
    [anon_sym_BSLASHsp] = ACTIONS(2793),
    [anon_sym_BSLASHd] = ACTIONS(2793),
    [anon_sym_BSLASHsd] = ACTIONS(2793),
    [anon_sym_BSLASHp] = ACTIONS(2793),
    [anon_sym_BSLASHm] = ACTIONS(2793),
    [anon_sym_BSLASHpo] = ACTIONS(2793),
    [anon_sym_BSLASHpr] = ACTIONS(2793),
    [anon_sym_BSLASHcls] = ACTIONS(2793),
    [anon_sym_BSLASHpmo] = ACTIONS(2793),
    [anon_sym_BSLASHpm] = ACTIONS(2793),
    [anon_sym_BSLASHpmc] = ACTIONS(2793),
    [anon_sym_BSLASHpmr] = ACTIONS(2793),
    [anon_sym_BSLASHpi] = ACTIONS(2793),
    [anon_sym_BSLASHmi] = ACTIONS(2793),
    [anon_sym_BSLASHnb] = ACTIONS(2793),
    [anon_sym_BSLASHpc] = ACTIONS(2793),
    [anon_sym_BSLASHph] = ACTIONS(2793),
    [anon_sym_BSLASHb] = ACTIONS(2793),
    [anon_sym_BSLASHq] = ACTIONS(2793),
    [anon_sym_BSLASHqr] = ACTIONS(2793),
    [anon_sym_BSLASHqc] = ACTIONS(2793),
    [anon_sym_BSLASHqs] = ACTIONS(2793),
    [anon_sym_BSLASHqa] = ACTIONS(2793),
    [anon_sym_BSLASHqac] = ACTIONS(2793),
    [anon_sym_BSLASHqm] = ACTIONS(2793),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(2793),
    [anon_sym_BSLASHli] = ACTIONS(2793),
    [anon_sym_BSLASHlim] = ACTIONS(2793),
    [anon_sym_BSLASHtr] = ACTIONS(2793),
    [anon_sym_BSLASHf] = ACTIONS(2793),
    [anon_sym_BSLASHfe] = ACTIONS(2793),
    [anon_sym_BSLASHef] = ACTIONS(2793),
    [anon_sym_BSLASHfm] = ACTIONS(2793),
    [anon_sym_BSLASHx] = ACTIONS(2793),
    [anon_sym_BSLASHxt] = ACTIONS(2793),
    [anon_sym_BSLASHrq] = ACTIONS(2793),
    [anon_sym_BSLASHadd] = ACTIONS(2793),
    [anon_sym_BSLASHbk] = ACTIONS(2793),
    [anon_sym_BSLASHdc] = ACTIONS(2793),
    [anon_sym_BSLASHk] = ACTIONS(2793),
    [anon_sym_BSLASHnd] = ACTIONS(2793),
    [anon_sym_BSLASHord] = ACTIONS(2793),
    [anon_sym_BSLASHpn] = ACTIONS(2793),
    [anon_sym_BSLASHpng] = ACTIONS(2793),
    [anon_sym_BSLASHaddpn] = ACTIONS(2793),
    [anon_sym_BSLASHqt] = ACTIONS(2793),
    [anon_sym_BSLASHsig] = ACTIONS(2793),
    [anon_sym_BSLASHsls] = ACTIONS(2793),
    [anon_sym_BSLASHtl] = ACTIONS(2793),
    [anon_sym_BSLASHwj] = ACTIONS(2793),
    [anon_sym_BSLASHem] = ACTIONS(2793),
    [anon_sym_BSLASHbd] = ACTIONS(2793),
    [anon_sym_BSLASHit] = ACTIONS(2793),
    [anon_sym_BSLASHbdit] = ACTIONS(2793),
    [anon_sym_BSLASHno] = ACTIONS(2793),
    [anon_sym_BSLASHsc] = ACTIONS(2793),
    [anon_sym_BSLASHsup] = ACTIONS(2793),
    [anon_sym_BSLASHndx] = ACTIONS(2793),
    [anon_sym_BSLASHpro] = ACTIONS(2793),
    [anon_sym_BSLASHrb] = ACTIONS(2793),
    [anon_sym_BSLASHw] = ACTIONS(2793),
    [anon_sym_BSLASHwg] = ACTIONS(2793),
    [anon_sym_BSLASHwh] = ACTIONS(2793),
    [anon_sym_BSLASHwa] = ACTIONS(2793),
    [anon_sym_BSLASHfig] = ACTIONS(2793),
    [anon_sym_BSLASHjmp] = ACTIONS(2793),
    [anon_sym_BSLASHpb] = ACTIONS(2793),
    [anon_sym_BSLASH] = ACTIONS(2793),
    [sym_milestoneStartTag] = ACTIONS(2793),
    [sym_milestoneEndTag] = ACTIONS(2793),
    [sym_zSpaceTag] = ACTIONS(2793),
    [anon_sym_BSLASHesb] = ACTIONS(2793),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(2747),
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHref] = ACTIONS(2749),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHiex] = ACTIONS(2749),
    [anon_sym_BSLASHv] = ACTIONS(2749),
    [anon_sym_BSLASHva] = ACTIONS(2749),
    [anon_sym_BSLASHvp] = ACTIONS(2749),
    [anon_sym_BSLASHc] = ACTIONS(2749),
    [anon_sym_BSLASHcl] = ACTIONS(2749),
    [anon_sym_BSLASHca] = ACTIONS(2749),
    [anon_sym_BSLASHcp] = ACTIONS(2749),
    [anon_sym_BSLASHcd] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqs] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqac] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHx] = ACTIONS(2749),
    [anon_sym_BSLASHxt] = ACTIONS(2749),
    [anon_sym_BSLASHrq] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesb] = ACTIONS(2749),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(2763),
    [aux_sym_text_token1] = ACTIONS(2763),
    [anon_sym_BSLASHref] = ACTIONS(2765),
    [anon_sym_BSLASHsts] = ACTIONS(2765),
    [anon_sym_BSLASHrem] = ACTIONS(2765),
    [anon_sym_BSLASHrestore] = ACTIONS(2765),
    [anon_sym_BSLASHlit] = ACTIONS(2765),
    [anon_sym_BSLASHip] = ACTIONS(2765),
    [anon_sym_BSLASHiex] = ACTIONS(2765),
    [anon_sym_BSLASHv] = ACTIONS(2765),
    [anon_sym_BSLASHva] = ACTIONS(2765),
    [anon_sym_BSLASHvp] = ACTIONS(2765),
    [anon_sym_BSLASHc] = ACTIONS(2765),
    [anon_sym_BSLASHcl] = ACTIONS(2765),
    [anon_sym_BSLASHca] = ACTIONS(2765),
    [anon_sym_BSLASHcp] = ACTIONS(2765),
    [anon_sym_BSLASHcd] = ACTIONS(2765),
    [anon_sym_BSLASHmte] = ACTIONS(2765),
    [anon_sym_BSLASHms] = ACTIONS(2765),
    [anon_sym_BSLASHs] = ACTIONS(2765),
    [anon_sym_BSLASHr] = ACTIONS(2765),
    [anon_sym_BSLASHsp] = ACTIONS(2765),
    [anon_sym_BSLASHd] = ACTIONS(2765),
    [anon_sym_BSLASHsd] = ACTIONS(2765),
    [anon_sym_BSLASHp] = ACTIONS(2765),
    [anon_sym_BSLASHm] = ACTIONS(2765),
    [anon_sym_BSLASHpo] = ACTIONS(2765),
    [anon_sym_BSLASHpr] = ACTIONS(2765),
    [anon_sym_BSLASHcls] = ACTIONS(2765),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2765),
    [anon_sym_BSLASHpmc] = ACTIONS(2765),
    [anon_sym_BSLASHpmr] = ACTIONS(2765),
    [anon_sym_BSLASHpi] = ACTIONS(2765),
    [anon_sym_BSLASHmi] = ACTIONS(2765),
    [anon_sym_BSLASHnb] = ACTIONS(2765),
    [anon_sym_BSLASHpc] = ACTIONS(2765),
    [anon_sym_BSLASHph] = ACTIONS(2765),
    [anon_sym_BSLASHb] = ACTIONS(2765),
    [anon_sym_BSLASHq] = ACTIONS(2765),
    [anon_sym_BSLASHqr] = ACTIONS(2765),
    [anon_sym_BSLASHqc] = ACTIONS(2765),
    [anon_sym_BSLASHqs] = ACTIONS(2765),
    [anon_sym_BSLASHqa] = ACTIONS(2765),
    [anon_sym_BSLASHqac] = ACTIONS(2765),
    [anon_sym_BSLASHqm] = ACTIONS(2765),
    [anon_sym_BSLASHqd] = ACTIONS(2765),
    [anon_sym_BSLASHlh] = ACTIONS(2765),
    [anon_sym_BSLASHli] = ACTIONS(2765),
    [anon_sym_BSLASHlim] = ACTIONS(2765),
    [anon_sym_BSLASHtr] = ACTIONS(2765),
    [anon_sym_BSLASHf] = ACTIONS(2765),
    [anon_sym_BSLASHfe] = ACTIONS(2765),
    [anon_sym_BSLASHef] = ACTIONS(2765),
    [anon_sym_BSLASHfm] = ACTIONS(2765),
    [anon_sym_BSLASHx] = ACTIONS(2765),
    [anon_sym_BSLASHxt] = ACTIONS(2765),
    [anon_sym_BSLASHrq] = ACTIONS(2765),
    [anon_sym_BSLASHadd] = ACTIONS(2765),
    [anon_sym_BSLASHbk] = ACTIONS(2765),
    [anon_sym_BSLASHdc] = ACTIONS(2765),
    [anon_sym_BSLASHk] = ACTIONS(2765),
    [anon_sym_BSLASHnd] = ACTIONS(2765),
    [anon_sym_BSLASHord] = ACTIONS(2765),
    [anon_sym_BSLASHpn] = ACTIONS(2765),
    [anon_sym_BSLASHpng] = ACTIONS(2765),
    [anon_sym_BSLASHaddpn] = ACTIONS(2765),
    [anon_sym_BSLASHqt] = ACTIONS(2765),
    [anon_sym_BSLASHsig] = ACTIONS(2765),
    [anon_sym_BSLASHsls] = ACTIONS(2765),
    [anon_sym_BSLASHtl] = ACTIONS(2765),
    [anon_sym_BSLASHwj] = ACTIONS(2765),
    [anon_sym_BSLASHem] = ACTIONS(2765),
    [anon_sym_BSLASHbd] = ACTIONS(2765),
    [anon_sym_BSLASHit] = ACTIONS(2765),
    [anon_sym_BSLASHbdit] = ACTIONS(2765),
    [anon_sym_BSLASHno] = ACTIONS(2765),
    [anon_sym_BSLASHsc] = ACTIONS(2765),
    [anon_sym_BSLASHsup] = ACTIONS(2765),
    [anon_sym_BSLASHndx] = ACTIONS(2765),
    [anon_sym_BSLASHpro] = ACTIONS(2765),
    [anon_sym_BSLASHrb] = ACTIONS(2765),
    [anon_sym_BSLASHw] = ACTIONS(2765),
    [anon_sym_BSLASHwg] = ACTIONS(2765),
    [anon_sym_BSLASHwh] = ACTIONS(2765),
    [anon_sym_BSLASHwa] = ACTIONS(2765),
    [anon_sym_BSLASHfig] = ACTIONS(2765),
    [anon_sym_BSLASHjmp] = ACTIONS(2765),
    [anon_sym_BSLASHpb] = ACTIONS(2765),
    [anon_sym_BSLASH] = ACTIONS(2765),
    [sym_milestoneStartTag] = ACTIONS(2765),
    [sym_milestoneEndTag] = ACTIONS(2765),
    [sym_zSpaceTag] = ACTIONS(2765),
    [anon_sym_BSLASHesb] = ACTIONS(2765),
  },
  [509] = {
    [sym__verseMeta] = STATE(522),
    [sym_va] = STATE(522),
    [sym_vp] = STATE(522),
    [aux_sym_v_repeat1] = STATE(522),
    [aux_sym_text_token1] = ACTIONS(5688),
    [anon_sym_BSLASHref] = ACTIONS(5690),
    [anon_sym_BSLASHsts] = ACTIONS(5690),
    [anon_sym_BSLASHrem] = ACTIONS(5690),
    [anon_sym_BSLASHrestore] = ACTIONS(5690),
    [anon_sym_BSLASHlit] = ACTIONS(5690),
    [anon_sym_BSLASHip] = ACTIONS(5690),
    [anon_sym_BSLASHv] = ACTIONS(5690),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(5690),
    [anon_sym_BSLASHms] = ACTIONS(5690),
    [anon_sym_BSLASHs] = ACTIONS(5690),
    [anon_sym_BSLASHr] = ACTIONS(5690),
    [anon_sym_BSLASHsp] = ACTIONS(5690),
    [anon_sym_BSLASHd] = ACTIONS(5690),
    [anon_sym_BSLASHsd] = ACTIONS(5690),
    [anon_sym_BSLASHp] = ACTIONS(5690),
    [anon_sym_BSLASHm] = ACTIONS(5690),
    [anon_sym_BSLASHpo] = ACTIONS(5690),
    [anon_sym_BSLASHpr] = ACTIONS(5690),
    [anon_sym_BSLASHcls] = ACTIONS(5690),
    [anon_sym_BSLASHpmo] = ACTIONS(5690),
    [anon_sym_BSLASHpm] = ACTIONS(5690),
    [anon_sym_BSLASHpmc] = ACTIONS(5690),
    [anon_sym_BSLASHpmr] = ACTIONS(5690),
    [anon_sym_BSLASHpi] = ACTIONS(5690),
    [anon_sym_BSLASHmi] = ACTIONS(5690),
    [anon_sym_BSLASHnb] = ACTIONS(5690),
    [anon_sym_BSLASHpc] = ACTIONS(5690),
    [anon_sym_BSLASHph] = ACTIONS(5690),
    [anon_sym_BSLASHb] = ACTIONS(5690),
    [anon_sym_BSLASHq] = ACTIONS(5690),
    [anon_sym_BSLASHqr] = ACTIONS(5690),
    [anon_sym_BSLASHqc] = ACTIONS(5690),
    [anon_sym_BSLASHqa] = ACTIONS(5690),
    [anon_sym_BSLASHqm] = ACTIONS(5690),
    [anon_sym_BSLASHqd] = ACTIONS(5690),
    [anon_sym_BSLASHlh] = ACTIONS(5690),
    [anon_sym_BSLASHlf] = ACTIONS(5690),
    [anon_sym_BSLASHli] = ACTIONS(5690),
    [anon_sym_BSLASHlim] = ACTIONS(5690),
    [anon_sym_BSLASHliv] = ACTIONS(5690),
    [anon_sym_BSLASHlik] = ACTIONS(5690),
    [anon_sym_BSLASHlitl] = ACTIONS(5690),
    [anon_sym_BSLASHtr] = ACTIONS(5690),
    [anon_sym_BSLASHf] = ACTIONS(5690),
    [anon_sym_BSLASHfe] = ACTIONS(5690),
    [anon_sym_BSLASHef] = ACTIONS(5690),
    [anon_sym_BSLASHfm] = ACTIONS(5690),
    [anon_sym_BSLASHx] = ACTIONS(5690),
    [anon_sym_BSLASHxt] = ACTIONS(5690),
    [anon_sym_BSLASHrq] = ACTIONS(5690),
    [anon_sym_BSLASHadd] = ACTIONS(5690),
    [anon_sym_BSLASHbk] = ACTIONS(5690),
    [anon_sym_BSLASHdc] = ACTIONS(5690),
    [anon_sym_BSLASHk] = ACTIONS(5690),
    [anon_sym_BSLASHnd] = ACTIONS(5690),
    [anon_sym_BSLASHord] = ACTIONS(5690),
    [anon_sym_BSLASHpn] = ACTIONS(5690),
    [anon_sym_BSLASHpng] = ACTIONS(5690),
    [anon_sym_BSLASHaddpn] = ACTIONS(5690),
    [anon_sym_BSLASHqt] = ACTIONS(5690),
    [anon_sym_BSLASHsig] = ACTIONS(5690),
    [anon_sym_BSLASHsls] = ACTIONS(5690),
    [anon_sym_BSLASHtl] = ACTIONS(5690),
    [anon_sym_BSLASHwj] = ACTIONS(5690),
    [anon_sym_BSLASHem] = ACTIONS(5690),
    [anon_sym_BSLASHbd] = ACTIONS(5690),
    [anon_sym_BSLASHit] = ACTIONS(5690),
    [anon_sym_BSLASHbdit] = ACTIONS(5690),
    [anon_sym_BSLASHno] = ACTIONS(5690),
    [anon_sym_BSLASHsc] = ACTIONS(5690),
    [anon_sym_BSLASHsup] = ACTIONS(5690),
    [anon_sym_BSLASHndx] = ACTIONS(5690),
    [anon_sym_BSLASHpro] = ACTIONS(5690),
    [anon_sym_BSLASHrb] = ACTIONS(5690),
    [anon_sym_BSLASHw] = ACTIONS(5690),
    [anon_sym_BSLASHwg] = ACTIONS(5690),
    [anon_sym_BSLASHwh] = ACTIONS(5690),
    [anon_sym_BSLASHwa] = ACTIONS(5690),
    [anon_sym_BSLASHfig] = ACTIONS(5690),
    [anon_sym_BSLASHjmp] = ACTIONS(5690),
    [anon_sym_BSLASHpb] = ACTIONS(5690),
    [anon_sym_BSLASH] = ACTIONS(5690),
    [sym_milestoneStartTag] = ACTIONS(5690),
    [sym_milestoneEndTag] = ACTIONS(5690),
    [sym_zSpaceTag] = ACTIONS(5690),
    [anon_sym_BSLASHesbe] = ACTIONS(5690),
    [anon_sym_BSLASHcat] = ACTIONS(5690),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHref] = ACTIONS(2713),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHiex] = ACTIONS(2713),
    [anon_sym_BSLASHv] = ACTIONS(2713),
    [anon_sym_BSLASHva] = ACTIONS(2713),
    [anon_sym_BSLASHvp] = ACTIONS(2713),
    [anon_sym_BSLASHc] = ACTIONS(2713),
    [anon_sym_BSLASHcl] = ACTIONS(2713),
    [anon_sym_BSLASHca] = ACTIONS(2713),
    [anon_sym_BSLASHcp] = ACTIONS(2713),
    [anon_sym_BSLASHcd] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqs] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqac] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHx] = ACTIONS(2713),
    [anon_sym_BSLASHxt] = ACTIONS(2713),
    [anon_sym_BSLASHrq] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesb] = ACTIONS(2713),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(2751),
    [aux_sym_text_token1] = ACTIONS(2751),
    [anon_sym_BSLASHref] = ACTIONS(2753),
    [anon_sym_BSLASHsts] = ACTIONS(2753),
    [anon_sym_BSLASHrem] = ACTIONS(2753),
    [anon_sym_BSLASHrestore] = ACTIONS(2753),
    [anon_sym_BSLASHlit] = ACTIONS(2753),
    [anon_sym_BSLASHip] = ACTIONS(2753),
    [anon_sym_BSLASHiex] = ACTIONS(2753),
    [anon_sym_BSLASHv] = ACTIONS(2753),
    [anon_sym_BSLASHva] = ACTIONS(2753),
    [anon_sym_BSLASHvp] = ACTIONS(2753),
    [anon_sym_BSLASHc] = ACTIONS(2753),
    [anon_sym_BSLASHcl] = ACTIONS(2753),
    [anon_sym_BSLASHca] = ACTIONS(2753),
    [anon_sym_BSLASHcp] = ACTIONS(2753),
    [anon_sym_BSLASHcd] = ACTIONS(2753),
    [anon_sym_BSLASHmte] = ACTIONS(2753),
    [anon_sym_BSLASHms] = ACTIONS(2753),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(2753),
    [anon_sym_BSLASHsp] = ACTIONS(2753),
    [anon_sym_BSLASHd] = ACTIONS(2753),
    [anon_sym_BSLASHsd] = ACTIONS(2753),
    [anon_sym_BSLASHp] = ACTIONS(2753),
    [anon_sym_BSLASHm] = ACTIONS(2753),
    [anon_sym_BSLASHpo] = ACTIONS(2753),
    [anon_sym_BSLASHpr] = ACTIONS(2753),
    [anon_sym_BSLASHcls] = ACTIONS(2753),
    [anon_sym_BSLASHpmo] = ACTIONS(2753),
    [anon_sym_BSLASHpm] = ACTIONS(2753),
    [anon_sym_BSLASHpmc] = ACTIONS(2753),
    [anon_sym_BSLASHpmr] = ACTIONS(2753),
    [anon_sym_BSLASHpi] = ACTIONS(2753),
    [anon_sym_BSLASHmi] = ACTIONS(2753),
    [anon_sym_BSLASHnb] = ACTIONS(2753),
    [anon_sym_BSLASHpc] = ACTIONS(2753),
    [anon_sym_BSLASHph] = ACTIONS(2753),
    [anon_sym_BSLASHb] = ACTIONS(2753),
    [anon_sym_BSLASHq] = ACTIONS(2753),
    [anon_sym_BSLASHqr] = ACTIONS(2753),
    [anon_sym_BSLASHqc] = ACTIONS(2753),
    [anon_sym_BSLASHqs] = ACTIONS(2753),
    [anon_sym_BSLASHqa] = ACTIONS(2753),
    [anon_sym_BSLASHqac] = ACTIONS(2753),
    [anon_sym_BSLASHqm] = ACTIONS(2753),
    [anon_sym_BSLASHqd] = ACTIONS(2753),
    [anon_sym_BSLASHlh] = ACTIONS(2753),
    [anon_sym_BSLASHli] = ACTIONS(2753),
    [anon_sym_BSLASHlim] = ACTIONS(2753),
    [anon_sym_BSLASHtr] = ACTIONS(2753),
    [anon_sym_BSLASHf] = ACTIONS(2753),
    [anon_sym_BSLASHfe] = ACTIONS(2753),
    [anon_sym_BSLASHef] = ACTIONS(2753),
    [anon_sym_BSLASHfm] = ACTIONS(2753),
    [anon_sym_BSLASHx] = ACTIONS(2753),
    [anon_sym_BSLASHxt] = ACTIONS(2753),
    [anon_sym_BSLASHrq] = ACTIONS(2753),
    [anon_sym_BSLASHadd] = ACTIONS(2753),
    [anon_sym_BSLASHbk] = ACTIONS(2753),
    [anon_sym_BSLASHdc] = ACTIONS(2753),
    [anon_sym_BSLASHk] = ACTIONS(2753),
    [anon_sym_BSLASHnd] = ACTIONS(2753),
    [anon_sym_BSLASHord] = ACTIONS(2753),
    [anon_sym_BSLASHpn] = ACTIONS(2753),
    [anon_sym_BSLASHpng] = ACTIONS(2753),
    [anon_sym_BSLASHaddpn] = ACTIONS(2753),
    [anon_sym_BSLASHqt] = ACTIONS(2753),
    [anon_sym_BSLASHsig] = ACTIONS(2753),
    [anon_sym_BSLASHsls] = ACTIONS(2753),
    [anon_sym_BSLASHtl] = ACTIONS(2753),
    [anon_sym_BSLASHwj] = ACTIONS(2753),
    [anon_sym_BSLASHem] = ACTIONS(2753),
    [anon_sym_BSLASHbd] = ACTIONS(2753),
    [anon_sym_BSLASHit] = ACTIONS(2753),
    [anon_sym_BSLASHbdit] = ACTIONS(2753),
    [anon_sym_BSLASHno] = ACTIONS(2753),
    [anon_sym_BSLASHsc] = ACTIONS(2753),
    [anon_sym_BSLASHsup] = ACTIONS(2753),
    [anon_sym_BSLASHndx] = ACTIONS(2753),
    [anon_sym_BSLASHpro] = ACTIONS(2753),
    [anon_sym_BSLASHrb] = ACTIONS(2753),
    [anon_sym_BSLASHw] = ACTIONS(2753),
    [anon_sym_BSLASHwg] = ACTIONS(2753),
    [anon_sym_BSLASHwh] = ACTIONS(2753),
    [anon_sym_BSLASHwa] = ACTIONS(2753),
    [anon_sym_BSLASHfig] = ACTIONS(2753),
    [anon_sym_BSLASHjmp] = ACTIONS(2753),
    [anon_sym_BSLASHpb] = ACTIONS(2753),
    [anon_sym_BSLASH] = ACTIONS(2753),
    [sym_milestoneStartTag] = ACTIONS(2753),
    [sym_milestoneEndTag] = ACTIONS(2753),
    [sym_zSpaceTag] = ACTIONS(2753),
    [anon_sym_BSLASHesb] = ACTIONS(2753),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(5998),
    [aux_sym_text_token1] = ACTIONS(5998),
    [anon_sym_BSLASHref] = ACTIONS(6000),
    [anon_sym_BSLASHsts] = ACTIONS(6000),
    [anon_sym_BSLASHrem] = ACTIONS(6000),
    [anon_sym_BSLASHrestore] = ACTIONS(6000),
    [anon_sym_BSLASHlit] = ACTIONS(6000),
    [anon_sym_BSLASHip] = ACTIONS(6000),
    [anon_sym_BSLASHiex] = ACTIONS(6000),
    [anon_sym_BSLASHv] = ACTIONS(6000),
    [anon_sym_BSLASHva] = ACTIONS(6000),
    [anon_sym_BSLASHvp] = ACTIONS(6000),
    [anon_sym_BSLASHc] = ACTIONS(6000),
    [anon_sym_BSLASHcl] = ACTIONS(6000),
    [anon_sym_BSLASHca] = ACTIONS(6000),
    [anon_sym_BSLASHcp] = ACTIONS(6000),
    [anon_sym_BSLASHcd] = ACTIONS(6000),
    [anon_sym_BSLASHmte] = ACTIONS(6000),
    [anon_sym_BSLASHms] = ACTIONS(6000),
    [anon_sym_BSLASHs] = ACTIONS(6000),
    [anon_sym_BSLASHr] = ACTIONS(6000),
    [anon_sym_BSLASHsp] = ACTIONS(6000),
    [anon_sym_BSLASHd] = ACTIONS(6000),
    [anon_sym_BSLASHsd] = ACTIONS(6000),
    [anon_sym_BSLASHp] = ACTIONS(6000),
    [anon_sym_BSLASHm] = ACTIONS(6000),
    [anon_sym_BSLASHpo] = ACTIONS(6000),
    [anon_sym_BSLASHpr] = ACTIONS(6000),
    [anon_sym_BSLASHcls] = ACTIONS(6000),
    [anon_sym_BSLASHpmo] = ACTIONS(6000),
    [anon_sym_BSLASHpm] = ACTIONS(6000),
    [anon_sym_BSLASHpmc] = ACTIONS(6000),
    [anon_sym_BSLASHpmr] = ACTIONS(6000),
    [anon_sym_BSLASHpi] = ACTIONS(6000),
    [anon_sym_BSLASHmi] = ACTIONS(6000),
    [anon_sym_BSLASHnb] = ACTIONS(6000),
    [anon_sym_BSLASHpc] = ACTIONS(6000),
    [anon_sym_BSLASHph] = ACTIONS(6000),
    [anon_sym_BSLASHb] = ACTIONS(6000),
    [anon_sym_BSLASHq] = ACTIONS(6000),
    [anon_sym_BSLASHqr] = ACTIONS(6000),
    [anon_sym_BSLASHqc] = ACTIONS(6000),
    [anon_sym_BSLASHqs] = ACTIONS(6000),
    [anon_sym_BSLASHqa] = ACTIONS(6000),
    [anon_sym_BSLASHqac] = ACTIONS(6000),
    [anon_sym_BSLASHqm] = ACTIONS(6000),
    [anon_sym_BSLASHqd] = ACTIONS(6000),
    [anon_sym_BSLASHlh] = ACTIONS(6000),
    [anon_sym_BSLASHli] = ACTIONS(6000),
    [anon_sym_BSLASHlim] = ACTIONS(6000),
    [anon_sym_BSLASHtr] = ACTIONS(6000),
    [anon_sym_BSLASHf] = ACTIONS(6000),
    [anon_sym_BSLASHfe] = ACTIONS(6000),
    [anon_sym_BSLASHef] = ACTIONS(6000),
    [anon_sym_BSLASHfm] = ACTIONS(6000),
    [anon_sym_BSLASHx] = ACTIONS(6000),
    [anon_sym_BSLASHxt] = ACTIONS(6000),
    [anon_sym_BSLASHrq] = ACTIONS(6000),
    [anon_sym_BSLASHadd] = ACTIONS(6000),
    [anon_sym_BSLASHbk] = ACTIONS(6000),
    [anon_sym_BSLASHdc] = ACTIONS(6000),
    [anon_sym_BSLASHk] = ACTIONS(6000),
    [anon_sym_BSLASHnd] = ACTIONS(6000),
    [anon_sym_BSLASHord] = ACTIONS(6000),
    [anon_sym_BSLASHpn] = ACTIONS(6000),
    [anon_sym_BSLASHpng] = ACTIONS(6000),
    [anon_sym_BSLASHaddpn] = ACTIONS(6000),
    [anon_sym_BSLASHqt] = ACTIONS(6000),
    [anon_sym_BSLASHsig] = ACTIONS(6000),
    [anon_sym_BSLASHsls] = ACTIONS(6000),
    [anon_sym_BSLASHtl] = ACTIONS(6000),
    [anon_sym_BSLASHwj] = ACTIONS(6000),
    [anon_sym_BSLASHem] = ACTIONS(6000),
    [anon_sym_BSLASHbd] = ACTIONS(6000),
    [anon_sym_BSLASHit] = ACTIONS(6000),
    [anon_sym_BSLASHbdit] = ACTIONS(6000),
    [anon_sym_BSLASHno] = ACTIONS(6000),
    [anon_sym_BSLASHsc] = ACTIONS(6000),
    [anon_sym_BSLASHsup] = ACTIONS(6000),
    [anon_sym_BSLASHndx] = ACTIONS(6000),
    [anon_sym_BSLASHpro] = ACTIONS(6000),
    [anon_sym_BSLASHrb] = ACTIONS(6000),
    [anon_sym_BSLASHw] = ACTIONS(6000),
    [anon_sym_BSLASHwg] = ACTIONS(6000),
    [anon_sym_BSLASHwh] = ACTIONS(6000),
    [anon_sym_BSLASHwa] = ACTIONS(6000),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASHjmp] = ACTIONS(6000),
    [anon_sym_BSLASHpb] = ACTIONS(6000),
    [anon_sym_BSLASH] = ACTIONS(6000),
    [sym_milestoneStartTag] = ACTIONS(6000),
    [sym_milestoneEndTag] = ACTIONS(6000),
    [sym_zSpaceTag] = ACTIONS(6000),
    [anon_sym_BSLASHesb] = ACTIONS(6000),
  },
  [513] = {
    [sym__milestoneAttributes] = STATE(2146),
    [aux_sym_text_token1] = ACTIONS(5568),
    [anon_sym_BSLASHref] = ACTIONS(5570),
    [anon_sym_BSLASHsts] = ACTIONS(5570),
    [anon_sym_BSLASHrem] = ACTIONS(5570),
    [anon_sym_BSLASHrestore] = ACTIONS(5570),
    [anon_sym_BSLASHlit] = ACTIONS(5570),
    [anon_sym_BSLASHip] = ACTIONS(5570),
    [anon_sym_BSLASHv] = ACTIONS(5570),
    [anon_sym_BSLASHva] = ACTIONS(5570),
    [anon_sym_BSLASHvp] = ACTIONS(5570),
    [anon_sym_BSLASHmte] = ACTIONS(5570),
    [anon_sym_BSLASHms] = ACTIONS(5570),
    [anon_sym_BSLASHs] = ACTIONS(5570),
    [anon_sym_BSLASHr] = ACTIONS(5570),
    [anon_sym_BSLASHsp] = ACTIONS(5570),
    [anon_sym_BSLASHd] = ACTIONS(5570),
    [anon_sym_BSLASHsd] = ACTIONS(5570),
    [anon_sym_BSLASHp] = ACTIONS(5570),
    [anon_sym_BSLASHm] = ACTIONS(5570),
    [anon_sym_BSLASHpo] = ACTIONS(5570),
    [anon_sym_BSLASHpr] = ACTIONS(5570),
    [anon_sym_BSLASHcls] = ACTIONS(5570),
    [anon_sym_BSLASHpmo] = ACTIONS(5570),
    [anon_sym_BSLASHpm] = ACTIONS(5570),
    [anon_sym_BSLASHpmc] = ACTIONS(5570),
    [anon_sym_BSLASHpmr] = ACTIONS(5570),
    [anon_sym_BSLASHpi] = ACTIONS(5570),
    [anon_sym_BSLASHmi] = ACTIONS(5570),
    [anon_sym_BSLASHnb] = ACTIONS(5570),
    [anon_sym_BSLASHpc] = ACTIONS(5570),
    [anon_sym_BSLASHph] = ACTIONS(5570),
    [anon_sym_BSLASHb] = ACTIONS(5570),
    [anon_sym_BSLASHq] = ACTIONS(5570),
    [anon_sym_BSLASHqr] = ACTIONS(5570),
    [anon_sym_BSLASHqc] = ACTIONS(5570),
    [anon_sym_BSLASHqa] = ACTIONS(5570),
    [anon_sym_BSLASHqm] = ACTIONS(5570),
    [anon_sym_BSLASHqd] = ACTIONS(5570),
    [anon_sym_BSLASHlh] = ACTIONS(5570),
    [anon_sym_BSLASHlf] = ACTIONS(5570),
    [anon_sym_BSLASHli] = ACTIONS(5570),
    [anon_sym_BSLASHlim] = ACTIONS(5570),
    [anon_sym_BSLASHliv] = ACTIONS(5570),
    [anon_sym_BSLASHlik] = ACTIONS(5570),
    [anon_sym_BSLASHlitl] = ACTIONS(5570),
    [anon_sym_BSLASHtr] = ACTIONS(5570),
    [anon_sym_BSLASHf] = ACTIONS(5570),
    [anon_sym_BSLASHfe] = ACTIONS(5570),
    [anon_sym_BSLASHef] = ACTIONS(5570),
    [anon_sym_BSLASHfm] = ACTIONS(5570),
    [anon_sym_BSLASHx] = ACTIONS(5570),
    [anon_sym_BSLASHxt] = ACTIONS(5570),
    [anon_sym_BSLASHrq] = ACTIONS(5570),
    [anon_sym_BSLASHadd] = ACTIONS(5570),
    [anon_sym_BSLASHbk] = ACTIONS(5570),
    [anon_sym_BSLASHdc] = ACTIONS(5570),
    [anon_sym_BSLASHk] = ACTIONS(5570),
    [anon_sym_BSLASHnd] = ACTIONS(5570),
    [anon_sym_BSLASHord] = ACTIONS(5570),
    [anon_sym_BSLASHpn] = ACTIONS(5570),
    [anon_sym_BSLASHpng] = ACTIONS(5570),
    [anon_sym_BSLASHaddpn] = ACTIONS(5570),
    [anon_sym_BSLASHqt] = ACTIONS(5570),
    [anon_sym_BSLASHsig] = ACTIONS(5570),
    [anon_sym_BSLASHsls] = ACTIONS(5570),
    [anon_sym_BSLASHtl] = ACTIONS(5570),
    [anon_sym_BSLASHwj] = ACTIONS(5570),
    [anon_sym_BSLASHem] = ACTIONS(5570),
    [anon_sym_BSLASHbd] = ACTIONS(5570),
    [anon_sym_BSLASHit] = ACTIONS(5570),
    [anon_sym_BSLASHbdit] = ACTIONS(5570),
    [anon_sym_BSLASHno] = ACTIONS(5570),
    [anon_sym_BSLASHsc] = ACTIONS(5570),
    [anon_sym_BSLASHsup] = ACTIONS(5570),
    [anon_sym_BSLASHndx] = ACTIONS(5570),
    [anon_sym_BSLASHpro] = ACTIONS(5570),
    [anon_sym_BSLASHrb] = ACTIONS(5570),
    [anon_sym_BSLASHw] = ACTIONS(5570),
    [anon_sym_BSLASHwg] = ACTIONS(5570),
    [anon_sym_BSLASHwh] = ACTIONS(5570),
    [anon_sym_BSLASHwa] = ACTIONS(5570),
    [anon_sym_BSLASHfig] = ACTIONS(5570),
    [anon_sym_BSLASHjmp] = ACTIONS(5570),
    [anon_sym_BSLASHpb] = ACTIONS(5570),
    [anon_sym_BSLASH] = ACTIONS(5570),
    [anon_sym_BSLASH_STAR] = ACTIONS(6046),
    [sym_milestoneStartTag] = ACTIONS(5570),
    [sym_milestoneEndTag] = ACTIONS(5570),
    [sym_zSpaceTag] = ACTIONS(5570),
    [sym__zSpaceClose] = ACTIONS(6048),
    [anon_sym_BSLASHesbe] = ACTIONS(5570),
    [anon_sym_BSLASHcat] = ACTIONS(5570),
    [anon_sym_PIPE] = ACTIONS(5566),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(5982),
    [aux_sym_text_token1] = ACTIONS(5982),
    [anon_sym_BSLASHref] = ACTIONS(5984),
    [anon_sym_BSLASHsts] = ACTIONS(5984),
    [anon_sym_BSLASHrem] = ACTIONS(5984),
    [anon_sym_BSLASHrestore] = ACTIONS(5984),
    [anon_sym_BSLASHlit] = ACTIONS(5984),
    [anon_sym_BSLASHip] = ACTIONS(5984),
    [anon_sym_BSLASHiex] = ACTIONS(5984),
    [anon_sym_BSLASHv] = ACTIONS(5984),
    [anon_sym_BSLASHva] = ACTIONS(5984),
    [anon_sym_BSLASHvp] = ACTIONS(5984),
    [anon_sym_BSLASHc] = ACTIONS(5984),
    [anon_sym_BSLASHcl] = ACTIONS(5984),
    [anon_sym_BSLASHca] = ACTIONS(5984),
    [anon_sym_BSLASHcp] = ACTIONS(5984),
    [anon_sym_BSLASHcd] = ACTIONS(5984),
    [anon_sym_BSLASHmte] = ACTIONS(5984),
    [anon_sym_BSLASHms] = ACTIONS(5984),
    [anon_sym_BSLASHs] = ACTIONS(5984),
    [anon_sym_BSLASHr] = ACTIONS(5984),
    [anon_sym_BSLASHsp] = ACTIONS(5984),
    [anon_sym_BSLASHd] = ACTIONS(5984),
    [anon_sym_BSLASHsd] = ACTIONS(5984),
    [anon_sym_BSLASHp] = ACTIONS(5984),
    [anon_sym_BSLASHm] = ACTIONS(5984),
    [anon_sym_BSLASHpo] = ACTIONS(5984),
    [anon_sym_BSLASHpr] = ACTIONS(5984),
    [anon_sym_BSLASHcls] = ACTIONS(5984),
    [anon_sym_BSLASHpmo] = ACTIONS(5984),
    [anon_sym_BSLASHpm] = ACTIONS(5984),
    [anon_sym_BSLASHpmc] = ACTIONS(5984),
    [anon_sym_BSLASHpmr] = ACTIONS(5984),
    [anon_sym_BSLASHpi] = ACTIONS(5984),
    [anon_sym_BSLASHmi] = ACTIONS(5984),
    [anon_sym_BSLASHnb] = ACTIONS(5984),
    [anon_sym_BSLASHpc] = ACTIONS(5984),
    [anon_sym_BSLASHph] = ACTIONS(5984),
    [anon_sym_BSLASHb] = ACTIONS(5984),
    [anon_sym_BSLASHq] = ACTIONS(5984),
    [anon_sym_BSLASHqr] = ACTIONS(5984),
    [anon_sym_BSLASHqc] = ACTIONS(5984),
    [anon_sym_BSLASHqs] = ACTIONS(5984),
    [anon_sym_BSLASHqa] = ACTIONS(5984),
    [anon_sym_BSLASHqac] = ACTIONS(5984),
    [anon_sym_BSLASHqm] = ACTIONS(5984),
    [anon_sym_BSLASHqd] = ACTIONS(5984),
    [anon_sym_BSLASHlh] = ACTIONS(5984),
    [anon_sym_BSLASHli] = ACTIONS(5984),
    [anon_sym_BSLASHlim] = ACTIONS(5984),
    [anon_sym_BSLASHtr] = ACTIONS(5984),
    [anon_sym_BSLASHf] = ACTIONS(5984),
    [anon_sym_BSLASHfe] = ACTIONS(5984),
    [anon_sym_BSLASHef] = ACTIONS(5984),
    [anon_sym_BSLASHfm] = ACTIONS(5984),
    [anon_sym_BSLASHx] = ACTIONS(5984),
    [anon_sym_BSLASHxt] = ACTIONS(5984),
    [anon_sym_BSLASHrq] = ACTIONS(5984),
    [anon_sym_BSLASHadd] = ACTIONS(5984),
    [anon_sym_BSLASHbk] = ACTIONS(5984),
    [anon_sym_BSLASHdc] = ACTIONS(5984),
    [anon_sym_BSLASHk] = ACTIONS(5984),
    [anon_sym_BSLASHnd] = ACTIONS(5984),
    [anon_sym_BSLASHord] = ACTIONS(5984),
    [anon_sym_BSLASHpn] = ACTIONS(5984),
    [anon_sym_BSLASHpng] = ACTIONS(5984),
    [anon_sym_BSLASHaddpn] = ACTIONS(5984),
    [anon_sym_BSLASHqt] = ACTIONS(5984),
    [anon_sym_BSLASHsig] = ACTIONS(5984),
    [anon_sym_BSLASHsls] = ACTIONS(5984),
    [anon_sym_BSLASHtl] = ACTIONS(5984),
    [anon_sym_BSLASHwj] = ACTIONS(5984),
    [anon_sym_BSLASHem] = ACTIONS(5984),
    [anon_sym_BSLASHbd] = ACTIONS(5984),
    [anon_sym_BSLASHit] = ACTIONS(5984),
    [anon_sym_BSLASHbdit] = ACTIONS(5984),
    [anon_sym_BSLASHno] = ACTIONS(5984),
    [anon_sym_BSLASHsc] = ACTIONS(5984),
    [anon_sym_BSLASHsup] = ACTIONS(5984),
    [anon_sym_BSLASHndx] = ACTIONS(5984),
    [anon_sym_BSLASHpro] = ACTIONS(5984),
    [anon_sym_BSLASHrb] = ACTIONS(5984),
    [anon_sym_BSLASHw] = ACTIONS(5984),
    [anon_sym_BSLASHwg] = ACTIONS(5984),
    [anon_sym_BSLASHwh] = ACTIONS(5984),
    [anon_sym_BSLASHwa] = ACTIONS(5984),
    [anon_sym_BSLASHfig] = ACTIONS(5984),
    [anon_sym_BSLASHjmp] = ACTIONS(5984),
    [anon_sym_BSLASHpb] = ACTIONS(5984),
    [anon_sym_BSLASH] = ACTIONS(5984),
    [sym_milestoneStartTag] = ACTIONS(5984),
    [sym_milestoneEndTag] = ACTIONS(5984),
    [sym_zSpaceTag] = ACTIONS(5984),
    [anon_sym_BSLASHesb] = ACTIONS(5984),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(5986),
    [aux_sym_text_token1] = ACTIONS(5986),
    [anon_sym_BSLASHref] = ACTIONS(5988),
    [anon_sym_BSLASHsts] = ACTIONS(5988),
    [anon_sym_BSLASHrem] = ACTIONS(5988),
    [anon_sym_BSLASHrestore] = ACTIONS(5988),
    [anon_sym_BSLASHlit] = ACTIONS(5988),
    [anon_sym_BSLASHip] = ACTIONS(5988),
    [anon_sym_BSLASHiex] = ACTIONS(5988),
    [anon_sym_BSLASHv] = ACTIONS(5988),
    [anon_sym_BSLASHva] = ACTIONS(5988),
    [anon_sym_BSLASHvp] = ACTIONS(5988),
    [anon_sym_BSLASHc] = ACTIONS(5988),
    [anon_sym_BSLASHcl] = ACTIONS(5988),
    [anon_sym_BSLASHca] = ACTIONS(5988),
    [anon_sym_BSLASHcp] = ACTIONS(5988),
    [anon_sym_BSLASHcd] = ACTIONS(5988),
    [anon_sym_BSLASHmte] = ACTIONS(5988),
    [anon_sym_BSLASHms] = ACTIONS(5988),
    [anon_sym_BSLASHs] = ACTIONS(5988),
    [anon_sym_BSLASHr] = ACTIONS(5988),
    [anon_sym_BSLASHsp] = ACTIONS(5988),
    [anon_sym_BSLASHd] = ACTIONS(5988),
    [anon_sym_BSLASHsd] = ACTIONS(5988),
    [anon_sym_BSLASHp] = ACTIONS(5988),
    [anon_sym_BSLASHm] = ACTIONS(5988),
    [anon_sym_BSLASHpo] = ACTIONS(5988),
    [anon_sym_BSLASHpr] = ACTIONS(5988),
    [anon_sym_BSLASHcls] = ACTIONS(5988),
    [anon_sym_BSLASHpmo] = ACTIONS(5988),
    [anon_sym_BSLASHpm] = ACTIONS(5988),
    [anon_sym_BSLASHpmc] = ACTIONS(5988),
    [anon_sym_BSLASHpmr] = ACTIONS(5988),
    [anon_sym_BSLASHpi] = ACTIONS(5988),
    [anon_sym_BSLASHmi] = ACTIONS(5988),
    [anon_sym_BSLASHnb] = ACTIONS(5988),
    [anon_sym_BSLASHpc] = ACTIONS(5988),
    [anon_sym_BSLASHph] = ACTIONS(5988),
    [anon_sym_BSLASHb] = ACTIONS(5988),
    [anon_sym_BSLASHq] = ACTIONS(5988),
    [anon_sym_BSLASHqr] = ACTIONS(5988),
    [anon_sym_BSLASHqc] = ACTIONS(5988),
    [anon_sym_BSLASHqs] = ACTIONS(5988),
    [anon_sym_BSLASHqa] = ACTIONS(5988),
    [anon_sym_BSLASHqac] = ACTIONS(5988),
    [anon_sym_BSLASHqm] = ACTIONS(5988),
    [anon_sym_BSLASHqd] = ACTIONS(5988),
    [anon_sym_BSLASHlh] = ACTIONS(5988),
    [anon_sym_BSLASHli] = ACTIONS(5988),
    [anon_sym_BSLASHlim] = ACTIONS(5988),
    [anon_sym_BSLASHtr] = ACTIONS(5988),
    [anon_sym_BSLASHf] = ACTIONS(5988),
    [anon_sym_BSLASHfe] = ACTIONS(5988),
    [anon_sym_BSLASHef] = ACTIONS(5988),
    [anon_sym_BSLASHfm] = ACTIONS(5988),
    [anon_sym_BSLASHx] = ACTIONS(5988),
    [anon_sym_BSLASHxt] = ACTIONS(5988),
    [anon_sym_BSLASHrq] = ACTIONS(5988),
    [anon_sym_BSLASHadd] = ACTIONS(5988),
    [anon_sym_BSLASHbk] = ACTIONS(5988),
    [anon_sym_BSLASHdc] = ACTIONS(5988),
    [anon_sym_BSLASHk] = ACTIONS(5988),
    [anon_sym_BSLASHnd] = ACTIONS(5988),
    [anon_sym_BSLASHord] = ACTIONS(5988),
    [anon_sym_BSLASHpn] = ACTIONS(5988),
    [anon_sym_BSLASHpng] = ACTIONS(5988),
    [anon_sym_BSLASHaddpn] = ACTIONS(5988),
    [anon_sym_BSLASHqt] = ACTIONS(5988),
    [anon_sym_BSLASHsig] = ACTIONS(5988),
    [anon_sym_BSLASHsls] = ACTIONS(5988),
    [anon_sym_BSLASHtl] = ACTIONS(5988),
    [anon_sym_BSLASHwj] = ACTIONS(5988),
    [anon_sym_BSLASHem] = ACTIONS(5988),
    [anon_sym_BSLASHbd] = ACTIONS(5988),
    [anon_sym_BSLASHit] = ACTIONS(5988),
    [anon_sym_BSLASHbdit] = ACTIONS(5988),
    [anon_sym_BSLASHno] = ACTIONS(5988),
    [anon_sym_BSLASHsc] = ACTIONS(5988),
    [anon_sym_BSLASHsup] = ACTIONS(5988),
    [anon_sym_BSLASHndx] = ACTIONS(5988),
    [anon_sym_BSLASHpro] = ACTIONS(5988),
    [anon_sym_BSLASHrb] = ACTIONS(5988),
    [anon_sym_BSLASHw] = ACTIONS(5988),
    [anon_sym_BSLASHwg] = ACTIONS(5988),
    [anon_sym_BSLASHwh] = ACTIONS(5988),
    [anon_sym_BSLASHwa] = ACTIONS(5988),
    [anon_sym_BSLASHfig] = ACTIONS(5988),
    [anon_sym_BSLASHjmp] = ACTIONS(5988),
    [anon_sym_BSLASHpb] = ACTIONS(5988),
    [anon_sym_BSLASH] = ACTIONS(5988),
    [sym_milestoneStartTag] = ACTIONS(5988),
    [sym_milestoneEndTag] = ACTIONS(5988),
    [sym_zSpaceTag] = ACTIONS(5988),
    [anon_sym_BSLASHesb] = ACTIONS(5988),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(5978),
    [aux_sym_text_token1] = ACTIONS(5978),
    [anon_sym_BSLASHref] = ACTIONS(5980),
    [anon_sym_BSLASHsts] = ACTIONS(5980),
    [anon_sym_BSLASHrem] = ACTIONS(5980),
    [anon_sym_BSLASHrestore] = ACTIONS(5980),
    [anon_sym_BSLASHlit] = ACTIONS(5980),
    [anon_sym_BSLASHip] = ACTIONS(5980),
    [anon_sym_BSLASHiex] = ACTIONS(5980),
    [anon_sym_BSLASHv] = ACTIONS(5980),
    [anon_sym_BSLASHva] = ACTIONS(5980),
    [anon_sym_BSLASHvp] = ACTIONS(5980),
    [anon_sym_BSLASHc] = ACTIONS(5980),
    [anon_sym_BSLASHcl] = ACTIONS(5980),
    [anon_sym_BSLASHca] = ACTIONS(5980),
    [anon_sym_BSLASHcp] = ACTIONS(5980),
    [anon_sym_BSLASHcd] = ACTIONS(5980),
    [anon_sym_BSLASHmte] = ACTIONS(5980),
    [anon_sym_BSLASHms] = ACTIONS(5980),
    [anon_sym_BSLASHs] = ACTIONS(5980),
    [anon_sym_BSLASHr] = ACTIONS(5980),
    [anon_sym_BSLASHsp] = ACTIONS(5980),
    [anon_sym_BSLASHd] = ACTIONS(5980),
    [anon_sym_BSLASHsd] = ACTIONS(5980),
    [anon_sym_BSLASHp] = ACTIONS(5980),
    [anon_sym_BSLASHm] = ACTIONS(5980),
    [anon_sym_BSLASHpo] = ACTIONS(5980),
    [anon_sym_BSLASHpr] = ACTIONS(5980),
    [anon_sym_BSLASHcls] = ACTIONS(5980),
    [anon_sym_BSLASHpmo] = ACTIONS(5980),
    [anon_sym_BSLASHpm] = ACTIONS(5980),
    [anon_sym_BSLASHpmc] = ACTIONS(5980),
    [anon_sym_BSLASHpmr] = ACTIONS(5980),
    [anon_sym_BSLASHpi] = ACTIONS(5980),
    [anon_sym_BSLASHmi] = ACTIONS(5980),
    [anon_sym_BSLASHnb] = ACTIONS(5980),
    [anon_sym_BSLASHpc] = ACTIONS(5980),
    [anon_sym_BSLASHph] = ACTIONS(5980),
    [anon_sym_BSLASHb] = ACTIONS(5980),
    [anon_sym_BSLASHq] = ACTIONS(5980),
    [anon_sym_BSLASHqr] = ACTIONS(5980),
    [anon_sym_BSLASHqc] = ACTIONS(5980),
    [anon_sym_BSLASHqs] = ACTIONS(5980),
    [anon_sym_BSLASHqa] = ACTIONS(5980),
    [anon_sym_BSLASHqac] = ACTIONS(5980),
    [anon_sym_BSLASHqm] = ACTIONS(5980),
    [anon_sym_BSLASHqd] = ACTIONS(5980),
    [anon_sym_BSLASHlh] = ACTIONS(5980),
    [anon_sym_BSLASHli] = ACTIONS(5980),
    [anon_sym_BSLASHlim] = ACTIONS(5980),
    [anon_sym_BSLASHtr] = ACTIONS(5980),
    [anon_sym_BSLASHf] = ACTIONS(5980),
    [anon_sym_BSLASHfe] = ACTIONS(5980),
    [anon_sym_BSLASHef] = ACTIONS(5980),
    [anon_sym_BSLASHfm] = ACTIONS(5980),
    [anon_sym_BSLASHx] = ACTIONS(5980),
    [anon_sym_BSLASHxt] = ACTIONS(5980),
    [anon_sym_BSLASHrq] = ACTIONS(5980),
    [anon_sym_BSLASHadd] = ACTIONS(5980),
    [anon_sym_BSLASHbk] = ACTIONS(5980),
    [anon_sym_BSLASHdc] = ACTIONS(5980),
    [anon_sym_BSLASHk] = ACTIONS(5980),
    [anon_sym_BSLASHnd] = ACTIONS(5980),
    [anon_sym_BSLASHord] = ACTIONS(5980),
    [anon_sym_BSLASHpn] = ACTIONS(5980),
    [anon_sym_BSLASHpng] = ACTIONS(5980),
    [anon_sym_BSLASHaddpn] = ACTIONS(5980),
    [anon_sym_BSLASHqt] = ACTIONS(5980),
    [anon_sym_BSLASHsig] = ACTIONS(5980),
    [anon_sym_BSLASHsls] = ACTIONS(5980),
    [anon_sym_BSLASHtl] = ACTIONS(5980),
    [anon_sym_BSLASHwj] = ACTIONS(5980),
    [anon_sym_BSLASHem] = ACTIONS(5980),
    [anon_sym_BSLASHbd] = ACTIONS(5980),
    [anon_sym_BSLASHit] = ACTIONS(5980),
    [anon_sym_BSLASHbdit] = ACTIONS(5980),
    [anon_sym_BSLASHno] = ACTIONS(5980),
    [anon_sym_BSLASHsc] = ACTIONS(5980),
    [anon_sym_BSLASHsup] = ACTIONS(5980),
    [anon_sym_BSLASHndx] = ACTIONS(5980),
    [anon_sym_BSLASHpro] = ACTIONS(5980),
    [anon_sym_BSLASHrb] = ACTIONS(5980),
    [anon_sym_BSLASHw] = ACTIONS(5980),
    [anon_sym_BSLASHwg] = ACTIONS(5980),
    [anon_sym_BSLASHwh] = ACTIONS(5980),
    [anon_sym_BSLASHwa] = ACTIONS(5980),
    [anon_sym_BSLASHfig] = ACTIONS(5980),
    [anon_sym_BSLASHjmp] = ACTIONS(5980),
    [anon_sym_BSLASHpb] = ACTIONS(5980),
    [anon_sym_BSLASH] = ACTIONS(5980),
    [sym_milestoneStartTag] = ACTIONS(5980),
    [sym_milestoneEndTag] = ACTIONS(5980),
    [sym_zSpaceTag] = ACTIONS(5980),
    [anon_sym_BSLASHesb] = ACTIONS(5980),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [aux_sym_text_token1] = ACTIONS(2795),
    [anon_sym_BSLASHref] = ACTIONS(2797),
    [anon_sym_BSLASHsts] = ACTIONS(2797),
    [anon_sym_BSLASHrem] = ACTIONS(2797),
    [anon_sym_BSLASHrestore] = ACTIONS(2797),
    [anon_sym_BSLASHlit] = ACTIONS(2797),
    [anon_sym_BSLASHip] = ACTIONS(2797),
    [anon_sym_BSLASHiex] = ACTIONS(2797),
    [anon_sym_BSLASHv] = ACTIONS(2797),
    [anon_sym_BSLASHva] = ACTIONS(2797),
    [anon_sym_BSLASHvp] = ACTIONS(2797),
    [anon_sym_BSLASHc] = ACTIONS(2797),
    [anon_sym_BSLASHcl] = ACTIONS(2797),
    [anon_sym_BSLASHca] = ACTIONS(2797),
    [anon_sym_BSLASHcp] = ACTIONS(2797),
    [anon_sym_BSLASHcd] = ACTIONS(2797),
    [anon_sym_BSLASHmte] = ACTIONS(2797),
    [anon_sym_BSLASHms] = ACTIONS(2797),
    [anon_sym_BSLASHs] = ACTIONS(2797),
    [anon_sym_BSLASHr] = ACTIONS(2797),
    [anon_sym_BSLASHsp] = ACTIONS(2797),
    [anon_sym_BSLASHd] = ACTIONS(2797),
    [anon_sym_BSLASHsd] = ACTIONS(2797),
    [anon_sym_BSLASHp] = ACTIONS(2797),
    [anon_sym_BSLASHm] = ACTIONS(2797),
    [anon_sym_BSLASHpo] = ACTIONS(2797),
    [anon_sym_BSLASHpr] = ACTIONS(2797),
    [anon_sym_BSLASHcls] = ACTIONS(2797),
    [anon_sym_BSLASHpmo] = ACTIONS(2797),
    [anon_sym_BSLASHpm] = ACTIONS(2797),
    [anon_sym_BSLASHpmc] = ACTIONS(2797),
    [anon_sym_BSLASHpmr] = ACTIONS(2797),
    [anon_sym_BSLASHpi] = ACTIONS(2797),
    [anon_sym_BSLASHmi] = ACTIONS(2797),
    [anon_sym_BSLASHnb] = ACTIONS(2797),
    [anon_sym_BSLASHpc] = ACTIONS(2797),
    [anon_sym_BSLASHph] = ACTIONS(2797),
    [anon_sym_BSLASHb] = ACTIONS(2797),
    [anon_sym_BSLASHq] = ACTIONS(2797),
    [anon_sym_BSLASHqr] = ACTIONS(2797),
    [anon_sym_BSLASHqc] = ACTIONS(2797),
    [anon_sym_BSLASHqs] = ACTIONS(2797),
    [anon_sym_BSLASHqa] = ACTIONS(2797),
    [anon_sym_BSLASHqac] = ACTIONS(2797),
    [anon_sym_BSLASHqm] = ACTIONS(2797),
    [anon_sym_BSLASHqd] = ACTIONS(2797),
    [anon_sym_BSLASHlh] = ACTIONS(2797),
    [anon_sym_BSLASHli] = ACTIONS(2797),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2797),
    [anon_sym_BSLASHf] = ACTIONS(2797),
    [anon_sym_BSLASHfe] = ACTIONS(2797),
    [anon_sym_BSLASHef] = ACTIONS(2797),
    [anon_sym_BSLASHfm] = ACTIONS(2797),
    [anon_sym_BSLASHx] = ACTIONS(2797),
    [anon_sym_BSLASHxt] = ACTIONS(2797),
    [anon_sym_BSLASHrq] = ACTIONS(2797),
    [anon_sym_BSLASHadd] = ACTIONS(2797),
    [anon_sym_BSLASHbk] = ACTIONS(2797),
    [anon_sym_BSLASHdc] = ACTIONS(2797),
    [anon_sym_BSLASHk] = ACTIONS(2797),
    [anon_sym_BSLASHnd] = ACTIONS(2797),
    [anon_sym_BSLASHord] = ACTIONS(2797),
    [anon_sym_BSLASHpn] = ACTIONS(2797),
    [anon_sym_BSLASHpng] = ACTIONS(2797),
    [anon_sym_BSLASHaddpn] = ACTIONS(2797),
    [anon_sym_BSLASHqt] = ACTIONS(2797),
    [anon_sym_BSLASHsig] = ACTIONS(2797),
    [anon_sym_BSLASHsls] = ACTIONS(2797),
    [anon_sym_BSLASHtl] = ACTIONS(2797),
    [anon_sym_BSLASHwj] = ACTIONS(2797),
    [anon_sym_BSLASHem] = ACTIONS(2797),
    [anon_sym_BSLASHbd] = ACTIONS(2797),
    [anon_sym_BSLASHit] = ACTIONS(2797),
    [anon_sym_BSLASHbdit] = ACTIONS(2797),
    [anon_sym_BSLASHno] = ACTIONS(2797),
    [anon_sym_BSLASHsc] = ACTIONS(2797),
    [anon_sym_BSLASHsup] = ACTIONS(2797),
    [anon_sym_BSLASHndx] = ACTIONS(2797),
    [anon_sym_BSLASHpro] = ACTIONS(2797),
    [anon_sym_BSLASHrb] = ACTIONS(2797),
    [anon_sym_BSLASHw] = ACTIONS(2797),
    [anon_sym_BSLASHwg] = ACTIONS(2797),
    [anon_sym_BSLASHwh] = ACTIONS(2797),
    [anon_sym_BSLASHwa] = ACTIONS(2797),
    [anon_sym_BSLASHfig] = ACTIONS(2797),
    [anon_sym_BSLASHjmp] = ACTIONS(2797),
    [anon_sym_BSLASHpb] = ACTIONS(2797),
    [anon_sym_BSLASH] = ACTIONS(2797),
    [sym_milestoneStartTag] = ACTIONS(2797),
    [sym_milestoneEndTag] = ACTIONS(2797),
    [sym_zSpaceTag] = ACTIONS(2797),
    [anon_sym_BSLASHesb] = ACTIONS(2797),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(2695),
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHref] = ACTIONS(2697),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHiex] = ACTIONS(2697),
    [anon_sym_BSLASHv] = ACTIONS(2697),
    [anon_sym_BSLASHva] = ACTIONS(2697),
    [anon_sym_BSLASHvp] = ACTIONS(2697),
    [anon_sym_BSLASHc] = ACTIONS(2697),
    [anon_sym_BSLASHcl] = ACTIONS(2697),
    [anon_sym_BSLASHca] = ACTIONS(2697),
    [anon_sym_BSLASHcp] = ACTIONS(2697),
    [anon_sym_BSLASHcd] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqs] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqac] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHx] = ACTIONS(2697),
    [anon_sym_BSLASHxt] = ACTIONS(2697),
    [anon_sym_BSLASHrq] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesb] = ACTIONS(2697),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(45),
    [aux_sym_text_token1] = ACTIONS(45),
    [anon_sym_BSLASHref] = ACTIONS(47),
    [anon_sym_BSLASHsts] = ACTIONS(47),
    [anon_sym_BSLASHrem] = ACTIONS(47),
    [anon_sym_BSLASHrestore] = ACTIONS(47),
    [anon_sym_BSLASHlit] = ACTIONS(47),
    [anon_sym_BSLASHip] = ACTIONS(47),
    [anon_sym_BSLASHiex] = ACTIONS(47),
    [anon_sym_BSLASHv] = ACTIONS(47),
    [anon_sym_BSLASHva] = ACTIONS(47),
    [anon_sym_BSLASHvp] = ACTIONS(47),
    [anon_sym_BSLASHc] = ACTIONS(47),
    [anon_sym_BSLASHcl] = ACTIONS(47),
    [anon_sym_BSLASHca] = ACTIONS(47),
    [anon_sym_BSLASHcp] = ACTIONS(47),
    [anon_sym_BSLASHcd] = ACTIONS(47),
    [anon_sym_BSLASHmte] = ACTIONS(47),
    [anon_sym_BSLASHms] = ACTIONS(47),
    [anon_sym_BSLASHs] = ACTIONS(47),
    [anon_sym_BSLASHr] = ACTIONS(47),
    [anon_sym_BSLASHsp] = ACTIONS(47),
    [anon_sym_BSLASHd] = ACTIONS(47),
    [anon_sym_BSLASHsd] = ACTIONS(47),
    [anon_sym_BSLASHp] = ACTIONS(47),
    [anon_sym_BSLASHm] = ACTIONS(47),
    [anon_sym_BSLASHpo] = ACTIONS(47),
    [anon_sym_BSLASHpr] = ACTIONS(47),
    [anon_sym_BSLASHcls] = ACTIONS(47),
    [anon_sym_BSLASHpmo] = ACTIONS(47),
    [anon_sym_BSLASHpm] = ACTIONS(47),
    [anon_sym_BSLASHpmc] = ACTIONS(47),
    [anon_sym_BSLASHpmr] = ACTIONS(47),
    [anon_sym_BSLASHpi] = ACTIONS(47),
    [anon_sym_BSLASHmi] = ACTIONS(47),
    [anon_sym_BSLASHnb] = ACTIONS(47),
    [anon_sym_BSLASHpc] = ACTIONS(47),
    [anon_sym_BSLASHph] = ACTIONS(47),
    [anon_sym_BSLASHb] = ACTIONS(47),
    [anon_sym_BSLASHq] = ACTIONS(47),
    [anon_sym_BSLASHqr] = ACTIONS(47),
    [anon_sym_BSLASHqc] = ACTIONS(47),
    [anon_sym_BSLASHqs] = ACTIONS(47),
    [anon_sym_BSLASHqa] = ACTIONS(47),
    [anon_sym_BSLASHqac] = ACTIONS(47),
    [anon_sym_BSLASHqm] = ACTIONS(47),
    [anon_sym_BSLASHqd] = ACTIONS(47),
    [anon_sym_BSLASHlh] = ACTIONS(47),
    [anon_sym_BSLASHli] = ACTIONS(47),
    [anon_sym_BSLASHlim] = ACTIONS(47),
    [anon_sym_BSLASHtr] = ACTIONS(47),
    [anon_sym_BSLASHf] = ACTIONS(47),
    [anon_sym_BSLASHfe] = ACTIONS(47),
    [anon_sym_BSLASHef] = ACTIONS(47),
    [anon_sym_BSLASHfm] = ACTIONS(47),
    [anon_sym_BSLASHx] = ACTIONS(47),
    [anon_sym_BSLASHxt] = ACTIONS(47),
    [anon_sym_BSLASHrq] = ACTIONS(47),
    [anon_sym_BSLASHadd] = ACTIONS(47),
    [anon_sym_BSLASHbk] = ACTIONS(47),
    [anon_sym_BSLASHdc] = ACTIONS(47),
    [anon_sym_BSLASHk] = ACTIONS(47),
    [anon_sym_BSLASHnd] = ACTIONS(47),
    [anon_sym_BSLASHord] = ACTIONS(47),
    [anon_sym_BSLASHpn] = ACTIONS(47),
    [anon_sym_BSLASHpng] = ACTIONS(47),
    [anon_sym_BSLASHaddpn] = ACTIONS(47),
    [anon_sym_BSLASHqt] = ACTIONS(47),
    [anon_sym_BSLASHsig] = ACTIONS(47),
    [anon_sym_BSLASHsls] = ACTIONS(47),
    [anon_sym_BSLASHtl] = ACTIONS(47),
    [anon_sym_BSLASHwj] = ACTIONS(47),
    [anon_sym_BSLASHem] = ACTIONS(47),
    [anon_sym_BSLASHbd] = ACTIONS(47),
    [anon_sym_BSLASHit] = ACTIONS(47),
    [anon_sym_BSLASHbdit] = ACTIONS(47),
    [anon_sym_BSLASHno] = ACTIONS(47),
    [anon_sym_BSLASHsc] = ACTIONS(47),
    [anon_sym_BSLASHsup] = ACTIONS(47),
    [anon_sym_BSLASHndx] = ACTIONS(47),
    [anon_sym_BSLASHpro] = ACTIONS(47),
    [anon_sym_BSLASHrb] = ACTIONS(47),
    [anon_sym_BSLASHw] = ACTIONS(47),
    [anon_sym_BSLASHwg] = ACTIONS(47),
    [anon_sym_BSLASHwh] = ACTIONS(47),
    [anon_sym_BSLASHwa] = ACTIONS(47),
    [anon_sym_BSLASHfig] = ACTIONS(47),
    [anon_sym_BSLASHjmp] = ACTIONS(47),
    [anon_sym_BSLASHpb] = ACTIONS(47),
    [anon_sym_BSLASH] = ACTIONS(47),
    [sym_milestoneStartTag] = ACTIONS(47),
    [sym_milestoneEndTag] = ACTIONS(47),
    [sym_zSpaceTag] = ACTIONS(47),
    [anon_sym_BSLASHesb] = ACTIONS(47),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHref] = ACTIONS(2689),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHiex] = ACTIONS(2689),
    [anon_sym_BSLASHv] = ACTIONS(2689),
    [anon_sym_BSLASHva] = ACTIONS(2689),
    [anon_sym_BSLASHvp] = ACTIONS(2689),
    [anon_sym_BSLASHc] = ACTIONS(2689),
    [anon_sym_BSLASHcl] = ACTIONS(2689),
    [anon_sym_BSLASHca] = ACTIONS(2689),
    [anon_sym_BSLASHcp] = ACTIONS(2689),
    [anon_sym_BSLASHcd] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqs] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqac] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHx] = ACTIONS(2689),
    [anon_sym_BSLASHxt] = ACTIONS(2689),
    [anon_sym_BSLASHrq] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesb] = ACTIONS(2689),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(2759),
    [aux_sym_text_token1] = ACTIONS(2759),
    [anon_sym_BSLASHref] = ACTIONS(2761),
    [anon_sym_BSLASHsts] = ACTIONS(2761),
    [anon_sym_BSLASHrem] = ACTIONS(2761),
    [anon_sym_BSLASHrestore] = ACTIONS(2761),
    [anon_sym_BSLASHlit] = ACTIONS(2761),
    [anon_sym_BSLASHip] = ACTIONS(2761),
    [anon_sym_BSLASHiex] = ACTIONS(2761),
    [anon_sym_BSLASHv] = ACTIONS(2761),
    [anon_sym_BSLASHva] = ACTIONS(2761),
    [anon_sym_BSLASHvp] = ACTIONS(2761),
    [anon_sym_BSLASHc] = ACTIONS(2761),
    [anon_sym_BSLASHcl] = ACTIONS(2761),
    [anon_sym_BSLASHca] = ACTIONS(2761),
    [anon_sym_BSLASHcp] = ACTIONS(2761),
    [anon_sym_BSLASHcd] = ACTIONS(2761),
    [anon_sym_BSLASHmte] = ACTIONS(2761),
    [anon_sym_BSLASHms] = ACTIONS(2761),
    [anon_sym_BSLASHs] = ACTIONS(2761),
    [anon_sym_BSLASHr] = ACTIONS(2761),
    [anon_sym_BSLASHsp] = ACTIONS(2761),
    [anon_sym_BSLASHd] = ACTIONS(2761),
    [anon_sym_BSLASHsd] = ACTIONS(2761),
    [anon_sym_BSLASHp] = ACTIONS(2761),
    [anon_sym_BSLASHm] = ACTIONS(2761),
    [anon_sym_BSLASHpo] = ACTIONS(2761),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2761),
    [anon_sym_BSLASHpmo] = ACTIONS(2761),
    [anon_sym_BSLASHpm] = ACTIONS(2761),
    [anon_sym_BSLASHpmc] = ACTIONS(2761),
    [anon_sym_BSLASHpmr] = ACTIONS(2761),
    [anon_sym_BSLASHpi] = ACTIONS(2761),
    [anon_sym_BSLASHmi] = ACTIONS(2761),
    [anon_sym_BSLASHnb] = ACTIONS(2761),
    [anon_sym_BSLASHpc] = ACTIONS(2761),
    [anon_sym_BSLASHph] = ACTIONS(2761),
    [anon_sym_BSLASHb] = ACTIONS(2761),
    [anon_sym_BSLASHq] = ACTIONS(2761),
    [anon_sym_BSLASHqr] = ACTIONS(2761),
    [anon_sym_BSLASHqc] = ACTIONS(2761),
    [anon_sym_BSLASHqs] = ACTIONS(2761),
    [anon_sym_BSLASHqa] = ACTIONS(2761),
    [anon_sym_BSLASHqac] = ACTIONS(2761),
    [anon_sym_BSLASHqm] = ACTIONS(2761),
    [anon_sym_BSLASHqd] = ACTIONS(2761),
    [anon_sym_BSLASHlh] = ACTIONS(2761),
    [anon_sym_BSLASHli] = ACTIONS(2761),
    [anon_sym_BSLASHlim] = ACTIONS(2761),
    [anon_sym_BSLASHtr] = ACTIONS(2761),
    [anon_sym_BSLASHf] = ACTIONS(2761),
    [anon_sym_BSLASHfe] = ACTIONS(2761),
    [anon_sym_BSLASHef] = ACTIONS(2761),
    [anon_sym_BSLASHfm] = ACTIONS(2761),
    [anon_sym_BSLASHx] = ACTIONS(2761),
    [anon_sym_BSLASHxt] = ACTIONS(2761),
    [anon_sym_BSLASHrq] = ACTIONS(2761),
    [anon_sym_BSLASHadd] = ACTIONS(2761),
    [anon_sym_BSLASHbk] = ACTIONS(2761),
    [anon_sym_BSLASHdc] = ACTIONS(2761),
    [anon_sym_BSLASHk] = ACTIONS(2761),
    [anon_sym_BSLASHnd] = ACTIONS(2761),
    [anon_sym_BSLASHord] = ACTIONS(2761),
    [anon_sym_BSLASHpn] = ACTIONS(2761),
    [anon_sym_BSLASHpng] = ACTIONS(2761),
    [anon_sym_BSLASHaddpn] = ACTIONS(2761),
    [anon_sym_BSLASHqt] = ACTIONS(2761),
    [anon_sym_BSLASHsig] = ACTIONS(2761),
    [anon_sym_BSLASHsls] = ACTIONS(2761),
    [anon_sym_BSLASHtl] = ACTIONS(2761),
    [anon_sym_BSLASHwj] = ACTIONS(2761),
    [anon_sym_BSLASHem] = ACTIONS(2761),
    [anon_sym_BSLASHbd] = ACTIONS(2761),
    [anon_sym_BSLASHit] = ACTIONS(2761),
    [anon_sym_BSLASHbdit] = ACTIONS(2761),
    [anon_sym_BSLASHno] = ACTIONS(2761),
    [anon_sym_BSLASHsc] = ACTIONS(2761),
    [anon_sym_BSLASHsup] = ACTIONS(2761),
    [anon_sym_BSLASHndx] = ACTIONS(2761),
    [anon_sym_BSLASHpro] = ACTIONS(2761),
    [anon_sym_BSLASHrb] = ACTIONS(2761),
    [anon_sym_BSLASHw] = ACTIONS(2761),
    [anon_sym_BSLASHwg] = ACTIONS(2761),
    [anon_sym_BSLASHwh] = ACTIONS(2761),
    [anon_sym_BSLASHwa] = ACTIONS(2761),
    [anon_sym_BSLASHfig] = ACTIONS(2761),
    [anon_sym_BSLASHjmp] = ACTIONS(2761),
    [anon_sym_BSLASHpb] = ACTIONS(2761),
    [anon_sym_BSLASH] = ACTIONS(2761),
    [sym_milestoneStartTag] = ACTIONS(2761),
    [sym_milestoneEndTag] = ACTIONS(2761),
    [sym_zSpaceTag] = ACTIONS(2761),
    [anon_sym_BSLASHesb] = ACTIONS(2761),
  },
  [522] = {
    [sym__verseMeta] = STATE(495),
    [sym_va] = STATE(495),
    [sym_vp] = STATE(495),
    [aux_sym_v_repeat1] = STATE(495),
    [aux_sym_text_token1] = ACTIONS(5692),
    [anon_sym_BSLASHref] = ACTIONS(5694),
    [anon_sym_BSLASHsts] = ACTIONS(5694),
    [anon_sym_BSLASHrem] = ACTIONS(5694),
    [anon_sym_BSLASHrestore] = ACTIONS(5694),
    [anon_sym_BSLASHlit] = ACTIONS(5694),
    [anon_sym_BSLASHip] = ACTIONS(5694),
    [anon_sym_BSLASHv] = ACTIONS(5694),
    [anon_sym_BSLASHva] = ACTIONS(830),
    [anon_sym_BSLASHvp] = ACTIONS(832),
    [anon_sym_BSLASHmte] = ACTIONS(5694),
    [anon_sym_BSLASHms] = ACTIONS(5694),
    [anon_sym_BSLASHs] = ACTIONS(5694),
    [anon_sym_BSLASHr] = ACTIONS(5694),
    [anon_sym_BSLASHsp] = ACTIONS(5694),
    [anon_sym_BSLASHd] = ACTIONS(5694),
    [anon_sym_BSLASHsd] = ACTIONS(5694),
    [anon_sym_BSLASHp] = ACTIONS(5694),
    [anon_sym_BSLASHm] = ACTIONS(5694),
    [anon_sym_BSLASHpo] = ACTIONS(5694),
    [anon_sym_BSLASHpr] = ACTIONS(5694),
    [anon_sym_BSLASHcls] = ACTIONS(5694),
    [anon_sym_BSLASHpmo] = ACTIONS(5694),
    [anon_sym_BSLASHpm] = ACTIONS(5694),
    [anon_sym_BSLASHpmc] = ACTIONS(5694),
    [anon_sym_BSLASHpmr] = ACTIONS(5694),
    [anon_sym_BSLASHpi] = ACTIONS(5694),
    [anon_sym_BSLASHmi] = ACTIONS(5694),
    [anon_sym_BSLASHnb] = ACTIONS(5694),
    [anon_sym_BSLASHpc] = ACTIONS(5694),
    [anon_sym_BSLASHph] = ACTIONS(5694),
    [anon_sym_BSLASHb] = ACTIONS(5694),
    [anon_sym_BSLASHq] = ACTIONS(5694),
    [anon_sym_BSLASHqr] = ACTIONS(5694),
    [anon_sym_BSLASHqc] = ACTIONS(5694),
    [anon_sym_BSLASHqa] = ACTIONS(5694),
    [anon_sym_BSLASHqm] = ACTIONS(5694),
    [anon_sym_BSLASHqd] = ACTIONS(5694),
    [anon_sym_BSLASHlh] = ACTIONS(5694),
    [anon_sym_BSLASHlf] = ACTIONS(5694),
    [anon_sym_BSLASHli] = ACTIONS(5694),
    [anon_sym_BSLASHlim] = ACTIONS(5694),
    [anon_sym_BSLASHliv] = ACTIONS(5694),
    [anon_sym_BSLASHlik] = ACTIONS(5694),
    [anon_sym_BSLASHlitl] = ACTIONS(5694),
    [anon_sym_BSLASHtr] = ACTIONS(5694),
    [anon_sym_BSLASHf] = ACTIONS(5694),
    [anon_sym_BSLASHfe] = ACTIONS(5694),
    [anon_sym_BSLASHef] = ACTIONS(5694),
    [anon_sym_BSLASHfm] = ACTIONS(5694),
    [anon_sym_BSLASHx] = ACTIONS(5694),
    [anon_sym_BSLASHxt] = ACTIONS(5694),
    [anon_sym_BSLASHrq] = ACTIONS(5694),
    [anon_sym_BSLASHadd] = ACTIONS(5694),
    [anon_sym_BSLASHbk] = ACTIONS(5694),
    [anon_sym_BSLASHdc] = ACTIONS(5694),
    [anon_sym_BSLASHk] = ACTIONS(5694),
    [anon_sym_BSLASHnd] = ACTIONS(5694),
    [anon_sym_BSLASHord] = ACTIONS(5694),
    [anon_sym_BSLASHpn] = ACTIONS(5694),
    [anon_sym_BSLASHpng] = ACTIONS(5694),
    [anon_sym_BSLASHaddpn] = ACTIONS(5694),
    [anon_sym_BSLASHqt] = ACTIONS(5694),
    [anon_sym_BSLASHsig] = ACTIONS(5694),
    [anon_sym_BSLASHsls] = ACTIONS(5694),
    [anon_sym_BSLASHtl] = ACTIONS(5694),
    [anon_sym_BSLASHwj] = ACTIONS(5694),
    [anon_sym_BSLASHem] = ACTIONS(5694),
    [anon_sym_BSLASHbd] = ACTIONS(5694),
    [anon_sym_BSLASHit] = ACTIONS(5694),
    [anon_sym_BSLASHbdit] = ACTIONS(5694),
    [anon_sym_BSLASHno] = ACTIONS(5694),
    [anon_sym_BSLASHsc] = ACTIONS(5694),
    [anon_sym_BSLASHsup] = ACTIONS(5694),
    [anon_sym_BSLASHndx] = ACTIONS(5694),
    [anon_sym_BSLASHpro] = ACTIONS(5694),
    [anon_sym_BSLASHrb] = ACTIONS(5694),
    [anon_sym_BSLASHw] = ACTIONS(5694),
    [anon_sym_BSLASHwg] = ACTIONS(5694),
    [anon_sym_BSLASHwh] = ACTIONS(5694),
    [anon_sym_BSLASHwa] = ACTIONS(5694),
    [anon_sym_BSLASHfig] = ACTIONS(5694),
    [anon_sym_BSLASHjmp] = ACTIONS(5694),
    [anon_sym_BSLASHpb] = ACTIONS(5694),
    [anon_sym_BSLASH] = ACTIONS(5694),
    [sym_milestoneStartTag] = ACTIONS(5694),
    [sym_milestoneEndTag] = ACTIONS(5694),
    [sym_zSpaceTag] = ACTIONS(5694),
    [anon_sym_BSLASHesbe] = ACTIONS(5694),
    [anon_sym_BSLASHcat] = ACTIONS(5694),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(6050),
    [aux_sym_text_token1] = ACTIONS(6050),
    [anon_sym_BSLASHref] = ACTIONS(6052),
    [anon_sym_BSLASHsts] = ACTIONS(6052),
    [anon_sym_BSLASHrem] = ACTIONS(6052),
    [anon_sym_BSLASHrestore] = ACTIONS(6052),
    [anon_sym_BSLASHlit] = ACTIONS(6052),
    [anon_sym_BSLASHip] = ACTIONS(6052),
    [anon_sym_BSLASHiex] = ACTIONS(6052),
    [anon_sym_BSLASHv] = ACTIONS(6052),
    [anon_sym_BSLASHva] = ACTIONS(6052),
    [anon_sym_BSLASHvp] = ACTIONS(6052),
    [anon_sym_BSLASHc] = ACTIONS(6052),
    [anon_sym_BSLASHcl] = ACTIONS(6052),
    [anon_sym_BSLASHca] = ACTIONS(6052),
    [anon_sym_BSLASHcp] = ACTIONS(6052),
    [anon_sym_BSLASHcd] = ACTIONS(6052),
    [anon_sym_BSLASHmte] = ACTIONS(6052),
    [anon_sym_BSLASHms] = ACTIONS(6052),
    [anon_sym_BSLASHs] = ACTIONS(6052),
    [anon_sym_BSLASHr] = ACTIONS(6052),
    [anon_sym_BSLASHsp] = ACTIONS(6052),
    [anon_sym_BSLASHd] = ACTIONS(6052),
    [anon_sym_BSLASHsd] = ACTIONS(6052),
    [anon_sym_BSLASHp] = ACTIONS(6052),
    [anon_sym_BSLASHm] = ACTIONS(6052),
    [anon_sym_BSLASHpo] = ACTIONS(6052),
    [anon_sym_BSLASHpr] = ACTIONS(6052),
    [anon_sym_BSLASHcls] = ACTIONS(6052),
    [anon_sym_BSLASHpmo] = ACTIONS(6052),
    [anon_sym_BSLASHpm] = ACTIONS(6052),
    [anon_sym_BSLASHpmc] = ACTIONS(6052),
    [anon_sym_BSLASHpmr] = ACTIONS(6052),
    [anon_sym_BSLASHpi] = ACTIONS(6052),
    [anon_sym_BSLASHmi] = ACTIONS(6052),
    [anon_sym_BSLASHnb] = ACTIONS(6052),
    [anon_sym_BSLASHpc] = ACTIONS(6052),
    [anon_sym_BSLASHph] = ACTIONS(6052),
    [anon_sym_BSLASHb] = ACTIONS(6052),
    [anon_sym_BSLASHq] = ACTIONS(6052),
    [anon_sym_BSLASHqr] = ACTIONS(6052),
    [anon_sym_BSLASHqc] = ACTIONS(6052),
    [anon_sym_BSLASHqs] = ACTIONS(6052),
    [anon_sym_BSLASHqa] = ACTIONS(6052),
    [anon_sym_BSLASHqac] = ACTIONS(6052),
    [anon_sym_BSLASHqm] = ACTIONS(6052),
    [anon_sym_BSLASHqd] = ACTIONS(6052),
    [anon_sym_BSLASHlh] = ACTIONS(6052),
    [anon_sym_BSLASHli] = ACTIONS(6052),
    [anon_sym_BSLASHlim] = ACTIONS(6052),
    [anon_sym_BSLASHtr] = ACTIONS(6052),
    [anon_sym_BSLASHf] = ACTIONS(6052),
    [anon_sym_BSLASHfe] = ACTIONS(6052),
    [anon_sym_BSLASHef] = ACTIONS(6052),
    [anon_sym_BSLASHfm] = ACTIONS(6052),
    [anon_sym_BSLASHx] = ACTIONS(6052),
    [anon_sym_BSLASHxt] = ACTIONS(6052),
    [anon_sym_BSLASHrq] = ACTIONS(6052),
    [anon_sym_BSLASHadd] = ACTIONS(6052),
    [anon_sym_BSLASHbk] = ACTIONS(6052),
    [anon_sym_BSLASHdc] = ACTIONS(6052),
    [anon_sym_BSLASHk] = ACTIONS(6052),
    [anon_sym_BSLASHnd] = ACTIONS(6052),
    [anon_sym_BSLASHord] = ACTIONS(6052),
    [anon_sym_BSLASHpn] = ACTIONS(6052),
    [anon_sym_BSLASHpng] = ACTIONS(6052),
    [anon_sym_BSLASHaddpn] = ACTIONS(6052),
    [anon_sym_BSLASHqt] = ACTIONS(6052),
    [anon_sym_BSLASHsig] = ACTIONS(6052),
    [anon_sym_BSLASHsls] = ACTIONS(6052),
    [anon_sym_BSLASHtl] = ACTIONS(6052),
    [anon_sym_BSLASHwj] = ACTIONS(6052),
    [anon_sym_BSLASHem] = ACTIONS(6052),
    [anon_sym_BSLASHbd] = ACTIONS(6052),
    [anon_sym_BSLASHit] = ACTIONS(6052),
    [anon_sym_BSLASHbdit] = ACTIONS(6052),
    [anon_sym_BSLASHno] = ACTIONS(6052),
    [anon_sym_BSLASHsc] = ACTIONS(6052),
    [anon_sym_BSLASHsup] = ACTIONS(6052),
    [anon_sym_BSLASHndx] = ACTIONS(6052),
    [anon_sym_BSLASHpro] = ACTIONS(6052),
    [anon_sym_BSLASHrb] = ACTIONS(6052),
    [anon_sym_BSLASHw] = ACTIONS(6052),
    [anon_sym_BSLASHwg] = ACTIONS(6052),
    [anon_sym_BSLASHwh] = ACTIONS(6052),
    [anon_sym_BSLASHwa] = ACTIONS(6052),
    [anon_sym_BSLASHfig] = ACTIONS(6052),
    [anon_sym_BSLASHjmp] = ACTIONS(6052),
    [anon_sym_BSLASHpb] = ACTIONS(6052),
    [anon_sym_BSLASH] = ACTIONS(6052),
    [sym_milestoneStartTag] = ACTIONS(6052),
    [sym_milestoneEndTag] = ACTIONS(6052),
    [sym_zSpaceTag] = ACTIONS(6052),
    [anon_sym_BSLASHesb] = ACTIONS(6052),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(2739),
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHref] = ACTIONS(2741),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHiex] = ACTIONS(2741),
    [anon_sym_BSLASHv] = ACTIONS(2741),
    [anon_sym_BSLASHva] = ACTIONS(2741),
    [anon_sym_BSLASHvp] = ACTIONS(2741),
    [anon_sym_BSLASHc] = ACTIONS(2741),
    [anon_sym_BSLASHcl] = ACTIONS(2741),
    [anon_sym_BSLASHca] = ACTIONS(2741),
    [anon_sym_BSLASHcp] = ACTIONS(2741),
    [anon_sym_BSLASHcd] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqs] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqac] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHx] = ACTIONS(2741),
    [anon_sym_BSLASHxt] = ACTIONS(2741),
    [anon_sym_BSLASHrq] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesb] = ACTIONS(2741),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHref] = ACTIONS(2681),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHiex] = ACTIONS(2681),
    [anon_sym_BSLASHv] = ACTIONS(2681),
    [anon_sym_BSLASHva] = ACTIONS(2681),
    [anon_sym_BSLASHvp] = ACTIONS(2681),
    [anon_sym_BSLASHc] = ACTIONS(2681),
    [anon_sym_BSLASHcl] = ACTIONS(2681),
    [anon_sym_BSLASHca] = ACTIONS(2681),
    [anon_sym_BSLASHcp] = ACTIONS(2681),
    [anon_sym_BSLASHcd] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqs] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqac] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHx] = ACTIONS(2681),
    [anon_sym_BSLASHxt] = ACTIONS(2681),
    [anon_sym_BSLASHrq] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesb] = ACTIONS(2681),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(13),
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHref] = ACTIONS(15),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHiex] = ACTIONS(15),
    [anon_sym_BSLASHv] = ACTIONS(15),
    [anon_sym_BSLASHva] = ACTIONS(15),
    [anon_sym_BSLASHvp] = ACTIONS(15),
    [anon_sym_BSLASHc] = ACTIONS(15),
    [anon_sym_BSLASHcl] = ACTIONS(15),
    [anon_sym_BSLASHca] = ACTIONS(15),
    [anon_sym_BSLASHcp] = ACTIONS(15),
    [anon_sym_BSLASHcd] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqs] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqac] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHx] = ACTIONS(15),
    [anon_sym_BSLASHxt] = ACTIONS(15),
    [anon_sym_BSLASHrq] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesb] = ACTIONS(15),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(5958),
    [aux_sym_text_token1] = ACTIONS(5958),
    [anon_sym_BSLASHref] = ACTIONS(5960),
    [anon_sym_BSLASHsts] = ACTIONS(5960),
    [anon_sym_BSLASHrem] = ACTIONS(5960),
    [anon_sym_BSLASHrestore] = ACTIONS(5960),
    [anon_sym_BSLASHlit] = ACTIONS(5960),
    [anon_sym_BSLASHip] = ACTIONS(5960),
    [anon_sym_BSLASHiex] = ACTIONS(5960),
    [anon_sym_BSLASHv] = ACTIONS(5960),
    [anon_sym_BSLASHva] = ACTIONS(5960),
    [anon_sym_BSLASHvp] = ACTIONS(5960),
    [anon_sym_BSLASHc] = ACTIONS(5960),
    [anon_sym_BSLASHcl] = ACTIONS(5960),
    [anon_sym_BSLASHca] = ACTIONS(5960),
    [anon_sym_BSLASHcp] = ACTIONS(5960),
    [anon_sym_BSLASHcd] = ACTIONS(5960),
    [anon_sym_BSLASHmte] = ACTIONS(5960),
    [anon_sym_BSLASHms] = ACTIONS(5960),
    [anon_sym_BSLASHs] = ACTIONS(5960),
    [anon_sym_BSLASHr] = ACTIONS(5960),
    [anon_sym_BSLASHsp] = ACTIONS(5960),
    [anon_sym_BSLASHd] = ACTIONS(5960),
    [anon_sym_BSLASHsd] = ACTIONS(5960),
    [anon_sym_BSLASHp] = ACTIONS(5960),
    [anon_sym_BSLASHm] = ACTIONS(5960),
    [anon_sym_BSLASHpo] = ACTIONS(5960),
    [anon_sym_BSLASHpr] = ACTIONS(5960),
    [anon_sym_BSLASHcls] = ACTIONS(5960),
    [anon_sym_BSLASHpmo] = ACTIONS(5960),
    [anon_sym_BSLASHpm] = ACTIONS(5960),
    [anon_sym_BSLASHpmc] = ACTIONS(5960),
    [anon_sym_BSLASHpmr] = ACTIONS(5960),
    [anon_sym_BSLASHpi] = ACTIONS(5960),
    [anon_sym_BSLASHmi] = ACTIONS(5960),
    [anon_sym_BSLASHnb] = ACTIONS(5960),
    [anon_sym_BSLASHpc] = ACTIONS(5960),
    [anon_sym_BSLASHph] = ACTIONS(5960),
    [anon_sym_BSLASHb] = ACTIONS(5960),
    [anon_sym_BSLASHq] = ACTIONS(5960),
    [anon_sym_BSLASHqr] = ACTIONS(5960),
    [anon_sym_BSLASHqc] = ACTIONS(5960),
    [anon_sym_BSLASHqs] = ACTIONS(5960),
    [anon_sym_BSLASHqa] = ACTIONS(5960),
    [anon_sym_BSLASHqac] = ACTIONS(5960),
    [anon_sym_BSLASHqm] = ACTIONS(5960),
    [anon_sym_BSLASHqd] = ACTIONS(5960),
    [anon_sym_BSLASHlh] = ACTIONS(5960),
    [anon_sym_BSLASHli] = ACTIONS(5960),
    [anon_sym_BSLASHlim] = ACTIONS(5960),
    [anon_sym_BSLASHtr] = ACTIONS(5960),
    [anon_sym_BSLASHf] = ACTIONS(5960),
    [anon_sym_BSLASHfe] = ACTIONS(5960),
    [anon_sym_BSLASHef] = ACTIONS(5960),
    [anon_sym_BSLASHfm] = ACTIONS(5960),
    [anon_sym_BSLASHx] = ACTIONS(5960),
    [anon_sym_BSLASHxt] = ACTIONS(5960),
    [anon_sym_BSLASHrq] = ACTIONS(5960),
    [anon_sym_BSLASHadd] = ACTIONS(5960),
    [anon_sym_BSLASHbk] = ACTIONS(5960),
    [anon_sym_BSLASHdc] = ACTIONS(5960),
    [anon_sym_BSLASHk] = ACTIONS(5960),
    [anon_sym_BSLASHnd] = ACTIONS(5960),
    [anon_sym_BSLASHord] = ACTIONS(5960),
    [anon_sym_BSLASHpn] = ACTIONS(5960),
    [anon_sym_BSLASHpng] = ACTIONS(5960),
    [anon_sym_BSLASHaddpn] = ACTIONS(5960),
    [anon_sym_BSLASHqt] = ACTIONS(5960),
    [anon_sym_BSLASHsig] = ACTIONS(5960),
    [anon_sym_BSLASHsls] = ACTIONS(5960),
    [anon_sym_BSLASHtl] = ACTIONS(5960),
    [anon_sym_BSLASHwj] = ACTIONS(5960),
    [anon_sym_BSLASHem] = ACTIONS(5960),
    [anon_sym_BSLASHbd] = ACTIONS(5960),
    [anon_sym_BSLASHit] = ACTIONS(5960),
    [anon_sym_BSLASHbdit] = ACTIONS(5960),
    [anon_sym_BSLASHno] = ACTIONS(5960),
    [anon_sym_BSLASHsc] = ACTIONS(5960),
    [anon_sym_BSLASHsup] = ACTIONS(5960),
    [anon_sym_BSLASHndx] = ACTIONS(5960),
    [anon_sym_BSLASHpro] = ACTIONS(5960),
    [anon_sym_BSLASHrb] = ACTIONS(5960),
    [anon_sym_BSLASHw] = ACTIONS(5960),
    [anon_sym_BSLASHwg] = ACTIONS(5960),
    [anon_sym_BSLASHwh] = ACTIONS(5960),
    [anon_sym_BSLASHwa] = ACTIONS(5960),
    [anon_sym_BSLASHfig] = ACTIONS(5960),
    [anon_sym_BSLASHjmp] = ACTIONS(5960),
    [anon_sym_BSLASHpb] = ACTIONS(5960),
    [anon_sym_BSLASH] = ACTIONS(5960),
    [sym_milestoneStartTag] = ACTIONS(5960),
    [sym_milestoneEndTag] = ACTIONS(5960),
    [sym_zSpaceTag] = ACTIONS(5960),
    [anon_sym_BSLASHesb] = ACTIONS(5960),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHref] = ACTIONS(2725),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHiex] = ACTIONS(2725),
    [anon_sym_BSLASHv] = ACTIONS(2725),
    [anon_sym_BSLASHva] = ACTIONS(2725),
    [anon_sym_BSLASHvp] = ACTIONS(2725),
    [anon_sym_BSLASHc] = ACTIONS(2725),
    [anon_sym_BSLASHcl] = ACTIONS(2725),
    [anon_sym_BSLASHca] = ACTIONS(2725),
    [anon_sym_BSLASHcp] = ACTIONS(2725),
    [anon_sym_BSLASHcd] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqs] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqac] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHx] = ACTIONS(2725),
    [anon_sym_BSLASHxt] = ACTIONS(2725),
    [anon_sym_BSLASHrq] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesb] = ACTIONS(2725),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(5954),
    [aux_sym_text_token1] = ACTIONS(5954),
    [anon_sym_BSLASHref] = ACTIONS(5956),
    [anon_sym_BSLASHsts] = ACTIONS(5956),
    [anon_sym_BSLASHrem] = ACTIONS(5956),
    [anon_sym_BSLASHrestore] = ACTIONS(5956),
    [anon_sym_BSLASHlit] = ACTIONS(5956),
    [anon_sym_BSLASHip] = ACTIONS(5956),
    [anon_sym_BSLASHiex] = ACTIONS(5956),
    [anon_sym_BSLASHv] = ACTIONS(5956),
    [anon_sym_BSLASHva] = ACTIONS(5956),
    [anon_sym_BSLASHvp] = ACTIONS(5956),
    [anon_sym_BSLASHc] = ACTIONS(5956),
    [anon_sym_BSLASHcl] = ACTIONS(5956),
    [anon_sym_BSLASHca] = ACTIONS(5956),
    [anon_sym_BSLASHcp] = ACTIONS(5956),
    [anon_sym_BSLASHcd] = ACTIONS(5956),
    [anon_sym_BSLASHmte] = ACTIONS(5956),
    [anon_sym_BSLASHms] = ACTIONS(5956),
    [anon_sym_BSLASHs] = ACTIONS(5956),
    [anon_sym_BSLASHr] = ACTIONS(5956),
    [anon_sym_BSLASHsp] = ACTIONS(5956),
    [anon_sym_BSLASHd] = ACTIONS(5956),
    [anon_sym_BSLASHsd] = ACTIONS(5956),
    [anon_sym_BSLASHp] = ACTIONS(5956),
    [anon_sym_BSLASHm] = ACTIONS(5956),
    [anon_sym_BSLASHpo] = ACTIONS(5956),
    [anon_sym_BSLASHpr] = ACTIONS(5956),
    [anon_sym_BSLASHcls] = ACTIONS(5956),
    [anon_sym_BSLASHpmo] = ACTIONS(5956),
    [anon_sym_BSLASHpm] = ACTIONS(5956),
    [anon_sym_BSLASHpmc] = ACTIONS(5956),
    [anon_sym_BSLASHpmr] = ACTIONS(5956),
    [anon_sym_BSLASHpi] = ACTIONS(5956),
    [anon_sym_BSLASHmi] = ACTIONS(5956),
    [anon_sym_BSLASHnb] = ACTIONS(5956),
    [anon_sym_BSLASHpc] = ACTIONS(5956),
    [anon_sym_BSLASHph] = ACTIONS(5956),
    [anon_sym_BSLASHb] = ACTIONS(5956),
    [anon_sym_BSLASHq] = ACTIONS(5956),
    [anon_sym_BSLASHqr] = ACTIONS(5956),
    [anon_sym_BSLASHqc] = ACTIONS(5956),
    [anon_sym_BSLASHqs] = ACTIONS(5956),
    [anon_sym_BSLASHqa] = ACTIONS(5956),
    [anon_sym_BSLASHqac] = ACTIONS(5956),
    [anon_sym_BSLASHqm] = ACTIONS(5956),
    [anon_sym_BSLASHqd] = ACTIONS(5956),
    [anon_sym_BSLASHlh] = ACTIONS(5956),
    [anon_sym_BSLASHli] = ACTIONS(5956),
    [anon_sym_BSLASHlim] = ACTIONS(5956),
    [anon_sym_BSLASHtr] = ACTIONS(5956),
    [anon_sym_BSLASHf] = ACTIONS(5956),
    [anon_sym_BSLASHfe] = ACTIONS(5956),
    [anon_sym_BSLASHef] = ACTIONS(5956),
    [anon_sym_BSLASHfm] = ACTIONS(5956),
    [anon_sym_BSLASHx] = ACTIONS(5956),
    [anon_sym_BSLASHxt] = ACTIONS(5956),
    [anon_sym_BSLASHrq] = ACTIONS(5956),
    [anon_sym_BSLASHadd] = ACTIONS(5956),
    [anon_sym_BSLASHbk] = ACTIONS(5956),
    [anon_sym_BSLASHdc] = ACTIONS(5956),
    [anon_sym_BSLASHk] = ACTIONS(5956),
    [anon_sym_BSLASHnd] = ACTIONS(5956),
    [anon_sym_BSLASHord] = ACTIONS(5956),
    [anon_sym_BSLASHpn] = ACTIONS(5956),
    [anon_sym_BSLASHpng] = ACTIONS(5956),
    [anon_sym_BSLASHaddpn] = ACTIONS(5956),
    [anon_sym_BSLASHqt] = ACTIONS(5956),
    [anon_sym_BSLASHsig] = ACTIONS(5956),
    [anon_sym_BSLASHsls] = ACTIONS(5956),
    [anon_sym_BSLASHtl] = ACTIONS(5956),
    [anon_sym_BSLASHwj] = ACTIONS(5956),
    [anon_sym_BSLASHem] = ACTIONS(5956),
    [anon_sym_BSLASHbd] = ACTIONS(5956),
    [anon_sym_BSLASHit] = ACTIONS(5956),
    [anon_sym_BSLASHbdit] = ACTIONS(5956),
    [anon_sym_BSLASHno] = ACTIONS(5956),
    [anon_sym_BSLASHsc] = ACTIONS(5956),
    [anon_sym_BSLASHsup] = ACTIONS(5956),
    [anon_sym_BSLASHndx] = ACTIONS(5956),
    [anon_sym_BSLASHpro] = ACTIONS(5956),
    [anon_sym_BSLASHrb] = ACTIONS(5956),
    [anon_sym_BSLASHw] = ACTIONS(5956),
    [anon_sym_BSLASHwg] = ACTIONS(5956),
    [anon_sym_BSLASHwh] = ACTIONS(5956),
    [anon_sym_BSLASHwa] = ACTIONS(5956),
    [anon_sym_BSLASHfig] = ACTIONS(5956),
    [anon_sym_BSLASHjmp] = ACTIONS(5956),
    [anon_sym_BSLASHpb] = ACTIONS(5956),
    [anon_sym_BSLASH] = ACTIONS(5956),
    [sym_milestoneStartTag] = ACTIONS(5956),
    [sym_milestoneEndTag] = ACTIONS(5956),
    [sym_zSpaceTag] = ACTIONS(5956),
    [anon_sym_BSLASHesb] = ACTIONS(5956),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(2691),
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHref] = ACTIONS(2693),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHiex] = ACTIONS(2693),
    [anon_sym_BSLASHv] = ACTIONS(2693),
    [anon_sym_BSLASHva] = ACTIONS(2693),
    [anon_sym_BSLASHvp] = ACTIONS(2693),
    [anon_sym_BSLASHc] = ACTIONS(2693),
    [anon_sym_BSLASHcl] = ACTIONS(2693),
    [anon_sym_BSLASHca] = ACTIONS(2693),
    [anon_sym_BSLASHcp] = ACTIONS(2693),
    [anon_sym_BSLASHcd] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqs] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqac] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHx] = ACTIONS(2693),
    [anon_sym_BSLASHxt] = ACTIONS(2693),
    [anon_sym_BSLASHrq] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesb] = ACTIONS(2693),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHref] = ACTIONS(2733),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHiex] = ACTIONS(2733),
    [anon_sym_BSLASHv] = ACTIONS(2733),
    [anon_sym_BSLASHva] = ACTIONS(2733),
    [anon_sym_BSLASHvp] = ACTIONS(2733),
    [anon_sym_BSLASHc] = ACTIONS(2733),
    [anon_sym_BSLASHcl] = ACTIONS(2733),
    [anon_sym_BSLASHca] = ACTIONS(2733),
    [anon_sym_BSLASHcp] = ACTIONS(2733),
    [anon_sym_BSLASHcd] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqs] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqac] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHx] = ACTIONS(2733),
    [anon_sym_BSLASHxt] = ACTIONS(2733),
    [anon_sym_BSLASHrq] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesb] = ACTIONS(2733),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [aux_sym_text_token1] = ACTIONS(2771),
    [anon_sym_BSLASHref] = ACTIONS(2773),
    [anon_sym_BSLASHsts] = ACTIONS(2773),
    [anon_sym_BSLASHrem] = ACTIONS(2773),
    [anon_sym_BSLASHrestore] = ACTIONS(2773),
    [anon_sym_BSLASHlit] = ACTIONS(2773),
    [anon_sym_BSLASHip] = ACTIONS(2773),
    [anon_sym_BSLASHiex] = ACTIONS(2773),
    [anon_sym_BSLASHv] = ACTIONS(2773),
    [anon_sym_BSLASHva] = ACTIONS(2773),
    [anon_sym_BSLASHvp] = ACTIONS(2773),
    [anon_sym_BSLASHc] = ACTIONS(2773),
    [anon_sym_BSLASHcl] = ACTIONS(2773),
    [anon_sym_BSLASHca] = ACTIONS(2773),
    [anon_sym_BSLASHcp] = ACTIONS(2773),
    [anon_sym_BSLASHcd] = ACTIONS(2773),
    [anon_sym_BSLASHmte] = ACTIONS(2773),
    [anon_sym_BSLASHms] = ACTIONS(2773),
    [anon_sym_BSLASHs] = ACTIONS(2773),
    [anon_sym_BSLASHr] = ACTIONS(2773),
    [anon_sym_BSLASHsp] = ACTIONS(2773),
    [anon_sym_BSLASHd] = ACTIONS(2773),
    [anon_sym_BSLASHsd] = ACTIONS(2773),
    [anon_sym_BSLASHp] = ACTIONS(2773),
    [anon_sym_BSLASHm] = ACTIONS(2773),
    [anon_sym_BSLASHpo] = ACTIONS(2773),
    [anon_sym_BSLASHpr] = ACTIONS(2773),
    [anon_sym_BSLASHcls] = ACTIONS(2773),
    [anon_sym_BSLASHpmo] = ACTIONS(2773),
    [anon_sym_BSLASHpm] = ACTIONS(2773),
    [anon_sym_BSLASHpmc] = ACTIONS(2773),
    [anon_sym_BSLASHpmr] = ACTIONS(2773),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2773),
    [anon_sym_BSLASHnb] = ACTIONS(2773),
    [anon_sym_BSLASHpc] = ACTIONS(2773),
    [anon_sym_BSLASHph] = ACTIONS(2773),
    [anon_sym_BSLASHb] = ACTIONS(2773),
    [anon_sym_BSLASHq] = ACTIONS(2773),
    [anon_sym_BSLASHqr] = ACTIONS(2773),
    [anon_sym_BSLASHqc] = ACTIONS(2773),
    [anon_sym_BSLASHqs] = ACTIONS(2773),
    [anon_sym_BSLASHqa] = ACTIONS(2773),
    [anon_sym_BSLASHqac] = ACTIONS(2773),
    [anon_sym_BSLASHqm] = ACTIONS(2773),
    [anon_sym_BSLASHqd] = ACTIONS(2773),
    [anon_sym_BSLASHlh] = ACTIONS(2773),
    [anon_sym_BSLASHli] = ACTIONS(2773),
    [anon_sym_BSLASHlim] = ACTIONS(2773),
    [anon_sym_BSLASHtr] = ACTIONS(2773),
    [anon_sym_BSLASHf] = ACTIONS(2773),
    [anon_sym_BSLASHfe] = ACTIONS(2773),
    [anon_sym_BSLASHef] = ACTIONS(2773),
    [anon_sym_BSLASHfm] = ACTIONS(2773),
    [anon_sym_BSLASHx] = ACTIONS(2773),
    [anon_sym_BSLASHxt] = ACTIONS(2773),
    [anon_sym_BSLASHrq] = ACTIONS(2773),
    [anon_sym_BSLASHadd] = ACTIONS(2773),
    [anon_sym_BSLASHbk] = ACTIONS(2773),
    [anon_sym_BSLASHdc] = ACTIONS(2773),
    [anon_sym_BSLASHk] = ACTIONS(2773),
    [anon_sym_BSLASHnd] = ACTIONS(2773),
    [anon_sym_BSLASHord] = ACTIONS(2773),
    [anon_sym_BSLASHpn] = ACTIONS(2773),
    [anon_sym_BSLASHpng] = ACTIONS(2773),
    [anon_sym_BSLASHaddpn] = ACTIONS(2773),
    [anon_sym_BSLASHqt] = ACTIONS(2773),
    [anon_sym_BSLASHsig] = ACTIONS(2773),
    [anon_sym_BSLASHsls] = ACTIONS(2773),
    [anon_sym_BSLASHtl] = ACTIONS(2773),
    [anon_sym_BSLASHwj] = ACTIONS(2773),
    [anon_sym_BSLASHem] = ACTIONS(2773),
    [anon_sym_BSLASHbd] = ACTIONS(2773),
    [anon_sym_BSLASHit] = ACTIONS(2773),
    [anon_sym_BSLASHbdit] = ACTIONS(2773),
    [anon_sym_BSLASHno] = ACTIONS(2773),
    [anon_sym_BSLASHsc] = ACTIONS(2773),
    [anon_sym_BSLASHsup] = ACTIONS(2773),
    [anon_sym_BSLASHndx] = ACTIONS(2773),
    [anon_sym_BSLASHpro] = ACTIONS(2773),
    [anon_sym_BSLASHrb] = ACTIONS(2773),
    [anon_sym_BSLASHw] = ACTIONS(2773),
    [anon_sym_BSLASHwg] = ACTIONS(2773),
    [anon_sym_BSLASHwh] = ACTIONS(2773),
    [anon_sym_BSLASHwa] = ACTIONS(2773),
    [anon_sym_BSLASHfig] = ACTIONS(2773),
    [anon_sym_BSLASHjmp] = ACTIONS(2773),
    [anon_sym_BSLASHpb] = ACTIONS(2773),
    [anon_sym_BSLASH] = ACTIONS(2773),
    [sym_milestoneStartTag] = ACTIONS(2773),
    [sym_milestoneEndTag] = ACTIONS(2773),
    [sym_zSpaceTag] = ACTIONS(2773),
    [anon_sym_BSLASHesb] = ACTIONS(2773),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(6054),
    [aux_sym_text_token1] = ACTIONS(6054),
    [anon_sym_BSLASHref] = ACTIONS(6056),
    [anon_sym_BSLASHsts] = ACTIONS(6056),
    [anon_sym_BSLASHrem] = ACTIONS(6056),
    [anon_sym_BSLASHrestore] = ACTIONS(6056),
    [anon_sym_BSLASHlit] = ACTIONS(6056),
    [anon_sym_BSLASHip] = ACTIONS(6056),
    [anon_sym_BSLASHiex] = ACTIONS(6056),
    [anon_sym_BSLASHv] = ACTIONS(6056),
    [anon_sym_BSLASHva] = ACTIONS(6056),
    [anon_sym_BSLASHvp] = ACTIONS(6056),
    [anon_sym_BSLASHc] = ACTIONS(6056),
    [anon_sym_BSLASHcl] = ACTIONS(6056),
    [anon_sym_BSLASHca] = ACTIONS(6056),
    [anon_sym_BSLASHcp] = ACTIONS(6056),
    [anon_sym_BSLASHcd] = ACTIONS(6056),
    [anon_sym_BSLASHmte] = ACTIONS(6056),
    [anon_sym_BSLASHms] = ACTIONS(6056),
    [anon_sym_BSLASHs] = ACTIONS(6056),
    [anon_sym_BSLASHr] = ACTIONS(6056),
    [anon_sym_BSLASHsp] = ACTIONS(6056),
    [anon_sym_BSLASHd] = ACTIONS(6056),
    [anon_sym_BSLASHsd] = ACTIONS(6056),
    [anon_sym_BSLASHp] = ACTIONS(6056),
    [anon_sym_BSLASHm] = ACTIONS(6056),
    [anon_sym_BSLASHpo] = ACTIONS(6056),
    [anon_sym_BSLASHpr] = ACTIONS(6056),
    [anon_sym_BSLASHcls] = ACTIONS(6056),
    [anon_sym_BSLASHpmo] = ACTIONS(6056),
    [anon_sym_BSLASHpm] = ACTIONS(6056),
    [anon_sym_BSLASHpmc] = ACTIONS(6056),
    [anon_sym_BSLASHpmr] = ACTIONS(6056),
    [anon_sym_BSLASHpi] = ACTIONS(6056),
    [anon_sym_BSLASHmi] = ACTIONS(6056),
    [anon_sym_BSLASHnb] = ACTIONS(6056),
    [anon_sym_BSLASHpc] = ACTIONS(6056),
    [anon_sym_BSLASHph] = ACTIONS(6056),
    [anon_sym_BSLASHb] = ACTIONS(6056),
    [anon_sym_BSLASHq] = ACTIONS(6056),
    [anon_sym_BSLASHqr] = ACTIONS(6056),
    [anon_sym_BSLASHqc] = ACTIONS(6056),
    [anon_sym_BSLASHqs] = ACTIONS(6056),
    [anon_sym_BSLASHqa] = ACTIONS(6056),
    [anon_sym_BSLASHqac] = ACTIONS(6056),
    [anon_sym_BSLASHqm] = ACTIONS(6056),
    [anon_sym_BSLASHqd] = ACTIONS(6056),
    [anon_sym_BSLASHlh] = ACTIONS(6056),
    [anon_sym_BSLASHli] = ACTIONS(6056),
    [anon_sym_BSLASHlim] = ACTIONS(6056),
    [anon_sym_BSLASHtr] = ACTIONS(6056),
    [anon_sym_BSLASHf] = ACTIONS(6056),
    [anon_sym_BSLASHfe] = ACTIONS(6056),
    [anon_sym_BSLASHef] = ACTIONS(6056),
    [anon_sym_BSLASHfm] = ACTIONS(6056),
    [anon_sym_BSLASHx] = ACTIONS(6056),
    [anon_sym_BSLASHxt] = ACTIONS(6056),
    [anon_sym_BSLASHrq] = ACTIONS(6056),
    [anon_sym_BSLASHadd] = ACTIONS(6056),
    [anon_sym_BSLASHbk] = ACTIONS(6056),
    [anon_sym_BSLASHdc] = ACTIONS(6056),
    [anon_sym_BSLASHk] = ACTIONS(6056),
    [anon_sym_BSLASHnd] = ACTIONS(6056),
    [anon_sym_BSLASHord] = ACTIONS(6056),
    [anon_sym_BSLASHpn] = ACTIONS(6056),
    [anon_sym_BSLASHpng] = ACTIONS(6056),
    [anon_sym_BSLASHaddpn] = ACTIONS(6056),
    [anon_sym_BSLASHqt] = ACTIONS(6056),
    [anon_sym_BSLASHsig] = ACTIONS(6056),
    [anon_sym_BSLASHsls] = ACTIONS(6056),
    [anon_sym_BSLASHtl] = ACTIONS(6056),
    [anon_sym_BSLASHwj] = ACTIONS(6056),
    [anon_sym_BSLASHem] = ACTIONS(6056),
    [anon_sym_BSLASHbd] = ACTIONS(6056),
    [anon_sym_BSLASHit] = ACTIONS(6056),
    [anon_sym_BSLASHbdit] = ACTIONS(6056),
    [anon_sym_BSLASHno] = ACTIONS(6056),
    [anon_sym_BSLASHsc] = ACTIONS(6056),
    [anon_sym_BSLASHsup] = ACTIONS(6056),
    [anon_sym_BSLASHndx] = ACTIONS(6056),
    [anon_sym_BSLASHpro] = ACTIONS(6056),
    [anon_sym_BSLASHrb] = ACTIONS(6056),
    [anon_sym_BSLASHw] = ACTIONS(6056),
    [anon_sym_BSLASHwg] = ACTIONS(6056),
    [anon_sym_BSLASHwh] = ACTIONS(6056),
    [anon_sym_BSLASHwa] = ACTIONS(6056),
    [anon_sym_BSLASHfig] = ACTIONS(6056),
    [anon_sym_BSLASHjmp] = ACTIONS(6056),
    [anon_sym_BSLASHpb] = ACTIONS(6056),
    [anon_sym_BSLASH] = ACTIONS(6056),
    [sym_milestoneStartTag] = ACTIONS(6056),
    [sym_milestoneEndTag] = ACTIONS(6056),
    [sym_zSpaceTag] = ACTIONS(6056),
    [anon_sym_BSLASHesb] = ACTIONS(6056),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(57),
    [aux_sym_text_token1] = ACTIONS(57),
    [anon_sym_BSLASHref] = ACTIONS(59),
    [anon_sym_BSLASHsts] = ACTIONS(59),
    [anon_sym_BSLASHrem] = ACTIONS(59),
    [anon_sym_BSLASHrestore] = ACTIONS(59),
    [anon_sym_BSLASHlit] = ACTIONS(59),
    [anon_sym_BSLASHip] = ACTIONS(59),
    [anon_sym_BSLASHiex] = ACTIONS(59),
    [anon_sym_BSLASHv] = ACTIONS(59),
    [anon_sym_BSLASHva] = ACTIONS(59),
    [anon_sym_BSLASHvp] = ACTIONS(59),
    [anon_sym_BSLASHc] = ACTIONS(59),
    [anon_sym_BSLASHcl] = ACTIONS(59),
    [anon_sym_BSLASHca] = ACTIONS(59),
    [anon_sym_BSLASHcp] = ACTIONS(59),
    [anon_sym_BSLASHcd] = ACTIONS(59),
    [anon_sym_BSLASHmte] = ACTIONS(59),
    [anon_sym_BSLASHms] = ACTIONS(59),
    [anon_sym_BSLASHs] = ACTIONS(59),
    [anon_sym_BSLASHr] = ACTIONS(59),
    [anon_sym_BSLASHsp] = ACTIONS(59),
    [anon_sym_BSLASHd] = ACTIONS(59),
    [anon_sym_BSLASHsd] = ACTIONS(59),
    [anon_sym_BSLASHp] = ACTIONS(59),
    [anon_sym_BSLASHm] = ACTIONS(59),
    [anon_sym_BSLASHpo] = ACTIONS(59),
    [anon_sym_BSLASHpr] = ACTIONS(59),
    [anon_sym_BSLASHcls] = ACTIONS(59),
    [anon_sym_BSLASHpmo] = ACTIONS(59),
    [anon_sym_BSLASHpm] = ACTIONS(59),
    [anon_sym_BSLASHpmc] = ACTIONS(59),
    [anon_sym_BSLASHpmr] = ACTIONS(59),
    [anon_sym_BSLASHpi] = ACTIONS(59),
    [anon_sym_BSLASHmi] = ACTIONS(59),
    [anon_sym_BSLASHnb] = ACTIONS(59),
    [anon_sym_BSLASHpc] = ACTIONS(59),
    [anon_sym_BSLASHph] = ACTIONS(59),
    [anon_sym_BSLASHb] = ACTIONS(59),
    [anon_sym_BSLASHq] = ACTIONS(59),
    [anon_sym_BSLASHqr] = ACTIONS(59),
    [anon_sym_BSLASHqc] = ACTIONS(59),
    [anon_sym_BSLASHqs] = ACTIONS(59),
    [anon_sym_BSLASHqa] = ACTIONS(59),
    [anon_sym_BSLASHqac] = ACTIONS(59),
    [anon_sym_BSLASHqm] = ACTIONS(59),
    [anon_sym_BSLASHqd] = ACTIONS(59),
    [anon_sym_BSLASHlh] = ACTIONS(59),
    [anon_sym_BSLASHli] = ACTIONS(59),
    [anon_sym_BSLASHlim] = ACTIONS(59),
    [anon_sym_BSLASHtr] = ACTIONS(59),
    [anon_sym_BSLASHf] = ACTIONS(59),
    [anon_sym_BSLASHfe] = ACTIONS(59),
    [anon_sym_BSLASHef] = ACTIONS(59),
    [anon_sym_BSLASHfm] = ACTIONS(59),
    [anon_sym_BSLASHx] = ACTIONS(59),
    [anon_sym_BSLASHxt] = ACTIONS(59),
    [anon_sym_BSLASHrq] = ACTIONS(59),
    [anon_sym_BSLASHadd] = ACTIONS(59),
    [anon_sym_BSLASHbk] = ACTIONS(59),
    [anon_sym_BSLASHdc] = ACTIONS(59),
    [anon_sym_BSLASHk] = ACTIONS(59),
    [anon_sym_BSLASHnd] = ACTIONS(59),
    [anon_sym_BSLASHord] = ACTIONS(59),
    [anon_sym_BSLASHpn] = ACTIONS(59),
    [anon_sym_BSLASHpng] = ACTIONS(59),
    [anon_sym_BSLASHaddpn] = ACTIONS(59),
    [anon_sym_BSLASHqt] = ACTIONS(59),
    [anon_sym_BSLASHsig] = ACTIONS(59),
    [anon_sym_BSLASHsls] = ACTIONS(59),
    [anon_sym_BSLASHtl] = ACTIONS(59),
    [anon_sym_BSLASHwj] = ACTIONS(59),
    [anon_sym_BSLASHem] = ACTIONS(59),
    [anon_sym_BSLASHbd] = ACTIONS(59),
    [anon_sym_BSLASHit] = ACTIONS(59),
    [anon_sym_BSLASHbdit] = ACTIONS(59),
    [anon_sym_BSLASHno] = ACTIONS(59),
    [anon_sym_BSLASHsc] = ACTIONS(59),
    [anon_sym_BSLASHsup] = ACTIONS(59),
    [anon_sym_BSLASHndx] = ACTIONS(59),
    [anon_sym_BSLASHpro] = ACTIONS(59),
    [anon_sym_BSLASHrb] = ACTIONS(59),
    [anon_sym_BSLASHw] = ACTIONS(59),
    [anon_sym_BSLASHwg] = ACTIONS(59),
    [anon_sym_BSLASHwh] = ACTIONS(59),
    [anon_sym_BSLASHwa] = ACTIONS(59),
    [anon_sym_BSLASHfig] = ACTIONS(59),
    [anon_sym_BSLASHjmp] = ACTIONS(59),
    [anon_sym_BSLASHpb] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(59),
    [sym_milestoneStartTag] = ACTIONS(59),
    [sym_milestoneEndTag] = ACTIONS(59),
    [sym_zSpaceTag] = ACTIONS(59),
    [anon_sym_BSLASHesb] = ACTIONS(59),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(2735),
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHref] = ACTIONS(2737),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHiex] = ACTIONS(2737),
    [anon_sym_BSLASHv] = ACTIONS(2737),
    [anon_sym_BSLASHva] = ACTIONS(2737),
    [anon_sym_BSLASHvp] = ACTIONS(2737),
    [anon_sym_BSLASHc] = ACTIONS(2737),
    [anon_sym_BSLASHcl] = ACTIONS(2737),
    [anon_sym_BSLASHca] = ACTIONS(2737),
    [anon_sym_BSLASHcp] = ACTIONS(2737),
    [anon_sym_BSLASHcd] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqs] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqac] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHx] = ACTIONS(2737),
    [anon_sym_BSLASHxt] = ACTIONS(2737),
    [anon_sym_BSLASHrq] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesb] = ACTIONS(2737),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHref] = ACTIONS(2721),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHiex] = ACTIONS(2721),
    [anon_sym_BSLASHv] = ACTIONS(2721),
    [anon_sym_BSLASHva] = ACTIONS(2721),
    [anon_sym_BSLASHvp] = ACTIONS(2721),
    [anon_sym_BSLASHc] = ACTIONS(2721),
    [anon_sym_BSLASHcl] = ACTIONS(2721),
    [anon_sym_BSLASHca] = ACTIONS(2721),
    [anon_sym_BSLASHcp] = ACTIONS(2721),
    [anon_sym_BSLASHcd] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqs] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqac] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHx] = ACTIONS(2721),
    [anon_sym_BSLASHxt] = ACTIONS(2721),
    [anon_sym_BSLASHrq] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesb] = ACTIONS(2721),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(53),
    [aux_sym_text_token1] = ACTIONS(53),
    [anon_sym_BSLASHref] = ACTIONS(55),
    [anon_sym_BSLASHsts] = ACTIONS(55),
    [anon_sym_BSLASHrem] = ACTIONS(55),
    [anon_sym_BSLASHrestore] = ACTIONS(55),
    [anon_sym_BSLASHlit] = ACTIONS(55),
    [anon_sym_BSLASHip] = ACTIONS(55),
    [anon_sym_BSLASHiex] = ACTIONS(55),
    [anon_sym_BSLASHv] = ACTIONS(55),
    [anon_sym_BSLASHva] = ACTIONS(55),
    [anon_sym_BSLASHvp] = ACTIONS(55),
    [anon_sym_BSLASHc] = ACTIONS(55),
    [anon_sym_BSLASHcl] = ACTIONS(55),
    [anon_sym_BSLASHca] = ACTIONS(55),
    [anon_sym_BSLASHcp] = ACTIONS(55),
    [anon_sym_BSLASHcd] = ACTIONS(55),
    [anon_sym_BSLASHmte] = ACTIONS(55),
    [anon_sym_BSLASHms] = ACTIONS(55),
    [anon_sym_BSLASHs] = ACTIONS(55),
    [anon_sym_BSLASHr] = ACTIONS(55),
    [anon_sym_BSLASHsp] = ACTIONS(55),
    [anon_sym_BSLASHd] = ACTIONS(55),
    [anon_sym_BSLASHsd] = ACTIONS(55),
    [anon_sym_BSLASHp] = ACTIONS(55),
    [anon_sym_BSLASHm] = ACTIONS(55),
    [anon_sym_BSLASHpo] = ACTIONS(55),
    [anon_sym_BSLASHpr] = ACTIONS(55),
    [anon_sym_BSLASHcls] = ACTIONS(55),
    [anon_sym_BSLASHpmo] = ACTIONS(55),
    [anon_sym_BSLASHpm] = ACTIONS(55),
    [anon_sym_BSLASHpmc] = ACTIONS(55),
    [anon_sym_BSLASHpmr] = ACTIONS(55),
    [anon_sym_BSLASHpi] = ACTIONS(55),
    [anon_sym_BSLASHmi] = ACTIONS(55),
    [anon_sym_BSLASHnb] = ACTIONS(55),
    [anon_sym_BSLASHpc] = ACTIONS(55),
    [anon_sym_BSLASHph] = ACTIONS(55),
    [anon_sym_BSLASHb] = ACTIONS(55),
    [anon_sym_BSLASHq] = ACTIONS(55),
    [anon_sym_BSLASHqr] = ACTIONS(55),
    [anon_sym_BSLASHqc] = ACTIONS(55),
    [anon_sym_BSLASHqs] = ACTIONS(55),
    [anon_sym_BSLASHqa] = ACTIONS(55),
    [anon_sym_BSLASHqac] = ACTIONS(55),
    [anon_sym_BSLASHqm] = ACTIONS(55),
    [anon_sym_BSLASHqd] = ACTIONS(55),
    [anon_sym_BSLASHlh] = ACTIONS(55),
    [anon_sym_BSLASHli] = ACTIONS(55),
    [anon_sym_BSLASHlim] = ACTIONS(55),
    [anon_sym_BSLASHtr] = ACTIONS(55),
    [anon_sym_BSLASHf] = ACTIONS(55),
    [anon_sym_BSLASHfe] = ACTIONS(55),
    [anon_sym_BSLASHef] = ACTIONS(55),
    [anon_sym_BSLASHfm] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHxt] = ACTIONS(55),
    [anon_sym_BSLASHrq] = ACTIONS(55),
    [anon_sym_BSLASHadd] = ACTIONS(55),
    [anon_sym_BSLASHbk] = ACTIONS(55),
    [anon_sym_BSLASHdc] = ACTIONS(55),
    [anon_sym_BSLASHk] = ACTIONS(55),
    [anon_sym_BSLASHnd] = ACTIONS(55),
    [anon_sym_BSLASHord] = ACTIONS(55),
    [anon_sym_BSLASHpn] = ACTIONS(55),
    [anon_sym_BSLASHpng] = ACTIONS(55),
    [anon_sym_BSLASHaddpn] = ACTIONS(55),
    [anon_sym_BSLASHqt] = ACTIONS(55),
    [anon_sym_BSLASHsig] = ACTIONS(55),
    [anon_sym_BSLASHsls] = ACTIONS(55),
    [anon_sym_BSLASHtl] = ACTIONS(55),
    [anon_sym_BSLASHwj] = ACTIONS(55),
    [anon_sym_BSLASHem] = ACTIONS(55),
    [anon_sym_BSLASHbd] = ACTIONS(55),
    [anon_sym_BSLASHit] = ACTIONS(55),
    [anon_sym_BSLASHbdit] = ACTIONS(55),
    [anon_sym_BSLASHno] = ACTIONS(55),
    [anon_sym_BSLASHsc] = ACTIONS(55),
    [anon_sym_BSLASHsup] = ACTIONS(55),
    [anon_sym_BSLASHndx] = ACTIONS(55),
    [anon_sym_BSLASHpro] = ACTIONS(55),
    [anon_sym_BSLASHrb] = ACTIONS(55),
    [anon_sym_BSLASHw] = ACTIONS(55),
    [anon_sym_BSLASHwg] = ACTIONS(55),
    [anon_sym_BSLASHwh] = ACTIONS(55),
    [anon_sym_BSLASHwa] = ACTIONS(55),
    [anon_sym_BSLASHfig] = ACTIONS(55),
    [anon_sym_BSLASHjmp] = ACTIONS(55),
    [anon_sym_BSLASHpb] = ACTIONS(55),
    [anon_sym_BSLASH] = ACTIONS(55),
    [sym_milestoneStartTag] = ACTIONS(55),
    [sym_milestoneEndTag] = ACTIONS(55),
    [sym_zSpaceTag] = ACTIONS(55),
    [anon_sym_BSLASHesb] = ACTIONS(55),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(2715),
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHref] = ACTIONS(2717),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHiex] = ACTIONS(2717),
    [anon_sym_BSLASHv] = ACTIONS(2717),
    [anon_sym_BSLASHva] = ACTIONS(2717),
    [anon_sym_BSLASHvp] = ACTIONS(2717),
    [anon_sym_BSLASHc] = ACTIONS(2717),
    [anon_sym_BSLASHcl] = ACTIONS(2717),
    [anon_sym_BSLASHca] = ACTIONS(2717),
    [anon_sym_BSLASHcp] = ACTIONS(2717),
    [anon_sym_BSLASHcd] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqs] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqac] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHx] = ACTIONS(2717),
    [anon_sym_BSLASHxt] = ACTIONS(2717),
    [anon_sym_BSLASHrq] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesb] = ACTIONS(2717),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(2783),
    [aux_sym_text_token1] = ACTIONS(2783),
    [anon_sym_BSLASHref] = ACTIONS(2785),
    [anon_sym_BSLASHsts] = ACTIONS(2785),
    [anon_sym_BSLASHrem] = ACTIONS(2785),
    [anon_sym_BSLASHrestore] = ACTIONS(2785),
    [anon_sym_BSLASHlit] = ACTIONS(2785),
    [anon_sym_BSLASHip] = ACTIONS(2785),
    [anon_sym_BSLASHiex] = ACTIONS(2785),
    [anon_sym_BSLASHv] = ACTIONS(2785),
    [anon_sym_BSLASHva] = ACTIONS(2785),
    [anon_sym_BSLASHvp] = ACTIONS(2785),
    [anon_sym_BSLASHc] = ACTIONS(2785),
    [anon_sym_BSLASHcl] = ACTIONS(2785),
    [anon_sym_BSLASHca] = ACTIONS(2785),
    [anon_sym_BSLASHcp] = ACTIONS(2785),
    [anon_sym_BSLASHcd] = ACTIONS(2785),
    [anon_sym_BSLASHmte] = ACTIONS(2785),
    [anon_sym_BSLASHms] = ACTIONS(2785),
    [anon_sym_BSLASHs] = ACTIONS(2785),
    [anon_sym_BSLASHr] = ACTIONS(2785),
    [anon_sym_BSLASHsp] = ACTIONS(2785),
    [anon_sym_BSLASHd] = ACTIONS(2785),
    [anon_sym_BSLASHsd] = ACTIONS(2785),
    [anon_sym_BSLASHp] = ACTIONS(2785),
    [anon_sym_BSLASHm] = ACTIONS(2785),
    [anon_sym_BSLASHpo] = ACTIONS(2785),
    [anon_sym_BSLASHpr] = ACTIONS(2785),
    [anon_sym_BSLASHcls] = ACTIONS(2785),
    [anon_sym_BSLASHpmo] = ACTIONS(2785),
    [anon_sym_BSLASHpm] = ACTIONS(2785),
    [anon_sym_BSLASHpmc] = ACTIONS(2785),
    [anon_sym_BSLASHpmr] = ACTIONS(2785),
    [anon_sym_BSLASHpi] = ACTIONS(2785),
    [anon_sym_BSLASHmi] = ACTIONS(2785),
    [anon_sym_BSLASHnb] = ACTIONS(2785),
    [anon_sym_BSLASHpc] = ACTIONS(2785),
    [anon_sym_BSLASHph] = ACTIONS(2785),
    [anon_sym_BSLASHb] = ACTIONS(2785),
    [anon_sym_BSLASHq] = ACTIONS(2785),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2785),
    [anon_sym_BSLASHqs] = ACTIONS(2785),
    [anon_sym_BSLASHqa] = ACTIONS(2785),
    [anon_sym_BSLASHqac] = ACTIONS(2785),
    [anon_sym_BSLASHqm] = ACTIONS(2785),
    [anon_sym_BSLASHqd] = ACTIONS(2785),
    [anon_sym_BSLASHlh] = ACTIONS(2785),
    [anon_sym_BSLASHli] = ACTIONS(2785),
    [anon_sym_BSLASHlim] = ACTIONS(2785),
    [anon_sym_BSLASHtr] = ACTIONS(2785),
    [anon_sym_BSLASHf] = ACTIONS(2785),
    [anon_sym_BSLASHfe] = ACTIONS(2785),
    [anon_sym_BSLASHef] = ACTIONS(2785),
    [anon_sym_BSLASHfm] = ACTIONS(2785),
    [anon_sym_BSLASHx] = ACTIONS(2785),
    [anon_sym_BSLASHxt] = ACTIONS(2785),
    [anon_sym_BSLASHrq] = ACTIONS(2785),
    [anon_sym_BSLASHadd] = ACTIONS(2785),
    [anon_sym_BSLASHbk] = ACTIONS(2785),
    [anon_sym_BSLASHdc] = ACTIONS(2785),
    [anon_sym_BSLASHk] = ACTIONS(2785),
    [anon_sym_BSLASHnd] = ACTIONS(2785),
    [anon_sym_BSLASHord] = ACTIONS(2785),
    [anon_sym_BSLASHpn] = ACTIONS(2785),
    [anon_sym_BSLASHpng] = ACTIONS(2785),
    [anon_sym_BSLASHaddpn] = ACTIONS(2785),
    [anon_sym_BSLASHqt] = ACTIONS(2785),
    [anon_sym_BSLASHsig] = ACTIONS(2785),
    [anon_sym_BSLASHsls] = ACTIONS(2785),
    [anon_sym_BSLASHtl] = ACTIONS(2785),
    [anon_sym_BSLASHwj] = ACTIONS(2785),
    [anon_sym_BSLASHem] = ACTIONS(2785),
    [anon_sym_BSLASHbd] = ACTIONS(2785),
    [anon_sym_BSLASHit] = ACTIONS(2785),
    [anon_sym_BSLASHbdit] = ACTIONS(2785),
    [anon_sym_BSLASHno] = ACTIONS(2785),
    [anon_sym_BSLASHsc] = ACTIONS(2785),
    [anon_sym_BSLASHsup] = ACTIONS(2785),
    [anon_sym_BSLASHndx] = ACTIONS(2785),
    [anon_sym_BSLASHpro] = ACTIONS(2785),
    [anon_sym_BSLASHrb] = ACTIONS(2785),
    [anon_sym_BSLASHw] = ACTIONS(2785),
    [anon_sym_BSLASHwg] = ACTIONS(2785),
    [anon_sym_BSLASHwh] = ACTIONS(2785),
    [anon_sym_BSLASHwa] = ACTIONS(2785),
    [anon_sym_BSLASHfig] = ACTIONS(2785),
    [anon_sym_BSLASHjmp] = ACTIONS(2785),
    [anon_sym_BSLASHpb] = ACTIONS(2785),
    [anon_sym_BSLASH] = ACTIONS(2785),
    [sym_milestoneStartTag] = ACTIONS(2785),
    [sym_milestoneEndTag] = ACTIONS(2785),
    [sym_zSpaceTag] = ACTIONS(2785),
    [anon_sym_BSLASHesb] = ACTIONS(2785),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(9),
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHref] = ACTIONS(11),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHiex] = ACTIONS(11),
    [anon_sym_BSLASHv] = ACTIONS(11),
    [anon_sym_BSLASHva] = ACTIONS(11),
    [anon_sym_BSLASHvp] = ACTIONS(11),
    [anon_sym_BSLASHc] = ACTIONS(11),
    [anon_sym_BSLASHcl] = ACTIONS(11),
    [anon_sym_BSLASHca] = ACTIONS(11),
    [anon_sym_BSLASHcp] = ACTIONS(11),
    [anon_sym_BSLASHcd] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqs] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqac] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHx] = ACTIONS(11),
    [anon_sym_BSLASHxt] = ACTIONS(11),
    [anon_sym_BSLASHrq] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesb] = ACTIONS(11),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHref] = ACTIONS(2685),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHiex] = ACTIONS(2685),
    [anon_sym_BSLASHv] = ACTIONS(2685),
    [anon_sym_BSLASHva] = ACTIONS(2685),
    [anon_sym_BSLASHvp] = ACTIONS(2685),
    [anon_sym_BSLASHc] = ACTIONS(2685),
    [anon_sym_BSLASHcl] = ACTIONS(2685),
    [anon_sym_BSLASHca] = ACTIONS(2685),
    [anon_sym_BSLASHcp] = ACTIONS(2685),
    [anon_sym_BSLASHcd] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqs] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqac] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHx] = ACTIONS(2685),
    [anon_sym_BSLASHxt] = ACTIONS(2685),
    [anon_sym_BSLASHrq] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesb] = ACTIONS(2685),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(2779),
    [aux_sym_text_token1] = ACTIONS(2779),
    [anon_sym_BSLASHref] = ACTIONS(2781),
    [anon_sym_BSLASHsts] = ACTIONS(2781),
    [anon_sym_BSLASHrem] = ACTIONS(2781),
    [anon_sym_BSLASHrestore] = ACTIONS(2781),
    [anon_sym_BSLASHlit] = ACTIONS(2781),
    [anon_sym_BSLASHip] = ACTIONS(2781),
    [anon_sym_BSLASHiex] = ACTIONS(2781),
    [anon_sym_BSLASHv] = ACTIONS(2781),
    [anon_sym_BSLASHva] = ACTIONS(2781),
    [anon_sym_BSLASHvp] = ACTIONS(2781),
    [anon_sym_BSLASHc] = ACTIONS(2781),
    [anon_sym_BSLASHcl] = ACTIONS(2781),
    [anon_sym_BSLASHca] = ACTIONS(2781),
    [anon_sym_BSLASHcp] = ACTIONS(2781),
    [anon_sym_BSLASHcd] = ACTIONS(2781),
    [anon_sym_BSLASHmte] = ACTIONS(2781),
    [anon_sym_BSLASHms] = ACTIONS(2781),
    [anon_sym_BSLASHs] = ACTIONS(2781),
    [anon_sym_BSLASHr] = ACTIONS(2781),
    [anon_sym_BSLASHsp] = ACTIONS(2781),
    [anon_sym_BSLASHd] = ACTIONS(2781),
    [anon_sym_BSLASHsd] = ACTIONS(2781),
    [anon_sym_BSLASHp] = ACTIONS(2781),
    [anon_sym_BSLASHm] = ACTIONS(2781),
    [anon_sym_BSLASHpo] = ACTIONS(2781),
    [anon_sym_BSLASHpr] = ACTIONS(2781),
    [anon_sym_BSLASHcls] = ACTIONS(2781),
    [anon_sym_BSLASHpmo] = ACTIONS(2781),
    [anon_sym_BSLASHpm] = ACTIONS(2781),
    [anon_sym_BSLASHpmc] = ACTIONS(2781),
    [anon_sym_BSLASHpmr] = ACTIONS(2781),
    [anon_sym_BSLASHpi] = ACTIONS(2781),
    [anon_sym_BSLASHmi] = ACTIONS(2781),
    [anon_sym_BSLASHnb] = ACTIONS(2781),
    [anon_sym_BSLASHpc] = ACTIONS(2781),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(2781),
    [anon_sym_BSLASHq] = ACTIONS(2781),
    [anon_sym_BSLASHqr] = ACTIONS(2781),
    [anon_sym_BSLASHqc] = ACTIONS(2781),
    [anon_sym_BSLASHqs] = ACTIONS(2781),
    [anon_sym_BSLASHqa] = ACTIONS(2781),
    [anon_sym_BSLASHqac] = ACTIONS(2781),
    [anon_sym_BSLASHqm] = ACTIONS(2781),
    [anon_sym_BSLASHqd] = ACTIONS(2781),
    [anon_sym_BSLASHlh] = ACTIONS(2781),
    [anon_sym_BSLASHli] = ACTIONS(2781),
    [anon_sym_BSLASHlim] = ACTIONS(2781),
    [anon_sym_BSLASHtr] = ACTIONS(2781),
    [anon_sym_BSLASHf] = ACTIONS(2781),
    [anon_sym_BSLASHfe] = ACTIONS(2781),
    [anon_sym_BSLASHef] = ACTIONS(2781),
    [anon_sym_BSLASHfm] = ACTIONS(2781),
    [anon_sym_BSLASHx] = ACTIONS(2781),
    [anon_sym_BSLASHxt] = ACTIONS(2781),
    [anon_sym_BSLASHrq] = ACTIONS(2781),
    [anon_sym_BSLASHadd] = ACTIONS(2781),
    [anon_sym_BSLASHbk] = ACTIONS(2781),
    [anon_sym_BSLASHdc] = ACTIONS(2781),
    [anon_sym_BSLASHk] = ACTIONS(2781),
    [anon_sym_BSLASHnd] = ACTIONS(2781),
    [anon_sym_BSLASHord] = ACTIONS(2781),
    [anon_sym_BSLASHpn] = ACTIONS(2781),
    [anon_sym_BSLASHpng] = ACTIONS(2781),
    [anon_sym_BSLASHaddpn] = ACTIONS(2781),
    [anon_sym_BSLASHqt] = ACTIONS(2781),
    [anon_sym_BSLASHsig] = ACTIONS(2781),
    [anon_sym_BSLASHsls] = ACTIONS(2781),
    [anon_sym_BSLASHtl] = ACTIONS(2781),
    [anon_sym_BSLASHwj] = ACTIONS(2781),
    [anon_sym_BSLASHem] = ACTIONS(2781),
    [anon_sym_BSLASHbd] = ACTIONS(2781),
    [anon_sym_BSLASHit] = ACTIONS(2781),
    [anon_sym_BSLASHbdit] = ACTIONS(2781),
    [anon_sym_BSLASHno] = ACTIONS(2781),
    [anon_sym_BSLASHsc] = ACTIONS(2781),
    [anon_sym_BSLASHsup] = ACTIONS(2781),
    [anon_sym_BSLASHndx] = ACTIONS(2781),
    [anon_sym_BSLASHpro] = ACTIONS(2781),
    [anon_sym_BSLASHrb] = ACTIONS(2781),
    [anon_sym_BSLASHw] = ACTIONS(2781),
    [anon_sym_BSLASHwg] = ACTIONS(2781),
    [anon_sym_BSLASHwh] = ACTIONS(2781),
    [anon_sym_BSLASHwa] = ACTIONS(2781),
    [anon_sym_BSLASHfig] = ACTIONS(2781),
    [anon_sym_BSLASHjmp] = ACTIONS(2781),
    [anon_sym_BSLASHpb] = ACTIONS(2781),
    [anon_sym_BSLASH] = ACTIONS(2781),
    [sym_milestoneStartTag] = ACTIONS(2781),
    [sym_milestoneEndTag] = ACTIONS(2781),
    [sym_zSpaceTag] = ACTIONS(2781),
    [anon_sym_BSLASHesb] = ACTIONS(2781),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(6058),
    [aux_sym_text_token1] = ACTIONS(6058),
    [anon_sym_BSLASHref] = ACTIONS(6060),
    [anon_sym_BSLASHsts] = ACTIONS(6060),
    [anon_sym_BSLASHrem] = ACTIONS(6060),
    [anon_sym_BSLASHrestore] = ACTIONS(6060),
    [anon_sym_BSLASHlit] = ACTIONS(6060),
    [anon_sym_BSLASHip] = ACTIONS(6060),
    [anon_sym_BSLASHiex] = ACTIONS(6060),
    [anon_sym_BSLASHv] = ACTIONS(6060),
    [anon_sym_BSLASHva] = ACTIONS(6060),
    [anon_sym_BSLASHvp] = ACTIONS(6060),
    [anon_sym_BSLASHc] = ACTIONS(6060),
    [anon_sym_BSLASHcl] = ACTIONS(6060),
    [anon_sym_BSLASHca] = ACTIONS(6060),
    [anon_sym_BSLASHcp] = ACTIONS(6060),
    [anon_sym_BSLASHcd] = ACTIONS(6060),
    [anon_sym_BSLASHmte] = ACTIONS(6060),
    [anon_sym_BSLASHms] = ACTIONS(6060),
    [anon_sym_BSLASHs] = ACTIONS(6060),
    [anon_sym_BSLASHr] = ACTIONS(6060),
    [anon_sym_BSLASHsp] = ACTIONS(6060),
    [anon_sym_BSLASHd] = ACTIONS(6060),
    [anon_sym_BSLASHsd] = ACTIONS(6060),
    [anon_sym_BSLASHp] = ACTIONS(6060),
    [anon_sym_BSLASHm] = ACTIONS(6060),
    [anon_sym_BSLASHpo] = ACTIONS(6060),
    [anon_sym_BSLASHpr] = ACTIONS(6060),
    [anon_sym_BSLASHcls] = ACTIONS(6060),
    [anon_sym_BSLASHpmo] = ACTIONS(6060),
    [anon_sym_BSLASHpm] = ACTIONS(6060),
    [anon_sym_BSLASHpmc] = ACTIONS(6060),
    [anon_sym_BSLASHpmr] = ACTIONS(6060),
    [anon_sym_BSLASHpi] = ACTIONS(6060),
    [anon_sym_BSLASHmi] = ACTIONS(6060),
    [anon_sym_BSLASHnb] = ACTIONS(6060),
    [anon_sym_BSLASHpc] = ACTIONS(6060),
    [anon_sym_BSLASHph] = ACTIONS(6060),
    [anon_sym_BSLASHb] = ACTIONS(6060),
    [anon_sym_BSLASHq] = ACTIONS(6060),
    [anon_sym_BSLASHqr] = ACTIONS(6060),
    [anon_sym_BSLASHqc] = ACTIONS(6060),
    [anon_sym_BSLASHqs] = ACTIONS(6060),
    [anon_sym_BSLASHqa] = ACTIONS(6060),
    [anon_sym_BSLASHqac] = ACTIONS(6060),
    [anon_sym_BSLASHqm] = ACTIONS(6060),
    [anon_sym_BSLASHqd] = ACTIONS(6060),
    [anon_sym_BSLASHlh] = ACTIONS(6060),
    [anon_sym_BSLASHli] = ACTIONS(6060),
    [anon_sym_BSLASHlim] = ACTIONS(6060),
    [anon_sym_BSLASHtr] = ACTIONS(6060),
    [anon_sym_BSLASHf] = ACTIONS(6060),
    [anon_sym_BSLASHfe] = ACTIONS(6060),
    [anon_sym_BSLASHef] = ACTIONS(6060),
    [anon_sym_BSLASHfm] = ACTIONS(6060),
    [anon_sym_BSLASHx] = ACTIONS(6060),
    [anon_sym_BSLASHxt] = ACTIONS(6060),
    [anon_sym_BSLASHrq] = ACTIONS(6060),
    [anon_sym_BSLASHadd] = ACTIONS(6060),
    [anon_sym_BSLASHbk] = ACTIONS(6060),
    [anon_sym_BSLASHdc] = ACTIONS(6060),
    [anon_sym_BSLASHk] = ACTIONS(6060),
    [anon_sym_BSLASHnd] = ACTIONS(6060),
    [anon_sym_BSLASHord] = ACTIONS(6060),
    [anon_sym_BSLASHpn] = ACTIONS(6060),
    [anon_sym_BSLASHpng] = ACTIONS(6060),
    [anon_sym_BSLASHaddpn] = ACTIONS(6060),
    [anon_sym_BSLASHqt] = ACTIONS(6060),
    [anon_sym_BSLASHsig] = ACTIONS(6060),
    [anon_sym_BSLASHsls] = ACTIONS(6060),
    [anon_sym_BSLASHtl] = ACTIONS(6060),
    [anon_sym_BSLASHwj] = ACTIONS(6060),
    [anon_sym_BSLASHem] = ACTIONS(6060),
    [anon_sym_BSLASHbd] = ACTIONS(6060),
    [anon_sym_BSLASHit] = ACTIONS(6060),
    [anon_sym_BSLASHbdit] = ACTIONS(6060),
    [anon_sym_BSLASHno] = ACTIONS(6060),
    [anon_sym_BSLASHsc] = ACTIONS(6060),
    [anon_sym_BSLASHsup] = ACTIONS(6060),
    [anon_sym_BSLASHndx] = ACTIONS(6060),
    [anon_sym_BSLASHpro] = ACTIONS(6060),
    [anon_sym_BSLASHrb] = ACTIONS(6060),
    [anon_sym_BSLASHw] = ACTIONS(6060),
    [anon_sym_BSLASHwg] = ACTIONS(6060),
    [anon_sym_BSLASHwh] = ACTIONS(6060),
    [anon_sym_BSLASHwa] = ACTIONS(6060),
    [anon_sym_BSLASHfig] = ACTIONS(6060),
    [anon_sym_BSLASHjmp] = ACTIONS(6060),
    [anon_sym_BSLASHpb] = ACTIONS(6060),
    [anon_sym_BSLASH] = ACTIONS(6060),
    [sym_milestoneStartTag] = ACTIONS(6060),
    [sym_milestoneEndTag] = ACTIONS(6060),
    [sym_zSpaceTag] = ACTIONS(6060),
    [anon_sym_BSLASHesb] = ACTIONS(6060),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(69),
    [aux_sym_text_token1] = ACTIONS(69),
    [anon_sym_BSLASHref] = ACTIONS(71),
    [anon_sym_BSLASHsts] = ACTIONS(71),
    [anon_sym_BSLASHrem] = ACTIONS(71),
    [anon_sym_BSLASHrestore] = ACTIONS(71),
    [anon_sym_BSLASHlit] = ACTIONS(71),
    [anon_sym_BSLASHip] = ACTIONS(71),
    [anon_sym_BSLASHiex] = ACTIONS(71),
    [anon_sym_BSLASHv] = ACTIONS(71),
    [anon_sym_BSLASHva] = ACTIONS(71),
    [anon_sym_BSLASHvp] = ACTIONS(71),
    [anon_sym_BSLASHc] = ACTIONS(71),
    [anon_sym_BSLASHcl] = ACTIONS(71),
    [anon_sym_BSLASHca] = ACTIONS(71),
    [anon_sym_BSLASHcp] = ACTIONS(71),
    [anon_sym_BSLASHcd] = ACTIONS(71),
    [anon_sym_BSLASHmte] = ACTIONS(71),
    [anon_sym_BSLASHms] = ACTIONS(71),
    [anon_sym_BSLASHs] = ACTIONS(71),
    [anon_sym_BSLASHr] = ACTIONS(71),
    [anon_sym_BSLASHsp] = ACTIONS(71),
    [anon_sym_BSLASHd] = ACTIONS(71),
    [anon_sym_BSLASHsd] = ACTIONS(71),
    [anon_sym_BSLASHp] = ACTIONS(71),
    [anon_sym_BSLASHm] = ACTIONS(71),
    [anon_sym_BSLASHpo] = ACTIONS(71),
    [anon_sym_BSLASHpr] = ACTIONS(71),
    [anon_sym_BSLASHcls] = ACTIONS(71),
    [anon_sym_BSLASHpmo] = ACTIONS(71),
    [anon_sym_BSLASHpm] = ACTIONS(71),
    [anon_sym_BSLASHpmc] = ACTIONS(71),
    [anon_sym_BSLASHpmr] = ACTIONS(71),
    [anon_sym_BSLASHpi] = ACTIONS(71),
    [anon_sym_BSLASHmi] = ACTIONS(71),
    [anon_sym_BSLASHnb] = ACTIONS(71),
    [anon_sym_BSLASHpc] = ACTIONS(71),
    [anon_sym_BSLASHph] = ACTIONS(71),
    [anon_sym_BSLASHb] = ACTIONS(71),
    [anon_sym_BSLASHq] = ACTIONS(71),
    [anon_sym_BSLASHqr] = ACTIONS(71),
    [anon_sym_BSLASHqc] = ACTIONS(71),
    [anon_sym_BSLASHqs] = ACTIONS(71),
    [anon_sym_BSLASHqa] = ACTIONS(71),
    [anon_sym_BSLASHqac] = ACTIONS(71),
    [anon_sym_BSLASHqm] = ACTIONS(71),
    [anon_sym_BSLASHqd] = ACTIONS(71),
    [anon_sym_BSLASHlh] = ACTIONS(71),
    [anon_sym_BSLASHli] = ACTIONS(71),
    [anon_sym_BSLASHlim] = ACTIONS(71),
    [anon_sym_BSLASHtr] = ACTIONS(71),
    [anon_sym_BSLASHf] = ACTIONS(71),
    [anon_sym_BSLASHfe] = ACTIONS(71),
    [anon_sym_BSLASHef] = ACTIONS(71),
    [anon_sym_BSLASHfm] = ACTIONS(71),
    [anon_sym_BSLASHx] = ACTIONS(71),
    [anon_sym_BSLASHxt] = ACTIONS(71),
    [anon_sym_BSLASHrq] = ACTIONS(71),
    [anon_sym_BSLASHadd] = ACTIONS(71),
    [anon_sym_BSLASHbk] = ACTIONS(71),
    [anon_sym_BSLASHdc] = ACTIONS(71),
    [anon_sym_BSLASHk] = ACTIONS(71),
    [anon_sym_BSLASHnd] = ACTIONS(71),
    [anon_sym_BSLASHord] = ACTIONS(71),
    [anon_sym_BSLASHpn] = ACTIONS(71),
    [anon_sym_BSLASHpng] = ACTIONS(71),
    [anon_sym_BSLASHaddpn] = ACTIONS(71),
    [anon_sym_BSLASHqt] = ACTIONS(71),
    [anon_sym_BSLASHsig] = ACTIONS(71),
    [anon_sym_BSLASHsls] = ACTIONS(71),
    [anon_sym_BSLASHtl] = ACTIONS(71),
    [anon_sym_BSLASHwj] = ACTIONS(71),
    [anon_sym_BSLASHem] = ACTIONS(71),
    [anon_sym_BSLASHbd] = ACTIONS(71),
    [anon_sym_BSLASHit] = ACTIONS(71),
    [anon_sym_BSLASHbdit] = ACTIONS(71),
    [anon_sym_BSLASHno] = ACTIONS(71),
    [anon_sym_BSLASHsc] = ACTIONS(71),
    [anon_sym_BSLASHsup] = ACTIONS(71),
    [anon_sym_BSLASHndx] = ACTIONS(71),
    [anon_sym_BSLASHpro] = ACTIONS(71),
    [anon_sym_BSLASHrb] = ACTIONS(71),
    [anon_sym_BSLASHw] = ACTIONS(71),
    [anon_sym_BSLASHwg] = ACTIONS(71),
    [anon_sym_BSLASHwh] = ACTIONS(71),
    [anon_sym_BSLASHwa] = ACTIONS(71),
    [anon_sym_BSLASHfig] = ACTIONS(71),
    [anon_sym_BSLASHjmp] = ACTIONS(71),
    [anon_sym_BSLASHpb] = ACTIONS(71),
    [anon_sym_BSLASH] = ACTIONS(71),
    [sym_milestoneStartTag] = ACTIONS(71),
    [sym_milestoneEndTag] = ACTIONS(71),
    [sym_zSpaceTag] = ACTIONS(71),
    [anon_sym_BSLASHesb] = ACTIONS(71),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(81),
    [aux_sym_text_token1] = ACTIONS(81),
    [anon_sym_BSLASHref] = ACTIONS(83),
    [anon_sym_BSLASHsts] = ACTIONS(83),
    [anon_sym_BSLASHrem] = ACTIONS(83),
    [anon_sym_BSLASHrestore] = ACTIONS(83),
    [anon_sym_BSLASHlit] = ACTIONS(83),
    [anon_sym_BSLASHip] = ACTIONS(83),
    [anon_sym_BSLASHiex] = ACTIONS(83),
    [anon_sym_BSLASHv] = ACTIONS(83),
    [anon_sym_BSLASHva] = ACTIONS(83),
    [anon_sym_BSLASHvp] = ACTIONS(83),
    [anon_sym_BSLASHc] = ACTIONS(83),
    [anon_sym_BSLASHcl] = ACTIONS(83),
    [anon_sym_BSLASHca] = ACTIONS(83),
    [anon_sym_BSLASHcp] = ACTIONS(83),
    [anon_sym_BSLASHcd] = ACTIONS(83),
    [anon_sym_BSLASHmte] = ACTIONS(83),
    [anon_sym_BSLASHms] = ACTIONS(83),
    [anon_sym_BSLASHs] = ACTIONS(83),
    [anon_sym_BSLASHr] = ACTIONS(83),
    [anon_sym_BSLASHsp] = ACTIONS(83),
    [anon_sym_BSLASHd] = ACTIONS(83),
    [anon_sym_BSLASHsd] = ACTIONS(83),
    [anon_sym_BSLASHp] = ACTIONS(83),
    [anon_sym_BSLASHm] = ACTIONS(83),
    [anon_sym_BSLASHpo] = ACTIONS(83),
    [anon_sym_BSLASHpr] = ACTIONS(83),
    [anon_sym_BSLASHcls] = ACTIONS(83),
    [anon_sym_BSLASHpmo] = ACTIONS(83),
    [anon_sym_BSLASHpm] = ACTIONS(83),
    [anon_sym_BSLASHpmc] = ACTIONS(83),
    [anon_sym_BSLASHpmr] = ACTIONS(83),
    [anon_sym_BSLASHpi] = ACTIONS(83),
    [anon_sym_BSLASHmi] = ACTIONS(83),
    [anon_sym_BSLASHnb] = ACTIONS(83),
    [anon_sym_BSLASHpc] = ACTIONS(83),
    [anon_sym_BSLASHph] = ACTIONS(83),
    [anon_sym_BSLASHb] = ACTIONS(83),
    [anon_sym_BSLASHq] = ACTIONS(83),
    [anon_sym_BSLASHqr] = ACTIONS(83),
    [anon_sym_BSLASHqc] = ACTIONS(83),
    [anon_sym_BSLASHqs] = ACTIONS(83),
    [anon_sym_BSLASHqa] = ACTIONS(83),
    [anon_sym_BSLASHqac] = ACTIONS(83),
    [anon_sym_BSLASHqm] = ACTIONS(83),
    [anon_sym_BSLASHqd] = ACTIONS(83),
    [anon_sym_BSLASHlh] = ACTIONS(83),
    [anon_sym_BSLASHli] = ACTIONS(83),
    [anon_sym_BSLASHlim] = ACTIONS(83),
    [anon_sym_BSLASHtr] = ACTIONS(83),
    [anon_sym_BSLASHf] = ACTIONS(83),
    [anon_sym_BSLASHfe] = ACTIONS(83),
    [anon_sym_BSLASHef] = ACTIONS(83),
    [anon_sym_BSLASHfm] = ACTIONS(83),
    [anon_sym_BSLASHx] = ACTIONS(83),
    [anon_sym_BSLASHxt] = ACTIONS(83),
    [anon_sym_BSLASHrq] = ACTIONS(83),
    [anon_sym_BSLASHadd] = ACTIONS(83),
    [anon_sym_BSLASHbk] = ACTIONS(83),
    [anon_sym_BSLASHdc] = ACTIONS(83),
    [anon_sym_BSLASHk] = ACTIONS(83),
    [anon_sym_BSLASHnd] = ACTIONS(83),
    [anon_sym_BSLASHord] = ACTIONS(83),
    [anon_sym_BSLASHpn] = ACTIONS(83),
    [anon_sym_BSLASHpng] = ACTIONS(83),
    [anon_sym_BSLASHaddpn] = ACTIONS(83),
    [anon_sym_BSLASHqt] = ACTIONS(83),
    [anon_sym_BSLASHsig] = ACTIONS(83),
    [anon_sym_BSLASHsls] = ACTIONS(83),
    [anon_sym_BSLASHtl] = ACTIONS(83),
    [anon_sym_BSLASHwj] = ACTIONS(83),
    [anon_sym_BSLASHem] = ACTIONS(83),
    [anon_sym_BSLASHbd] = ACTIONS(83),
    [anon_sym_BSLASHit] = ACTIONS(83),
    [anon_sym_BSLASHbdit] = ACTIONS(83),
    [anon_sym_BSLASHno] = ACTIONS(83),
    [anon_sym_BSLASHsc] = ACTIONS(83),
    [anon_sym_BSLASHsup] = ACTIONS(83),
    [anon_sym_BSLASHndx] = ACTIONS(83),
    [anon_sym_BSLASHpro] = ACTIONS(83),
    [anon_sym_BSLASHrb] = ACTIONS(83),
    [anon_sym_BSLASHw] = ACTIONS(83),
    [anon_sym_BSLASHwg] = ACTIONS(83),
    [anon_sym_BSLASHwh] = ACTIONS(83),
    [anon_sym_BSLASHwa] = ACTIONS(83),
    [anon_sym_BSLASHfig] = ACTIONS(83),
    [anon_sym_BSLASHjmp] = ACTIONS(83),
    [anon_sym_BSLASHpb] = ACTIONS(83),
    [anon_sym_BSLASH] = ACTIONS(83),
    [sym_milestoneStartTag] = ACTIONS(83),
    [sym_milestoneEndTag] = ACTIONS(83),
    [sym_zSpaceTag] = ACTIONS(83),
    [anon_sym_BSLASHesb] = ACTIONS(83),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(77),
    [aux_sym_text_token1] = ACTIONS(77),
    [anon_sym_BSLASHref] = ACTIONS(79),
    [anon_sym_BSLASHsts] = ACTIONS(79),
    [anon_sym_BSLASHrem] = ACTIONS(79),
    [anon_sym_BSLASHrestore] = ACTIONS(79),
    [anon_sym_BSLASHlit] = ACTIONS(79),
    [anon_sym_BSLASHip] = ACTIONS(79),
    [anon_sym_BSLASHiex] = ACTIONS(79),
    [anon_sym_BSLASHv] = ACTIONS(79),
    [anon_sym_BSLASHva] = ACTIONS(79),
    [anon_sym_BSLASHvp] = ACTIONS(79),
    [anon_sym_BSLASHc] = ACTIONS(79),
    [anon_sym_BSLASHcl] = ACTIONS(79),
    [anon_sym_BSLASHca] = ACTIONS(79),
    [anon_sym_BSLASHcp] = ACTIONS(79),
    [anon_sym_BSLASHcd] = ACTIONS(79),
    [anon_sym_BSLASHmte] = ACTIONS(79),
    [anon_sym_BSLASHms] = ACTIONS(79),
    [anon_sym_BSLASHs] = ACTIONS(79),
    [anon_sym_BSLASHr] = ACTIONS(79),
    [anon_sym_BSLASHsp] = ACTIONS(79),
    [anon_sym_BSLASHd] = ACTIONS(79),
    [anon_sym_BSLASHsd] = ACTIONS(79),
    [anon_sym_BSLASHp] = ACTIONS(79),
    [anon_sym_BSLASHm] = ACTIONS(79),
    [anon_sym_BSLASHpo] = ACTIONS(79),
    [anon_sym_BSLASHpr] = ACTIONS(79),
    [anon_sym_BSLASHcls] = ACTIONS(79),
    [anon_sym_BSLASHpmo] = ACTIONS(79),
    [anon_sym_BSLASHpm] = ACTIONS(79),
    [anon_sym_BSLASHpmc] = ACTIONS(79),
    [anon_sym_BSLASHpmr] = ACTIONS(79),
    [anon_sym_BSLASHpi] = ACTIONS(79),
    [anon_sym_BSLASHmi] = ACTIONS(79),
    [anon_sym_BSLASHnb] = ACTIONS(79),
    [anon_sym_BSLASHpc] = ACTIONS(79),
    [anon_sym_BSLASHph] = ACTIONS(79),
    [anon_sym_BSLASHb] = ACTIONS(79),
    [anon_sym_BSLASHq] = ACTIONS(79),
    [anon_sym_BSLASHqr] = ACTIONS(79),
    [anon_sym_BSLASHqc] = ACTIONS(79),
    [anon_sym_BSLASHqs] = ACTIONS(79),
    [anon_sym_BSLASHqa] = ACTIONS(79),
    [anon_sym_BSLASHqac] = ACTIONS(79),
    [anon_sym_BSLASHqm] = ACTIONS(79),
    [anon_sym_BSLASHqd] = ACTIONS(79),
    [anon_sym_BSLASHlh] = ACTIONS(79),
    [anon_sym_BSLASHli] = ACTIONS(79),
    [anon_sym_BSLASHlim] = ACTIONS(79),
    [anon_sym_BSLASHtr] = ACTIONS(79),
    [anon_sym_BSLASHf] = ACTIONS(79),
    [anon_sym_BSLASHfe] = ACTIONS(79),
    [anon_sym_BSLASHef] = ACTIONS(79),
    [anon_sym_BSLASHfm] = ACTIONS(79),
    [anon_sym_BSLASHx] = ACTIONS(79),
    [anon_sym_BSLASHxt] = ACTIONS(79),
    [anon_sym_BSLASHrq] = ACTIONS(79),
    [anon_sym_BSLASHadd] = ACTIONS(79),
    [anon_sym_BSLASHbk] = ACTIONS(79),
    [anon_sym_BSLASHdc] = ACTIONS(79),
    [anon_sym_BSLASHk] = ACTIONS(79),
    [anon_sym_BSLASHnd] = ACTIONS(79),
    [anon_sym_BSLASHord] = ACTIONS(79),
    [anon_sym_BSLASHpn] = ACTIONS(79),
    [anon_sym_BSLASHpng] = ACTIONS(79),
    [anon_sym_BSLASHaddpn] = ACTIONS(79),
    [anon_sym_BSLASHqt] = ACTIONS(79),
    [anon_sym_BSLASHsig] = ACTIONS(79),
    [anon_sym_BSLASHsls] = ACTIONS(79),
    [anon_sym_BSLASHtl] = ACTIONS(79),
    [anon_sym_BSLASHwj] = ACTIONS(79),
    [anon_sym_BSLASHem] = ACTIONS(79),
    [anon_sym_BSLASHbd] = ACTIONS(79),
    [anon_sym_BSLASHit] = ACTIONS(79),
    [anon_sym_BSLASHbdit] = ACTIONS(79),
    [anon_sym_BSLASHno] = ACTIONS(79),
    [anon_sym_BSLASHsc] = ACTIONS(79),
    [anon_sym_BSLASHsup] = ACTIONS(79),
    [anon_sym_BSLASHndx] = ACTIONS(79),
    [anon_sym_BSLASHpro] = ACTIONS(79),
    [anon_sym_BSLASHrb] = ACTIONS(79),
    [anon_sym_BSLASHw] = ACTIONS(79),
    [anon_sym_BSLASHwg] = ACTIONS(79),
    [anon_sym_BSLASHwh] = ACTIONS(79),
    [anon_sym_BSLASHwa] = ACTIONS(79),
    [anon_sym_BSLASHfig] = ACTIONS(79),
    [anon_sym_BSLASHjmp] = ACTIONS(79),
    [anon_sym_BSLASHpb] = ACTIONS(79),
    [anon_sym_BSLASH] = ACTIONS(79),
    [sym_milestoneStartTag] = ACTIONS(79),
    [sym_milestoneEndTag] = ACTIONS(79),
    [sym_zSpaceTag] = ACTIONS(79),
    [anon_sym_BSLASHesb] = ACTIONS(79),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(29),
    [aux_sym_text_token1] = ACTIONS(29),
    [anon_sym_BSLASHref] = ACTIONS(31),
    [anon_sym_BSLASHsts] = ACTIONS(31),
    [anon_sym_BSLASHrem] = ACTIONS(31),
    [anon_sym_BSLASHrestore] = ACTIONS(31),
    [anon_sym_BSLASHlit] = ACTIONS(31),
    [anon_sym_BSLASHip] = ACTIONS(31),
    [anon_sym_BSLASHiex] = ACTIONS(31),
    [anon_sym_BSLASHv] = ACTIONS(31),
    [anon_sym_BSLASHva] = ACTIONS(31),
    [anon_sym_BSLASHvp] = ACTIONS(31),
    [anon_sym_BSLASHc] = ACTIONS(31),
    [anon_sym_BSLASHcl] = ACTIONS(31),
    [anon_sym_BSLASHca] = ACTIONS(31),
    [anon_sym_BSLASHcp] = ACTIONS(31),
    [anon_sym_BSLASHcd] = ACTIONS(31),
    [anon_sym_BSLASHmte] = ACTIONS(31),
    [anon_sym_BSLASHms] = ACTIONS(31),
    [anon_sym_BSLASHs] = ACTIONS(31),
    [anon_sym_BSLASHr] = ACTIONS(31),
    [anon_sym_BSLASHsp] = ACTIONS(31),
    [anon_sym_BSLASHd] = ACTIONS(31),
    [anon_sym_BSLASHsd] = ACTIONS(31),
    [anon_sym_BSLASHp] = ACTIONS(31),
    [anon_sym_BSLASHm] = ACTIONS(31),
    [anon_sym_BSLASHpo] = ACTIONS(31),
    [anon_sym_BSLASHpr] = ACTIONS(31),
    [anon_sym_BSLASHcls] = ACTIONS(31),
    [anon_sym_BSLASHpmo] = ACTIONS(31),
    [anon_sym_BSLASHpm] = ACTIONS(31),
    [anon_sym_BSLASHpmc] = ACTIONS(31),
    [anon_sym_BSLASHpmr] = ACTIONS(31),
    [anon_sym_BSLASHpi] = ACTIONS(31),
    [anon_sym_BSLASHmi] = ACTIONS(31),
    [anon_sym_BSLASHnb] = ACTIONS(31),
    [anon_sym_BSLASHpc] = ACTIONS(31),
    [anon_sym_BSLASHph] = ACTIONS(31),
    [anon_sym_BSLASHb] = ACTIONS(31),
    [anon_sym_BSLASHq] = ACTIONS(31),
    [anon_sym_BSLASHqr] = ACTIONS(31),
    [anon_sym_BSLASHqc] = ACTIONS(31),
    [anon_sym_BSLASHqs] = ACTIONS(31),
    [anon_sym_BSLASHqa] = ACTIONS(31),
    [anon_sym_BSLASHqac] = ACTIONS(31),
    [anon_sym_BSLASHqm] = ACTIONS(31),
    [anon_sym_BSLASHqd] = ACTIONS(31),
    [anon_sym_BSLASHlh] = ACTIONS(31),
    [anon_sym_BSLASHli] = ACTIONS(31),
    [anon_sym_BSLASHlim] = ACTIONS(31),
    [anon_sym_BSLASHtr] = ACTIONS(31),
    [anon_sym_BSLASHf] = ACTIONS(31),
    [anon_sym_BSLASHfe] = ACTIONS(31),
    [anon_sym_BSLASHef] = ACTIONS(31),
    [anon_sym_BSLASHfm] = ACTIONS(31),
    [anon_sym_BSLASHx] = ACTIONS(31),
    [anon_sym_BSLASHxt] = ACTIONS(31),
    [anon_sym_BSLASHrq] = ACTIONS(31),
    [anon_sym_BSLASHadd] = ACTIONS(31),
    [anon_sym_BSLASHbk] = ACTIONS(31),
    [anon_sym_BSLASHdc] = ACTIONS(31),
    [anon_sym_BSLASHk] = ACTIONS(31),
    [anon_sym_BSLASHnd] = ACTIONS(31),
    [anon_sym_BSLASHord] = ACTIONS(31),
    [anon_sym_BSLASHpn] = ACTIONS(31),
    [anon_sym_BSLASHpng] = ACTIONS(31),
    [anon_sym_BSLASHaddpn] = ACTIONS(31),
    [anon_sym_BSLASHqt] = ACTIONS(31),
    [anon_sym_BSLASHsig] = ACTIONS(31),
    [anon_sym_BSLASHsls] = ACTIONS(31),
    [anon_sym_BSLASHtl] = ACTIONS(31),
    [anon_sym_BSLASHwj] = ACTIONS(31),
    [anon_sym_BSLASHem] = ACTIONS(31),
    [anon_sym_BSLASHbd] = ACTIONS(31),
    [anon_sym_BSLASHit] = ACTIONS(31),
    [anon_sym_BSLASHbdit] = ACTIONS(31),
    [anon_sym_BSLASHno] = ACTIONS(31),
    [anon_sym_BSLASHsc] = ACTIONS(31),
    [anon_sym_BSLASHsup] = ACTIONS(31),
    [anon_sym_BSLASHndx] = ACTIONS(31),
    [anon_sym_BSLASHpro] = ACTIONS(31),
    [anon_sym_BSLASHrb] = ACTIONS(31),
    [anon_sym_BSLASHw] = ACTIONS(31),
    [anon_sym_BSLASHwg] = ACTIONS(31),
    [anon_sym_BSLASHwh] = ACTIONS(31),
    [anon_sym_BSLASHwa] = ACTIONS(31),
    [anon_sym_BSLASHfig] = ACTIONS(31),
    [anon_sym_BSLASHjmp] = ACTIONS(31),
    [anon_sym_BSLASHpb] = ACTIONS(31),
    [anon_sym_BSLASH] = ACTIONS(31),
    [sym_milestoneStartTag] = ACTIONS(31),
    [sym_milestoneEndTag] = ACTIONS(31),
    [sym_zSpaceTag] = ACTIONS(31),
    [anon_sym_BSLASHesb] = ACTIONS(31),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(61),
    [aux_sym_text_token1] = ACTIONS(61),
    [anon_sym_BSLASHref] = ACTIONS(63),
    [anon_sym_BSLASHsts] = ACTIONS(63),
    [anon_sym_BSLASHrem] = ACTIONS(63),
    [anon_sym_BSLASHrestore] = ACTIONS(63),
    [anon_sym_BSLASHlit] = ACTIONS(63),
    [anon_sym_BSLASHip] = ACTIONS(63),
    [anon_sym_BSLASHiex] = ACTIONS(63),
    [anon_sym_BSLASHv] = ACTIONS(63),
    [anon_sym_BSLASHva] = ACTIONS(63),
    [anon_sym_BSLASHvp] = ACTIONS(63),
    [anon_sym_BSLASHc] = ACTIONS(63),
    [anon_sym_BSLASHcl] = ACTIONS(63),
    [anon_sym_BSLASHca] = ACTIONS(63),
    [anon_sym_BSLASHcp] = ACTIONS(63),
    [anon_sym_BSLASHcd] = ACTIONS(63),
    [anon_sym_BSLASHmte] = ACTIONS(63),
    [anon_sym_BSLASHms] = ACTIONS(63),
    [anon_sym_BSLASHs] = ACTIONS(63),
    [anon_sym_BSLASHr] = ACTIONS(63),
    [anon_sym_BSLASHsp] = ACTIONS(63),
    [anon_sym_BSLASHd] = ACTIONS(63),
    [anon_sym_BSLASHsd] = ACTIONS(63),
    [anon_sym_BSLASHp] = ACTIONS(63),
    [anon_sym_BSLASHm] = ACTIONS(63),
    [anon_sym_BSLASHpo] = ACTIONS(63),
    [anon_sym_BSLASHpr] = ACTIONS(63),
    [anon_sym_BSLASHcls] = ACTIONS(63),
    [anon_sym_BSLASHpmo] = ACTIONS(63),
    [anon_sym_BSLASHpm] = ACTIONS(63),
    [anon_sym_BSLASHpmc] = ACTIONS(63),
    [anon_sym_BSLASHpmr] = ACTIONS(63),
    [anon_sym_BSLASHpi] = ACTIONS(63),
    [anon_sym_BSLASHmi] = ACTIONS(63),
    [anon_sym_BSLASHnb] = ACTIONS(63),
    [anon_sym_BSLASHpc] = ACTIONS(63),
    [anon_sym_BSLASHph] = ACTIONS(63),
    [anon_sym_BSLASHb] = ACTIONS(63),
    [anon_sym_BSLASHq] = ACTIONS(63),
    [anon_sym_BSLASHqr] = ACTIONS(63),
    [anon_sym_BSLASHqc] = ACTIONS(63),
    [anon_sym_BSLASHqs] = ACTIONS(63),
    [anon_sym_BSLASHqa] = ACTIONS(63),
    [anon_sym_BSLASHqac] = ACTIONS(63),
    [anon_sym_BSLASHqm] = ACTIONS(63),
    [anon_sym_BSLASHqd] = ACTIONS(63),
    [anon_sym_BSLASHlh] = ACTIONS(63),
    [anon_sym_BSLASHli] = ACTIONS(63),
    [anon_sym_BSLASHlim] = ACTIONS(63),
    [anon_sym_BSLASHtr] = ACTIONS(63),
    [anon_sym_BSLASHf] = ACTIONS(63),
    [anon_sym_BSLASHfe] = ACTIONS(63),
    [anon_sym_BSLASHef] = ACTIONS(63),
    [anon_sym_BSLASHfm] = ACTIONS(63),
    [anon_sym_BSLASHx] = ACTIONS(63),
    [anon_sym_BSLASHxt] = ACTIONS(63),
    [anon_sym_BSLASHrq] = ACTIONS(63),
    [anon_sym_BSLASHadd] = ACTIONS(63),
    [anon_sym_BSLASHbk] = ACTIONS(63),
    [anon_sym_BSLASHdc] = ACTIONS(63),
    [anon_sym_BSLASHk] = ACTIONS(63),
    [anon_sym_BSLASHnd] = ACTIONS(63),
    [anon_sym_BSLASHord] = ACTIONS(63),
    [anon_sym_BSLASHpn] = ACTIONS(63),
    [anon_sym_BSLASHpng] = ACTIONS(63),
    [anon_sym_BSLASHaddpn] = ACTIONS(63),
    [anon_sym_BSLASHqt] = ACTIONS(63),
    [anon_sym_BSLASHsig] = ACTIONS(63),
    [anon_sym_BSLASHsls] = ACTIONS(63),
    [anon_sym_BSLASHtl] = ACTIONS(63),
    [anon_sym_BSLASHwj] = ACTIONS(63),
    [anon_sym_BSLASHem] = ACTIONS(63),
    [anon_sym_BSLASHbd] = ACTIONS(63),
    [anon_sym_BSLASHit] = ACTIONS(63),
    [anon_sym_BSLASHbdit] = ACTIONS(63),
    [anon_sym_BSLASHno] = ACTIONS(63),
    [anon_sym_BSLASHsc] = ACTIONS(63),
    [anon_sym_BSLASHsup] = ACTIONS(63),
    [anon_sym_BSLASHndx] = ACTIONS(63),
    [anon_sym_BSLASHpro] = ACTIONS(63),
    [anon_sym_BSLASHrb] = ACTIONS(63),
    [anon_sym_BSLASHw] = ACTIONS(63),
    [anon_sym_BSLASHwg] = ACTIONS(63),
    [anon_sym_BSLASHwh] = ACTIONS(63),
    [anon_sym_BSLASHwa] = ACTIONS(63),
    [anon_sym_BSLASHfig] = ACTIONS(63),
    [anon_sym_BSLASHjmp] = ACTIONS(63),
    [anon_sym_BSLASHpb] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(63),
    [sym_milestoneStartTag] = ACTIONS(63),
    [sym_milestoneEndTag] = ACTIONS(63),
    [sym_zSpaceTag] = ACTIONS(63),
    [anon_sym_BSLASHesb] = ACTIONS(63),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(73),
    [aux_sym_text_token1] = ACTIONS(73),
    [anon_sym_BSLASHref] = ACTIONS(75),
    [anon_sym_BSLASHsts] = ACTIONS(75),
    [anon_sym_BSLASHrem] = ACTIONS(75),
    [anon_sym_BSLASHrestore] = ACTIONS(75),
    [anon_sym_BSLASHlit] = ACTIONS(75),
    [anon_sym_BSLASHip] = ACTIONS(75),
    [anon_sym_BSLASHiex] = ACTIONS(75),
    [anon_sym_BSLASHv] = ACTIONS(75),
    [anon_sym_BSLASHva] = ACTIONS(75),
    [anon_sym_BSLASHvp] = ACTIONS(75),
    [anon_sym_BSLASHc] = ACTIONS(75),
    [anon_sym_BSLASHcl] = ACTIONS(75),
    [anon_sym_BSLASHca] = ACTIONS(75),
    [anon_sym_BSLASHcp] = ACTIONS(75),
    [anon_sym_BSLASHcd] = ACTIONS(75),
    [anon_sym_BSLASHmte] = ACTIONS(75),
    [anon_sym_BSLASHms] = ACTIONS(75),
    [anon_sym_BSLASHs] = ACTIONS(75),
    [anon_sym_BSLASHr] = ACTIONS(75),
    [anon_sym_BSLASHsp] = ACTIONS(75),
    [anon_sym_BSLASHd] = ACTIONS(75),
    [anon_sym_BSLASHsd] = ACTIONS(75),
    [anon_sym_BSLASHp] = ACTIONS(75),
    [anon_sym_BSLASHm] = ACTIONS(75),
    [anon_sym_BSLASHpo] = ACTIONS(75),
    [anon_sym_BSLASHpr] = ACTIONS(75),
    [anon_sym_BSLASHcls] = ACTIONS(75),
    [anon_sym_BSLASHpmo] = ACTIONS(75),
    [anon_sym_BSLASHpm] = ACTIONS(75),
    [anon_sym_BSLASHpmc] = ACTIONS(75),
    [anon_sym_BSLASHpmr] = ACTIONS(75),
    [anon_sym_BSLASHpi] = ACTIONS(75),
    [anon_sym_BSLASHmi] = ACTIONS(75),
    [anon_sym_BSLASHnb] = ACTIONS(75),
    [anon_sym_BSLASHpc] = ACTIONS(75),
    [anon_sym_BSLASHph] = ACTIONS(75),
    [anon_sym_BSLASHb] = ACTIONS(75),
    [anon_sym_BSLASHq] = ACTIONS(75),
    [anon_sym_BSLASHqr] = ACTIONS(75),
    [anon_sym_BSLASHqc] = ACTIONS(75),
    [anon_sym_BSLASHqs] = ACTIONS(75),
    [anon_sym_BSLASHqa] = ACTIONS(75),
    [anon_sym_BSLASHqac] = ACTIONS(75),
    [anon_sym_BSLASHqm] = ACTIONS(75),
    [anon_sym_BSLASHqd] = ACTIONS(75),
    [anon_sym_BSLASHlh] = ACTIONS(75),
    [anon_sym_BSLASHli] = ACTIONS(75),
    [anon_sym_BSLASHlim] = ACTIONS(75),
    [anon_sym_BSLASHtr] = ACTIONS(75),
    [anon_sym_BSLASHf] = ACTIONS(75),
    [anon_sym_BSLASHfe] = ACTIONS(75),
    [anon_sym_BSLASHef] = ACTIONS(75),
    [anon_sym_BSLASHfm] = ACTIONS(75),
    [anon_sym_BSLASHx] = ACTIONS(75),
    [anon_sym_BSLASHxt] = ACTIONS(75),
    [anon_sym_BSLASHrq] = ACTIONS(75),
    [anon_sym_BSLASHadd] = ACTIONS(75),
    [anon_sym_BSLASHbk] = ACTIONS(75),
    [anon_sym_BSLASHdc] = ACTIONS(75),
    [anon_sym_BSLASHk] = ACTIONS(75),
    [anon_sym_BSLASHnd] = ACTIONS(75),
    [anon_sym_BSLASHord] = ACTIONS(75),
    [anon_sym_BSLASHpn] = ACTIONS(75),
    [anon_sym_BSLASHpng] = ACTIONS(75),
    [anon_sym_BSLASHaddpn] = ACTIONS(75),
    [anon_sym_BSLASHqt] = ACTIONS(75),
    [anon_sym_BSLASHsig] = ACTIONS(75),
    [anon_sym_BSLASHsls] = ACTIONS(75),
    [anon_sym_BSLASHtl] = ACTIONS(75),
    [anon_sym_BSLASHwj] = ACTIONS(75),
    [anon_sym_BSLASHem] = ACTIONS(75),
    [anon_sym_BSLASHbd] = ACTIONS(75),
    [anon_sym_BSLASHit] = ACTIONS(75),
    [anon_sym_BSLASHbdit] = ACTIONS(75),
    [anon_sym_BSLASHno] = ACTIONS(75),
    [anon_sym_BSLASHsc] = ACTIONS(75),
    [anon_sym_BSLASHsup] = ACTIONS(75),
    [anon_sym_BSLASHndx] = ACTIONS(75),
    [anon_sym_BSLASHpro] = ACTIONS(75),
    [anon_sym_BSLASHrb] = ACTIONS(75),
    [anon_sym_BSLASHw] = ACTIONS(75),
    [anon_sym_BSLASHwg] = ACTIONS(75),
    [anon_sym_BSLASHwh] = ACTIONS(75),
    [anon_sym_BSLASHwa] = ACTIONS(75),
    [anon_sym_BSLASHfig] = ACTIONS(75),
    [anon_sym_BSLASHjmp] = ACTIONS(75),
    [anon_sym_BSLASHpb] = ACTIONS(75),
    [anon_sym_BSLASH] = ACTIONS(75),
    [sym_milestoneStartTag] = ACTIONS(75),
    [sym_milestoneEndTag] = ACTIONS(75),
    [sym_zSpaceTag] = ACTIONS(75),
    [anon_sym_BSLASHesb] = ACTIONS(75),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(37),
    [aux_sym_text_token1] = ACTIONS(37),
    [anon_sym_BSLASHref] = ACTIONS(39),
    [anon_sym_BSLASHsts] = ACTIONS(39),
    [anon_sym_BSLASHrem] = ACTIONS(39),
    [anon_sym_BSLASHrestore] = ACTIONS(39),
    [anon_sym_BSLASHlit] = ACTIONS(39),
    [anon_sym_BSLASHip] = ACTIONS(39),
    [anon_sym_BSLASHiex] = ACTIONS(39),
    [anon_sym_BSLASHv] = ACTIONS(39),
    [anon_sym_BSLASHva] = ACTIONS(39),
    [anon_sym_BSLASHvp] = ACTIONS(39),
    [anon_sym_BSLASHc] = ACTIONS(39),
    [anon_sym_BSLASHcl] = ACTIONS(39),
    [anon_sym_BSLASHca] = ACTIONS(39),
    [anon_sym_BSLASHcp] = ACTIONS(39),
    [anon_sym_BSLASHcd] = ACTIONS(39),
    [anon_sym_BSLASHmte] = ACTIONS(39),
    [anon_sym_BSLASHms] = ACTIONS(39),
    [anon_sym_BSLASHs] = ACTIONS(39),
    [anon_sym_BSLASHr] = ACTIONS(39),
    [anon_sym_BSLASHsp] = ACTIONS(39),
    [anon_sym_BSLASHd] = ACTIONS(39),
    [anon_sym_BSLASHsd] = ACTIONS(39),
    [anon_sym_BSLASHp] = ACTIONS(39),
    [anon_sym_BSLASHm] = ACTIONS(39),
    [anon_sym_BSLASHpo] = ACTIONS(39),
    [anon_sym_BSLASHpr] = ACTIONS(39),
    [anon_sym_BSLASHcls] = ACTIONS(39),
    [anon_sym_BSLASHpmo] = ACTIONS(39),
    [anon_sym_BSLASHpm] = ACTIONS(39),
    [anon_sym_BSLASHpmc] = ACTIONS(39),
    [anon_sym_BSLASHpmr] = ACTIONS(39),
    [anon_sym_BSLASHpi] = ACTIONS(39),
    [anon_sym_BSLASHmi] = ACTIONS(39),
    [anon_sym_BSLASHnb] = ACTIONS(39),
    [anon_sym_BSLASHpc] = ACTIONS(39),
    [anon_sym_BSLASHph] = ACTIONS(39),
    [anon_sym_BSLASHb] = ACTIONS(39),
    [anon_sym_BSLASHq] = ACTIONS(39),
    [anon_sym_BSLASHqr] = ACTIONS(39),
    [anon_sym_BSLASHqc] = ACTIONS(39),
    [anon_sym_BSLASHqs] = ACTIONS(39),
    [anon_sym_BSLASHqa] = ACTIONS(39),
    [anon_sym_BSLASHqac] = ACTIONS(39),
    [anon_sym_BSLASHqm] = ACTIONS(39),
    [anon_sym_BSLASHqd] = ACTIONS(39),
    [anon_sym_BSLASHlh] = ACTIONS(39),
    [anon_sym_BSLASHli] = ACTIONS(39),
    [anon_sym_BSLASHlim] = ACTIONS(39),
    [anon_sym_BSLASHtr] = ACTIONS(39),
    [anon_sym_BSLASHf] = ACTIONS(39),
    [anon_sym_BSLASHfe] = ACTIONS(39),
    [anon_sym_BSLASHef] = ACTIONS(39),
    [anon_sym_BSLASHfm] = ACTIONS(39),
    [anon_sym_BSLASHx] = ACTIONS(39),
    [anon_sym_BSLASHxt] = ACTIONS(39),
    [anon_sym_BSLASHrq] = ACTIONS(39),
    [anon_sym_BSLASHadd] = ACTIONS(39),
    [anon_sym_BSLASHbk] = ACTIONS(39),
    [anon_sym_BSLASHdc] = ACTIONS(39),
    [anon_sym_BSLASHk] = ACTIONS(39),
    [anon_sym_BSLASHnd] = ACTIONS(39),
    [anon_sym_BSLASHord] = ACTIONS(39),
    [anon_sym_BSLASHpn] = ACTIONS(39),
    [anon_sym_BSLASHpng] = ACTIONS(39),
    [anon_sym_BSLASHaddpn] = ACTIONS(39),
    [anon_sym_BSLASHqt] = ACTIONS(39),
    [anon_sym_BSLASHsig] = ACTIONS(39),
    [anon_sym_BSLASHsls] = ACTIONS(39),
    [anon_sym_BSLASHtl] = ACTIONS(39),
    [anon_sym_BSLASHwj] = ACTIONS(39),
    [anon_sym_BSLASHem] = ACTIONS(39),
    [anon_sym_BSLASHbd] = ACTIONS(39),
    [anon_sym_BSLASHit] = ACTIONS(39),
    [anon_sym_BSLASHbdit] = ACTIONS(39),
    [anon_sym_BSLASHno] = ACTIONS(39),
    [anon_sym_BSLASHsc] = ACTIONS(39),
    [anon_sym_BSLASHsup] = ACTIONS(39),
    [anon_sym_BSLASHndx] = ACTIONS(39),
    [anon_sym_BSLASHpro] = ACTIONS(39),
    [anon_sym_BSLASHrb] = ACTIONS(39),
    [anon_sym_BSLASHw] = ACTIONS(39),
    [anon_sym_BSLASHwg] = ACTIONS(39),
    [anon_sym_BSLASHwh] = ACTIONS(39),
    [anon_sym_BSLASHwa] = ACTIONS(39),
    [anon_sym_BSLASHfig] = ACTIONS(39),
    [anon_sym_BSLASHjmp] = ACTIONS(39),
    [anon_sym_BSLASHpb] = ACTIONS(39),
    [anon_sym_BSLASH] = ACTIONS(39),
    [sym_milestoneStartTag] = ACTIONS(39),
    [sym_milestoneEndTag] = ACTIONS(39),
    [sym_zSpaceTag] = ACTIONS(39),
    [anon_sym_BSLASHesb] = ACTIONS(39),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(33),
    [aux_sym_text_token1] = ACTIONS(33),
    [anon_sym_BSLASHref] = ACTIONS(35),
    [anon_sym_BSLASHsts] = ACTIONS(35),
    [anon_sym_BSLASHrem] = ACTIONS(35),
    [anon_sym_BSLASHrestore] = ACTIONS(35),
    [anon_sym_BSLASHlit] = ACTIONS(35),
    [anon_sym_BSLASHip] = ACTIONS(35),
    [anon_sym_BSLASHiex] = ACTIONS(35),
    [anon_sym_BSLASHv] = ACTIONS(35),
    [anon_sym_BSLASHva] = ACTIONS(35),
    [anon_sym_BSLASHvp] = ACTIONS(35),
    [anon_sym_BSLASHc] = ACTIONS(35),
    [anon_sym_BSLASHcl] = ACTIONS(35),
    [anon_sym_BSLASHca] = ACTIONS(35),
    [anon_sym_BSLASHcp] = ACTIONS(35),
    [anon_sym_BSLASHcd] = ACTIONS(35),
    [anon_sym_BSLASHmte] = ACTIONS(35),
    [anon_sym_BSLASHms] = ACTIONS(35),
    [anon_sym_BSLASHs] = ACTIONS(35),
    [anon_sym_BSLASHr] = ACTIONS(35),
    [anon_sym_BSLASHsp] = ACTIONS(35),
    [anon_sym_BSLASHd] = ACTIONS(35),
    [anon_sym_BSLASHsd] = ACTIONS(35),
    [anon_sym_BSLASHp] = ACTIONS(35),
    [anon_sym_BSLASHm] = ACTIONS(35),
    [anon_sym_BSLASHpo] = ACTIONS(35),
    [anon_sym_BSLASHpr] = ACTIONS(35),
    [anon_sym_BSLASHcls] = ACTIONS(35),
    [anon_sym_BSLASHpmo] = ACTIONS(35),
    [anon_sym_BSLASHpm] = ACTIONS(35),
    [anon_sym_BSLASHpmc] = ACTIONS(35),
    [anon_sym_BSLASHpmr] = ACTIONS(35),
    [anon_sym_BSLASHpi] = ACTIONS(35),
    [anon_sym_BSLASHmi] = ACTIONS(35),
    [anon_sym_BSLASHnb] = ACTIONS(35),
    [anon_sym_BSLASHpc] = ACTIONS(35),
    [anon_sym_BSLASHph] = ACTIONS(35),
    [anon_sym_BSLASHb] = ACTIONS(35),
    [anon_sym_BSLASHq] = ACTIONS(35),
    [anon_sym_BSLASHqr] = ACTIONS(35),
    [anon_sym_BSLASHqc] = ACTIONS(35),
    [anon_sym_BSLASHqs] = ACTIONS(35),
    [anon_sym_BSLASHqa] = ACTIONS(35),
    [anon_sym_BSLASHqac] = ACTIONS(35),
    [anon_sym_BSLASHqm] = ACTIONS(35),
    [anon_sym_BSLASHqd] = ACTIONS(35),
    [anon_sym_BSLASHlh] = ACTIONS(35),
    [anon_sym_BSLASHli] = ACTIONS(35),
    [anon_sym_BSLASHlim] = ACTIONS(35),
    [anon_sym_BSLASHtr] = ACTIONS(35),
    [anon_sym_BSLASHf] = ACTIONS(35),
    [anon_sym_BSLASHfe] = ACTIONS(35),
    [anon_sym_BSLASHef] = ACTIONS(35),
    [anon_sym_BSLASHfm] = ACTIONS(35),
    [anon_sym_BSLASHx] = ACTIONS(35),
    [anon_sym_BSLASHxt] = ACTIONS(35),
    [anon_sym_BSLASHrq] = ACTIONS(35),
    [anon_sym_BSLASHadd] = ACTIONS(35),
    [anon_sym_BSLASHbk] = ACTIONS(35),
    [anon_sym_BSLASHdc] = ACTIONS(35),
    [anon_sym_BSLASHk] = ACTIONS(35),
    [anon_sym_BSLASHnd] = ACTIONS(35),
    [anon_sym_BSLASHord] = ACTIONS(35),
    [anon_sym_BSLASHpn] = ACTIONS(35),
    [anon_sym_BSLASHpng] = ACTIONS(35),
    [anon_sym_BSLASHaddpn] = ACTIONS(35),
    [anon_sym_BSLASHqt] = ACTIONS(35),
    [anon_sym_BSLASHsig] = ACTIONS(35),
    [anon_sym_BSLASHsls] = ACTIONS(35),
    [anon_sym_BSLASHtl] = ACTIONS(35),
    [anon_sym_BSLASHwj] = ACTIONS(35),
    [anon_sym_BSLASHem] = ACTIONS(35),
    [anon_sym_BSLASHbd] = ACTIONS(35),
    [anon_sym_BSLASHit] = ACTIONS(35),
    [anon_sym_BSLASHbdit] = ACTIONS(35),
    [anon_sym_BSLASHno] = ACTIONS(35),
    [anon_sym_BSLASHsc] = ACTIONS(35),
    [anon_sym_BSLASHsup] = ACTIONS(35),
    [anon_sym_BSLASHndx] = ACTIONS(35),
    [anon_sym_BSLASHpro] = ACTIONS(35),
    [anon_sym_BSLASHrb] = ACTIONS(35),
    [anon_sym_BSLASHw] = ACTIONS(35),
    [anon_sym_BSLASHwg] = ACTIONS(35),
    [anon_sym_BSLASHwh] = ACTIONS(35),
    [anon_sym_BSLASHwa] = ACTIONS(35),
    [anon_sym_BSLASHfig] = ACTIONS(35),
    [anon_sym_BSLASHjmp] = ACTIONS(35),
    [anon_sym_BSLASHpb] = ACTIONS(35),
    [anon_sym_BSLASH] = ACTIONS(35),
    [sym_milestoneStartTag] = ACTIONS(35),
    [sym_milestoneEndTag] = ACTIONS(35),
    [sym_zSpaceTag] = ACTIONS(35),
    [anon_sym_BSLASHesb] = ACTIONS(35),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(21),
    [aux_sym_text_token1] = ACTIONS(21),
    [anon_sym_BSLASHref] = ACTIONS(23),
    [anon_sym_BSLASHsts] = ACTIONS(23),
    [anon_sym_BSLASHrem] = ACTIONS(23),
    [anon_sym_BSLASHrestore] = ACTIONS(23),
    [anon_sym_BSLASHlit] = ACTIONS(23),
    [anon_sym_BSLASHip] = ACTIONS(23),
    [anon_sym_BSLASHiex] = ACTIONS(23),
    [anon_sym_BSLASHv] = ACTIONS(23),
    [anon_sym_BSLASHva] = ACTIONS(23),
    [anon_sym_BSLASHvp] = ACTIONS(23),
    [anon_sym_BSLASHc] = ACTIONS(23),
    [anon_sym_BSLASHcl] = ACTIONS(23),
    [anon_sym_BSLASHca] = ACTIONS(23),
    [anon_sym_BSLASHcp] = ACTIONS(23),
    [anon_sym_BSLASHcd] = ACTIONS(23),
    [anon_sym_BSLASHmte] = ACTIONS(23),
    [anon_sym_BSLASHms] = ACTIONS(23),
    [anon_sym_BSLASHs] = ACTIONS(23),
    [anon_sym_BSLASHr] = ACTIONS(23),
    [anon_sym_BSLASHsp] = ACTIONS(23),
    [anon_sym_BSLASHd] = ACTIONS(23),
    [anon_sym_BSLASHsd] = ACTIONS(23),
    [anon_sym_BSLASHp] = ACTIONS(23),
    [anon_sym_BSLASHm] = ACTIONS(23),
    [anon_sym_BSLASHpo] = ACTIONS(23),
    [anon_sym_BSLASHpr] = ACTIONS(23),
    [anon_sym_BSLASHcls] = ACTIONS(23),
    [anon_sym_BSLASHpmo] = ACTIONS(23),
    [anon_sym_BSLASHpm] = ACTIONS(23),
    [anon_sym_BSLASHpmc] = ACTIONS(23),
    [anon_sym_BSLASHpmr] = ACTIONS(23),
    [anon_sym_BSLASHpi] = ACTIONS(23),
    [anon_sym_BSLASHmi] = ACTIONS(23),
    [anon_sym_BSLASHnb] = ACTIONS(23),
    [anon_sym_BSLASHpc] = ACTIONS(23),
    [anon_sym_BSLASHph] = ACTIONS(23),
    [anon_sym_BSLASHb] = ACTIONS(23),
    [anon_sym_BSLASHq] = ACTIONS(23),
    [anon_sym_BSLASHqr] = ACTIONS(23),
    [anon_sym_BSLASHqc] = ACTIONS(23),
    [anon_sym_BSLASHqs] = ACTIONS(23),
    [anon_sym_BSLASHqa] = ACTIONS(23),
    [anon_sym_BSLASHqac] = ACTIONS(23),
    [anon_sym_BSLASHqm] = ACTIONS(23),
    [anon_sym_BSLASHqd] = ACTIONS(23),
    [anon_sym_BSLASHlh] = ACTIONS(23),
    [anon_sym_BSLASHli] = ACTIONS(23),
    [anon_sym_BSLASHlim] = ACTIONS(23),
    [anon_sym_BSLASHtr] = ACTIONS(23),
    [anon_sym_BSLASHf] = ACTIONS(23),
    [anon_sym_BSLASHfe] = ACTIONS(23),
    [anon_sym_BSLASHef] = ACTIONS(23),
    [anon_sym_BSLASHfm] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(23),
    [anon_sym_BSLASHxt] = ACTIONS(23),
    [anon_sym_BSLASHrq] = ACTIONS(23),
    [anon_sym_BSLASHadd] = ACTIONS(23),
    [anon_sym_BSLASHbk] = ACTIONS(23),
    [anon_sym_BSLASHdc] = ACTIONS(23),
    [anon_sym_BSLASHk] = ACTIONS(23),
    [anon_sym_BSLASHnd] = ACTIONS(23),
    [anon_sym_BSLASHord] = ACTIONS(23),
    [anon_sym_BSLASHpn] = ACTIONS(23),
    [anon_sym_BSLASHpng] = ACTIONS(23),
    [anon_sym_BSLASHaddpn] = ACTIONS(23),
    [anon_sym_BSLASHqt] = ACTIONS(23),
    [anon_sym_BSLASHsig] = ACTIONS(23),
    [anon_sym_BSLASHsls] = ACTIONS(23),
    [anon_sym_BSLASHtl] = ACTIONS(23),
    [anon_sym_BSLASHwj] = ACTIONS(23),
    [anon_sym_BSLASHem] = ACTIONS(23),
    [anon_sym_BSLASHbd] = ACTIONS(23),
    [anon_sym_BSLASHit] = ACTIONS(23),
    [anon_sym_BSLASHbdit] = ACTIONS(23),
    [anon_sym_BSLASHno] = ACTIONS(23),
    [anon_sym_BSLASHsc] = ACTIONS(23),
    [anon_sym_BSLASHsup] = ACTIONS(23),
    [anon_sym_BSLASHndx] = ACTIONS(23),
    [anon_sym_BSLASHpro] = ACTIONS(23),
    [anon_sym_BSLASHrb] = ACTIONS(23),
    [anon_sym_BSLASHw] = ACTIONS(23),
    [anon_sym_BSLASHwg] = ACTIONS(23),
    [anon_sym_BSLASHwh] = ACTIONS(23),
    [anon_sym_BSLASHwa] = ACTIONS(23),
    [anon_sym_BSLASHfig] = ACTIONS(23),
    [anon_sym_BSLASHjmp] = ACTIONS(23),
    [anon_sym_BSLASHpb] = ACTIONS(23),
    [anon_sym_BSLASH] = ACTIONS(23),
    [sym_milestoneStartTag] = ACTIONS(23),
    [sym_milestoneEndTag] = ACTIONS(23),
    [sym_zSpaceTag] = ACTIONS(23),
    [anon_sym_BSLASHesb] = ACTIONS(23),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(41),
    [aux_sym_text_token1] = ACTIONS(41),
    [anon_sym_BSLASHref] = ACTIONS(43),
    [anon_sym_BSLASHsts] = ACTIONS(43),
    [anon_sym_BSLASHrem] = ACTIONS(43),
    [anon_sym_BSLASHrestore] = ACTIONS(43),
    [anon_sym_BSLASHlit] = ACTIONS(43),
    [anon_sym_BSLASHip] = ACTIONS(43),
    [anon_sym_BSLASHiex] = ACTIONS(43),
    [anon_sym_BSLASHv] = ACTIONS(43),
    [anon_sym_BSLASHva] = ACTIONS(43),
    [anon_sym_BSLASHvp] = ACTIONS(43),
    [anon_sym_BSLASHc] = ACTIONS(43),
    [anon_sym_BSLASHcl] = ACTIONS(43),
    [anon_sym_BSLASHca] = ACTIONS(43),
    [anon_sym_BSLASHcp] = ACTIONS(43),
    [anon_sym_BSLASHcd] = ACTIONS(43),
    [anon_sym_BSLASHmte] = ACTIONS(43),
    [anon_sym_BSLASHms] = ACTIONS(43),
    [anon_sym_BSLASHs] = ACTIONS(43),
    [anon_sym_BSLASHr] = ACTIONS(43),
    [anon_sym_BSLASHsp] = ACTIONS(43),
    [anon_sym_BSLASHd] = ACTIONS(43),
    [anon_sym_BSLASHsd] = ACTIONS(43),
    [anon_sym_BSLASHp] = ACTIONS(43),
    [anon_sym_BSLASHm] = ACTIONS(43),
    [anon_sym_BSLASHpo] = ACTIONS(43),
    [anon_sym_BSLASHpr] = ACTIONS(43),
    [anon_sym_BSLASHcls] = ACTIONS(43),
    [anon_sym_BSLASHpmo] = ACTIONS(43),
    [anon_sym_BSLASHpm] = ACTIONS(43),
    [anon_sym_BSLASHpmc] = ACTIONS(43),
    [anon_sym_BSLASHpmr] = ACTIONS(43),
    [anon_sym_BSLASHpi] = ACTIONS(43),
    [anon_sym_BSLASHmi] = ACTIONS(43),
    [anon_sym_BSLASHnb] = ACTIONS(43),
    [anon_sym_BSLASHpc] = ACTIONS(43),
    [anon_sym_BSLASHph] = ACTIONS(43),
    [anon_sym_BSLASHb] = ACTIONS(43),
    [anon_sym_BSLASHq] = ACTIONS(43),
    [anon_sym_BSLASHqr] = ACTIONS(43),
    [anon_sym_BSLASHqc] = ACTIONS(43),
    [anon_sym_BSLASHqs] = ACTIONS(43),
    [anon_sym_BSLASHqa] = ACTIONS(43),
    [anon_sym_BSLASHqac] = ACTIONS(43),
    [anon_sym_BSLASHqm] = ACTIONS(43),
    [anon_sym_BSLASHqd] = ACTIONS(43),
    [anon_sym_BSLASHlh] = ACTIONS(43),
    [anon_sym_BSLASHli] = ACTIONS(43),
    [anon_sym_BSLASHlim] = ACTIONS(43),
    [anon_sym_BSLASHtr] = ACTIONS(43),
    [anon_sym_BSLASHf] = ACTIONS(43),
    [anon_sym_BSLASHfe] = ACTIONS(43),
    [anon_sym_BSLASHef] = ACTIONS(43),
    [anon_sym_BSLASHfm] = ACTIONS(43),
    [anon_sym_BSLASHx] = ACTIONS(43),
    [anon_sym_BSLASHxt] = ACTIONS(43),
    [anon_sym_BSLASHrq] = ACTIONS(43),
    [anon_sym_BSLASHadd] = ACTIONS(43),
    [anon_sym_BSLASHbk] = ACTIONS(43),
    [anon_sym_BSLASHdc] = ACTIONS(43),
    [anon_sym_BSLASHk] = ACTIONS(43),
    [anon_sym_BSLASHnd] = ACTIONS(43),
    [anon_sym_BSLASHord] = ACTIONS(43),
    [anon_sym_BSLASHpn] = ACTIONS(43),
    [anon_sym_BSLASHpng] = ACTIONS(43),
    [anon_sym_BSLASHaddpn] = ACTIONS(43),
    [anon_sym_BSLASHqt] = ACTIONS(43),
    [anon_sym_BSLASHsig] = ACTIONS(43),
    [anon_sym_BSLASHsls] = ACTIONS(43),
    [anon_sym_BSLASHtl] = ACTIONS(43),
    [anon_sym_BSLASHwj] = ACTIONS(43),
    [anon_sym_BSLASHem] = ACTIONS(43),
    [anon_sym_BSLASHbd] = ACTIONS(43),
    [anon_sym_BSLASHit] = ACTIONS(43),
    [anon_sym_BSLASHbdit] = ACTIONS(43),
    [anon_sym_BSLASHno] = ACTIONS(43),
    [anon_sym_BSLASHsc] = ACTIONS(43),
    [anon_sym_BSLASHsup] = ACTIONS(43),
    [anon_sym_BSLASHndx] = ACTIONS(43),
    [anon_sym_BSLASHpro] = ACTIONS(43),
    [anon_sym_BSLASHrb] = ACTIONS(43),
    [anon_sym_BSLASHw] = ACTIONS(43),
    [anon_sym_BSLASHwg] = ACTIONS(43),
    [anon_sym_BSLASHwh] = ACTIONS(43),
    [anon_sym_BSLASHwa] = ACTIONS(43),
    [anon_sym_BSLASHfig] = ACTIONS(43),
    [anon_sym_BSLASHjmp] = ACTIONS(43),
    [anon_sym_BSLASHpb] = ACTIONS(43),
    [anon_sym_BSLASH] = ACTIONS(43),
    [sym_milestoneStartTag] = ACTIONS(43),
    [sym_milestoneEndTag] = ACTIONS(43),
    [sym_zSpaceTag] = ACTIONS(43),
    [anon_sym_BSLASHesb] = ACTIONS(43),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(25),
    [aux_sym_text_token1] = ACTIONS(25),
    [anon_sym_BSLASHref] = ACTIONS(27),
    [anon_sym_BSLASHsts] = ACTIONS(27),
    [anon_sym_BSLASHrem] = ACTIONS(27),
    [anon_sym_BSLASHrestore] = ACTIONS(27),
    [anon_sym_BSLASHlit] = ACTIONS(27),
    [anon_sym_BSLASHip] = ACTIONS(27),
    [anon_sym_BSLASHiex] = ACTIONS(27),
    [anon_sym_BSLASHv] = ACTIONS(27),
    [anon_sym_BSLASHva] = ACTIONS(27),
    [anon_sym_BSLASHvp] = ACTIONS(27),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [anon_sym_BSLASHcl] = ACTIONS(27),
    [anon_sym_BSLASHca] = ACTIONS(27),
    [anon_sym_BSLASHcp] = ACTIONS(27),
    [anon_sym_BSLASHcd] = ACTIONS(27),
    [anon_sym_BSLASHmte] = ACTIONS(27),
    [anon_sym_BSLASHms] = ACTIONS(27),
    [anon_sym_BSLASHs] = ACTIONS(27),
    [anon_sym_BSLASHr] = ACTIONS(27),
    [anon_sym_BSLASHsp] = ACTIONS(27),
    [anon_sym_BSLASHd] = ACTIONS(27),
    [anon_sym_BSLASHsd] = ACTIONS(27),
    [anon_sym_BSLASHp] = ACTIONS(27),
    [anon_sym_BSLASHm] = ACTIONS(27),
    [anon_sym_BSLASHpo] = ACTIONS(27),
    [anon_sym_BSLASHpr] = ACTIONS(27),
    [anon_sym_BSLASHcls] = ACTIONS(27),
    [anon_sym_BSLASHpmo] = ACTIONS(27),
    [anon_sym_BSLASHpm] = ACTIONS(27),
    [anon_sym_BSLASHpmc] = ACTIONS(27),
    [anon_sym_BSLASHpmr] = ACTIONS(27),
    [anon_sym_BSLASHpi] = ACTIONS(27),
    [anon_sym_BSLASHmi] = ACTIONS(27),
    [anon_sym_BSLASHnb] = ACTIONS(27),
    [anon_sym_BSLASHpc] = ACTIONS(27),
    [anon_sym_BSLASHph] = ACTIONS(27),
    [anon_sym_BSLASHb] = ACTIONS(27),
    [anon_sym_BSLASHq] = ACTIONS(27),
    [anon_sym_BSLASHqr] = ACTIONS(27),
    [anon_sym_BSLASHqc] = ACTIONS(27),
    [anon_sym_BSLASHqs] = ACTIONS(27),
    [anon_sym_BSLASHqa] = ACTIONS(27),
    [anon_sym_BSLASHqac] = ACTIONS(27),
    [anon_sym_BSLASHqm] = ACTIONS(27),
    [anon_sym_BSLASHqd] = ACTIONS(27),
    [anon_sym_BSLASHlh] = ACTIONS(27),
    [anon_sym_BSLASHli] = ACTIONS(27),
    [anon_sym_BSLASHlim] = ACTIONS(27),
    [anon_sym_BSLASHtr] = ACTIONS(27),
    [anon_sym_BSLASHf] = ACTIONS(27),
    [anon_sym_BSLASHfe] = ACTIONS(27),
    [anon_sym_BSLASHef] = ACTIONS(27),
    [anon_sym_BSLASHfm] = ACTIONS(27),
    [anon_sym_BSLASHx] = ACTIONS(27),
    [anon_sym_BSLASHxt] = ACTIONS(27),
    [anon_sym_BSLASHrq] = ACTIONS(27),
    [anon_sym_BSLASHadd] = ACTIONS(27),
    [anon_sym_BSLASHbk] = ACTIONS(27),
    [anon_sym_BSLASHdc] = ACTIONS(27),
    [anon_sym_BSLASHk] = ACTIONS(27),
    [anon_sym_BSLASHnd] = ACTIONS(27),
    [anon_sym_BSLASHord] = ACTIONS(27),
    [anon_sym_BSLASHpn] = ACTIONS(27),
    [anon_sym_BSLASHpng] = ACTIONS(27),
    [anon_sym_BSLASHaddpn] = ACTIONS(27),
    [anon_sym_BSLASHqt] = ACTIONS(27),
    [anon_sym_BSLASHsig] = ACTIONS(27),
    [anon_sym_BSLASHsls] = ACTIONS(27),
    [anon_sym_BSLASHtl] = ACTIONS(27),
    [anon_sym_BSLASHwj] = ACTIONS(27),
    [anon_sym_BSLASHem] = ACTIONS(27),
    [anon_sym_BSLASHbd] = ACTIONS(27),
    [anon_sym_BSLASHit] = ACTIONS(27),
    [anon_sym_BSLASHbdit] = ACTIONS(27),
    [anon_sym_BSLASHno] = ACTIONS(27),
    [anon_sym_BSLASHsc] = ACTIONS(27),
    [anon_sym_BSLASHsup] = ACTIONS(27),
    [anon_sym_BSLASHndx] = ACTIONS(27),
    [anon_sym_BSLASHpro] = ACTIONS(27),
    [anon_sym_BSLASHrb] = ACTIONS(27),
    [anon_sym_BSLASHw] = ACTIONS(27),
    [anon_sym_BSLASHwg] = ACTIONS(27),
    [anon_sym_BSLASHwh] = ACTIONS(27),
    [anon_sym_BSLASHwa] = ACTIONS(27),
    [anon_sym_BSLASHfig] = ACTIONS(27),
    [anon_sym_BSLASHjmp] = ACTIONS(27),
    [anon_sym_BSLASHpb] = ACTIONS(27),
    [anon_sym_BSLASH] = ACTIONS(27),
    [sym_milestoneStartTag] = ACTIONS(27),
    [sym_milestoneEndTag] = ACTIONS(27),
    [sym_zSpaceTag] = ACTIONS(27),
    [anon_sym_BSLASHesb] = ACTIONS(27),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(6062),
    [aux_sym_text_token1] = ACTIONS(6062),
    [anon_sym_BSLASHref] = ACTIONS(6064),
    [anon_sym_BSLASHsts] = ACTIONS(6064),
    [anon_sym_BSLASHrem] = ACTIONS(6064),
    [anon_sym_BSLASHrestore] = ACTIONS(6064),
    [anon_sym_BSLASHlit] = ACTIONS(6064),
    [anon_sym_BSLASHip] = ACTIONS(6064),
    [anon_sym_BSLASHiex] = ACTIONS(6064),
    [anon_sym_BSLASHv] = ACTIONS(6064),
    [anon_sym_BSLASHva] = ACTIONS(6064),
    [anon_sym_BSLASHvp] = ACTIONS(6064),
    [anon_sym_BSLASHc] = ACTIONS(6064),
    [anon_sym_BSLASHcl] = ACTIONS(6064),
    [anon_sym_BSLASHca] = ACTIONS(6064),
    [anon_sym_BSLASHcp] = ACTIONS(6064),
    [anon_sym_BSLASHcd] = ACTIONS(6064),
    [anon_sym_BSLASHmte] = ACTIONS(6064),
    [anon_sym_BSLASHms] = ACTIONS(6064),
    [anon_sym_BSLASHs] = ACTIONS(6064),
    [anon_sym_BSLASHr] = ACTIONS(6064),
    [anon_sym_BSLASHsp] = ACTIONS(6064),
    [anon_sym_BSLASHd] = ACTIONS(6064),
    [anon_sym_BSLASHsd] = ACTIONS(6064),
    [anon_sym_BSLASHp] = ACTIONS(6064),
    [anon_sym_BSLASHm] = ACTIONS(6064),
    [anon_sym_BSLASHpo] = ACTIONS(6064),
    [anon_sym_BSLASHpr] = ACTIONS(6064),
    [anon_sym_BSLASHcls] = ACTIONS(6064),
    [anon_sym_BSLASHpmo] = ACTIONS(6064),
    [anon_sym_BSLASHpm] = ACTIONS(6064),
    [anon_sym_BSLASHpmc] = ACTIONS(6064),
    [anon_sym_BSLASHpmr] = ACTIONS(6064),
    [anon_sym_BSLASHpi] = ACTIONS(6064),
    [anon_sym_BSLASHmi] = ACTIONS(6064),
    [anon_sym_BSLASHnb] = ACTIONS(6064),
    [anon_sym_BSLASHpc] = ACTIONS(6064),
    [anon_sym_BSLASHph] = ACTIONS(6064),
    [anon_sym_BSLASHb] = ACTIONS(6064),
    [anon_sym_BSLASHq] = ACTIONS(6064),
    [anon_sym_BSLASHqr] = ACTIONS(6064),
    [anon_sym_BSLASHqc] = ACTIONS(6064),
    [anon_sym_BSLASHqs] = ACTIONS(6064),
    [anon_sym_BSLASHqa] = ACTIONS(6064),
    [anon_sym_BSLASHqac] = ACTIONS(6064),
    [anon_sym_BSLASHqm] = ACTIONS(6064),
    [anon_sym_BSLASHqd] = ACTIONS(6064),
    [anon_sym_BSLASHlh] = ACTIONS(6064),
    [anon_sym_BSLASHli] = ACTIONS(6064),
    [anon_sym_BSLASHlim] = ACTIONS(6064),
    [anon_sym_BSLASHtr] = ACTIONS(6064),
    [anon_sym_BSLASHf] = ACTIONS(6064),
    [anon_sym_BSLASHfe] = ACTIONS(6064),
    [anon_sym_BSLASHef] = ACTIONS(6064),
    [anon_sym_BSLASHfm] = ACTIONS(6064),
    [anon_sym_BSLASHx] = ACTIONS(6064),
    [anon_sym_BSLASHxt] = ACTIONS(6064),
    [anon_sym_BSLASHrq] = ACTIONS(6064),
    [anon_sym_BSLASHadd] = ACTIONS(6064),
    [anon_sym_BSLASHbk] = ACTIONS(6064),
    [anon_sym_BSLASHdc] = ACTIONS(6064),
    [anon_sym_BSLASHk] = ACTIONS(6064),
    [anon_sym_BSLASHnd] = ACTIONS(6064),
    [anon_sym_BSLASHord] = ACTIONS(6064),
    [anon_sym_BSLASHpn] = ACTIONS(6064),
    [anon_sym_BSLASHpng] = ACTIONS(6064),
    [anon_sym_BSLASHaddpn] = ACTIONS(6064),
    [anon_sym_BSLASHqt] = ACTIONS(6064),
    [anon_sym_BSLASHsig] = ACTIONS(6064),
    [anon_sym_BSLASHsls] = ACTIONS(6064),
    [anon_sym_BSLASHtl] = ACTIONS(6064),
    [anon_sym_BSLASHwj] = ACTIONS(6064),
    [anon_sym_BSLASHem] = ACTIONS(6064),
    [anon_sym_BSLASHbd] = ACTIONS(6064),
    [anon_sym_BSLASHit] = ACTIONS(6064),
    [anon_sym_BSLASHbdit] = ACTIONS(6064),
    [anon_sym_BSLASHno] = ACTIONS(6064),
    [anon_sym_BSLASHsc] = ACTIONS(6064),
    [anon_sym_BSLASHsup] = ACTIONS(6064),
    [anon_sym_BSLASHndx] = ACTIONS(6064),
    [anon_sym_BSLASHpro] = ACTIONS(6064),
    [anon_sym_BSLASHrb] = ACTIONS(6064),
    [anon_sym_BSLASHw] = ACTIONS(6064),
    [anon_sym_BSLASHwg] = ACTIONS(6064),
    [anon_sym_BSLASHwh] = ACTIONS(6064),
    [anon_sym_BSLASHwa] = ACTIONS(6064),
    [anon_sym_BSLASHfig] = ACTIONS(6064),
    [anon_sym_BSLASHjmp] = ACTIONS(6064),
    [anon_sym_BSLASHpb] = ACTIONS(6064),
    [anon_sym_BSLASH] = ACTIONS(6064),
    [sym_milestoneStartTag] = ACTIONS(6064),
    [sym_milestoneEndTag] = ACTIONS(6064),
    [sym_zSpaceTag] = ACTIONS(6064),
    [anon_sym_BSLASHesb] = ACTIONS(6064),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(6006),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHref] = ACTIONS(6008),
    [anon_sym_BSLASHsts] = ACTIONS(6008),
    [anon_sym_BSLASHrem] = ACTIONS(6008),
    [anon_sym_BSLASHrestore] = ACTIONS(6008),
    [anon_sym_BSLASHlit] = ACTIONS(6008),
    [anon_sym_BSLASHip] = ACTIONS(6008),
    [anon_sym_BSLASHiex] = ACTIONS(6008),
    [anon_sym_BSLASHv] = ACTIONS(6008),
    [anon_sym_BSLASHva] = ACTIONS(6008),
    [anon_sym_BSLASHvp] = ACTIONS(6008),
    [anon_sym_BSLASHc] = ACTIONS(6008),
    [anon_sym_BSLASHcl] = ACTIONS(6008),
    [anon_sym_BSLASHca] = ACTIONS(6008),
    [anon_sym_BSLASHcp] = ACTIONS(6008),
    [anon_sym_BSLASHcd] = ACTIONS(6008),
    [anon_sym_BSLASHmte] = ACTIONS(6008),
    [anon_sym_BSLASHms] = ACTIONS(6008),
    [anon_sym_BSLASHs] = ACTIONS(6008),
    [anon_sym_BSLASHr] = ACTIONS(6008),
    [anon_sym_BSLASHsp] = ACTIONS(6008),
    [anon_sym_BSLASHd] = ACTIONS(6008),
    [anon_sym_BSLASHsd] = ACTIONS(6008),
    [anon_sym_BSLASHp] = ACTIONS(6008),
    [anon_sym_BSLASHm] = ACTIONS(6008),
    [anon_sym_BSLASHpo] = ACTIONS(6008),
    [anon_sym_BSLASHpr] = ACTIONS(6008),
    [anon_sym_BSLASHcls] = ACTIONS(6008),
    [anon_sym_BSLASHpmo] = ACTIONS(6008),
    [anon_sym_BSLASHpm] = ACTIONS(6008),
    [anon_sym_BSLASHpmc] = ACTIONS(6008),
    [anon_sym_BSLASHpmr] = ACTIONS(6008),
    [anon_sym_BSLASHpi] = ACTIONS(6008),
    [anon_sym_BSLASHmi] = ACTIONS(6008),
    [anon_sym_BSLASHnb] = ACTIONS(6008),
    [anon_sym_BSLASHpc] = ACTIONS(6008),
    [anon_sym_BSLASHph] = ACTIONS(6008),
    [anon_sym_BSLASHb] = ACTIONS(6008),
    [anon_sym_BSLASHq] = ACTIONS(6008),
    [anon_sym_BSLASHqr] = ACTIONS(6008),
    [anon_sym_BSLASHqc] = ACTIONS(6008),
    [anon_sym_BSLASHqs] = ACTIONS(6008),
    [anon_sym_BSLASHqa] = ACTIONS(6008),
    [anon_sym_BSLASHqac] = ACTIONS(6008),
    [anon_sym_BSLASHqm] = ACTIONS(6008),
    [anon_sym_BSLASHqd] = ACTIONS(6008),
    [anon_sym_BSLASHlh] = ACTIONS(6008),
    [anon_sym_BSLASHli] = ACTIONS(6008),
    [anon_sym_BSLASHlim] = ACTIONS(6008),
    [anon_sym_BSLASHtr] = ACTIONS(6008),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6008),
    [anon_sym_BSLASHef] = ACTIONS(6008),
    [anon_sym_BSLASHfm] = ACTIONS(6008),
    [anon_sym_BSLASHx] = ACTIONS(6008),
    [anon_sym_BSLASHxt] = ACTIONS(6008),
    [anon_sym_BSLASHrq] = ACTIONS(6008),
    [anon_sym_BSLASHadd] = ACTIONS(6008),
    [anon_sym_BSLASHbk] = ACTIONS(6008),
    [anon_sym_BSLASHdc] = ACTIONS(6008),
    [anon_sym_BSLASHk] = ACTIONS(6008),
    [anon_sym_BSLASHnd] = ACTIONS(6008),
    [anon_sym_BSLASHord] = ACTIONS(6008),
    [anon_sym_BSLASHpn] = ACTIONS(6008),
    [anon_sym_BSLASHpng] = ACTIONS(6008),
    [anon_sym_BSLASHaddpn] = ACTIONS(6008),
    [anon_sym_BSLASHqt] = ACTIONS(6008),
    [anon_sym_BSLASHsig] = ACTIONS(6008),
    [anon_sym_BSLASHsls] = ACTIONS(6008),
    [anon_sym_BSLASHtl] = ACTIONS(6008),
    [anon_sym_BSLASHwj] = ACTIONS(6008),
    [anon_sym_BSLASHem] = ACTIONS(6008),
    [anon_sym_BSLASHbd] = ACTIONS(6008),
    [anon_sym_BSLASHit] = ACTIONS(6008),
    [anon_sym_BSLASHbdit] = ACTIONS(6008),
    [anon_sym_BSLASHno] = ACTIONS(6008),
    [anon_sym_BSLASHsc] = ACTIONS(6008),
    [anon_sym_BSLASHsup] = ACTIONS(6008),
    [anon_sym_BSLASHndx] = ACTIONS(6008),
    [anon_sym_BSLASHpro] = ACTIONS(6008),
    [anon_sym_BSLASHrb] = ACTIONS(6008),
    [anon_sym_BSLASHw] = ACTIONS(6008),
    [anon_sym_BSLASHwg] = ACTIONS(6008),
    [anon_sym_BSLASHwh] = ACTIONS(6008),
    [anon_sym_BSLASHwa] = ACTIONS(6008),
    [anon_sym_BSLASHfig] = ACTIONS(6008),
    [anon_sym_BSLASHjmp] = ACTIONS(6008),
    [anon_sym_BSLASHpb] = ACTIONS(6008),
    [anon_sym_BSLASH] = ACTIONS(6008),
    [sym_milestoneStartTag] = ACTIONS(6008),
    [sym_milestoneEndTag] = ACTIONS(6008),
    [sym_zSpaceTag] = ACTIONS(6008),
    [anon_sym_BSLASHesb] = ACTIONS(6008),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(49),
    [aux_sym_text_token1] = ACTIONS(49),
    [anon_sym_BSLASHref] = ACTIONS(51),
    [anon_sym_BSLASHsts] = ACTIONS(51),
    [anon_sym_BSLASHrem] = ACTIONS(51),
    [anon_sym_BSLASHrestore] = ACTIONS(51),
    [anon_sym_BSLASHlit] = ACTIONS(51),
    [anon_sym_BSLASHip] = ACTIONS(51),
    [anon_sym_BSLASHiex] = ACTIONS(51),
    [anon_sym_BSLASHv] = ACTIONS(51),
    [anon_sym_BSLASHva] = ACTIONS(51),
    [anon_sym_BSLASHvp] = ACTIONS(51),
    [anon_sym_BSLASHc] = ACTIONS(51),
    [anon_sym_BSLASHcl] = ACTIONS(51),
    [anon_sym_BSLASHca] = ACTIONS(51),
    [anon_sym_BSLASHcp] = ACTIONS(51),
    [anon_sym_BSLASHcd] = ACTIONS(51),
    [anon_sym_BSLASHmte] = ACTIONS(51),
    [anon_sym_BSLASHms] = ACTIONS(51),
    [anon_sym_BSLASHs] = ACTIONS(51),
    [anon_sym_BSLASHr] = ACTIONS(51),
    [anon_sym_BSLASHsp] = ACTIONS(51),
    [anon_sym_BSLASHd] = ACTIONS(51),
    [anon_sym_BSLASHsd] = ACTIONS(51),
    [anon_sym_BSLASHp] = ACTIONS(51),
    [anon_sym_BSLASHm] = ACTIONS(51),
    [anon_sym_BSLASHpo] = ACTIONS(51),
    [anon_sym_BSLASHpr] = ACTIONS(51),
    [anon_sym_BSLASHcls] = ACTIONS(51),
    [anon_sym_BSLASHpmo] = ACTIONS(51),
    [anon_sym_BSLASHpm] = ACTIONS(51),
    [anon_sym_BSLASHpmc] = ACTIONS(51),
    [anon_sym_BSLASHpmr] = ACTIONS(51),
    [anon_sym_BSLASHpi] = ACTIONS(51),
    [anon_sym_BSLASHmi] = ACTIONS(51),
    [anon_sym_BSLASHnb] = ACTIONS(51),
    [anon_sym_BSLASHpc] = ACTIONS(51),
    [anon_sym_BSLASHph] = ACTIONS(51),
    [anon_sym_BSLASHb] = ACTIONS(51),
    [anon_sym_BSLASHq] = ACTIONS(51),
    [anon_sym_BSLASHqr] = ACTIONS(51),
    [anon_sym_BSLASHqc] = ACTIONS(51),
    [anon_sym_BSLASHqs] = ACTIONS(51),
    [anon_sym_BSLASHqa] = ACTIONS(51),
    [anon_sym_BSLASHqac] = ACTIONS(51),
    [anon_sym_BSLASHqm] = ACTIONS(51),
    [anon_sym_BSLASHqd] = ACTIONS(51),
    [anon_sym_BSLASHlh] = ACTIONS(51),
    [anon_sym_BSLASHli] = ACTIONS(51),
    [anon_sym_BSLASHlim] = ACTIONS(51),
    [anon_sym_BSLASHtr] = ACTIONS(51),
    [anon_sym_BSLASHf] = ACTIONS(51),
    [anon_sym_BSLASHfe] = ACTIONS(51),
    [anon_sym_BSLASHef] = ACTIONS(51),
    [anon_sym_BSLASHfm] = ACTIONS(51),
    [anon_sym_BSLASHx] = ACTIONS(51),
    [anon_sym_BSLASHxt] = ACTIONS(51),
    [anon_sym_BSLASHrq] = ACTIONS(51),
    [anon_sym_BSLASHadd] = ACTIONS(51),
    [anon_sym_BSLASHbk] = ACTIONS(51),
    [anon_sym_BSLASHdc] = ACTIONS(51),
    [anon_sym_BSLASHk] = ACTIONS(51),
    [anon_sym_BSLASHnd] = ACTIONS(51),
    [anon_sym_BSLASHord] = ACTIONS(51),
    [anon_sym_BSLASHpn] = ACTIONS(51),
    [anon_sym_BSLASHpng] = ACTIONS(51),
    [anon_sym_BSLASHaddpn] = ACTIONS(51),
    [anon_sym_BSLASHqt] = ACTIONS(51),
    [anon_sym_BSLASHsig] = ACTIONS(51),
    [anon_sym_BSLASHsls] = ACTIONS(51),
    [anon_sym_BSLASHtl] = ACTIONS(51),
    [anon_sym_BSLASHwj] = ACTIONS(51),
    [anon_sym_BSLASHem] = ACTIONS(51),
    [anon_sym_BSLASHbd] = ACTIONS(51),
    [anon_sym_BSLASHit] = ACTIONS(51),
    [anon_sym_BSLASHbdit] = ACTIONS(51),
    [anon_sym_BSLASHno] = ACTIONS(51),
    [anon_sym_BSLASHsc] = ACTIONS(51),
    [anon_sym_BSLASHsup] = ACTIONS(51),
    [anon_sym_BSLASHndx] = ACTIONS(51),
    [anon_sym_BSLASHpro] = ACTIONS(51),
    [anon_sym_BSLASHrb] = ACTIONS(51),
    [anon_sym_BSLASHw] = ACTIONS(51),
    [anon_sym_BSLASHwg] = ACTIONS(51),
    [anon_sym_BSLASHwh] = ACTIONS(51),
    [anon_sym_BSLASHwa] = ACTIONS(51),
    [anon_sym_BSLASHfig] = ACTIONS(51),
    [anon_sym_BSLASHjmp] = ACTIONS(51),
    [anon_sym_BSLASHpb] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(51),
    [sym_milestoneStartTag] = ACTIONS(51),
    [sym_milestoneEndTag] = ACTIONS(51),
    [sym_zSpaceTag] = ACTIONS(51),
    [anon_sym_BSLASHesb] = ACTIONS(51),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(2775),
    [aux_sym_text_token1] = ACTIONS(2775),
    [anon_sym_BSLASHref] = ACTIONS(2777),
    [anon_sym_BSLASHsts] = ACTIONS(2777),
    [anon_sym_BSLASHrem] = ACTIONS(2777),
    [anon_sym_BSLASHrestore] = ACTIONS(2777),
    [anon_sym_BSLASHlit] = ACTIONS(2777),
    [anon_sym_BSLASHip] = ACTIONS(2777),
    [anon_sym_BSLASHiex] = ACTIONS(2777),
    [anon_sym_BSLASHv] = ACTIONS(2777),
    [anon_sym_BSLASHva] = ACTIONS(2777),
    [anon_sym_BSLASHvp] = ACTIONS(2777),
    [anon_sym_BSLASHc] = ACTIONS(2777),
    [anon_sym_BSLASHcl] = ACTIONS(2777),
    [anon_sym_BSLASHca] = ACTIONS(2777),
    [anon_sym_BSLASHcp] = ACTIONS(2777),
    [anon_sym_BSLASHcd] = ACTIONS(2777),
    [anon_sym_BSLASHmte] = ACTIONS(2777),
    [anon_sym_BSLASHms] = ACTIONS(2777),
    [anon_sym_BSLASHs] = ACTIONS(2777),
    [anon_sym_BSLASHr] = ACTIONS(2777),
    [anon_sym_BSLASHsp] = ACTIONS(2777),
    [anon_sym_BSLASHd] = ACTIONS(2777),
    [anon_sym_BSLASHsd] = ACTIONS(2777),
    [anon_sym_BSLASHp] = ACTIONS(2777),
    [anon_sym_BSLASHm] = ACTIONS(2777),
    [anon_sym_BSLASHpo] = ACTIONS(2777),
    [anon_sym_BSLASHpr] = ACTIONS(2777),
    [anon_sym_BSLASHcls] = ACTIONS(2777),
    [anon_sym_BSLASHpmo] = ACTIONS(2777),
    [anon_sym_BSLASHpm] = ACTIONS(2777),
    [anon_sym_BSLASHpmc] = ACTIONS(2777),
    [anon_sym_BSLASHpmr] = ACTIONS(2777),
    [anon_sym_BSLASHpi] = ACTIONS(2777),
    [anon_sym_BSLASHmi] = ACTIONS(2777),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2777),
    [anon_sym_BSLASHph] = ACTIONS(2777),
    [anon_sym_BSLASHb] = ACTIONS(2777),
    [anon_sym_BSLASHq] = ACTIONS(2777),
    [anon_sym_BSLASHqr] = ACTIONS(2777),
    [anon_sym_BSLASHqc] = ACTIONS(2777),
    [anon_sym_BSLASHqs] = ACTIONS(2777),
    [anon_sym_BSLASHqa] = ACTIONS(2777),
    [anon_sym_BSLASHqac] = ACTIONS(2777),
    [anon_sym_BSLASHqm] = ACTIONS(2777),
    [anon_sym_BSLASHqd] = ACTIONS(2777),
    [anon_sym_BSLASHlh] = ACTIONS(2777),
    [anon_sym_BSLASHli] = ACTIONS(2777),
    [anon_sym_BSLASHlim] = ACTIONS(2777),
    [anon_sym_BSLASHtr] = ACTIONS(2777),
    [anon_sym_BSLASHf] = ACTIONS(2777),
    [anon_sym_BSLASHfe] = ACTIONS(2777),
    [anon_sym_BSLASHef] = ACTIONS(2777),
    [anon_sym_BSLASHfm] = ACTIONS(2777),
    [anon_sym_BSLASHx] = ACTIONS(2777),
    [anon_sym_BSLASHxt] = ACTIONS(2777),
    [anon_sym_BSLASHrq] = ACTIONS(2777),
    [anon_sym_BSLASHadd] = ACTIONS(2777),
    [anon_sym_BSLASHbk] = ACTIONS(2777),
    [anon_sym_BSLASHdc] = ACTIONS(2777),
    [anon_sym_BSLASHk] = ACTIONS(2777),
    [anon_sym_BSLASHnd] = ACTIONS(2777),
    [anon_sym_BSLASHord] = ACTIONS(2777),
    [anon_sym_BSLASHpn] = ACTIONS(2777),
    [anon_sym_BSLASHpng] = ACTIONS(2777),
    [anon_sym_BSLASHaddpn] = ACTIONS(2777),
    [anon_sym_BSLASHqt] = ACTIONS(2777),
    [anon_sym_BSLASHsig] = ACTIONS(2777),
    [anon_sym_BSLASHsls] = ACTIONS(2777),
    [anon_sym_BSLASHtl] = ACTIONS(2777),
    [anon_sym_BSLASHwj] = ACTIONS(2777),
    [anon_sym_BSLASHem] = ACTIONS(2777),
    [anon_sym_BSLASHbd] = ACTIONS(2777),
    [anon_sym_BSLASHit] = ACTIONS(2777),
    [anon_sym_BSLASHbdit] = ACTIONS(2777),
    [anon_sym_BSLASHno] = ACTIONS(2777),
    [anon_sym_BSLASHsc] = ACTIONS(2777),
    [anon_sym_BSLASHsup] = ACTIONS(2777),
    [anon_sym_BSLASHndx] = ACTIONS(2777),
    [anon_sym_BSLASHpro] = ACTIONS(2777),
    [anon_sym_BSLASHrb] = ACTIONS(2777),
    [anon_sym_BSLASHw] = ACTIONS(2777),
    [anon_sym_BSLASHwg] = ACTIONS(2777),
    [anon_sym_BSLASHwh] = ACTIONS(2777),
    [anon_sym_BSLASHwa] = ACTIONS(2777),
    [anon_sym_BSLASHfig] = ACTIONS(2777),
    [anon_sym_BSLASHjmp] = ACTIONS(2777),
    [anon_sym_BSLASHpb] = ACTIONS(2777),
    [anon_sym_BSLASH] = ACTIONS(2777),
    [sym_milestoneStartTag] = ACTIONS(2777),
    [sym_milestoneEndTag] = ACTIONS(2777),
    [sym_zSpaceTag] = ACTIONS(2777),
    [anon_sym_BSLASHesb] = ACTIONS(2777),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(6066),
    [aux_sym_text_token1] = ACTIONS(6066),
    [anon_sym_BSLASHref] = ACTIONS(6068),
    [anon_sym_BSLASHsts] = ACTIONS(6068),
    [anon_sym_BSLASHrem] = ACTIONS(6068),
    [anon_sym_BSLASHrestore] = ACTIONS(6068),
    [anon_sym_BSLASHlit] = ACTIONS(6068),
    [anon_sym_BSLASHip] = ACTIONS(6068),
    [anon_sym_BSLASHiex] = ACTIONS(6068),
    [anon_sym_BSLASHv] = ACTIONS(6068),
    [anon_sym_BSLASHva] = ACTIONS(6068),
    [anon_sym_BSLASHvp] = ACTIONS(6068),
    [anon_sym_BSLASHc] = ACTIONS(6068),
    [anon_sym_BSLASHcl] = ACTIONS(6068),
    [anon_sym_BSLASHca] = ACTIONS(6068),
    [anon_sym_BSLASHcp] = ACTIONS(6068),
    [anon_sym_BSLASHcd] = ACTIONS(6068),
    [anon_sym_BSLASHmte] = ACTIONS(6068),
    [anon_sym_BSLASHms] = ACTIONS(6068),
    [anon_sym_BSLASHs] = ACTIONS(6068),
    [anon_sym_BSLASHr] = ACTIONS(6068),
    [anon_sym_BSLASHsp] = ACTIONS(6068),
    [anon_sym_BSLASHd] = ACTIONS(6068),
    [anon_sym_BSLASHsd] = ACTIONS(6068),
    [anon_sym_BSLASHp] = ACTIONS(6068),
    [anon_sym_BSLASHm] = ACTIONS(6068),
    [anon_sym_BSLASHpo] = ACTIONS(6068),
    [anon_sym_BSLASHpr] = ACTIONS(6068),
    [anon_sym_BSLASHcls] = ACTIONS(6068),
    [anon_sym_BSLASHpmo] = ACTIONS(6068),
    [anon_sym_BSLASHpm] = ACTIONS(6068),
    [anon_sym_BSLASHpmc] = ACTIONS(6068),
    [anon_sym_BSLASHpmr] = ACTIONS(6068),
    [anon_sym_BSLASHpi] = ACTIONS(6068),
    [anon_sym_BSLASHmi] = ACTIONS(6068),
    [anon_sym_BSLASHnb] = ACTIONS(6068),
    [anon_sym_BSLASHpc] = ACTIONS(6068),
    [anon_sym_BSLASHph] = ACTIONS(6068),
    [anon_sym_BSLASHb] = ACTIONS(6068),
    [anon_sym_BSLASHq] = ACTIONS(6068),
    [anon_sym_BSLASHqr] = ACTIONS(6068),
    [anon_sym_BSLASHqc] = ACTIONS(6068),
    [anon_sym_BSLASHqs] = ACTIONS(6068),
    [anon_sym_BSLASHqa] = ACTIONS(6068),
    [anon_sym_BSLASHqac] = ACTIONS(6068),
    [anon_sym_BSLASHqm] = ACTIONS(6068),
    [anon_sym_BSLASHqd] = ACTIONS(6068),
    [anon_sym_BSLASHlh] = ACTIONS(6068),
    [anon_sym_BSLASHli] = ACTIONS(6068),
    [anon_sym_BSLASHlim] = ACTIONS(6068),
    [anon_sym_BSLASHtr] = ACTIONS(6068),
    [anon_sym_BSLASHf] = ACTIONS(6068),
    [anon_sym_BSLASHfe] = ACTIONS(6068),
    [anon_sym_BSLASHef] = ACTIONS(6068),
    [anon_sym_BSLASHfm] = ACTIONS(6068),
    [anon_sym_BSLASHx] = ACTIONS(6068),
    [anon_sym_BSLASHxt] = ACTIONS(6068),
    [anon_sym_BSLASHrq] = ACTIONS(6068),
    [anon_sym_BSLASHadd] = ACTIONS(6068),
    [anon_sym_BSLASHbk] = ACTIONS(6068),
    [anon_sym_BSLASHdc] = ACTIONS(6068),
    [anon_sym_BSLASHk] = ACTIONS(6068),
    [anon_sym_BSLASHnd] = ACTIONS(6068),
    [anon_sym_BSLASHord] = ACTIONS(6068),
    [anon_sym_BSLASHpn] = ACTIONS(6068),
    [anon_sym_BSLASHpng] = ACTIONS(6068),
    [anon_sym_BSLASHaddpn] = ACTIONS(6068),
    [anon_sym_BSLASHqt] = ACTIONS(6068),
    [anon_sym_BSLASHsig] = ACTIONS(6068),
    [anon_sym_BSLASHsls] = ACTIONS(6068),
    [anon_sym_BSLASHtl] = ACTIONS(6068),
    [anon_sym_BSLASHwj] = ACTIONS(6068),
    [anon_sym_BSLASHem] = ACTIONS(6068),
    [anon_sym_BSLASHbd] = ACTIONS(6068),
    [anon_sym_BSLASHit] = ACTIONS(6068),
    [anon_sym_BSLASHbdit] = ACTIONS(6068),
    [anon_sym_BSLASHno] = ACTIONS(6068),
    [anon_sym_BSLASHsc] = ACTIONS(6068),
    [anon_sym_BSLASHsup] = ACTIONS(6068),
    [anon_sym_BSLASHndx] = ACTIONS(6068),
    [anon_sym_BSLASHpro] = ACTIONS(6068),
    [anon_sym_BSLASHrb] = ACTIONS(6068),
    [anon_sym_BSLASHw] = ACTIONS(6068),
    [anon_sym_BSLASHwg] = ACTIONS(6068),
    [anon_sym_BSLASHwh] = ACTIONS(6068),
    [anon_sym_BSLASHwa] = ACTIONS(6068),
    [anon_sym_BSLASHfig] = ACTIONS(6068),
    [anon_sym_BSLASHjmp] = ACTIONS(6068),
    [anon_sym_BSLASHpb] = ACTIONS(6068),
    [anon_sym_BSLASH] = ACTIONS(6068),
    [sym_milestoneStartTag] = ACTIONS(6068),
    [sym_milestoneEndTag] = ACTIONS(6068),
    [sym_zSpaceTag] = ACTIONS(6068),
    [anon_sym_BSLASHesb] = ACTIONS(6068),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(6070),
    [aux_sym_text_token1] = ACTIONS(6070),
    [anon_sym_BSLASHref] = ACTIONS(6072),
    [anon_sym_BSLASHsts] = ACTIONS(6072),
    [anon_sym_BSLASHrem] = ACTIONS(6072),
    [anon_sym_BSLASHrestore] = ACTIONS(6072),
    [anon_sym_BSLASHlit] = ACTIONS(6072),
    [anon_sym_BSLASHip] = ACTIONS(6072),
    [anon_sym_BSLASHiex] = ACTIONS(6072),
    [anon_sym_BSLASHv] = ACTIONS(6072),
    [anon_sym_BSLASHva] = ACTIONS(6072),
    [anon_sym_BSLASHvp] = ACTIONS(6072),
    [anon_sym_BSLASHc] = ACTIONS(6072),
    [anon_sym_BSLASHcl] = ACTIONS(6072),
    [anon_sym_BSLASHca] = ACTIONS(6072),
    [anon_sym_BSLASHcp] = ACTIONS(6072),
    [anon_sym_BSLASHcd] = ACTIONS(6072),
    [anon_sym_BSLASHmte] = ACTIONS(6072),
    [anon_sym_BSLASHms] = ACTIONS(6072),
    [anon_sym_BSLASHs] = ACTIONS(6072),
    [anon_sym_BSLASHr] = ACTIONS(6072),
    [anon_sym_BSLASHsp] = ACTIONS(6072),
    [anon_sym_BSLASHd] = ACTIONS(6072),
    [anon_sym_BSLASHsd] = ACTIONS(6072),
    [anon_sym_BSLASHp] = ACTIONS(6072),
    [anon_sym_BSLASHm] = ACTIONS(6072),
    [anon_sym_BSLASHpo] = ACTIONS(6072),
    [anon_sym_BSLASHpr] = ACTIONS(6072),
    [anon_sym_BSLASHcls] = ACTIONS(6072),
    [anon_sym_BSLASHpmo] = ACTIONS(6072),
    [anon_sym_BSLASHpm] = ACTIONS(6072),
    [anon_sym_BSLASHpmc] = ACTIONS(6072),
    [anon_sym_BSLASHpmr] = ACTIONS(6072),
    [anon_sym_BSLASHpi] = ACTIONS(6072),
    [anon_sym_BSLASHmi] = ACTIONS(6072),
    [anon_sym_BSLASHnb] = ACTIONS(6072),
    [anon_sym_BSLASHpc] = ACTIONS(6072),
    [anon_sym_BSLASHph] = ACTIONS(6072),
    [anon_sym_BSLASHb] = ACTIONS(6072),
    [anon_sym_BSLASHq] = ACTIONS(6072),
    [anon_sym_BSLASHqr] = ACTIONS(6072),
    [anon_sym_BSLASHqc] = ACTIONS(6072),
    [anon_sym_BSLASHqs] = ACTIONS(6072),
    [anon_sym_BSLASHqa] = ACTIONS(6072),
    [anon_sym_BSLASHqac] = ACTIONS(6072),
    [anon_sym_BSLASHqm] = ACTIONS(6072),
    [anon_sym_BSLASHqd] = ACTIONS(6072),
    [anon_sym_BSLASHlh] = ACTIONS(6072),
    [anon_sym_BSLASHli] = ACTIONS(6072),
    [anon_sym_BSLASHlim] = ACTIONS(6072),
    [anon_sym_BSLASHtr] = ACTIONS(6072),
    [anon_sym_BSLASHf] = ACTIONS(6072),
    [anon_sym_BSLASHfe] = ACTIONS(6072),
    [anon_sym_BSLASHef] = ACTIONS(6072),
    [anon_sym_BSLASHfm] = ACTIONS(6072),
    [anon_sym_BSLASHx] = ACTIONS(6072),
    [anon_sym_BSLASHxt] = ACTIONS(6072),
    [anon_sym_BSLASHrq] = ACTIONS(6072),
    [anon_sym_BSLASHadd] = ACTIONS(6072),
    [anon_sym_BSLASHbk] = ACTIONS(6072),
    [anon_sym_BSLASHdc] = ACTIONS(6072),
    [anon_sym_BSLASHk] = ACTIONS(6072),
    [anon_sym_BSLASHnd] = ACTIONS(6072),
    [anon_sym_BSLASHord] = ACTIONS(6072),
    [anon_sym_BSLASHpn] = ACTIONS(6072),
    [anon_sym_BSLASHpng] = ACTIONS(6072),
    [anon_sym_BSLASHaddpn] = ACTIONS(6072),
    [anon_sym_BSLASHqt] = ACTIONS(6072),
    [anon_sym_BSLASHsig] = ACTIONS(6072),
    [anon_sym_BSLASHsls] = ACTIONS(6072),
    [anon_sym_BSLASHtl] = ACTIONS(6072),
    [anon_sym_BSLASHwj] = ACTIONS(6072),
    [anon_sym_BSLASHem] = ACTIONS(6072),
    [anon_sym_BSLASHbd] = ACTIONS(6072),
    [anon_sym_BSLASHit] = ACTIONS(6072),
    [anon_sym_BSLASHbdit] = ACTIONS(6072),
    [anon_sym_BSLASHno] = ACTIONS(6072),
    [anon_sym_BSLASHsc] = ACTIONS(6072),
    [anon_sym_BSLASHsup] = ACTIONS(6072),
    [anon_sym_BSLASHndx] = ACTIONS(6072),
    [anon_sym_BSLASHpro] = ACTIONS(6072),
    [anon_sym_BSLASHrb] = ACTIONS(6072),
    [anon_sym_BSLASHw] = ACTIONS(6072),
    [anon_sym_BSLASHwg] = ACTIONS(6072),
    [anon_sym_BSLASHwh] = ACTIONS(6072),
    [anon_sym_BSLASHwa] = ACTIONS(6072),
    [anon_sym_BSLASHfig] = ACTIONS(6072),
    [anon_sym_BSLASHjmp] = ACTIONS(6072),
    [anon_sym_BSLASHpb] = ACTIONS(6072),
    [anon_sym_BSLASH] = ACTIONS(6072),
    [sym_milestoneStartTag] = ACTIONS(6072),
    [sym_milestoneEndTag] = ACTIONS(6072),
    [sym_zSpaceTag] = ACTIONS(6072),
    [anon_sym_BSLASHesb] = ACTIONS(6072),
  },
  [561] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHlf] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHliv] = ACTIONS(7),
    [anon_sym_BSLASHlik] = ACTIONS(7),
    [anon_sym_BSLASHlitl] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_BSLASH_STAR] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [sym__zSpaceClose] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [562] = {
    [sym_text] = STATE(565),
    [sym__milestoneAttributes] = STATE(2206),
    [aux_sym_text_token1] = ACTIONS(6074),
    [anon_sym_BSLASHref] = ACTIONS(5560),
    [anon_sym_BSLASHsts] = ACTIONS(5560),
    [anon_sym_BSLASHrem] = ACTIONS(5560),
    [anon_sym_BSLASHrestore] = ACTIONS(5560),
    [anon_sym_BSLASHlit] = ACTIONS(5560),
    [anon_sym_BSLASHip] = ACTIONS(5560),
    [anon_sym_BSLASHv] = ACTIONS(5560),
    [anon_sym_BSLASHva] = ACTIONS(5560),
    [anon_sym_BSLASHvp] = ACTIONS(5560),
    [anon_sym_BSLASHmte] = ACTIONS(5560),
    [anon_sym_BSLASHms] = ACTIONS(5560),
    [anon_sym_BSLASHs] = ACTIONS(5560),
    [anon_sym_BSLASHr] = ACTIONS(5560),
    [anon_sym_BSLASHsp] = ACTIONS(5560),
    [anon_sym_BSLASHd] = ACTIONS(5560),
    [anon_sym_BSLASHsd] = ACTIONS(5560),
    [anon_sym_BSLASHp] = ACTIONS(5560),
    [anon_sym_BSLASHm] = ACTIONS(5560),
    [anon_sym_BSLASHpo] = ACTIONS(5560),
    [anon_sym_BSLASHpr] = ACTIONS(5560),
    [anon_sym_BSLASHcls] = ACTIONS(5560),
    [anon_sym_BSLASHpmo] = ACTIONS(5560),
    [anon_sym_BSLASHpm] = ACTIONS(5560),
    [anon_sym_BSLASHpmc] = ACTIONS(5560),
    [anon_sym_BSLASHpmr] = ACTIONS(5560),
    [anon_sym_BSLASHpi] = ACTIONS(5560),
    [anon_sym_BSLASHmi] = ACTIONS(5560),
    [anon_sym_BSLASHnb] = ACTIONS(5560),
    [anon_sym_BSLASHpc] = ACTIONS(5560),
    [anon_sym_BSLASHph] = ACTIONS(5560),
    [anon_sym_BSLASHb] = ACTIONS(5560),
    [anon_sym_BSLASHq] = ACTIONS(5560),
    [anon_sym_BSLASHqr] = ACTIONS(5560),
    [anon_sym_BSLASHqc] = ACTIONS(5560),
    [anon_sym_BSLASHqs] = ACTIONS(5560),
    [anon_sym_BSLASHqa] = ACTIONS(5560),
    [anon_sym_BSLASHqac] = ACTIONS(5560),
    [anon_sym_BSLASHqm] = ACTIONS(5560),
    [anon_sym_BSLASHqd] = ACTIONS(5560),
    [anon_sym_BSLASHlh] = ACTIONS(5560),
    [anon_sym_BSLASHli] = ACTIONS(5560),
    [anon_sym_BSLASHlim] = ACTIONS(5560),
    [anon_sym_BSLASHtr] = ACTIONS(5560),
    [anon_sym_BSLASHf] = ACTIONS(5560),
    [anon_sym_BSLASHfe] = ACTIONS(5560),
    [anon_sym_BSLASHef] = ACTIONS(5560),
    [anon_sym_BSLASHfm] = ACTIONS(5560),
    [anon_sym_BSLASHx] = ACTIONS(5560),
    [anon_sym_BSLASHxt] = ACTIONS(5560),
    [anon_sym_BSLASHrq] = ACTIONS(5560),
    [anon_sym_BSLASHadd] = ACTIONS(5560),
    [anon_sym_BSLASHbk] = ACTIONS(5560),
    [anon_sym_BSLASHdc] = ACTIONS(5560),
    [anon_sym_BSLASHk] = ACTIONS(5560),
    [anon_sym_BSLASHnd] = ACTIONS(5560),
    [anon_sym_BSLASHord] = ACTIONS(5560),
    [anon_sym_BSLASHpn] = ACTIONS(5560),
    [anon_sym_BSLASHpng] = ACTIONS(5560),
    [anon_sym_BSLASHaddpn] = ACTIONS(5560),
    [anon_sym_BSLASHqt] = ACTIONS(5560),
    [anon_sym_BSLASHsig] = ACTIONS(5560),
    [anon_sym_BSLASHsls] = ACTIONS(5560),
    [anon_sym_BSLASHtl] = ACTIONS(5560),
    [anon_sym_BSLASHwj] = ACTIONS(5560),
    [anon_sym_BSLASHem] = ACTIONS(5560),
    [anon_sym_BSLASHbd] = ACTIONS(5560),
    [anon_sym_BSLASHit] = ACTIONS(5560),
    [anon_sym_BSLASHbdit] = ACTIONS(5560),
    [anon_sym_BSLASHno] = ACTIONS(5560),
    [anon_sym_BSLASHsc] = ACTIONS(5560),
    [anon_sym_BSLASHsup] = ACTIONS(5560),
    [anon_sym_BSLASHndx] = ACTIONS(5560),
    [anon_sym_BSLASHpro] = ACTIONS(5560),
    [anon_sym_BSLASHrb] = ACTIONS(5560),
    [anon_sym_BSLASHw] = ACTIONS(5560),
    [anon_sym_BSLASHwg] = ACTIONS(5560),
    [anon_sym_BSLASHwh] = ACTIONS(5560),
    [anon_sym_BSLASHwa] = ACTIONS(5560),
    [anon_sym_BSLASHfig] = ACTIONS(5560),
    [anon_sym_BSLASHjmp] = ACTIONS(5560),
    [anon_sym_BSLASHpb] = ACTIONS(5560),
    [anon_sym_BSLASH] = ACTIONS(5560),
    [anon_sym_BSLASH_STAR] = ACTIONS(6076),
    [sym_milestoneStartTag] = ACTIONS(5560),
    [sym_milestoneEndTag] = ACTIONS(5560),
    [sym_zSpaceTag] = ACTIONS(5560),
    [sym__zSpaceClose] = ACTIONS(6078),
    [anon_sym_BSLASHesbe] = ACTIONS(5560),
    [anon_sym_BSLASHcat] = ACTIONS(5560),
    [anon_sym_PIPE] = ACTIONS(5566),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(6080),
    [aux_sym_text_token1] = ACTIONS(6080),
    [anon_sym_BSLASHref] = ACTIONS(6082),
    [anon_sym_BSLASHsts] = ACTIONS(6082),
    [anon_sym_BSLASHrem] = ACTIONS(6082),
    [anon_sym_BSLASHrestore] = ACTIONS(6082),
    [anon_sym_BSLASHlit] = ACTIONS(6082),
    [anon_sym_BSLASHip] = ACTIONS(6082),
    [anon_sym_BSLASHiex] = ACTIONS(6082),
    [anon_sym_BSLASHv] = ACTIONS(6082),
    [anon_sym_BSLASHva] = ACTIONS(6082),
    [anon_sym_BSLASHvp] = ACTIONS(6082),
    [anon_sym_BSLASHc] = ACTIONS(6082),
    [anon_sym_BSLASHcl] = ACTIONS(6082),
    [anon_sym_BSLASHca] = ACTIONS(6082),
    [anon_sym_BSLASHcp] = ACTIONS(6082),
    [anon_sym_BSLASHcd] = ACTIONS(6082),
    [anon_sym_BSLASHmte] = ACTIONS(6082),
    [anon_sym_BSLASHms] = ACTIONS(6082),
    [anon_sym_BSLASHs] = ACTIONS(6082),
    [anon_sym_BSLASHr] = ACTIONS(6082),
    [anon_sym_BSLASHsp] = ACTIONS(6082),
    [anon_sym_BSLASHd] = ACTIONS(6082),
    [anon_sym_BSLASHsd] = ACTIONS(6082),
    [anon_sym_BSLASHp] = ACTIONS(6082),
    [anon_sym_BSLASHm] = ACTIONS(6082),
    [anon_sym_BSLASHpo] = ACTIONS(6082),
    [anon_sym_BSLASHpr] = ACTIONS(6082),
    [anon_sym_BSLASHcls] = ACTIONS(6082),
    [anon_sym_BSLASHpmo] = ACTIONS(6082),
    [anon_sym_BSLASHpm] = ACTIONS(6082),
    [anon_sym_BSLASHpmc] = ACTIONS(6082),
    [anon_sym_BSLASHpmr] = ACTIONS(6082),
    [anon_sym_BSLASHpi] = ACTIONS(6082),
    [anon_sym_BSLASHmi] = ACTIONS(6082),
    [anon_sym_BSLASHnb] = ACTIONS(6082),
    [anon_sym_BSLASHpc] = ACTIONS(6082),
    [anon_sym_BSLASHph] = ACTIONS(6082),
    [anon_sym_BSLASHb] = ACTIONS(6082),
    [anon_sym_BSLASHq] = ACTIONS(6082),
    [anon_sym_BSLASHqr] = ACTIONS(6082),
    [anon_sym_BSLASHqc] = ACTIONS(6082),
    [anon_sym_BSLASHqa] = ACTIONS(6082),
    [anon_sym_BSLASHqm] = ACTIONS(6082),
    [anon_sym_BSLASHqd] = ACTIONS(6082),
    [anon_sym_BSLASHlh] = ACTIONS(6082),
    [anon_sym_BSLASHli] = ACTIONS(6082),
    [anon_sym_BSLASHlim] = ACTIONS(6082),
    [anon_sym_BSLASHtr] = ACTIONS(6082),
    [anon_sym_BSLASHf] = ACTIONS(6082),
    [anon_sym_BSLASHfe] = ACTIONS(6082),
    [anon_sym_BSLASHef] = ACTIONS(6082),
    [anon_sym_BSLASHfm] = ACTIONS(6082),
    [anon_sym_BSLASHx] = ACTIONS(6082),
    [anon_sym_BSLASHxt] = ACTIONS(6082),
    [anon_sym_BSLASHrq] = ACTIONS(6082),
    [anon_sym_BSLASHadd] = ACTIONS(6082),
    [anon_sym_BSLASHbk] = ACTIONS(6082),
    [anon_sym_BSLASHdc] = ACTIONS(6082),
    [anon_sym_BSLASHk] = ACTIONS(6082),
    [anon_sym_BSLASHnd] = ACTIONS(6082),
    [anon_sym_BSLASHord] = ACTIONS(6082),
    [anon_sym_BSLASHpn] = ACTIONS(6082),
    [anon_sym_BSLASHpng] = ACTIONS(6082),
    [anon_sym_BSLASHaddpn] = ACTIONS(6082),
    [anon_sym_BSLASHqt] = ACTIONS(6082),
    [anon_sym_BSLASHsig] = ACTIONS(6082),
    [anon_sym_BSLASHsls] = ACTIONS(6082),
    [anon_sym_BSLASHtl] = ACTIONS(6082),
    [anon_sym_BSLASHwj] = ACTIONS(6082),
    [anon_sym_BSLASHem] = ACTIONS(6082),
    [anon_sym_BSLASHbd] = ACTIONS(6082),
    [anon_sym_BSLASHit] = ACTIONS(6082),
    [anon_sym_BSLASHbdit] = ACTIONS(6082),
    [anon_sym_BSLASHno] = ACTIONS(6082),
    [anon_sym_BSLASHsc] = ACTIONS(6082),
    [anon_sym_BSLASHsup] = ACTIONS(6082),
    [anon_sym_BSLASHndx] = ACTIONS(6082),
    [anon_sym_BSLASHpro] = ACTIONS(6082),
    [anon_sym_BSLASHrb] = ACTIONS(6082),
    [anon_sym_BSLASHw] = ACTIONS(6082),
    [anon_sym_BSLASHwg] = ACTIONS(6082),
    [anon_sym_BSLASHwh] = ACTIONS(6082),
    [anon_sym_BSLASHwa] = ACTIONS(6082),
    [anon_sym_BSLASHfig] = ACTIONS(6082),
    [anon_sym_BSLASHjmp] = ACTIONS(6082),
    [anon_sym_BSLASHpb] = ACTIONS(6082),
    [anon_sym_BSLASH] = ACTIONS(6082),
    [sym_milestoneStartTag] = ACTIONS(6082),
    [sym_milestoneEndTag] = ACTIONS(6082),
    [sym_zSpaceTag] = ACTIONS(6082),
    [anon_sym_BSLASHesb] = ACTIONS(6082),
  },
  [564] = {
    [sym__verseMeta] = STATE(566),
    [sym_va] = STATE(566),
    [sym_vp] = STATE(566),
    [aux_sym_v_repeat1] = STATE(566),
    [aux_sym_text_token1] = ACTIONS(5692),
    [anon_sym_BSLASHref] = ACTIONS(5694),
    [anon_sym_BSLASHsts] = ACTIONS(5694),
    [anon_sym_BSLASHrem] = ACTIONS(5694),
    [anon_sym_BSLASHrestore] = ACTIONS(5694),
    [anon_sym_BSLASHlit] = ACTIONS(5694),
    [anon_sym_BSLASHip] = ACTIONS(5694),
    [anon_sym_BSLASHv] = ACTIONS(5694),
    [anon_sym_BSLASHva] = ACTIONS(1667),
    [anon_sym_BSLASHvp] = ACTIONS(1669),
    [anon_sym_BSLASHmte] = ACTIONS(5694),
    [anon_sym_BSLASHms] = ACTIONS(5694),
    [anon_sym_BSLASHs] = ACTIONS(5694),
    [anon_sym_BSLASHr] = ACTIONS(5694),
    [anon_sym_BSLASHsp] = ACTIONS(5694),
    [anon_sym_BSLASHd] = ACTIONS(5694),
    [anon_sym_BSLASHsd] = ACTIONS(5694),
    [anon_sym_BSLASHp] = ACTIONS(5694),
    [anon_sym_BSLASHm] = ACTIONS(5694),
    [anon_sym_BSLASHpo] = ACTIONS(5694),
    [anon_sym_BSLASHpr] = ACTIONS(5694),
    [anon_sym_BSLASHcls] = ACTIONS(5694),
    [anon_sym_BSLASHpmo] = ACTIONS(5694),
    [anon_sym_BSLASHpm] = ACTIONS(5694),
    [anon_sym_BSLASHpmc] = ACTIONS(5694),
    [anon_sym_BSLASHpmr] = ACTIONS(5694),
    [anon_sym_BSLASHpi] = ACTIONS(5694),
    [anon_sym_BSLASHmi] = ACTIONS(5694),
    [anon_sym_BSLASHnb] = ACTIONS(5694),
    [anon_sym_BSLASHpc] = ACTIONS(5694),
    [anon_sym_BSLASHph] = ACTIONS(5694),
    [anon_sym_BSLASHb] = ACTIONS(5694),
    [anon_sym_BSLASHq] = ACTIONS(5694),
    [anon_sym_BSLASHqr] = ACTIONS(5694),
    [anon_sym_BSLASHqc] = ACTIONS(5694),
    [anon_sym_BSLASHqs] = ACTIONS(5694),
    [anon_sym_BSLASHqa] = ACTIONS(5694),
    [anon_sym_BSLASHqac] = ACTIONS(5694),
    [anon_sym_BSLASHqm] = ACTIONS(5694),
    [anon_sym_BSLASHqd] = ACTIONS(5694),
    [anon_sym_BSLASHlh] = ACTIONS(5694),
    [anon_sym_BSLASHli] = ACTIONS(5694),
    [anon_sym_BSLASHlim] = ACTIONS(5694),
    [anon_sym_BSLASHtr] = ACTIONS(5694),
    [anon_sym_BSLASHf] = ACTIONS(5694),
    [anon_sym_BSLASHfe] = ACTIONS(5694),
    [anon_sym_BSLASHef] = ACTIONS(5694),
    [anon_sym_BSLASHfm] = ACTIONS(5694),
    [anon_sym_BSLASHx] = ACTIONS(5694),
    [anon_sym_BSLASHxt] = ACTIONS(5694),
    [anon_sym_BSLASHrq] = ACTIONS(5694),
    [anon_sym_BSLASHadd] = ACTIONS(5694),
    [anon_sym_BSLASHbk] = ACTIONS(5694),
    [anon_sym_BSLASHdc] = ACTIONS(5694),
    [anon_sym_BSLASHk] = ACTIONS(5694),
    [anon_sym_BSLASHnd] = ACTIONS(5694),
    [anon_sym_BSLASHord] = ACTIONS(5694),
    [anon_sym_BSLASHpn] = ACTIONS(5694),
    [anon_sym_BSLASHpng] = ACTIONS(5694),
    [anon_sym_BSLASHaddpn] = ACTIONS(5694),
    [anon_sym_BSLASHqt] = ACTIONS(5694),
    [anon_sym_BSLASHsig] = ACTIONS(5694),
    [anon_sym_BSLASHsls] = ACTIONS(5694),
    [anon_sym_BSLASHtl] = ACTIONS(5694),
    [anon_sym_BSLASHwj] = ACTIONS(5694),
    [anon_sym_BSLASHem] = ACTIONS(5694),
    [anon_sym_BSLASHbd] = ACTIONS(5694),
    [anon_sym_BSLASHit] = ACTIONS(5694),
    [anon_sym_BSLASHbdit] = ACTIONS(5694),
    [anon_sym_BSLASHno] = ACTIONS(5694),
    [anon_sym_BSLASHsc] = ACTIONS(5694),
    [anon_sym_BSLASHsup] = ACTIONS(5694),
    [anon_sym_BSLASHndx] = ACTIONS(5694),
    [anon_sym_BSLASHpro] = ACTIONS(5694),
    [anon_sym_BSLASHrb] = ACTIONS(5694),
    [anon_sym_BSLASHw] = ACTIONS(5694),
    [anon_sym_BSLASHwg] = ACTIONS(5694),
    [anon_sym_BSLASHwh] = ACTIONS(5694),
    [anon_sym_BSLASHwa] = ACTIONS(5694),
    [anon_sym_BSLASHfig] = ACTIONS(5694),
    [anon_sym_BSLASHjmp] = ACTIONS(5694),
    [anon_sym_BSLASHpb] = ACTIONS(5694),
    [anon_sym_BSLASH] = ACTIONS(5694),
    [sym_milestoneStartTag] = ACTIONS(5694),
    [sym_milestoneEndTag] = ACTIONS(5694),
    [sym_zSpaceTag] = ACTIONS(5694),
    [anon_sym_BSLASHesbe] = ACTIONS(5694),
    [anon_sym_BSLASHcat] = ACTIONS(5694),
  },
  [565] = {
    [sym__milestoneAttributes] = STATE(2216),
    [aux_sym_text_token1] = ACTIONS(5568),
    [anon_sym_BSLASHref] = ACTIONS(5570),
    [anon_sym_BSLASHsts] = ACTIONS(5570),
    [anon_sym_BSLASHrem] = ACTIONS(5570),
    [anon_sym_BSLASHrestore] = ACTIONS(5570),
    [anon_sym_BSLASHlit] = ACTIONS(5570),
    [anon_sym_BSLASHip] = ACTIONS(5570),
    [anon_sym_BSLASHv] = ACTIONS(5570),
    [anon_sym_BSLASHva] = ACTIONS(5570),
    [anon_sym_BSLASHvp] = ACTIONS(5570),
    [anon_sym_BSLASHmte] = ACTIONS(5570),
    [anon_sym_BSLASHms] = ACTIONS(5570),
    [anon_sym_BSLASHs] = ACTIONS(5570),
    [anon_sym_BSLASHr] = ACTIONS(5570),
    [anon_sym_BSLASHsp] = ACTIONS(5570),
    [anon_sym_BSLASHd] = ACTIONS(5570),
    [anon_sym_BSLASHsd] = ACTIONS(5570),
    [anon_sym_BSLASHp] = ACTIONS(5570),
    [anon_sym_BSLASHm] = ACTIONS(5570),
    [anon_sym_BSLASHpo] = ACTIONS(5570),
    [anon_sym_BSLASHpr] = ACTIONS(5570),
    [anon_sym_BSLASHcls] = ACTIONS(5570),
    [anon_sym_BSLASHpmo] = ACTIONS(5570),
    [anon_sym_BSLASHpm] = ACTIONS(5570),
    [anon_sym_BSLASHpmc] = ACTIONS(5570),
    [anon_sym_BSLASHpmr] = ACTIONS(5570),
    [anon_sym_BSLASHpi] = ACTIONS(5570),
    [anon_sym_BSLASHmi] = ACTIONS(5570),
    [anon_sym_BSLASHnb] = ACTIONS(5570),
    [anon_sym_BSLASHpc] = ACTIONS(5570),
    [anon_sym_BSLASHph] = ACTIONS(5570),
    [anon_sym_BSLASHb] = ACTIONS(5570),
    [anon_sym_BSLASHq] = ACTIONS(5570),
    [anon_sym_BSLASHqr] = ACTIONS(5570),
    [anon_sym_BSLASHqc] = ACTIONS(5570),
    [anon_sym_BSLASHqs] = ACTIONS(5570),
    [anon_sym_BSLASHqa] = ACTIONS(5570),
    [anon_sym_BSLASHqac] = ACTIONS(5570),
    [anon_sym_BSLASHqm] = ACTIONS(5570),
    [anon_sym_BSLASHqd] = ACTIONS(5570),
    [anon_sym_BSLASHlh] = ACTIONS(5570),
    [anon_sym_BSLASHli] = ACTIONS(5570),
    [anon_sym_BSLASHlim] = ACTIONS(5570),
    [anon_sym_BSLASHtr] = ACTIONS(5570),
    [anon_sym_BSLASHf] = ACTIONS(5570),
    [anon_sym_BSLASHfe] = ACTIONS(5570),
    [anon_sym_BSLASHef] = ACTIONS(5570),
    [anon_sym_BSLASHfm] = ACTIONS(5570),
    [anon_sym_BSLASHx] = ACTIONS(5570),
    [anon_sym_BSLASHxt] = ACTIONS(5570),
    [anon_sym_BSLASHrq] = ACTIONS(5570),
    [anon_sym_BSLASHadd] = ACTIONS(5570),
    [anon_sym_BSLASHbk] = ACTIONS(5570),
    [anon_sym_BSLASHdc] = ACTIONS(5570),
    [anon_sym_BSLASHk] = ACTIONS(5570),
    [anon_sym_BSLASHnd] = ACTIONS(5570),
    [anon_sym_BSLASHord] = ACTIONS(5570),
    [anon_sym_BSLASHpn] = ACTIONS(5570),
    [anon_sym_BSLASHpng] = ACTIONS(5570),
    [anon_sym_BSLASHaddpn] = ACTIONS(5570),
    [anon_sym_BSLASHqt] = ACTIONS(5570),
    [anon_sym_BSLASHsig] = ACTIONS(5570),
    [anon_sym_BSLASHsls] = ACTIONS(5570),
    [anon_sym_BSLASHtl] = ACTIONS(5570),
    [anon_sym_BSLASHwj] = ACTIONS(5570),
    [anon_sym_BSLASHem] = ACTIONS(5570),
    [anon_sym_BSLASHbd] = ACTIONS(5570),
    [anon_sym_BSLASHit] = ACTIONS(5570),
    [anon_sym_BSLASHbdit] = ACTIONS(5570),
    [anon_sym_BSLASHno] = ACTIONS(5570),
    [anon_sym_BSLASHsc] = ACTIONS(5570),
    [anon_sym_BSLASHsup] = ACTIONS(5570),
    [anon_sym_BSLASHndx] = ACTIONS(5570),
    [anon_sym_BSLASHpro] = ACTIONS(5570),
    [anon_sym_BSLASHrb] = ACTIONS(5570),
    [anon_sym_BSLASHw] = ACTIONS(5570),
    [anon_sym_BSLASHwg] = ACTIONS(5570),
    [anon_sym_BSLASHwh] = ACTIONS(5570),
    [anon_sym_BSLASHwa] = ACTIONS(5570),
    [anon_sym_BSLASHfig] = ACTIONS(5570),
    [anon_sym_BSLASHjmp] = ACTIONS(5570),
    [anon_sym_BSLASHpb] = ACTIONS(5570),
    [anon_sym_BSLASH] = ACTIONS(5570),
    [anon_sym_BSLASH_STAR] = ACTIONS(6084),
    [sym_milestoneStartTag] = ACTIONS(5570),
    [sym_milestoneEndTag] = ACTIONS(5570),
    [sym_zSpaceTag] = ACTIONS(5570),
    [sym__zSpaceClose] = ACTIONS(6086),
    [anon_sym_BSLASHesbe] = ACTIONS(5570),
    [anon_sym_BSLASHcat] = ACTIONS(5570),
    [anon_sym_PIPE] = ACTIONS(5566),
  },
  [566] = {
    [sym__verseMeta] = STATE(566),
    [sym_va] = STATE(566),
    [sym_vp] = STATE(566),
    [aux_sym_v_repeat1] = STATE(566),
    [aux_sym_text_token1] = ACTIONS(5678),
    [anon_sym_BSLASHref] = ACTIONS(5680),
    [anon_sym_BSLASHsts] = ACTIONS(5680),
    [anon_sym_BSLASHrem] = ACTIONS(5680),
    [anon_sym_BSLASHrestore] = ACTIONS(5680),
    [anon_sym_BSLASHlit] = ACTIONS(5680),
    [anon_sym_BSLASHip] = ACTIONS(5680),
    [anon_sym_BSLASHv] = ACTIONS(5680),
    [anon_sym_BSLASHva] = ACTIONS(6088),
    [anon_sym_BSLASHvp] = ACTIONS(6091),
    [anon_sym_BSLASHmte] = ACTIONS(5680),
    [anon_sym_BSLASHms] = ACTIONS(5680),
    [anon_sym_BSLASHs] = ACTIONS(5680),
    [anon_sym_BSLASHr] = ACTIONS(5680),
    [anon_sym_BSLASHsp] = ACTIONS(5680),
    [anon_sym_BSLASHd] = ACTIONS(5680),
    [anon_sym_BSLASHsd] = ACTIONS(5680),
    [anon_sym_BSLASHp] = ACTIONS(5680),
    [anon_sym_BSLASHm] = ACTIONS(5680),
    [anon_sym_BSLASHpo] = ACTIONS(5680),
    [anon_sym_BSLASHpr] = ACTIONS(5680),
    [anon_sym_BSLASHcls] = ACTIONS(5680),
    [anon_sym_BSLASHpmo] = ACTIONS(5680),
    [anon_sym_BSLASHpm] = ACTIONS(5680),
    [anon_sym_BSLASHpmc] = ACTIONS(5680),
    [anon_sym_BSLASHpmr] = ACTIONS(5680),
    [anon_sym_BSLASHpi] = ACTIONS(5680),
    [anon_sym_BSLASHmi] = ACTIONS(5680),
    [anon_sym_BSLASHnb] = ACTIONS(5680),
    [anon_sym_BSLASHpc] = ACTIONS(5680),
    [anon_sym_BSLASHph] = ACTIONS(5680),
    [anon_sym_BSLASHb] = ACTIONS(5680),
    [anon_sym_BSLASHq] = ACTIONS(5680),
    [anon_sym_BSLASHqr] = ACTIONS(5680),
    [anon_sym_BSLASHqc] = ACTIONS(5680),
    [anon_sym_BSLASHqs] = ACTIONS(5680),
    [anon_sym_BSLASHqa] = ACTIONS(5680),
    [anon_sym_BSLASHqac] = ACTIONS(5680),
    [anon_sym_BSLASHqm] = ACTIONS(5680),
    [anon_sym_BSLASHqd] = ACTIONS(5680),
    [anon_sym_BSLASHlh] = ACTIONS(5680),
    [anon_sym_BSLASHli] = ACTIONS(5680),
    [anon_sym_BSLASHlim] = ACTIONS(5680),
    [anon_sym_BSLASHtr] = ACTIONS(5680),
    [anon_sym_BSLASHf] = ACTIONS(5680),
    [anon_sym_BSLASHfe] = ACTIONS(5680),
    [anon_sym_BSLASHef] = ACTIONS(5680),
    [anon_sym_BSLASHfm] = ACTIONS(5680),
    [anon_sym_BSLASHx] = ACTIONS(5680),
    [anon_sym_BSLASHxt] = ACTIONS(5680),
    [anon_sym_BSLASHrq] = ACTIONS(5680),
    [anon_sym_BSLASHadd] = ACTIONS(5680),
    [anon_sym_BSLASHbk] = ACTIONS(5680),
    [anon_sym_BSLASHdc] = ACTIONS(5680),
    [anon_sym_BSLASHk] = ACTIONS(5680),
    [anon_sym_BSLASHnd] = ACTIONS(5680),
    [anon_sym_BSLASHord] = ACTIONS(5680),
    [anon_sym_BSLASHpn] = ACTIONS(5680),
    [anon_sym_BSLASHpng] = ACTIONS(5680),
    [anon_sym_BSLASHaddpn] = ACTIONS(5680),
    [anon_sym_BSLASHqt] = ACTIONS(5680),
    [anon_sym_BSLASHsig] = ACTIONS(5680),
    [anon_sym_BSLASHsls] = ACTIONS(5680),
    [anon_sym_BSLASHtl] = ACTIONS(5680),
    [anon_sym_BSLASHwj] = ACTIONS(5680),
    [anon_sym_BSLASHem] = ACTIONS(5680),
    [anon_sym_BSLASHbd] = ACTIONS(5680),
    [anon_sym_BSLASHit] = ACTIONS(5680),
    [anon_sym_BSLASHbdit] = ACTIONS(5680),
    [anon_sym_BSLASHno] = ACTIONS(5680),
    [anon_sym_BSLASHsc] = ACTIONS(5680),
    [anon_sym_BSLASHsup] = ACTIONS(5680),
    [anon_sym_BSLASHndx] = ACTIONS(5680),
    [anon_sym_BSLASHpro] = ACTIONS(5680),
    [anon_sym_BSLASHrb] = ACTIONS(5680),
    [anon_sym_BSLASHw] = ACTIONS(5680),
    [anon_sym_BSLASHwg] = ACTIONS(5680),
    [anon_sym_BSLASHwh] = ACTIONS(5680),
    [anon_sym_BSLASHwa] = ACTIONS(5680),
    [anon_sym_BSLASHfig] = ACTIONS(5680),
    [anon_sym_BSLASHjmp] = ACTIONS(5680),
    [anon_sym_BSLASHpb] = ACTIONS(5680),
    [anon_sym_BSLASH] = ACTIONS(5680),
    [sym_milestoneStartTag] = ACTIONS(5680),
    [sym_milestoneEndTag] = ACTIONS(5680),
    [sym_zSpaceTag] = ACTIONS(5680),
    [anon_sym_BSLASHesbe] = ACTIONS(5680),
    [anon_sym_BSLASHcat] = ACTIONS(5680),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(6094),
    [aux_sym_text_token1] = ACTIONS(6094),
    [anon_sym_BSLASHref] = ACTIONS(6096),
    [anon_sym_BSLASHsts] = ACTIONS(6096),
    [anon_sym_BSLASHrem] = ACTIONS(6096),
    [anon_sym_BSLASHrestore] = ACTIONS(6096),
    [anon_sym_BSLASHlit] = ACTIONS(6096),
    [anon_sym_BSLASHip] = ACTIONS(6096),
    [anon_sym_BSLASHiex] = ACTIONS(6096),
    [anon_sym_BSLASHv] = ACTIONS(6096),
    [anon_sym_BSLASHva] = ACTIONS(6096),
    [anon_sym_BSLASHvp] = ACTIONS(6096),
    [anon_sym_BSLASHc] = ACTIONS(6096),
    [anon_sym_BSLASHcl] = ACTIONS(6096),
    [anon_sym_BSLASHca] = ACTIONS(6096),
    [anon_sym_BSLASHcp] = ACTIONS(6096),
    [anon_sym_BSLASHcd] = ACTIONS(6096),
    [anon_sym_BSLASHmte] = ACTIONS(6096),
    [anon_sym_BSLASHms] = ACTIONS(6096),
    [anon_sym_BSLASHs] = ACTIONS(6096),
    [anon_sym_BSLASHr] = ACTIONS(6096),
    [anon_sym_BSLASHsp] = ACTIONS(6096),
    [anon_sym_BSLASHd] = ACTIONS(6096),
    [anon_sym_BSLASHsd] = ACTIONS(6096),
    [anon_sym_BSLASHp] = ACTIONS(6096),
    [anon_sym_BSLASHm] = ACTIONS(6096),
    [anon_sym_BSLASHpo] = ACTIONS(6096),
    [anon_sym_BSLASHpr] = ACTIONS(6096),
    [anon_sym_BSLASHcls] = ACTIONS(6096),
    [anon_sym_BSLASHpmo] = ACTIONS(6096),
    [anon_sym_BSLASHpm] = ACTIONS(6096),
    [anon_sym_BSLASHpmc] = ACTIONS(6096),
    [anon_sym_BSLASHpmr] = ACTIONS(6096),
    [anon_sym_BSLASHpi] = ACTIONS(6096),
    [anon_sym_BSLASHmi] = ACTIONS(6096),
    [anon_sym_BSLASHnb] = ACTIONS(6096),
    [anon_sym_BSLASHpc] = ACTIONS(6096),
    [anon_sym_BSLASHph] = ACTIONS(6096),
    [anon_sym_BSLASHb] = ACTIONS(6096),
    [anon_sym_BSLASHq] = ACTIONS(6096),
    [anon_sym_BSLASHqr] = ACTIONS(6096),
    [anon_sym_BSLASHqc] = ACTIONS(6096),
    [anon_sym_BSLASHqa] = ACTIONS(6096),
    [anon_sym_BSLASHqm] = ACTIONS(6096),
    [anon_sym_BSLASHqd] = ACTIONS(6096),
    [anon_sym_BSLASHlh] = ACTIONS(6096),
    [anon_sym_BSLASHli] = ACTIONS(6096),
    [anon_sym_BSLASHlim] = ACTIONS(6096),
    [anon_sym_BSLASHtr] = ACTIONS(6096),
    [anon_sym_BSLASHf] = ACTIONS(6096),
    [anon_sym_BSLASHfe] = ACTIONS(6096),
    [anon_sym_BSLASHef] = ACTIONS(6096),
    [anon_sym_BSLASHfm] = ACTIONS(6096),
    [anon_sym_BSLASHx] = ACTIONS(6096),
    [anon_sym_BSLASHxt] = ACTIONS(6096),
    [anon_sym_BSLASHrq] = ACTIONS(6096),
    [anon_sym_BSLASHadd] = ACTIONS(6096),
    [anon_sym_BSLASHbk] = ACTIONS(6096),
    [anon_sym_BSLASHdc] = ACTIONS(6096),
    [anon_sym_BSLASHk] = ACTIONS(6096),
    [anon_sym_BSLASHnd] = ACTIONS(6096),
    [anon_sym_BSLASHord] = ACTIONS(6096),
    [anon_sym_BSLASHpn] = ACTIONS(6096),
    [anon_sym_BSLASHpng] = ACTIONS(6096),
    [anon_sym_BSLASHaddpn] = ACTIONS(6096),
    [anon_sym_BSLASHqt] = ACTIONS(6096),
    [anon_sym_BSLASHsig] = ACTIONS(6096),
    [anon_sym_BSLASHsls] = ACTIONS(6096),
    [anon_sym_BSLASHtl] = ACTIONS(6096),
    [anon_sym_BSLASHwj] = ACTIONS(6096),
    [anon_sym_BSLASHem] = ACTIONS(6096),
    [anon_sym_BSLASHbd] = ACTIONS(6096),
    [anon_sym_BSLASHit] = ACTIONS(6096),
    [anon_sym_BSLASHbdit] = ACTIONS(6096),
    [anon_sym_BSLASHno] = ACTIONS(6096),
    [anon_sym_BSLASHsc] = ACTIONS(6096),
    [anon_sym_BSLASHsup] = ACTIONS(6096),
    [anon_sym_BSLASHndx] = ACTIONS(6096),
    [anon_sym_BSLASHpro] = ACTIONS(6096),
    [anon_sym_BSLASHrb] = ACTIONS(6096),
    [anon_sym_BSLASHw] = ACTIONS(6096),
    [anon_sym_BSLASHwg] = ACTIONS(6096),
    [anon_sym_BSLASHwh] = ACTIONS(6096),
    [anon_sym_BSLASHwa] = ACTIONS(6096),
    [anon_sym_BSLASHfig] = ACTIONS(6096),
    [anon_sym_BSLASHjmp] = ACTIONS(6096),
    [anon_sym_BSLASHpb] = ACTIONS(6096),
    [anon_sym_BSLASH] = ACTIONS(6096),
    [sym_milestoneStartTag] = ACTIONS(6096),
    [sym_milestoneEndTag] = ACTIONS(6096),
    [sym_zSpaceTag] = ACTIONS(6096),
    [anon_sym_BSLASHesb] = ACTIONS(6096),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(6098),
    [aux_sym_text_token1] = ACTIONS(6098),
    [anon_sym_BSLASHref] = ACTIONS(6100),
    [anon_sym_BSLASHsts] = ACTIONS(6100),
    [anon_sym_BSLASHrem] = ACTIONS(6100),
    [anon_sym_BSLASHrestore] = ACTIONS(6100),
    [anon_sym_BSLASHlit] = ACTIONS(6100),
    [anon_sym_BSLASHip] = ACTIONS(6100),
    [anon_sym_BSLASHiex] = ACTIONS(6100),
    [anon_sym_BSLASHv] = ACTIONS(6100),
    [anon_sym_BSLASHva] = ACTIONS(6100),
    [anon_sym_BSLASHvp] = ACTIONS(6100),
    [anon_sym_BSLASHc] = ACTIONS(6100),
    [anon_sym_BSLASHcl] = ACTIONS(6100),
    [anon_sym_BSLASHca] = ACTIONS(6100),
    [anon_sym_BSLASHcp] = ACTIONS(6100),
    [anon_sym_BSLASHcd] = ACTIONS(6100),
    [anon_sym_BSLASHmte] = ACTIONS(6100),
    [anon_sym_BSLASHms] = ACTIONS(6100),
    [anon_sym_BSLASHs] = ACTIONS(6100),
    [anon_sym_BSLASHr] = ACTIONS(6100),
    [anon_sym_BSLASHsp] = ACTIONS(6100),
    [anon_sym_BSLASHd] = ACTIONS(6100),
    [anon_sym_BSLASHsd] = ACTIONS(6100),
    [anon_sym_BSLASHp] = ACTIONS(6100),
    [anon_sym_BSLASHm] = ACTIONS(6100),
    [anon_sym_BSLASHpo] = ACTIONS(6100),
    [anon_sym_BSLASHpr] = ACTIONS(6100),
    [anon_sym_BSLASHcls] = ACTIONS(6100),
    [anon_sym_BSLASHpmo] = ACTIONS(6100),
    [anon_sym_BSLASHpm] = ACTIONS(6100),
    [anon_sym_BSLASHpmc] = ACTIONS(6100),
    [anon_sym_BSLASHpmr] = ACTIONS(6100),
    [anon_sym_BSLASHpi] = ACTIONS(6100),
    [anon_sym_BSLASHmi] = ACTIONS(6100),
    [anon_sym_BSLASHnb] = ACTIONS(6100),
    [anon_sym_BSLASHpc] = ACTIONS(6100),
    [anon_sym_BSLASHph] = ACTIONS(6100),
    [anon_sym_BSLASHb] = ACTIONS(6100),
    [anon_sym_BSLASHq] = ACTIONS(6100),
    [anon_sym_BSLASHqr] = ACTIONS(6100),
    [anon_sym_BSLASHqc] = ACTIONS(6100),
    [anon_sym_BSLASHqa] = ACTIONS(6100),
    [anon_sym_BSLASHqm] = ACTIONS(6100),
    [anon_sym_BSLASHqd] = ACTIONS(6100),
    [anon_sym_BSLASHlh] = ACTIONS(6100),
    [anon_sym_BSLASHli] = ACTIONS(6100),
    [anon_sym_BSLASHlim] = ACTIONS(6100),
    [anon_sym_BSLASHtr] = ACTIONS(6100),
    [anon_sym_BSLASHf] = ACTIONS(6100),
    [anon_sym_BSLASHfe] = ACTIONS(6100),
    [anon_sym_BSLASHef] = ACTIONS(6100),
    [anon_sym_BSLASHfm] = ACTIONS(6100),
    [anon_sym_BSLASHx] = ACTIONS(6100),
    [anon_sym_BSLASHxt] = ACTIONS(6100),
    [anon_sym_BSLASHrq] = ACTIONS(6100),
    [anon_sym_BSLASHadd] = ACTIONS(6100),
    [anon_sym_BSLASHbk] = ACTIONS(6100),
    [anon_sym_BSLASHdc] = ACTIONS(6100),
    [anon_sym_BSLASHk] = ACTIONS(6100),
    [anon_sym_BSLASHnd] = ACTIONS(6100),
    [anon_sym_BSLASHord] = ACTIONS(6100),
    [anon_sym_BSLASHpn] = ACTIONS(6100),
    [anon_sym_BSLASHpng] = ACTIONS(6100),
    [anon_sym_BSLASHaddpn] = ACTIONS(6100),
    [anon_sym_BSLASHqt] = ACTIONS(6100),
    [anon_sym_BSLASHsig] = ACTIONS(6100),
    [anon_sym_BSLASHsls] = ACTIONS(6100),
    [anon_sym_BSLASHtl] = ACTIONS(6100),
    [anon_sym_BSLASHwj] = ACTIONS(6100),
    [anon_sym_BSLASHem] = ACTIONS(6100),
    [anon_sym_BSLASHbd] = ACTIONS(6100),
    [anon_sym_BSLASHit] = ACTIONS(6100),
    [anon_sym_BSLASHbdit] = ACTIONS(6100),
    [anon_sym_BSLASHno] = ACTIONS(6100),
    [anon_sym_BSLASHsc] = ACTIONS(6100),
    [anon_sym_BSLASHsup] = ACTIONS(6100),
    [anon_sym_BSLASHndx] = ACTIONS(6100),
    [anon_sym_BSLASHpro] = ACTIONS(6100),
    [anon_sym_BSLASHrb] = ACTIONS(6100),
    [anon_sym_BSLASHw] = ACTIONS(6100),
    [anon_sym_BSLASHwg] = ACTIONS(6100),
    [anon_sym_BSLASHwh] = ACTIONS(6100),
    [anon_sym_BSLASHwa] = ACTIONS(6100),
    [anon_sym_BSLASHfig] = ACTIONS(6100),
    [anon_sym_BSLASHjmp] = ACTIONS(6100),
    [anon_sym_BSLASHpb] = ACTIONS(6100),
    [anon_sym_BSLASH] = ACTIONS(6100),
    [sym_milestoneStartTag] = ACTIONS(6100),
    [sym_milestoneEndTag] = ACTIONS(6100),
    [sym_zSpaceTag] = ACTIONS(6100),
    [anon_sym_BSLASHesb] = ACTIONS(6100),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(6102),
    [aux_sym_text_token1] = ACTIONS(6102),
    [anon_sym_BSLASHref] = ACTIONS(6104),
    [anon_sym_BSLASHsts] = ACTIONS(6104),
    [anon_sym_BSLASHrem] = ACTIONS(6104),
    [anon_sym_BSLASHrestore] = ACTIONS(6104),
    [anon_sym_BSLASHlit] = ACTIONS(6104),
    [anon_sym_BSLASHip] = ACTIONS(6104),
    [anon_sym_BSLASHiex] = ACTIONS(6104),
    [anon_sym_BSLASHv] = ACTIONS(6104),
    [anon_sym_BSLASHva] = ACTIONS(6104),
    [anon_sym_BSLASHvp] = ACTIONS(6104),
    [anon_sym_BSLASHc] = ACTIONS(6104),
    [anon_sym_BSLASHcl] = ACTIONS(6104),
    [anon_sym_BSLASHca] = ACTIONS(6104),
    [anon_sym_BSLASHcp] = ACTIONS(6104),
    [anon_sym_BSLASHcd] = ACTIONS(6104),
    [anon_sym_BSLASHmte] = ACTIONS(6104),
    [anon_sym_BSLASHms] = ACTIONS(6104),
    [anon_sym_BSLASHs] = ACTIONS(6104),
    [anon_sym_BSLASHr] = ACTIONS(6104),
    [anon_sym_BSLASHsp] = ACTIONS(6104),
    [anon_sym_BSLASHd] = ACTIONS(6104),
    [anon_sym_BSLASHsd] = ACTIONS(6104),
    [anon_sym_BSLASHp] = ACTIONS(6104),
    [anon_sym_BSLASHm] = ACTIONS(6104),
    [anon_sym_BSLASHpo] = ACTIONS(6104),
    [anon_sym_BSLASHpr] = ACTIONS(6104),
    [anon_sym_BSLASHcls] = ACTIONS(6104),
    [anon_sym_BSLASHpmo] = ACTIONS(6104),
    [anon_sym_BSLASHpm] = ACTIONS(6104),
    [anon_sym_BSLASHpmc] = ACTIONS(6104),
    [anon_sym_BSLASHpmr] = ACTIONS(6104),
    [anon_sym_BSLASHpi] = ACTIONS(6104),
    [anon_sym_BSLASHmi] = ACTIONS(6104),
    [anon_sym_BSLASHnb] = ACTIONS(6104),
    [anon_sym_BSLASHpc] = ACTIONS(6104),
    [anon_sym_BSLASHph] = ACTIONS(6104),
    [anon_sym_BSLASHb] = ACTIONS(6104),
    [anon_sym_BSLASHq] = ACTIONS(6104),
    [anon_sym_BSLASHqr] = ACTIONS(6104),
    [anon_sym_BSLASHqc] = ACTIONS(6104),
    [anon_sym_BSLASHqa] = ACTIONS(6104),
    [anon_sym_BSLASHqm] = ACTIONS(6104),
    [anon_sym_BSLASHqd] = ACTIONS(6104),
    [anon_sym_BSLASHlh] = ACTIONS(6104),
    [anon_sym_BSLASHli] = ACTIONS(6104),
    [anon_sym_BSLASHlim] = ACTIONS(6104),
    [anon_sym_BSLASHtr] = ACTIONS(6104),
    [anon_sym_BSLASHf] = ACTIONS(6104),
    [anon_sym_BSLASHfe] = ACTIONS(6104),
    [anon_sym_BSLASHef] = ACTIONS(6104),
    [anon_sym_BSLASHfm] = ACTIONS(6104),
    [anon_sym_BSLASHx] = ACTIONS(6104),
    [anon_sym_BSLASHxt] = ACTIONS(6104),
    [anon_sym_BSLASHrq] = ACTIONS(6104),
    [anon_sym_BSLASHadd] = ACTIONS(6104),
    [anon_sym_BSLASHbk] = ACTIONS(6104),
    [anon_sym_BSLASHdc] = ACTIONS(6104),
    [anon_sym_BSLASHk] = ACTIONS(6104),
    [anon_sym_BSLASHnd] = ACTIONS(6104),
    [anon_sym_BSLASHord] = ACTIONS(6104),
    [anon_sym_BSLASHpn] = ACTIONS(6104),
    [anon_sym_BSLASHpng] = ACTIONS(6104),
    [anon_sym_BSLASHaddpn] = ACTIONS(6104),
    [anon_sym_BSLASHqt] = ACTIONS(6104),
    [anon_sym_BSLASHsig] = ACTIONS(6104),
    [anon_sym_BSLASHsls] = ACTIONS(6104),
    [anon_sym_BSLASHtl] = ACTIONS(6104),
    [anon_sym_BSLASHwj] = ACTIONS(6104),
    [anon_sym_BSLASHem] = ACTIONS(6104),
    [anon_sym_BSLASHbd] = ACTIONS(6104),
    [anon_sym_BSLASHit] = ACTIONS(6104),
    [anon_sym_BSLASHbdit] = ACTIONS(6104),
    [anon_sym_BSLASHno] = ACTIONS(6104),
    [anon_sym_BSLASHsc] = ACTIONS(6104),
    [anon_sym_BSLASHsup] = ACTIONS(6104),
    [anon_sym_BSLASHndx] = ACTIONS(6104),
    [anon_sym_BSLASHpro] = ACTIONS(6104),
    [anon_sym_BSLASHrb] = ACTIONS(6104),
    [anon_sym_BSLASHw] = ACTIONS(6104),
    [anon_sym_BSLASHwg] = ACTIONS(6104),
    [anon_sym_BSLASHwh] = ACTIONS(6104),
    [anon_sym_BSLASHwa] = ACTIONS(6104),
    [anon_sym_BSLASHfig] = ACTIONS(6104),
    [anon_sym_BSLASHjmp] = ACTIONS(6104),
    [anon_sym_BSLASHpb] = ACTIONS(6104),
    [anon_sym_BSLASH] = ACTIONS(6104),
    [sym_milestoneStartTag] = ACTIONS(6104),
    [sym_milestoneEndTag] = ACTIONS(6104),
    [sym_zSpaceTag] = ACTIONS(6104),
    [anon_sym_BSLASHesb] = ACTIONS(6104),
  },
  [570] = {
    [sym__verseMeta] = STATE(564),
    [sym_va] = STATE(564),
    [sym_vp] = STATE(564),
    [aux_sym_v_repeat1] = STATE(564),
    [aux_sym_text_token1] = ACTIONS(5688),
    [anon_sym_BSLASHref] = ACTIONS(5690),
    [anon_sym_BSLASHsts] = ACTIONS(5690),
    [anon_sym_BSLASHrem] = ACTIONS(5690),
    [anon_sym_BSLASHrestore] = ACTIONS(5690),
    [anon_sym_BSLASHlit] = ACTIONS(5690),
    [anon_sym_BSLASHip] = ACTIONS(5690),
    [anon_sym_BSLASHv] = ACTIONS(5690),
    [anon_sym_BSLASHva] = ACTIONS(1667),
    [anon_sym_BSLASHvp] = ACTIONS(1669),
    [anon_sym_BSLASHmte] = ACTIONS(5690),
    [anon_sym_BSLASHms] = ACTIONS(5690),
    [anon_sym_BSLASHs] = ACTIONS(5690),
    [anon_sym_BSLASHr] = ACTIONS(5690),
    [anon_sym_BSLASHsp] = ACTIONS(5690),
    [anon_sym_BSLASHd] = ACTIONS(5690),
    [anon_sym_BSLASHsd] = ACTIONS(5690),
    [anon_sym_BSLASHp] = ACTIONS(5690),
    [anon_sym_BSLASHm] = ACTIONS(5690),
    [anon_sym_BSLASHpo] = ACTIONS(5690),
    [anon_sym_BSLASHpr] = ACTIONS(5690),
    [anon_sym_BSLASHcls] = ACTIONS(5690),
    [anon_sym_BSLASHpmo] = ACTIONS(5690),
    [anon_sym_BSLASHpm] = ACTIONS(5690),
    [anon_sym_BSLASHpmc] = ACTIONS(5690),
    [anon_sym_BSLASHpmr] = ACTIONS(5690),
    [anon_sym_BSLASHpi] = ACTIONS(5690),
    [anon_sym_BSLASHmi] = ACTIONS(5690),
    [anon_sym_BSLASHnb] = ACTIONS(5690),
    [anon_sym_BSLASHpc] = ACTIONS(5690),
    [anon_sym_BSLASHph] = ACTIONS(5690),
    [anon_sym_BSLASHb] = ACTIONS(5690),
    [anon_sym_BSLASHq] = ACTIONS(5690),
    [anon_sym_BSLASHqr] = ACTIONS(5690),
    [anon_sym_BSLASHqc] = ACTIONS(5690),
    [anon_sym_BSLASHqs] = ACTIONS(5690),
    [anon_sym_BSLASHqa] = ACTIONS(5690),
    [anon_sym_BSLASHqac] = ACTIONS(5690),
    [anon_sym_BSLASHqm] = ACTIONS(5690),
    [anon_sym_BSLASHqd] = ACTIONS(5690),
    [anon_sym_BSLASHlh] = ACTIONS(5690),
    [anon_sym_BSLASHli] = ACTIONS(5690),
    [anon_sym_BSLASHlim] = ACTIONS(5690),
    [anon_sym_BSLASHtr] = ACTIONS(5690),
    [anon_sym_BSLASHf] = ACTIONS(5690),
    [anon_sym_BSLASHfe] = ACTIONS(5690),
    [anon_sym_BSLASHef] = ACTIONS(5690),
    [anon_sym_BSLASHfm] = ACTIONS(5690),
    [anon_sym_BSLASHx] = ACTIONS(5690),
    [anon_sym_BSLASHxt] = ACTIONS(5690),
    [anon_sym_BSLASHrq] = ACTIONS(5690),
    [anon_sym_BSLASHadd] = ACTIONS(5690),
    [anon_sym_BSLASHbk] = ACTIONS(5690),
    [anon_sym_BSLASHdc] = ACTIONS(5690),
    [anon_sym_BSLASHk] = ACTIONS(5690),
    [anon_sym_BSLASHnd] = ACTIONS(5690),
    [anon_sym_BSLASHord] = ACTIONS(5690),
    [anon_sym_BSLASHpn] = ACTIONS(5690),
    [anon_sym_BSLASHpng] = ACTIONS(5690),
    [anon_sym_BSLASHaddpn] = ACTIONS(5690),
    [anon_sym_BSLASHqt] = ACTIONS(5690),
    [anon_sym_BSLASHsig] = ACTIONS(5690),
    [anon_sym_BSLASHsls] = ACTIONS(5690),
    [anon_sym_BSLASHtl] = ACTIONS(5690),
    [anon_sym_BSLASHwj] = ACTIONS(5690),
    [anon_sym_BSLASHem] = ACTIONS(5690),
    [anon_sym_BSLASHbd] = ACTIONS(5690),
    [anon_sym_BSLASHit] = ACTIONS(5690),
    [anon_sym_BSLASHbdit] = ACTIONS(5690),
    [anon_sym_BSLASHno] = ACTIONS(5690),
    [anon_sym_BSLASHsc] = ACTIONS(5690),
    [anon_sym_BSLASHsup] = ACTIONS(5690),
    [anon_sym_BSLASHndx] = ACTIONS(5690),
    [anon_sym_BSLASHpro] = ACTIONS(5690),
    [anon_sym_BSLASHrb] = ACTIONS(5690),
    [anon_sym_BSLASHw] = ACTIONS(5690),
    [anon_sym_BSLASHwg] = ACTIONS(5690),
    [anon_sym_BSLASHwh] = ACTIONS(5690),
    [anon_sym_BSLASHwa] = ACTIONS(5690),
    [anon_sym_BSLASHfig] = ACTIONS(5690),
    [anon_sym_BSLASHjmp] = ACTIONS(5690),
    [anon_sym_BSLASHpb] = ACTIONS(5690),
    [anon_sym_BSLASH] = ACTIONS(5690),
    [sym_milestoneStartTag] = ACTIONS(5690),
    [sym_milestoneEndTag] = ACTIONS(5690),
    [sym_zSpaceTag] = ACTIONS(5690),
    [anon_sym_BSLASHesbe] = ACTIONS(5690),
    [anon_sym_BSLASHcat] = ACTIONS(5690),
  },
  [571] = {
    [sym_text] = STATE(571),
    [sym_add] = STATE(571),
    [sym_bk] = STATE(571),
    [sym_dc] = STATE(571),
    [sym_k] = STATE(571),
    [sym_nd] = STATE(571),
    [sym_ord] = STATE(571),
    [sym_pn] = STATE(571),
    [sym_png] = STATE(571),
    [sym_addpn] = STATE(571),
    [sym_qt] = STATE(571),
    [sym_sig] = STATE(571),
    [sym_sls] = STATE(571),
    [sym_tl] = STATE(571),
    [sym_wj] = STATE(571),
    [sym_em] = STATE(571),
    [sym_bd] = STATE(571),
    [sym_it] = STATE(571),
    [sym_bdit] = STATE(571),
    [sym_no] = STATE(571),
    [sym_sc] = STATE(571),
    [sym_sup] = STATE(571),
    [sym_ndx] = STATE(571),
    [sym_pro] = STATE(571),
    [sym_rb] = STATE(571),
    [sym_w] = STATE(571),
    [sym_wg] = STATE(571),
    [sym_wh] = STATE(571),
    [sym_wa] = STATE(571),
    [sym__characterMarker] = STATE(571),
    [sym_jmp] = STATE(571),
    [aux_sym_rem_repeat1] = STATE(571),
    [ts_builtin_sym_end] = ACTIONS(3545),
    [aux_sym_text_token1] = ACTIONS(6106),
    [anon_sym_BSLASHsts] = ACTIONS(3550),
    [anon_sym_BSLASHrem] = ACTIONS(3550),
    [anon_sym_BSLASHrestore] = ACTIONS(3550),
    [anon_sym_BSLASHlit] = ACTIONS(3550),
    [anon_sym_BSLASHimt] = ACTIONS(3550),
    [anon_sym_BSLASHimte] = ACTIONS(3550),
    [anon_sym_BSLASHis] = ACTIONS(3550),
    [anon_sym_BSLASHio] = ACTIONS(3550),
    [anon_sym_BSLASHiot] = ACTIONS(3550),
    [anon_sym_BSLASHip] = ACTIONS(3550),
    [anon_sym_BSLASHim] = ACTIONS(3550),
    [anon_sym_BSLASHipi] = ACTIONS(3550),
    [anon_sym_BSLASHimi] = ACTIONS(3550),
    [anon_sym_BSLASHili] = ACTIONS(3550),
    [anon_sym_BSLASHipq] = ACTIONS(3550),
    [anon_sym_BSLASHimq] = ACTIONS(3550),
    [anon_sym_BSLASHipr] = ACTIONS(3550),
    [anon_sym_BSLASHib] = ACTIONS(3550),
    [anon_sym_BSLASHiq] = ACTIONS(3550),
    [anon_sym_BSLASHie] = ACTIONS(3550),
    [anon_sym_BSLASHiex] = ACTIONS(3550),
    [anon_sym_BSLASHc] = ACTIONS(3550),
    [anon_sym_BSLASHcl] = ACTIONS(3550),
    [anon_sym_BSLASHadd] = ACTIONS(6109),
    [anon_sym_BSLASHbk] = ACTIONS(6112),
    [anon_sym_BSLASHdc] = ACTIONS(6115),
    [anon_sym_BSLASHk] = ACTIONS(6118),
    [anon_sym_BSLASHnd] = ACTIONS(6121),
    [anon_sym_BSLASHord] = ACTIONS(6124),
    [anon_sym_BSLASHpn] = ACTIONS(6127),
    [anon_sym_BSLASHpng] = ACTIONS(6130),
    [anon_sym_BSLASHaddpn] = ACTIONS(6133),
    [anon_sym_BSLASHqt] = ACTIONS(6136),
    [anon_sym_BSLASHsig] = ACTIONS(6139),
    [anon_sym_BSLASHsls] = ACTIONS(6142),
    [anon_sym_BSLASHtl] = ACTIONS(6145),
    [anon_sym_BSLASHwj] = ACTIONS(6148),
    [anon_sym_BSLASHem] = ACTIONS(6151),
    [anon_sym_BSLASHbd] = ACTIONS(6154),
    [anon_sym_BSLASHit] = ACTIONS(6157),
    [anon_sym_BSLASHbdit] = ACTIONS(6160),
    [anon_sym_BSLASHno] = ACTIONS(6163),
    [anon_sym_BSLASHsc] = ACTIONS(6166),
    [anon_sym_BSLASHsup] = ACTIONS(6169),
    [anon_sym_BSLASHndx] = ACTIONS(6172),
    [anon_sym_BSLASHpro] = ACTIONS(6175),
    [anon_sym_BSLASHrb] = ACTIONS(6178),
    [anon_sym_BSLASHw] = ACTIONS(6181),
    [anon_sym_BSLASHwg] = ACTIONS(6184),
    [anon_sym_BSLASHwh] = ACTIONS(6187),
    [anon_sym_BSLASHwa] = ACTIONS(6190),
    [anon_sym_BSLASHjmp] = ACTIONS(6193),
    [anon_sym_BSLASH] = ACTIONS(3550),
    [sym_milestoneStartTag] = ACTIONS(3550),
    [sym_milestoneEndTag] = ACTIONS(3550),
    [sym_zSpaceTag] = ACTIONS(3550),
    [anon_sym_BSLASHesb] = ACTIONS(3550),
  },
  [572] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqs] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqac] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_BSLASH_STAR] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [sym__zSpaceClose] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [573] = {
    [sym_defaultAttribute] = STATE(721),
    [sym__attributesInCrossref] = STATE(721),
    [aux_sym_text_token1] = ACTIONS(6196),
    [anon_sym_BSLASHref] = ACTIONS(6198),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfr] = ACTIONS(6198),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfq] = ACTIONS(6198),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfqa] = ACTIONS(6198),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfk] = ACTIONS(6198),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfl] = ACTIONS(6198),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfw] = ACTIONS(6198),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfp] = ACTIONS(6198),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHft] = ACTIONS(6198),
    [anon_sym_BSLASHft_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfdc] = ACTIONS(6198),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfv] = ACTIONS(6198),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHxt] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(6200),
    [anon_sym_BSLASHadd] = ACTIONS(6198),
    [anon_sym_BSLASHbk] = ACTIONS(6198),
    [anon_sym_BSLASHdc] = ACTIONS(6198),
    [anon_sym_BSLASHk] = ACTIONS(6198),
    [anon_sym_BSLASHnd] = ACTIONS(6198),
    [anon_sym_BSLASHord] = ACTIONS(6198),
    [anon_sym_BSLASHpn] = ACTIONS(6198),
    [anon_sym_BSLASHpng] = ACTIONS(6198),
    [anon_sym_BSLASHaddpn] = ACTIONS(6198),
    [anon_sym_BSLASHqt] = ACTIONS(6198),
    [anon_sym_BSLASHsig] = ACTIONS(6198),
    [anon_sym_BSLASHsls] = ACTIONS(6198),
    [anon_sym_BSLASHtl] = ACTIONS(6198),
    [anon_sym_BSLASHwj] = ACTIONS(6198),
    [anon_sym_BSLASHem] = ACTIONS(6198),
    [anon_sym_BSLASHbd] = ACTIONS(6198),
    [anon_sym_BSLASHit] = ACTIONS(6198),
    [anon_sym_BSLASHbdit] = ACTIONS(6198),
    [anon_sym_BSLASHno] = ACTIONS(6198),
    [anon_sym_BSLASHsc] = ACTIONS(6198),
    [anon_sym_BSLASHsup] = ACTIONS(6198),
    [anon_sym_BSLASHndx] = ACTIONS(6198),
    [anon_sym_BSLASHpro] = ACTIONS(6198),
    [anon_sym_BSLASHrb] = ACTIONS(6198),
    [anon_sym_BSLASHw] = ACTIONS(6198),
    [anon_sym_BSLASHwg] = ACTIONS(6198),
    [anon_sym_BSLASHwh] = ACTIONS(6198),
    [anon_sym_BSLASHwa] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6198),
    [anon_sym_BSLASHfig] = ACTIONS(6198),
    [anon_sym_BSLASHjmp] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6198),
    [anon_sym_BSLASHcat] = ACTIONS(6198),
    [anon_sym_PIPE] = ACTIONS(3940),
  },
  [574] = {
    [sym_text] = STATE(571),
    [sym_add] = STATE(571),
    [sym_bk] = STATE(571),
    [sym_dc] = STATE(571),
    [sym_k] = STATE(571),
    [sym_nd] = STATE(571),
    [sym_ord] = STATE(571),
    [sym_pn] = STATE(571),
    [sym_png] = STATE(571),
    [sym_addpn] = STATE(571),
    [sym_qt] = STATE(571),
    [sym_sig] = STATE(571),
    [sym_sls] = STATE(571),
    [sym_tl] = STATE(571),
    [sym_wj] = STATE(571),
    [sym_em] = STATE(571),
    [sym_bd] = STATE(571),
    [sym_it] = STATE(571),
    [sym_bdit] = STATE(571),
    [sym_no] = STATE(571),
    [sym_sc] = STATE(571),
    [sym_sup] = STATE(571),
    [sym_ndx] = STATE(571),
    [sym_pro] = STATE(571),
    [sym_rb] = STATE(571),
    [sym_w] = STATE(571),
    [sym_wg] = STATE(571),
    [sym_wh] = STATE(571),
    [sym_wa] = STATE(571),
    [sym__characterMarker] = STATE(571),
    [sym_jmp] = STATE(571),
    [aux_sym_rem_repeat1] = STATE(571),
    [ts_builtin_sym_end] = ACTIONS(3541),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHsts] = ACTIONS(3543),
    [anon_sym_BSLASHrem] = ACTIONS(3543),
    [anon_sym_BSLASHrestore] = ACTIONS(3543),
    [anon_sym_BSLASHlit] = ACTIONS(3543),
    [anon_sym_BSLASHimt] = ACTIONS(3543),
    [anon_sym_BSLASHimte] = ACTIONS(3543),
    [anon_sym_BSLASHis] = ACTIONS(3543),
    [anon_sym_BSLASHio] = ACTIONS(3543),
    [anon_sym_BSLASHiot] = ACTIONS(3543),
    [anon_sym_BSLASHip] = ACTIONS(3543),
    [anon_sym_BSLASHim] = ACTIONS(3543),
    [anon_sym_BSLASHipi] = ACTIONS(3543),
    [anon_sym_BSLASHimi] = ACTIONS(3543),
    [anon_sym_BSLASHili] = ACTIONS(3543),
    [anon_sym_BSLASHipq] = ACTIONS(3543),
    [anon_sym_BSLASHimq] = ACTIONS(3543),
    [anon_sym_BSLASHipr] = ACTIONS(3543),
    [anon_sym_BSLASHib] = ACTIONS(3543),
    [anon_sym_BSLASHiq] = ACTIONS(3543),
    [anon_sym_BSLASHie] = ACTIONS(3543),
    [anon_sym_BSLASHiex] = ACTIONS(3543),
    [anon_sym_BSLASHc] = ACTIONS(3543),
    [anon_sym_BSLASHcl] = ACTIONS(3543),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
    [anon_sym_BSLASH] = ACTIONS(3543),
    [sym_milestoneStartTag] = ACTIONS(3543),
    [sym_milestoneEndTag] = ACTIONS(3543),
    [sym_zSpaceTag] = ACTIONS(3543),
    [anon_sym_BSLASHesb] = ACTIONS(3543),
  },
  [575] = {
    [aux_sym_text_token1] = ACTIONS(5994),
    [anon_sym_BSLASHref] = ACTIONS(5996),
    [anon_sym_BSLASHsts] = ACTIONS(5996),
    [anon_sym_BSLASHrem] = ACTIONS(5996),
    [anon_sym_BSLASHrestore] = ACTIONS(5996),
    [anon_sym_BSLASHlit] = ACTIONS(5996),
    [anon_sym_BSLASHip] = ACTIONS(5996),
    [anon_sym_BSLASHv] = ACTIONS(5996),
    [anon_sym_BSLASHva] = ACTIONS(5996),
    [anon_sym_BSLASHvp] = ACTIONS(5996),
    [anon_sym_BSLASHmte] = ACTIONS(5996),
    [anon_sym_BSLASHms] = ACTIONS(5996),
    [anon_sym_BSLASHs] = ACTIONS(5996),
    [anon_sym_BSLASHr] = ACTIONS(5996),
    [anon_sym_BSLASHsp] = ACTIONS(5996),
    [anon_sym_BSLASHd] = ACTIONS(5996),
    [anon_sym_BSLASHsd] = ACTIONS(5996),
    [anon_sym_BSLASHp] = ACTIONS(5996),
    [anon_sym_BSLASHm] = ACTIONS(5996),
    [anon_sym_BSLASHpo] = ACTIONS(5996),
    [anon_sym_BSLASHpr] = ACTIONS(5996),
    [anon_sym_BSLASHcls] = ACTIONS(5996),
    [anon_sym_BSLASHpmo] = ACTIONS(5996),
    [anon_sym_BSLASHpm] = ACTIONS(5996),
    [anon_sym_BSLASHpmc] = ACTIONS(5996),
    [anon_sym_BSLASHpmr] = ACTIONS(5996),
    [anon_sym_BSLASHpi] = ACTIONS(5996),
    [anon_sym_BSLASHmi] = ACTIONS(5996),
    [anon_sym_BSLASHnb] = ACTIONS(5996),
    [anon_sym_BSLASHpc] = ACTIONS(5996),
    [anon_sym_BSLASHph] = ACTIONS(5996),
    [anon_sym_BSLASHb] = ACTIONS(5996),
    [anon_sym_BSLASHq] = ACTIONS(5996),
    [anon_sym_BSLASHqr] = ACTIONS(5996),
    [anon_sym_BSLASHqc] = ACTIONS(5996),
    [anon_sym_BSLASHqa] = ACTIONS(5996),
    [anon_sym_BSLASHqm] = ACTIONS(5996),
    [anon_sym_BSLASHqd] = ACTIONS(5996),
    [anon_sym_BSLASHlh] = ACTIONS(5996),
    [anon_sym_BSLASHlf] = ACTIONS(5996),
    [anon_sym_BSLASHli] = ACTIONS(5996),
    [anon_sym_BSLASHlim] = ACTIONS(5996),
    [anon_sym_BSLASHliv] = ACTIONS(5996),
    [anon_sym_BSLASHlik] = ACTIONS(5996),
    [anon_sym_BSLASHlitl] = ACTIONS(5996),
    [anon_sym_BSLASHtr] = ACTIONS(5996),
    [anon_sym_BSLASHf] = ACTIONS(5996),
    [anon_sym_BSLASHfe] = ACTIONS(5996),
    [anon_sym_BSLASHef] = ACTIONS(5996),
    [anon_sym_BSLASHfm] = ACTIONS(5996),
    [anon_sym_BSLASHx] = ACTIONS(5996),
    [anon_sym_BSLASHxt] = ACTIONS(5996),
    [anon_sym_BSLASHrq] = ACTIONS(5996),
    [anon_sym_BSLASHadd] = ACTIONS(5996),
    [anon_sym_BSLASHbk] = ACTIONS(5996),
    [anon_sym_BSLASHdc] = ACTIONS(5996),
    [anon_sym_BSLASHk] = ACTIONS(5996),
    [anon_sym_BSLASHnd] = ACTIONS(5996),
    [anon_sym_BSLASHord] = ACTIONS(5996),
    [anon_sym_BSLASHpn] = ACTIONS(5996),
    [anon_sym_BSLASHpng] = ACTIONS(5996),
    [anon_sym_BSLASHaddpn] = ACTIONS(5996),
    [anon_sym_BSLASHqt] = ACTIONS(5996),
    [anon_sym_BSLASHsig] = ACTIONS(5996),
    [anon_sym_BSLASHsls] = ACTIONS(5996),
    [anon_sym_BSLASHtl] = ACTIONS(5996),
    [anon_sym_BSLASHwj] = ACTIONS(5996),
    [anon_sym_BSLASHem] = ACTIONS(5996),
    [anon_sym_BSLASHbd] = ACTIONS(5996),
    [anon_sym_BSLASHit] = ACTIONS(5996),
    [anon_sym_BSLASHbdit] = ACTIONS(5996),
    [anon_sym_BSLASHno] = ACTIONS(5996),
    [anon_sym_BSLASHsc] = ACTIONS(5996),
    [anon_sym_BSLASHsup] = ACTIONS(5996),
    [anon_sym_BSLASHndx] = ACTIONS(5996),
    [anon_sym_BSLASHpro] = ACTIONS(5996),
    [anon_sym_BSLASHrb] = ACTIONS(5996),
    [anon_sym_BSLASHw] = ACTIONS(5996),
    [anon_sym_BSLASHwg] = ACTIONS(5996),
    [anon_sym_BSLASHwh] = ACTIONS(5996),
    [anon_sym_BSLASHwa] = ACTIONS(5996),
    [anon_sym_BSLASHfig] = ACTIONS(5996),
    [anon_sym_BSLASHjmp] = ACTIONS(5996),
    [anon_sym_BSLASHpb] = ACTIONS(5996),
    [anon_sym_BSLASH] = ACTIONS(5996),
    [sym_milestoneStartTag] = ACTIONS(5996),
    [sym_milestoneEndTag] = ACTIONS(5996),
    [sym_zSpaceTag] = ACTIONS(5996),
    [anon_sym_BSLASHesbe] = ACTIONS(5996),
    [anon_sym_BSLASHcat] = ACTIONS(5996),
  },
  [576] = {
    [aux_sym_text_token1] = ACTIONS(5986),
    [anon_sym_BSLASHref] = ACTIONS(5988),
    [anon_sym_BSLASHsts] = ACTIONS(5988),
    [anon_sym_BSLASHrem] = ACTIONS(5988),
    [anon_sym_BSLASHrestore] = ACTIONS(5988),
    [anon_sym_BSLASHlit] = ACTIONS(5988),
    [anon_sym_BSLASHip] = ACTIONS(5988),
    [anon_sym_BSLASHv] = ACTIONS(5988),
    [anon_sym_BSLASHva] = ACTIONS(5988),
    [anon_sym_BSLASHvp] = ACTIONS(5988),
    [anon_sym_BSLASHmte] = ACTIONS(5988),
    [anon_sym_BSLASHms] = ACTIONS(5988),
    [anon_sym_BSLASHs] = ACTIONS(5988),
    [anon_sym_BSLASHr] = ACTIONS(5988),
    [anon_sym_BSLASHsp] = ACTIONS(5988),
    [anon_sym_BSLASHd] = ACTIONS(5988),
    [anon_sym_BSLASHsd] = ACTIONS(5988),
    [anon_sym_BSLASHp] = ACTIONS(5988),
    [anon_sym_BSLASHm] = ACTIONS(5988),
    [anon_sym_BSLASHpo] = ACTIONS(5988),
    [anon_sym_BSLASHpr] = ACTIONS(5988),
    [anon_sym_BSLASHcls] = ACTIONS(5988),
    [anon_sym_BSLASHpmo] = ACTIONS(5988),
    [anon_sym_BSLASHpm] = ACTIONS(5988),
    [anon_sym_BSLASHpmc] = ACTIONS(5988),
    [anon_sym_BSLASHpmr] = ACTIONS(5988),
    [anon_sym_BSLASHpi] = ACTIONS(5988),
    [anon_sym_BSLASHmi] = ACTIONS(5988),
    [anon_sym_BSLASHnb] = ACTIONS(5988),
    [anon_sym_BSLASHpc] = ACTIONS(5988),
    [anon_sym_BSLASHph] = ACTIONS(5988),
    [anon_sym_BSLASHb] = ACTIONS(5988),
    [anon_sym_BSLASHq] = ACTIONS(5988),
    [anon_sym_BSLASHqr] = ACTIONS(5988),
    [anon_sym_BSLASHqc] = ACTIONS(5988),
    [anon_sym_BSLASHqa] = ACTIONS(5988),
    [anon_sym_BSLASHqm] = ACTIONS(5988),
    [anon_sym_BSLASHqd] = ACTIONS(5988),
    [anon_sym_BSLASHlh] = ACTIONS(5988),
    [anon_sym_BSLASHlf] = ACTIONS(5988),
    [anon_sym_BSLASHli] = ACTIONS(5988),
    [anon_sym_BSLASHlim] = ACTIONS(5988),
    [anon_sym_BSLASHliv] = ACTIONS(5988),
    [anon_sym_BSLASHlik] = ACTIONS(5988),
    [anon_sym_BSLASHlitl] = ACTIONS(5988),
    [anon_sym_BSLASHtr] = ACTIONS(5988),
    [anon_sym_BSLASHf] = ACTIONS(5988),
    [anon_sym_BSLASHfe] = ACTIONS(5988),
    [anon_sym_BSLASHef] = ACTIONS(5988),
    [anon_sym_BSLASHfm] = ACTIONS(5988),
    [anon_sym_BSLASHx] = ACTIONS(5988),
    [anon_sym_BSLASHxt] = ACTIONS(5988),
    [anon_sym_BSLASHrq] = ACTIONS(5988),
    [anon_sym_BSLASHadd] = ACTIONS(5988),
    [anon_sym_BSLASHbk] = ACTIONS(5988),
    [anon_sym_BSLASHdc] = ACTIONS(5988),
    [anon_sym_BSLASHk] = ACTIONS(5988),
    [anon_sym_BSLASHnd] = ACTIONS(5988),
    [anon_sym_BSLASHord] = ACTIONS(5988),
    [anon_sym_BSLASHpn] = ACTIONS(5988),
    [anon_sym_BSLASHpng] = ACTIONS(5988),
    [anon_sym_BSLASHaddpn] = ACTIONS(5988),
    [anon_sym_BSLASHqt] = ACTIONS(5988),
    [anon_sym_BSLASHsig] = ACTIONS(5988),
    [anon_sym_BSLASHsls] = ACTIONS(5988),
    [anon_sym_BSLASHtl] = ACTIONS(5988),
    [anon_sym_BSLASHwj] = ACTIONS(5988),
    [anon_sym_BSLASHem] = ACTIONS(5988),
    [anon_sym_BSLASHbd] = ACTIONS(5988),
    [anon_sym_BSLASHit] = ACTIONS(5988),
    [anon_sym_BSLASHbdit] = ACTIONS(5988),
    [anon_sym_BSLASHno] = ACTIONS(5988),
    [anon_sym_BSLASHsc] = ACTIONS(5988),
    [anon_sym_BSLASHsup] = ACTIONS(5988),
    [anon_sym_BSLASHndx] = ACTIONS(5988),
    [anon_sym_BSLASHpro] = ACTIONS(5988),
    [anon_sym_BSLASHrb] = ACTIONS(5988),
    [anon_sym_BSLASHw] = ACTIONS(5988),
    [anon_sym_BSLASHwg] = ACTIONS(5988),
    [anon_sym_BSLASHwh] = ACTIONS(5988),
    [anon_sym_BSLASHwa] = ACTIONS(5988),
    [anon_sym_BSLASHfig] = ACTIONS(5988),
    [anon_sym_BSLASHjmp] = ACTIONS(5988),
    [anon_sym_BSLASHpb] = ACTIONS(5988),
    [anon_sym_BSLASH] = ACTIONS(5988),
    [sym_milestoneStartTag] = ACTIONS(5988),
    [sym_milestoneEndTag] = ACTIONS(5988),
    [sym_zSpaceTag] = ACTIONS(5988),
    [anon_sym_BSLASHesbe] = ACTIONS(5988),
    [anon_sym_BSLASHcat] = ACTIONS(5988),
  },
  [577] = {
    [aux_sym_text_token1] = ACTIONS(5946),
    [anon_sym_BSLASHref] = ACTIONS(5948),
    [anon_sym_BSLASHsts] = ACTIONS(5948),
    [anon_sym_BSLASHrem] = ACTIONS(5948),
    [anon_sym_BSLASHrestore] = ACTIONS(5948),
    [anon_sym_BSLASHlit] = ACTIONS(5948),
    [anon_sym_BSLASHip] = ACTIONS(5948),
    [anon_sym_BSLASHv] = ACTIONS(5948),
    [anon_sym_BSLASHva] = ACTIONS(5948),
    [anon_sym_BSLASHvp] = ACTIONS(5948),
    [anon_sym_BSLASHmte] = ACTIONS(5948),
    [anon_sym_BSLASHms] = ACTIONS(5948),
    [anon_sym_BSLASHs] = ACTIONS(5948),
    [anon_sym_BSLASHr] = ACTIONS(5948),
    [anon_sym_BSLASHsp] = ACTIONS(5948),
    [anon_sym_BSLASHd] = ACTIONS(5948),
    [anon_sym_BSLASHsd] = ACTIONS(5948),
    [anon_sym_BSLASHp] = ACTIONS(5948),
    [anon_sym_BSLASHm] = ACTIONS(5948),
    [anon_sym_BSLASHpo] = ACTIONS(5948),
    [anon_sym_BSLASHpr] = ACTIONS(5948),
    [anon_sym_BSLASHcls] = ACTIONS(5948),
    [anon_sym_BSLASHpmo] = ACTIONS(5948),
    [anon_sym_BSLASHpm] = ACTIONS(5948),
    [anon_sym_BSLASHpmc] = ACTIONS(5948),
    [anon_sym_BSLASHpmr] = ACTIONS(5948),
    [anon_sym_BSLASHpi] = ACTIONS(5948),
    [anon_sym_BSLASHmi] = ACTIONS(5948),
    [anon_sym_BSLASHnb] = ACTIONS(5948),
    [anon_sym_BSLASHpc] = ACTIONS(5948),
    [anon_sym_BSLASHph] = ACTIONS(5948),
    [anon_sym_BSLASHb] = ACTIONS(5948),
    [anon_sym_BSLASHq] = ACTIONS(5948),
    [anon_sym_BSLASHqr] = ACTIONS(5948),
    [anon_sym_BSLASHqc] = ACTIONS(5948),
    [anon_sym_BSLASHqa] = ACTIONS(5948),
    [anon_sym_BSLASHqm] = ACTIONS(5948),
    [anon_sym_BSLASHqd] = ACTIONS(5948),
    [anon_sym_BSLASHlh] = ACTIONS(5948),
    [anon_sym_BSLASHlf] = ACTIONS(5948),
    [anon_sym_BSLASHli] = ACTIONS(5948),
    [anon_sym_BSLASHlim] = ACTIONS(5948),
    [anon_sym_BSLASHliv] = ACTIONS(5948),
    [anon_sym_BSLASHlik] = ACTIONS(5948),
    [anon_sym_BSLASHlitl] = ACTIONS(5948),
    [anon_sym_BSLASHtr] = ACTIONS(5948),
    [anon_sym_BSLASHf] = ACTIONS(5948),
    [anon_sym_BSLASHfe] = ACTIONS(5948),
    [anon_sym_BSLASHef] = ACTIONS(5948),
    [anon_sym_BSLASHfm] = ACTIONS(5948),
    [anon_sym_BSLASHx] = ACTIONS(5948),
    [anon_sym_BSLASHxt] = ACTIONS(5948),
    [anon_sym_BSLASHrq] = ACTIONS(5948),
    [anon_sym_BSLASHadd] = ACTIONS(5948),
    [anon_sym_BSLASHbk] = ACTIONS(5948),
    [anon_sym_BSLASHdc] = ACTIONS(5948),
    [anon_sym_BSLASHk] = ACTIONS(5948),
    [anon_sym_BSLASHnd] = ACTIONS(5948),
    [anon_sym_BSLASHord] = ACTIONS(5948),
    [anon_sym_BSLASHpn] = ACTIONS(5948),
    [anon_sym_BSLASHpng] = ACTIONS(5948),
    [anon_sym_BSLASHaddpn] = ACTIONS(5948),
    [anon_sym_BSLASHqt] = ACTIONS(5948),
    [anon_sym_BSLASHsig] = ACTIONS(5948),
    [anon_sym_BSLASHsls] = ACTIONS(5948),
    [anon_sym_BSLASHtl] = ACTIONS(5948),
    [anon_sym_BSLASHwj] = ACTIONS(5948),
    [anon_sym_BSLASHem] = ACTIONS(5948),
    [anon_sym_BSLASHbd] = ACTIONS(5948),
    [anon_sym_BSLASHit] = ACTIONS(5948),
    [anon_sym_BSLASHbdit] = ACTIONS(5948),
    [anon_sym_BSLASHno] = ACTIONS(5948),
    [anon_sym_BSLASHsc] = ACTIONS(5948),
    [anon_sym_BSLASHsup] = ACTIONS(5948),
    [anon_sym_BSLASHndx] = ACTIONS(5948),
    [anon_sym_BSLASHpro] = ACTIONS(5948),
    [anon_sym_BSLASHrb] = ACTIONS(5948),
    [anon_sym_BSLASHw] = ACTIONS(5948),
    [anon_sym_BSLASHwg] = ACTIONS(5948),
    [anon_sym_BSLASHwh] = ACTIONS(5948),
    [anon_sym_BSLASHwa] = ACTIONS(5948),
    [anon_sym_BSLASHfig] = ACTIONS(5948),
    [anon_sym_BSLASHjmp] = ACTIONS(5948),
    [anon_sym_BSLASHpb] = ACTIONS(5948),
    [anon_sym_BSLASH] = ACTIONS(5948),
    [sym_milestoneStartTag] = ACTIONS(5948),
    [sym_milestoneEndTag] = ACTIONS(5948),
    [sym_zSpaceTag] = ACTIONS(5948),
    [anon_sym_BSLASHesbe] = ACTIONS(5948),
    [anon_sym_BSLASHcat] = ACTIONS(5948),
  },
  [578] = {
    [aux_sym_text_token1] = ACTIONS(5954),
    [anon_sym_BSLASHref] = ACTIONS(5956),
    [anon_sym_BSLASHsts] = ACTIONS(5956),
    [anon_sym_BSLASHrem] = ACTIONS(5956),
    [anon_sym_BSLASHrestore] = ACTIONS(5956),
    [anon_sym_BSLASHlit] = ACTIONS(5956),
    [anon_sym_BSLASHip] = ACTIONS(5956),
    [anon_sym_BSLASHv] = ACTIONS(5956),
    [anon_sym_BSLASHva] = ACTIONS(5956),
    [anon_sym_BSLASHvp] = ACTIONS(5956),
    [anon_sym_BSLASHmte] = ACTIONS(5956),
    [anon_sym_BSLASHms] = ACTIONS(5956),
    [anon_sym_BSLASHs] = ACTIONS(5956),
    [anon_sym_BSLASHr] = ACTIONS(5956),
    [anon_sym_BSLASHsp] = ACTIONS(5956),
    [anon_sym_BSLASHd] = ACTIONS(5956),
    [anon_sym_BSLASHsd] = ACTIONS(5956),
    [anon_sym_BSLASHp] = ACTIONS(5956),
    [anon_sym_BSLASHm] = ACTIONS(5956),
    [anon_sym_BSLASHpo] = ACTIONS(5956),
    [anon_sym_BSLASHpr] = ACTIONS(5956),
    [anon_sym_BSLASHcls] = ACTIONS(5956),
    [anon_sym_BSLASHpmo] = ACTIONS(5956),
    [anon_sym_BSLASHpm] = ACTIONS(5956),
    [anon_sym_BSLASHpmc] = ACTIONS(5956),
    [anon_sym_BSLASHpmr] = ACTIONS(5956),
    [anon_sym_BSLASHpi] = ACTIONS(5956),
    [anon_sym_BSLASHmi] = ACTIONS(5956),
    [anon_sym_BSLASHnb] = ACTIONS(5956),
    [anon_sym_BSLASHpc] = ACTIONS(5956),
    [anon_sym_BSLASHph] = ACTIONS(5956),
    [anon_sym_BSLASHb] = ACTIONS(5956),
    [anon_sym_BSLASHq] = ACTIONS(5956),
    [anon_sym_BSLASHqr] = ACTIONS(5956),
    [anon_sym_BSLASHqc] = ACTIONS(5956),
    [anon_sym_BSLASHqa] = ACTIONS(5956),
    [anon_sym_BSLASHqm] = ACTIONS(5956),
    [anon_sym_BSLASHqd] = ACTIONS(5956),
    [anon_sym_BSLASHlh] = ACTIONS(5956),
    [anon_sym_BSLASHlf] = ACTIONS(5956),
    [anon_sym_BSLASHli] = ACTIONS(5956),
    [anon_sym_BSLASHlim] = ACTIONS(5956),
    [anon_sym_BSLASHliv] = ACTIONS(5956),
    [anon_sym_BSLASHlik] = ACTIONS(5956),
    [anon_sym_BSLASHlitl] = ACTIONS(5956),
    [anon_sym_BSLASHtr] = ACTIONS(5956),
    [anon_sym_BSLASHf] = ACTIONS(5956),
    [anon_sym_BSLASHfe] = ACTIONS(5956),
    [anon_sym_BSLASHef] = ACTIONS(5956),
    [anon_sym_BSLASHfm] = ACTIONS(5956),
    [anon_sym_BSLASHx] = ACTIONS(5956),
    [anon_sym_BSLASHxt] = ACTIONS(5956),
    [anon_sym_BSLASHrq] = ACTIONS(5956),
    [anon_sym_BSLASHadd] = ACTIONS(5956),
    [anon_sym_BSLASHbk] = ACTIONS(5956),
    [anon_sym_BSLASHdc] = ACTIONS(5956),
    [anon_sym_BSLASHk] = ACTIONS(5956),
    [anon_sym_BSLASHnd] = ACTIONS(5956),
    [anon_sym_BSLASHord] = ACTIONS(5956),
    [anon_sym_BSLASHpn] = ACTIONS(5956),
    [anon_sym_BSLASHpng] = ACTIONS(5956),
    [anon_sym_BSLASHaddpn] = ACTIONS(5956),
    [anon_sym_BSLASHqt] = ACTIONS(5956),
    [anon_sym_BSLASHsig] = ACTIONS(5956),
    [anon_sym_BSLASHsls] = ACTIONS(5956),
    [anon_sym_BSLASHtl] = ACTIONS(5956),
    [anon_sym_BSLASHwj] = ACTIONS(5956),
    [anon_sym_BSLASHem] = ACTIONS(5956),
    [anon_sym_BSLASHbd] = ACTIONS(5956),
    [anon_sym_BSLASHit] = ACTIONS(5956),
    [anon_sym_BSLASHbdit] = ACTIONS(5956),
    [anon_sym_BSLASHno] = ACTIONS(5956),
    [anon_sym_BSLASHsc] = ACTIONS(5956),
    [anon_sym_BSLASHsup] = ACTIONS(5956),
    [anon_sym_BSLASHndx] = ACTIONS(5956),
    [anon_sym_BSLASHpro] = ACTIONS(5956),
    [anon_sym_BSLASHrb] = ACTIONS(5956),
    [anon_sym_BSLASHw] = ACTIONS(5956),
    [anon_sym_BSLASHwg] = ACTIONS(5956),
    [anon_sym_BSLASHwh] = ACTIONS(5956),
    [anon_sym_BSLASHwa] = ACTIONS(5956),
    [anon_sym_BSLASHfig] = ACTIONS(5956),
    [anon_sym_BSLASHjmp] = ACTIONS(5956),
    [anon_sym_BSLASHpb] = ACTIONS(5956),
    [anon_sym_BSLASH] = ACTIONS(5956),
    [sym_milestoneStartTag] = ACTIONS(5956),
    [sym_milestoneEndTag] = ACTIONS(5956),
    [sym_zSpaceTag] = ACTIONS(5956),
    [anon_sym_BSLASHesbe] = ACTIONS(5956),
    [anon_sym_BSLASHcat] = ACTIONS(5956),
  },
  [579] = {
    [aux_sym_text_token1] = ACTIONS(6022),
    [anon_sym_BSLASHref] = ACTIONS(6024),
    [anon_sym_BSLASHsts] = ACTIONS(6024),
    [anon_sym_BSLASHrem] = ACTIONS(6024),
    [anon_sym_BSLASHrestore] = ACTIONS(6024),
    [anon_sym_BSLASHlit] = ACTIONS(6024),
    [anon_sym_BSLASHip] = ACTIONS(6024),
    [anon_sym_BSLASHv] = ACTIONS(6024),
    [anon_sym_BSLASHva] = ACTIONS(6024),
    [anon_sym_BSLASHvp] = ACTIONS(6024),
    [anon_sym_BSLASHmte] = ACTIONS(6024),
    [anon_sym_BSLASHms] = ACTIONS(6024),
    [anon_sym_BSLASHs] = ACTIONS(6024),
    [anon_sym_BSLASHr] = ACTIONS(6024),
    [anon_sym_BSLASHsp] = ACTIONS(6024),
    [anon_sym_BSLASHd] = ACTIONS(6024),
    [anon_sym_BSLASHsd] = ACTIONS(6024),
    [anon_sym_BSLASHp] = ACTIONS(6024),
    [anon_sym_BSLASHm] = ACTIONS(6024),
    [anon_sym_BSLASHpo] = ACTIONS(6024),
    [anon_sym_BSLASHpr] = ACTIONS(6024),
    [anon_sym_BSLASHcls] = ACTIONS(6024),
    [anon_sym_BSLASHpmo] = ACTIONS(6024),
    [anon_sym_BSLASHpm] = ACTIONS(6024),
    [anon_sym_BSLASHpmc] = ACTIONS(6024),
    [anon_sym_BSLASHpmr] = ACTIONS(6024),
    [anon_sym_BSLASHpi] = ACTIONS(6024),
    [anon_sym_BSLASHmi] = ACTIONS(6024),
    [anon_sym_BSLASHnb] = ACTIONS(6024),
    [anon_sym_BSLASHpc] = ACTIONS(6024),
    [anon_sym_BSLASHph] = ACTIONS(6024),
    [anon_sym_BSLASHb] = ACTIONS(6024),
    [anon_sym_BSLASHq] = ACTIONS(6024),
    [anon_sym_BSLASHqr] = ACTIONS(6024),
    [anon_sym_BSLASHqc] = ACTIONS(6024),
    [anon_sym_BSLASHqa] = ACTIONS(6024),
    [anon_sym_BSLASHqm] = ACTIONS(6024),
    [anon_sym_BSLASHqd] = ACTIONS(6024),
    [anon_sym_BSLASHlh] = ACTIONS(6024),
    [anon_sym_BSLASHlf] = ACTIONS(6024),
    [anon_sym_BSLASHli] = ACTIONS(6024),
    [anon_sym_BSLASHlim] = ACTIONS(6024),
    [anon_sym_BSLASHliv] = ACTIONS(6024),
    [anon_sym_BSLASHlik] = ACTIONS(6024),
    [anon_sym_BSLASHlitl] = ACTIONS(6024),
    [anon_sym_BSLASHtr] = ACTIONS(6024),
    [anon_sym_BSLASHf] = ACTIONS(6024),
    [anon_sym_BSLASHfe] = ACTIONS(6024),
    [anon_sym_BSLASHef] = ACTIONS(6024),
    [anon_sym_BSLASHfm] = ACTIONS(6024),
    [anon_sym_BSLASHx] = ACTIONS(6024),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6024),
    [anon_sym_BSLASHadd] = ACTIONS(6024),
    [anon_sym_BSLASHbk] = ACTIONS(6024),
    [anon_sym_BSLASHdc] = ACTIONS(6024),
    [anon_sym_BSLASHk] = ACTIONS(6024),
    [anon_sym_BSLASHnd] = ACTIONS(6024),
    [anon_sym_BSLASHord] = ACTIONS(6024),
    [anon_sym_BSLASHpn] = ACTIONS(6024),
    [anon_sym_BSLASHpng] = ACTIONS(6024),
    [anon_sym_BSLASHaddpn] = ACTIONS(6024),
    [anon_sym_BSLASHqt] = ACTIONS(6024),
    [anon_sym_BSLASHsig] = ACTIONS(6024),
    [anon_sym_BSLASHsls] = ACTIONS(6024),
    [anon_sym_BSLASHtl] = ACTIONS(6024),
    [anon_sym_BSLASHwj] = ACTIONS(6024),
    [anon_sym_BSLASHem] = ACTIONS(6024),
    [anon_sym_BSLASHbd] = ACTIONS(6024),
    [anon_sym_BSLASHit] = ACTIONS(6024),
    [anon_sym_BSLASHbdit] = ACTIONS(6024),
    [anon_sym_BSLASHno] = ACTIONS(6024),
    [anon_sym_BSLASHsc] = ACTIONS(6024),
    [anon_sym_BSLASHsup] = ACTIONS(6024),
    [anon_sym_BSLASHndx] = ACTIONS(6024),
    [anon_sym_BSLASHpro] = ACTIONS(6024),
    [anon_sym_BSLASHrb] = ACTIONS(6024),
    [anon_sym_BSLASHw] = ACTIONS(6024),
    [anon_sym_BSLASHwg] = ACTIONS(6024),
    [anon_sym_BSLASHwh] = ACTIONS(6024),
    [anon_sym_BSLASHwa] = ACTIONS(6024),
    [anon_sym_BSLASHfig] = ACTIONS(6024),
    [anon_sym_BSLASHjmp] = ACTIONS(6024),
    [anon_sym_BSLASHpb] = ACTIONS(6024),
    [anon_sym_BSLASH] = ACTIONS(6024),
    [sym_milestoneStartTag] = ACTIONS(6024),
    [sym_milestoneEndTag] = ACTIONS(6024),
    [sym_zSpaceTag] = ACTIONS(6024),
    [anon_sym_BSLASHesbe] = ACTIONS(6024),
    [anon_sym_BSLASHcat] = ACTIONS(6024),
  },
  [580] = {
    [aux_sym_text_token1] = ACTIONS(5934),
    [anon_sym_BSLASHref] = ACTIONS(5936),
    [anon_sym_BSLASHsts] = ACTIONS(5936),
    [anon_sym_BSLASHrem] = ACTIONS(5936),
    [anon_sym_BSLASHrestore] = ACTIONS(5936),
    [anon_sym_BSLASHlit] = ACTIONS(5936),
    [anon_sym_BSLASHip] = ACTIONS(5936),
    [anon_sym_BSLASHv] = ACTIONS(5936),
    [anon_sym_BSLASHva] = ACTIONS(5936),
    [anon_sym_BSLASHvp] = ACTIONS(5936),
    [anon_sym_BSLASHmte] = ACTIONS(5936),
    [anon_sym_BSLASHms] = ACTIONS(5936),
    [anon_sym_BSLASHs] = ACTIONS(5936),
    [anon_sym_BSLASHr] = ACTIONS(5936),
    [anon_sym_BSLASHsp] = ACTIONS(5936),
    [anon_sym_BSLASHd] = ACTIONS(5936),
    [anon_sym_BSLASHsd] = ACTIONS(5936),
    [anon_sym_BSLASHp] = ACTIONS(5936),
    [anon_sym_BSLASHm] = ACTIONS(5936),
    [anon_sym_BSLASHpo] = ACTIONS(5936),
    [anon_sym_BSLASHpr] = ACTIONS(5936),
    [anon_sym_BSLASHcls] = ACTIONS(5936),
    [anon_sym_BSLASHpmo] = ACTIONS(5936),
    [anon_sym_BSLASHpm] = ACTIONS(5936),
    [anon_sym_BSLASHpmc] = ACTIONS(5936),
    [anon_sym_BSLASHpmr] = ACTIONS(5936),
    [anon_sym_BSLASHpi] = ACTIONS(5936),
    [anon_sym_BSLASHmi] = ACTIONS(5936),
    [anon_sym_BSLASHnb] = ACTIONS(5936),
    [anon_sym_BSLASHpc] = ACTIONS(5936),
    [anon_sym_BSLASHph] = ACTIONS(5936),
    [anon_sym_BSLASHb] = ACTIONS(5936),
    [anon_sym_BSLASHq] = ACTIONS(5936),
    [anon_sym_BSLASHqr] = ACTIONS(5936),
    [anon_sym_BSLASHqc] = ACTIONS(5936),
    [anon_sym_BSLASHqa] = ACTIONS(5936),
    [anon_sym_BSLASHqm] = ACTIONS(5936),
    [anon_sym_BSLASHqd] = ACTIONS(5936),
    [anon_sym_BSLASHlh] = ACTIONS(5936),
    [anon_sym_BSLASHlf] = ACTIONS(5936),
    [anon_sym_BSLASHli] = ACTIONS(5936),
    [anon_sym_BSLASHlim] = ACTIONS(5936),
    [anon_sym_BSLASHliv] = ACTIONS(5936),
    [anon_sym_BSLASHlik] = ACTIONS(5936),
    [anon_sym_BSLASHlitl] = ACTIONS(5936),
    [anon_sym_BSLASHtr] = ACTIONS(5936),
    [anon_sym_BSLASHf] = ACTIONS(5936),
    [anon_sym_BSLASHfe] = ACTIONS(5936),
    [anon_sym_BSLASHef] = ACTIONS(5936),
    [anon_sym_BSLASHfm] = ACTIONS(5936),
    [anon_sym_BSLASHx] = ACTIONS(5936),
    [anon_sym_BSLASHxt] = ACTIONS(5936),
    [anon_sym_BSLASHrq] = ACTIONS(5936),
    [anon_sym_BSLASHadd] = ACTIONS(5936),
    [anon_sym_BSLASHbk] = ACTIONS(5936),
    [anon_sym_BSLASHdc] = ACTIONS(5936),
    [anon_sym_BSLASHk] = ACTIONS(5936),
    [anon_sym_BSLASHnd] = ACTIONS(5936),
    [anon_sym_BSLASHord] = ACTIONS(5936),
    [anon_sym_BSLASHpn] = ACTIONS(5936),
    [anon_sym_BSLASHpng] = ACTIONS(5936),
    [anon_sym_BSLASHaddpn] = ACTIONS(5936),
    [anon_sym_BSLASHqt] = ACTIONS(5936),
    [anon_sym_BSLASHsig] = ACTIONS(5936),
    [anon_sym_BSLASHsls] = ACTIONS(5936),
    [anon_sym_BSLASHtl] = ACTIONS(5936),
    [anon_sym_BSLASHwj] = ACTIONS(5936),
    [anon_sym_BSLASHem] = ACTIONS(5936),
    [anon_sym_BSLASHbd] = ACTIONS(5936),
    [anon_sym_BSLASHit] = ACTIONS(5936),
    [anon_sym_BSLASHbdit] = ACTIONS(5936),
    [anon_sym_BSLASHno] = ACTIONS(5936),
    [anon_sym_BSLASHsc] = ACTIONS(5936),
    [anon_sym_BSLASHsup] = ACTIONS(5936),
    [anon_sym_BSLASHndx] = ACTIONS(5936),
    [anon_sym_BSLASHpro] = ACTIONS(5936),
    [anon_sym_BSLASHrb] = ACTIONS(5936),
    [anon_sym_BSLASHw] = ACTIONS(5936),
    [anon_sym_BSLASHwg] = ACTIONS(5936),
    [anon_sym_BSLASHwh] = ACTIONS(5936),
    [anon_sym_BSLASHwa] = ACTIONS(5936),
    [anon_sym_BSLASHfig] = ACTIONS(5936),
    [anon_sym_BSLASHjmp] = ACTIONS(5936),
    [anon_sym_BSLASHpb] = ACTIONS(5936),
    [anon_sym_BSLASH] = ACTIONS(5936),
    [sym_milestoneStartTag] = ACTIONS(5936),
    [sym_milestoneEndTag] = ACTIONS(5936),
    [sym_zSpaceTag] = ACTIONS(5936),
    [anon_sym_BSLASHesbe] = ACTIONS(5936),
    [anon_sym_BSLASHcat] = ACTIONS(5936),
  },
  [581] = {
    [aux_sym_text_token1] = ACTIONS(5938),
    [anon_sym_BSLASHref] = ACTIONS(5940),
    [anon_sym_BSLASHsts] = ACTIONS(5940),
    [anon_sym_BSLASHrem] = ACTIONS(5940),
    [anon_sym_BSLASHrestore] = ACTIONS(5940),
    [anon_sym_BSLASHlit] = ACTIONS(5940),
    [anon_sym_BSLASHip] = ACTIONS(5940),
    [anon_sym_BSLASHv] = ACTIONS(5940),
    [anon_sym_BSLASHva] = ACTIONS(5940),
    [anon_sym_BSLASHvp] = ACTIONS(5940),
    [anon_sym_BSLASHmte] = ACTIONS(5940),
    [anon_sym_BSLASHms] = ACTIONS(5940),
    [anon_sym_BSLASHs] = ACTIONS(5940),
    [anon_sym_BSLASHr] = ACTIONS(5940),
    [anon_sym_BSLASHsp] = ACTIONS(5940),
    [anon_sym_BSLASHd] = ACTIONS(5940),
    [anon_sym_BSLASHsd] = ACTIONS(5940),
    [anon_sym_BSLASHp] = ACTIONS(5940),
    [anon_sym_BSLASHm] = ACTIONS(5940),
    [anon_sym_BSLASHpo] = ACTIONS(5940),
    [anon_sym_BSLASHpr] = ACTIONS(5940),
    [anon_sym_BSLASHcls] = ACTIONS(5940),
    [anon_sym_BSLASHpmo] = ACTIONS(5940),
    [anon_sym_BSLASHpm] = ACTIONS(5940),
    [anon_sym_BSLASHpmc] = ACTIONS(5940),
    [anon_sym_BSLASHpmr] = ACTIONS(5940),
    [anon_sym_BSLASHpi] = ACTIONS(5940),
    [anon_sym_BSLASHmi] = ACTIONS(5940),
    [anon_sym_BSLASHnb] = ACTIONS(5940),
    [anon_sym_BSLASHpc] = ACTIONS(5940),
    [anon_sym_BSLASHph] = ACTIONS(5940),
    [anon_sym_BSLASHb] = ACTIONS(5940),
    [anon_sym_BSLASHq] = ACTIONS(5940),
    [anon_sym_BSLASHqr] = ACTIONS(5940),
    [anon_sym_BSLASHqc] = ACTIONS(5940),
    [anon_sym_BSLASHqa] = ACTIONS(5940),
    [anon_sym_BSLASHqm] = ACTIONS(5940),
    [anon_sym_BSLASHqd] = ACTIONS(5940),
    [anon_sym_BSLASHlh] = ACTIONS(5940),
    [anon_sym_BSLASHlf] = ACTIONS(5940),
    [anon_sym_BSLASHli] = ACTIONS(5940),
    [anon_sym_BSLASHlim] = ACTIONS(5940),
    [anon_sym_BSLASHliv] = ACTIONS(5940),
    [anon_sym_BSLASHlik] = ACTIONS(5940),
    [anon_sym_BSLASHlitl] = ACTIONS(5940),
    [anon_sym_BSLASHtr] = ACTIONS(5940),
    [anon_sym_BSLASHf] = ACTIONS(5940),
    [anon_sym_BSLASHfe] = ACTIONS(5940),
    [anon_sym_BSLASHef] = ACTIONS(5940),
    [anon_sym_BSLASHfm] = ACTIONS(5940),
    [anon_sym_BSLASHx] = ACTIONS(5940),
    [anon_sym_BSLASHxt] = ACTIONS(5940),
    [anon_sym_BSLASHrq] = ACTIONS(5940),
    [anon_sym_BSLASHadd] = ACTIONS(5940),
    [anon_sym_BSLASHbk] = ACTIONS(5940),
    [anon_sym_BSLASHdc] = ACTIONS(5940),
    [anon_sym_BSLASHk] = ACTIONS(5940),
    [anon_sym_BSLASHnd] = ACTIONS(5940),
    [anon_sym_BSLASHord] = ACTIONS(5940),
    [anon_sym_BSLASHpn] = ACTIONS(5940),
    [anon_sym_BSLASHpng] = ACTIONS(5940),
    [anon_sym_BSLASHaddpn] = ACTIONS(5940),
    [anon_sym_BSLASHqt] = ACTIONS(5940),
    [anon_sym_BSLASHsig] = ACTIONS(5940),
    [anon_sym_BSLASHsls] = ACTIONS(5940),
    [anon_sym_BSLASHtl] = ACTIONS(5940),
    [anon_sym_BSLASHwj] = ACTIONS(5940),
    [anon_sym_BSLASHem] = ACTIONS(5940),
    [anon_sym_BSLASHbd] = ACTIONS(5940),
    [anon_sym_BSLASHit] = ACTIONS(5940),
    [anon_sym_BSLASHbdit] = ACTIONS(5940),
    [anon_sym_BSLASHno] = ACTIONS(5940),
    [anon_sym_BSLASHsc] = ACTIONS(5940),
    [anon_sym_BSLASHsup] = ACTIONS(5940),
    [anon_sym_BSLASHndx] = ACTIONS(5940),
    [anon_sym_BSLASHpro] = ACTIONS(5940),
    [anon_sym_BSLASHrb] = ACTIONS(5940),
    [anon_sym_BSLASHw] = ACTIONS(5940),
    [anon_sym_BSLASHwg] = ACTIONS(5940),
    [anon_sym_BSLASHwh] = ACTIONS(5940),
    [anon_sym_BSLASHwa] = ACTIONS(5940),
    [anon_sym_BSLASHfig] = ACTIONS(5940),
    [anon_sym_BSLASHjmp] = ACTIONS(5940),
    [anon_sym_BSLASHpb] = ACTIONS(5940),
    [anon_sym_BSLASH] = ACTIONS(5940),
    [sym_milestoneStartTag] = ACTIONS(5940),
    [sym_milestoneEndTag] = ACTIONS(5940),
    [sym_zSpaceTag] = ACTIONS(5940),
    [anon_sym_BSLASHesbe] = ACTIONS(5940),
    [anon_sym_BSLASHcat] = ACTIONS(5940),
  },
  [582] = {
    [aux_sym_text_token1] = ACTIONS(5950),
    [anon_sym_BSLASHref] = ACTIONS(5952),
    [anon_sym_BSLASHsts] = ACTIONS(5952),
    [anon_sym_BSLASHrem] = ACTIONS(5952),
    [anon_sym_BSLASHrestore] = ACTIONS(5952),
    [anon_sym_BSLASHlit] = ACTIONS(5952),
    [anon_sym_BSLASHip] = ACTIONS(5952),
    [anon_sym_BSLASHv] = ACTIONS(5952),
    [anon_sym_BSLASHva] = ACTIONS(5952),
    [anon_sym_BSLASHvp] = ACTIONS(5952),
    [anon_sym_BSLASHmte] = ACTIONS(5952),
    [anon_sym_BSLASHms] = ACTIONS(5952),
    [anon_sym_BSLASHs] = ACTIONS(5952),
    [anon_sym_BSLASHr] = ACTIONS(5952),
    [anon_sym_BSLASHsp] = ACTIONS(5952),
    [anon_sym_BSLASHd] = ACTIONS(5952),
    [anon_sym_BSLASHsd] = ACTIONS(5952),
    [anon_sym_BSLASHp] = ACTIONS(5952),
    [anon_sym_BSLASHm] = ACTIONS(5952),
    [anon_sym_BSLASHpo] = ACTIONS(5952),
    [anon_sym_BSLASHpr] = ACTIONS(5952),
    [anon_sym_BSLASHcls] = ACTIONS(5952),
    [anon_sym_BSLASHpmo] = ACTIONS(5952),
    [anon_sym_BSLASHpm] = ACTIONS(5952),
    [anon_sym_BSLASHpmc] = ACTIONS(5952),
    [anon_sym_BSLASHpmr] = ACTIONS(5952),
    [anon_sym_BSLASHpi] = ACTIONS(5952),
    [anon_sym_BSLASHmi] = ACTIONS(5952),
    [anon_sym_BSLASHnb] = ACTIONS(5952),
    [anon_sym_BSLASHpc] = ACTIONS(5952),
    [anon_sym_BSLASHph] = ACTIONS(5952),
    [anon_sym_BSLASHb] = ACTIONS(5952),
    [anon_sym_BSLASHq] = ACTIONS(5952),
    [anon_sym_BSLASHqr] = ACTIONS(5952),
    [anon_sym_BSLASHqc] = ACTIONS(5952),
    [anon_sym_BSLASHqa] = ACTIONS(5952),
    [anon_sym_BSLASHqm] = ACTIONS(5952),
    [anon_sym_BSLASHqd] = ACTIONS(5952),
    [anon_sym_BSLASHlh] = ACTIONS(5952),
    [anon_sym_BSLASHlf] = ACTIONS(5952),
    [anon_sym_BSLASHli] = ACTIONS(5952),
    [anon_sym_BSLASHlim] = ACTIONS(5952),
    [anon_sym_BSLASHliv] = ACTIONS(5952),
    [anon_sym_BSLASHlik] = ACTIONS(5952),
    [anon_sym_BSLASHlitl] = ACTIONS(5952),
    [anon_sym_BSLASHtr] = ACTIONS(5952),
    [anon_sym_BSLASHf] = ACTIONS(5952),
    [anon_sym_BSLASHfe] = ACTIONS(5952),
    [anon_sym_BSLASHef] = ACTIONS(5952),
    [anon_sym_BSLASHfm] = ACTIONS(5952),
    [anon_sym_BSLASHx] = ACTIONS(5952),
    [anon_sym_BSLASHxt] = ACTIONS(5952),
    [anon_sym_BSLASHrq] = ACTIONS(5952),
    [anon_sym_BSLASHadd] = ACTIONS(5952),
    [anon_sym_BSLASHbk] = ACTIONS(5952),
    [anon_sym_BSLASHdc] = ACTIONS(5952),
    [anon_sym_BSLASHk] = ACTIONS(5952),
    [anon_sym_BSLASHnd] = ACTIONS(5952),
    [anon_sym_BSLASHord] = ACTIONS(5952),
    [anon_sym_BSLASHpn] = ACTIONS(5952),
    [anon_sym_BSLASHpng] = ACTIONS(5952),
    [anon_sym_BSLASHaddpn] = ACTIONS(5952),
    [anon_sym_BSLASHqt] = ACTIONS(5952),
    [anon_sym_BSLASHsig] = ACTIONS(5952),
    [anon_sym_BSLASHsls] = ACTIONS(5952),
    [anon_sym_BSLASHtl] = ACTIONS(5952),
    [anon_sym_BSLASHwj] = ACTIONS(5952),
    [anon_sym_BSLASHem] = ACTIONS(5952),
    [anon_sym_BSLASHbd] = ACTIONS(5952),
    [anon_sym_BSLASHit] = ACTIONS(5952),
    [anon_sym_BSLASHbdit] = ACTIONS(5952),
    [anon_sym_BSLASHno] = ACTIONS(5952),
    [anon_sym_BSLASHsc] = ACTIONS(5952),
    [anon_sym_BSLASHsup] = ACTIONS(5952),
    [anon_sym_BSLASHndx] = ACTIONS(5952),
    [anon_sym_BSLASHpro] = ACTIONS(5952),
    [anon_sym_BSLASHrb] = ACTIONS(5952),
    [anon_sym_BSLASHw] = ACTIONS(5952),
    [anon_sym_BSLASHwg] = ACTIONS(5952),
    [anon_sym_BSLASHwh] = ACTIONS(5952),
    [anon_sym_BSLASHwa] = ACTIONS(5952),
    [anon_sym_BSLASHfig] = ACTIONS(5952),
    [anon_sym_BSLASHjmp] = ACTIONS(5952),
    [anon_sym_BSLASHpb] = ACTIONS(5952),
    [anon_sym_BSLASH] = ACTIONS(5952),
    [sym_milestoneStartTag] = ACTIONS(5952),
    [sym_milestoneEndTag] = ACTIONS(5952),
    [sym_zSpaceTag] = ACTIONS(5952),
    [anon_sym_BSLASHesbe] = ACTIONS(5952),
    [anon_sym_BSLASHcat] = ACTIONS(5952),
  },
  [583] = {
    [aux_sym_text_token1] = ACTIONS(6002),
    [anon_sym_BSLASHref] = ACTIONS(6004),
    [anon_sym_BSLASHsts] = ACTIONS(6004),
    [anon_sym_BSLASHrem] = ACTIONS(6004),
    [anon_sym_BSLASHrestore] = ACTIONS(6004),
    [anon_sym_BSLASHlit] = ACTIONS(6004),
    [anon_sym_BSLASHip] = ACTIONS(6004),
    [anon_sym_BSLASHv] = ACTIONS(6004),
    [anon_sym_BSLASHva] = ACTIONS(6004),
    [anon_sym_BSLASHvp] = ACTIONS(6004),
    [anon_sym_BSLASHmte] = ACTIONS(6004),
    [anon_sym_BSLASHms] = ACTIONS(6004),
    [anon_sym_BSLASHs] = ACTIONS(6004),
    [anon_sym_BSLASHr] = ACTIONS(6004),
    [anon_sym_BSLASHsp] = ACTIONS(6004),
    [anon_sym_BSLASHd] = ACTIONS(6004),
    [anon_sym_BSLASHsd] = ACTIONS(6004),
    [anon_sym_BSLASHp] = ACTIONS(6004),
    [anon_sym_BSLASHm] = ACTIONS(6004),
    [anon_sym_BSLASHpo] = ACTIONS(6004),
    [anon_sym_BSLASHpr] = ACTIONS(6004),
    [anon_sym_BSLASHcls] = ACTIONS(6004),
    [anon_sym_BSLASHpmo] = ACTIONS(6004),
    [anon_sym_BSLASHpm] = ACTIONS(6004),
    [anon_sym_BSLASHpmc] = ACTIONS(6004),
    [anon_sym_BSLASHpmr] = ACTIONS(6004),
    [anon_sym_BSLASHpi] = ACTIONS(6004),
    [anon_sym_BSLASHmi] = ACTIONS(6004),
    [anon_sym_BSLASHnb] = ACTIONS(6004),
    [anon_sym_BSLASHpc] = ACTIONS(6004),
    [anon_sym_BSLASHph] = ACTIONS(6004),
    [anon_sym_BSLASHb] = ACTIONS(6004),
    [anon_sym_BSLASHq] = ACTIONS(6004),
    [anon_sym_BSLASHqr] = ACTIONS(6004),
    [anon_sym_BSLASHqc] = ACTIONS(6004),
    [anon_sym_BSLASHqa] = ACTIONS(6004),
    [anon_sym_BSLASHqm] = ACTIONS(6004),
    [anon_sym_BSLASHqd] = ACTIONS(6004),
    [anon_sym_BSLASHlh] = ACTIONS(6004),
    [anon_sym_BSLASHlf] = ACTIONS(6004),
    [anon_sym_BSLASHli] = ACTIONS(6004),
    [anon_sym_BSLASHlim] = ACTIONS(6004),
    [anon_sym_BSLASHliv] = ACTIONS(6004),
    [anon_sym_BSLASHlik] = ACTIONS(6004),
    [anon_sym_BSLASHlitl] = ACTIONS(6004),
    [anon_sym_BSLASHtr] = ACTIONS(6004),
    [anon_sym_BSLASHf] = ACTIONS(6004),
    [anon_sym_BSLASHfe] = ACTIONS(6004),
    [anon_sym_BSLASHef] = ACTIONS(6004),
    [anon_sym_BSLASHfm] = ACTIONS(6004),
    [anon_sym_BSLASHx] = ACTIONS(6004),
    [anon_sym_BSLASHxt] = ACTIONS(6004),
    [anon_sym_BSLASHrq] = ACTIONS(6004),
    [anon_sym_BSLASHadd] = ACTIONS(6004),
    [anon_sym_BSLASHbk] = ACTIONS(6004),
    [anon_sym_BSLASHdc] = ACTIONS(6004),
    [anon_sym_BSLASHk] = ACTIONS(6004),
    [anon_sym_BSLASHnd] = ACTIONS(6004),
    [anon_sym_BSLASHord] = ACTIONS(6004),
    [anon_sym_BSLASHpn] = ACTIONS(6004),
    [anon_sym_BSLASHpng] = ACTIONS(6004),
    [anon_sym_BSLASHaddpn] = ACTIONS(6004),
    [anon_sym_BSLASHqt] = ACTIONS(6004),
    [anon_sym_BSLASHsig] = ACTIONS(6004),
    [anon_sym_BSLASHsls] = ACTIONS(6004),
    [anon_sym_BSLASHtl] = ACTIONS(6004),
    [anon_sym_BSLASHwj] = ACTIONS(6004),
    [anon_sym_BSLASHem] = ACTIONS(6004),
    [anon_sym_BSLASHbd] = ACTIONS(6004),
    [anon_sym_BSLASHit] = ACTIONS(6004),
    [anon_sym_BSLASHbdit] = ACTIONS(6004),
    [anon_sym_BSLASHno] = ACTIONS(6004),
    [anon_sym_BSLASHsc] = ACTIONS(6004),
    [anon_sym_BSLASHsup] = ACTIONS(6004),
    [anon_sym_BSLASHndx] = ACTIONS(6004),
    [anon_sym_BSLASHpro] = ACTIONS(6004),
    [anon_sym_BSLASHrb] = ACTIONS(6004),
    [anon_sym_BSLASHw] = ACTIONS(6004),
    [anon_sym_BSLASHwg] = ACTIONS(6004),
    [anon_sym_BSLASHwh] = ACTIONS(6004),
    [anon_sym_BSLASHwa] = ACTIONS(6004),
    [anon_sym_BSLASHfig] = ACTIONS(6004),
    [anon_sym_BSLASHjmp] = ACTIONS(6004),
    [anon_sym_BSLASHpb] = ACTIONS(6004),
    [anon_sym_BSLASH] = ACTIONS(6004),
    [sym_milestoneStartTag] = ACTIONS(6004),
    [sym_milestoneEndTag] = ACTIONS(6004),
    [sym_zSpaceTag] = ACTIONS(6004),
    [anon_sym_BSLASHesbe] = ACTIONS(6004),
    [anon_sym_BSLASHcat] = ACTIONS(6004),
  },
  [584] = {
    [aux_sym_text_token1] = ACTIONS(5978),
    [anon_sym_BSLASHref] = ACTIONS(5980),
    [anon_sym_BSLASHsts] = ACTIONS(5980),
    [anon_sym_BSLASHrem] = ACTIONS(5980),
    [anon_sym_BSLASHrestore] = ACTIONS(5980),
    [anon_sym_BSLASHlit] = ACTIONS(5980),
    [anon_sym_BSLASHip] = ACTIONS(5980),
    [anon_sym_BSLASHv] = ACTIONS(5980),
    [anon_sym_BSLASHva] = ACTIONS(5980),
    [anon_sym_BSLASHvp] = ACTIONS(5980),
    [anon_sym_BSLASHmte] = ACTIONS(5980),
    [anon_sym_BSLASHms] = ACTIONS(5980),
    [anon_sym_BSLASHs] = ACTIONS(5980),
    [anon_sym_BSLASHr] = ACTIONS(5980),
    [anon_sym_BSLASHsp] = ACTIONS(5980),
    [anon_sym_BSLASHd] = ACTIONS(5980),
    [anon_sym_BSLASHsd] = ACTIONS(5980),
    [anon_sym_BSLASHp] = ACTIONS(5980),
    [anon_sym_BSLASHm] = ACTIONS(5980),
    [anon_sym_BSLASHpo] = ACTIONS(5980),
    [anon_sym_BSLASHpr] = ACTIONS(5980),
    [anon_sym_BSLASHcls] = ACTIONS(5980),
    [anon_sym_BSLASHpmo] = ACTIONS(5980),
    [anon_sym_BSLASHpm] = ACTIONS(5980),
    [anon_sym_BSLASHpmc] = ACTIONS(5980),
    [anon_sym_BSLASHpmr] = ACTIONS(5980),
    [anon_sym_BSLASHpi] = ACTIONS(5980),
    [anon_sym_BSLASHmi] = ACTIONS(5980),
    [anon_sym_BSLASHnb] = ACTIONS(5980),
    [anon_sym_BSLASHpc] = ACTIONS(5980),
    [anon_sym_BSLASHph] = ACTIONS(5980),
    [anon_sym_BSLASHb] = ACTIONS(5980),
    [anon_sym_BSLASHq] = ACTIONS(5980),
    [anon_sym_BSLASHqr] = ACTIONS(5980),
    [anon_sym_BSLASHqc] = ACTIONS(5980),
    [anon_sym_BSLASHqa] = ACTIONS(5980),
    [anon_sym_BSLASHqm] = ACTIONS(5980),
    [anon_sym_BSLASHqd] = ACTIONS(5980),
    [anon_sym_BSLASHlh] = ACTIONS(5980),
    [anon_sym_BSLASHlf] = ACTIONS(5980),
    [anon_sym_BSLASHli] = ACTIONS(5980),
    [anon_sym_BSLASHlim] = ACTIONS(5980),
    [anon_sym_BSLASHliv] = ACTIONS(5980),
    [anon_sym_BSLASHlik] = ACTIONS(5980),
    [anon_sym_BSLASHlitl] = ACTIONS(5980),
    [anon_sym_BSLASHtr] = ACTIONS(5980),
    [anon_sym_BSLASHf] = ACTIONS(5980),
    [anon_sym_BSLASHfe] = ACTIONS(5980),
    [anon_sym_BSLASHef] = ACTIONS(5980),
    [anon_sym_BSLASHfm] = ACTIONS(5980),
    [anon_sym_BSLASHx] = ACTIONS(5980),
    [anon_sym_BSLASHxt] = ACTIONS(5980),
    [anon_sym_BSLASHrq] = ACTIONS(5980),
    [anon_sym_BSLASHadd] = ACTIONS(5980),
    [anon_sym_BSLASHbk] = ACTIONS(5980),
    [anon_sym_BSLASHdc] = ACTIONS(5980),
    [anon_sym_BSLASHk] = ACTIONS(5980),
    [anon_sym_BSLASHnd] = ACTIONS(5980),
    [anon_sym_BSLASHord] = ACTIONS(5980),
    [anon_sym_BSLASHpn] = ACTIONS(5980),
    [anon_sym_BSLASHpng] = ACTIONS(5980),
    [anon_sym_BSLASHaddpn] = ACTIONS(5980),
    [anon_sym_BSLASHqt] = ACTIONS(5980),
    [anon_sym_BSLASHsig] = ACTIONS(5980),
    [anon_sym_BSLASHsls] = ACTIONS(5980),
    [anon_sym_BSLASHtl] = ACTIONS(5980),
    [anon_sym_BSLASHwj] = ACTIONS(5980),
    [anon_sym_BSLASHem] = ACTIONS(5980),
    [anon_sym_BSLASHbd] = ACTIONS(5980),
    [anon_sym_BSLASHit] = ACTIONS(5980),
    [anon_sym_BSLASHbdit] = ACTIONS(5980),
    [anon_sym_BSLASHno] = ACTIONS(5980),
    [anon_sym_BSLASHsc] = ACTIONS(5980),
    [anon_sym_BSLASHsup] = ACTIONS(5980),
    [anon_sym_BSLASHndx] = ACTIONS(5980),
    [anon_sym_BSLASHpro] = ACTIONS(5980),
    [anon_sym_BSLASHrb] = ACTIONS(5980),
    [anon_sym_BSLASHw] = ACTIONS(5980),
    [anon_sym_BSLASHwg] = ACTIONS(5980),
    [anon_sym_BSLASHwh] = ACTIONS(5980),
    [anon_sym_BSLASHwa] = ACTIONS(5980),
    [anon_sym_BSLASHfig] = ACTIONS(5980),
    [anon_sym_BSLASHjmp] = ACTIONS(5980),
    [anon_sym_BSLASHpb] = ACTIONS(5980),
    [anon_sym_BSLASH] = ACTIONS(5980),
    [sym_milestoneStartTag] = ACTIONS(5980),
    [sym_milestoneEndTag] = ACTIONS(5980),
    [sym_zSpaceTag] = ACTIONS(5980),
    [anon_sym_BSLASHesbe] = ACTIONS(5980),
    [anon_sym_BSLASHcat] = ACTIONS(5980),
  },
  [585] = {
    [aux_sym_text_token1] = ACTIONS(5982),
    [anon_sym_BSLASHref] = ACTIONS(5984),
    [anon_sym_BSLASHsts] = ACTIONS(5984),
    [anon_sym_BSLASHrem] = ACTIONS(5984),
    [anon_sym_BSLASHrestore] = ACTIONS(5984),
    [anon_sym_BSLASHlit] = ACTIONS(5984),
    [anon_sym_BSLASHip] = ACTIONS(5984),
    [anon_sym_BSLASHv] = ACTIONS(5984),
    [anon_sym_BSLASHva] = ACTIONS(5984),
    [anon_sym_BSLASHvp] = ACTIONS(5984),
    [anon_sym_BSLASHmte] = ACTIONS(5984),
    [anon_sym_BSLASHms] = ACTIONS(5984),
    [anon_sym_BSLASHs] = ACTIONS(5984),
    [anon_sym_BSLASHr] = ACTIONS(5984),
    [anon_sym_BSLASHsp] = ACTIONS(5984),
    [anon_sym_BSLASHd] = ACTIONS(5984),
    [anon_sym_BSLASHsd] = ACTIONS(5984),
    [anon_sym_BSLASHp] = ACTIONS(5984),
    [anon_sym_BSLASHm] = ACTIONS(5984),
    [anon_sym_BSLASHpo] = ACTIONS(5984),
    [anon_sym_BSLASHpr] = ACTIONS(5984),
    [anon_sym_BSLASHcls] = ACTIONS(5984),
    [anon_sym_BSLASHpmo] = ACTIONS(5984),
    [anon_sym_BSLASHpm] = ACTIONS(5984),
    [anon_sym_BSLASHpmc] = ACTIONS(5984),
    [anon_sym_BSLASHpmr] = ACTIONS(5984),
    [anon_sym_BSLASHpi] = ACTIONS(5984),
    [anon_sym_BSLASHmi] = ACTIONS(5984),
    [anon_sym_BSLASHnb] = ACTIONS(5984),
    [anon_sym_BSLASHpc] = ACTIONS(5984),
    [anon_sym_BSLASHph] = ACTIONS(5984),
    [anon_sym_BSLASHb] = ACTIONS(5984),
    [anon_sym_BSLASHq] = ACTIONS(5984),
    [anon_sym_BSLASHqr] = ACTIONS(5984),
    [anon_sym_BSLASHqc] = ACTIONS(5984),
    [anon_sym_BSLASHqa] = ACTIONS(5984),
    [anon_sym_BSLASHqm] = ACTIONS(5984),
    [anon_sym_BSLASHqd] = ACTIONS(5984),
    [anon_sym_BSLASHlh] = ACTIONS(5984),
    [anon_sym_BSLASHlf] = ACTIONS(5984),
    [anon_sym_BSLASHli] = ACTIONS(5984),
    [anon_sym_BSLASHlim] = ACTIONS(5984),
    [anon_sym_BSLASHliv] = ACTIONS(5984),
    [anon_sym_BSLASHlik] = ACTIONS(5984),
    [anon_sym_BSLASHlitl] = ACTIONS(5984),
    [anon_sym_BSLASHtr] = ACTIONS(5984),
    [anon_sym_BSLASHf] = ACTIONS(5984),
    [anon_sym_BSLASHfe] = ACTIONS(5984),
    [anon_sym_BSLASHef] = ACTIONS(5984),
    [anon_sym_BSLASHfm] = ACTIONS(5984),
    [anon_sym_BSLASHx] = ACTIONS(5984),
    [anon_sym_BSLASHxt] = ACTIONS(5984),
    [anon_sym_BSLASHrq] = ACTIONS(5984),
    [anon_sym_BSLASHadd] = ACTIONS(5984),
    [anon_sym_BSLASHbk] = ACTIONS(5984),
    [anon_sym_BSLASHdc] = ACTIONS(5984),
    [anon_sym_BSLASHk] = ACTIONS(5984),
    [anon_sym_BSLASHnd] = ACTIONS(5984),
    [anon_sym_BSLASHord] = ACTIONS(5984),
    [anon_sym_BSLASHpn] = ACTIONS(5984),
    [anon_sym_BSLASHpng] = ACTIONS(5984),
    [anon_sym_BSLASHaddpn] = ACTIONS(5984),
    [anon_sym_BSLASHqt] = ACTIONS(5984),
    [anon_sym_BSLASHsig] = ACTIONS(5984),
    [anon_sym_BSLASHsls] = ACTIONS(5984),
    [anon_sym_BSLASHtl] = ACTIONS(5984),
    [anon_sym_BSLASHwj] = ACTIONS(5984),
    [anon_sym_BSLASHem] = ACTIONS(5984),
    [anon_sym_BSLASHbd] = ACTIONS(5984),
    [anon_sym_BSLASHit] = ACTIONS(5984),
    [anon_sym_BSLASHbdit] = ACTIONS(5984),
    [anon_sym_BSLASHno] = ACTIONS(5984),
    [anon_sym_BSLASHsc] = ACTIONS(5984),
    [anon_sym_BSLASHsup] = ACTIONS(5984),
    [anon_sym_BSLASHndx] = ACTIONS(5984),
    [anon_sym_BSLASHpro] = ACTIONS(5984),
    [anon_sym_BSLASHrb] = ACTIONS(5984),
    [anon_sym_BSLASHw] = ACTIONS(5984),
    [anon_sym_BSLASHwg] = ACTIONS(5984),
    [anon_sym_BSLASHwh] = ACTIONS(5984),
    [anon_sym_BSLASHwa] = ACTIONS(5984),
    [anon_sym_BSLASHfig] = ACTIONS(5984),
    [anon_sym_BSLASHjmp] = ACTIONS(5984),
    [anon_sym_BSLASHpb] = ACTIONS(5984),
    [anon_sym_BSLASH] = ACTIONS(5984),
    [sym_milestoneStartTag] = ACTIONS(5984),
    [sym_milestoneEndTag] = ACTIONS(5984),
    [sym_zSpaceTag] = ACTIONS(5984),
    [anon_sym_BSLASHesbe] = ACTIONS(5984),
    [anon_sym_BSLASHcat] = ACTIONS(5984),
  },
  [586] = {
    [aux_sym_text_token1] = ACTIONS(5926),
    [anon_sym_BSLASHref] = ACTIONS(5928),
    [anon_sym_BSLASHsts] = ACTIONS(5928),
    [anon_sym_BSLASHrem] = ACTIONS(5928),
    [anon_sym_BSLASHrestore] = ACTIONS(5928),
    [anon_sym_BSLASHlit] = ACTIONS(5928),
    [anon_sym_BSLASHip] = ACTIONS(5928),
    [anon_sym_BSLASHv] = ACTIONS(5928),
    [anon_sym_BSLASHva] = ACTIONS(5928),
    [anon_sym_BSLASHvp] = ACTIONS(5928),
    [anon_sym_BSLASHmte] = ACTIONS(5928),
    [anon_sym_BSLASHms] = ACTIONS(5928),
    [anon_sym_BSLASHs] = ACTIONS(5928),
    [anon_sym_BSLASHr] = ACTIONS(5928),
    [anon_sym_BSLASHsp] = ACTIONS(5928),
    [anon_sym_BSLASHd] = ACTIONS(5928),
    [anon_sym_BSLASHsd] = ACTIONS(5928),
    [anon_sym_BSLASHp] = ACTIONS(5928),
    [anon_sym_BSLASHm] = ACTIONS(5928),
    [anon_sym_BSLASHpo] = ACTIONS(5928),
    [anon_sym_BSLASHpr] = ACTIONS(5928),
    [anon_sym_BSLASHcls] = ACTIONS(5928),
    [anon_sym_BSLASHpmo] = ACTIONS(5928),
    [anon_sym_BSLASHpm] = ACTIONS(5928),
    [anon_sym_BSLASHpmc] = ACTIONS(5928),
    [anon_sym_BSLASHpmr] = ACTIONS(5928),
    [anon_sym_BSLASHpi] = ACTIONS(5928),
    [anon_sym_BSLASHmi] = ACTIONS(5928),
    [anon_sym_BSLASHnb] = ACTIONS(5928),
    [anon_sym_BSLASHpc] = ACTIONS(5928),
    [anon_sym_BSLASHph] = ACTIONS(5928),
    [anon_sym_BSLASHb] = ACTIONS(5928),
    [anon_sym_BSLASHq] = ACTIONS(5928),
    [anon_sym_BSLASHqr] = ACTIONS(5928),
    [anon_sym_BSLASHqc] = ACTIONS(5928),
    [anon_sym_BSLASHqa] = ACTIONS(5928),
    [anon_sym_BSLASHqm] = ACTIONS(5928),
    [anon_sym_BSLASHqd] = ACTIONS(5928),
    [anon_sym_BSLASHlh] = ACTIONS(5928),
    [anon_sym_BSLASHlf] = ACTIONS(5928),
    [anon_sym_BSLASHli] = ACTIONS(5928),
    [anon_sym_BSLASHlim] = ACTIONS(5928),
    [anon_sym_BSLASHliv] = ACTIONS(5928),
    [anon_sym_BSLASHlik] = ACTIONS(5928),
    [anon_sym_BSLASHlitl] = ACTIONS(5928),
    [anon_sym_BSLASHtr] = ACTIONS(5928),
    [anon_sym_BSLASHf] = ACTIONS(5928),
    [anon_sym_BSLASHfe] = ACTIONS(5928),
    [anon_sym_BSLASHef] = ACTIONS(5928),
    [anon_sym_BSLASHfm] = ACTIONS(5928),
    [anon_sym_BSLASHx] = ACTIONS(5928),
    [anon_sym_BSLASHxt] = ACTIONS(5928),
    [anon_sym_BSLASHrq] = ACTIONS(5928),
    [anon_sym_BSLASHadd] = ACTIONS(5928),
    [anon_sym_BSLASHbk] = ACTIONS(5928),
    [anon_sym_BSLASHdc] = ACTIONS(5928),
    [anon_sym_BSLASHk] = ACTIONS(5928),
    [anon_sym_BSLASHnd] = ACTIONS(5928),
    [anon_sym_BSLASHord] = ACTIONS(5928),
    [anon_sym_BSLASHpn] = ACTIONS(5928),
    [anon_sym_BSLASHpng] = ACTIONS(5928),
    [anon_sym_BSLASHaddpn] = ACTIONS(5928),
    [anon_sym_BSLASHqt] = ACTIONS(5928),
    [anon_sym_BSLASHsig] = ACTIONS(5928),
    [anon_sym_BSLASHsls] = ACTIONS(5928),
    [anon_sym_BSLASHtl] = ACTIONS(5928),
    [anon_sym_BSLASHwj] = ACTIONS(5928),
    [anon_sym_BSLASHem] = ACTIONS(5928),
    [anon_sym_BSLASHbd] = ACTIONS(5928),
    [anon_sym_BSLASHit] = ACTIONS(5928),
    [anon_sym_BSLASHbdit] = ACTIONS(5928),
    [anon_sym_BSLASHno] = ACTIONS(5928),
    [anon_sym_BSLASHsc] = ACTIONS(5928),
    [anon_sym_BSLASHsup] = ACTIONS(5928),
    [anon_sym_BSLASHndx] = ACTIONS(5928),
    [anon_sym_BSLASHpro] = ACTIONS(5928),
    [anon_sym_BSLASHrb] = ACTIONS(5928),
    [anon_sym_BSLASHw] = ACTIONS(5928),
    [anon_sym_BSLASHwg] = ACTIONS(5928),
    [anon_sym_BSLASHwh] = ACTIONS(5928),
    [anon_sym_BSLASHwa] = ACTIONS(5928),
    [anon_sym_BSLASHfig] = ACTIONS(5928),
    [anon_sym_BSLASHjmp] = ACTIONS(5928),
    [anon_sym_BSLASHpb] = ACTIONS(5928),
    [anon_sym_BSLASH] = ACTIONS(5928),
    [sym_milestoneStartTag] = ACTIONS(5928),
    [sym_milestoneEndTag] = ACTIONS(5928),
    [sym_zSpaceTag] = ACTIONS(5928),
    [anon_sym_BSLASHesbe] = ACTIONS(5928),
    [anon_sym_BSLASHcat] = ACTIONS(5928),
  },
  [587] = {
    [aux_sym_text_token1] = ACTIONS(5990),
    [anon_sym_BSLASHref] = ACTIONS(5992),
    [anon_sym_BSLASHsts] = ACTIONS(5992),
    [anon_sym_BSLASHrem] = ACTIONS(5992),
    [anon_sym_BSLASHrestore] = ACTIONS(5992),
    [anon_sym_BSLASHlit] = ACTIONS(5992),
    [anon_sym_BSLASHip] = ACTIONS(5992),
    [anon_sym_BSLASHv] = ACTIONS(5992),
    [anon_sym_BSLASHva] = ACTIONS(5992),
    [anon_sym_BSLASHvp] = ACTIONS(5992),
    [anon_sym_BSLASHmte] = ACTIONS(5992),
    [anon_sym_BSLASHms] = ACTIONS(5992),
    [anon_sym_BSLASHs] = ACTIONS(5992),
    [anon_sym_BSLASHr] = ACTIONS(5992),
    [anon_sym_BSLASHsp] = ACTIONS(5992),
    [anon_sym_BSLASHd] = ACTIONS(5992),
    [anon_sym_BSLASHsd] = ACTIONS(5992),
    [anon_sym_BSLASHp] = ACTIONS(5992),
    [anon_sym_BSLASHm] = ACTIONS(5992),
    [anon_sym_BSLASHpo] = ACTIONS(5992),
    [anon_sym_BSLASHpr] = ACTIONS(5992),
    [anon_sym_BSLASHcls] = ACTIONS(5992),
    [anon_sym_BSLASHpmo] = ACTIONS(5992),
    [anon_sym_BSLASHpm] = ACTIONS(5992),
    [anon_sym_BSLASHpmc] = ACTIONS(5992),
    [anon_sym_BSLASHpmr] = ACTIONS(5992),
    [anon_sym_BSLASHpi] = ACTIONS(5992),
    [anon_sym_BSLASHmi] = ACTIONS(5992),
    [anon_sym_BSLASHnb] = ACTIONS(5992),
    [anon_sym_BSLASHpc] = ACTIONS(5992),
    [anon_sym_BSLASHph] = ACTIONS(5992),
    [anon_sym_BSLASHb] = ACTIONS(5992),
    [anon_sym_BSLASHq] = ACTIONS(5992),
    [anon_sym_BSLASHqr] = ACTIONS(5992),
    [anon_sym_BSLASHqc] = ACTIONS(5992),
    [anon_sym_BSLASHqa] = ACTIONS(5992),
    [anon_sym_BSLASHqm] = ACTIONS(5992),
    [anon_sym_BSLASHqd] = ACTIONS(5992),
    [anon_sym_BSLASHlh] = ACTIONS(5992),
    [anon_sym_BSLASHlf] = ACTIONS(5992),
    [anon_sym_BSLASHli] = ACTIONS(5992),
    [anon_sym_BSLASHlim] = ACTIONS(5992),
    [anon_sym_BSLASHliv] = ACTIONS(5992),
    [anon_sym_BSLASHlik] = ACTIONS(5992),
    [anon_sym_BSLASHlitl] = ACTIONS(5992),
    [anon_sym_BSLASHtr] = ACTIONS(5992),
    [anon_sym_BSLASHf] = ACTIONS(5992),
    [anon_sym_BSLASHfe] = ACTIONS(5992),
    [anon_sym_BSLASHef] = ACTIONS(5992),
    [anon_sym_BSLASHfm] = ACTIONS(5992),
    [anon_sym_BSLASHx] = ACTIONS(5992),
    [anon_sym_BSLASHxt] = ACTIONS(5992),
    [anon_sym_BSLASHrq] = ACTIONS(5992),
    [anon_sym_BSLASHadd] = ACTIONS(5992),
    [anon_sym_BSLASHbk] = ACTIONS(5992),
    [anon_sym_BSLASHdc] = ACTIONS(5992),
    [anon_sym_BSLASHk] = ACTIONS(5992),
    [anon_sym_BSLASHnd] = ACTIONS(5992),
    [anon_sym_BSLASHord] = ACTIONS(5992),
    [anon_sym_BSLASHpn] = ACTIONS(5992),
    [anon_sym_BSLASHpng] = ACTIONS(5992),
    [anon_sym_BSLASHaddpn] = ACTIONS(5992),
    [anon_sym_BSLASHqt] = ACTIONS(5992),
    [anon_sym_BSLASHsig] = ACTIONS(5992),
    [anon_sym_BSLASHsls] = ACTIONS(5992),
    [anon_sym_BSLASHtl] = ACTIONS(5992),
    [anon_sym_BSLASHwj] = ACTIONS(5992),
    [anon_sym_BSLASHem] = ACTIONS(5992),
    [anon_sym_BSLASHbd] = ACTIONS(5992),
    [anon_sym_BSLASHit] = ACTIONS(5992),
    [anon_sym_BSLASHbdit] = ACTIONS(5992),
    [anon_sym_BSLASHno] = ACTIONS(5992),
    [anon_sym_BSLASHsc] = ACTIONS(5992),
    [anon_sym_BSLASHsup] = ACTIONS(5992),
    [anon_sym_BSLASHndx] = ACTIONS(5992),
    [anon_sym_BSLASHpro] = ACTIONS(5992),
    [anon_sym_BSLASHrb] = ACTIONS(5992),
    [anon_sym_BSLASHw] = ACTIONS(5992),
    [anon_sym_BSLASHwg] = ACTIONS(5992),
    [anon_sym_BSLASHwh] = ACTIONS(5992),
    [anon_sym_BSLASHwa] = ACTIONS(5992),
    [anon_sym_BSLASHfig] = ACTIONS(5992),
    [anon_sym_BSLASHjmp] = ACTIONS(5992),
    [anon_sym_BSLASHpb] = ACTIONS(5992),
    [anon_sym_BSLASH] = ACTIONS(5992),
    [sym_milestoneStartTag] = ACTIONS(5992),
    [sym_milestoneEndTag] = ACTIONS(5992),
    [sym_zSpaceTag] = ACTIONS(5992),
    [anon_sym_BSLASHesbe] = ACTIONS(5992),
    [anon_sym_BSLASHcat] = ACTIONS(5992),
  },
  [588] = {
    [aux_sym_text_token1] = ACTIONS(5958),
    [anon_sym_BSLASHref] = ACTIONS(5960),
    [anon_sym_BSLASHsts] = ACTIONS(5960),
    [anon_sym_BSLASHrem] = ACTIONS(5960),
    [anon_sym_BSLASHrestore] = ACTIONS(5960),
    [anon_sym_BSLASHlit] = ACTIONS(5960),
    [anon_sym_BSLASHip] = ACTIONS(5960),
    [anon_sym_BSLASHv] = ACTIONS(5960),
    [anon_sym_BSLASHva] = ACTIONS(5960),
    [anon_sym_BSLASHvp] = ACTIONS(5960),
    [anon_sym_BSLASHmte] = ACTIONS(5960),
    [anon_sym_BSLASHms] = ACTIONS(5960),
    [anon_sym_BSLASHs] = ACTIONS(5960),
    [anon_sym_BSLASHr] = ACTIONS(5960),
    [anon_sym_BSLASHsp] = ACTIONS(5960),
    [anon_sym_BSLASHd] = ACTIONS(5960),
    [anon_sym_BSLASHsd] = ACTIONS(5960),
    [anon_sym_BSLASHp] = ACTIONS(5960),
    [anon_sym_BSLASHm] = ACTIONS(5960),
    [anon_sym_BSLASHpo] = ACTIONS(5960),
    [anon_sym_BSLASHpr] = ACTIONS(5960),
    [anon_sym_BSLASHcls] = ACTIONS(5960),
    [anon_sym_BSLASHpmo] = ACTIONS(5960),
    [anon_sym_BSLASHpm] = ACTIONS(5960),
    [anon_sym_BSLASHpmc] = ACTIONS(5960),
    [anon_sym_BSLASHpmr] = ACTIONS(5960),
    [anon_sym_BSLASHpi] = ACTIONS(5960),
    [anon_sym_BSLASHmi] = ACTIONS(5960),
    [anon_sym_BSLASHnb] = ACTIONS(5960),
    [anon_sym_BSLASHpc] = ACTIONS(5960),
    [anon_sym_BSLASHph] = ACTIONS(5960),
    [anon_sym_BSLASHb] = ACTIONS(5960),
    [anon_sym_BSLASHq] = ACTIONS(5960),
    [anon_sym_BSLASHqr] = ACTIONS(5960),
    [anon_sym_BSLASHqc] = ACTIONS(5960),
    [anon_sym_BSLASHqa] = ACTIONS(5960),
    [anon_sym_BSLASHqm] = ACTIONS(5960),
    [anon_sym_BSLASHqd] = ACTIONS(5960),
    [anon_sym_BSLASHlh] = ACTIONS(5960),
    [anon_sym_BSLASHlf] = ACTIONS(5960),
    [anon_sym_BSLASHli] = ACTIONS(5960),
    [anon_sym_BSLASHlim] = ACTIONS(5960),
    [anon_sym_BSLASHliv] = ACTIONS(5960),
    [anon_sym_BSLASHlik] = ACTIONS(5960),
    [anon_sym_BSLASHlitl] = ACTIONS(5960),
    [anon_sym_BSLASHtr] = ACTIONS(5960),
    [anon_sym_BSLASHf] = ACTIONS(5960),
    [anon_sym_BSLASHfe] = ACTIONS(5960),
    [anon_sym_BSLASHef] = ACTIONS(5960),
    [anon_sym_BSLASHfm] = ACTIONS(5960),
    [anon_sym_BSLASHx] = ACTIONS(5960),
    [anon_sym_BSLASHxt] = ACTIONS(5960),
    [anon_sym_BSLASHrq] = ACTIONS(5960),
    [anon_sym_BSLASHadd] = ACTIONS(5960),
    [anon_sym_BSLASHbk] = ACTIONS(5960),
    [anon_sym_BSLASHdc] = ACTIONS(5960),
    [anon_sym_BSLASHk] = ACTIONS(5960),
    [anon_sym_BSLASHnd] = ACTIONS(5960),
    [anon_sym_BSLASHord] = ACTIONS(5960),
    [anon_sym_BSLASHpn] = ACTIONS(5960),
    [anon_sym_BSLASHpng] = ACTIONS(5960),
    [anon_sym_BSLASHaddpn] = ACTIONS(5960),
    [anon_sym_BSLASHqt] = ACTIONS(5960),
    [anon_sym_BSLASHsig] = ACTIONS(5960),
    [anon_sym_BSLASHsls] = ACTIONS(5960),
    [anon_sym_BSLASHtl] = ACTIONS(5960),
    [anon_sym_BSLASHwj] = ACTIONS(5960),
    [anon_sym_BSLASHem] = ACTIONS(5960),
    [anon_sym_BSLASHbd] = ACTIONS(5960),
    [anon_sym_BSLASHit] = ACTIONS(5960),
    [anon_sym_BSLASHbdit] = ACTIONS(5960),
    [anon_sym_BSLASHno] = ACTIONS(5960),
    [anon_sym_BSLASHsc] = ACTIONS(5960),
    [anon_sym_BSLASHsup] = ACTIONS(5960),
    [anon_sym_BSLASHndx] = ACTIONS(5960),
    [anon_sym_BSLASHpro] = ACTIONS(5960),
    [anon_sym_BSLASHrb] = ACTIONS(5960),
    [anon_sym_BSLASHw] = ACTIONS(5960),
    [anon_sym_BSLASHwg] = ACTIONS(5960),
    [anon_sym_BSLASHwh] = ACTIONS(5960),
    [anon_sym_BSLASHwa] = ACTIONS(5960),
    [anon_sym_BSLASHfig] = ACTIONS(5960),
    [anon_sym_BSLASHjmp] = ACTIONS(5960),
    [anon_sym_BSLASHpb] = ACTIONS(5960),
    [anon_sym_BSLASH] = ACTIONS(5960),
    [sym_milestoneStartTag] = ACTIONS(5960),
    [sym_milestoneEndTag] = ACTIONS(5960),
    [sym_zSpaceTag] = ACTIONS(5960),
    [anon_sym_BSLASHesbe] = ACTIONS(5960),
    [anon_sym_BSLASHcat] = ACTIONS(5960),
  },
  [589] = {
    [aux_sym_text_token1] = ACTIONS(5974),
    [anon_sym_BSLASHref] = ACTIONS(5976),
    [anon_sym_BSLASHsts] = ACTIONS(5976),
    [anon_sym_BSLASHrem] = ACTIONS(5976),
    [anon_sym_BSLASHrestore] = ACTIONS(5976),
    [anon_sym_BSLASHlit] = ACTIONS(5976),
    [anon_sym_BSLASHip] = ACTIONS(5976),
    [anon_sym_BSLASHv] = ACTIONS(5976),
    [anon_sym_BSLASHva] = ACTIONS(5976),
    [anon_sym_BSLASHvp] = ACTIONS(5976),
    [anon_sym_BSLASHmte] = ACTIONS(5976),
    [anon_sym_BSLASHms] = ACTIONS(5976),
    [anon_sym_BSLASHs] = ACTIONS(5976),
    [anon_sym_BSLASHr] = ACTIONS(5976),
    [anon_sym_BSLASHsp] = ACTIONS(5976),
    [anon_sym_BSLASHd] = ACTIONS(5976),
    [anon_sym_BSLASHsd] = ACTIONS(5976),
    [anon_sym_BSLASHp] = ACTIONS(5976),
    [anon_sym_BSLASHm] = ACTIONS(5976),
    [anon_sym_BSLASHpo] = ACTIONS(5976),
    [anon_sym_BSLASHpr] = ACTIONS(5976),
    [anon_sym_BSLASHcls] = ACTIONS(5976),
    [anon_sym_BSLASHpmo] = ACTIONS(5976),
    [anon_sym_BSLASHpm] = ACTIONS(5976),
    [anon_sym_BSLASHpmc] = ACTIONS(5976),
    [anon_sym_BSLASHpmr] = ACTIONS(5976),
    [anon_sym_BSLASHpi] = ACTIONS(5976),
    [anon_sym_BSLASHmi] = ACTIONS(5976),
    [anon_sym_BSLASHnb] = ACTIONS(5976),
    [anon_sym_BSLASHpc] = ACTIONS(5976),
    [anon_sym_BSLASHph] = ACTIONS(5976),
    [anon_sym_BSLASHb] = ACTIONS(5976),
    [anon_sym_BSLASHq] = ACTIONS(5976),
    [anon_sym_BSLASHqr] = ACTIONS(5976),
    [anon_sym_BSLASHqc] = ACTIONS(5976),
    [anon_sym_BSLASHqa] = ACTIONS(5976),
    [anon_sym_BSLASHqm] = ACTIONS(5976),
    [anon_sym_BSLASHqd] = ACTIONS(5976),
    [anon_sym_BSLASHlh] = ACTIONS(5976),
    [anon_sym_BSLASHlf] = ACTIONS(5976),
    [anon_sym_BSLASHli] = ACTIONS(5976),
    [anon_sym_BSLASHlim] = ACTIONS(5976),
    [anon_sym_BSLASHliv] = ACTIONS(5976),
    [anon_sym_BSLASHlik] = ACTIONS(5976),
    [anon_sym_BSLASHlitl] = ACTIONS(5976),
    [anon_sym_BSLASHtr] = ACTIONS(5976),
    [anon_sym_BSLASHf] = ACTIONS(5976),
    [anon_sym_BSLASHfe] = ACTIONS(5976),
    [anon_sym_BSLASHef] = ACTIONS(5976),
    [anon_sym_BSLASHfm] = ACTIONS(5976),
    [anon_sym_BSLASHx] = ACTIONS(5976),
    [anon_sym_BSLASHxt] = ACTIONS(5976),
    [anon_sym_BSLASHrq] = ACTIONS(5976),
    [anon_sym_BSLASHadd] = ACTIONS(5976),
    [anon_sym_BSLASHbk] = ACTIONS(5976),
    [anon_sym_BSLASHdc] = ACTIONS(5976),
    [anon_sym_BSLASHk] = ACTIONS(5976),
    [anon_sym_BSLASHnd] = ACTIONS(5976),
    [anon_sym_BSLASHord] = ACTIONS(5976),
    [anon_sym_BSLASHpn] = ACTIONS(5976),
    [anon_sym_BSLASHpng] = ACTIONS(5976),
    [anon_sym_BSLASHaddpn] = ACTIONS(5976),
    [anon_sym_BSLASHqt] = ACTIONS(5976),
    [anon_sym_BSLASHsig] = ACTIONS(5976),
    [anon_sym_BSLASHsls] = ACTIONS(5976),
    [anon_sym_BSLASHtl] = ACTIONS(5976),
    [anon_sym_BSLASHwj] = ACTIONS(5976),
    [anon_sym_BSLASHem] = ACTIONS(5976),
    [anon_sym_BSLASHbd] = ACTIONS(5976),
    [anon_sym_BSLASHit] = ACTIONS(5976),
    [anon_sym_BSLASHbdit] = ACTIONS(5976),
    [anon_sym_BSLASHno] = ACTIONS(5976),
    [anon_sym_BSLASHsc] = ACTIONS(5976),
    [anon_sym_BSLASHsup] = ACTIONS(5976),
    [anon_sym_BSLASHndx] = ACTIONS(5976),
    [anon_sym_BSLASHpro] = ACTIONS(5976),
    [anon_sym_BSLASHrb] = ACTIONS(5976),
    [anon_sym_BSLASHw] = ACTIONS(5976),
    [anon_sym_BSLASHwg] = ACTIONS(5976),
    [anon_sym_BSLASHwh] = ACTIONS(5976),
    [anon_sym_BSLASHwa] = ACTIONS(5976),
    [anon_sym_BSLASHfig] = ACTIONS(5976),
    [anon_sym_BSLASHjmp] = ACTIONS(5976),
    [anon_sym_BSLASHpb] = ACTIONS(5976),
    [anon_sym_BSLASH] = ACTIONS(5976),
    [sym_milestoneStartTag] = ACTIONS(5976),
    [sym_milestoneEndTag] = ACTIONS(5976),
    [sym_zSpaceTag] = ACTIONS(5976),
    [anon_sym_BSLASHesbe] = ACTIONS(5976),
    [anon_sym_BSLASHcat] = ACTIONS(5976),
  },
  [590] = {
    [aux_sym_text_token1] = ACTIONS(5998),
    [anon_sym_BSLASHref] = ACTIONS(6000),
    [anon_sym_BSLASHsts] = ACTIONS(6000),
    [anon_sym_BSLASHrem] = ACTIONS(6000),
    [anon_sym_BSLASHrestore] = ACTIONS(6000),
    [anon_sym_BSLASHlit] = ACTIONS(6000),
    [anon_sym_BSLASHip] = ACTIONS(6000),
    [anon_sym_BSLASHv] = ACTIONS(6000),
    [anon_sym_BSLASHva] = ACTIONS(6000),
    [anon_sym_BSLASHvp] = ACTIONS(6000),
    [anon_sym_BSLASHmte] = ACTIONS(6000),
    [anon_sym_BSLASHms] = ACTIONS(6000),
    [anon_sym_BSLASHs] = ACTIONS(6000),
    [anon_sym_BSLASHr] = ACTIONS(6000),
    [anon_sym_BSLASHsp] = ACTIONS(6000),
    [anon_sym_BSLASHd] = ACTIONS(6000),
    [anon_sym_BSLASHsd] = ACTIONS(6000),
    [anon_sym_BSLASHp] = ACTIONS(6000),
    [anon_sym_BSLASHm] = ACTIONS(6000),
    [anon_sym_BSLASHpo] = ACTIONS(6000),
    [anon_sym_BSLASHpr] = ACTIONS(6000),
    [anon_sym_BSLASHcls] = ACTIONS(6000),
    [anon_sym_BSLASHpmo] = ACTIONS(6000),
    [anon_sym_BSLASHpm] = ACTIONS(6000),
    [anon_sym_BSLASHpmc] = ACTIONS(6000),
    [anon_sym_BSLASHpmr] = ACTIONS(6000),
    [anon_sym_BSLASHpi] = ACTIONS(6000),
    [anon_sym_BSLASHmi] = ACTIONS(6000),
    [anon_sym_BSLASHnb] = ACTIONS(6000),
    [anon_sym_BSLASHpc] = ACTIONS(6000),
    [anon_sym_BSLASHph] = ACTIONS(6000),
    [anon_sym_BSLASHb] = ACTIONS(6000),
    [anon_sym_BSLASHq] = ACTIONS(6000),
    [anon_sym_BSLASHqr] = ACTIONS(6000),
    [anon_sym_BSLASHqc] = ACTIONS(6000),
    [anon_sym_BSLASHqa] = ACTIONS(6000),
    [anon_sym_BSLASHqm] = ACTIONS(6000),
    [anon_sym_BSLASHqd] = ACTIONS(6000),
    [anon_sym_BSLASHlh] = ACTIONS(6000),
    [anon_sym_BSLASHlf] = ACTIONS(6000),
    [anon_sym_BSLASHli] = ACTIONS(6000),
    [anon_sym_BSLASHlim] = ACTIONS(6000),
    [anon_sym_BSLASHliv] = ACTIONS(6000),
    [anon_sym_BSLASHlik] = ACTIONS(6000),
    [anon_sym_BSLASHlitl] = ACTIONS(6000),
    [anon_sym_BSLASHtr] = ACTIONS(6000),
    [anon_sym_BSLASHf] = ACTIONS(6000),
    [anon_sym_BSLASHfe] = ACTIONS(6000),
    [anon_sym_BSLASHef] = ACTIONS(6000),
    [anon_sym_BSLASHfm] = ACTIONS(6000),
    [anon_sym_BSLASHx] = ACTIONS(6000),
    [anon_sym_BSLASHxt] = ACTIONS(6000),
    [anon_sym_BSLASHrq] = ACTIONS(6000),
    [anon_sym_BSLASHadd] = ACTIONS(6000),
    [anon_sym_BSLASHbk] = ACTIONS(6000),
    [anon_sym_BSLASHdc] = ACTIONS(6000),
    [anon_sym_BSLASHk] = ACTIONS(6000),
    [anon_sym_BSLASHnd] = ACTIONS(6000),
    [anon_sym_BSLASHord] = ACTIONS(6000),
    [anon_sym_BSLASHpn] = ACTIONS(6000),
    [anon_sym_BSLASHpng] = ACTIONS(6000),
    [anon_sym_BSLASHaddpn] = ACTIONS(6000),
    [anon_sym_BSLASHqt] = ACTIONS(6000),
    [anon_sym_BSLASHsig] = ACTIONS(6000),
    [anon_sym_BSLASHsls] = ACTIONS(6000),
    [anon_sym_BSLASHtl] = ACTIONS(6000),
    [anon_sym_BSLASHwj] = ACTIONS(6000),
    [anon_sym_BSLASHem] = ACTIONS(6000),
    [anon_sym_BSLASHbd] = ACTIONS(6000),
    [anon_sym_BSLASHit] = ACTIONS(6000),
    [anon_sym_BSLASHbdit] = ACTIONS(6000),
    [anon_sym_BSLASHno] = ACTIONS(6000),
    [anon_sym_BSLASHsc] = ACTIONS(6000),
    [anon_sym_BSLASHsup] = ACTIONS(6000),
    [anon_sym_BSLASHndx] = ACTIONS(6000),
    [anon_sym_BSLASHpro] = ACTIONS(6000),
    [anon_sym_BSLASHrb] = ACTIONS(6000),
    [anon_sym_BSLASHw] = ACTIONS(6000),
    [anon_sym_BSLASHwg] = ACTIONS(6000),
    [anon_sym_BSLASHwh] = ACTIONS(6000),
    [anon_sym_BSLASHwa] = ACTIONS(6000),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASHjmp] = ACTIONS(6000),
    [anon_sym_BSLASHpb] = ACTIONS(6000),
    [anon_sym_BSLASH] = ACTIONS(6000),
    [sym_milestoneStartTag] = ACTIONS(6000),
    [sym_milestoneEndTag] = ACTIONS(6000),
    [sym_zSpaceTag] = ACTIONS(6000),
    [anon_sym_BSLASHesbe] = ACTIONS(6000),
    [anon_sym_BSLASHcat] = ACTIONS(6000),
  },
  [591] = {
    [aux_sym_text_token1] = ACTIONS(5970),
    [anon_sym_BSLASHref] = ACTIONS(5972),
    [anon_sym_BSLASHsts] = ACTIONS(5972),
    [anon_sym_BSLASHrem] = ACTIONS(5972),
    [anon_sym_BSLASHrestore] = ACTIONS(5972),
    [anon_sym_BSLASHlit] = ACTIONS(5972),
    [anon_sym_BSLASHip] = ACTIONS(5972),
    [anon_sym_BSLASHv] = ACTIONS(5972),
    [anon_sym_BSLASHva] = ACTIONS(5972),
    [anon_sym_BSLASHvp] = ACTIONS(5972),
    [anon_sym_BSLASHmte] = ACTIONS(5972),
    [anon_sym_BSLASHms] = ACTIONS(5972),
    [anon_sym_BSLASHs] = ACTIONS(5972),
    [anon_sym_BSLASHr] = ACTIONS(5972),
    [anon_sym_BSLASHsp] = ACTIONS(5972),
    [anon_sym_BSLASHd] = ACTIONS(5972),
    [anon_sym_BSLASHsd] = ACTIONS(5972),
    [anon_sym_BSLASHp] = ACTIONS(5972),
    [anon_sym_BSLASHm] = ACTIONS(5972),
    [anon_sym_BSLASHpo] = ACTIONS(5972),
    [anon_sym_BSLASHpr] = ACTIONS(5972),
    [anon_sym_BSLASHcls] = ACTIONS(5972),
    [anon_sym_BSLASHpmo] = ACTIONS(5972),
    [anon_sym_BSLASHpm] = ACTIONS(5972),
    [anon_sym_BSLASHpmc] = ACTIONS(5972),
    [anon_sym_BSLASHpmr] = ACTIONS(5972),
    [anon_sym_BSLASHpi] = ACTIONS(5972),
    [anon_sym_BSLASHmi] = ACTIONS(5972),
    [anon_sym_BSLASHnb] = ACTIONS(5972),
    [anon_sym_BSLASHpc] = ACTIONS(5972),
    [anon_sym_BSLASHph] = ACTIONS(5972),
    [anon_sym_BSLASHb] = ACTIONS(5972),
    [anon_sym_BSLASHq] = ACTIONS(5972),
    [anon_sym_BSLASHqr] = ACTIONS(5972),
    [anon_sym_BSLASHqc] = ACTIONS(5972),
    [anon_sym_BSLASHqa] = ACTIONS(5972),
    [anon_sym_BSLASHqm] = ACTIONS(5972),
    [anon_sym_BSLASHqd] = ACTIONS(5972),
    [anon_sym_BSLASHlh] = ACTIONS(5972),
    [anon_sym_BSLASHlf] = ACTIONS(5972),
    [anon_sym_BSLASHli] = ACTIONS(5972),
    [anon_sym_BSLASHlim] = ACTIONS(5972),
    [anon_sym_BSLASHliv] = ACTIONS(5972),
    [anon_sym_BSLASHlik] = ACTIONS(5972),
    [anon_sym_BSLASHlitl] = ACTIONS(5972),
    [anon_sym_BSLASHtr] = ACTIONS(5972),
    [anon_sym_BSLASHf] = ACTIONS(5972),
    [anon_sym_BSLASHfe] = ACTIONS(5972),
    [anon_sym_BSLASHef] = ACTIONS(5972),
    [anon_sym_BSLASHfm] = ACTIONS(5972),
    [anon_sym_BSLASHx] = ACTIONS(5972),
    [anon_sym_BSLASHxt] = ACTIONS(5972),
    [anon_sym_BSLASHrq] = ACTIONS(5972),
    [anon_sym_BSLASHadd] = ACTIONS(5972),
    [anon_sym_BSLASHbk] = ACTIONS(5972),
    [anon_sym_BSLASHdc] = ACTIONS(5972),
    [anon_sym_BSLASHk] = ACTIONS(5972),
    [anon_sym_BSLASHnd] = ACTIONS(5972),
    [anon_sym_BSLASHord] = ACTIONS(5972),
    [anon_sym_BSLASHpn] = ACTIONS(5972),
    [anon_sym_BSLASHpng] = ACTIONS(5972),
    [anon_sym_BSLASHaddpn] = ACTIONS(5972),
    [anon_sym_BSLASHqt] = ACTIONS(5972),
    [anon_sym_BSLASHsig] = ACTIONS(5972),
    [anon_sym_BSLASHsls] = ACTIONS(5972),
    [anon_sym_BSLASHtl] = ACTIONS(5972),
    [anon_sym_BSLASHwj] = ACTIONS(5972),
    [anon_sym_BSLASHem] = ACTIONS(5972),
    [anon_sym_BSLASHbd] = ACTIONS(5972),
    [anon_sym_BSLASHit] = ACTIONS(5972),
    [anon_sym_BSLASHbdit] = ACTIONS(5972),
    [anon_sym_BSLASHno] = ACTIONS(5972),
    [anon_sym_BSLASHsc] = ACTIONS(5972),
    [anon_sym_BSLASHsup] = ACTIONS(5972),
    [anon_sym_BSLASHndx] = ACTIONS(5972),
    [anon_sym_BSLASHpro] = ACTIONS(5972),
    [anon_sym_BSLASHrb] = ACTIONS(5972),
    [anon_sym_BSLASHw] = ACTIONS(5972),
    [anon_sym_BSLASHwg] = ACTIONS(5972),
    [anon_sym_BSLASHwh] = ACTIONS(5972),
    [anon_sym_BSLASHwa] = ACTIONS(5972),
    [anon_sym_BSLASHfig] = ACTIONS(5972),
    [anon_sym_BSLASHjmp] = ACTIONS(5972),
    [anon_sym_BSLASHpb] = ACTIONS(5972),
    [anon_sym_BSLASH] = ACTIONS(5972),
    [sym_milestoneStartTag] = ACTIONS(5972),
    [sym_milestoneEndTag] = ACTIONS(5972),
    [sym_zSpaceTag] = ACTIONS(5972),
    [anon_sym_BSLASHesbe] = ACTIONS(5972),
    [anon_sym_BSLASHcat] = ACTIONS(5972),
  },
  [592] = {
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHref] = ACTIONS(6008),
    [anon_sym_BSLASHsts] = ACTIONS(6008),
    [anon_sym_BSLASHrem] = ACTIONS(6008),
    [anon_sym_BSLASHrestore] = ACTIONS(6008),
    [anon_sym_BSLASHlit] = ACTIONS(6008),
    [anon_sym_BSLASHip] = ACTIONS(6008),
    [anon_sym_BSLASHv] = ACTIONS(6008),
    [anon_sym_BSLASHva] = ACTIONS(6008),
    [anon_sym_BSLASHvp] = ACTIONS(6008),
    [anon_sym_BSLASHmte] = ACTIONS(6008),
    [anon_sym_BSLASHms] = ACTIONS(6008),
    [anon_sym_BSLASHs] = ACTIONS(6008),
    [anon_sym_BSLASHr] = ACTIONS(6008),
    [anon_sym_BSLASHsp] = ACTIONS(6008),
    [anon_sym_BSLASHd] = ACTIONS(6008),
    [anon_sym_BSLASHsd] = ACTIONS(6008),
    [anon_sym_BSLASHp] = ACTIONS(6008),
    [anon_sym_BSLASHm] = ACTIONS(6008),
    [anon_sym_BSLASHpo] = ACTIONS(6008),
    [anon_sym_BSLASHpr] = ACTIONS(6008),
    [anon_sym_BSLASHcls] = ACTIONS(6008),
    [anon_sym_BSLASHpmo] = ACTIONS(6008),
    [anon_sym_BSLASHpm] = ACTIONS(6008),
    [anon_sym_BSLASHpmc] = ACTIONS(6008),
    [anon_sym_BSLASHpmr] = ACTIONS(6008),
    [anon_sym_BSLASHpi] = ACTIONS(6008),
    [anon_sym_BSLASHmi] = ACTIONS(6008),
    [anon_sym_BSLASHnb] = ACTIONS(6008),
    [anon_sym_BSLASHpc] = ACTIONS(6008),
    [anon_sym_BSLASHph] = ACTIONS(6008),
    [anon_sym_BSLASHb] = ACTIONS(6008),
    [anon_sym_BSLASHq] = ACTIONS(6008),
    [anon_sym_BSLASHqr] = ACTIONS(6008),
    [anon_sym_BSLASHqc] = ACTIONS(6008),
    [anon_sym_BSLASHqa] = ACTIONS(6008),
    [anon_sym_BSLASHqm] = ACTIONS(6008),
    [anon_sym_BSLASHqd] = ACTIONS(6008),
    [anon_sym_BSLASHlh] = ACTIONS(6008),
    [anon_sym_BSLASHlf] = ACTIONS(6008),
    [anon_sym_BSLASHli] = ACTIONS(6008),
    [anon_sym_BSLASHlim] = ACTIONS(6008),
    [anon_sym_BSLASHliv] = ACTIONS(6008),
    [anon_sym_BSLASHlik] = ACTIONS(6008),
    [anon_sym_BSLASHlitl] = ACTIONS(6008),
    [anon_sym_BSLASHtr] = ACTIONS(6008),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6008),
    [anon_sym_BSLASHef] = ACTIONS(6008),
    [anon_sym_BSLASHfm] = ACTIONS(6008),
    [anon_sym_BSLASHx] = ACTIONS(6008),
    [anon_sym_BSLASHxt] = ACTIONS(6008),
    [anon_sym_BSLASHrq] = ACTIONS(6008),
    [anon_sym_BSLASHadd] = ACTIONS(6008),
    [anon_sym_BSLASHbk] = ACTIONS(6008),
    [anon_sym_BSLASHdc] = ACTIONS(6008),
    [anon_sym_BSLASHk] = ACTIONS(6008),
    [anon_sym_BSLASHnd] = ACTIONS(6008),
    [anon_sym_BSLASHord] = ACTIONS(6008),
    [anon_sym_BSLASHpn] = ACTIONS(6008),
    [anon_sym_BSLASHpng] = ACTIONS(6008),
    [anon_sym_BSLASHaddpn] = ACTIONS(6008),
    [anon_sym_BSLASHqt] = ACTIONS(6008),
    [anon_sym_BSLASHsig] = ACTIONS(6008),
    [anon_sym_BSLASHsls] = ACTIONS(6008),
    [anon_sym_BSLASHtl] = ACTIONS(6008),
    [anon_sym_BSLASHwj] = ACTIONS(6008),
    [anon_sym_BSLASHem] = ACTIONS(6008),
    [anon_sym_BSLASHbd] = ACTIONS(6008),
    [anon_sym_BSLASHit] = ACTIONS(6008),
    [anon_sym_BSLASHbdit] = ACTIONS(6008),
    [anon_sym_BSLASHno] = ACTIONS(6008),
    [anon_sym_BSLASHsc] = ACTIONS(6008),
    [anon_sym_BSLASHsup] = ACTIONS(6008),
    [anon_sym_BSLASHndx] = ACTIONS(6008),
    [anon_sym_BSLASHpro] = ACTIONS(6008),
    [anon_sym_BSLASHrb] = ACTIONS(6008),
    [anon_sym_BSLASHw] = ACTIONS(6008),
    [anon_sym_BSLASHwg] = ACTIONS(6008),
    [anon_sym_BSLASHwh] = ACTIONS(6008),
    [anon_sym_BSLASHwa] = ACTIONS(6008),
    [anon_sym_BSLASHfig] = ACTIONS(6008),
    [anon_sym_BSLASHjmp] = ACTIONS(6008),
    [anon_sym_BSLASHpb] = ACTIONS(6008),
    [anon_sym_BSLASH] = ACTIONS(6008),
    [sym_milestoneStartTag] = ACTIONS(6008),
    [sym_milestoneEndTag] = ACTIONS(6008),
    [sym_zSpaceTag] = ACTIONS(6008),
    [anon_sym_BSLASHesbe] = ACTIONS(6008),
    [anon_sym_BSLASHcat] = ACTIONS(6008),
  },
  [593] = {
    [aux_sym_text_token1] = ACTIONS(6010),
    [anon_sym_BSLASHref] = ACTIONS(6012),
    [anon_sym_BSLASHsts] = ACTIONS(6012),
    [anon_sym_BSLASHrem] = ACTIONS(6012),
    [anon_sym_BSLASHrestore] = ACTIONS(6012),
    [anon_sym_BSLASHlit] = ACTIONS(6012),
    [anon_sym_BSLASHip] = ACTIONS(6012),
    [anon_sym_BSLASHv] = ACTIONS(6012),
    [anon_sym_BSLASHva] = ACTIONS(6012),
    [anon_sym_BSLASHvp] = ACTIONS(6012),
    [anon_sym_BSLASHmte] = ACTIONS(6012),
    [anon_sym_BSLASHms] = ACTIONS(6012),
    [anon_sym_BSLASHs] = ACTIONS(6012),
    [anon_sym_BSLASHr] = ACTIONS(6012),
    [anon_sym_BSLASHsp] = ACTIONS(6012),
    [anon_sym_BSLASHd] = ACTIONS(6012),
    [anon_sym_BSLASHsd] = ACTIONS(6012),
    [anon_sym_BSLASHp] = ACTIONS(6012),
    [anon_sym_BSLASHm] = ACTIONS(6012),
    [anon_sym_BSLASHpo] = ACTIONS(6012),
    [anon_sym_BSLASHpr] = ACTIONS(6012),
    [anon_sym_BSLASHcls] = ACTIONS(6012),
    [anon_sym_BSLASHpmo] = ACTIONS(6012),
    [anon_sym_BSLASHpm] = ACTIONS(6012),
    [anon_sym_BSLASHpmc] = ACTIONS(6012),
    [anon_sym_BSLASHpmr] = ACTIONS(6012),
    [anon_sym_BSLASHpi] = ACTIONS(6012),
    [anon_sym_BSLASHmi] = ACTIONS(6012),
    [anon_sym_BSLASHnb] = ACTIONS(6012),
    [anon_sym_BSLASHpc] = ACTIONS(6012),
    [anon_sym_BSLASHph] = ACTIONS(6012),
    [anon_sym_BSLASHb] = ACTIONS(6012),
    [anon_sym_BSLASHq] = ACTIONS(6012),
    [anon_sym_BSLASHqr] = ACTIONS(6012),
    [anon_sym_BSLASHqc] = ACTIONS(6012),
    [anon_sym_BSLASHqa] = ACTIONS(6012),
    [anon_sym_BSLASHqm] = ACTIONS(6012),
    [anon_sym_BSLASHqd] = ACTIONS(6012),
    [anon_sym_BSLASHlh] = ACTIONS(6012),
    [anon_sym_BSLASHlf] = ACTIONS(6012),
    [anon_sym_BSLASHli] = ACTIONS(6012),
    [anon_sym_BSLASHlim] = ACTIONS(6012),
    [anon_sym_BSLASHliv] = ACTIONS(6012),
    [anon_sym_BSLASHlik] = ACTIONS(6012),
    [anon_sym_BSLASHlitl] = ACTIONS(6012),
    [anon_sym_BSLASHtr] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6012),
    [anon_sym_BSLASHfe] = ACTIONS(6012),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6012),
    [anon_sym_BSLASHx] = ACTIONS(6012),
    [anon_sym_BSLASHxt] = ACTIONS(6012),
    [anon_sym_BSLASHrq] = ACTIONS(6012),
    [anon_sym_BSLASHadd] = ACTIONS(6012),
    [anon_sym_BSLASHbk] = ACTIONS(6012),
    [anon_sym_BSLASHdc] = ACTIONS(6012),
    [anon_sym_BSLASHk] = ACTIONS(6012),
    [anon_sym_BSLASHnd] = ACTIONS(6012),
    [anon_sym_BSLASHord] = ACTIONS(6012),
    [anon_sym_BSLASHpn] = ACTIONS(6012),
    [anon_sym_BSLASHpng] = ACTIONS(6012),
    [anon_sym_BSLASHaddpn] = ACTIONS(6012),
    [anon_sym_BSLASHqt] = ACTIONS(6012),
    [anon_sym_BSLASHsig] = ACTIONS(6012),
    [anon_sym_BSLASHsls] = ACTIONS(6012),
    [anon_sym_BSLASHtl] = ACTIONS(6012),
    [anon_sym_BSLASHwj] = ACTIONS(6012),
    [anon_sym_BSLASHem] = ACTIONS(6012),
    [anon_sym_BSLASHbd] = ACTIONS(6012),
    [anon_sym_BSLASHit] = ACTIONS(6012),
    [anon_sym_BSLASHbdit] = ACTIONS(6012),
    [anon_sym_BSLASHno] = ACTIONS(6012),
    [anon_sym_BSLASHsc] = ACTIONS(6012),
    [anon_sym_BSLASHsup] = ACTIONS(6012),
    [anon_sym_BSLASHndx] = ACTIONS(6012),
    [anon_sym_BSLASHpro] = ACTIONS(6012),
    [anon_sym_BSLASHrb] = ACTIONS(6012),
    [anon_sym_BSLASHw] = ACTIONS(6012),
    [anon_sym_BSLASHwg] = ACTIONS(6012),
    [anon_sym_BSLASHwh] = ACTIONS(6012),
    [anon_sym_BSLASHwa] = ACTIONS(6012),
    [anon_sym_BSLASHfig] = ACTIONS(6012),
    [anon_sym_BSLASHjmp] = ACTIONS(6012),
    [anon_sym_BSLASHpb] = ACTIONS(6012),
    [anon_sym_BSLASH] = ACTIONS(6012),
    [sym_milestoneStartTag] = ACTIONS(6012),
    [sym_milestoneEndTag] = ACTIONS(6012),
    [sym_zSpaceTag] = ACTIONS(6012),
    [anon_sym_BSLASHesbe] = ACTIONS(6012),
    [anon_sym_BSLASHcat] = ACTIONS(6012),
  },
  [594] = {
    [aux_sym_text_token1] = ACTIONS(6014),
    [anon_sym_BSLASHref] = ACTIONS(6016),
    [anon_sym_BSLASHsts] = ACTIONS(6016),
    [anon_sym_BSLASHrem] = ACTIONS(6016),
    [anon_sym_BSLASHrestore] = ACTIONS(6016),
    [anon_sym_BSLASHlit] = ACTIONS(6016),
    [anon_sym_BSLASHip] = ACTIONS(6016),
    [anon_sym_BSLASHv] = ACTIONS(6016),
    [anon_sym_BSLASHva] = ACTIONS(6016),
    [anon_sym_BSLASHvp] = ACTIONS(6016),
    [anon_sym_BSLASHmte] = ACTIONS(6016),
    [anon_sym_BSLASHms] = ACTIONS(6016),
    [anon_sym_BSLASHs] = ACTIONS(6016),
    [anon_sym_BSLASHr] = ACTIONS(6016),
    [anon_sym_BSLASHsp] = ACTIONS(6016),
    [anon_sym_BSLASHd] = ACTIONS(6016),
    [anon_sym_BSLASHsd] = ACTIONS(6016),
    [anon_sym_BSLASHp] = ACTIONS(6016),
    [anon_sym_BSLASHm] = ACTIONS(6016),
    [anon_sym_BSLASHpo] = ACTIONS(6016),
    [anon_sym_BSLASHpr] = ACTIONS(6016),
    [anon_sym_BSLASHcls] = ACTIONS(6016),
    [anon_sym_BSLASHpmo] = ACTIONS(6016),
    [anon_sym_BSLASHpm] = ACTIONS(6016),
    [anon_sym_BSLASHpmc] = ACTIONS(6016),
    [anon_sym_BSLASHpmr] = ACTIONS(6016),
    [anon_sym_BSLASHpi] = ACTIONS(6016),
    [anon_sym_BSLASHmi] = ACTIONS(6016),
    [anon_sym_BSLASHnb] = ACTIONS(6016),
    [anon_sym_BSLASHpc] = ACTIONS(6016),
    [anon_sym_BSLASHph] = ACTIONS(6016),
    [anon_sym_BSLASHb] = ACTIONS(6016),
    [anon_sym_BSLASHq] = ACTIONS(6016),
    [anon_sym_BSLASHqr] = ACTIONS(6016),
    [anon_sym_BSLASHqc] = ACTIONS(6016),
    [anon_sym_BSLASHqa] = ACTIONS(6016),
    [anon_sym_BSLASHqm] = ACTIONS(6016),
    [anon_sym_BSLASHqd] = ACTIONS(6016),
    [anon_sym_BSLASHlh] = ACTIONS(6016),
    [anon_sym_BSLASHlf] = ACTIONS(6016),
    [anon_sym_BSLASHli] = ACTIONS(6016),
    [anon_sym_BSLASHlim] = ACTIONS(6016),
    [anon_sym_BSLASHliv] = ACTIONS(6016),
    [anon_sym_BSLASHlik] = ACTIONS(6016),
    [anon_sym_BSLASHlitl] = ACTIONS(6016),
    [anon_sym_BSLASHtr] = ACTIONS(6016),
    [anon_sym_BSLASHf] = ACTIONS(6016),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6016),
    [anon_sym_BSLASHfm] = ACTIONS(6016),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6016),
    [anon_sym_BSLASHrq] = ACTIONS(6016),
    [anon_sym_BSLASHadd] = ACTIONS(6016),
    [anon_sym_BSLASHbk] = ACTIONS(6016),
    [anon_sym_BSLASHdc] = ACTIONS(6016),
    [anon_sym_BSLASHk] = ACTIONS(6016),
    [anon_sym_BSLASHnd] = ACTIONS(6016),
    [anon_sym_BSLASHord] = ACTIONS(6016),
    [anon_sym_BSLASHpn] = ACTIONS(6016),
    [anon_sym_BSLASHpng] = ACTIONS(6016),
    [anon_sym_BSLASHaddpn] = ACTIONS(6016),
    [anon_sym_BSLASHqt] = ACTIONS(6016),
    [anon_sym_BSLASHsig] = ACTIONS(6016),
    [anon_sym_BSLASHsls] = ACTIONS(6016),
    [anon_sym_BSLASHtl] = ACTIONS(6016),
    [anon_sym_BSLASHwj] = ACTIONS(6016),
    [anon_sym_BSLASHem] = ACTIONS(6016),
    [anon_sym_BSLASHbd] = ACTIONS(6016),
    [anon_sym_BSLASHit] = ACTIONS(6016),
    [anon_sym_BSLASHbdit] = ACTIONS(6016),
    [anon_sym_BSLASHno] = ACTIONS(6016),
    [anon_sym_BSLASHsc] = ACTIONS(6016),
    [anon_sym_BSLASHsup] = ACTIONS(6016),
    [anon_sym_BSLASHndx] = ACTIONS(6016),
    [anon_sym_BSLASHpro] = ACTIONS(6016),
    [anon_sym_BSLASHrb] = ACTIONS(6016),
    [anon_sym_BSLASHw] = ACTIONS(6016),
    [anon_sym_BSLASHwg] = ACTIONS(6016),
    [anon_sym_BSLASHwh] = ACTIONS(6016),
    [anon_sym_BSLASHwa] = ACTIONS(6016),
    [anon_sym_BSLASHfig] = ACTIONS(6016),
    [anon_sym_BSLASHjmp] = ACTIONS(6016),
    [anon_sym_BSLASHpb] = ACTIONS(6016),
    [anon_sym_BSLASH] = ACTIONS(6016),
    [sym_milestoneStartTag] = ACTIONS(6016),
    [sym_milestoneEndTag] = ACTIONS(6016),
    [sym_zSpaceTag] = ACTIONS(6016),
    [anon_sym_BSLASHesbe] = ACTIONS(6016),
    [anon_sym_BSLASHcat] = ACTIONS(6016),
  },
  [595] = {
    [aux_sym_text_token1] = ACTIONS(6018),
    [anon_sym_BSLASHref] = ACTIONS(6020),
    [anon_sym_BSLASHsts] = ACTIONS(6020),
    [anon_sym_BSLASHrem] = ACTIONS(6020),
    [anon_sym_BSLASHrestore] = ACTIONS(6020),
    [anon_sym_BSLASHlit] = ACTIONS(6020),
    [anon_sym_BSLASHip] = ACTIONS(6020),
    [anon_sym_BSLASHv] = ACTIONS(6020),
    [anon_sym_BSLASHva] = ACTIONS(6020),
    [anon_sym_BSLASHvp] = ACTIONS(6020),
    [anon_sym_BSLASHmte] = ACTIONS(6020),
    [anon_sym_BSLASHms] = ACTIONS(6020),
    [anon_sym_BSLASHs] = ACTIONS(6020),
    [anon_sym_BSLASHr] = ACTIONS(6020),
    [anon_sym_BSLASHsp] = ACTIONS(6020),
    [anon_sym_BSLASHd] = ACTIONS(6020),
    [anon_sym_BSLASHsd] = ACTIONS(6020),
    [anon_sym_BSLASHp] = ACTIONS(6020),
    [anon_sym_BSLASHm] = ACTIONS(6020),
    [anon_sym_BSLASHpo] = ACTIONS(6020),
    [anon_sym_BSLASHpr] = ACTIONS(6020),
    [anon_sym_BSLASHcls] = ACTIONS(6020),
    [anon_sym_BSLASHpmo] = ACTIONS(6020),
    [anon_sym_BSLASHpm] = ACTIONS(6020),
    [anon_sym_BSLASHpmc] = ACTIONS(6020),
    [anon_sym_BSLASHpmr] = ACTIONS(6020),
    [anon_sym_BSLASHpi] = ACTIONS(6020),
    [anon_sym_BSLASHmi] = ACTIONS(6020),
    [anon_sym_BSLASHnb] = ACTIONS(6020),
    [anon_sym_BSLASHpc] = ACTIONS(6020),
    [anon_sym_BSLASHph] = ACTIONS(6020),
    [anon_sym_BSLASHb] = ACTIONS(6020),
    [anon_sym_BSLASHq] = ACTIONS(6020),
    [anon_sym_BSLASHqr] = ACTIONS(6020),
    [anon_sym_BSLASHqc] = ACTIONS(6020),
    [anon_sym_BSLASHqa] = ACTIONS(6020),
    [anon_sym_BSLASHqm] = ACTIONS(6020),
    [anon_sym_BSLASHqd] = ACTIONS(6020),
    [anon_sym_BSLASHlh] = ACTIONS(6020),
    [anon_sym_BSLASHlf] = ACTIONS(6020),
    [anon_sym_BSLASHli] = ACTIONS(6020),
    [anon_sym_BSLASHlim] = ACTIONS(6020),
    [anon_sym_BSLASHliv] = ACTIONS(6020),
    [anon_sym_BSLASHlik] = ACTIONS(6020),
    [anon_sym_BSLASHlitl] = ACTIONS(6020),
    [anon_sym_BSLASHtr] = ACTIONS(6020),
    [anon_sym_BSLASHf] = ACTIONS(6020),
    [anon_sym_BSLASHfe] = ACTIONS(6020),
    [anon_sym_BSLASHef] = ACTIONS(6020),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6020),
    [anon_sym_BSLASHxt] = ACTIONS(6020),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASHadd] = ACTIONS(6020),
    [anon_sym_BSLASHbk] = ACTIONS(6020),
    [anon_sym_BSLASHdc] = ACTIONS(6020),
    [anon_sym_BSLASHk] = ACTIONS(6020),
    [anon_sym_BSLASHnd] = ACTIONS(6020),
    [anon_sym_BSLASHord] = ACTIONS(6020),
    [anon_sym_BSLASHpn] = ACTIONS(6020),
    [anon_sym_BSLASHpng] = ACTIONS(6020),
    [anon_sym_BSLASHaddpn] = ACTIONS(6020),
    [anon_sym_BSLASHqt] = ACTIONS(6020),
    [anon_sym_BSLASHsig] = ACTIONS(6020),
    [anon_sym_BSLASHsls] = ACTIONS(6020),
    [anon_sym_BSLASHtl] = ACTIONS(6020),
    [anon_sym_BSLASHwj] = ACTIONS(6020),
    [anon_sym_BSLASHem] = ACTIONS(6020),
    [anon_sym_BSLASHbd] = ACTIONS(6020),
    [anon_sym_BSLASHit] = ACTIONS(6020),
    [anon_sym_BSLASHbdit] = ACTIONS(6020),
    [anon_sym_BSLASHno] = ACTIONS(6020),
    [anon_sym_BSLASHsc] = ACTIONS(6020),
    [anon_sym_BSLASHsup] = ACTIONS(6020),
    [anon_sym_BSLASHndx] = ACTIONS(6020),
    [anon_sym_BSLASHpro] = ACTIONS(6020),
    [anon_sym_BSLASHrb] = ACTIONS(6020),
    [anon_sym_BSLASHw] = ACTIONS(6020),
    [anon_sym_BSLASHwg] = ACTIONS(6020),
    [anon_sym_BSLASHwh] = ACTIONS(6020),
    [anon_sym_BSLASHwa] = ACTIONS(6020),
    [anon_sym_BSLASHfig] = ACTIONS(6020),
    [anon_sym_BSLASHjmp] = ACTIONS(6020),
    [anon_sym_BSLASHpb] = ACTIONS(6020),
    [anon_sym_BSLASH] = ACTIONS(6020),
    [sym_milestoneStartTag] = ACTIONS(6020),
    [sym_milestoneEndTag] = ACTIONS(6020),
    [sym_zSpaceTag] = ACTIONS(6020),
    [anon_sym_BSLASHesbe] = ACTIONS(6020),
    [anon_sym_BSLASHcat] = ACTIONS(6020),
  },
  [596] = {
    [aux_sym_text_token1] = ACTIONS(5966),
    [anon_sym_BSLASHref] = ACTIONS(5968),
    [anon_sym_BSLASHsts] = ACTIONS(5968),
    [anon_sym_BSLASHrem] = ACTIONS(5968),
    [anon_sym_BSLASHrestore] = ACTIONS(5968),
    [anon_sym_BSLASHlit] = ACTIONS(5968),
    [anon_sym_BSLASHip] = ACTIONS(5968),
    [anon_sym_BSLASHv] = ACTIONS(5968),
    [anon_sym_BSLASHva] = ACTIONS(5968),
    [anon_sym_BSLASHvp] = ACTIONS(5968),
    [anon_sym_BSLASHmte] = ACTIONS(5968),
    [anon_sym_BSLASHms] = ACTIONS(5968),
    [anon_sym_BSLASHs] = ACTIONS(5968),
    [anon_sym_BSLASHr] = ACTIONS(5968),
    [anon_sym_BSLASHsp] = ACTIONS(5968),
    [anon_sym_BSLASHd] = ACTIONS(5968),
    [anon_sym_BSLASHsd] = ACTIONS(5968),
    [anon_sym_BSLASHp] = ACTIONS(5968),
    [anon_sym_BSLASHm] = ACTIONS(5968),
    [anon_sym_BSLASHpo] = ACTIONS(5968),
    [anon_sym_BSLASHpr] = ACTIONS(5968),
    [anon_sym_BSLASHcls] = ACTIONS(5968),
    [anon_sym_BSLASHpmo] = ACTIONS(5968),
    [anon_sym_BSLASHpm] = ACTIONS(5968),
    [anon_sym_BSLASHpmc] = ACTIONS(5968),
    [anon_sym_BSLASHpmr] = ACTIONS(5968),
    [anon_sym_BSLASHpi] = ACTIONS(5968),
    [anon_sym_BSLASHmi] = ACTIONS(5968),
    [anon_sym_BSLASHnb] = ACTIONS(5968),
    [anon_sym_BSLASHpc] = ACTIONS(5968),
    [anon_sym_BSLASHph] = ACTIONS(5968),
    [anon_sym_BSLASHb] = ACTIONS(5968),
    [anon_sym_BSLASHq] = ACTIONS(5968),
    [anon_sym_BSLASHqr] = ACTIONS(5968),
    [anon_sym_BSLASHqc] = ACTIONS(5968),
    [anon_sym_BSLASHqa] = ACTIONS(5968),
    [anon_sym_BSLASHqm] = ACTIONS(5968),
    [anon_sym_BSLASHqd] = ACTIONS(5968),
    [anon_sym_BSLASHlh] = ACTIONS(5968),
    [anon_sym_BSLASHlf] = ACTIONS(5968),
    [anon_sym_BSLASHli] = ACTIONS(5968),
    [anon_sym_BSLASHlim] = ACTIONS(5968),
    [anon_sym_BSLASHliv] = ACTIONS(5968),
    [anon_sym_BSLASHlik] = ACTIONS(5968),
    [anon_sym_BSLASHlitl] = ACTIONS(5968),
    [anon_sym_BSLASHtr] = ACTIONS(5968),
    [anon_sym_BSLASHf] = ACTIONS(5968),
    [anon_sym_BSLASHfe] = ACTIONS(5968),
    [anon_sym_BSLASHef] = ACTIONS(5968),
    [anon_sym_BSLASHfm] = ACTIONS(5968),
    [anon_sym_BSLASHx] = ACTIONS(5968),
    [anon_sym_BSLASHxt] = ACTIONS(5968),
    [anon_sym_BSLASHrq] = ACTIONS(5968),
    [anon_sym_BSLASHadd] = ACTIONS(5968),
    [anon_sym_BSLASHbk] = ACTIONS(5968),
    [anon_sym_BSLASHdc] = ACTIONS(5968),
    [anon_sym_BSLASHk] = ACTIONS(5968),
    [anon_sym_BSLASHnd] = ACTIONS(5968),
    [anon_sym_BSLASHord] = ACTIONS(5968),
    [anon_sym_BSLASHpn] = ACTIONS(5968),
    [anon_sym_BSLASHpng] = ACTIONS(5968),
    [anon_sym_BSLASHaddpn] = ACTIONS(5968),
    [anon_sym_BSLASHqt] = ACTIONS(5968),
    [anon_sym_BSLASHsig] = ACTIONS(5968),
    [anon_sym_BSLASHsls] = ACTIONS(5968),
    [anon_sym_BSLASHtl] = ACTIONS(5968),
    [anon_sym_BSLASHwj] = ACTIONS(5968),
    [anon_sym_BSLASHem] = ACTIONS(5968),
    [anon_sym_BSLASHbd] = ACTIONS(5968),
    [anon_sym_BSLASHit] = ACTIONS(5968),
    [anon_sym_BSLASHbdit] = ACTIONS(5968),
    [anon_sym_BSLASHno] = ACTIONS(5968),
    [anon_sym_BSLASHsc] = ACTIONS(5968),
    [anon_sym_BSLASHsup] = ACTIONS(5968),
    [anon_sym_BSLASHndx] = ACTIONS(5968),
    [anon_sym_BSLASHpro] = ACTIONS(5968),
    [anon_sym_BSLASHrb] = ACTIONS(5968),
    [anon_sym_BSLASHw] = ACTIONS(5968),
    [anon_sym_BSLASHwg] = ACTIONS(5968),
    [anon_sym_BSLASHwh] = ACTIONS(5968),
    [anon_sym_BSLASHwa] = ACTIONS(5968),
    [anon_sym_BSLASHfig] = ACTIONS(5968),
    [anon_sym_BSLASHjmp] = ACTIONS(5968),
    [anon_sym_BSLASHpb] = ACTIONS(5968),
    [anon_sym_BSLASH] = ACTIONS(5968),
    [sym_milestoneStartTag] = ACTIONS(5968),
    [sym_milestoneEndTag] = ACTIONS(5968),
    [sym_zSpaceTag] = ACTIONS(5968),
    [anon_sym_BSLASHesbe] = ACTIONS(5968),
    [anon_sym_BSLASHcat] = ACTIONS(5968),
  },
  [597] = {
    [aux_sym_text_token1] = ACTIONS(5962),
    [anon_sym_BSLASHref] = ACTIONS(5964),
    [anon_sym_BSLASHsts] = ACTIONS(5964),
    [anon_sym_BSLASHrem] = ACTIONS(5964),
    [anon_sym_BSLASHrestore] = ACTIONS(5964),
    [anon_sym_BSLASHlit] = ACTIONS(5964),
    [anon_sym_BSLASHip] = ACTIONS(5964),
    [anon_sym_BSLASHv] = ACTIONS(5964),
    [anon_sym_BSLASHva] = ACTIONS(5964),
    [anon_sym_BSLASHvp] = ACTIONS(5964),
    [anon_sym_BSLASHmte] = ACTIONS(5964),
    [anon_sym_BSLASHms] = ACTIONS(5964),
    [anon_sym_BSLASHs] = ACTIONS(5964),
    [anon_sym_BSLASHr] = ACTIONS(5964),
    [anon_sym_BSLASHsp] = ACTIONS(5964),
    [anon_sym_BSLASHd] = ACTIONS(5964),
    [anon_sym_BSLASHsd] = ACTIONS(5964),
    [anon_sym_BSLASHp] = ACTIONS(5964),
    [anon_sym_BSLASHm] = ACTIONS(5964),
    [anon_sym_BSLASHpo] = ACTIONS(5964),
    [anon_sym_BSLASHpr] = ACTIONS(5964),
    [anon_sym_BSLASHcls] = ACTIONS(5964),
    [anon_sym_BSLASHpmo] = ACTIONS(5964),
    [anon_sym_BSLASHpm] = ACTIONS(5964),
    [anon_sym_BSLASHpmc] = ACTIONS(5964),
    [anon_sym_BSLASHpmr] = ACTIONS(5964),
    [anon_sym_BSLASHpi] = ACTIONS(5964),
    [anon_sym_BSLASHmi] = ACTIONS(5964),
    [anon_sym_BSLASHnb] = ACTIONS(5964),
    [anon_sym_BSLASHpc] = ACTIONS(5964),
    [anon_sym_BSLASHph] = ACTIONS(5964),
    [anon_sym_BSLASHb] = ACTIONS(5964),
    [anon_sym_BSLASHq] = ACTIONS(5964),
    [anon_sym_BSLASHqr] = ACTIONS(5964),
    [anon_sym_BSLASHqc] = ACTIONS(5964),
    [anon_sym_BSLASHqa] = ACTIONS(5964),
    [anon_sym_BSLASHqm] = ACTIONS(5964),
    [anon_sym_BSLASHqd] = ACTIONS(5964),
    [anon_sym_BSLASHlh] = ACTIONS(5964),
    [anon_sym_BSLASHlf] = ACTIONS(5964),
    [anon_sym_BSLASHli] = ACTIONS(5964),
    [anon_sym_BSLASHlim] = ACTIONS(5964),
    [anon_sym_BSLASHliv] = ACTIONS(5964),
    [anon_sym_BSLASHlik] = ACTIONS(5964),
    [anon_sym_BSLASHlitl] = ACTIONS(5964),
    [anon_sym_BSLASHtr] = ACTIONS(5964),
    [anon_sym_BSLASHf] = ACTIONS(5964),
    [anon_sym_BSLASHfe] = ACTIONS(5964),
    [anon_sym_BSLASHef] = ACTIONS(5964),
    [anon_sym_BSLASHfm] = ACTIONS(5964),
    [anon_sym_BSLASHx] = ACTIONS(5964),
    [anon_sym_BSLASHxt] = ACTIONS(5964),
    [anon_sym_BSLASHrq] = ACTIONS(5964),
    [anon_sym_BSLASHadd] = ACTIONS(5964),
    [anon_sym_BSLASHbk] = ACTIONS(5964),
    [anon_sym_BSLASHdc] = ACTIONS(5964),
    [anon_sym_BSLASHk] = ACTIONS(5964),
    [anon_sym_BSLASHnd] = ACTIONS(5964),
    [anon_sym_BSLASHord] = ACTIONS(5964),
    [anon_sym_BSLASHpn] = ACTIONS(5964),
    [anon_sym_BSLASHpng] = ACTIONS(5964),
    [anon_sym_BSLASHaddpn] = ACTIONS(5964),
    [anon_sym_BSLASHqt] = ACTIONS(5964),
    [anon_sym_BSLASHsig] = ACTIONS(5964),
    [anon_sym_BSLASHsls] = ACTIONS(5964),
    [anon_sym_BSLASHtl] = ACTIONS(5964),
    [anon_sym_BSLASHwj] = ACTIONS(5964),
    [anon_sym_BSLASHem] = ACTIONS(5964),
    [anon_sym_BSLASHbd] = ACTIONS(5964),
    [anon_sym_BSLASHit] = ACTIONS(5964),
    [anon_sym_BSLASHbdit] = ACTIONS(5964),
    [anon_sym_BSLASHno] = ACTIONS(5964),
    [anon_sym_BSLASHsc] = ACTIONS(5964),
    [anon_sym_BSLASHsup] = ACTIONS(5964),
    [anon_sym_BSLASHndx] = ACTIONS(5964),
    [anon_sym_BSLASHpro] = ACTIONS(5964),
    [anon_sym_BSLASHrb] = ACTIONS(5964),
    [anon_sym_BSLASHw] = ACTIONS(5964),
    [anon_sym_BSLASHwg] = ACTIONS(5964),
    [anon_sym_BSLASHwh] = ACTIONS(5964),
    [anon_sym_BSLASHwa] = ACTIONS(5964),
    [anon_sym_BSLASHfig] = ACTIONS(5964),
    [anon_sym_BSLASHjmp] = ACTIONS(5964),
    [anon_sym_BSLASHpb] = ACTIONS(5964),
    [anon_sym_BSLASH] = ACTIONS(5964),
    [sym_milestoneStartTag] = ACTIONS(5964),
    [sym_milestoneEndTag] = ACTIONS(5964),
    [sym_zSpaceTag] = ACTIONS(5964),
    [anon_sym_BSLASHesbe] = ACTIONS(5964),
    [anon_sym_BSLASHcat] = ACTIONS(5964),
  },
  [598] = {
    [aux_sym_text_token1] = ACTIONS(5922),
    [anon_sym_BSLASHref] = ACTIONS(5924),
    [anon_sym_BSLASHsts] = ACTIONS(5924),
    [anon_sym_BSLASHrem] = ACTIONS(5924),
    [anon_sym_BSLASHrestore] = ACTIONS(5924),
    [anon_sym_BSLASHlit] = ACTIONS(5924),
    [anon_sym_BSLASHip] = ACTIONS(5924),
    [anon_sym_BSLASHv] = ACTIONS(5924),
    [anon_sym_BSLASHva] = ACTIONS(5924),
    [anon_sym_BSLASHvp] = ACTIONS(5924),
    [anon_sym_BSLASHmte] = ACTIONS(5924),
    [anon_sym_BSLASHms] = ACTIONS(5924),
    [anon_sym_BSLASHs] = ACTIONS(5924),
    [anon_sym_BSLASHr] = ACTIONS(5924),
    [anon_sym_BSLASHsp] = ACTIONS(5924),
    [anon_sym_BSLASHd] = ACTIONS(5924),
    [anon_sym_BSLASHsd] = ACTIONS(5924),
    [anon_sym_BSLASHp] = ACTIONS(5924),
    [anon_sym_BSLASHm] = ACTIONS(5924),
    [anon_sym_BSLASHpo] = ACTIONS(5924),
    [anon_sym_BSLASHpr] = ACTIONS(5924),
    [anon_sym_BSLASHcls] = ACTIONS(5924),
    [anon_sym_BSLASHpmo] = ACTIONS(5924),
    [anon_sym_BSLASHpm] = ACTIONS(5924),
    [anon_sym_BSLASHpmc] = ACTIONS(5924),
    [anon_sym_BSLASHpmr] = ACTIONS(5924),
    [anon_sym_BSLASHpi] = ACTIONS(5924),
    [anon_sym_BSLASHmi] = ACTIONS(5924),
    [anon_sym_BSLASHnb] = ACTIONS(5924),
    [anon_sym_BSLASHpc] = ACTIONS(5924),
    [anon_sym_BSLASHph] = ACTIONS(5924),
    [anon_sym_BSLASHb] = ACTIONS(5924),
    [anon_sym_BSLASHq] = ACTIONS(5924),
    [anon_sym_BSLASHqr] = ACTIONS(5924),
    [anon_sym_BSLASHqc] = ACTIONS(5924),
    [anon_sym_BSLASHqa] = ACTIONS(5924),
    [anon_sym_BSLASHqm] = ACTIONS(5924),
    [anon_sym_BSLASHqd] = ACTIONS(5924),
    [anon_sym_BSLASHlh] = ACTIONS(5924),
    [anon_sym_BSLASHlf] = ACTIONS(5924),
    [anon_sym_BSLASHli] = ACTIONS(5924),
    [anon_sym_BSLASHlim] = ACTIONS(5924),
    [anon_sym_BSLASHliv] = ACTIONS(5924),
    [anon_sym_BSLASHlik] = ACTIONS(5924),
    [anon_sym_BSLASHlitl] = ACTIONS(5924),
    [anon_sym_BSLASHtr] = ACTIONS(5924),
    [anon_sym_BSLASHf] = ACTIONS(5924),
    [anon_sym_BSLASHfe] = ACTIONS(5924),
    [anon_sym_BSLASHef] = ACTIONS(5924),
    [anon_sym_BSLASHfm] = ACTIONS(5924),
    [anon_sym_BSLASHx] = ACTIONS(5924),
    [anon_sym_BSLASHxt] = ACTIONS(5924),
    [anon_sym_BSLASHrq] = ACTIONS(5924),
    [anon_sym_BSLASHadd] = ACTIONS(5924),
    [anon_sym_BSLASHbk] = ACTIONS(5924),
    [anon_sym_BSLASHdc] = ACTIONS(5924),
    [anon_sym_BSLASHk] = ACTIONS(5924),
    [anon_sym_BSLASHnd] = ACTIONS(5924),
    [anon_sym_BSLASHord] = ACTIONS(5924),
    [anon_sym_BSLASHpn] = ACTIONS(5924),
    [anon_sym_BSLASHpng] = ACTIONS(5924),
    [anon_sym_BSLASHaddpn] = ACTIONS(5924),
    [anon_sym_BSLASHqt] = ACTIONS(5924),
    [anon_sym_BSLASHsig] = ACTIONS(5924),
    [anon_sym_BSLASHsls] = ACTIONS(5924),
    [anon_sym_BSLASHtl] = ACTIONS(5924),
    [anon_sym_BSLASHwj] = ACTIONS(5924),
    [anon_sym_BSLASHem] = ACTIONS(5924),
    [anon_sym_BSLASHbd] = ACTIONS(5924),
    [anon_sym_BSLASHit] = ACTIONS(5924),
    [anon_sym_BSLASHbdit] = ACTIONS(5924),
    [anon_sym_BSLASHno] = ACTIONS(5924),
    [anon_sym_BSLASHsc] = ACTIONS(5924),
    [anon_sym_BSLASHsup] = ACTIONS(5924),
    [anon_sym_BSLASHndx] = ACTIONS(5924),
    [anon_sym_BSLASHpro] = ACTIONS(5924),
    [anon_sym_BSLASHrb] = ACTIONS(5924),
    [anon_sym_BSLASHw] = ACTIONS(5924),
    [anon_sym_BSLASHwg] = ACTIONS(5924),
    [anon_sym_BSLASHwh] = ACTIONS(5924),
    [anon_sym_BSLASHwa] = ACTIONS(5924),
    [anon_sym_BSLASHfig] = ACTIONS(5924),
    [anon_sym_BSLASHjmp] = ACTIONS(5924),
    [anon_sym_BSLASHpb] = ACTIONS(5924),
    [anon_sym_BSLASH] = ACTIONS(5924),
    [sym_milestoneStartTag] = ACTIONS(5924),
    [sym_milestoneEndTag] = ACTIONS(5924),
    [sym_zSpaceTag] = ACTIONS(5924),
    [anon_sym_BSLASHesbe] = ACTIONS(5924),
    [anon_sym_BSLASHcat] = ACTIONS(5924),
  },
  [599] = {
    [aux_sym_text_token1] = ACTIONS(5918),
    [anon_sym_BSLASHref] = ACTIONS(5920),
    [anon_sym_BSLASHsts] = ACTIONS(5920),
    [anon_sym_BSLASHrem] = ACTIONS(5920),
    [anon_sym_BSLASHrestore] = ACTIONS(5920),
    [anon_sym_BSLASHlit] = ACTIONS(5920),
    [anon_sym_BSLASHip] = ACTIONS(5920),
    [anon_sym_BSLASHv] = ACTIONS(5920),
    [anon_sym_BSLASHva] = ACTIONS(5920),
    [anon_sym_BSLASHvp] = ACTIONS(5920),
    [anon_sym_BSLASHmte] = ACTIONS(5920),
    [anon_sym_BSLASHms] = ACTIONS(5920),
    [anon_sym_BSLASHs] = ACTIONS(5920),
    [anon_sym_BSLASHr] = ACTIONS(5920),
    [anon_sym_BSLASHsp] = ACTIONS(5920),
    [anon_sym_BSLASHd] = ACTIONS(5920),
    [anon_sym_BSLASHsd] = ACTIONS(5920),
    [anon_sym_BSLASHp] = ACTIONS(5920),
    [anon_sym_BSLASHm] = ACTIONS(5920),
    [anon_sym_BSLASHpo] = ACTIONS(5920),
    [anon_sym_BSLASHpr] = ACTIONS(5920),
    [anon_sym_BSLASHcls] = ACTIONS(5920),
    [anon_sym_BSLASHpmo] = ACTIONS(5920),
    [anon_sym_BSLASHpm] = ACTIONS(5920),
    [anon_sym_BSLASHpmc] = ACTIONS(5920),
    [anon_sym_BSLASHpmr] = ACTIONS(5920),
    [anon_sym_BSLASHpi] = ACTIONS(5920),
    [anon_sym_BSLASHmi] = ACTIONS(5920),
    [anon_sym_BSLASHnb] = ACTIONS(5920),
    [anon_sym_BSLASHpc] = ACTIONS(5920),
    [anon_sym_BSLASHph] = ACTIONS(5920),
    [anon_sym_BSLASHb] = ACTIONS(5920),
    [anon_sym_BSLASHq] = ACTIONS(5920),
    [anon_sym_BSLASHqr] = ACTIONS(5920),
    [anon_sym_BSLASHqc] = ACTIONS(5920),
    [anon_sym_BSLASHqa] = ACTIONS(5920),
    [anon_sym_BSLASHqm] = ACTIONS(5920),
    [anon_sym_BSLASHqd] = ACTIONS(5920),
    [anon_sym_BSLASHlh] = ACTIONS(5920),
    [anon_sym_BSLASHlf] = ACTIONS(5920),
    [anon_sym_BSLASHli] = ACTIONS(5920),
    [anon_sym_BSLASHlim] = ACTIONS(5920),
    [anon_sym_BSLASHliv] = ACTIONS(5920),
    [anon_sym_BSLASHlik] = ACTIONS(5920),
    [anon_sym_BSLASHlitl] = ACTIONS(5920),
    [anon_sym_BSLASHtr] = ACTIONS(5920),
    [anon_sym_BSLASHf] = ACTIONS(5920),
    [anon_sym_BSLASHfe] = ACTIONS(5920),
    [anon_sym_BSLASHef] = ACTIONS(5920),
    [anon_sym_BSLASHfm] = ACTIONS(5920),
    [anon_sym_BSLASHx] = ACTIONS(5920),
    [anon_sym_BSLASHxt] = ACTIONS(5920),
    [anon_sym_BSLASHrq] = ACTIONS(5920),
    [anon_sym_BSLASHadd] = ACTIONS(5920),
    [anon_sym_BSLASHbk] = ACTIONS(5920),
    [anon_sym_BSLASHdc] = ACTIONS(5920),
    [anon_sym_BSLASHk] = ACTIONS(5920),
    [anon_sym_BSLASHnd] = ACTIONS(5920),
    [anon_sym_BSLASHord] = ACTIONS(5920),
    [anon_sym_BSLASHpn] = ACTIONS(5920),
    [anon_sym_BSLASHpng] = ACTIONS(5920),
    [anon_sym_BSLASHaddpn] = ACTIONS(5920),
    [anon_sym_BSLASHqt] = ACTIONS(5920),
    [anon_sym_BSLASHsig] = ACTIONS(5920),
    [anon_sym_BSLASHsls] = ACTIONS(5920),
    [anon_sym_BSLASHtl] = ACTIONS(5920),
    [anon_sym_BSLASHwj] = ACTIONS(5920),
    [anon_sym_BSLASHem] = ACTIONS(5920),
    [anon_sym_BSLASHbd] = ACTIONS(5920),
    [anon_sym_BSLASHit] = ACTIONS(5920),
    [anon_sym_BSLASHbdit] = ACTIONS(5920),
    [anon_sym_BSLASHno] = ACTIONS(5920),
    [anon_sym_BSLASHsc] = ACTIONS(5920),
    [anon_sym_BSLASHsup] = ACTIONS(5920),
    [anon_sym_BSLASHndx] = ACTIONS(5920),
    [anon_sym_BSLASHpro] = ACTIONS(5920),
    [anon_sym_BSLASHrb] = ACTIONS(5920),
    [anon_sym_BSLASHw] = ACTIONS(5920),
    [anon_sym_BSLASHwg] = ACTIONS(5920),
    [anon_sym_BSLASHwh] = ACTIONS(5920),
    [anon_sym_BSLASHwa] = ACTIONS(5920),
    [anon_sym_BSLASHfig] = ACTIONS(5920),
    [anon_sym_BSLASHjmp] = ACTIONS(5920),
    [anon_sym_BSLASHpb] = ACTIONS(5920),
    [anon_sym_BSLASH] = ACTIONS(5920),
    [sym_milestoneStartTag] = ACTIONS(5920),
    [sym_milestoneEndTag] = ACTIONS(5920),
    [sym_zSpaceTag] = ACTIONS(5920),
    [anon_sym_BSLASHesbe] = ACTIONS(5920),
    [anon_sym_BSLASHcat] = ACTIONS(5920),
  },
  [600] = {
    [aux_sym_text_token1] = ACTIONS(5930),
    [anon_sym_BSLASHref] = ACTIONS(5932),
    [anon_sym_BSLASHsts] = ACTIONS(5932),
    [anon_sym_BSLASHrem] = ACTIONS(5932),
    [anon_sym_BSLASHrestore] = ACTIONS(5932),
    [anon_sym_BSLASHlit] = ACTIONS(5932),
    [anon_sym_BSLASHip] = ACTIONS(5932),
    [anon_sym_BSLASHv] = ACTIONS(5932),
    [anon_sym_BSLASHva] = ACTIONS(5932),
    [anon_sym_BSLASHvp] = ACTIONS(5932),
    [anon_sym_BSLASHmte] = ACTIONS(5932),
    [anon_sym_BSLASHms] = ACTIONS(5932),
    [anon_sym_BSLASHs] = ACTIONS(5932),
    [anon_sym_BSLASHr] = ACTIONS(5932),
    [anon_sym_BSLASHsp] = ACTIONS(5932),
    [anon_sym_BSLASHd] = ACTIONS(5932),
    [anon_sym_BSLASHsd] = ACTIONS(5932),
    [anon_sym_BSLASHp] = ACTIONS(5932),
    [anon_sym_BSLASHm] = ACTIONS(5932),
    [anon_sym_BSLASHpo] = ACTIONS(5932),
    [anon_sym_BSLASHpr] = ACTIONS(5932),
    [anon_sym_BSLASHcls] = ACTIONS(5932),
    [anon_sym_BSLASHpmo] = ACTIONS(5932),
    [anon_sym_BSLASHpm] = ACTIONS(5932),
    [anon_sym_BSLASHpmc] = ACTIONS(5932),
    [anon_sym_BSLASHpmr] = ACTIONS(5932),
    [anon_sym_BSLASHpi] = ACTIONS(5932),
    [anon_sym_BSLASHmi] = ACTIONS(5932),
    [anon_sym_BSLASHnb] = ACTIONS(5932),
    [anon_sym_BSLASHpc] = ACTIONS(5932),
    [anon_sym_BSLASHph] = ACTIONS(5932),
    [anon_sym_BSLASHb] = ACTIONS(5932),
    [anon_sym_BSLASHq] = ACTIONS(5932),
    [anon_sym_BSLASHqr] = ACTIONS(5932),
    [anon_sym_BSLASHqc] = ACTIONS(5932),
    [anon_sym_BSLASHqa] = ACTIONS(5932),
    [anon_sym_BSLASHqm] = ACTIONS(5932),
    [anon_sym_BSLASHqd] = ACTIONS(5932),
    [anon_sym_BSLASHlh] = ACTIONS(5932),
    [anon_sym_BSLASHlf] = ACTIONS(5932),
    [anon_sym_BSLASHli] = ACTIONS(5932),
    [anon_sym_BSLASHlim] = ACTIONS(5932),
    [anon_sym_BSLASHliv] = ACTIONS(5932),
    [anon_sym_BSLASHlik] = ACTIONS(5932),
    [anon_sym_BSLASHlitl] = ACTIONS(5932),
    [anon_sym_BSLASHtr] = ACTIONS(5932),
    [anon_sym_BSLASHf] = ACTIONS(5932),
    [anon_sym_BSLASHfe] = ACTIONS(5932),
    [anon_sym_BSLASHef] = ACTIONS(5932),
    [anon_sym_BSLASHfm] = ACTIONS(5932),
    [anon_sym_BSLASHx] = ACTIONS(5932),
    [anon_sym_BSLASHxt] = ACTIONS(5932),
    [anon_sym_BSLASHrq] = ACTIONS(5932),
    [anon_sym_BSLASHadd] = ACTIONS(5932),
    [anon_sym_BSLASHbk] = ACTIONS(5932),
    [anon_sym_BSLASHdc] = ACTIONS(5932),
    [anon_sym_BSLASHk] = ACTIONS(5932),
    [anon_sym_BSLASHnd] = ACTIONS(5932),
    [anon_sym_BSLASHord] = ACTIONS(5932),
    [anon_sym_BSLASHpn] = ACTIONS(5932),
    [anon_sym_BSLASHpng] = ACTIONS(5932),
    [anon_sym_BSLASHaddpn] = ACTIONS(5932),
    [anon_sym_BSLASHqt] = ACTIONS(5932),
    [anon_sym_BSLASHsig] = ACTIONS(5932),
    [anon_sym_BSLASHsls] = ACTIONS(5932),
    [anon_sym_BSLASHtl] = ACTIONS(5932),
    [anon_sym_BSLASHwj] = ACTIONS(5932),
    [anon_sym_BSLASHem] = ACTIONS(5932),
    [anon_sym_BSLASHbd] = ACTIONS(5932),
    [anon_sym_BSLASHit] = ACTIONS(5932),
    [anon_sym_BSLASHbdit] = ACTIONS(5932),
    [anon_sym_BSLASHno] = ACTIONS(5932),
    [anon_sym_BSLASHsc] = ACTIONS(5932),
    [anon_sym_BSLASHsup] = ACTIONS(5932),
    [anon_sym_BSLASHndx] = ACTIONS(5932),
    [anon_sym_BSLASHpro] = ACTIONS(5932),
    [anon_sym_BSLASHrb] = ACTIONS(5932),
    [anon_sym_BSLASHw] = ACTIONS(5932),
    [anon_sym_BSLASHwg] = ACTIONS(5932),
    [anon_sym_BSLASHwh] = ACTIONS(5932),
    [anon_sym_BSLASHwa] = ACTIONS(5932),
    [anon_sym_BSLASHfig] = ACTIONS(5932),
    [anon_sym_BSLASHjmp] = ACTIONS(5932),
    [anon_sym_BSLASHpb] = ACTIONS(5932),
    [anon_sym_BSLASH] = ACTIONS(5932),
    [sym_milestoneStartTag] = ACTIONS(5932),
    [sym_milestoneEndTag] = ACTIONS(5932),
    [sym_zSpaceTag] = ACTIONS(5932),
    [anon_sym_BSLASHesbe] = ACTIONS(5932),
    [anon_sym_BSLASHcat] = ACTIONS(5932),
  },
  [601] = {
    [aux_sym_text_token1] = ACTIONS(5942),
    [anon_sym_BSLASHref] = ACTIONS(5944),
    [anon_sym_BSLASHsts] = ACTIONS(5944),
    [anon_sym_BSLASHrem] = ACTIONS(5944),
    [anon_sym_BSLASHrestore] = ACTIONS(5944),
    [anon_sym_BSLASHlit] = ACTIONS(5944),
    [anon_sym_BSLASHip] = ACTIONS(5944),
    [anon_sym_BSLASHv] = ACTIONS(5944),
    [anon_sym_BSLASHva] = ACTIONS(5944),
    [anon_sym_BSLASHvp] = ACTIONS(5944),
    [anon_sym_BSLASHmte] = ACTIONS(5944),
    [anon_sym_BSLASHms] = ACTIONS(5944),
    [anon_sym_BSLASHs] = ACTIONS(5944),
    [anon_sym_BSLASHr] = ACTIONS(5944),
    [anon_sym_BSLASHsp] = ACTIONS(5944),
    [anon_sym_BSLASHd] = ACTIONS(5944),
    [anon_sym_BSLASHsd] = ACTIONS(5944),
    [anon_sym_BSLASHp] = ACTIONS(5944),
    [anon_sym_BSLASHm] = ACTIONS(5944),
    [anon_sym_BSLASHpo] = ACTIONS(5944),
    [anon_sym_BSLASHpr] = ACTIONS(5944),
    [anon_sym_BSLASHcls] = ACTIONS(5944),
    [anon_sym_BSLASHpmo] = ACTIONS(5944),
    [anon_sym_BSLASHpm] = ACTIONS(5944),
    [anon_sym_BSLASHpmc] = ACTIONS(5944),
    [anon_sym_BSLASHpmr] = ACTIONS(5944),
    [anon_sym_BSLASHpi] = ACTIONS(5944),
    [anon_sym_BSLASHmi] = ACTIONS(5944),
    [anon_sym_BSLASHnb] = ACTIONS(5944),
    [anon_sym_BSLASHpc] = ACTIONS(5944),
    [anon_sym_BSLASHph] = ACTIONS(5944),
    [anon_sym_BSLASHb] = ACTIONS(5944),
    [anon_sym_BSLASHq] = ACTIONS(5944),
    [anon_sym_BSLASHqr] = ACTIONS(5944),
    [anon_sym_BSLASHqc] = ACTIONS(5944),
    [anon_sym_BSLASHqa] = ACTIONS(5944),
    [anon_sym_BSLASHqm] = ACTIONS(5944),
    [anon_sym_BSLASHqd] = ACTIONS(5944),
    [anon_sym_BSLASHlh] = ACTIONS(5944),
    [anon_sym_BSLASHlf] = ACTIONS(5944),
    [anon_sym_BSLASHli] = ACTIONS(5944),
    [anon_sym_BSLASHlim] = ACTIONS(5944),
    [anon_sym_BSLASHliv] = ACTIONS(5944),
    [anon_sym_BSLASHlik] = ACTIONS(5944),
    [anon_sym_BSLASHlitl] = ACTIONS(5944),
    [anon_sym_BSLASHtr] = ACTIONS(5944),
    [anon_sym_BSLASHf] = ACTIONS(5944),
    [anon_sym_BSLASHfe] = ACTIONS(5944),
    [anon_sym_BSLASHef] = ACTIONS(5944),
    [anon_sym_BSLASHfm] = ACTIONS(5944),
    [anon_sym_BSLASHx] = ACTIONS(5944),
    [anon_sym_BSLASHxt] = ACTIONS(5944),
    [anon_sym_BSLASHrq] = ACTIONS(5944),
    [anon_sym_BSLASHadd] = ACTIONS(5944),
    [anon_sym_BSLASHbk] = ACTIONS(5944),
    [anon_sym_BSLASHdc] = ACTIONS(5944),
    [anon_sym_BSLASHk] = ACTIONS(5944),
    [anon_sym_BSLASHnd] = ACTIONS(5944),
    [anon_sym_BSLASHord] = ACTIONS(5944),
    [anon_sym_BSLASHpn] = ACTIONS(5944),
    [anon_sym_BSLASHpng] = ACTIONS(5944),
    [anon_sym_BSLASHaddpn] = ACTIONS(5944),
    [anon_sym_BSLASHqt] = ACTIONS(5944),
    [anon_sym_BSLASHsig] = ACTIONS(5944),
    [anon_sym_BSLASHsls] = ACTIONS(5944),
    [anon_sym_BSLASHtl] = ACTIONS(5944),
    [anon_sym_BSLASHwj] = ACTIONS(5944),
    [anon_sym_BSLASHem] = ACTIONS(5944),
    [anon_sym_BSLASHbd] = ACTIONS(5944),
    [anon_sym_BSLASHit] = ACTIONS(5944),
    [anon_sym_BSLASHbdit] = ACTIONS(5944),
    [anon_sym_BSLASHno] = ACTIONS(5944),
    [anon_sym_BSLASHsc] = ACTIONS(5944),
    [anon_sym_BSLASHsup] = ACTIONS(5944),
    [anon_sym_BSLASHndx] = ACTIONS(5944),
    [anon_sym_BSLASHpro] = ACTIONS(5944),
    [anon_sym_BSLASHrb] = ACTIONS(5944),
    [anon_sym_BSLASHw] = ACTIONS(5944),
    [anon_sym_BSLASHwg] = ACTIONS(5944),
    [anon_sym_BSLASHwh] = ACTIONS(5944),
    [anon_sym_BSLASHwa] = ACTIONS(5944),
    [anon_sym_BSLASHfig] = ACTIONS(5944),
    [anon_sym_BSLASHjmp] = ACTIONS(5944),
    [anon_sym_BSLASHpb] = ACTIONS(5944),
    [anon_sym_BSLASH] = ACTIONS(5944),
    [sym_milestoneStartTag] = ACTIONS(5944),
    [sym_milestoneEndTag] = ACTIONS(5944),
    [sym_zSpaceTag] = ACTIONS(5944),
    [anon_sym_BSLASHesbe] = ACTIONS(5944),
    [anon_sym_BSLASHcat] = ACTIONS(5944),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(2743),
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHiex] = ACTIONS(2745),
    [anon_sym_BSLASHc] = ACTIONS(2745),
    [anon_sym_BSLASHcl] = ACTIONS(2745),
    [anon_sym_BSLASHca] = ACTIONS(2745),
    [anon_sym_BSLASHcp] = ACTIONS(2745),
    [anon_sym_BSLASHcd] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [sym_thTag] = ACTIONS(2745),
    [sym_thrTag] = ACTIONS(2745),
    [sym_tcTag] = ACTIONS(2745),
    [sym_tcrTag] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesb] = ACTIONS(2745),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [aux_sym_text_token1] = ACTIONS(2771),
    [anon_sym_BSLASHsts] = ACTIONS(2773),
    [anon_sym_BSLASHrem] = ACTIONS(2773),
    [anon_sym_BSLASHrestore] = ACTIONS(2773),
    [anon_sym_BSLASHlit] = ACTIONS(2773),
    [anon_sym_BSLASHip] = ACTIONS(2773),
    [anon_sym_BSLASHiex] = ACTIONS(2773),
    [anon_sym_BSLASHc] = ACTIONS(2773),
    [anon_sym_BSLASHcl] = ACTIONS(2773),
    [anon_sym_BSLASHca] = ACTIONS(2773),
    [anon_sym_BSLASHcp] = ACTIONS(2773),
    [anon_sym_BSLASHcd] = ACTIONS(2773),
    [anon_sym_BSLASHmte] = ACTIONS(2773),
    [anon_sym_BSLASHms] = ACTIONS(2773),
    [anon_sym_BSLASHs] = ACTIONS(2773),
    [anon_sym_BSLASHr] = ACTIONS(2773),
    [anon_sym_BSLASHsp] = ACTIONS(2773),
    [anon_sym_BSLASHd] = ACTIONS(2773),
    [anon_sym_BSLASHsd] = ACTIONS(2773),
    [anon_sym_BSLASHp] = ACTIONS(2773),
    [anon_sym_BSLASHm] = ACTIONS(2773),
    [anon_sym_BSLASHpo] = ACTIONS(2773),
    [anon_sym_BSLASHpr] = ACTIONS(2773),
    [anon_sym_BSLASHcls] = ACTIONS(2773),
    [anon_sym_BSLASHpmo] = ACTIONS(2773),
    [anon_sym_BSLASHpm] = ACTIONS(2773),
    [anon_sym_BSLASHpmc] = ACTIONS(2773),
    [anon_sym_BSLASHpmr] = ACTIONS(2773),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2773),
    [anon_sym_BSLASHnb] = ACTIONS(2773),
    [anon_sym_BSLASHpc] = ACTIONS(2773),
    [anon_sym_BSLASHph] = ACTIONS(2773),
    [anon_sym_BSLASHb] = ACTIONS(2773),
    [anon_sym_BSLASHq] = ACTIONS(2773),
    [anon_sym_BSLASHqr] = ACTIONS(2773),
    [anon_sym_BSLASHqc] = ACTIONS(2773),
    [anon_sym_BSLASHqa] = ACTIONS(2773),
    [anon_sym_BSLASHqm] = ACTIONS(2773),
    [anon_sym_BSLASHqd] = ACTIONS(2773),
    [anon_sym_BSLASHlh] = ACTIONS(2773),
    [anon_sym_BSLASHli] = ACTIONS(2773),
    [anon_sym_BSLASHlim] = ACTIONS(2773),
    [anon_sym_BSLASHtr] = ACTIONS(2773),
    [sym_thTag] = ACTIONS(2773),
    [sym_thrTag] = ACTIONS(2773),
    [sym_tcTag] = ACTIONS(2773),
    [sym_tcrTag] = ACTIONS(2773),
    [anon_sym_BSLASHf] = ACTIONS(2773),
    [anon_sym_BSLASHfe] = ACTIONS(2773),
    [anon_sym_BSLASHef] = ACTIONS(2773),
    [anon_sym_BSLASHfm] = ACTIONS(2773),
    [anon_sym_BSLASHadd] = ACTIONS(2773),
    [anon_sym_BSLASHbk] = ACTIONS(2773),
    [anon_sym_BSLASHdc] = ACTIONS(2773),
    [anon_sym_BSLASHk] = ACTIONS(2773),
    [anon_sym_BSLASHnd] = ACTIONS(2773),
    [anon_sym_BSLASHord] = ACTIONS(2773),
    [anon_sym_BSLASHpn] = ACTIONS(2773),
    [anon_sym_BSLASHpng] = ACTIONS(2773),
    [anon_sym_BSLASHaddpn] = ACTIONS(2773),
    [anon_sym_BSLASHqt] = ACTIONS(2773),
    [anon_sym_BSLASHsig] = ACTIONS(2773),
    [anon_sym_BSLASHsls] = ACTIONS(2773),
    [anon_sym_BSLASHtl] = ACTIONS(2773),
    [anon_sym_BSLASHwj] = ACTIONS(2773),
    [anon_sym_BSLASHem] = ACTIONS(2773),
    [anon_sym_BSLASHbd] = ACTIONS(2773),
    [anon_sym_BSLASHit] = ACTIONS(2773),
    [anon_sym_BSLASHbdit] = ACTIONS(2773),
    [anon_sym_BSLASHno] = ACTIONS(2773),
    [anon_sym_BSLASHsc] = ACTIONS(2773),
    [anon_sym_BSLASHsup] = ACTIONS(2773),
    [anon_sym_BSLASHndx] = ACTIONS(2773),
    [anon_sym_BSLASHpro] = ACTIONS(2773),
    [anon_sym_BSLASHrb] = ACTIONS(2773),
    [anon_sym_BSLASHw] = ACTIONS(2773),
    [anon_sym_BSLASHwg] = ACTIONS(2773),
    [anon_sym_BSLASHwh] = ACTIONS(2773),
    [anon_sym_BSLASHwa] = ACTIONS(2773),
    [anon_sym_BSLASHfig] = ACTIONS(2773),
    [anon_sym_BSLASHjmp] = ACTIONS(2773),
    [anon_sym_BSLASHpb] = ACTIONS(2773),
    [anon_sym_BSLASH] = ACTIONS(2773),
    [sym_milestoneStartTag] = ACTIONS(2773),
    [sym_milestoneEndTag] = ACTIONS(2773),
    [sym_zSpaceTag] = ACTIONS(2773),
    [anon_sym_BSLASHesb] = ACTIONS(2773),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(2739),
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHiex] = ACTIONS(2741),
    [anon_sym_BSLASHc] = ACTIONS(2741),
    [anon_sym_BSLASHcl] = ACTIONS(2741),
    [anon_sym_BSLASHca] = ACTIONS(2741),
    [anon_sym_BSLASHcp] = ACTIONS(2741),
    [anon_sym_BSLASHcd] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [sym_thTag] = ACTIONS(2741),
    [sym_thrTag] = ACTIONS(2741),
    [sym_tcTag] = ACTIONS(2741),
    [sym_tcrTag] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesb] = ACTIONS(2741),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(2755),
    [aux_sym_text_token1] = ACTIONS(2755),
    [anon_sym_BSLASHsts] = ACTIONS(2757),
    [anon_sym_BSLASHrem] = ACTIONS(2757),
    [anon_sym_BSLASHrestore] = ACTIONS(2757),
    [anon_sym_BSLASHlit] = ACTIONS(2757),
    [anon_sym_BSLASHip] = ACTIONS(2757),
    [anon_sym_BSLASHiex] = ACTIONS(2757),
    [anon_sym_BSLASHc] = ACTIONS(2757),
    [anon_sym_BSLASHcl] = ACTIONS(2757),
    [anon_sym_BSLASHca] = ACTIONS(2757),
    [anon_sym_BSLASHcp] = ACTIONS(2757),
    [anon_sym_BSLASHcd] = ACTIONS(2757),
    [anon_sym_BSLASHmte] = ACTIONS(2757),
    [anon_sym_BSLASHms] = ACTIONS(2757),
    [anon_sym_BSLASHs] = ACTIONS(2757),
    [anon_sym_BSLASHr] = ACTIONS(2757),
    [anon_sym_BSLASHsp] = ACTIONS(2757),
    [anon_sym_BSLASHd] = ACTIONS(2757),
    [anon_sym_BSLASHsd] = ACTIONS(2757),
    [anon_sym_BSLASHp] = ACTIONS(2757),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2757),
    [anon_sym_BSLASHpr] = ACTIONS(2757),
    [anon_sym_BSLASHcls] = ACTIONS(2757),
    [anon_sym_BSLASHpmo] = ACTIONS(2757),
    [anon_sym_BSLASHpm] = ACTIONS(2757),
    [anon_sym_BSLASHpmc] = ACTIONS(2757),
    [anon_sym_BSLASHpmr] = ACTIONS(2757),
    [anon_sym_BSLASHpi] = ACTIONS(2757),
    [anon_sym_BSLASHmi] = ACTIONS(2757),
    [anon_sym_BSLASHnb] = ACTIONS(2757),
    [anon_sym_BSLASHpc] = ACTIONS(2757),
    [anon_sym_BSLASHph] = ACTIONS(2757),
    [anon_sym_BSLASHb] = ACTIONS(2757),
    [anon_sym_BSLASHq] = ACTIONS(2757),
    [anon_sym_BSLASHqr] = ACTIONS(2757),
    [anon_sym_BSLASHqc] = ACTIONS(2757),
    [anon_sym_BSLASHqa] = ACTIONS(2757),
    [anon_sym_BSLASHqm] = ACTIONS(2757),
    [anon_sym_BSLASHqd] = ACTIONS(2757),
    [anon_sym_BSLASHlh] = ACTIONS(2757),
    [anon_sym_BSLASHli] = ACTIONS(2757),
    [anon_sym_BSLASHlim] = ACTIONS(2757),
    [anon_sym_BSLASHtr] = ACTIONS(2757),
    [sym_thTag] = ACTIONS(2757),
    [sym_thrTag] = ACTIONS(2757),
    [sym_tcTag] = ACTIONS(2757),
    [sym_tcrTag] = ACTIONS(2757),
    [anon_sym_BSLASHf] = ACTIONS(2757),
    [anon_sym_BSLASHfe] = ACTIONS(2757),
    [anon_sym_BSLASHef] = ACTIONS(2757),
    [anon_sym_BSLASHfm] = ACTIONS(2757),
    [anon_sym_BSLASHadd] = ACTIONS(2757),
    [anon_sym_BSLASHbk] = ACTIONS(2757),
    [anon_sym_BSLASHdc] = ACTIONS(2757),
    [anon_sym_BSLASHk] = ACTIONS(2757),
    [anon_sym_BSLASHnd] = ACTIONS(2757),
    [anon_sym_BSLASHord] = ACTIONS(2757),
    [anon_sym_BSLASHpn] = ACTIONS(2757),
    [anon_sym_BSLASHpng] = ACTIONS(2757),
    [anon_sym_BSLASHaddpn] = ACTIONS(2757),
    [anon_sym_BSLASHqt] = ACTIONS(2757),
    [anon_sym_BSLASHsig] = ACTIONS(2757),
    [anon_sym_BSLASHsls] = ACTIONS(2757),
    [anon_sym_BSLASHtl] = ACTIONS(2757),
    [anon_sym_BSLASHwj] = ACTIONS(2757),
    [anon_sym_BSLASHem] = ACTIONS(2757),
    [anon_sym_BSLASHbd] = ACTIONS(2757),
    [anon_sym_BSLASHit] = ACTIONS(2757),
    [anon_sym_BSLASHbdit] = ACTIONS(2757),
    [anon_sym_BSLASHno] = ACTIONS(2757),
    [anon_sym_BSLASHsc] = ACTIONS(2757),
    [anon_sym_BSLASHsup] = ACTIONS(2757),
    [anon_sym_BSLASHndx] = ACTIONS(2757),
    [anon_sym_BSLASHpro] = ACTIONS(2757),
    [anon_sym_BSLASHrb] = ACTIONS(2757),
    [anon_sym_BSLASHw] = ACTIONS(2757),
    [anon_sym_BSLASHwg] = ACTIONS(2757),
    [anon_sym_BSLASHwh] = ACTIONS(2757),
    [anon_sym_BSLASHwa] = ACTIONS(2757),
    [anon_sym_BSLASHfig] = ACTIONS(2757),
    [anon_sym_BSLASHjmp] = ACTIONS(2757),
    [anon_sym_BSLASHpb] = ACTIONS(2757),
    [anon_sym_BSLASH] = ACTIONS(2757),
    [sym_milestoneStartTag] = ACTIONS(2757),
    [sym_milestoneEndTag] = ACTIONS(2757),
    [sym_zSpaceTag] = ACTIONS(2757),
    [anon_sym_BSLASHesb] = ACTIONS(2757),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(2799),
    [aux_sym_text_token1] = ACTIONS(2799),
    [anon_sym_BSLASHsts] = ACTIONS(2801),
    [anon_sym_BSLASHrem] = ACTIONS(2801),
    [anon_sym_BSLASHrestore] = ACTIONS(2801),
    [anon_sym_BSLASHlit] = ACTIONS(2801),
    [anon_sym_BSLASHip] = ACTIONS(2801),
    [anon_sym_BSLASHiex] = ACTIONS(2801),
    [anon_sym_BSLASHc] = ACTIONS(2801),
    [anon_sym_BSLASHcl] = ACTIONS(2801),
    [anon_sym_BSLASHca] = ACTIONS(2801),
    [anon_sym_BSLASHcp] = ACTIONS(2801),
    [anon_sym_BSLASHcd] = ACTIONS(2801),
    [anon_sym_BSLASHmte] = ACTIONS(2801),
    [anon_sym_BSLASHms] = ACTIONS(2801),
    [anon_sym_BSLASHs] = ACTIONS(2801),
    [anon_sym_BSLASHr] = ACTIONS(2801),
    [anon_sym_BSLASHsp] = ACTIONS(2801),
    [anon_sym_BSLASHd] = ACTIONS(2801),
    [anon_sym_BSLASHsd] = ACTIONS(2801),
    [anon_sym_BSLASHp] = ACTIONS(2801),
    [anon_sym_BSLASHm] = ACTIONS(2801),
    [anon_sym_BSLASHpo] = ACTIONS(2801),
    [anon_sym_BSLASHpr] = ACTIONS(2801),
    [anon_sym_BSLASHcls] = ACTIONS(2801),
    [anon_sym_BSLASHpmo] = ACTIONS(2801),
    [anon_sym_BSLASHpm] = ACTIONS(2801),
    [anon_sym_BSLASHpmc] = ACTIONS(2801),
    [anon_sym_BSLASHpmr] = ACTIONS(2801),
    [anon_sym_BSLASHpi] = ACTIONS(2801),
    [anon_sym_BSLASHmi] = ACTIONS(2801),
    [anon_sym_BSLASHnb] = ACTIONS(2801),
    [anon_sym_BSLASHpc] = ACTIONS(2801),
    [anon_sym_BSLASHph] = ACTIONS(2801),
    [anon_sym_BSLASHb] = ACTIONS(2801),
    [anon_sym_BSLASHq] = ACTIONS(2801),
    [anon_sym_BSLASHqr] = ACTIONS(2801),
    [anon_sym_BSLASHqc] = ACTIONS(2801),
    [anon_sym_BSLASHqa] = ACTIONS(2801),
    [anon_sym_BSLASHqm] = ACTIONS(2801),
    [anon_sym_BSLASHqd] = ACTIONS(2801),
    [anon_sym_BSLASHlh] = ACTIONS(2801),
    [anon_sym_BSLASHli] = ACTIONS(2801),
    [anon_sym_BSLASHlim] = ACTIONS(2801),
    [anon_sym_BSLASHtr] = ACTIONS(2801),
    [sym_thTag] = ACTIONS(2801),
    [sym_thrTag] = ACTIONS(2801),
    [sym_tcTag] = ACTIONS(2801),
    [sym_tcrTag] = ACTIONS(2801),
    [anon_sym_BSLASHf] = ACTIONS(2801),
    [anon_sym_BSLASHfe] = ACTIONS(2801),
    [anon_sym_BSLASHef] = ACTIONS(2801),
    [anon_sym_BSLASHfm] = ACTIONS(2801),
    [anon_sym_BSLASHadd] = ACTIONS(2801),
    [anon_sym_BSLASHbk] = ACTIONS(2801),
    [anon_sym_BSLASHdc] = ACTIONS(2801),
    [anon_sym_BSLASHk] = ACTIONS(2801),
    [anon_sym_BSLASHnd] = ACTIONS(2801),
    [anon_sym_BSLASHord] = ACTIONS(2801),
    [anon_sym_BSLASHpn] = ACTIONS(2801),
    [anon_sym_BSLASHpng] = ACTIONS(2801),
    [anon_sym_BSLASHaddpn] = ACTIONS(2801),
    [anon_sym_BSLASHqt] = ACTIONS(2801),
    [anon_sym_BSLASHsig] = ACTIONS(2801),
    [anon_sym_BSLASHsls] = ACTIONS(2801),
    [anon_sym_BSLASHtl] = ACTIONS(2801),
    [anon_sym_BSLASHwj] = ACTIONS(2801),
    [anon_sym_BSLASHem] = ACTIONS(2801),
    [anon_sym_BSLASHbd] = ACTIONS(2801),
    [anon_sym_BSLASHit] = ACTIONS(2801),
    [anon_sym_BSLASHbdit] = ACTIONS(2801),
    [anon_sym_BSLASHno] = ACTIONS(2801),
    [anon_sym_BSLASHsc] = ACTIONS(2801),
    [anon_sym_BSLASHsup] = ACTIONS(2801),
    [anon_sym_BSLASHndx] = ACTIONS(2801),
    [anon_sym_BSLASHpro] = ACTIONS(2801),
    [anon_sym_BSLASHrb] = ACTIONS(2801),
    [anon_sym_BSLASHw] = ACTIONS(2801),
    [anon_sym_BSLASHwg] = ACTIONS(2801),
    [anon_sym_BSLASHwh] = ACTIONS(2801),
    [anon_sym_BSLASHwa] = ACTIONS(2801),
    [anon_sym_BSLASHfig] = ACTIONS(2801),
    [anon_sym_BSLASHjmp] = ACTIONS(2801),
    [anon_sym_BSLASHpb] = ACTIONS(2801),
    [anon_sym_BSLASH] = ACTIONS(2801),
    [sym_milestoneStartTag] = ACTIONS(2801),
    [sym_milestoneEndTag] = ACTIONS(2801),
    [sym_zSpaceTag] = ACTIONS(2801),
    [anon_sym_BSLASHesb] = ACTIONS(2801),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(2759),
    [aux_sym_text_token1] = ACTIONS(2759),
    [anon_sym_BSLASHsts] = ACTIONS(2761),
    [anon_sym_BSLASHrem] = ACTIONS(2761),
    [anon_sym_BSLASHrestore] = ACTIONS(2761),
    [anon_sym_BSLASHlit] = ACTIONS(2761),
    [anon_sym_BSLASHip] = ACTIONS(2761),
    [anon_sym_BSLASHiex] = ACTIONS(2761),
    [anon_sym_BSLASHc] = ACTIONS(2761),
    [anon_sym_BSLASHcl] = ACTIONS(2761),
    [anon_sym_BSLASHca] = ACTIONS(2761),
    [anon_sym_BSLASHcp] = ACTIONS(2761),
    [anon_sym_BSLASHcd] = ACTIONS(2761),
    [anon_sym_BSLASHmte] = ACTIONS(2761),
    [anon_sym_BSLASHms] = ACTIONS(2761),
    [anon_sym_BSLASHs] = ACTIONS(2761),
    [anon_sym_BSLASHr] = ACTIONS(2761),
    [anon_sym_BSLASHsp] = ACTIONS(2761),
    [anon_sym_BSLASHd] = ACTIONS(2761),
    [anon_sym_BSLASHsd] = ACTIONS(2761),
    [anon_sym_BSLASHp] = ACTIONS(2761),
    [anon_sym_BSLASHm] = ACTIONS(2761),
    [anon_sym_BSLASHpo] = ACTIONS(2761),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2761),
    [anon_sym_BSLASHpmo] = ACTIONS(2761),
    [anon_sym_BSLASHpm] = ACTIONS(2761),
    [anon_sym_BSLASHpmc] = ACTIONS(2761),
    [anon_sym_BSLASHpmr] = ACTIONS(2761),
    [anon_sym_BSLASHpi] = ACTIONS(2761),
    [anon_sym_BSLASHmi] = ACTIONS(2761),
    [anon_sym_BSLASHnb] = ACTIONS(2761),
    [anon_sym_BSLASHpc] = ACTIONS(2761),
    [anon_sym_BSLASHph] = ACTIONS(2761),
    [anon_sym_BSLASHb] = ACTIONS(2761),
    [anon_sym_BSLASHq] = ACTIONS(2761),
    [anon_sym_BSLASHqr] = ACTIONS(2761),
    [anon_sym_BSLASHqc] = ACTIONS(2761),
    [anon_sym_BSLASHqa] = ACTIONS(2761),
    [anon_sym_BSLASHqm] = ACTIONS(2761),
    [anon_sym_BSLASHqd] = ACTIONS(2761),
    [anon_sym_BSLASHlh] = ACTIONS(2761),
    [anon_sym_BSLASHli] = ACTIONS(2761),
    [anon_sym_BSLASHlim] = ACTIONS(2761),
    [anon_sym_BSLASHtr] = ACTIONS(2761),
    [sym_thTag] = ACTIONS(2761),
    [sym_thrTag] = ACTIONS(2761),
    [sym_tcTag] = ACTIONS(2761),
    [sym_tcrTag] = ACTIONS(2761),
    [anon_sym_BSLASHf] = ACTIONS(2761),
    [anon_sym_BSLASHfe] = ACTIONS(2761),
    [anon_sym_BSLASHef] = ACTIONS(2761),
    [anon_sym_BSLASHfm] = ACTIONS(2761),
    [anon_sym_BSLASHadd] = ACTIONS(2761),
    [anon_sym_BSLASHbk] = ACTIONS(2761),
    [anon_sym_BSLASHdc] = ACTIONS(2761),
    [anon_sym_BSLASHk] = ACTIONS(2761),
    [anon_sym_BSLASHnd] = ACTIONS(2761),
    [anon_sym_BSLASHord] = ACTIONS(2761),
    [anon_sym_BSLASHpn] = ACTIONS(2761),
    [anon_sym_BSLASHpng] = ACTIONS(2761),
    [anon_sym_BSLASHaddpn] = ACTIONS(2761),
    [anon_sym_BSLASHqt] = ACTIONS(2761),
    [anon_sym_BSLASHsig] = ACTIONS(2761),
    [anon_sym_BSLASHsls] = ACTIONS(2761),
    [anon_sym_BSLASHtl] = ACTIONS(2761),
    [anon_sym_BSLASHwj] = ACTIONS(2761),
    [anon_sym_BSLASHem] = ACTIONS(2761),
    [anon_sym_BSLASHbd] = ACTIONS(2761),
    [anon_sym_BSLASHit] = ACTIONS(2761),
    [anon_sym_BSLASHbdit] = ACTIONS(2761),
    [anon_sym_BSLASHno] = ACTIONS(2761),
    [anon_sym_BSLASHsc] = ACTIONS(2761),
    [anon_sym_BSLASHsup] = ACTIONS(2761),
    [anon_sym_BSLASHndx] = ACTIONS(2761),
    [anon_sym_BSLASHpro] = ACTIONS(2761),
    [anon_sym_BSLASHrb] = ACTIONS(2761),
    [anon_sym_BSLASHw] = ACTIONS(2761),
    [anon_sym_BSLASHwg] = ACTIONS(2761),
    [anon_sym_BSLASHwh] = ACTIONS(2761),
    [anon_sym_BSLASHwa] = ACTIONS(2761),
    [anon_sym_BSLASHfig] = ACTIONS(2761),
    [anon_sym_BSLASHjmp] = ACTIONS(2761),
    [anon_sym_BSLASHpb] = ACTIONS(2761),
    [anon_sym_BSLASH] = ACTIONS(2761),
    [sym_milestoneStartTag] = ACTIONS(2761),
    [sym_milestoneEndTag] = ACTIONS(2761),
    [sym_zSpaceTag] = ACTIONS(2761),
    [anon_sym_BSLASHesb] = ACTIONS(2761),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(2763),
    [aux_sym_text_token1] = ACTIONS(2763),
    [anon_sym_BSLASHsts] = ACTIONS(2765),
    [anon_sym_BSLASHrem] = ACTIONS(2765),
    [anon_sym_BSLASHrestore] = ACTIONS(2765),
    [anon_sym_BSLASHlit] = ACTIONS(2765),
    [anon_sym_BSLASHip] = ACTIONS(2765),
    [anon_sym_BSLASHiex] = ACTIONS(2765),
    [anon_sym_BSLASHc] = ACTIONS(2765),
    [anon_sym_BSLASHcl] = ACTIONS(2765),
    [anon_sym_BSLASHca] = ACTIONS(2765),
    [anon_sym_BSLASHcp] = ACTIONS(2765),
    [anon_sym_BSLASHcd] = ACTIONS(2765),
    [anon_sym_BSLASHmte] = ACTIONS(2765),
    [anon_sym_BSLASHms] = ACTIONS(2765),
    [anon_sym_BSLASHs] = ACTIONS(2765),
    [anon_sym_BSLASHr] = ACTIONS(2765),
    [anon_sym_BSLASHsp] = ACTIONS(2765),
    [anon_sym_BSLASHd] = ACTIONS(2765),
    [anon_sym_BSLASHsd] = ACTIONS(2765),
    [anon_sym_BSLASHp] = ACTIONS(2765),
    [anon_sym_BSLASHm] = ACTIONS(2765),
    [anon_sym_BSLASHpo] = ACTIONS(2765),
    [anon_sym_BSLASHpr] = ACTIONS(2765),
    [anon_sym_BSLASHcls] = ACTIONS(2765),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2765),
    [anon_sym_BSLASHpmc] = ACTIONS(2765),
    [anon_sym_BSLASHpmr] = ACTIONS(2765),
    [anon_sym_BSLASHpi] = ACTIONS(2765),
    [anon_sym_BSLASHmi] = ACTIONS(2765),
    [anon_sym_BSLASHnb] = ACTIONS(2765),
    [anon_sym_BSLASHpc] = ACTIONS(2765),
    [anon_sym_BSLASHph] = ACTIONS(2765),
    [anon_sym_BSLASHb] = ACTIONS(2765),
    [anon_sym_BSLASHq] = ACTIONS(2765),
    [anon_sym_BSLASHqr] = ACTIONS(2765),
    [anon_sym_BSLASHqc] = ACTIONS(2765),
    [anon_sym_BSLASHqa] = ACTIONS(2765),
    [anon_sym_BSLASHqm] = ACTIONS(2765),
    [anon_sym_BSLASHqd] = ACTIONS(2765),
    [anon_sym_BSLASHlh] = ACTIONS(2765),
    [anon_sym_BSLASHli] = ACTIONS(2765),
    [anon_sym_BSLASHlim] = ACTIONS(2765),
    [anon_sym_BSLASHtr] = ACTIONS(2765),
    [sym_thTag] = ACTIONS(2765),
    [sym_thrTag] = ACTIONS(2765),
    [sym_tcTag] = ACTIONS(2765),
    [sym_tcrTag] = ACTIONS(2765),
    [anon_sym_BSLASHf] = ACTIONS(2765),
    [anon_sym_BSLASHfe] = ACTIONS(2765),
    [anon_sym_BSLASHef] = ACTIONS(2765),
    [anon_sym_BSLASHfm] = ACTIONS(2765),
    [anon_sym_BSLASHadd] = ACTIONS(2765),
    [anon_sym_BSLASHbk] = ACTIONS(2765),
    [anon_sym_BSLASHdc] = ACTIONS(2765),
    [anon_sym_BSLASHk] = ACTIONS(2765),
    [anon_sym_BSLASHnd] = ACTIONS(2765),
    [anon_sym_BSLASHord] = ACTIONS(2765),
    [anon_sym_BSLASHpn] = ACTIONS(2765),
    [anon_sym_BSLASHpng] = ACTIONS(2765),
    [anon_sym_BSLASHaddpn] = ACTIONS(2765),
    [anon_sym_BSLASHqt] = ACTIONS(2765),
    [anon_sym_BSLASHsig] = ACTIONS(2765),
    [anon_sym_BSLASHsls] = ACTIONS(2765),
    [anon_sym_BSLASHtl] = ACTIONS(2765),
    [anon_sym_BSLASHwj] = ACTIONS(2765),
    [anon_sym_BSLASHem] = ACTIONS(2765),
    [anon_sym_BSLASHbd] = ACTIONS(2765),
    [anon_sym_BSLASHit] = ACTIONS(2765),
    [anon_sym_BSLASHbdit] = ACTIONS(2765),
    [anon_sym_BSLASHno] = ACTIONS(2765),
    [anon_sym_BSLASHsc] = ACTIONS(2765),
    [anon_sym_BSLASHsup] = ACTIONS(2765),
    [anon_sym_BSLASHndx] = ACTIONS(2765),
    [anon_sym_BSLASHpro] = ACTIONS(2765),
    [anon_sym_BSLASHrb] = ACTIONS(2765),
    [anon_sym_BSLASHw] = ACTIONS(2765),
    [anon_sym_BSLASHwg] = ACTIONS(2765),
    [anon_sym_BSLASHwh] = ACTIONS(2765),
    [anon_sym_BSLASHwa] = ACTIONS(2765),
    [anon_sym_BSLASHfig] = ACTIONS(2765),
    [anon_sym_BSLASHjmp] = ACTIONS(2765),
    [anon_sym_BSLASHpb] = ACTIONS(2765),
    [anon_sym_BSLASH] = ACTIONS(2765),
    [sym_milestoneStartTag] = ACTIONS(2765),
    [sym_milestoneEndTag] = ACTIONS(2765),
    [sym_zSpaceTag] = ACTIONS(2765),
    [anon_sym_BSLASHesb] = ACTIONS(2765),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [aux_sym_text_token1] = ACTIONS(2767),
    [anon_sym_BSLASHsts] = ACTIONS(2769),
    [anon_sym_BSLASHrem] = ACTIONS(2769),
    [anon_sym_BSLASHrestore] = ACTIONS(2769),
    [anon_sym_BSLASHlit] = ACTIONS(2769),
    [anon_sym_BSLASHip] = ACTIONS(2769),
    [anon_sym_BSLASHiex] = ACTIONS(2769),
    [anon_sym_BSLASHc] = ACTIONS(2769),
    [anon_sym_BSLASHcl] = ACTIONS(2769),
    [anon_sym_BSLASHca] = ACTIONS(2769),
    [anon_sym_BSLASHcp] = ACTIONS(2769),
    [anon_sym_BSLASHcd] = ACTIONS(2769),
    [anon_sym_BSLASHmte] = ACTIONS(2769),
    [anon_sym_BSLASHms] = ACTIONS(2769),
    [anon_sym_BSLASHs] = ACTIONS(2769),
    [anon_sym_BSLASHr] = ACTIONS(2769),
    [anon_sym_BSLASHsp] = ACTIONS(2769),
    [anon_sym_BSLASHd] = ACTIONS(2769),
    [anon_sym_BSLASHsd] = ACTIONS(2769),
    [anon_sym_BSLASHp] = ACTIONS(2769),
    [anon_sym_BSLASHm] = ACTIONS(2769),
    [anon_sym_BSLASHpo] = ACTIONS(2769),
    [anon_sym_BSLASHpr] = ACTIONS(2769),
    [anon_sym_BSLASHcls] = ACTIONS(2769),
    [anon_sym_BSLASHpmo] = ACTIONS(2769),
    [anon_sym_BSLASHpm] = ACTIONS(2769),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2769),
    [anon_sym_BSLASHpi] = ACTIONS(2769),
    [anon_sym_BSLASHmi] = ACTIONS(2769),
    [anon_sym_BSLASHnb] = ACTIONS(2769),
    [anon_sym_BSLASHpc] = ACTIONS(2769),
    [anon_sym_BSLASHph] = ACTIONS(2769),
    [anon_sym_BSLASHb] = ACTIONS(2769),
    [anon_sym_BSLASHq] = ACTIONS(2769),
    [anon_sym_BSLASHqr] = ACTIONS(2769),
    [anon_sym_BSLASHqc] = ACTIONS(2769),
    [anon_sym_BSLASHqa] = ACTIONS(2769),
    [anon_sym_BSLASHqm] = ACTIONS(2769),
    [anon_sym_BSLASHqd] = ACTIONS(2769),
    [anon_sym_BSLASHlh] = ACTIONS(2769),
    [anon_sym_BSLASHli] = ACTIONS(2769),
    [anon_sym_BSLASHlim] = ACTIONS(2769),
    [anon_sym_BSLASHtr] = ACTIONS(2769),
    [sym_thTag] = ACTIONS(2769),
    [sym_thrTag] = ACTIONS(2769),
    [sym_tcTag] = ACTIONS(2769),
    [sym_tcrTag] = ACTIONS(2769),
    [anon_sym_BSLASHf] = ACTIONS(2769),
    [anon_sym_BSLASHfe] = ACTIONS(2769),
    [anon_sym_BSLASHef] = ACTIONS(2769),
    [anon_sym_BSLASHfm] = ACTIONS(2769),
    [anon_sym_BSLASHadd] = ACTIONS(2769),
    [anon_sym_BSLASHbk] = ACTIONS(2769),
    [anon_sym_BSLASHdc] = ACTIONS(2769),
    [anon_sym_BSLASHk] = ACTIONS(2769),
    [anon_sym_BSLASHnd] = ACTIONS(2769),
    [anon_sym_BSLASHord] = ACTIONS(2769),
    [anon_sym_BSLASHpn] = ACTIONS(2769),
    [anon_sym_BSLASHpng] = ACTIONS(2769),
    [anon_sym_BSLASHaddpn] = ACTIONS(2769),
    [anon_sym_BSLASHqt] = ACTIONS(2769),
    [anon_sym_BSLASHsig] = ACTIONS(2769),
    [anon_sym_BSLASHsls] = ACTIONS(2769),
    [anon_sym_BSLASHtl] = ACTIONS(2769),
    [anon_sym_BSLASHwj] = ACTIONS(2769),
    [anon_sym_BSLASHem] = ACTIONS(2769),
    [anon_sym_BSLASHbd] = ACTIONS(2769),
    [anon_sym_BSLASHit] = ACTIONS(2769),
    [anon_sym_BSLASHbdit] = ACTIONS(2769),
    [anon_sym_BSLASHno] = ACTIONS(2769),
    [anon_sym_BSLASHsc] = ACTIONS(2769),
    [anon_sym_BSLASHsup] = ACTIONS(2769),
    [anon_sym_BSLASHndx] = ACTIONS(2769),
    [anon_sym_BSLASHpro] = ACTIONS(2769),
    [anon_sym_BSLASHrb] = ACTIONS(2769),
    [anon_sym_BSLASHw] = ACTIONS(2769),
    [anon_sym_BSLASHwg] = ACTIONS(2769),
    [anon_sym_BSLASHwh] = ACTIONS(2769),
    [anon_sym_BSLASHwa] = ACTIONS(2769),
    [anon_sym_BSLASHfig] = ACTIONS(2769),
    [anon_sym_BSLASHjmp] = ACTIONS(2769),
    [anon_sym_BSLASHpb] = ACTIONS(2769),
    [anon_sym_BSLASH] = ACTIONS(2769),
    [sym_milestoneStartTag] = ACTIONS(2769),
    [sym_milestoneEndTag] = ACTIONS(2769),
    [sym_zSpaceTag] = ACTIONS(2769),
    [anon_sym_BSLASHesb] = ACTIONS(2769),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHiex] = ACTIONS(2677),
    [anon_sym_BSLASHc] = ACTIONS(2677),
    [anon_sym_BSLASHcl] = ACTIONS(2677),
    [anon_sym_BSLASHca] = ACTIONS(2677),
    [anon_sym_BSLASHcp] = ACTIONS(2677),
    [anon_sym_BSLASHcd] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [sym_thTag] = ACTIONS(2677),
    [sym_thrTag] = ACTIONS(2677),
    [sym_tcTag] = ACTIONS(2677),
    [sym_tcrTag] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesb] = ACTIONS(2677),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(2779),
    [aux_sym_text_token1] = ACTIONS(2779),
    [anon_sym_BSLASHsts] = ACTIONS(2781),
    [anon_sym_BSLASHrem] = ACTIONS(2781),
    [anon_sym_BSLASHrestore] = ACTIONS(2781),
    [anon_sym_BSLASHlit] = ACTIONS(2781),
    [anon_sym_BSLASHip] = ACTIONS(2781),
    [anon_sym_BSLASHiex] = ACTIONS(2781),
    [anon_sym_BSLASHc] = ACTIONS(2781),
    [anon_sym_BSLASHcl] = ACTIONS(2781),
    [anon_sym_BSLASHca] = ACTIONS(2781),
    [anon_sym_BSLASHcp] = ACTIONS(2781),
    [anon_sym_BSLASHcd] = ACTIONS(2781),
    [anon_sym_BSLASHmte] = ACTIONS(2781),
    [anon_sym_BSLASHms] = ACTIONS(2781),
    [anon_sym_BSLASHs] = ACTIONS(2781),
    [anon_sym_BSLASHr] = ACTIONS(2781),
    [anon_sym_BSLASHsp] = ACTIONS(2781),
    [anon_sym_BSLASHd] = ACTIONS(2781),
    [anon_sym_BSLASHsd] = ACTIONS(2781),
    [anon_sym_BSLASHp] = ACTIONS(2781),
    [anon_sym_BSLASHm] = ACTIONS(2781),
    [anon_sym_BSLASHpo] = ACTIONS(2781),
    [anon_sym_BSLASHpr] = ACTIONS(2781),
    [anon_sym_BSLASHcls] = ACTIONS(2781),
    [anon_sym_BSLASHpmo] = ACTIONS(2781),
    [anon_sym_BSLASHpm] = ACTIONS(2781),
    [anon_sym_BSLASHpmc] = ACTIONS(2781),
    [anon_sym_BSLASHpmr] = ACTIONS(2781),
    [anon_sym_BSLASHpi] = ACTIONS(2781),
    [anon_sym_BSLASHmi] = ACTIONS(2781),
    [anon_sym_BSLASHnb] = ACTIONS(2781),
    [anon_sym_BSLASHpc] = ACTIONS(2781),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(2781),
    [anon_sym_BSLASHq] = ACTIONS(2781),
    [anon_sym_BSLASHqr] = ACTIONS(2781),
    [anon_sym_BSLASHqc] = ACTIONS(2781),
    [anon_sym_BSLASHqa] = ACTIONS(2781),
    [anon_sym_BSLASHqm] = ACTIONS(2781),
    [anon_sym_BSLASHqd] = ACTIONS(2781),
    [anon_sym_BSLASHlh] = ACTIONS(2781),
    [anon_sym_BSLASHli] = ACTIONS(2781),
    [anon_sym_BSLASHlim] = ACTIONS(2781),
    [anon_sym_BSLASHtr] = ACTIONS(2781),
    [sym_thTag] = ACTIONS(2781),
    [sym_thrTag] = ACTIONS(2781),
    [sym_tcTag] = ACTIONS(2781),
    [sym_tcrTag] = ACTIONS(2781),
    [anon_sym_BSLASHf] = ACTIONS(2781),
    [anon_sym_BSLASHfe] = ACTIONS(2781),
    [anon_sym_BSLASHef] = ACTIONS(2781),
    [anon_sym_BSLASHfm] = ACTIONS(2781),
    [anon_sym_BSLASHadd] = ACTIONS(2781),
    [anon_sym_BSLASHbk] = ACTIONS(2781),
    [anon_sym_BSLASHdc] = ACTIONS(2781),
    [anon_sym_BSLASHk] = ACTIONS(2781),
    [anon_sym_BSLASHnd] = ACTIONS(2781),
    [anon_sym_BSLASHord] = ACTIONS(2781),
    [anon_sym_BSLASHpn] = ACTIONS(2781),
    [anon_sym_BSLASHpng] = ACTIONS(2781),
    [anon_sym_BSLASHaddpn] = ACTIONS(2781),
    [anon_sym_BSLASHqt] = ACTIONS(2781),
    [anon_sym_BSLASHsig] = ACTIONS(2781),
    [anon_sym_BSLASHsls] = ACTIONS(2781),
    [anon_sym_BSLASHtl] = ACTIONS(2781),
    [anon_sym_BSLASHwj] = ACTIONS(2781),
    [anon_sym_BSLASHem] = ACTIONS(2781),
    [anon_sym_BSLASHbd] = ACTIONS(2781),
    [anon_sym_BSLASHit] = ACTIONS(2781),
    [anon_sym_BSLASHbdit] = ACTIONS(2781),
    [anon_sym_BSLASHno] = ACTIONS(2781),
    [anon_sym_BSLASHsc] = ACTIONS(2781),
    [anon_sym_BSLASHsup] = ACTIONS(2781),
    [anon_sym_BSLASHndx] = ACTIONS(2781),
    [anon_sym_BSLASHpro] = ACTIONS(2781),
    [anon_sym_BSLASHrb] = ACTIONS(2781),
    [anon_sym_BSLASHw] = ACTIONS(2781),
    [anon_sym_BSLASHwg] = ACTIONS(2781),
    [anon_sym_BSLASHwh] = ACTIONS(2781),
    [anon_sym_BSLASHwa] = ACTIONS(2781),
    [anon_sym_BSLASHfig] = ACTIONS(2781),
    [anon_sym_BSLASHjmp] = ACTIONS(2781),
    [anon_sym_BSLASHpb] = ACTIONS(2781),
    [anon_sym_BSLASH] = ACTIONS(2781),
    [sym_milestoneStartTag] = ACTIONS(2781),
    [sym_milestoneEndTag] = ACTIONS(2781),
    [sym_zSpaceTag] = ACTIONS(2781),
    [anon_sym_BSLASHesb] = ACTIONS(2781),
  },
  [612] = {
    [ts_builtin_sym_end] = ACTIONS(2783),
    [aux_sym_text_token1] = ACTIONS(2783),
    [anon_sym_BSLASHsts] = ACTIONS(2785),
    [anon_sym_BSLASHrem] = ACTIONS(2785),
    [anon_sym_BSLASHrestore] = ACTIONS(2785),
    [anon_sym_BSLASHlit] = ACTIONS(2785),
    [anon_sym_BSLASHip] = ACTIONS(2785),
    [anon_sym_BSLASHiex] = ACTIONS(2785),
    [anon_sym_BSLASHc] = ACTIONS(2785),
    [anon_sym_BSLASHcl] = ACTIONS(2785),
    [anon_sym_BSLASHca] = ACTIONS(2785),
    [anon_sym_BSLASHcp] = ACTIONS(2785),
    [anon_sym_BSLASHcd] = ACTIONS(2785),
    [anon_sym_BSLASHmte] = ACTIONS(2785),
    [anon_sym_BSLASHms] = ACTIONS(2785),
    [anon_sym_BSLASHs] = ACTIONS(2785),
    [anon_sym_BSLASHr] = ACTIONS(2785),
    [anon_sym_BSLASHsp] = ACTIONS(2785),
    [anon_sym_BSLASHd] = ACTIONS(2785),
    [anon_sym_BSLASHsd] = ACTIONS(2785),
    [anon_sym_BSLASHp] = ACTIONS(2785),
    [anon_sym_BSLASHm] = ACTIONS(2785),
    [anon_sym_BSLASHpo] = ACTIONS(2785),
    [anon_sym_BSLASHpr] = ACTIONS(2785),
    [anon_sym_BSLASHcls] = ACTIONS(2785),
    [anon_sym_BSLASHpmo] = ACTIONS(2785),
    [anon_sym_BSLASHpm] = ACTIONS(2785),
    [anon_sym_BSLASHpmc] = ACTIONS(2785),
    [anon_sym_BSLASHpmr] = ACTIONS(2785),
    [anon_sym_BSLASHpi] = ACTIONS(2785),
    [anon_sym_BSLASHmi] = ACTIONS(2785),
    [anon_sym_BSLASHnb] = ACTIONS(2785),
    [anon_sym_BSLASHpc] = ACTIONS(2785),
    [anon_sym_BSLASHph] = ACTIONS(2785),
    [anon_sym_BSLASHb] = ACTIONS(2785),
    [anon_sym_BSLASHq] = ACTIONS(2785),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2785),
    [anon_sym_BSLASHqa] = ACTIONS(2785),
    [anon_sym_BSLASHqm] = ACTIONS(2785),
    [anon_sym_BSLASHqd] = ACTIONS(2785),
    [anon_sym_BSLASHlh] = ACTIONS(2785),
    [anon_sym_BSLASHli] = ACTIONS(2785),
    [anon_sym_BSLASHlim] = ACTIONS(2785),
    [anon_sym_BSLASHtr] = ACTIONS(2785),
    [sym_thTag] = ACTIONS(2785),
    [sym_thrTag] = ACTIONS(2785),
    [sym_tcTag] = ACTIONS(2785),
    [sym_tcrTag] = ACTIONS(2785),
    [anon_sym_BSLASHf] = ACTIONS(2785),
    [anon_sym_BSLASHfe] = ACTIONS(2785),
    [anon_sym_BSLASHef] = ACTIONS(2785),
    [anon_sym_BSLASHfm] = ACTIONS(2785),
    [anon_sym_BSLASHadd] = ACTIONS(2785),
    [anon_sym_BSLASHbk] = ACTIONS(2785),
    [anon_sym_BSLASHdc] = ACTIONS(2785),
    [anon_sym_BSLASHk] = ACTIONS(2785),
    [anon_sym_BSLASHnd] = ACTIONS(2785),
    [anon_sym_BSLASHord] = ACTIONS(2785),
    [anon_sym_BSLASHpn] = ACTIONS(2785),
    [anon_sym_BSLASHpng] = ACTIONS(2785),
    [anon_sym_BSLASHaddpn] = ACTIONS(2785),
    [anon_sym_BSLASHqt] = ACTIONS(2785),
    [anon_sym_BSLASHsig] = ACTIONS(2785),
    [anon_sym_BSLASHsls] = ACTIONS(2785),
    [anon_sym_BSLASHtl] = ACTIONS(2785),
    [anon_sym_BSLASHwj] = ACTIONS(2785),
    [anon_sym_BSLASHem] = ACTIONS(2785),
    [anon_sym_BSLASHbd] = ACTIONS(2785),
    [anon_sym_BSLASHit] = ACTIONS(2785),
    [anon_sym_BSLASHbdit] = ACTIONS(2785),
    [anon_sym_BSLASHno] = ACTIONS(2785),
    [anon_sym_BSLASHsc] = ACTIONS(2785),
    [anon_sym_BSLASHsup] = ACTIONS(2785),
    [anon_sym_BSLASHndx] = ACTIONS(2785),
    [anon_sym_BSLASHpro] = ACTIONS(2785),
    [anon_sym_BSLASHrb] = ACTIONS(2785),
    [anon_sym_BSLASHw] = ACTIONS(2785),
    [anon_sym_BSLASHwg] = ACTIONS(2785),
    [anon_sym_BSLASHwh] = ACTIONS(2785),
    [anon_sym_BSLASHwa] = ACTIONS(2785),
    [anon_sym_BSLASHfig] = ACTIONS(2785),
    [anon_sym_BSLASHjmp] = ACTIONS(2785),
    [anon_sym_BSLASHpb] = ACTIONS(2785),
    [anon_sym_BSLASH] = ACTIONS(2785),
    [sym_milestoneStartTag] = ACTIONS(2785),
    [sym_milestoneEndTag] = ACTIONS(2785),
    [sym_zSpaceTag] = ACTIONS(2785),
    [anon_sym_BSLASHesb] = ACTIONS(2785),
  },
  [613] = {
    [ts_builtin_sym_end] = ACTIONS(2735),
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHiex] = ACTIONS(2737),
    [anon_sym_BSLASHc] = ACTIONS(2737),
    [anon_sym_BSLASHcl] = ACTIONS(2737),
    [anon_sym_BSLASHca] = ACTIONS(2737),
    [anon_sym_BSLASHcp] = ACTIONS(2737),
    [anon_sym_BSLASHcd] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [sym_thTag] = ACTIONS(2737),
    [sym_thrTag] = ACTIONS(2737),
    [sym_tcTag] = ACTIONS(2737),
    [sym_tcrTag] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesb] = ACTIONS(2737),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHiex] = ACTIONS(2721),
    [anon_sym_BSLASHc] = ACTIONS(2721),
    [anon_sym_BSLASHcl] = ACTIONS(2721),
    [anon_sym_BSLASHca] = ACTIONS(2721),
    [anon_sym_BSLASHcp] = ACTIONS(2721),
    [anon_sym_BSLASHcd] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [sym_thTag] = ACTIONS(2721),
    [sym_thrTag] = ACTIONS(2721),
    [sym_tcTag] = ACTIONS(2721),
    [sym_tcrTag] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesb] = ACTIONS(2721),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [aux_sym_text_token1] = ACTIONS(2795),
    [anon_sym_BSLASHsts] = ACTIONS(2797),
    [anon_sym_BSLASHrem] = ACTIONS(2797),
    [anon_sym_BSLASHrestore] = ACTIONS(2797),
    [anon_sym_BSLASHlit] = ACTIONS(2797),
    [anon_sym_BSLASHip] = ACTIONS(2797),
    [anon_sym_BSLASHiex] = ACTIONS(2797),
    [anon_sym_BSLASHc] = ACTIONS(2797),
    [anon_sym_BSLASHcl] = ACTIONS(2797),
    [anon_sym_BSLASHca] = ACTIONS(2797),
    [anon_sym_BSLASHcp] = ACTIONS(2797),
    [anon_sym_BSLASHcd] = ACTIONS(2797),
    [anon_sym_BSLASHmte] = ACTIONS(2797),
    [anon_sym_BSLASHms] = ACTIONS(2797),
    [anon_sym_BSLASHs] = ACTIONS(2797),
    [anon_sym_BSLASHr] = ACTIONS(2797),
    [anon_sym_BSLASHsp] = ACTIONS(2797),
    [anon_sym_BSLASHd] = ACTIONS(2797),
    [anon_sym_BSLASHsd] = ACTIONS(2797),
    [anon_sym_BSLASHp] = ACTIONS(2797),
    [anon_sym_BSLASHm] = ACTIONS(2797),
    [anon_sym_BSLASHpo] = ACTIONS(2797),
    [anon_sym_BSLASHpr] = ACTIONS(2797),
    [anon_sym_BSLASHcls] = ACTIONS(2797),
    [anon_sym_BSLASHpmo] = ACTIONS(2797),
    [anon_sym_BSLASHpm] = ACTIONS(2797),
    [anon_sym_BSLASHpmc] = ACTIONS(2797),
    [anon_sym_BSLASHpmr] = ACTIONS(2797),
    [anon_sym_BSLASHpi] = ACTIONS(2797),
    [anon_sym_BSLASHmi] = ACTIONS(2797),
    [anon_sym_BSLASHnb] = ACTIONS(2797),
    [anon_sym_BSLASHpc] = ACTIONS(2797),
    [anon_sym_BSLASHph] = ACTIONS(2797),
    [anon_sym_BSLASHb] = ACTIONS(2797),
    [anon_sym_BSLASHq] = ACTIONS(2797),
    [anon_sym_BSLASHqr] = ACTIONS(2797),
    [anon_sym_BSLASHqc] = ACTIONS(2797),
    [anon_sym_BSLASHqa] = ACTIONS(2797),
    [anon_sym_BSLASHqm] = ACTIONS(2797),
    [anon_sym_BSLASHqd] = ACTIONS(2797),
    [anon_sym_BSLASHlh] = ACTIONS(2797),
    [anon_sym_BSLASHli] = ACTIONS(2797),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2797),
    [sym_thTag] = ACTIONS(2797),
    [sym_thrTag] = ACTIONS(2797),
    [sym_tcTag] = ACTIONS(2797),
    [sym_tcrTag] = ACTIONS(2797),
    [anon_sym_BSLASHf] = ACTIONS(2797),
    [anon_sym_BSLASHfe] = ACTIONS(2797),
    [anon_sym_BSLASHef] = ACTIONS(2797),
    [anon_sym_BSLASHfm] = ACTIONS(2797),
    [anon_sym_BSLASHadd] = ACTIONS(2797),
    [anon_sym_BSLASHbk] = ACTIONS(2797),
    [anon_sym_BSLASHdc] = ACTIONS(2797),
    [anon_sym_BSLASHk] = ACTIONS(2797),
    [anon_sym_BSLASHnd] = ACTIONS(2797),
    [anon_sym_BSLASHord] = ACTIONS(2797),
    [anon_sym_BSLASHpn] = ACTIONS(2797),
    [anon_sym_BSLASHpng] = ACTIONS(2797),
    [anon_sym_BSLASHaddpn] = ACTIONS(2797),
    [anon_sym_BSLASHqt] = ACTIONS(2797),
    [anon_sym_BSLASHsig] = ACTIONS(2797),
    [anon_sym_BSLASHsls] = ACTIONS(2797),
    [anon_sym_BSLASHtl] = ACTIONS(2797),
    [anon_sym_BSLASHwj] = ACTIONS(2797),
    [anon_sym_BSLASHem] = ACTIONS(2797),
    [anon_sym_BSLASHbd] = ACTIONS(2797),
    [anon_sym_BSLASHit] = ACTIONS(2797),
    [anon_sym_BSLASHbdit] = ACTIONS(2797),
    [anon_sym_BSLASHno] = ACTIONS(2797),
    [anon_sym_BSLASHsc] = ACTIONS(2797),
    [anon_sym_BSLASHsup] = ACTIONS(2797),
    [anon_sym_BSLASHndx] = ACTIONS(2797),
    [anon_sym_BSLASHpro] = ACTIONS(2797),
    [anon_sym_BSLASHrb] = ACTIONS(2797),
    [anon_sym_BSLASHw] = ACTIONS(2797),
    [anon_sym_BSLASHwg] = ACTIONS(2797),
    [anon_sym_BSLASHwh] = ACTIONS(2797),
    [anon_sym_BSLASHwa] = ACTIONS(2797),
    [anon_sym_BSLASHfig] = ACTIONS(2797),
    [anon_sym_BSLASHjmp] = ACTIONS(2797),
    [anon_sym_BSLASHpb] = ACTIONS(2797),
    [anon_sym_BSLASH] = ACTIONS(2797),
    [sym_milestoneStartTag] = ACTIONS(2797),
    [sym_milestoneEndTag] = ACTIONS(2797),
    [sym_zSpaceTag] = ACTIONS(2797),
    [anon_sym_BSLASHesb] = ACTIONS(2797),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(2787),
    [aux_sym_text_token1] = ACTIONS(2787),
    [anon_sym_BSLASHsts] = ACTIONS(2789),
    [anon_sym_BSLASHrem] = ACTIONS(2789),
    [anon_sym_BSLASHrestore] = ACTIONS(2789),
    [anon_sym_BSLASHlit] = ACTIONS(2789),
    [anon_sym_BSLASHip] = ACTIONS(2789),
    [anon_sym_BSLASHiex] = ACTIONS(2789),
    [anon_sym_BSLASHc] = ACTIONS(2789),
    [anon_sym_BSLASHcl] = ACTIONS(2789),
    [anon_sym_BSLASHca] = ACTIONS(2789),
    [anon_sym_BSLASHcp] = ACTIONS(2789),
    [anon_sym_BSLASHcd] = ACTIONS(2789),
    [anon_sym_BSLASHmte] = ACTIONS(2789),
    [anon_sym_BSLASHms] = ACTIONS(2789),
    [anon_sym_BSLASHs] = ACTIONS(2789),
    [anon_sym_BSLASHr] = ACTIONS(2789),
    [anon_sym_BSLASHsp] = ACTIONS(2789),
    [anon_sym_BSLASHd] = ACTIONS(2789),
    [anon_sym_BSLASHsd] = ACTIONS(2789),
    [anon_sym_BSLASHp] = ACTIONS(2789),
    [anon_sym_BSLASHm] = ACTIONS(2789),
    [anon_sym_BSLASHpo] = ACTIONS(2789),
    [anon_sym_BSLASHpr] = ACTIONS(2789),
    [anon_sym_BSLASHcls] = ACTIONS(2789),
    [anon_sym_BSLASHpmo] = ACTIONS(2789),
    [anon_sym_BSLASHpm] = ACTIONS(2789),
    [anon_sym_BSLASHpmc] = ACTIONS(2789),
    [anon_sym_BSLASHpmr] = ACTIONS(2789),
    [anon_sym_BSLASHpi] = ACTIONS(2789),
    [anon_sym_BSLASHmi] = ACTIONS(2789),
    [anon_sym_BSLASHnb] = ACTIONS(2789),
    [anon_sym_BSLASHpc] = ACTIONS(2789),
    [anon_sym_BSLASHph] = ACTIONS(2789),
    [anon_sym_BSLASHb] = ACTIONS(2789),
    [anon_sym_BSLASHq] = ACTIONS(2789),
    [anon_sym_BSLASHqr] = ACTIONS(2789),
    [anon_sym_BSLASHqc] = ACTIONS(2789),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2789),
    [anon_sym_BSLASHqd] = ACTIONS(2789),
    [anon_sym_BSLASHlh] = ACTIONS(2789),
    [anon_sym_BSLASHli] = ACTIONS(2789),
    [anon_sym_BSLASHlim] = ACTIONS(2789),
    [anon_sym_BSLASHtr] = ACTIONS(2789),
    [sym_thTag] = ACTIONS(2789),
    [sym_thrTag] = ACTIONS(2789),
    [sym_tcTag] = ACTIONS(2789),
    [sym_tcrTag] = ACTIONS(2789),
    [anon_sym_BSLASHf] = ACTIONS(2789),
    [anon_sym_BSLASHfe] = ACTIONS(2789),
    [anon_sym_BSLASHef] = ACTIONS(2789),
    [anon_sym_BSLASHfm] = ACTIONS(2789),
    [anon_sym_BSLASHadd] = ACTIONS(2789),
    [anon_sym_BSLASHbk] = ACTIONS(2789),
    [anon_sym_BSLASHdc] = ACTIONS(2789),
    [anon_sym_BSLASHk] = ACTIONS(2789),
    [anon_sym_BSLASHnd] = ACTIONS(2789),
    [anon_sym_BSLASHord] = ACTIONS(2789),
    [anon_sym_BSLASHpn] = ACTIONS(2789),
    [anon_sym_BSLASHpng] = ACTIONS(2789),
    [anon_sym_BSLASHaddpn] = ACTIONS(2789),
    [anon_sym_BSLASHqt] = ACTIONS(2789),
    [anon_sym_BSLASHsig] = ACTIONS(2789),
    [anon_sym_BSLASHsls] = ACTIONS(2789),
    [anon_sym_BSLASHtl] = ACTIONS(2789),
    [anon_sym_BSLASHwj] = ACTIONS(2789),
    [anon_sym_BSLASHem] = ACTIONS(2789),
    [anon_sym_BSLASHbd] = ACTIONS(2789),
    [anon_sym_BSLASHit] = ACTIONS(2789),
    [anon_sym_BSLASHbdit] = ACTIONS(2789),
    [anon_sym_BSLASHno] = ACTIONS(2789),
    [anon_sym_BSLASHsc] = ACTIONS(2789),
    [anon_sym_BSLASHsup] = ACTIONS(2789),
    [anon_sym_BSLASHndx] = ACTIONS(2789),
    [anon_sym_BSLASHpro] = ACTIONS(2789),
    [anon_sym_BSLASHrb] = ACTIONS(2789),
    [anon_sym_BSLASHw] = ACTIONS(2789),
    [anon_sym_BSLASHwg] = ACTIONS(2789),
    [anon_sym_BSLASHwh] = ACTIONS(2789),
    [anon_sym_BSLASHwa] = ACTIONS(2789),
    [anon_sym_BSLASHfig] = ACTIONS(2789),
    [anon_sym_BSLASHjmp] = ACTIONS(2789),
    [anon_sym_BSLASHpb] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2789),
    [sym_milestoneStartTag] = ACTIONS(2789),
    [sym_milestoneEndTag] = ACTIONS(2789),
    [sym_zSpaceTag] = ACTIONS(2789),
    [anon_sym_BSLASHesb] = ACTIONS(2789),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(9),
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHiex] = ACTIONS(11),
    [anon_sym_BSLASHc] = ACTIONS(11),
    [anon_sym_BSLASHcl] = ACTIONS(11),
    [anon_sym_BSLASHca] = ACTIONS(11),
    [anon_sym_BSLASHcp] = ACTIONS(11),
    [anon_sym_BSLASHcd] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [sym_thTag] = ACTIONS(11),
    [sym_thrTag] = ACTIONS(11),
    [sym_tcTag] = ACTIONS(11),
    [sym_tcrTag] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesb] = ACTIONS(11),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(2715),
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHiex] = ACTIONS(2717),
    [anon_sym_BSLASHc] = ACTIONS(2717),
    [anon_sym_BSLASHcl] = ACTIONS(2717),
    [anon_sym_BSLASHca] = ACTIONS(2717),
    [anon_sym_BSLASHcp] = ACTIONS(2717),
    [anon_sym_BSLASHcd] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [sym_thTag] = ACTIONS(2717),
    [sym_thrTag] = ACTIONS(2717),
    [sym_tcTag] = ACTIONS(2717),
    [sym_tcrTag] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesb] = ACTIONS(2717),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHiex] = ACTIONS(2685),
    [anon_sym_BSLASHc] = ACTIONS(2685),
    [anon_sym_BSLASHcl] = ACTIONS(2685),
    [anon_sym_BSLASHca] = ACTIONS(2685),
    [anon_sym_BSLASHcp] = ACTIONS(2685),
    [anon_sym_BSLASHcd] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [sym_thTag] = ACTIONS(2685),
    [sym_thrTag] = ACTIONS(2685),
    [sym_tcTag] = ACTIONS(2685),
    [sym_tcrTag] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesb] = ACTIONS(2685),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(2747),
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHiex] = ACTIONS(2749),
    [anon_sym_BSLASHc] = ACTIONS(2749),
    [anon_sym_BSLASHcl] = ACTIONS(2749),
    [anon_sym_BSLASHca] = ACTIONS(2749),
    [anon_sym_BSLASHcp] = ACTIONS(2749),
    [anon_sym_BSLASHcd] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [sym_thTag] = ACTIONS(2749),
    [sym_thrTag] = ACTIONS(2749),
    [sym_tcTag] = ACTIONS(2749),
    [sym_tcrTag] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesb] = ACTIONS(2749),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(2751),
    [aux_sym_text_token1] = ACTIONS(2751),
    [anon_sym_BSLASHsts] = ACTIONS(2753),
    [anon_sym_BSLASHrem] = ACTIONS(2753),
    [anon_sym_BSLASHrestore] = ACTIONS(2753),
    [anon_sym_BSLASHlit] = ACTIONS(2753),
    [anon_sym_BSLASHip] = ACTIONS(2753),
    [anon_sym_BSLASHiex] = ACTIONS(2753),
    [anon_sym_BSLASHc] = ACTIONS(2753),
    [anon_sym_BSLASHcl] = ACTIONS(2753),
    [anon_sym_BSLASHca] = ACTIONS(2753),
    [anon_sym_BSLASHcp] = ACTIONS(2753),
    [anon_sym_BSLASHcd] = ACTIONS(2753),
    [anon_sym_BSLASHmte] = ACTIONS(2753),
    [anon_sym_BSLASHms] = ACTIONS(2753),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(2753),
    [anon_sym_BSLASHsp] = ACTIONS(2753),
    [anon_sym_BSLASHd] = ACTIONS(2753),
    [anon_sym_BSLASHsd] = ACTIONS(2753),
    [anon_sym_BSLASHp] = ACTIONS(2753),
    [anon_sym_BSLASHm] = ACTIONS(2753),
    [anon_sym_BSLASHpo] = ACTIONS(2753),
    [anon_sym_BSLASHpr] = ACTIONS(2753),
    [anon_sym_BSLASHcls] = ACTIONS(2753),
    [anon_sym_BSLASHpmo] = ACTIONS(2753),
    [anon_sym_BSLASHpm] = ACTIONS(2753),
    [anon_sym_BSLASHpmc] = ACTIONS(2753),
    [anon_sym_BSLASHpmr] = ACTIONS(2753),
    [anon_sym_BSLASHpi] = ACTIONS(2753),
    [anon_sym_BSLASHmi] = ACTIONS(2753),
    [anon_sym_BSLASHnb] = ACTIONS(2753),
    [anon_sym_BSLASHpc] = ACTIONS(2753),
    [anon_sym_BSLASHph] = ACTIONS(2753),
    [anon_sym_BSLASHb] = ACTIONS(2753),
    [anon_sym_BSLASHq] = ACTIONS(2753),
    [anon_sym_BSLASHqr] = ACTIONS(2753),
    [anon_sym_BSLASHqc] = ACTIONS(2753),
    [anon_sym_BSLASHqa] = ACTIONS(2753),
    [anon_sym_BSLASHqm] = ACTIONS(2753),
    [anon_sym_BSLASHqd] = ACTIONS(2753),
    [anon_sym_BSLASHlh] = ACTIONS(2753),
    [anon_sym_BSLASHli] = ACTIONS(2753),
    [anon_sym_BSLASHlim] = ACTIONS(2753),
    [anon_sym_BSLASHtr] = ACTIONS(2753),
    [sym_thTag] = ACTIONS(2753),
    [sym_thrTag] = ACTIONS(2753),
    [sym_tcTag] = ACTIONS(2753),
    [sym_tcrTag] = ACTIONS(2753),
    [anon_sym_BSLASHf] = ACTIONS(2753),
    [anon_sym_BSLASHfe] = ACTIONS(2753),
    [anon_sym_BSLASHef] = ACTIONS(2753),
    [anon_sym_BSLASHfm] = ACTIONS(2753),
    [anon_sym_BSLASHadd] = ACTIONS(2753),
    [anon_sym_BSLASHbk] = ACTIONS(2753),
    [anon_sym_BSLASHdc] = ACTIONS(2753),
    [anon_sym_BSLASHk] = ACTIONS(2753),
    [anon_sym_BSLASHnd] = ACTIONS(2753),
    [anon_sym_BSLASHord] = ACTIONS(2753),
    [anon_sym_BSLASHpn] = ACTIONS(2753),
    [anon_sym_BSLASHpng] = ACTIONS(2753),
    [anon_sym_BSLASHaddpn] = ACTIONS(2753),
    [anon_sym_BSLASHqt] = ACTIONS(2753),
    [anon_sym_BSLASHsig] = ACTIONS(2753),
    [anon_sym_BSLASHsls] = ACTIONS(2753),
    [anon_sym_BSLASHtl] = ACTIONS(2753),
    [anon_sym_BSLASHwj] = ACTIONS(2753),
    [anon_sym_BSLASHem] = ACTIONS(2753),
    [anon_sym_BSLASHbd] = ACTIONS(2753),
    [anon_sym_BSLASHit] = ACTIONS(2753),
    [anon_sym_BSLASHbdit] = ACTIONS(2753),
    [anon_sym_BSLASHno] = ACTIONS(2753),
    [anon_sym_BSLASHsc] = ACTIONS(2753),
    [anon_sym_BSLASHsup] = ACTIONS(2753),
    [anon_sym_BSLASHndx] = ACTIONS(2753),
    [anon_sym_BSLASHpro] = ACTIONS(2753),
    [anon_sym_BSLASHrb] = ACTIONS(2753),
    [anon_sym_BSLASHw] = ACTIONS(2753),
    [anon_sym_BSLASHwg] = ACTIONS(2753),
    [anon_sym_BSLASHwh] = ACTIONS(2753),
    [anon_sym_BSLASHwa] = ACTIONS(2753),
    [anon_sym_BSLASHfig] = ACTIONS(2753),
    [anon_sym_BSLASHjmp] = ACTIONS(2753),
    [anon_sym_BSLASHpb] = ACTIONS(2753),
    [anon_sym_BSLASH] = ACTIONS(2753),
    [sym_milestoneStartTag] = ACTIONS(2753),
    [sym_milestoneEndTag] = ACTIONS(2753),
    [sym_zSpaceTag] = ACTIONS(2753),
    [anon_sym_BSLASHesb] = ACTIONS(2753),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHiex] = ACTIONS(2733),
    [anon_sym_BSLASHc] = ACTIONS(2733),
    [anon_sym_BSLASHcl] = ACTIONS(2733),
    [anon_sym_BSLASHca] = ACTIONS(2733),
    [anon_sym_BSLASHcp] = ACTIONS(2733),
    [anon_sym_BSLASHcd] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [sym_thTag] = ACTIONS(2733),
    [sym_thrTag] = ACTIONS(2733),
    [sym_tcTag] = ACTIONS(2733),
    [sym_tcrTag] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesb] = ACTIONS(2733),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(2691),
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHiex] = ACTIONS(2693),
    [anon_sym_BSLASHc] = ACTIONS(2693),
    [anon_sym_BSLASHcl] = ACTIONS(2693),
    [anon_sym_BSLASHca] = ACTIONS(2693),
    [anon_sym_BSLASHcp] = ACTIONS(2693),
    [anon_sym_BSLASHcd] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [sym_thTag] = ACTIONS(2693),
    [sym_thrTag] = ACTIONS(2693),
    [sym_tcTag] = ACTIONS(2693),
    [sym_tcrTag] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesb] = ACTIONS(2693),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(2775),
    [aux_sym_text_token1] = ACTIONS(2775),
    [anon_sym_BSLASHsts] = ACTIONS(2777),
    [anon_sym_BSLASHrem] = ACTIONS(2777),
    [anon_sym_BSLASHrestore] = ACTIONS(2777),
    [anon_sym_BSLASHlit] = ACTIONS(2777),
    [anon_sym_BSLASHip] = ACTIONS(2777),
    [anon_sym_BSLASHiex] = ACTIONS(2777),
    [anon_sym_BSLASHc] = ACTIONS(2777),
    [anon_sym_BSLASHcl] = ACTIONS(2777),
    [anon_sym_BSLASHca] = ACTIONS(2777),
    [anon_sym_BSLASHcp] = ACTIONS(2777),
    [anon_sym_BSLASHcd] = ACTIONS(2777),
    [anon_sym_BSLASHmte] = ACTIONS(2777),
    [anon_sym_BSLASHms] = ACTIONS(2777),
    [anon_sym_BSLASHs] = ACTIONS(2777),
    [anon_sym_BSLASHr] = ACTIONS(2777),
    [anon_sym_BSLASHsp] = ACTIONS(2777),
    [anon_sym_BSLASHd] = ACTIONS(2777),
    [anon_sym_BSLASHsd] = ACTIONS(2777),
    [anon_sym_BSLASHp] = ACTIONS(2777),
    [anon_sym_BSLASHm] = ACTIONS(2777),
    [anon_sym_BSLASHpo] = ACTIONS(2777),
    [anon_sym_BSLASHpr] = ACTIONS(2777),
    [anon_sym_BSLASHcls] = ACTIONS(2777),
    [anon_sym_BSLASHpmo] = ACTIONS(2777),
    [anon_sym_BSLASHpm] = ACTIONS(2777),
    [anon_sym_BSLASHpmc] = ACTIONS(2777),
    [anon_sym_BSLASHpmr] = ACTIONS(2777),
    [anon_sym_BSLASHpi] = ACTIONS(2777),
    [anon_sym_BSLASHmi] = ACTIONS(2777),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2777),
    [anon_sym_BSLASHph] = ACTIONS(2777),
    [anon_sym_BSLASHb] = ACTIONS(2777),
    [anon_sym_BSLASHq] = ACTIONS(2777),
    [anon_sym_BSLASHqr] = ACTIONS(2777),
    [anon_sym_BSLASHqc] = ACTIONS(2777),
    [anon_sym_BSLASHqa] = ACTIONS(2777),
    [anon_sym_BSLASHqm] = ACTIONS(2777),
    [anon_sym_BSLASHqd] = ACTIONS(2777),
    [anon_sym_BSLASHlh] = ACTIONS(2777),
    [anon_sym_BSLASHli] = ACTIONS(2777),
    [anon_sym_BSLASHlim] = ACTIONS(2777),
    [anon_sym_BSLASHtr] = ACTIONS(2777),
    [sym_thTag] = ACTIONS(2777),
    [sym_thrTag] = ACTIONS(2777),
    [sym_tcTag] = ACTIONS(2777),
    [sym_tcrTag] = ACTIONS(2777),
    [anon_sym_BSLASHf] = ACTIONS(2777),
    [anon_sym_BSLASHfe] = ACTIONS(2777),
    [anon_sym_BSLASHef] = ACTIONS(2777),
    [anon_sym_BSLASHfm] = ACTIONS(2777),
    [anon_sym_BSLASHadd] = ACTIONS(2777),
    [anon_sym_BSLASHbk] = ACTIONS(2777),
    [anon_sym_BSLASHdc] = ACTIONS(2777),
    [anon_sym_BSLASHk] = ACTIONS(2777),
    [anon_sym_BSLASHnd] = ACTIONS(2777),
    [anon_sym_BSLASHord] = ACTIONS(2777),
    [anon_sym_BSLASHpn] = ACTIONS(2777),
    [anon_sym_BSLASHpng] = ACTIONS(2777),
    [anon_sym_BSLASHaddpn] = ACTIONS(2777),
    [anon_sym_BSLASHqt] = ACTIONS(2777),
    [anon_sym_BSLASHsig] = ACTIONS(2777),
    [anon_sym_BSLASHsls] = ACTIONS(2777),
    [anon_sym_BSLASHtl] = ACTIONS(2777),
    [anon_sym_BSLASHwj] = ACTIONS(2777),
    [anon_sym_BSLASHem] = ACTIONS(2777),
    [anon_sym_BSLASHbd] = ACTIONS(2777),
    [anon_sym_BSLASHit] = ACTIONS(2777),
    [anon_sym_BSLASHbdit] = ACTIONS(2777),
    [anon_sym_BSLASHno] = ACTIONS(2777),
    [anon_sym_BSLASHsc] = ACTIONS(2777),
    [anon_sym_BSLASHsup] = ACTIONS(2777),
    [anon_sym_BSLASHndx] = ACTIONS(2777),
    [anon_sym_BSLASHpro] = ACTIONS(2777),
    [anon_sym_BSLASHrb] = ACTIONS(2777),
    [anon_sym_BSLASHw] = ACTIONS(2777),
    [anon_sym_BSLASHwg] = ACTIONS(2777),
    [anon_sym_BSLASHwh] = ACTIONS(2777),
    [anon_sym_BSLASHwa] = ACTIONS(2777),
    [anon_sym_BSLASHfig] = ACTIONS(2777),
    [anon_sym_BSLASHjmp] = ACTIONS(2777),
    [anon_sym_BSLASHpb] = ACTIONS(2777),
    [anon_sym_BSLASH] = ACTIONS(2777),
    [sym_milestoneStartTag] = ACTIONS(2777),
    [sym_milestoneEndTag] = ACTIONS(2777),
    [sym_zSpaceTag] = ACTIONS(2777),
    [anon_sym_BSLASHesb] = ACTIONS(2777),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [sym_thTag] = ACTIONS(7),
    [sym_thrTag] = ACTIONS(7),
    [sym_tcTag] = ACTIONS(7),
    [sym_tcrTag] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
  },
  [626] = {
    [ts_builtin_sym_end] = ACTIONS(2803),
    [aux_sym_text_token1] = ACTIONS(2803),
    [anon_sym_BSLASHsts] = ACTIONS(2805),
    [anon_sym_BSLASHrem] = ACTIONS(2805),
    [anon_sym_BSLASHrestore] = ACTIONS(2805),
    [anon_sym_BSLASHlit] = ACTIONS(2805),
    [anon_sym_BSLASHip] = ACTIONS(2805),
    [anon_sym_BSLASHiex] = ACTIONS(2805),
    [anon_sym_BSLASHc] = ACTIONS(2805),
    [anon_sym_BSLASHcl] = ACTIONS(2805),
    [anon_sym_BSLASHca] = ACTIONS(2805),
    [anon_sym_BSLASHcp] = ACTIONS(2805),
    [anon_sym_BSLASHcd] = ACTIONS(2805),
    [anon_sym_BSLASHmte] = ACTIONS(2805),
    [anon_sym_BSLASHms] = ACTIONS(2805),
    [anon_sym_BSLASHs] = ACTIONS(2805),
    [anon_sym_BSLASHr] = ACTIONS(2805),
    [anon_sym_BSLASHsp] = ACTIONS(2805),
    [anon_sym_BSLASHd] = ACTIONS(2805),
    [anon_sym_BSLASHsd] = ACTIONS(2805),
    [anon_sym_BSLASHp] = ACTIONS(2805),
    [anon_sym_BSLASHm] = ACTIONS(2805),
    [anon_sym_BSLASHpo] = ACTIONS(2805),
    [anon_sym_BSLASHpr] = ACTIONS(2805),
    [anon_sym_BSLASHcls] = ACTIONS(2805),
    [anon_sym_BSLASHpmo] = ACTIONS(2805),
    [anon_sym_BSLASHpm] = ACTIONS(2805),
    [anon_sym_BSLASHpmc] = ACTIONS(2805),
    [anon_sym_BSLASHpmr] = ACTIONS(2805),
    [anon_sym_BSLASHpi] = ACTIONS(2805),
    [anon_sym_BSLASHmi] = ACTIONS(2805),
    [anon_sym_BSLASHnb] = ACTIONS(2805),
    [anon_sym_BSLASHpc] = ACTIONS(2805),
    [anon_sym_BSLASHph] = ACTIONS(2805),
    [anon_sym_BSLASHb] = ACTIONS(2805),
    [anon_sym_BSLASHq] = ACTIONS(2805),
    [anon_sym_BSLASHqr] = ACTIONS(2805),
    [anon_sym_BSLASHqc] = ACTIONS(2805),
    [anon_sym_BSLASHqa] = ACTIONS(2805),
    [anon_sym_BSLASHqm] = ACTIONS(2805),
    [anon_sym_BSLASHqd] = ACTIONS(2805),
    [anon_sym_BSLASHlh] = ACTIONS(2805),
    [anon_sym_BSLASHli] = ACTIONS(2805),
    [anon_sym_BSLASHlim] = ACTIONS(2805),
    [anon_sym_BSLASHtr] = ACTIONS(2805),
    [sym_thTag] = ACTIONS(2805),
    [sym_thrTag] = ACTIONS(2805),
    [sym_tcTag] = ACTIONS(2805),
    [sym_tcrTag] = ACTIONS(2805),
    [anon_sym_BSLASHf] = ACTIONS(2805),
    [anon_sym_BSLASHfe] = ACTIONS(2805),
    [anon_sym_BSLASHef] = ACTIONS(2805),
    [anon_sym_BSLASHfm] = ACTIONS(2805),
    [anon_sym_BSLASHadd] = ACTIONS(2805),
    [anon_sym_BSLASHbk] = ACTIONS(2805),
    [anon_sym_BSLASHdc] = ACTIONS(2805),
    [anon_sym_BSLASHk] = ACTIONS(2805),
    [anon_sym_BSLASHnd] = ACTIONS(2805),
    [anon_sym_BSLASHord] = ACTIONS(2805),
    [anon_sym_BSLASHpn] = ACTIONS(2805),
    [anon_sym_BSLASHpng] = ACTIONS(2805),
    [anon_sym_BSLASHaddpn] = ACTIONS(2805),
    [anon_sym_BSLASHqt] = ACTIONS(2805),
    [anon_sym_BSLASHsig] = ACTIONS(2805),
    [anon_sym_BSLASHsls] = ACTIONS(2805),
    [anon_sym_BSLASHtl] = ACTIONS(2805),
    [anon_sym_BSLASHwj] = ACTIONS(2805),
    [anon_sym_BSLASHem] = ACTIONS(2805),
    [anon_sym_BSLASHbd] = ACTIONS(2805),
    [anon_sym_BSLASHit] = ACTIONS(2805),
    [anon_sym_BSLASHbdit] = ACTIONS(2805),
    [anon_sym_BSLASHno] = ACTIONS(2805),
    [anon_sym_BSLASHsc] = ACTIONS(2805),
    [anon_sym_BSLASHsup] = ACTIONS(2805),
    [anon_sym_BSLASHndx] = ACTIONS(2805),
    [anon_sym_BSLASHpro] = ACTIONS(2805),
    [anon_sym_BSLASHrb] = ACTIONS(2805),
    [anon_sym_BSLASHw] = ACTIONS(2805),
    [anon_sym_BSLASHwg] = ACTIONS(2805),
    [anon_sym_BSLASHwh] = ACTIONS(2805),
    [anon_sym_BSLASHwa] = ACTIONS(2805),
    [anon_sym_BSLASHfig] = ACTIONS(2805),
    [anon_sym_BSLASHjmp] = ACTIONS(2805),
    [anon_sym_BSLASHpb] = ACTIONS(2805),
    [anon_sym_BSLASH] = ACTIONS(2805),
    [sym_milestoneStartTag] = ACTIONS(2805),
    [sym_milestoneEndTag] = ACTIONS(2805),
    [sym_zSpaceTag] = ACTIONS(2805),
    [anon_sym_BSLASHesb] = ACTIONS(2805),
  },
  [627] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHiex] = ACTIONS(2673),
    [anon_sym_BSLASHc] = ACTIONS(2673),
    [anon_sym_BSLASHcl] = ACTIONS(2673),
    [anon_sym_BSLASHca] = ACTIONS(2673),
    [anon_sym_BSLASHcp] = ACTIONS(2673),
    [anon_sym_BSLASHcd] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [sym_thTag] = ACTIONS(2673),
    [sym_thrTag] = ACTIONS(2673),
    [sym_tcTag] = ACTIONS(2673),
    [sym_tcrTag] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesb] = ACTIONS(2673),
  },
  [628] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHiex] = ACTIONS(2729),
    [anon_sym_BSLASHc] = ACTIONS(2729),
    [anon_sym_BSLASHcl] = ACTIONS(2729),
    [anon_sym_BSLASHca] = ACTIONS(2729),
    [anon_sym_BSLASHcp] = ACTIONS(2729),
    [anon_sym_BSLASHcd] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [sym_thTag] = ACTIONS(2729),
    [sym_thrTag] = ACTIONS(2729),
    [sym_tcTag] = ACTIONS(2729),
    [sym_tcrTag] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesb] = ACTIONS(2729),
  },
  [629] = {
    [ts_builtin_sym_end] = ACTIONS(2707),
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHiex] = ACTIONS(2709),
    [anon_sym_BSLASHc] = ACTIONS(2709),
    [anon_sym_BSLASHcl] = ACTIONS(2709),
    [anon_sym_BSLASHca] = ACTIONS(2709),
    [anon_sym_BSLASHcp] = ACTIONS(2709),
    [anon_sym_BSLASHcd] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [sym_thTag] = ACTIONS(2709),
    [sym_thrTag] = ACTIONS(2709),
    [sym_tcTag] = ACTIONS(2709),
    [sym_tcrTag] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesb] = ACTIONS(2709),
  },
  [630] = {
    [ts_builtin_sym_end] = ACTIONS(6202),
    [aux_sym_text_token1] = ACTIONS(6202),
    [anon_sym_BSLASHsts] = ACTIONS(6204),
    [anon_sym_BSLASHrem] = ACTIONS(6204),
    [anon_sym_BSLASHrestore] = ACTIONS(6204),
    [anon_sym_BSLASHlit] = ACTIONS(6204),
    [anon_sym_BSLASHip] = ACTIONS(6204),
    [anon_sym_BSLASHiex] = ACTIONS(6204),
    [anon_sym_BSLASHc] = ACTIONS(6204),
    [anon_sym_BSLASHcl] = ACTIONS(6204),
    [anon_sym_BSLASHca] = ACTIONS(6204),
    [anon_sym_BSLASHcp] = ACTIONS(6204),
    [anon_sym_BSLASHcd] = ACTIONS(6204),
    [anon_sym_BSLASHmte] = ACTIONS(6204),
    [anon_sym_BSLASHms] = ACTIONS(6204),
    [anon_sym_BSLASHs] = ACTIONS(6204),
    [anon_sym_BSLASHsr] = ACTIONS(6204),
    [anon_sym_BSLASHr] = ACTIONS(6204),
    [anon_sym_BSLASHsp] = ACTIONS(6204),
    [anon_sym_BSLASHd] = ACTIONS(6204),
    [anon_sym_BSLASHsd] = ACTIONS(6204),
    [anon_sym_BSLASHp] = ACTIONS(6204),
    [anon_sym_BSLASHm] = ACTIONS(6204),
    [anon_sym_BSLASHpo] = ACTIONS(6204),
    [anon_sym_BSLASHpr] = ACTIONS(6204),
    [anon_sym_BSLASHcls] = ACTIONS(6204),
    [anon_sym_BSLASHpmo] = ACTIONS(6204),
    [anon_sym_BSLASHpm] = ACTIONS(6204),
    [anon_sym_BSLASHpmc] = ACTIONS(6204),
    [anon_sym_BSLASHpmr] = ACTIONS(6204),
    [anon_sym_BSLASHpi] = ACTIONS(6204),
    [anon_sym_BSLASHmi] = ACTIONS(6204),
    [anon_sym_BSLASHnb] = ACTIONS(6204),
    [anon_sym_BSLASHpc] = ACTIONS(6204),
    [anon_sym_BSLASHph] = ACTIONS(6204),
    [anon_sym_BSLASHb] = ACTIONS(6204),
    [anon_sym_BSLASHq] = ACTIONS(6204),
    [anon_sym_BSLASHqr] = ACTIONS(6204),
    [anon_sym_BSLASHqc] = ACTIONS(6204),
    [anon_sym_BSLASHqa] = ACTIONS(6204),
    [anon_sym_BSLASHqm] = ACTIONS(6204),
    [anon_sym_BSLASHqd] = ACTIONS(6204),
    [anon_sym_BSLASHlh] = ACTIONS(6204),
    [anon_sym_BSLASHli] = ACTIONS(6204),
    [anon_sym_BSLASHlim] = ACTIONS(6204),
    [anon_sym_BSLASHtr] = ACTIONS(6204),
    [anon_sym_BSLASHf] = ACTIONS(6204),
    [anon_sym_BSLASHfe] = ACTIONS(6204),
    [anon_sym_BSLASHef] = ACTIONS(6204),
    [anon_sym_BSLASHfm] = ACTIONS(6204),
    [anon_sym_BSLASHx] = ACTIONS(6204),
    [anon_sym_BSLASHxt] = ACTIONS(6204),
    [anon_sym_BSLASHrq] = ACTIONS(6204),
    [anon_sym_BSLASHadd] = ACTIONS(6204),
    [anon_sym_BSLASHbk] = ACTIONS(6204),
    [anon_sym_BSLASHdc] = ACTIONS(6204),
    [anon_sym_BSLASHk] = ACTIONS(6204),
    [anon_sym_BSLASHnd] = ACTIONS(6204),
    [anon_sym_BSLASHord] = ACTIONS(6204),
    [anon_sym_BSLASHpn] = ACTIONS(6204),
    [anon_sym_BSLASHpng] = ACTIONS(6204),
    [anon_sym_BSLASHaddpn] = ACTIONS(6204),
    [anon_sym_BSLASHqt] = ACTIONS(6204),
    [anon_sym_BSLASHsig] = ACTIONS(6204),
    [anon_sym_BSLASHsls] = ACTIONS(6204),
    [anon_sym_BSLASHtl] = ACTIONS(6204),
    [anon_sym_BSLASHwj] = ACTIONS(6204),
    [anon_sym_BSLASHem] = ACTIONS(6204),
    [anon_sym_BSLASHbd] = ACTIONS(6204),
    [anon_sym_BSLASHit] = ACTIONS(6204),
    [anon_sym_BSLASHbdit] = ACTIONS(6204),
    [anon_sym_BSLASHno] = ACTIONS(6204),
    [anon_sym_BSLASHsc] = ACTIONS(6204),
    [anon_sym_BSLASHsup] = ACTIONS(6204),
    [anon_sym_BSLASHndx] = ACTIONS(6204),
    [anon_sym_BSLASHpro] = ACTIONS(6204),
    [anon_sym_BSLASHrb] = ACTIONS(6204),
    [anon_sym_BSLASHw] = ACTIONS(6204),
    [anon_sym_BSLASHwg] = ACTIONS(6204),
    [anon_sym_BSLASHwh] = ACTIONS(6204),
    [anon_sym_BSLASHwa] = ACTIONS(6204),
    [anon_sym_BSLASHfig] = ACTIONS(6204),
    [anon_sym_BSLASHjmp] = ACTIONS(6204),
    [anon_sym_BSLASHpb] = ACTIONS(6204),
    [anon_sym_BSLASH] = ACTIONS(6204),
    [sym_milestoneStartTag] = ACTIONS(6204),
    [sym_milestoneEndTag] = ACTIONS(6204),
    [sym_zSpaceTag] = ACTIONS(6204),
    [anon_sym_BSLASHesb] = ACTIONS(6204),
  },
  [631] = {
    [ts_builtin_sym_end] = ACTIONS(6206),
    [aux_sym_text_token1] = ACTIONS(6206),
    [anon_sym_BSLASHsts] = ACTIONS(6208),
    [anon_sym_BSLASHrem] = ACTIONS(6208),
    [anon_sym_BSLASHrestore] = ACTIONS(6208),
    [anon_sym_BSLASHlit] = ACTIONS(6208),
    [anon_sym_BSLASHip] = ACTIONS(6208),
    [anon_sym_BSLASHiex] = ACTIONS(6208),
    [anon_sym_BSLASHc] = ACTIONS(6208),
    [anon_sym_BSLASHcl] = ACTIONS(6208),
    [anon_sym_BSLASHca] = ACTIONS(6208),
    [anon_sym_BSLASHcp] = ACTIONS(6208),
    [anon_sym_BSLASHcd] = ACTIONS(6208),
    [anon_sym_BSLASHmte] = ACTIONS(6208),
    [anon_sym_BSLASHms] = ACTIONS(6208),
    [anon_sym_BSLASHs] = ACTIONS(6208),
    [anon_sym_BSLASHsr] = ACTIONS(6208),
    [anon_sym_BSLASHr] = ACTIONS(6208),
    [anon_sym_BSLASHsp] = ACTIONS(6208),
    [anon_sym_BSLASHd] = ACTIONS(6208),
    [anon_sym_BSLASHsd] = ACTIONS(6208),
    [anon_sym_BSLASHp] = ACTIONS(6208),
    [anon_sym_BSLASHm] = ACTIONS(6208),
    [anon_sym_BSLASHpo] = ACTIONS(6208),
    [anon_sym_BSLASHpr] = ACTIONS(6208),
    [anon_sym_BSLASHcls] = ACTIONS(6208),
    [anon_sym_BSLASHpmo] = ACTIONS(6208),
    [anon_sym_BSLASHpm] = ACTIONS(6208),
    [anon_sym_BSLASHpmc] = ACTIONS(6208),
    [anon_sym_BSLASHpmr] = ACTIONS(6208),
    [anon_sym_BSLASHpi] = ACTIONS(6208),
    [anon_sym_BSLASHmi] = ACTIONS(6208),
    [anon_sym_BSLASHnb] = ACTIONS(6208),
    [anon_sym_BSLASHpc] = ACTIONS(6208),
    [anon_sym_BSLASHph] = ACTIONS(6208),
    [anon_sym_BSLASHb] = ACTIONS(6208),
    [anon_sym_BSLASHq] = ACTIONS(6208),
    [anon_sym_BSLASHqr] = ACTIONS(6208),
    [anon_sym_BSLASHqc] = ACTIONS(6208),
    [anon_sym_BSLASHqa] = ACTIONS(6208),
    [anon_sym_BSLASHqm] = ACTIONS(6208),
    [anon_sym_BSLASHqd] = ACTIONS(6208),
    [anon_sym_BSLASHlh] = ACTIONS(6208),
    [anon_sym_BSLASHli] = ACTIONS(6208),
    [anon_sym_BSLASHlim] = ACTIONS(6208),
    [anon_sym_BSLASHtr] = ACTIONS(6208),
    [anon_sym_BSLASHf] = ACTIONS(6208),
    [anon_sym_BSLASHfe] = ACTIONS(6208),
    [anon_sym_BSLASHef] = ACTIONS(6208),
    [anon_sym_BSLASHfm] = ACTIONS(6208),
    [anon_sym_BSLASHx] = ACTIONS(6208),
    [anon_sym_BSLASHxt] = ACTIONS(6208),
    [anon_sym_BSLASHrq] = ACTIONS(6208),
    [anon_sym_BSLASHadd] = ACTIONS(6208),
    [anon_sym_BSLASHbk] = ACTIONS(6208),
    [anon_sym_BSLASHdc] = ACTIONS(6208),
    [anon_sym_BSLASHk] = ACTIONS(6208),
    [anon_sym_BSLASHnd] = ACTIONS(6208),
    [anon_sym_BSLASHord] = ACTIONS(6208),
    [anon_sym_BSLASHpn] = ACTIONS(6208),
    [anon_sym_BSLASHpng] = ACTIONS(6208),
    [anon_sym_BSLASHaddpn] = ACTIONS(6208),
    [anon_sym_BSLASHqt] = ACTIONS(6208),
    [anon_sym_BSLASHsig] = ACTIONS(6208),
    [anon_sym_BSLASHsls] = ACTIONS(6208),
    [anon_sym_BSLASHtl] = ACTIONS(6208),
    [anon_sym_BSLASHwj] = ACTIONS(6208),
    [anon_sym_BSLASHem] = ACTIONS(6208),
    [anon_sym_BSLASHbd] = ACTIONS(6208),
    [anon_sym_BSLASHit] = ACTIONS(6208),
    [anon_sym_BSLASHbdit] = ACTIONS(6208),
    [anon_sym_BSLASHno] = ACTIONS(6208),
    [anon_sym_BSLASHsc] = ACTIONS(6208),
    [anon_sym_BSLASHsup] = ACTIONS(6208),
    [anon_sym_BSLASHndx] = ACTIONS(6208),
    [anon_sym_BSLASHpro] = ACTIONS(6208),
    [anon_sym_BSLASHrb] = ACTIONS(6208),
    [anon_sym_BSLASHw] = ACTIONS(6208),
    [anon_sym_BSLASHwg] = ACTIONS(6208),
    [anon_sym_BSLASHwh] = ACTIONS(6208),
    [anon_sym_BSLASHwa] = ACTIONS(6208),
    [anon_sym_BSLASHfig] = ACTIONS(6208),
    [anon_sym_BSLASHjmp] = ACTIONS(6208),
    [anon_sym_BSLASHpb] = ACTIONS(6208),
    [anon_sym_BSLASH] = ACTIONS(6208),
    [sym_milestoneStartTag] = ACTIONS(6208),
    [sym_milestoneEndTag] = ACTIONS(6208),
    [sym_zSpaceTag] = ACTIONS(6208),
    [anon_sym_BSLASHesb] = ACTIONS(6208),
  },
  [632] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHiex] = ACTIONS(2725),
    [anon_sym_BSLASHc] = ACTIONS(2725),
    [anon_sym_BSLASHcl] = ACTIONS(2725),
    [anon_sym_BSLASHca] = ACTIONS(2725),
    [anon_sym_BSLASHcp] = ACTIONS(2725),
    [anon_sym_BSLASHcd] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [sym_thTag] = ACTIONS(2725),
    [sym_thrTag] = ACTIONS(2725),
    [sym_tcTag] = ACTIONS(2725),
    [sym_tcrTag] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesb] = ACTIONS(2725),
  },
  [633] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHiex] = ACTIONS(2681),
    [anon_sym_BSLASHc] = ACTIONS(2681),
    [anon_sym_BSLASHcl] = ACTIONS(2681),
    [anon_sym_BSLASHca] = ACTIONS(2681),
    [anon_sym_BSLASHcp] = ACTIONS(2681),
    [anon_sym_BSLASHcd] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [sym_thTag] = ACTIONS(2681),
    [sym_thrTag] = ACTIONS(2681),
    [sym_tcTag] = ACTIONS(2681),
    [sym_tcrTag] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesb] = ACTIONS(2681),
  },
  [634] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHiex] = ACTIONS(2689),
    [anon_sym_BSLASHc] = ACTIONS(2689),
    [anon_sym_BSLASHcl] = ACTIONS(2689),
    [anon_sym_BSLASHca] = ACTIONS(2689),
    [anon_sym_BSLASHcp] = ACTIONS(2689),
    [anon_sym_BSLASHcd] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [sym_thTag] = ACTIONS(2689),
    [sym_thrTag] = ACTIONS(2689),
    [sym_tcTag] = ACTIONS(2689),
    [sym_tcrTag] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesb] = ACTIONS(2689),
  },
  [635] = {
    [ts_builtin_sym_end] = ACTIONS(2695),
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHiex] = ACTIONS(2697),
    [anon_sym_BSLASHc] = ACTIONS(2697),
    [anon_sym_BSLASHcl] = ACTIONS(2697),
    [anon_sym_BSLASHca] = ACTIONS(2697),
    [anon_sym_BSLASHcp] = ACTIONS(2697),
    [anon_sym_BSLASHcd] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [sym_thTag] = ACTIONS(2697),
    [sym_thrTag] = ACTIONS(2697),
    [sym_tcTag] = ACTIONS(2697),
    [sym_tcrTag] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesb] = ACTIONS(2697),
  },
  [636] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHiex] = ACTIONS(2701),
    [anon_sym_BSLASHc] = ACTIONS(2701),
    [anon_sym_BSLASHcl] = ACTIONS(2701),
    [anon_sym_BSLASHca] = ACTIONS(2701),
    [anon_sym_BSLASHcp] = ACTIONS(2701),
    [anon_sym_BSLASHcd] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [sym_thTag] = ACTIONS(2701),
    [sym_thrTag] = ACTIONS(2701),
    [sym_tcTag] = ACTIONS(2701),
    [sym_tcrTag] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesb] = ACTIONS(2701),
  },
  [637] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHiex] = ACTIONS(2713),
    [anon_sym_BSLASHc] = ACTIONS(2713),
    [anon_sym_BSLASHcl] = ACTIONS(2713),
    [anon_sym_BSLASHca] = ACTIONS(2713),
    [anon_sym_BSLASHcp] = ACTIONS(2713),
    [anon_sym_BSLASHcd] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [sym_thTag] = ACTIONS(2713),
    [sym_thrTag] = ACTIONS(2713),
    [sym_tcTag] = ACTIONS(2713),
    [sym_tcrTag] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesb] = ACTIONS(2713),
  },
  [638] = {
    [ts_builtin_sym_end] = ACTIONS(2791),
    [aux_sym_text_token1] = ACTIONS(2791),
    [anon_sym_BSLASHsts] = ACTIONS(2793),
    [anon_sym_BSLASHrem] = ACTIONS(2793),
    [anon_sym_BSLASHrestore] = ACTIONS(2793),
    [anon_sym_BSLASHlit] = ACTIONS(2793),
    [anon_sym_BSLASHip] = ACTIONS(2793),
    [anon_sym_BSLASHiex] = ACTIONS(2793),
    [anon_sym_BSLASHc] = ACTIONS(2793),
    [anon_sym_BSLASHcl] = ACTIONS(2793),
    [anon_sym_BSLASHca] = ACTIONS(2793),
    [anon_sym_BSLASHcp] = ACTIONS(2793),
    [anon_sym_BSLASHcd] = ACTIONS(2793),
    [anon_sym_BSLASHmte] = ACTIONS(2793),
    [anon_sym_BSLASHms] = ACTIONS(2793),
    [anon_sym_BSLASHs] = ACTIONS(2793),
    [anon_sym_BSLASHr] = ACTIONS(2793),
    [anon_sym_BSLASHsp] = ACTIONS(2793),
    [anon_sym_BSLASHd] = ACTIONS(2793),
    [anon_sym_BSLASHsd] = ACTIONS(2793),
    [anon_sym_BSLASHp] = ACTIONS(2793),
    [anon_sym_BSLASHm] = ACTIONS(2793),
    [anon_sym_BSLASHpo] = ACTIONS(2793),
    [anon_sym_BSLASHpr] = ACTIONS(2793),
    [anon_sym_BSLASHcls] = ACTIONS(2793),
    [anon_sym_BSLASHpmo] = ACTIONS(2793),
    [anon_sym_BSLASHpm] = ACTIONS(2793),
    [anon_sym_BSLASHpmc] = ACTIONS(2793),
    [anon_sym_BSLASHpmr] = ACTIONS(2793),
    [anon_sym_BSLASHpi] = ACTIONS(2793),
    [anon_sym_BSLASHmi] = ACTIONS(2793),
    [anon_sym_BSLASHnb] = ACTIONS(2793),
    [anon_sym_BSLASHpc] = ACTIONS(2793),
    [anon_sym_BSLASHph] = ACTIONS(2793),
    [anon_sym_BSLASHb] = ACTIONS(2793),
    [anon_sym_BSLASHq] = ACTIONS(2793),
    [anon_sym_BSLASHqr] = ACTIONS(2793),
    [anon_sym_BSLASHqc] = ACTIONS(2793),
    [anon_sym_BSLASHqa] = ACTIONS(2793),
    [anon_sym_BSLASHqm] = ACTIONS(2793),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(2793),
    [anon_sym_BSLASHli] = ACTIONS(2793),
    [anon_sym_BSLASHlim] = ACTIONS(2793),
    [anon_sym_BSLASHtr] = ACTIONS(2793),
    [sym_thTag] = ACTIONS(2793),
    [sym_thrTag] = ACTIONS(2793),
    [sym_tcTag] = ACTIONS(2793),
    [sym_tcrTag] = ACTIONS(2793),
    [anon_sym_BSLASHf] = ACTIONS(2793),
    [anon_sym_BSLASHfe] = ACTIONS(2793),
    [anon_sym_BSLASHef] = ACTIONS(2793),
    [anon_sym_BSLASHfm] = ACTIONS(2793),
    [anon_sym_BSLASHadd] = ACTIONS(2793),
    [anon_sym_BSLASHbk] = ACTIONS(2793),
    [anon_sym_BSLASHdc] = ACTIONS(2793),
    [anon_sym_BSLASHk] = ACTIONS(2793),
    [anon_sym_BSLASHnd] = ACTIONS(2793),
    [anon_sym_BSLASHord] = ACTIONS(2793),
    [anon_sym_BSLASHpn] = ACTIONS(2793),
    [anon_sym_BSLASHpng] = ACTIONS(2793),
    [anon_sym_BSLASHaddpn] = ACTIONS(2793),
    [anon_sym_BSLASHqt] = ACTIONS(2793),
    [anon_sym_BSLASHsig] = ACTIONS(2793),
    [anon_sym_BSLASHsls] = ACTIONS(2793),
    [anon_sym_BSLASHtl] = ACTIONS(2793),
    [anon_sym_BSLASHwj] = ACTIONS(2793),
    [anon_sym_BSLASHem] = ACTIONS(2793),
    [anon_sym_BSLASHbd] = ACTIONS(2793),
    [anon_sym_BSLASHit] = ACTIONS(2793),
    [anon_sym_BSLASHbdit] = ACTIONS(2793),
    [anon_sym_BSLASHno] = ACTIONS(2793),
    [anon_sym_BSLASHsc] = ACTIONS(2793),
    [anon_sym_BSLASHsup] = ACTIONS(2793),
    [anon_sym_BSLASHndx] = ACTIONS(2793),
    [anon_sym_BSLASHpro] = ACTIONS(2793),
    [anon_sym_BSLASHrb] = ACTIONS(2793),
    [anon_sym_BSLASHw] = ACTIONS(2793),
    [anon_sym_BSLASHwg] = ACTIONS(2793),
    [anon_sym_BSLASHwh] = ACTIONS(2793),
    [anon_sym_BSLASHwa] = ACTIONS(2793),
    [anon_sym_BSLASHfig] = ACTIONS(2793),
    [anon_sym_BSLASHjmp] = ACTIONS(2793),
    [anon_sym_BSLASHpb] = ACTIONS(2793),
    [anon_sym_BSLASH] = ACTIONS(2793),
    [sym_milestoneStartTag] = ACTIONS(2793),
    [sym_milestoneEndTag] = ACTIONS(2793),
    [sym_zSpaceTag] = ACTIONS(2793),
    [anon_sym_BSLASHesb] = ACTIONS(2793),
  },
  [639] = {
    [ts_builtin_sym_end] = ACTIONS(17),
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHiex] = ACTIONS(19),
    [anon_sym_BSLASHc] = ACTIONS(19),
    [anon_sym_BSLASHcl] = ACTIONS(19),
    [anon_sym_BSLASHca] = ACTIONS(19),
    [anon_sym_BSLASHcp] = ACTIONS(19),
    [anon_sym_BSLASHcd] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [sym_thTag] = ACTIONS(19),
    [sym_thrTag] = ACTIONS(19),
    [sym_tcTag] = ACTIONS(19),
    [sym_tcrTag] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesb] = ACTIONS(19),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHiex] = ACTIONS(2705),
    [anon_sym_BSLASHc] = ACTIONS(2705),
    [anon_sym_BSLASHcl] = ACTIONS(2705),
    [anon_sym_BSLASHca] = ACTIONS(2705),
    [anon_sym_BSLASHcp] = ACTIONS(2705),
    [anon_sym_BSLASHcd] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [sym_thTag] = ACTIONS(2705),
    [sym_thrTag] = ACTIONS(2705),
    [sym_tcTag] = ACTIONS(2705),
    [sym_tcrTag] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesb] = ACTIONS(2705),
  },
  [641] = {
    [ts_builtin_sym_end] = ACTIONS(13),
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHiex] = ACTIONS(15),
    [anon_sym_BSLASHc] = ACTIONS(15),
    [anon_sym_BSLASHcl] = ACTIONS(15),
    [anon_sym_BSLASHca] = ACTIONS(15),
    [anon_sym_BSLASHcp] = ACTIONS(15),
    [anon_sym_BSLASHcd] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [sym_thTag] = ACTIONS(15),
    [sym_thrTag] = ACTIONS(15),
    [sym_tcTag] = ACTIONS(15),
    [sym_tcrTag] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesb] = ACTIONS(15),
  },
  [642] = {
    [aux_sym_text_token1] = ACTIONS(2751),
    [anon_sym_BSLASHref] = ACTIONS(2753),
    [anon_sym_BSLASHsts] = ACTIONS(2753),
    [anon_sym_BSLASHrem] = ACTIONS(2753),
    [anon_sym_BSLASHrestore] = ACTIONS(2753),
    [anon_sym_BSLASHlit] = ACTIONS(2753),
    [anon_sym_BSLASHip] = ACTIONS(2753),
    [anon_sym_BSLASHv] = ACTIONS(2753),
    [anon_sym_BSLASHva] = ACTIONS(2753),
    [anon_sym_BSLASHvp] = ACTIONS(2753),
    [anon_sym_BSLASHmte] = ACTIONS(2753),
    [anon_sym_BSLASHms] = ACTIONS(2753),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(2753),
    [anon_sym_BSLASHsp] = ACTIONS(2753),
    [anon_sym_BSLASHd] = ACTIONS(2753),
    [anon_sym_BSLASHsd] = ACTIONS(2753),
    [anon_sym_BSLASHp] = ACTIONS(2753),
    [anon_sym_BSLASHm] = ACTIONS(2753),
    [anon_sym_BSLASHpo] = ACTIONS(2753),
    [anon_sym_BSLASHpr] = ACTIONS(2753),
    [anon_sym_BSLASHcls] = ACTIONS(2753),
    [anon_sym_BSLASHpmo] = ACTIONS(2753),
    [anon_sym_BSLASHpm] = ACTIONS(2753),
    [anon_sym_BSLASHpmc] = ACTIONS(2753),
    [anon_sym_BSLASHpmr] = ACTIONS(2753),
    [anon_sym_BSLASHpi] = ACTIONS(2753),
    [anon_sym_BSLASHmi] = ACTIONS(2753),
    [anon_sym_BSLASHnb] = ACTIONS(2753),
    [anon_sym_BSLASHpc] = ACTIONS(2753),
    [anon_sym_BSLASHph] = ACTIONS(2753),
    [anon_sym_BSLASHb] = ACTIONS(2753),
    [anon_sym_BSLASHq] = ACTIONS(2753),
    [anon_sym_BSLASHqr] = ACTIONS(2753),
    [anon_sym_BSLASHqc] = ACTIONS(2753),
    [anon_sym_BSLASHqs] = ACTIONS(2753),
    [anon_sym_BSLASHqa] = ACTIONS(2753),
    [anon_sym_BSLASHqac] = ACTIONS(2753),
    [anon_sym_BSLASHqm] = ACTIONS(2753),
    [anon_sym_BSLASHqd] = ACTIONS(2753),
    [anon_sym_BSLASHlh] = ACTIONS(2753),
    [anon_sym_BSLASHli] = ACTIONS(2753),
    [anon_sym_BSLASHlim] = ACTIONS(2753),
    [anon_sym_BSLASHtr] = ACTIONS(2753),
    [anon_sym_BSLASHf] = ACTIONS(2753),
    [anon_sym_BSLASHfe] = ACTIONS(2753),
    [anon_sym_BSLASHef] = ACTIONS(2753),
    [anon_sym_BSLASHfm] = ACTIONS(2753),
    [anon_sym_BSLASHx] = ACTIONS(2753),
    [anon_sym_BSLASHxt] = ACTIONS(2753),
    [anon_sym_BSLASHrq] = ACTIONS(2753),
    [anon_sym_BSLASHadd] = ACTIONS(2753),
    [anon_sym_BSLASHbk] = ACTIONS(2753),
    [anon_sym_BSLASHdc] = ACTIONS(2753),
    [anon_sym_BSLASHk] = ACTIONS(2753),
    [anon_sym_BSLASHnd] = ACTIONS(2753),
    [anon_sym_BSLASHord] = ACTIONS(2753),
    [anon_sym_BSLASHpn] = ACTIONS(2753),
    [anon_sym_BSLASHpng] = ACTIONS(2753),
    [anon_sym_BSLASHaddpn] = ACTIONS(2753),
    [anon_sym_BSLASHqt] = ACTIONS(2753),
    [anon_sym_BSLASHsig] = ACTIONS(2753),
    [anon_sym_BSLASHsls] = ACTIONS(2753),
    [anon_sym_BSLASHtl] = ACTIONS(2753),
    [anon_sym_BSLASHwj] = ACTIONS(2753),
    [anon_sym_BSLASHem] = ACTIONS(2753),
    [anon_sym_BSLASHbd] = ACTIONS(2753),
    [anon_sym_BSLASHit] = ACTIONS(2753),
    [anon_sym_BSLASHbdit] = ACTIONS(2753),
    [anon_sym_BSLASHno] = ACTIONS(2753),
    [anon_sym_BSLASHsc] = ACTIONS(2753),
    [anon_sym_BSLASHsup] = ACTIONS(2753),
    [anon_sym_BSLASHndx] = ACTIONS(2753),
    [anon_sym_BSLASHpro] = ACTIONS(2753),
    [anon_sym_BSLASHrb] = ACTIONS(2753),
    [anon_sym_BSLASHw] = ACTIONS(2753),
    [anon_sym_BSLASHwg] = ACTIONS(2753),
    [anon_sym_BSLASHwh] = ACTIONS(2753),
    [anon_sym_BSLASHwa] = ACTIONS(2753),
    [anon_sym_BSLASHfig] = ACTIONS(2753),
    [anon_sym_BSLASHjmp] = ACTIONS(2753),
    [anon_sym_BSLASHpb] = ACTIONS(2753),
    [anon_sym_BSLASH] = ACTIONS(2753),
    [sym_milestoneStartTag] = ACTIONS(2753),
    [sym_milestoneEndTag] = ACTIONS(2753),
    [sym_zSpaceTag] = ACTIONS(2753),
    [anon_sym_BSLASHesbe] = ACTIONS(2753),
    [anon_sym_BSLASHcat] = ACTIONS(2753),
  },
  [643] = {
    [aux_sym_text_token1] = ACTIONS(5994),
    [anon_sym_BSLASHref] = ACTIONS(5996),
    [anon_sym_BSLASHsts] = ACTIONS(5996),
    [anon_sym_BSLASHrem] = ACTIONS(5996),
    [anon_sym_BSLASHrestore] = ACTIONS(5996),
    [anon_sym_BSLASHlit] = ACTIONS(5996),
    [anon_sym_BSLASHip] = ACTIONS(5996),
    [anon_sym_BSLASHv] = ACTIONS(5996),
    [anon_sym_BSLASHva] = ACTIONS(5996),
    [anon_sym_BSLASHvp] = ACTIONS(5996),
    [anon_sym_BSLASHmte] = ACTIONS(5996),
    [anon_sym_BSLASHms] = ACTIONS(5996),
    [anon_sym_BSLASHs] = ACTIONS(5996),
    [anon_sym_BSLASHr] = ACTIONS(5996),
    [anon_sym_BSLASHsp] = ACTIONS(5996),
    [anon_sym_BSLASHd] = ACTIONS(5996),
    [anon_sym_BSLASHsd] = ACTIONS(5996),
    [anon_sym_BSLASHp] = ACTIONS(5996),
    [anon_sym_BSLASHm] = ACTIONS(5996),
    [anon_sym_BSLASHpo] = ACTIONS(5996),
    [anon_sym_BSLASHpr] = ACTIONS(5996),
    [anon_sym_BSLASHcls] = ACTIONS(5996),
    [anon_sym_BSLASHpmo] = ACTIONS(5996),
    [anon_sym_BSLASHpm] = ACTIONS(5996),
    [anon_sym_BSLASHpmc] = ACTIONS(5996),
    [anon_sym_BSLASHpmr] = ACTIONS(5996),
    [anon_sym_BSLASHpi] = ACTIONS(5996),
    [anon_sym_BSLASHmi] = ACTIONS(5996),
    [anon_sym_BSLASHnb] = ACTIONS(5996),
    [anon_sym_BSLASHpc] = ACTIONS(5996),
    [anon_sym_BSLASHph] = ACTIONS(5996),
    [anon_sym_BSLASHb] = ACTIONS(5996),
    [anon_sym_BSLASHq] = ACTIONS(5996),
    [anon_sym_BSLASHqr] = ACTIONS(5996),
    [anon_sym_BSLASHqc] = ACTIONS(5996),
    [anon_sym_BSLASHqs] = ACTIONS(5996),
    [anon_sym_BSLASHqa] = ACTIONS(5996),
    [anon_sym_BSLASHqac] = ACTIONS(5996),
    [anon_sym_BSLASHqm] = ACTIONS(5996),
    [anon_sym_BSLASHqd] = ACTIONS(5996),
    [anon_sym_BSLASHlh] = ACTIONS(5996),
    [anon_sym_BSLASHli] = ACTIONS(5996),
    [anon_sym_BSLASHlim] = ACTIONS(5996),
    [anon_sym_BSLASHtr] = ACTIONS(5996),
    [anon_sym_BSLASHf] = ACTIONS(5996),
    [anon_sym_BSLASHfe] = ACTIONS(5996),
    [anon_sym_BSLASHef] = ACTIONS(5996),
    [anon_sym_BSLASHfm] = ACTIONS(5996),
    [anon_sym_BSLASHx] = ACTIONS(5996),
    [anon_sym_BSLASHxt] = ACTIONS(5996),
    [anon_sym_BSLASHrq] = ACTIONS(5996),
    [anon_sym_BSLASHadd] = ACTIONS(5996),
    [anon_sym_BSLASHbk] = ACTIONS(5996),
    [anon_sym_BSLASHdc] = ACTIONS(5996),
    [anon_sym_BSLASHk] = ACTIONS(5996),
    [anon_sym_BSLASHnd] = ACTIONS(5996),
    [anon_sym_BSLASHord] = ACTIONS(5996),
    [anon_sym_BSLASHpn] = ACTIONS(5996),
    [anon_sym_BSLASHpng] = ACTIONS(5996),
    [anon_sym_BSLASHaddpn] = ACTIONS(5996),
    [anon_sym_BSLASHqt] = ACTIONS(5996),
    [anon_sym_BSLASHsig] = ACTIONS(5996),
    [anon_sym_BSLASHsls] = ACTIONS(5996),
    [anon_sym_BSLASHtl] = ACTIONS(5996),
    [anon_sym_BSLASHwj] = ACTIONS(5996),
    [anon_sym_BSLASHem] = ACTIONS(5996),
    [anon_sym_BSLASHbd] = ACTIONS(5996),
    [anon_sym_BSLASHit] = ACTIONS(5996),
    [anon_sym_BSLASHbdit] = ACTIONS(5996),
    [anon_sym_BSLASHno] = ACTIONS(5996),
    [anon_sym_BSLASHsc] = ACTIONS(5996),
    [anon_sym_BSLASHsup] = ACTIONS(5996),
    [anon_sym_BSLASHndx] = ACTIONS(5996),
    [anon_sym_BSLASHpro] = ACTIONS(5996),
    [anon_sym_BSLASHrb] = ACTIONS(5996),
    [anon_sym_BSLASHw] = ACTIONS(5996),
    [anon_sym_BSLASHwg] = ACTIONS(5996),
    [anon_sym_BSLASHwh] = ACTIONS(5996),
    [anon_sym_BSLASHwa] = ACTIONS(5996),
    [anon_sym_BSLASHfig] = ACTIONS(5996),
    [anon_sym_BSLASHjmp] = ACTIONS(5996),
    [anon_sym_BSLASHpb] = ACTIONS(5996),
    [anon_sym_BSLASH] = ACTIONS(5996),
    [sym_milestoneStartTag] = ACTIONS(5996),
    [sym_milestoneEndTag] = ACTIONS(5996),
    [sym_zSpaceTag] = ACTIONS(5996),
    [anon_sym_BSLASHesbe] = ACTIONS(5996),
    [anon_sym_BSLASHcat] = ACTIONS(5996),
  },
  [644] = {
    [aux_sym_text_token1] = ACTIONS(5958),
    [anon_sym_BSLASHref] = ACTIONS(5960),
    [anon_sym_BSLASHsts] = ACTIONS(5960),
    [anon_sym_BSLASHrem] = ACTIONS(5960),
    [anon_sym_BSLASHrestore] = ACTIONS(5960),
    [anon_sym_BSLASHlit] = ACTIONS(5960),
    [anon_sym_BSLASHip] = ACTIONS(5960),
    [anon_sym_BSLASHv] = ACTIONS(5960),
    [anon_sym_BSLASHva] = ACTIONS(5960),
    [anon_sym_BSLASHvp] = ACTIONS(5960),
    [anon_sym_BSLASHmte] = ACTIONS(5960),
    [anon_sym_BSLASHms] = ACTIONS(5960),
    [anon_sym_BSLASHs] = ACTIONS(5960),
    [anon_sym_BSLASHr] = ACTIONS(5960),
    [anon_sym_BSLASHsp] = ACTIONS(5960),
    [anon_sym_BSLASHd] = ACTIONS(5960),
    [anon_sym_BSLASHsd] = ACTIONS(5960),
    [anon_sym_BSLASHp] = ACTIONS(5960),
    [anon_sym_BSLASHm] = ACTIONS(5960),
    [anon_sym_BSLASHpo] = ACTIONS(5960),
    [anon_sym_BSLASHpr] = ACTIONS(5960),
    [anon_sym_BSLASHcls] = ACTIONS(5960),
    [anon_sym_BSLASHpmo] = ACTIONS(5960),
    [anon_sym_BSLASHpm] = ACTIONS(5960),
    [anon_sym_BSLASHpmc] = ACTIONS(5960),
    [anon_sym_BSLASHpmr] = ACTIONS(5960),
    [anon_sym_BSLASHpi] = ACTIONS(5960),
    [anon_sym_BSLASHmi] = ACTIONS(5960),
    [anon_sym_BSLASHnb] = ACTIONS(5960),
    [anon_sym_BSLASHpc] = ACTIONS(5960),
    [anon_sym_BSLASHph] = ACTIONS(5960),
    [anon_sym_BSLASHb] = ACTIONS(5960),
    [anon_sym_BSLASHq] = ACTIONS(5960),
    [anon_sym_BSLASHqr] = ACTIONS(5960),
    [anon_sym_BSLASHqc] = ACTIONS(5960),
    [anon_sym_BSLASHqs] = ACTIONS(5960),
    [anon_sym_BSLASHqa] = ACTIONS(5960),
    [anon_sym_BSLASHqac] = ACTIONS(5960),
    [anon_sym_BSLASHqm] = ACTIONS(5960),
    [anon_sym_BSLASHqd] = ACTIONS(5960),
    [anon_sym_BSLASHlh] = ACTIONS(5960),
    [anon_sym_BSLASHli] = ACTIONS(5960),
    [anon_sym_BSLASHlim] = ACTIONS(5960),
    [anon_sym_BSLASHtr] = ACTIONS(5960),
    [anon_sym_BSLASHf] = ACTIONS(5960),
    [anon_sym_BSLASHfe] = ACTIONS(5960),
    [anon_sym_BSLASHef] = ACTIONS(5960),
    [anon_sym_BSLASHfm] = ACTIONS(5960),
    [anon_sym_BSLASHx] = ACTIONS(5960),
    [anon_sym_BSLASHxt] = ACTIONS(5960),
    [anon_sym_BSLASHrq] = ACTIONS(5960),
    [anon_sym_BSLASHadd] = ACTIONS(5960),
    [anon_sym_BSLASHbk] = ACTIONS(5960),
    [anon_sym_BSLASHdc] = ACTIONS(5960),
    [anon_sym_BSLASHk] = ACTIONS(5960),
    [anon_sym_BSLASHnd] = ACTIONS(5960),
    [anon_sym_BSLASHord] = ACTIONS(5960),
    [anon_sym_BSLASHpn] = ACTIONS(5960),
    [anon_sym_BSLASHpng] = ACTIONS(5960),
    [anon_sym_BSLASHaddpn] = ACTIONS(5960),
    [anon_sym_BSLASHqt] = ACTIONS(5960),
    [anon_sym_BSLASHsig] = ACTIONS(5960),
    [anon_sym_BSLASHsls] = ACTIONS(5960),
    [anon_sym_BSLASHtl] = ACTIONS(5960),
    [anon_sym_BSLASHwj] = ACTIONS(5960),
    [anon_sym_BSLASHem] = ACTIONS(5960),
    [anon_sym_BSLASHbd] = ACTIONS(5960),
    [anon_sym_BSLASHit] = ACTIONS(5960),
    [anon_sym_BSLASHbdit] = ACTIONS(5960),
    [anon_sym_BSLASHno] = ACTIONS(5960),
    [anon_sym_BSLASHsc] = ACTIONS(5960),
    [anon_sym_BSLASHsup] = ACTIONS(5960),
    [anon_sym_BSLASHndx] = ACTIONS(5960),
    [anon_sym_BSLASHpro] = ACTIONS(5960),
    [anon_sym_BSLASHrb] = ACTIONS(5960),
    [anon_sym_BSLASHw] = ACTIONS(5960),
    [anon_sym_BSLASHwg] = ACTIONS(5960),
    [anon_sym_BSLASHwh] = ACTIONS(5960),
    [anon_sym_BSLASHwa] = ACTIONS(5960),
    [anon_sym_BSLASHfig] = ACTIONS(5960),
    [anon_sym_BSLASHjmp] = ACTIONS(5960),
    [anon_sym_BSLASHpb] = ACTIONS(5960),
    [anon_sym_BSLASH] = ACTIONS(5960),
    [sym_milestoneStartTag] = ACTIONS(5960),
    [sym_milestoneEndTag] = ACTIONS(5960),
    [sym_zSpaceTag] = ACTIONS(5960),
    [anon_sym_BSLASHesbe] = ACTIONS(5960),
    [anon_sym_BSLASHcat] = ACTIONS(5960),
  },
  [645] = {
    [aux_sym_text_token1] = ACTIONS(5954),
    [anon_sym_BSLASHref] = ACTIONS(5956),
    [anon_sym_BSLASHsts] = ACTIONS(5956),
    [anon_sym_BSLASHrem] = ACTIONS(5956),
    [anon_sym_BSLASHrestore] = ACTIONS(5956),
    [anon_sym_BSLASHlit] = ACTIONS(5956),
    [anon_sym_BSLASHip] = ACTIONS(5956),
    [anon_sym_BSLASHv] = ACTIONS(5956),
    [anon_sym_BSLASHva] = ACTIONS(5956),
    [anon_sym_BSLASHvp] = ACTIONS(5956),
    [anon_sym_BSLASHmte] = ACTIONS(5956),
    [anon_sym_BSLASHms] = ACTIONS(5956),
    [anon_sym_BSLASHs] = ACTIONS(5956),
    [anon_sym_BSLASHr] = ACTIONS(5956),
    [anon_sym_BSLASHsp] = ACTIONS(5956),
    [anon_sym_BSLASHd] = ACTIONS(5956),
    [anon_sym_BSLASHsd] = ACTIONS(5956),
    [anon_sym_BSLASHp] = ACTIONS(5956),
    [anon_sym_BSLASHm] = ACTIONS(5956),
    [anon_sym_BSLASHpo] = ACTIONS(5956),
    [anon_sym_BSLASHpr] = ACTIONS(5956),
    [anon_sym_BSLASHcls] = ACTIONS(5956),
    [anon_sym_BSLASHpmo] = ACTIONS(5956),
    [anon_sym_BSLASHpm] = ACTIONS(5956),
    [anon_sym_BSLASHpmc] = ACTIONS(5956),
    [anon_sym_BSLASHpmr] = ACTIONS(5956),
    [anon_sym_BSLASHpi] = ACTIONS(5956),
    [anon_sym_BSLASHmi] = ACTIONS(5956),
    [anon_sym_BSLASHnb] = ACTIONS(5956),
    [anon_sym_BSLASHpc] = ACTIONS(5956),
    [anon_sym_BSLASHph] = ACTIONS(5956),
    [anon_sym_BSLASHb] = ACTIONS(5956),
    [anon_sym_BSLASHq] = ACTIONS(5956),
    [anon_sym_BSLASHqr] = ACTIONS(5956),
    [anon_sym_BSLASHqc] = ACTIONS(5956),
    [anon_sym_BSLASHqs] = ACTIONS(5956),
    [anon_sym_BSLASHqa] = ACTIONS(5956),
    [anon_sym_BSLASHqac] = ACTIONS(5956),
    [anon_sym_BSLASHqm] = ACTIONS(5956),
    [anon_sym_BSLASHqd] = ACTIONS(5956),
    [anon_sym_BSLASHlh] = ACTIONS(5956),
    [anon_sym_BSLASHli] = ACTIONS(5956),
    [anon_sym_BSLASHlim] = ACTIONS(5956),
    [anon_sym_BSLASHtr] = ACTIONS(5956),
    [anon_sym_BSLASHf] = ACTIONS(5956),
    [anon_sym_BSLASHfe] = ACTIONS(5956),
    [anon_sym_BSLASHef] = ACTIONS(5956),
    [anon_sym_BSLASHfm] = ACTIONS(5956),
    [anon_sym_BSLASHx] = ACTIONS(5956),
    [anon_sym_BSLASHxt] = ACTIONS(5956),
    [anon_sym_BSLASHrq] = ACTIONS(5956),
    [anon_sym_BSLASHadd] = ACTIONS(5956),
    [anon_sym_BSLASHbk] = ACTIONS(5956),
    [anon_sym_BSLASHdc] = ACTIONS(5956),
    [anon_sym_BSLASHk] = ACTIONS(5956),
    [anon_sym_BSLASHnd] = ACTIONS(5956),
    [anon_sym_BSLASHord] = ACTIONS(5956),
    [anon_sym_BSLASHpn] = ACTIONS(5956),
    [anon_sym_BSLASHpng] = ACTIONS(5956),
    [anon_sym_BSLASHaddpn] = ACTIONS(5956),
    [anon_sym_BSLASHqt] = ACTIONS(5956),
    [anon_sym_BSLASHsig] = ACTIONS(5956),
    [anon_sym_BSLASHsls] = ACTIONS(5956),
    [anon_sym_BSLASHtl] = ACTIONS(5956),
    [anon_sym_BSLASHwj] = ACTIONS(5956),
    [anon_sym_BSLASHem] = ACTIONS(5956),
    [anon_sym_BSLASHbd] = ACTIONS(5956),
    [anon_sym_BSLASHit] = ACTIONS(5956),
    [anon_sym_BSLASHbdit] = ACTIONS(5956),
    [anon_sym_BSLASHno] = ACTIONS(5956),
    [anon_sym_BSLASHsc] = ACTIONS(5956),
    [anon_sym_BSLASHsup] = ACTIONS(5956),
    [anon_sym_BSLASHndx] = ACTIONS(5956),
    [anon_sym_BSLASHpro] = ACTIONS(5956),
    [anon_sym_BSLASHrb] = ACTIONS(5956),
    [anon_sym_BSLASHw] = ACTIONS(5956),
    [anon_sym_BSLASHwg] = ACTIONS(5956),
    [anon_sym_BSLASHwh] = ACTIONS(5956),
    [anon_sym_BSLASHwa] = ACTIONS(5956),
    [anon_sym_BSLASHfig] = ACTIONS(5956),
    [anon_sym_BSLASHjmp] = ACTIONS(5956),
    [anon_sym_BSLASHpb] = ACTIONS(5956),
    [anon_sym_BSLASH] = ACTIONS(5956),
    [sym_milestoneStartTag] = ACTIONS(5956),
    [sym_milestoneEndTag] = ACTIONS(5956),
    [sym_zSpaceTag] = ACTIONS(5956),
    [anon_sym_BSLASHesbe] = ACTIONS(5956),
    [anon_sym_BSLASHcat] = ACTIONS(5956),
  },
  [646] = {
    [sym__comments] = STATE(774),
    [sym_sts] = STATE(774),
    [sym_rem] = STATE(774),
    [sym_restore] = STATE(774),
    [sym_lit] = STATE(774),
    [sym_imtBlock] = STATE(774),
    [sym_imt] = STATE(1825),
    [sym_imtTag] = STATE(1213),
    [sym_imteBlock] = STATE(1954),
    [sym_imte] = STATE(1962),
    [sym_imteTag] = STATE(1203),
    [sym__midIntroMarker] = STATE(774),
    [sym_isBlock] = STATE(774),
    [sym_is] = STATE(1823),
    [sym_isTag] = STATE(1206),
    [sym_io] = STATE(774),
    [sym_ioTag] = STATE(1209),
    [sym_iot] = STATE(774),
    [sym_ip] = STATE(774),
    [sym_im] = STATE(774),
    [sym_ipi] = STATE(774),
    [sym_imi] = STATE(774),
    [sym_iliBlock] = STATE(774),
    [sym_ili] = STATE(1821),
    [sym_iliTag] = STATE(1197),
    [sym_ipq] = STATE(774),
    [sym_imq] = STATE(774),
    [sym_ipr] = STATE(774),
    [sym_ib] = STATE(774),
    [sym_iqBlock] = STATE(774),
    [sym_iq] = STATE(1822),
    [sym_iqTag] = STATE(1200),
    [sym_ie] = STATE(1969),
    [sym_iex] = STATE(774),
    [sym_chapter] = STATE(1970),
    [sym_c] = STATE(125),
    [sym_cl] = STATE(2243),
    [sym_mtBlock] = STATE(796),
    [sym_mt] = STATE(1820),
    [sym_mtTag] = STATE(1888),
    [sym_milestoneTag] = STATE(2104),
    [sym__milestoneStandaloneMarker] = STATE(1833),
    [sym__milestoneStart] = STATE(1833),
    [sym__milestoneEnd] = STATE(1833),
    [sym_milestone] = STATE(774),
    [sym__zNameSpaceRegular] = STATE(1846),
    [sym__zNameSpaceClosed] = STATE(1846),
    [sym__zNameSpaceStandaloneMarker] = STATE(1846),
    [sym_zNameSpace] = STATE(774),
    [sym_esb] = STATE(774),
    [aux_sym_File_repeat1] = STATE(774),
    [aux_sym_File_repeat2] = STATE(1970),
    [aux_sym_imtBlock_repeat1] = STATE(1825),
    [aux_sym_imteBlock_repeat1] = STATE(1962),
    [aux_sym_isBlock_repeat1] = STATE(1823),
    [aux_sym_iliBlock_repeat1] = STATE(1821),
    [aux_sym_iqBlock_repeat1] = STATE(1822),
    [aux_sym_mtBlock_repeat1] = STATE(1820),
    [ts_builtin_sym_end] = ACTIONS(6210),
    [anon_sym_BSLASHsts] = ACTIONS(6212),
    [anon_sym_BSLASHrem] = ACTIONS(6214),
    [anon_sym_BSLASHrestore] = ACTIONS(6216),
    [anon_sym_BSLASHlit] = ACTIONS(6218),
    [anon_sym_BSLASHimt] = ACTIONS(6220),
    [anon_sym_BSLASHimte] = ACTIONS(6222),
    [anon_sym_BSLASHis] = ACTIONS(6224),
    [anon_sym_BSLASHio] = ACTIONS(6226),
    [anon_sym_BSLASHiot] = ACTIONS(6228),
    [anon_sym_BSLASHip] = ACTIONS(6230),
    [anon_sym_BSLASHim] = ACTIONS(6232),
    [anon_sym_BSLASHipi] = ACTIONS(6234),
    [anon_sym_BSLASHimi] = ACTIONS(6236),
    [anon_sym_BSLASHili] = ACTIONS(6238),
    [anon_sym_BSLASHipq] = ACTIONS(6240),
    [anon_sym_BSLASHimq] = ACTIONS(6242),
    [anon_sym_BSLASHipr] = ACTIONS(6244),
    [anon_sym_BSLASHib] = ACTIONS(6246),
    [anon_sym_BSLASHiq] = ACTIONS(6248),
    [anon_sym_BSLASHie] = ACTIONS(6250),
    [anon_sym_BSLASHiex] = ACTIONS(6252),
    [anon_sym_BSLASHc] = ACTIONS(6254),
    [anon_sym_BSLASHcl] = ACTIONS(6256),
    [anon_sym_BSLASHmt] = ACTIONS(6258),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(6260),
    [sym_milestoneEndTag] = ACTIONS(6262),
    [sym_zSpaceTag] = ACTIONS(6264),
    [anon_sym_BSLASHesb] = ACTIONS(6266),
  },
  [647] = {
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHref] = ACTIONS(19),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHv] = ACTIONS(19),
    [anon_sym_BSLASHva] = ACTIONS(19),
    [anon_sym_BSLASHvp] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqs] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqac] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHx] = ACTIONS(19),
    [anon_sym_BSLASHxt] = ACTIONS(19),
    [anon_sym_BSLASHrq] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesbe] = ACTIONS(19),
    [anon_sym_BSLASHcat] = ACTIONS(19),
  },
  [648] = {
    [aux_sym_text_token1] = ACTIONS(6196),
    [anon_sym_BSLASHref] = ACTIONS(6198),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfr] = ACTIONS(6198),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfq] = ACTIONS(6198),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfqa] = ACTIONS(6198),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfk] = ACTIONS(6198),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfl] = ACTIONS(6198),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfw] = ACTIONS(6198),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfp] = ACTIONS(6198),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHft] = ACTIONS(6198),
    [anon_sym_BSLASHft_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfdc] = ACTIONS(6198),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfv] = ACTIONS(6198),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHxt] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(6200),
    [anon_sym_BSLASHadd] = ACTIONS(6198),
    [anon_sym_BSLASHbk] = ACTIONS(6198),
    [anon_sym_BSLASHdc] = ACTIONS(6198),
    [anon_sym_BSLASHk] = ACTIONS(6198),
    [anon_sym_BSLASHnd] = ACTIONS(6198),
    [anon_sym_BSLASHord] = ACTIONS(6198),
    [anon_sym_BSLASHpn] = ACTIONS(6198),
    [anon_sym_BSLASHpng] = ACTIONS(6198),
    [anon_sym_BSLASHaddpn] = ACTIONS(6198),
    [anon_sym_BSLASHqt] = ACTIONS(6198),
    [anon_sym_BSLASHsig] = ACTIONS(6198),
    [anon_sym_BSLASHsls] = ACTIONS(6198),
    [anon_sym_BSLASHtl] = ACTIONS(6198),
    [anon_sym_BSLASHwj] = ACTIONS(6198),
    [anon_sym_BSLASHem] = ACTIONS(6198),
    [anon_sym_BSLASHbd] = ACTIONS(6198),
    [anon_sym_BSLASHit] = ACTIONS(6198),
    [anon_sym_BSLASHbdit] = ACTIONS(6198),
    [anon_sym_BSLASHno] = ACTIONS(6198),
    [anon_sym_BSLASHsc] = ACTIONS(6198),
    [anon_sym_BSLASHsup] = ACTIONS(6198),
    [anon_sym_BSLASHndx] = ACTIONS(6198),
    [anon_sym_BSLASHpro] = ACTIONS(6198),
    [anon_sym_BSLASHrb] = ACTIONS(6198),
    [anon_sym_BSLASHw] = ACTIONS(6198),
    [anon_sym_BSLASHwg] = ACTIONS(6198),
    [anon_sym_BSLASHwh] = ACTIONS(6198),
    [anon_sym_BSLASHwa] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6198),
    [anon_sym_BSLASHfig] = ACTIONS(6198),
    [anon_sym_BSLASHjmp] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6198),
    [anon_sym_BSLASHcat] = ACTIONS(6198),
  },
  [649] = {
    [aux_sym_text_token1] = ACTIONS(69),
    [anon_sym_BSLASHref] = ACTIONS(71),
    [anon_sym_BSLASHsts] = ACTIONS(71),
    [anon_sym_BSLASHrem] = ACTIONS(71),
    [anon_sym_BSLASHrestore] = ACTIONS(71),
    [anon_sym_BSLASHlit] = ACTIONS(71),
    [anon_sym_BSLASHip] = ACTIONS(71),
    [anon_sym_BSLASHv] = ACTIONS(71),
    [anon_sym_BSLASHva] = ACTIONS(71),
    [anon_sym_BSLASHvp] = ACTIONS(71),
    [anon_sym_BSLASHmte] = ACTIONS(71),
    [anon_sym_BSLASHms] = ACTIONS(71),
    [anon_sym_BSLASHs] = ACTIONS(71),
    [anon_sym_BSLASHr] = ACTIONS(71),
    [anon_sym_BSLASHsp] = ACTIONS(71),
    [anon_sym_BSLASHd] = ACTIONS(71),
    [anon_sym_BSLASHsd] = ACTIONS(71),
    [anon_sym_BSLASHp] = ACTIONS(71),
    [anon_sym_BSLASHm] = ACTIONS(71),
    [anon_sym_BSLASHpo] = ACTIONS(71),
    [anon_sym_BSLASHpr] = ACTIONS(71),
    [anon_sym_BSLASHcls] = ACTIONS(71),
    [anon_sym_BSLASHpmo] = ACTIONS(71),
    [anon_sym_BSLASHpm] = ACTIONS(71),
    [anon_sym_BSLASHpmc] = ACTIONS(71),
    [anon_sym_BSLASHpmr] = ACTIONS(71),
    [anon_sym_BSLASHpi] = ACTIONS(71),
    [anon_sym_BSLASHmi] = ACTIONS(71),
    [anon_sym_BSLASHnb] = ACTIONS(71),
    [anon_sym_BSLASHpc] = ACTIONS(71),
    [anon_sym_BSLASHph] = ACTIONS(71),
    [anon_sym_BSLASHb] = ACTIONS(71),
    [anon_sym_BSLASHq] = ACTIONS(71),
    [anon_sym_BSLASHqr] = ACTIONS(71),
    [anon_sym_BSLASHqc] = ACTIONS(71),
    [anon_sym_BSLASHqs] = ACTIONS(71),
    [anon_sym_BSLASHqa] = ACTIONS(71),
    [anon_sym_BSLASHqac] = ACTIONS(71),
    [anon_sym_BSLASHqm] = ACTIONS(71),
    [anon_sym_BSLASHqd] = ACTIONS(71),
    [anon_sym_BSLASHlh] = ACTIONS(71),
    [anon_sym_BSLASHli] = ACTIONS(71),
    [anon_sym_BSLASHlim] = ACTIONS(71),
    [anon_sym_BSLASHtr] = ACTIONS(71),
    [anon_sym_BSLASHf] = ACTIONS(71),
    [anon_sym_BSLASHfe] = ACTIONS(71),
    [anon_sym_BSLASHef] = ACTIONS(71),
    [anon_sym_BSLASHfm] = ACTIONS(71),
    [anon_sym_BSLASHx] = ACTIONS(71),
    [anon_sym_BSLASHxt] = ACTIONS(71),
    [anon_sym_BSLASHrq] = ACTIONS(71),
    [anon_sym_BSLASHadd] = ACTIONS(71),
    [anon_sym_BSLASHbk] = ACTIONS(71),
    [anon_sym_BSLASHdc] = ACTIONS(71),
    [anon_sym_BSLASHk] = ACTIONS(71),
    [anon_sym_BSLASHnd] = ACTIONS(71),
    [anon_sym_BSLASHord] = ACTIONS(71),
    [anon_sym_BSLASHpn] = ACTIONS(71),
    [anon_sym_BSLASHpng] = ACTIONS(71),
    [anon_sym_BSLASHaddpn] = ACTIONS(71),
    [anon_sym_BSLASHqt] = ACTIONS(71),
    [anon_sym_BSLASHsig] = ACTIONS(71),
    [anon_sym_BSLASHsls] = ACTIONS(71),
    [anon_sym_BSLASHtl] = ACTIONS(71),
    [anon_sym_BSLASHwj] = ACTIONS(71),
    [anon_sym_BSLASHem] = ACTIONS(71),
    [anon_sym_BSLASHbd] = ACTIONS(71),
    [anon_sym_BSLASHit] = ACTIONS(71),
    [anon_sym_BSLASHbdit] = ACTIONS(71),
    [anon_sym_BSLASHno] = ACTIONS(71),
    [anon_sym_BSLASHsc] = ACTIONS(71),
    [anon_sym_BSLASHsup] = ACTIONS(71),
    [anon_sym_BSLASHndx] = ACTIONS(71),
    [anon_sym_BSLASHpro] = ACTIONS(71),
    [anon_sym_BSLASHrb] = ACTIONS(71),
    [anon_sym_BSLASHw] = ACTIONS(71),
    [anon_sym_BSLASHwg] = ACTIONS(71),
    [anon_sym_BSLASHwh] = ACTIONS(71),
    [anon_sym_BSLASHwa] = ACTIONS(71),
    [anon_sym_BSLASHfig] = ACTIONS(71),
    [anon_sym_BSLASHjmp] = ACTIONS(71),
    [anon_sym_BSLASHpb] = ACTIONS(71),
    [anon_sym_BSLASH] = ACTIONS(71),
    [sym_milestoneStartTag] = ACTIONS(71),
    [sym_milestoneEndTag] = ACTIONS(71),
    [sym_zSpaceTag] = ACTIONS(71),
    [anon_sym_BSLASHesbe] = ACTIONS(71),
    [anon_sym_BSLASHcat] = ACTIONS(71),
  },
  [650] = {
    [ts_builtin_sym_end] = ACTIONS(6268),
    [aux_sym_text_token1] = ACTIONS(6268),
    [anon_sym_BSLASHref] = ACTIONS(6270),
    [anon_sym_BSLASHsts] = ACTIONS(6270),
    [anon_sym_BSLASHrem] = ACTIONS(6270),
    [anon_sym_BSLASHrestore] = ACTIONS(6270),
    [anon_sym_BSLASHlit] = ACTIONS(6270),
    [anon_sym_BSLASHiqt] = ACTIONS(6270),
    [anon_sym_BSLASHip] = ACTIONS(6270),
    [anon_sym_BSLASHiex] = ACTIONS(6270),
    [anon_sym_BSLASHc] = ACTIONS(6270),
    [anon_sym_BSLASHcl] = ACTIONS(6270),
    [anon_sym_BSLASHca] = ACTIONS(6270),
    [anon_sym_BSLASHcp] = ACTIONS(6270),
    [anon_sym_BSLASHcd] = ACTIONS(6270),
    [anon_sym_BSLASHmte] = ACTIONS(6270),
    [anon_sym_BSLASHms] = ACTIONS(6270),
    [anon_sym_BSLASHs] = ACTIONS(6270),
    [anon_sym_BSLASHr] = ACTIONS(6270),
    [anon_sym_BSLASHsp] = ACTIONS(6270),
    [anon_sym_BSLASHd] = ACTIONS(6270),
    [anon_sym_BSLASHsd] = ACTIONS(6270),
    [anon_sym_BSLASHp] = ACTIONS(6270),
    [anon_sym_BSLASHm] = ACTIONS(6270),
    [anon_sym_BSLASHpo] = ACTIONS(6270),
    [anon_sym_BSLASHpr] = ACTIONS(6270),
    [anon_sym_BSLASHcls] = ACTIONS(6270),
    [anon_sym_BSLASHpmo] = ACTIONS(6270),
    [anon_sym_BSLASHpm] = ACTIONS(6270),
    [anon_sym_BSLASHpmc] = ACTIONS(6270),
    [anon_sym_BSLASHpmr] = ACTIONS(6270),
    [anon_sym_BSLASHpi] = ACTIONS(6270),
    [anon_sym_BSLASHmi] = ACTIONS(6270),
    [anon_sym_BSLASHnb] = ACTIONS(6270),
    [anon_sym_BSLASHpc] = ACTIONS(6270),
    [anon_sym_BSLASHph] = ACTIONS(6270),
    [anon_sym_BSLASHb] = ACTIONS(6270),
    [anon_sym_BSLASHq] = ACTIONS(6270),
    [anon_sym_BSLASHqr] = ACTIONS(6270),
    [anon_sym_BSLASHqc] = ACTIONS(6270),
    [anon_sym_BSLASHqa] = ACTIONS(6270),
    [anon_sym_BSLASHqm] = ACTIONS(6270),
    [anon_sym_BSLASHqd] = ACTIONS(6270),
    [anon_sym_BSLASHlh] = ACTIONS(6270),
    [anon_sym_BSLASHli] = ACTIONS(6270),
    [anon_sym_BSLASHlim] = ACTIONS(6270),
    [anon_sym_BSLASHtr] = ACTIONS(6270),
    [anon_sym_BSLASHf] = ACTIONS(6270),
    [anon_sym_BSLASHfe] = ACTIONS(6270),
    [anon_sym_BSLASHef] = ACTIONS(6270),
    [anon_sym_BSLASHfm] = ACTIONS(6270),
    [anon_sym_BSLASHxt] = ACTIONS(6270),
    [anon_sym_BSLASHadd] = ACTIONS(6270),
    [anon_sym_BSLASHbk] = ACTIONS(6270),
    [anon_sym_BSLASHdc] = ACTIONS(6270),
    [anon_sym_BSLASHk] = ACTIONS(6270),
    [anon_sym_BSLASHnd] = ACTIONS(6270),
    [anon_sym_BSLASHord] = ACTIONS(6270),
    [anon_sym_BSLASHpn] = ACTIONS(6270),
    [anon_sym_BSLASHpng] = ACTIONS(6270),
    [anon_sym_BSLASHaddpn] = ACTIONS(6270),
    [anon_sym_BSLASHqt] = ACTIONS(6270),
    [anon_sym_BSLASHsig] = ACTIONS(6270),
    [anon_sym_BSLASHsls] = ACTIONS(6270),
    [anon_sym_BSLASHtl] = ACTIONS(6270),
    [anon_sym_BSLASHwj] = ACTIONS(6270),
    [anon_sym_BSLASHem] = ACTIONS(6270),
    [anon_sym_BSLASHbd] = ACTIONS(6270),
    [anon_sym_BSLASHit] = ACTIONS(6270),
    [anon_sym_BSLASHbdit] = ACTIONS(6270),
    [anon_sym_BSLASHno] = ACTIONS(6270),
    [anon_sym_BSLASHsc] = ACTIONS(6270),
    [anon_sym_BSLASHsup] = ACTIONS(6270),
    [anon_sym_BSLASHndx] = ACTIONS(6270),
    [anon_sym_BSLASHpro] = ACTIONS(6270),
    [anon_sym_BSLASHrb] = ACTIONS(6270),
    [anon_sym_BSLASHw] = ACTIONS(6270),
    [anon_sym_BSLASHwg] = ACTIONS(6270),
    [anon_sym_BSLASHwh] = ACTIONS(6270),
    [anon_sym_BSLASHwa] = ACTIONS(6270),
    [anon_sym_BSLASHfig] = ACTIONS(6270),
    [anon_sym_BSLASHjmp] = ACTIONS(6270),
    [anon_sym_BSLASHpb] = ACTIONS(6270),
    [anon_sym_BSLASH] = ACTIONS(6270),
    [sym_milestoneStartTag] = ACTIONS(6270),
    [sym_milestoneEndTag] = ACTIONS(6270),
    [sym_zSpaceTag] = ACTIONS(6270),
    [anon_sym_BSLASHesb] = ACTIONS(6270),
  },
  [651] = {
    [aux_sym_text_token1] = ACTIONS(81),
    [anon_sym_BSLASHref] = ACTIONS(83),
    [anon_sym_BSLASHsts] = ACTIONS(83),
    [anon_sym_BSLASHrem] = ACTIONS(83),
    [anon_sym_BSLASHrestore] = ACTIONS(83),
    [anon_sym_BSLASHlit] = ACTIONS(83),
    [anon_sym_BSLASHip] = ACTIONS(83),
    [anon_sym_BSLASHv] = ACTIONS(83),
    [anon_sym_BSLASHva] = ACTIONS(83),
    [anon_sym_BSLASHvp] = ACTIONS(83),
    [anon_sym_BSLASHmte] = ACTIONS(83),
    [anon_sym_BSLASHms] = ACTIONS(83),
    [anon_sym_BSLASHs] = ACTIONS(83),
    [anon_sym_BSLASHr] = ACTIONS(83),
    [anon_sym_BSLASHsp] = ACTIONS(83),
    [anon_sym_BSLASHd] = ACTIONS(83),
    [anon_sym_BSLASHsd] = ACTIONS(83),
    [anon_sym_BSLASHp] = ACTIONS(83),
    [anon_sym_BSLASHm] = ACTIONS(83),
    [anon_sym_BSLASHpo] = ACTIONS(83),
    [anon_sym_BSLASHpr] = ACTIONS(83),
    [anon_sym_BSLASHcls] = ACTIONS(83),
    [anon_sym_BSLASHpmo] = ACTIONS(83),
    [anon_sym_BSLASHpm] = ACTIONS(83),
    [anon_sym_BSLASHpmc] = ACTIONS(83),
    [anon_sym_BSLASHpmr] = ACTIONS(83),
    [anon_sym_BSLASHpi] = ACTIONS(83),
    [anon_sym_BSLASHmi] = ACTIONS(83),
    [anon_sym_BSLASHnb] = ACTIONS(83),
    [anon_sym_BSLASHpc] = ACTIONS(83),
    [anon_sym_BSLASHph] = ACTIONS(83),
    [anon_sym_BSLASHb] = ACTIONS(83),
    [anon_sym_BSLASHq] = ACTIONS(83),
    [anon_sym_BSLASHqr] = ACTIONS(83),
    [anon_sym_BSLASHqc] = ACTIONS(83),
    [anon_sym_BSLASHqs] = ACTIONS(83),
    [anon_sym_BSLASHqa] = ACTIONS(83),
    [anon_sym_BSLASHqac] = ACTIONS(83),
    [anon_sym_BSLASHqm] = ACTIONS(83),
    [anon_sym_BSLASHqd] = ACTIONS(83),
    [anon_sym_BSLASHlh] = ACTIONS(83),
    [anon_sym_BSLASHli] = ACTIONS(83),
    [anon_sym_BSLASHlim] = ACTIONS(83),
    [anon_sym_BSLASHtr] = ACTIONS(83),
    [anon_sym_BSLASHf] = ACTIONS(83),
    [anon_sym_BSLASHfe] = ACTIONS(83),
    [anon_sym_BSLASHef] = ACTIONS(83),
    [anon_sym_BSLASHfm] = ACTIONS(83),
    [anon_sym_BSLASHx] = ACTIONS(83),
    [anon_sym_BSLASHxt] = ACTIONS(83),
    [anon_sym_BSLASHrq] = ACTIONS(83),
    [anon_sym_BSLASHadd] = ACTIONS(83),
    [anon_sym_BSLASHbk] = ACTIONS(83),
    [anon_sym_BSLASHdc] = ACTIONS(83),
    [anon_sym_BSLASHk] = ACTIONS(83),
    [anon_sym_BSLASHnd] = ACTIONS(83),
    [anon_sym_BSLASHord] = ACTIONS(83),
    [anon_sym_BSLASHpn] = ACTIONS(83),
    [anon_sym_BSLASHpng] = ACTIONS(83),
    [anon_sym_BSLASHaddpn] = ACTIONS(83),
    [anon_sym_BSLASHqt] = ACTIONS(83),
    [anon_sym_BSLASHsig] = ACTIONS(83),
    [anon_sym_BSLASHsls] = ACTIONS(83),
    [anon_sym_BSLASHtl] = ACTIONS(83),
    [anon_sym_BSLASHwj] = ACTIONS(83),
    [anon_sym_BSLASHem] = ACTIONS(83),
    [anon_sym_BSLASHbd] = ACTIONS(83),
    [anon_sym_BSLASHit] = ACTIONS(83),
    [anon_sym_BSLASHbdit] = ACTIONS(83),
    [anon_sym_BSLASHno] = ACTIONS(83),
    [anon_sym_BSLASHsc] = ACTIONS(83),
    [anon_sym_BSLASHsup] = ACTIONS(83),
    [anon_sym_BSLASHndx] = ACTIONS(83),
    [anon_sym_BSLASHpro] = ACTIONS(83),
    [anon_sym_BSLASHrb] = ACTIONS(83),
    [anon_sym_BSLASHw] = ACTIONS(83),
    [anon_sym_BSLASHwg] = ACTIONS(83),
    [anon_sym_BSLASHwh] = ACTIONS(83),
    [anon_sym_BSLASHwa] = ACTIONS(83),
    [anon_sym_BSLASHfig] = ACTIONS(83),
    [anon_sym_BSLASHjmp] = ACTIONS(83),
    [anon_sym_BSLASHpb] = ACTIONS(83),
    [anon_sym_BSLASH] = ACTIONS(83),
    [sym_milestoneStartTag] = ACTIONS(83),
    [sym_milestoneEndTag] = ACTIONS(83),
    [sym_zSpaceTag] = ACTIONS(83),
    [anon_sym_BSLASHesbe] = ACTIONS(83),
    [anon_sym_BSLASHcat] = ACTIONS(83),
  },
  [652] = {
    [aux_sym_text_token1] = ACTIONS(2787),
    [anon_sym_BSLASHref] = ACTIONS(2789),
    [anon_sym_BSLASHsts] = ACTIONS(2789),
    [anon_sym_BSLASHrem] = ACTIONS(2789),
    [anon_sym_BSLASHrestore] = ACTIONS(2789),
    [anon_sym_BSLASHlit] = ACTIONS(2789),
    [anon_sym_BSLASHip] = ACTIONS(2789),
    [anon_sym_BSLASHv] = ACTIONS(2789),
    [anon_sym_BSLASHva] = ACTIONS(2789),
    [anon_sym_BSLASHvp] = ACTIONS(2789),
    [anon_sym_BSLASHmte] = ACTIONS(2789),
    [anon_sym_BSLASHms] = ACTIONS(2789),
    [anon_sym_BSLASHs] = ACTIONS(2789),
    [anon_sym_BSLASHr] = ACTIONS(2789),
    [anon_sym_BSLASHsp] = ACTIONS(2789),
    [anon_sym_BSLASHd] = ACTIONS(2789),
    [anon_sym_BSLASHsd] = ACTIONS(2789),
    [anon_sym_BSLASHp] = ACTIONS(2789),
    [anon_sym_BSLASHm] = ACTIONS(2789),
    [anon_sym_BSLASHpo] = ACTIONS(2789),
    [anon_sym_BSLASHpr] = ACTIONS(2789),
    [anon_sym_BSLASHcls] = ACTIONS(2789),
    [anon_sym_BSLASHpmo] = ACTIONS(2789),
    [anon_sym_BSLASHpm] = ACTIONS(2789),
    [anon_sym_BSLASHpmc] = ACTIONS(2789),
    [anon_sym_BSLASHpmr] = ACTIONS(2789),
    [anon_sym_BSLASHpi] = ACTIONS(2789),
    [anon_sym_BSLASHmi] = ACTIONS(2789),
    [anon_sym_BSLASHnb] = ACTIONS(2789),
    [anon_sym_BSLASHpc] = ACTIONS(2789),
    [anon_sym_BSLASHph] = ACTIONS(2789),
    [anon_sym_BSLASHb] = ACTIONS(2789),
    [anon_sym_BSLASHq] = ACTIONS(2789),
    [anon_sym_BSLASHqr] = ACTIONS(2789),
    [anon_sym_BSLASHqc] = ACTIONS(2789),
    [anon_sym_BSLASHqs] = ACTIONS(2789),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqac] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2789),
    [anon_sym_BSLASHqd] = ACTIONS(2789),
    [anon_sym_BSLASHlh] = ACTIONS(2789),
    [anon_sym_BSLASHli] = ACTIONS(2789),
    [anon_sym_BSLASHlim] = ACTIONS(2789),
    [anon_sym_BSLASHtr] = ACTIONS(2789),
    [anon_sym_BSLASHf] = ACTIONS(2789),
    [anon_sym_BSLASHfe] = ACTIONS(2789),
    [anon_sym_BSLASHef] = ACTIONS(2789),
    [anon_sym_BSLASHfm] = ACTIONS(2789),
    [anon_sym_BSLASHx] = ACTIONS(2789),
    [anon_sym_BSLASHxt] = ACTIONS(2789),
    [anon_sym_BSLASHrq] = ACTIONS(2789),
    [anon_sym_BSLASHadd] = ACTIONS(2789),
    [anon_sym_BSLASHbk] = ACTIONS(2789),
    [anon_sym_BSLASHdc] = ACTIONS(2789),
    [anon_sym_BSLASHk] = ACTIONS(2789),
    [anon_sym_BSLASHnd] = ACTIONS(2789),
    [anon_sym_BSLASHord] = ACTIONS(2789),
    [anon_sym_BSLASHpn] = ACTIONS(2789),
    [anon_sym_BSLASHpng] = ACTIONS(2789),
    [anon_sym_BSLASHaddpn] = ACTIONS(2789),
    [anon_sym_BSLASHqt] = ACTIONS(2789),
    [anon_sym_BSLASHsig] = ACTIONS(2789),
    [anon_sym_BSLASHsls] = ACTIONS(2789),
    [anon_sym_BSLASHtl] = ACTIONS(2789),
    [anon_sym_BSLASHwj] = ACTIONS(2789),
    [anon_sym_BSLASHem] = ACTIONS(2789),
    [anon_sym_BSLASHbd] = ACTIONS(2789),
    [anon_sym_BSLASHit] = ACTIONS(2789),
    [anon_sym_BSLASHbdit] = ACTIONS(2789),
    [anon_sym_BSLASHno] = ACTIONS(2789),
    [anon_sym_BSLASHsc] = ACTIONS(2789),
    [anon_sym_BSLASHsup] = ACTIONS(2789),
    [anon_sym_BSLASHndx] = ACTIONS(2789),
    [anon_sym_BSLASHpro] = ACTIONS(2789),
    [anon_sym_BSLASHrb] = ACTIONS(2789),
    [anon_sym_BSLASHw] = ACTIONS(2789),
    [anon_sym_BSLASHwg] = ACTIONS(2789),
    [anon_sym_BSLASHwh] = ACTIONS(2789),
    [anon_sym_BSLASHwa] = ACTIONS(2789),
    [anon_sym_BSLASHfig] = ACTIONS(2789),
    [anon_sym_BSLASHjmp] = ACTIONS(2789),
    [anon_sym_BSLASHpb] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2789),
    [sym_milestoneStartTag] = ACTIONS(2789),
    [sym_milestoneEndTag] = ACTIONS(2789),
    [sym_zSpaceTag] = ACTIONS(2789),
    [anon_sym_BSLASHesbe] = ACTIONS(2789),
    [anon_sym_BSLASHcat] = ACTIONS(2789),
  },
  [653] = {
    [aux_sym_text_token1] = ACTIONS(506),
    [anon_sym_BSLASHref] = ACTIONS(508),
    [anon_sym_BSLASHsts] = ACTIONS(508),
    [anon_sym_BSLASHrem] = ACTIONS(508),
    [anon_sym_BSLASHrestore] = ACTIONS(508),
    [anon_sym_BSLASHlit] = ACTIONS(508),
    [anon_sym_BSLASHip] = ACTIONS(508),
    [anon_sym_BSLASHv] = ACTIONS(508),
    [anon_sym_BSLASHva] = ACTIONS(508),
    [anon_sym_BSLASHvp] = ACTIONS(508),
    [anon_sym_BSLASHmte] = ACTIONS(508),
    [anon_sym_BSLASHms] = ACTIONS(508),
    [anon_sym_BSLASHs] = ACTIONS(508),
    [anon_sym_BSLASHr] = ACTIONS(508),
    [anon_sym_BSLASHsp] = ACTIONS(508),
    [anon_sym_BSLASHd] = ACTIONS(508),
    [anon_sym_BSLASHsd] = ACTIONS(508),
    [anon_sym_BSLASHp] = ACTIONS(508),
    [anon_sym_BSLASHm] = ACTIONS(508),
    [anon_sym_BSLASHpo] = ACTIONS(508),
    [anon_sym_BSLASHpr] = ACTIONS(508),
    [anon_sym_BSLASHcls] = ACTIONS(508),
    [anon_sym_BSLASHpmo] = ACTIONS(508),
    [anon_sym_BSLASHpm] = ACTIONS(508),
    [anon_sym_BSLASHpmc] = ACTIONS(508),
    [anon_sym_BSLASHpmr] = ACTIONS(508),
    [anon_sym_BSLASHpi] = ACTIONS(508),
    [anon_sym_BSLASHmi] = ACTIONS(508),
    [anon_sym_BSLASHnb] = ACTIONS(508),
    [anon_sym_BSLASHpc] = ACTIONS(508),
    [anon_sym_BSLASHph] = ACTIONS(508),
    [anon_sym_BSLASHb] = ACTIONS(508),
    [anon_sym_BSLASHq] = ACTIONS(508),
    [anon_sym_BSLASHqr] = ACTIONS(508),
    [anon_sym_BSLASHqc] = ACTIONS(508),
    [anon_sym_BSLASHqs] = ACTIONS(508),
    [anon_sym_BSLASHqa] = ACTIONS(508),
    [anon_sym_BSLASHqac] = ACTIONS(508),
    [anon_sym_BSLASHqm] = ACTIONS(508),
    [anon_sym_BSLASHqd] = ACTIONS(508),
    [anon_sym_BSLASHlh] = ACTIONS(508),
    [anon_sym_BSLASHli] = ACTIONS(508),
    [anon_sym_BSLASHlim] = ACTIONS(508),
    [anon_sym_BSLASHtr] = ACTIONS(508),
    [anon_sym_BSLASHf] = ACTIONS(508),
    [anon_sym_BSLASHfe] = ACTIONS(508),
    [anon_sym_BSLASHef] = ACTIONS(508),
    [anon_sym_BSLASHfm] = ACTIONS(508),
    [anon_sym_BSLASHx] = ACTIONS(508),
    [anon_sym_BSLASHxt] = ACTIONS(508),
    [anon_sym_BSLASHrq] = ACTIONS(508),
    [anon_sym_BSLASHadd] = ACTIONS(508),
    [anon_sym_BSLASHbk] = ACTIONS(508),
    [anon_sym_BSLASHdc] = ACTIONS(508),
    [anon_sym_BSLASHk] = ACTIONS(508),
    [anon_sym_BSLASHnd] = ACTIONS(508),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(508),
    [anon_sym_BSLASHpng] = ACTIONS(508),
    [anon_sym_BSLASHaddpn] = ACTIONS(508),
    [anon_sym_BSLASHqt] = ACTIONS(508),
    [anon_sym_BSLASHsig] = ACTIONS(508),
    [anon_sym_BSLASHsls] = ACTIONS(508),
    [anon_sym_BSLASHtl] = ACTIONS(508),
    [anon_sym_BSLASHwj] = ACTIONS(508),
    [anon_sym_BSLASHem] = ACTIONS(508),
    [anon_sym_BSLASHbd] = ACTIONS(508),
    [anon_sym_BSLASHit] = ACTIONS(508),
    [anon_sym_BSLASHbdit] = ACTIONS(508),
    [anon_sym_BSLASHno] = ACTIONS(508),
    [anon_sym_BSLASHsc] = ACTIONS(508),
    [anon_sym_BSLASHsup] = ACTIONS(508),
    [anon_sym_BSLASHndx] = ACTIONS(508),
    [anon_sym_BSLASHpro] = ACTIONS(508),
    [anon_sym_BSLASHrb] = ACTIONS(508),
    [anon_sym_BSLASHw] = ACTIONS(508),
    [anon_sym_BSLASHwg] = ACTIONS(508),
    [anon_sym_BSLASHwh] = ACTIONS(508),
    [anon_sym_BSLASHwa] = ACTIONS(508),
    [anon_sym_BSLASHfig] = ACTIONS(508),
    [anon_sym_BSLASHjmp] = ACTIONS(508),
    [anon_sym_BSLASHpb] = ACTIONS(508),
    [anon_sym_BSLASH] = ACTIONS(508),
    [sym_milestoneStartTag] = ACTIONS(508),
    [sym_milestoneEndTag] = ACTIONS(508),
    [sym_zSpaceTag] = ACTIONS(508),
    [anon_sym_BSLASHesbe] = ACTIONS(508),
    [anon_sym_BSLASHcat] = ACTIONS(508),
  },
  [654] = {
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHref] = ACTIONS(15),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHv] = ACTIONS(15),
    [anon_sym_BSLASHva] = ACTIONS(15),
    [anon_sym_BSLASHvp] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqs] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqac] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHx] = ACTIONS(15),
    [anon_sym_BSLASHxt] = ACTIONS(15),
    [anon_sym_BSLASHrq] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesbe] = ACTIONS(15),
    [anon_sym_BSLASHcat] = ACTIONS(15),
  },
  [655] = {
    [aux_sym_text_token1] = ACTIONS(77),
    [anon_sym_BSLASHref] = ACTIONS(79),
    [anon_sym_BSLASHsts] = ACTIONS(79),
    [anon_sym_BSLASHrem] = ACTIONS(79),
    [anon_sym_BSLASHrestore] = ACTIONS(79),
    [anon_sym_BSLASHlit] = ACTIONS(79),
    [anon_sym_BSLASHip] = ACTIONS(79),
    [anon_sym_BSLASHv] = ACTIONS(79),
    [anon_sym_BSLASHva] = ACTIONS(79),
    [anon_sym_BSLASHvp] = ACTIONS(79),
    [anon_sym_BSLASHmte] = ACTIONS(79),
    [anon_sym_BSLASHms] = ACTIONS(79),
    [anon_sym_BSLASHs] = ACTIONS(79),
    [anon_sym_BSLASHr] = ACTIONS(79),
    [anon_sym_BSLASHsp] = ACTIONS(79),
    [anon_sym_BSLASHd] = ACTIONS(79),
    [anon_sym_BSLASHsd] = ACTIONS(79),
    [anon_sym_BSLASHp] = ACTIONS(79),
    [anon_sym_BSLASHm] = ACTIONS(79),
    [anon_sym_BSLASHpo] = ACTIONS(79),
    [anon_sym_BSLASHpr] = ACTIONS(79),
    [anon_sym_BSLASHcls] = ACTIONS(79),
    [anon_sym_BSLASHpmo] = ACTIONS(79),
    [anon_sym_BSLASHpm] = ACTIONS(79),
    [anon_sym_BSLASHpmc] = ACTIONS(79),
    [anon_sym_BSLASHpmr] = ACTIONS(79),
    [anon_sym_BSLASHpi] = ACTIONS(79),
    [anon_sym_BSLASHmi] = ACTIONS(79),
    [anon_sym_BSLASHnb] = ACTIONS(79),
    [anon_sym_BSLASHpc] = ACTIONS(79),
    [anon_sym_BSLASHph] = ACTIONS(79),
    [anon_sym_BSLASHb] = ACTIONS(79),
    [anon_sym_BSLASHq] = ACTIONS(79),
    [anon_sym_BSLASHqr] = ACTIONS(79),
    [anon_sym_BSLASHqc] = ACTIONS(79),
    [anon_sym_BSLASHqs] = ACTIONS(79),
    [anon_sym_BSLASHqa] = ACTIONS(79),
    [anon_sym_BSLASHqac] = ACTIONS(79),
    [anon_sym_BSLASHqm] = ACTIONS(79),
    [anon_sym_BSLASHqd] = ACTIONS(79),
    [anon_sym_BSLASHlh] = ACTIONS(79),
    [anon_sym_BSLASHli] = ACTIONS(79),
    [anon_sym_BSLASHlim] = ACTIONS(79),
    [anon_sym_BSLASHtr] = ACTIONS(79),
    [anon_sym_BSLASHf] = ACTIONS(79),
    [anon_sym_BSLASHfe] = ACTIONS(79),
    [anon_sym_BSLASHef] = ACTIONS(79),
    [anon_sym_BSLASHfm] = ACTIONS(79),
    [anon_sym_BSLASHx] = ACTIONS(79),
    [anon_sym_BSLASHxt] = ACTIONS(79),
    [anon_sym_BSLASHrq] = ACTIONS(79),
    [anon_sym_BSLASHadd] = ACTIONS(79),
    [anon_sym_BSLASHbk] = ACTIONS(79),
    [anon_sym_BSLASHdc] = ACTIONS(79),
    [anon_sym_BSLASHk] = ACTIONS(79),
    [anon_sym_BSLASHnd] = ACTIONS(79),
    [anon_sym_BSLASHord] = ACTIONS(79),
    [anon_sym_BSLASHpn] = ACTIONS(79),
    [anon_sym_BSLASHpng] = ACTIONS(79),
    [anon_sym_BSLASHaddpn] = ACTIONS(79),
    [anon_sym_BSLASHqt] = ACTIONS(79),
    [anon_sym_BSLASHsig] = ACTIONS(79),
    [anon_sym_BSLASHsls] = ACTIONS(79),
    [anon_sym_BSLASHtl] = ACTIONS(79),
    [anon_sym_BSLASHwj] = ACTIONS(79),
    [anon_sym_BSLASHem] = ACTIONS(79),
    [anon_sym_BSLASHbd] = ACTIONS(79),
    [anon_sym_BSLASHit] = ACTIONS(79),
    [anon_sym_BSLASHbdit] = ACTIONS(79),
    [anon_sym_BSLASHno] = ACTIONS(79),
    [anon_sym_BSLASHsc] = ACTIONS(79),
    [anon_sym_BSLASHsup] = ACTIONS(79),
    [anon_sym_BSLASHndx] = ACTIONS(79),
    [anon_sym_BSLASHpro] = ACTIONS(79),
    [anon_sym_BSLASHrb] = ACTIONS(79),
    [anon_sym_BSLASHw] = ACTIONS(79),
    [anon_sym_BSLASHwg] = ACTIONS(79),
    [anon_sym_BSLASHwh] = ACTIONS(79),
    [anon_sym_BSLASHwa] = ACTIONS(79),
    [anon_sym_BSLASHfig] = ACTIONS(79),
    [anon_sym_BSLASHjmp] = ACTIONS(79),
    [anon_sym_BSLASHpb] = ACTIONS(79),
    [anon_sym_BSLASH] = ACTIONS(79),
    [sym_milestoneStartTag] = ACTIONS(79),
    [sym_milestoneEndTag] = ACTIONS(79),
    [sym_zSpaceTag] = ACTIONS(79),
    [anon_sym_BSLASHesbe] = ACTIONS(79),
    [anon_sym_BSLASHcat] = ACTIONS(79),
  },
  [656] = {
    [aux_sym_text_token1] = ACTIONS(29),
    [anon_sym_BSLASHref] = ACTIONS(31),
    [anon_sym_BSLASHsts] = ACTIONS(31),
    [anon_sym_BSLASHrem] = ACTIONS(31),
    [anon_sym_BSLASHrestore] = ACTIONS(31),
    [anon_sym_BSLASHlit] = ACTIONS(31),
    [anon_sym_BSLASHip] = ACTIONS(31),
    [anon_sym_BSLASHv] = ACTIONS(31),
    [anon_sym_BSLASHva] = ACTIONS(31),
    [anon_sym_BSLASHvp] = ACTIONS(31),
    [anon_sym_BSLASHmte] = ACTIONS(31),
    [anon_sym_BSLASHms] = ACTIONS(31),
    [anon_sym_BSLASHs] = ACTIONS(31),
    [anon_sym_BSLASHr] = ACTIONS(31),
    [anon_sym_BSLASHsp] = ACTIONS(31),
    [anon_sym_BSLASHd] = ACTIONS(31),
    [anon_sym_BSLASHsd] = ACTIONS(31),
    [anon_sym_BSLASHp] = ACTIONS(31),
    [anon_sym_BSLASHm] = ACTIONS(31),
    [anon_sym_BSLASHpo] = ACTIONS(31),
    [anon_sym_BSLASHpr] = ACTIONS(31),
    [anon_sym_BSLASHcls] = ACTIONS(31),
    [anon_sym_BSLASHpmo] = ACTIONS(31),
    [anon_sym_BSLASHpm] = ACTIONS(31),
    [anon_sym_BSLASHpmc] = ACTIONS(31),
    [anon_sym_BSLASHpmr] = ACTIONS(31),
    [anon_sym_BSLASHpi] = ACTIONS(31),
    [anon_sym_BSLASHmi] = ACTIONS(31),
    [anon_sym_BSLASHnb] = ACTIONS(31),
    [anon_sym_BSLASHpc] = ACTIONS(31),
    [anon_sym_BSLASHph] = ACTIONS(31),
    [anon_sym_BSLASHb] = ACTIONS(31),
    [anon_sym_BSLASHq] = ACTIONS(31),
    [anon_sym_BSLASHqr] = ACTIONS(31),
    [anon_sym_BSLASHqc] = ACTIONS(31),
    [anon_sym_BSLASHqs] = ACTIONS(31),
    [anon_sym_BSLASHqa] = ACTIONS(31),
    [anon_sym_BSLASHqac] = ACTIONS(31),
    [anon_sym_BSLASHqm] = ACTIONS(31),
    [anon_sym_BSLASHqd] = ACTIONS(31),
    [anon_sym_BSLASHlh] = ACTIONS(31),
    [anon_sym_BSLASHli] = ACTIONS(31),
    [anon_sym_BSLASHlim] = ACTIONS(31),
    [anon_sym_BSLASHtr] = ACTIONS(31),
    [anon_sym_BSLASHf] = ACTIONS(31),
    [anon_sym_BSLASHfe] = ACTIONS(31),
    [anon_sym_BSLASHef] = ACTIONS(31),
    [anon_sym_BSLASHfm] = ACTIONS(31),
    [anon_sym_BSLASHx] = ACTIONS(31),
    [anon_sym_BSLASHxt] = ACTIONS(31),
    [anon_sym_BSLASHrq] = ACTIONS(31),
    [anon_sym_BSLASHadd] = ACTIONS(31),
    [anon_sym_BSLASHbk] = ACTIONS(31),
    [anon_sym_BSLASHdc] = ACTIONS(31),
    [anon_sym_BSLASHk] = ACTIONS(31),
    [anon_sym_BSLASHnd] = ACTIONS(31),
    [anon_sym_BSLASHord] = ACTIONS(31),
    [anon_sym_BSLASHpn] = ACTIONS(31),
    [anon_sym_BSLASHpng] = ACTIONS(31),
    [anon_sym_BSLASHaddpn] = ACTIONS(31),
    [anon_sym_BSLASHqt] = ACTIONS(31),
    [anon_sym_BSLASHsig] = ACTIONS(31),
    [anon_sym_BSLASHsls] = ACTIONS(31),
    [anon_sym_BSLASHtl] = ACTIONS(31),
    [anon_sym_BSLASHwj] = ACTIONS(31),
    [anon_sym_BSLASHem] = ACTIONS(31),
    [anon_sym_BSLASHbd] = ACTIONS(31),
    [anon_sym_BSLASHit] = ACTIONS(31),
    [anon_sym_BSLASHbdit] = ACTIONS(31),
    [anon_sym_BSLASHno] = ACTIONS(31),
    [anon_sym_BSLASHsc] = ACTIONS(31),
    [anon_sym_BSLASHsup] = ACTIONS(31),
    [anon_sym_BSLASHndx] = ACTIONS(31),
    [anon_sym_BSLASHpro] = ACTIONS(31),
    [anon_sym_BSLASHrb] = ACTIONS(31),
    [anon_sym_BSLASHw] = ACTIONS(31),
    [anon_sym_BSLASHwg] = ACTIONS(31),
    [anon_sym_BSLASHwh] = ACTIONS(31),
    [anon_sym_BSLASHwa] = ACTIONS(31),
    [anon_sym_BSLASHfig] = ACTIONS(31),
    [anon_sym_BSLASHjmp] = ACTIONS(31),
    [anon_sym_BSLASHpb] = ACTIONS(31),
    [anon_sym_BSLASH] = ACTIONS(31),
    [sym_milestoneStartTag] = ACTIONS(31),
    [sym_milestoneEndTag] = ACTIONS(31),
    [sym_zSpaceTag] = ACTIONS(31),
    [anon_sym_BSLASHesbe] = ACTIONS(31),
    [anon_sym_BSLASHcat] = ACTIONS(31),
  },
  [657] = {
    [aux_sym_text_token1] = ACTIONS(65),
    [anon_sym_BSLASHref] = ACTIONS(67),
    [anon_sym_BSLASHsts] = ACTIONS(67),
    [anon_sym_BSLASHrem] = ACTIONS(67),
    [anon_sym_BSLASHrestore] = ACTIONS(67),
    [anon_sym_BSLASHlit] = ACTIONS(67),
    [anon_sym_BSLASHip] = ACTIONS(67),
    [anon_sym_BSLASHv] = ACTIONS(67),
    [anon_sym_BSLASHva] = ACTIONS(67),
    [anon_sym_BSLASHvp] = ACTIONS(67),
    [anon_sym_BSLASHmte] = ACTIONS(67),
    [anon_sym_BSLASHms] = ACTIONS(67),
    [anon_sym_BSLASHs] = ACTIONS(67),
    [anon_sym_BSLASHr] = ACTIONS(67),
    [anon_sym_BSLASHsp] = ACTIONS(67),
    [anon_sym_BSLASHd] = ACTIONS(67),
    [anon_sym_BSLASHsd] = ACTIONS(67),
    [anon_sym_BSLASHp] = ACTIONS(67),
    [anon_sym_BSLASHm] = ACTIONS(67),
    [anon_sym_BSLASHpo] = ACTIONS(67),
    [anon_sym_BSLASHpr] = ACTIONS(67),
    [anon_sym_BSLASHcls] = ACTIONS(67),
    [anon_sym_BSLASHpmo] = ACTIONS(67),
    [anon_sym_BSLASHpm] = ACTIONS(67),
    [anon_sym_BSLASHpmc] = ACTIONS(67),
    [anon_sym_BSLASHpmr] = ACTIONS(67),
    [anon_sym_BSLASHpi] = ACTIONS(67),
    [anon_sym_BSLASHmi] = ACTIONS(67),
    [anon_sym_BSLASHnb] = ACTIONS(67),
    [anon_sym_BSLASHpc] = ACTIONS(67),
    [anon_sym_BSLASHph] = ACTIONS(67),
    [anon_sym_BSLASHb] = ACTIONS(67),
    [anon_sym_BSLASHq] = ACTIONS(67),
    [anon_sym_BSLASHqr] = ACTIONS(67),
    [anon_sym_BSLASHqc] = ACTIONS(67),
    [anon_sym_BSLASHqs] = ACTIONS(67),
    [anon_sym_BSLASHqa] = ACTIONS(67),
    [anon_sym_BSLASHqac] = ACTIONS(67),
    [anon_sym_BSLASHqm] = ACTIONS(67),
    [anon_sym_BSLASHqd] = ACTIONS(67),
    [anon_sym_BSLASHlh] = ACTIONS(67),
    [anon_sym_BSLASHli] = ACTIONS(67),
    [anon_sym_BSLASHlim] = ACTIONS(67),
    [anon_sym_BSLASHtr] = ACTIONS(67),
    [anon_sym_BSLASHf] = ACTIONS(67),
    [anon_sym_BSLASHfe] = ACTIONS(67),
    [anon_sym_BSLASHef] = ACTIONS(67),
    [anon_sym_BSLASHfm] = ACTIONS(67),
    [anon_sym_BSLASHx] = ACTIONS(67),
    [anon_sym_BSLASHxt] = ACTIONS(67),
    [anon_sym_BSLASHrq] = ACTIONS(67),
    [anon_sym_BSLASHadd] = ACTIONS(67),
    [anon_sym_BSLASHbk] = ACTIONS(67),
    [anon_sym_BSLASHdc] = ACTIONS(67),
    [anon_sym_BSLASHk] = ACTIONS(67),
    [anon_sym_BSLASHnd] = ACTIONS(67),
    [anon_sym_BSLASHord] = ACTIONS(67),
    [anon_sym_BSLASHpn] = ACTIONS(67),
    [anon_sym_BSLASHpng] = ACTIONS(67),
    [anon_sym_BSLASHaddpn] = ACTIONS(67),
    [anon_sym_BSLASHqt] = ACTIONS(67),
    [anon_sym_BSLASHsig] = ACTIONS(67),
    [anon_sym_BSLASHsls] = ACTIONS(67),
    [anon_sym_BSLASHtl] = ACTIONS(67),
    [anon_sym_BSLASHwj] = ACTIONS(67),
    [anon_sym_BSLASHem] = ACTIONS(67),
    [anon_sym_BSLASHbd] = ACTIONS(67),
    [anon_sym_BSLASHit] = ACTIONS(67),
    [anon_sym_BSLASHbdit] = ACTIONS(67),
    [anon_sym_BSLASHno] = ACTIONS(67),
    [anon_sym_BSLASHsc] = ACTIONS(67),
    [anon_sym_BSLASHsup] = ACTIONS(67),
    [anon_sym_BSLASHndx] = ACTIONS(67),
    [anon_sym_BSLASHpro] = ACTIONS(67),
    [anon_sym_BSLASHrb] = ACTIONS(67),
    [anon_sym_BSLASHw] = ACTIONS(67),
    [anon_sym_BSLASHwg] = ACTIONS(67),
    [anon_sym_BSLASHwh] = ACTIONS(67),
    [anon_sym_BSLASHwa] = ACTIONS(67),
    [anon_sym_BSLASHfig] = ACTIONS(67),
    [anon_sym_BSLASHjmp] = ACTIONS(67),
    [anon_sym_BSLASHpb] = ACTIONS(67),
    [anon_sym_BSLASH] = ACTIONS(67),
    [sym_milestoneStartTag] = ACTIONS(67),
    [sym_milestoneEndTag] = ACTIONS(67),
    [sym_zSpaceTag] = ACTIONS(67),
    [anon_sym_BSLASHesbe] = ACTIONS(67),
    [anon_sym_BSLASHcat] = ACTIONS(67),
  },
  [658] = {
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHref] = ACTIONS(2709),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHv] = ACTIONS(2709),
    [anon_sym_BSLASHva] = ACTIONS(2709),
    [anon_sym_BSLASHvp] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqs] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqac] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHx] = ACTIONS(2709),
    [anon_sym_BSLASHxt] = ACTIONS(2709),
    [anon_sym_BSLASHrq] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesbe] = ACTIONS(2709),
    [anon_sym_BSLASHcat] = ACTIONS(2709),
  },
  [659] = {
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHref] = ACTIONS(2729),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHv] = ACTIONS(2729),
    [anon_sym_BSLASHva] = ACTIONS(2729),
    [anon_sym_BSLASHvp] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqs] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqac] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHx] = ACTIONS(2729),
    [anon_sym_BSLASHxt] = ACTIONS(2729),
    [anon_sym_BSLASHrq] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesbe] = ACTIONS(2729),
    [anon_sym_BSLASHcat] = ACTIONS(2729),
  },
  [660] = {
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHref] = ACTIONS(2673),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHv] = ACTIONS(2673),
    [anon_sym_BSLASHva] = ACTIONS(2673),
    [anon_sym_BSLASHvp] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqs] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqac] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHx] = ACTIONS(2673),
    [anon_sym_BSLASHxt] = ACTIONS(2673),
    [anon_sym_BSLASHrq] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesbe] = ACTIONS(2673),
    [anon_sym_BSLASHcat] = ACTIONS(2673),
  },
  [661] = {
    [aux_sym_text_token1] = ACTIONS(6058),
    [anon_sym_BSLASHref] = ACTIONS(6060),
    [anon_sym_BSLASHsts] = ACTIONS(6060),
    [anon_sym_BSLASHrem] = ACTIONS(6060),
    [anon_sym_BSLASHrestore] = ACTIONS(6060),
    [anon_sym_BSLASHlit] = ACTIONS(6060),
    [anon_sym_BSLASHip] = ACTIONS(6060),
    [anon_sym_BSLASHv] = ACTIONS(6060),
    [anon_sym_BSLASHva] = ACTIONS(6060),
    [anon_sym_BSLASHvp] = ACTIONS(6060),
    [anon_sym_BSLASHmte] = ACTIONS(6060),
    [anon_sym_BSLASHms] = ACTIONS(6060),
    [anon_sym_BSLASHs] = ACTIONS(6060),
    [anon_sym_BSLASHr] = ACTIONS(6060),
    [anon_sym_BSLASHsp] = ACTIONS(6060),
    [anon_sym_BSLASHd] = ACTIONS(6060),
    [anon_sym_BSLASHsd] = ACTIONS(6060),
    [anon_sym_BSLASHp] = ACTIONS(6060),
    [anon_sym_BSLASHm] = ACTIONS(6060),
    [anon_sym_BSLASHpo] = ACTIONS(6060),
    [anon_sym_BSLASHpr] = ACTIONS(6060),
    [anon_sym_BSLASHcls] = ACTIONS(6060),
    [anon_sym_BSLASHpmo] = ACTIONS(6060),
    [anon_sym_BSLASHpm] = ACTIONS(6060),
    [anon_sym_BSLASHpmc] = ACTIONS(6060),
    [anon_sym_BSLASHpmr] = ACTIONS(6060),
    [anon_sym_BSLASHpi] = ACTIONS(6060),
    [anon_sym_BSLASHmi] = ACTIONS(6060),
    [anon_sym_BSLASHnb] = ACTIONS(6060),
    [anon_sym_BSLASHpc] = ACTIONS(6060),
    [anon_sym_BSLASHph] = ACTIONS(6060),
    [anon_sym_BSLASHb] = ACTIONS(6060),
    [anon_sym_BSLASHq] = ACTIONS(6060),
    [anon_sym_BSLASHqr] = ACTIONS(6060),
    [anon_sym_BSLASHqc] = ACTIONS(6060),
    [anon_sym_BSLASHqs] = ACTIONS(6060),
    [anon_sym_BSLASHqa] = ACTIONS(6060),
    [anon_sym_BSLASHqac] = ACTIONS(6060),
    [anon_sym_BSLASHqm] = ACTIONS(6060),
    [anon_sym_BSLASHqd] = ACTIONS(6060),
    [anon_sym_BSLASHlh] = ACTIONS(6060),
    [anon_sym_BSLASHli] = ACTIONS(6060),
    [anon_sym_BSLASHlim] = ACTIONS(6060),
    [anon_sym_BSLASHtr] = ACTIONS(6060),
    [anon_sym_BSLASHf] = ACTIONS(6060),
    [anon_sym_BSLASHfe] = ACTIONS(6060),
    [anon_sym_BSLASHef] = ACTIONS(6060),
    [anon_sym_BSLASHfm] = ACTIONS(6060),
    [anon_sym_BSLASHx] = ACTIONS(6060),
    [anon_sym_BSLASHxt] = ACTIONS(6060),
    [anon_sym_BSLASHrq] = ACTIONS(6060),
    [anon_sym_BSLASHadd] = ACTIONS(6060),
    [anon_sym_BSLASHbk] = ACTIONS(6060),
    [anon_sym_BSLASHdc] = ACTIONS(6060),
    [anon_sym_BSLASHk] = ACTIONS(6060),
    [anon_sym_BSLASHnd] = ACTIONS(6060),
    [anon_sym_BSLASHord] = ACTIONS(6060),
    [anon_sym_BSLASHpn] = ACTIONS(6060),
    [anon_sym_BSLASHpng] = ACTIONS(6060),
    [anon_sym_BSLASHaddpn] = ACTIONS(6060),
    [anon_sym_BSLASHqt] = ACTIONS(6060),
    [anon_sym_BSLASHsig] = ACTIONS(6060),
    [anon_sym_BSLASHsls] = ACTIONS(6060),
    [anon_sym_BSLASHtl] = ACTIONS(6060),
    [anon_sym_BSLASHwj] = ACTIONS(6060),
    [anon_sym_BSLASHem] = ACTIONS(6060),
    [anon_sym_BSLASHbd] = ACTIONS(6060),
    [anon_sym_BSLASHit] = ACTIONS(6060),
    [anon_sym_BSLASHbdit] = ACTIONS(6060),
    [anon_sym_BSLASHno] = ACTIONS(6060),
    [anon_sym_BSLASHsc] = ACTIONS(6060),
    [anon_sym_BSLASHsup] = ACTIONS(6060),
    [anon_sym_BSLASHndx] = ACTIONS(6060),
    [anon_sym_BSLASHpro] = ACTIONS(6060),
    [anon_sym_BSLASHrb] = ACTIONS(6060),
    [anon_sym_BSLASHw] = ACTIONS(6060),
    [anon_sym_BSLASHwg] = ACTIONS(6060),
    [anon_sym_BSLASHwh] = ACTIONS(6060),
    [anon_sym_BSLASHwa] = ACTIONS(6060),
    [anon_sym_BSLASHfig] = ACTIONS(6060),
    [anon_sym_BSLASHjmp] = ACTIONS(6060),
    [anon_sym_BSLASHpb] = ACTIONS(6060),
    [anon_sym_BSLASH] = ACTIONS(6060),
    [sym_milestoneStartTag] = ACTIONS(6060),
    [sym_milestoneEndTag] = ACTIONS(6060),
    [sym_zSpaceTag] = ACTIONS(6060),
    [anon_sym_BSLASHesbe] = ACTIONS(6060),
    [anon_sym_BSLASHcat] = ACTIONS(6060),
  },
  [662] = {
    [aux_sym_text_token1] = ACTIONS(6272),
    [anon_sym_BSLASHref] = ACTIONS(5912),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfr] = ACTIONS(5912),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfq] = ACTIONS(5912),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfqa] = ACTIONS(5912),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfk] = ACTIONS(5912),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfl] = ACTIONS(5912),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfw] = ACTIONS(5912),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfp] = ACTIONS(5912),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHft] = ACTIONS(5912),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfdc] = ACTIONS(5912),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHfv] = ACTIONS(5912),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHxt] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5912),
    [anon_sym_BSLASHadd] = ACTIONS(5912),
    [anon_sym_BSLASHbk] = ACTIONS(5912),
    [anon_sym_BSLASHdc] = ACTIONS(5912),
    [anon_sym_BSLASHk] = ACTIONS(5912),
    [anon_sym_BSLASHnd] = ACTIONS(5912),
    [anon_sym_BSLASHord] = ACTIONS(5912),
    [anon_sym_BSLASHpn] = ACTIONS(5912),
    [anon_sym_BSLASHpng] = ACTIONS(5912),
    [anon_sym_BSLASHaddpn] = ACTIONS(5912),
    [anon_sym_BSLASHqt] = ACTIONS(5912),
    [anon_sym_BSLASHsig] = ACTIONS(5912),
    [anon_sym_BSLASHsls] = ACTIONS(5912),
    [anon_sym_BSLASHtl] = ACTIONS(5912),
    [anon_sym_BSLASHwj] = ACTIONS(5912),
    [anon_sym_BSLASHem] = ACTIONS(5912),
    [anon_sym_BSLASHbd] = ACTIONS(5912),
    [anon_sym_BSLASHit] = ACTIONS(5912),
    [anon_sym_BSLASHbdit] = ACTIONS(5912),
    [anon_sym_BSLASHno] = ACTIONS(5912),
    [anon_sym_BSLASHsc] = ACTIONS(5912),
    [anon_sym_BSLASHsup] = ACTIONS(5912),
    [anon_sym_BSLASHndx] = ACTIONS(5912),
    [anon_sym_BSLASHpro] = ACTIONS(5912),
    [anon_sym_BSLASHrb] = ACTIONS(5912),
    [anon_sym_BSLASHw] = ACTIONS(5912),
    [anon_sym_BSLASHwg] = ACTIONS(5912),
    [anon_sym_BSLASHwh] = ACTIONS(5912),
    [anon_sym_BSLASHwa] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5912),
    [anon_sym_BSLASHfig] = ACTIONS(5912),
    [anon_sym_BSLASHjmp] = ACTIONS(5912),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5912),
    [anon_sym_BSLASHcat] = ACTIONS(5912),
  },
  [663] = {
    [aux_sym_text_token1] = ACTIONS(57),
    [anon_sym_BSLASHref] = ACTIONS(59),
    [anon_sym_BSLASHsts] = ACTIONS(59),
    [anon_sym_BSLASHrem] = ACTIONS(59),
    [anon_sym_BSLASHrestore] = ACTIONS(59),
    [anon_sym_BSLASHlit] = ACTIONS(59),
    [anon_sym_BSLASHip] = ACTIONS(59),
    [anon_sym_BSLASHv] = ACTIONS(59),
    [anon_sym_BSLASHva] = ACTIONS(59),
    [anon_sym_BSLASHvp] = ACTIONS(59),
    [anon_sym_BSLASHmte] = ACTIONS(59),
    [anon_sym_BSLASHms] = ACTIONS(59),
    [anon_sym_BSLASHs] = ACTIONS(59),
    [anon_sym_BSLASHr] = ACTIONS(59),
    [anon_sym_BSLASHsp] = ACTIONS(59),
    [anon_sym_BSLASHd] = ACTIONS(59),
    [anon_sym_BSLASHsd] = ACTIONS(59),
    [anon_sym_BSLASHp] = ACTIONS(59),
    [anon_sym_BSLASHm] = ACTIONS(59),
    [anon_sym_BSLASHpo] = ACTIONS(59),
    [anon_sym_BSLASHpr] = ACTIONS(59),
    [anon_sym_BSLASHcls] = ACTIONS(59),
    [anon_sym_BSLASHpmo] = ACTIONS(59),
    [anon_sym_BSLASHpm] = ACTIONS(59),
    [anon_sym_BSLASHpmc] = ACTIONS(59),
    [anon_sym_BSLASHpmr] = ACTIONS(59),
    [anon_sym_BSLASHpi] = ACTIONS(59),
    [anon_sym_BSLASHmi] = ACTIONS(59),
    [anon_sym_BSLASHnb] = ACTIONS(59),
    [anon_sym_BSLASHpc] = ACTIONS(59),
    [anon_sym_BSLASHph] = ACTIONS(59),
    [anon_sym_BSLASHb] = ACTIONS(59),
    [anon_sym_BSLASHq] = ACTIONS(59),
    [anon_sym_BSLASHqr] = ACTIONS(59),
    [anon_sym_BSLASHqc] = ACTIONS(59),
    [anon_sym_BSLASHqs] = ACTIONS(59),
    [anon_sym_BSLASHqa] = ACTIONS(59),
    [anon_sym_BSLASHqac] = ACTIONS(59),
    [anon_sym_BSLASHqm] = ACTIONS(59),
    [anon_sym_BSLASHqd] = ACTIONS(59),
    [anon_sym_BSLASHlh] = ACTIONS(59),
    [anon_sym_BSLASHli] = ACTIONS(59),
    [anon_sym_BSLASHlim] = ACTIONS(59),
    [anon_sym_BSLASHtr] = ACTIONS(59),
    [anon_sym_BSLASHf] = ACTIONS(59),
    [anon_sym_BSLASHfe] = ACTIONS(59),
    [anon_sym_BSLASHef] = ACTIONS(59),
    [anon_sym_BSLASHfm] = ACTIONS(59),
    [anon_sym_BSLASHx] = ACTIONS(59),
    [anon_sym_BSLASHxt] = ACTIONS(59),
    [anon_sym_BSLASHrq] = ACTIONS(59),
    [anon_sym_BSLASHadd] = ACTIONS(59),
    [anon_sym_BSLASHbk] = ACTIONS(59),
    [anon_sym_BSLASHdc] = ACTIONS(59),
    [anon_sym_BSLASHk] = ACTIONS(59),
    [anon_sym_BSLASHnd] = ACTIONS(59),
    [anon_sym_BSLASHord] = ACTIONS(59),
    [anon_sym_BSLASHpn] = ACTIONS(59),
    [anon_sym_BSLASHpng] = ACTIONS(59),
    [anon_sym_BSLASHaddpn] = ACTIONS(59),
    [anon_sym_BSLASHqt] = ACTIONS(59),
    [anon_sym_BSLASHsig] = ACTIONS(59),
    [anon_sym_BSLASHsls] = ACTIONS(59),
    [anon_sym_BSLASHtl] = ACTIONS(59),
    [anon_sym_BSLASHwj] = ACTIONS(59),
    [anon_sym_BSLASHem] = ACTIONS(59),
    [anon_sym_BSLASHbd] = ACTIONS(59),
    [anon_sym_BSLASHit] = ACTIONS(59),
    [anon_sym_BSLASHbdit] = ACTIONS(59),
    [anon_sym_BSLASHno] = ACTIONS(59),
    [anon_sym_BSLASHsc] = ACTIONS(59),
    [anon_sym_BSLASHsup] = ACTIONS(59),
    [anon_sym_BSLASHndx] = ACTIONS(59),
    [anon_sym_BSLASHpro] = ACTIONS(59),
    [anon_sym_BSLASHrb] = ACTIONS(59),
    [anon_sym_BSLASHw] = ACTIONS(59),
    [anon_sym_BSLASHwg] = ACTIONS(59),
    [anon_sym_BSLASHwh] = ACTIONS(59),
    [anon_sym_BSLASHwa] = ACTIONS(59),
    [anon_sym_BSLASHfig] = ACTIONS(59),
    [anon_sym_BSLASHjmp] = ACTIONS(59),
    [anon_sym_BSLASHpb] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(59),
    [sym_milestoneStartTag] = ACTIONS(59),
    [sym_milestoneEndTag] = ACTIONS(59),
    [sym_zSpaceTag] = ACTIONS(59),
    [anon_sym_BSLASHesbe] = ACTIONS(59),
    [anon_sym_BSLASHcat] = ACTIONS(59),
  },
  [664] = {
    [aux_sym_text_token1] = ACTIONS(53),
    [anon_sym_BSLASHref] = ACTIONS(55),
    [anon_sym_BSLASHsts] = ACTIONS(55),
    [anon_sym_BSLASHrem] = ACTIONS(55),
    [anon_sym_BSLASHrestore] = ACTIONS(55),
    [anon_sym_BSLASHlit] = ACTIONS(55),
    [anon_sym_BSLASHip] = ACTIONS(55),
    [anon_sym_BSLASHv] = ACTIONS(55),
    [anon_sym_BSLASHva] = ACTIONS(55),
    [anon_sym_BSLASHvp] = ACTIONS(55),
    [anon_sym_BSLASHmte] = ACTIONS(55),
    [anon_sym_BSLASHms] = ACTIONS(55),
    [anon_sym_BSLASHs] = ACTIONS(55),
    [anon_sym_BSLASHr] = ACTIONS(55),
    [anon_sym_BSLASHsp] = ACTIONS(55),
    [anon_sym_BSLASHd] = ACTIONS(55),
    [anon_sym_BSLASHsd] = ACTIONS(55),
    [anon_sym_BSLASHp] = ACTIONS(55),
    [anon_sym_BSLASHm] = ACTIONS(55),
    [anon_sym_BSLASHpo] = ACTIONS(55),
    [anon_sym_BSLASHpr] = ACTIONS(55),
    [anon_sym_BSLASHcls] = ACTIONS(55),
    [anon_sym_BSLASHpmo] = ACTIONS(55),
    [anon_sym_BSLASHpm] = ACTIONS(55),
    [anon_sym_BSLASHpmc] = ACTIONS(55),
    [anon_sym_BSLASHpmr] = ACTIONS(55),
    [anon_sym_BSLASHpi] = ACTIONS(55),
    [anon_sym_BSLASHmi] = ACTIONS(55),
    [anon_sym_BSLASHnb] = ACTIONS(55),
    [anon_sym_BSLASHpc] = ACTIONS(55),
    [anon_sym_BSLASHph] = ACTIONS(55),
    [anon_sym_BSLASHb] = ACTIONS(55),
    [anon_sym_BSLASHq] = ACTIONS(55),
    [anon_sym_BSLASHqr] = ACTIONS(55),
    [anon_sym_BSLASHqc] = ACTIONS(55),
    [anon_sym_BSLASHqs] = ACTIONS(55),
    [anon_sym_BSLASHqa] = ACTIONS(55),
    [anon_sym_BSLASHqac] = ACTIONS(55),
    [anon_sym_BSLASHqm] = ACTIONS(55),
    [anon_sym_BSLASHqd] = ACTIONS(55),
    [anon_sym_BSLASHlh] = ACTIONS(55),
    [anon_sym_BSLASHli] = ACTIONS(55),
    [anon_sym_BSLASHlim] = ACTIONS(55),
    [anon_sym_BSLASHtr] = ACTIONS(55),
    [anon_sym_BSLASHf] = ACTIONS(55),
    [anon_sym_BSLASHfe] = ACTIONS(55),
    [anon_sym_BSLASHef] = ACTIONS(55),
    [anon_sym_BSLASHfm] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHxt] = ACTIONS(55),
    [anon_sym_BSLASHrq] = ACTIONS(55),
    [anon_sym_BSLASHadd] = ACTIONS(55),
    [anon_sym_BSLASHbk] = ACTIONS(55),
    [anon_sym_BSLASHdc] = ACTIONS(55),
    [anon_sym_BSLASHk] = ACTIONS(55),
    [anon_sym_BSLASHnd] = ACTIONS(55),
    [anon_sym_BSLASHord] = ACTIONS(55),
    [anon_sym_BSLASHpn] = ACTIONS(55),
    [anon_sym_BSLASHpng] = ACTIONS(55),
    [anon_sym_BSLASHaddpn] = ACTIONS(55),
    [anon_sym_BSLASHqt] = ACTIONS(55),
    [anon_sym_BSLASHsig] = ACTIONS(55),
    [anon_sym_BSLASHsls] = ACTIONS(55),
    [anon_sym_BSLASHtl] = ACTIONS(55),
    [anon_sym_BSLASHwj] = ACTIONS(55),
    [anon_sym_BSLASHem] = ACTIONS(55),
    [anon_sym_BSLASHbd] = ACTIONS(55),
    [anon_sym_BSLASHit] = ACTIONS(55),
    [anon_sym_BSLASHbdit] = ACTIONS(55),
    [anon_sym_BSLASHno] = ACTIONS(55),
    [anon_sym_BSLASHsc] = ACTIONS(55),
    [anon_sym_BSLASHsup] = ACTIONS(55),
    [anon_sym_BSLASHndx] = ACTIONS(55),
    [anon_sym_BSLASHpro] = ACTIONS(55),
    [anon_sym_BSLASHrb] = ACTIONS(55),
    [anon_sym_BSLASHw] = ACTIONS(55),
    [anon_sym_BSLASHwg] = ACTIONS(55),
    [anon_sym_BSLASHwh] = ACTIONS(55),
    [anon_sym_BSLASHwa] = ACTIONS(55),
    [anon_sym_BSLASHfig] = ACTIONS(55),
    [anon_sym_BSLASHjmp] = ACTIONS(55),
    [anon_sym_BSLASHpb] = ACTIONS(55),
    [anon_sym_BSLASH] = ACTIONS(55),
    [sym_milestoneStartTag] = ACTIONS(55),
    [sym_milestoneEndTag] = ACTIONS(55),
    [sym_zSpaceTag] = ACTIONS(55),
    [anon_sym_BSLASHesbe] = ACTIONS(55),
    [anon_sym_BSLASHcat] = ACTIONS(55),
  },
  [665] = {
    [aux_sym_text_token1] = ACTIONS(510),
    [anon_sym_BSLASHref] = ACTIONS(512),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(512),
    [anon_sym_BSLASHrestore] = ACTIONS(512),
    [anon_sym_BSLASHlit] = ACTIONS(512),
    [anon_sym_BSLASHip] = ACTIONS(512),
    [anon_sym_BSLASHv] = ACTIONS(512),
    [anon_sym_BSLASHva] = ACTIONS(512),
    [anon_sym_BSLASHvp] = ACTIONS(512),
    [anon_sym_BSLASHmte] = ACTIONS(512),
    [anon_sym_BSLASHms] = ACTIONS(512),
    [anon_sym_BSLASHs] = ACTIONS(512),
    [anon_sym_BSLASHr] = ACTIONS(512),
    [anon_sym_BSLASHsp] = ACTIONS(512),
    [anon_sym_BSLASHd] = ACTIONS(512),
    [anon_sym_BSLASHsd] = ACTIONS(512),
    [anon_sym_BSLASHp] = ACTIONS(512),
    [anon_sym_BSLASHm] = ACTIONS(512),
    [anon_sym_BSLASHpo] = ACTIONS(512),
    [anon_sym_BSLASHpr] = ACTIONS(512),
    [anon_sym_BSLASHcls] = ACTIONS(512),
    [anon_sym_BSLASHpmo] = ACTIONS(512),
    [anon_sym_BSLASHpm] = ACTIONS(512),
    [anon_sym_BSLASHpmc] = ACTIONS(512),
    [anon_sym_BSLASHpmr] = ACTIONS(512),
    [anon_sym_BSLASHpi] = ACTIONS(512),
    [anon_sym_BSLASHmi] = ACTIONS(512),
    [anon_sym_BSLASHnb] = ACTIONS(512),
    [anon_sym_BSLASHpc] = ACTIONS(512),
    [anon_sym_BSLASHph] = ACTIONS(512),
    [anon_sym_BSLASHb] = ACTIONS(512),
    [anon_sym_BSLASHq] = ACTIONS(512),
    [anon_sym_BSLASHqr] = ACTIONS(512),
    [anon_sym_BSLASHqc] = ACTIONS(512),
    [anon_sym_BSLASHqs] = ACTIONS(512),
    [anon_sym_BSLASHqa] = ACTIONS(512),
    [anon_sym_BSLASHqac] = ACTIONS(512),
    [anon_sym_BSLASHqm] = ACTIONS(512),
    [anon_sym_BSLASHqd] = ACTIONS(512),
    [anon_sym_BSLASHlh] = ACTIONS(512),
    [anon_sym_BSLASHli] = ACTIONS(512),
    [anon_sym_BSLASHlim] = ACTIONS(512),
    [anon_sym_BSLASHtr] = ACTIONS(512),
    [anon_sym_BSLASHf] = ACTIONS(512),
    [anon_sym_BSLASHfe] = ACTIONS(512),
    [anon_sym_BSLASHef] = ACTIONS(512),
    [anon_sym_BSLASHfm] = ACTIONS(512),
    [anon_sym_BSLASHx] = ACTIONS(512),
    [anon_sym_BSLASHxt] = ACTIONS(512),
    [anon_sym_BSLASHrq] = ACTIONS(512),
    [anon_sym_BSLASHadd] = ACTIONS(512),
    [anon_sym_BSLASHbk] = ACTIONS(512),
    [anon_sym_BSLASHdc] = ACTIONS(512),
    [anon_sym_BSLASHk] = ACTIONS(512),
    [anon_sym_BSLASHnd] = ACTIONS(512),
    [anon_sym_BSLASHord] = ACTIONS(512),
    [anon_sym_BSLASHpn] = ACTIONS(512),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(512),
    [anon_sym_BSLASHqt] = ACTIONS(512),
    [anon_sym_BSLASHsig] = ACTIONS(512),
    [anon_sym_BSLASHsls] = ACTIONS(512),
    [anon_sym_BSLASHtl] = ACTIONS(512),
    [anon_sym_BSLASHwj] = ACTIONS(512),
    [anon_sym_BSLASHem] = ACTIONS(512),
    [anon_sym_BSLASHbd] = ACTIONS(512),
    [anon_sym_BSLASHit] = ACTIONS(512),
    [anon_sym_BSLASHbdit] = ACTIONS(512),
    [anon_sym_BSLASHno] = ACTIONS(512),
    [anon_sym_BSLASHsc] = ACTIONS(512),
    [anon_sym_BSLASHsup] = ACTIONS(512),
    [anon_sym_BSLASHndx] = ACTIONS(512),
    [anon_sym_BSLASHpro] = ACTIONS(512),
    [anon_sym_BSLASHrb] = ACTIONS(512),
    [anon_sym_BSLASHw] = ACTIONS(512),
    [anon_sym_BSLASHwg] = ACTIONS(512),
    [anon_sym_BSLASHwh] = ACTIONS(512),
    [anon_sym_BSLASHwa] = ACTIONS(512),
    [anon_sym_BSLASHfig] = ACTIONS(512),
    [anon_sym_BSLASHjmp] = ACTIONS(512),
    [anon_sym_BSLASHpb] = ACTIONS(512),
    [anon_sym_BSLASH] = ACTIONS(512),
    [sym_milestoneStartTag] = ACTIONS(512),
    [sym_milestoneEndTag] = ACTIONS(512),
    [sym_zSpaceTag] = ACTIONS(512),
    [anon_sym_BSLASHesbe] = ACTIONS(512),
    [anon_sym_BSLASHcat] = ACTIONS(512),
  },
  [666] = {
    [aux_sym_text_token1] = ACTIONS(61),
    [anon_sym_BSLASHref] = ACTIONS(63),
    [anon_sym_BSLASHsts] = ACTIONS(63),
    [anon_sym_BSLASHrem] = ACTIONS(63),
    [anon_sym_BSLASHrestore] = ACTIONS(63),
    [anon_sym_BSLASHlit] = ACTIONS(63),
    [anon_sym_BSLASHip] = ACTIONS(63),
    [anon_sym_BSLASHv] = ACTIONS(63),
    [anon_sym_BSLASHva] = ACTIONS(63),
    [anon_sym_BSLASHvp] = ACTIONS(63),
    [anon_sym_BSLASHmte] = ACTIONS(63),
    [anon_sym_BSLASHms] = ACTIONS(63),
    [anon_sym_BSLASHs] = ACTIONS(63),
    [anon_sym_BSLASHr] = ACTIONS(63),
    [anon_sym_BSLASHsp] = ACTIONS(63),
    [anon_sym_BSLASHd] = ACTIONS(63),
    [anon_sym_BSLASHsd] = ACTIONS(63),
    [anon_sym_BSLASHp] = ACTIONS(63),
    [anon_sym_BSLASHm] = ACTIONS(63),
    [anon_sym_BSLASHpo] = ACTIONS(63),
    [anon_sym_BSLASHpr] = ACTIONS(63),
    [anon_sym_BSLASHcls] = ACTIONS(63),
    [anon_sym_BSLASHpmo] = ACTIONS(63),
    [anon_sym_BSLASHpm] = ACTIONS(63),
    [anon_sym_BSLASHpmc] = ACTIONS(63),
    [anon_sym_BSLASHpmr] = ACTIONS(63),
    [anon_sym_BSLASHpi] = ACTIONS(63),
    [anon_sym_BSLASHmi] = ACTIONS(63),
    [anon_sym_BSLASHnb] = ACTIONS(63),
    [anon_sym_BSLASHpc] = ACTIONS(63),
    [anon_sym_BSLASHph] = ACTIONS(63),
    [anon_sym_BSLASHb] = ACTIONS(63),
    [anon_sym_BSLASHq] = ACTIONS(63),
    [anon_sym_BSLASHqr] = ACTIONS(63),
    [anon_sym_BSLASHqc] = ACTIONS(63),
    [anon_sym_BSLASHqs] = ACTIONS(63),
    [anon_sym_BSLASHqa] = ACTIONS(63),
    [anon_sym_BSLASHqac] = ACTIONS(63),
    [anon_sym_BSLASHqm] = ACTIONS(63),
    [anon_sym_BSLASHqd] = ACTIONS(63),
    [anon_sym_BSLASHlh] = ACTIONS(63),
    [anon_sym_BSLASHli] = ACTIONS(63),
    [anon_sym_BSLASHlim] = ACTIONS(63),
    [anon_sym_BSLASHtr] = ACTIONS(63),
    [anon_sym_BSLASHf] = ACTIONS(63),
    [anon_sym_BSLASHfe] = ACTIONS(63),
    [anon_sym_BSLASHef] = ACTIONS(63),
    [anon_sym_BSLASHfm] = ACTIONS(63),
    [anon_sym_BSLASHx] = ACTIONS(63),
    [anon_sym_BSLASHxt] = ACTIONS(63),
    [anon_sym_BSLASHrq] = ACTIONS(63),
    [anon_sym_BSLASHadd] = ACTIONS(63),
    [anon_sym_BSLASHbk] = ACTIONS(63),
    [anon_sym_BSLASHdc] = ACTIONS(63),
    [anon_sym_BSLASHk] = ACTIONS(63),
    [anon_sym_BSLASHnd] = ACTIONS(63),
    [anon_sym_BSLASHord] = ACTIONS(63),
    [anon_sym_BSLASHpn] = ACTIONS(63),
    [anon_sym_BSLASHpng] = ACTIONS(63),
    [anon_sym_BSLASHaddpn] = ACTIONS(63),
    [anon_sym_BSLASHqt] = ACTIONS(63),
    [anon_sym_BSLASHsig] = ACTIONS(63),
    [anon_sym_BSLASHsls] = ACTIONS(63),
    [anon_sym_BSLASHtl] = ACTIONS(63),
    [anon_sym_BSLASHwj] = ACTIONS(63),
    [anon_sym_BSLASHem] = ACTIONS(63),
    [anon_sym_BSLASHbd] = ACTIONS(63),
    [anon_sym_BSLASHit] = ACTIONS(63),
    [anon_sym_BSLASHbdit] = ACTIONS(63),
    [anon_sym_BSLASHno] = ACTIONS(63),
    [anon_sym_BSLASHsc] = ACTIONS(63),
    [anon_sym_BSLASHsup] = ACTIONS(63),
    [anon_sym_BSLASHndx] = ACTIONS(63),
    [anon_sym_BSLASHpro] = ACTIONS(63),
    [anon_sym_BSLASHrb] = ACTIONS(63),
    [anon_sym_BSLASHw] = ACTIONS(63),
    [anon_sym_BSLASHwg] = ACTIONS(63),
    [anon_sym_BSLASHwh] = ACTIONS(63),
    [anon_sym_BSLASHwa] = ACTIONS(63),
    [anon_sym_BSLASHfig] = ACTIONS(63),
    [anon_sym_BSLASHjmp] = ACTIONS(63),
    [anon_sym_BSLASHpb] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(63),
    [sym_milestoneStartTag] = ACTIONS(63),
    [sym_milestoneEndTag] = ACTIONS(63),
    [sym_zSpaceTag] = ACTIONS(63),
    [anon_sym_BSLASHesbe] = ACTIONS(63),
    [anon_sym_BSLASHcat] = ACTIONS(63),
  },
  [667] = {
    [aux_sym_text_token1] = ACTIONS(2803),
    [anon_sym_BSLASHref] = ACTIONS(2805),
    [anon_sym_BSLASHsts] = ACTIONS(2805),
    [anon_sym_BSLASHrem] = ACTIONS(2805),
    [anon_sym_BSLASHrestore] = ACTIONS(2805),
    [anon_sym_BSLASHlit] = ACTIONS(2805),
    [anon_sym_BSLASHip] = ACTIONS(2805),
    [anon_sym_BSLASHv] = ACTIONS(2805),
    [anon_sym_BSLASHva] = ACTIONS(2805),
    [anon_sym_BSLASHvp] = ACTIONS(2805),
    [anon_sym_BSLASHmte] = ACTIONS(2805),
    [anon_sym_BSLASHms] = ACTIONS(2805),
    [anon_sym_BSLASHs] = ACTIONS(2805),
    [anon_sym_BSLASHr] = ACTIONS(2805),
    [anon_sym_BSLASHsp] = ACTIONS(2805),
    [anon_sym_BSLASHd] = ACTIONS(2805),
    [anon_sym_BSLASHsd] = ACTIONS(2805),
    [anon_sym_BSLASHp] = ACTIONS(2805),
    [anon_sym_BSLASHm] = ACTIONS(2805),
    [anon_sym_BSLASHpo] = ACTIONS(2805),
    [anon_sym_BSLASHpr] = ACTIONS(2805),
    [anon_sym_BSLASHcls] = ACTIONS(2805),
    [anon_sym_BSLASHpmo] = ACTIONS(2805),
    [anon_sym_BSLASHpm] = ACTIONS(2805),
    [anon_sym_BSLASHpmc] = ACTIONS(2805),
    [anon_sym_BSLASHpmr] = ACTIONS(2805),
    [anon_sym_BSLASHpi] = ACTIONS(2805),
    [anon_sym_BSLASHmi] = ACTIONS(2805),
    [anon_sym_BSLASHnb] = ACTIONS(2805),
    [anon_sym_BSLASHpc] = ACTIONS(2805),
    [anon_sym_BSLASHph] = ACTIONS(2805),
    [anon_sym_BSLASHb] = ACTIONS(2805),
    [anon_sym_BSLASHq] = ACTIONS(2805),
    [anon_sym_BSLASHqr] = ACTIONS(2805),
    [anon_sym_BSLASHqc] = ACTIONS(2805),
    [anon_sym_BSLASHqs] = ACTIONS(2805),
    [anon_sym_BSLASHqa] = ACTIONS(2805),
    [anon_sym_BSLASHqac] = ACTIONS(2805),
    [anon_sym_BSLASHqm] = ACTIONS(2805),
    [anon_sym_BSLASHqd] = ACTIONS(2805),
    [anon_sym_BSLASHlh] = ACTIONS(2805),
    [anon_sym_BSLASHli] = ACTIONS(2805),
    [anon_sym_BSLASHlim] = ACTIONS(2805),
    [anon_sym_BSLASHtr] = ACTIONS(2805),
    [anon_sym_BSLASHf] = ACTIONS(2805),
    [anon_sym_BSLASHfe] = ACTIONS(2805),
    [anon_sym_BSLASHef] = ACTIONS(2805),
    [anon_sym_BSLASHfm] = ACTIONS(2805),
    [anon_sym_BSLASHx] = ACTIONS(2805),
    [anon_sym_BSLASHxt] = ACTIONS(2805),
    [anon_sym_BSLASHrq] = ACTIONS(2805),
    [anon_sym_BSLASHadd] = ACTIONS(2805),
    [anon_sym_BSLASHbk] = ACTIONS(2805),
    [anon_sym_BSLASHdc] = ACTIONS(2805),
    [anon_sym_BSLASHk] = ACTIONS(2805),
    [anon_sym_BSLASHnd] = ACTIONS(2805),
    [anon_sym_BSLASHord] = ACTIONS(2805),
    [anon_sym_BSLASHpn] = ACTIONS(2805),
    [anon_sym_BSLASHpng] = ACTIONS(2805),
    [anon_sym_BSLASHaddpn] = ACTIONS(2805),
    [anon_sym_BSLASHqt] = ACTIONS(2805),
    [anon_sym_BSLASHsig] = ACTIONS(2805),
    [anon_sym_BSLASHsls] = ACTIONS(2805),
    [anon_sym_BSLASHtl] = ACTIONS(2805),
    [anon_sym_BSLASHwj] = ACTIONS(2805),
    [anon_sym_BSLASHem] = ACTIONS(2805),
    [anon_sym_BSLASHbd] = ACTIONS(2805),
    [anon_sym_BSLASHit] = ACTIONS(2805),
    [anon_sym_BSLASHbdit] = ACTIONS(2805),
    [anon_sym_BSLASHno] = ACTIONS(2805),
    [anon_sym_BSLASHsc] = ACTIONS(2805),
    [anon_sym_BSLASHsup] = ACTIONS(2805),
    [anon_sym_BSLASHndx] = ACTIONS(2805),
    [anon_sym_BSLASHpro] = ACTIONS(2805),
    [anon_sym_BSLASHrb] = ACTIONS(2805),
    [anon_sym_BSLASHw] = ACTIONS(2805),
    [anon_sym_BSLASHwg] = ACTIONS(2805),
    [anon_sym_BSLASHwh] = ACTIONS(2805),
    [anon_sym_BSLASHwa] = ACTIONS(2805),
    [anon_sym_BSLASHfig] = ACTIONS(2805),
    [anon_sym_BSLASHjmp] = ACTIONS(2805),
    [anon_sym_BSLASHpb] = ACTIONS(2805),
    [anon_sym_BSLASH] = ACTIONS(2805),
    [sym_milestoneStartTag] = ACTIONS(2805),
    [sym_milestoneEndTag] = ACTIONS(2805),
    [sym_zSpaceTag] = ACTIONS(2805),
    [anon_sym_BSLASHesbe] = ACTIONS(2805),
    [anon_sym_BSLASHcat] = ACTIONS(2805),
  },
  [668] = {
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHref] = ACTIONS(11),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHv] = ACTIONS(11),
    [anon_sym_BSLASHva] = ACTIONS(11),
    [anon_sym_BSLASHvp] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqs] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqac] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHx] = ACTIONS(11),
    [anon_sym_BSLASHxt] = ACTIONS(11),
    [anon_sym_BSLASHrq] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesbe] = ACTIONS(11),
    [anon_sym_BSLASHcat] = ACTIONS(11),
  },
  [669] = {
    [aux_sym_text_token1] = ACTIONS(6062),
    [anon_sym_BSLASHref] = ACTIONS(6064),
    [anon_sym_BSLASHsts] = ACTIONS(6064),
    [anon_sym_BSLASHrem] = ACTIONS(6064),
    [anon_sym_BSLASHrestore] = ACTIONS(6064),
    [anon_sym_BSLASHlit] = ACTIONS(6064),
    [anon_sym_BSLASHip] = ACTIONS(6064),
    [anon_sym_BSLASHv] = ACTIONS(6064),
    [anon_sym_BSLASHva] = ACTIONS(6064),
    [anon_sym_BSLASHvp] = ACTIONS(6064),
    [anon_sym_BSLASHmte] = ACTIONS(6064),
    [anon_sym_BSLASHms] = ACTIONS(6064),
    [anon_sym_BSLASHs] = ACTIONS(6064),
    [anon_sym_BSLASHr] = ACTIONS(6064),
    [anon_sym_BSLASHsp] = ACTIONS(6064),
    [anon_sym_BSLASHd] = ACTIONS(6064),
    [anon_sym_BSLASHsd] = ACTIONS(6064),
    [anon_sym_BSLASHp] = ACTIONS(6064),
    [anon_sym_BSLASHm] = ACTIONS(6064),
    [anon_sym_BSLASHpo] = ACTIONS(6064),
    [anon_sym_BSLASHpr] = ACTIONS(6064),
    [anon_sym_BSLASHcls] = ACTIONS(6064),
    [anon_sym_BSLASHpmo] = ACTIONS(6064),
    [anon_sym_BSLASHpm] = ACTIONS(6064),
    [anon_sym_BSLASHpmc] = ACTIONS(6064),
    [anon_sym_BSLASHpmr] = ACTIONS(6064),
    [anon_sym_BSLASHpi] = ACTIONS(6064),
    [anon_sym_BSLASHmi] = ACTIONS(6064),
    [anon_sym_BSLASHnb] = ACTIONS(6064),
    [anon_sym_BSLASHpc] = ACTIONS(6064),
    [anon_sym_BSLASHph] = ACTIONS(6064),
    [anon_sym_BSLASHb] = ACTIONS(6064),
    [anon_sym_BSLASHq] = ACTIONS(6064),
    [anon_sym_BSLASHqr] = ACTIONS(6064),
    [anon_sym_BSLASHqc] = ACTIONS(6064),
    [anon_sym_BSLASHqs] = ACTIONS(6064),
    [anon_sym_BSLASHqa] = ACTIONS(6064),
    [anon_sym_BSLASHqac] = ACTIONS(6064),
    [anon_sym_BSLASHqm] = ACTIONS(6064),
    [anon_sym_BSLASHqd] = ACTIONS(6064),
    [anon_sym_BSLASHlh] = ACTIONS(6064),
    [anon_sym_BSLASHli] = ACTIONS(6064),
    [anon_sym_BSLASHlim] = ACTIONS(6064),
    [anon_sym_BSLASHtr] = ACTIONS(6064),
    [anon_sym_BSLASHf] = ACTIONS(6064),
    [anon_sym_BSLASHfe] = ACTIONS(6064),
    [anon_sym_BSLASHef] = ACTIONS(6064),
    [anon_sym_BSLASHfm] = ACTIONS(6064),
    [anon_sym_BSLASHx] = ACTIONS(6064),
    [anon_sym_BSLASHxt] = ACTIONS(6064),
    [anon_sym_BSLASHrq] = ACTIONS(6064),
    [anon_sym_BSLASHadd] = ACTIONS(6064),
    [anon_sym_BSLASHbk] = ACTIONS(6064),
    [anon_sym_BSLASHdc] = ACTIONS(6064),
    [anon_sym_BSLASHk] = ACTIONS(6064),
    [anon_sym_BSLASHnd] = ACTIONS(6064),
    [anon_sym_BSLASHord] = ACTIONS(6064),
    [anon_sym_BSLASHpn] = ACTIONS(6064),
    [anon_sym_BSLASHpng] = ACTIONS(6064),
    [anon_sym_BSLASHaddpn] = ACTIONS(6064),
    [anon_sym_BSLASHqt] = ACTIONS(6064),
    [anon_sym_BSLASHsig] = ACTIONS(6064),
    [anon_sym_BSLASHsls] = ACTIONS(6064),
    [anon_sym_BSLASHtl] = ACTIONS(6064),
    [anon_sym_BSLASHwj] = ACTIONS(6064),
    [anon_sym_BSLASHem] = ACTIONS(6064),
    [anon_sym_BSLASHbd] = ACTIONS(6064),
    [anon_sym_BSLASHit] = ACTIONS(6064),
    [anon_sym_BSLASHbdit] = ACTIONS(6064),
    [anon_sym_BSLASHno] = ACTIONS(6064),
    [anon_sym_BSLASHsc] = ACTIONS(6064),
    [anon_sym_BSLASHsup] = ACTIONS(6064),
    [anon_sym_BSLASHndx] = ACTIONS(6064),
    [anon_sym_BSLASHpro] = ACTIONS(6064),
    [anon_sym_BSLASHrb] = ACTIONS(6064),
    [anon_sym_BSLASHw] = ACTIONS(6064),
    [anon_sym_BSLASHwg] = ACTIONS(6064),
    [anon_sym_BSLASHwh] = ACTIONS(6064),
    [anon_sym_BSLASHwa] = ACTIONS(6064),
    [anon_sym_BSLASHfig] = ACTIONS(6064),
    [anon_sym_BSLASHjmp] = ACTIONS(6064),
    [anon_sym_BSLASHpb] = ACTIONS(6064),
    [anon_sym_BSLASH] = ACTIONS(6064),
    [sym_milestoneStartTag] = ACTIONS(6064),
    [sym_milestoneEndTag] = ACTIONS(6064),
    [sym_zSpaceTag] = ACTIONS(6064),
    [anon_sym_BSLASHesbe] = ACTIONS(6064),
    [anon_sym_BSLASHcat] = ACTIONS(6064),
  },
  [670] = {
    [aux_sym_text_token1] = ACTIONS(73),
    [anon_sym_BSLASHref] = ACTIONS(75),
    [anon_sym_BSLASHsts] = ACTIONS(75),
    [anon_sym_BSLASHrem] = ACTIONS(75),
    [anon_sym_BSLASHrestore] = ACTIONS(75),
    [anon_sym_BSLASHlit] = ACTIONS(75),
    [anon_sym_BSLASHip] = ACTIONS(75),
    [anon_sym_BSLASHv] = ACTIONS(75),
    [anon_sym_BSLASHva] = ACTIONS(75),
    [anon_sym_BSLASHvp] = ACTIONS(75),
    [anon_sym_BSLASHmte] = ACTIONS(75),
    [anon_sym_BSLASHms] = ACTIONS(75),
    [anon_sym_BSLASHs] = ACTIONS(75),
    [anon_sym_BSLASHr] = ACTIONS(75),
    [anon_sym_BSLASHsp] = ACTIONS(75),
    [anon_sym_BSLASHd] = ACTIONS(75),
    [anon_sym_BSLASHsd] = ACTIONS(75),
    [anon_sym_BSLASHp] = ACTIONS(75),
    [anon_sym_BSLASHm] = ACTIONS(75),
    [anon_sym_BSLASHpo] = ACTIONS(75),
    [anon_sym_BSLASHpr] = ACTIONS(75),
    [anon_sym_BSLASHcls] = ACTIONS(75),
    [anon_sym_BSLASHpmo] = ACTIONS(75),
    [anon_sym_BSLASHpm] = ACTIONS(75),
    [anon_sym_BSLASHpmc] = ACTIONS(75),
    [anon_sym_BSLASHpmr] = ACTIONS(75),
    [anon_sym_BSLASHpi] = ACTIONS(75),
    [anon_sym_BSLASHmi] = ACTIONS(75),
    [anon_sym_BSLASHnb] = ACTIONS(75),
    [anon_sym_BSLASHpc] = ACTIONS(75),
    [anon_sym_BSLASHph] = ACTIONS(75),
    [anon_sym_BSLASHb] = ACTIONS(75),
    [anon_sym_BSLASHq] = ACTIONS(75),
    [anon_sym_BSLASHqr] = ACTIONS(75),
    [anon_sym_BSLASHqc] = ACTIONS(75),
    [anon_sym_BSLASHqs] = ACTIONS(75),
    [anon_sym_BSLASHqa] = ACTIONS(75),
    [anon_sym_BSLASHqac] = ACTIONS(75),
    [anon_sym_BSLASHqm] = ACTIONS(75),
    [anon_sym_BSLASHqd] = ACTIONS(75),
    [anon_sym_BSLASHlh] = ACTIONS(75),
    [anon_sym_BSLASHli] = ACTIONS(75),
    [anon_sym_BSLASHlim] = ACTIONS(75),
    [anon_sym_BSLASHtr] = ACTIONS(75),
    [anon_sym_BSLASHf] = ACTIONS(75),
    [anon_sym_BSLASHfe] = ACTIONS(75),
    [anon_sym_BSLASHef] = ACTIONS(75),
    [anon_sym_BSLASHfm] = ACTIONS(75),
    [anon_sym_BSLASHx] = ACTIONS(75),
    [anon_sym_BSLASHxt] = ACTIONS(75),
    [anon_sym_BSLASHrq] = ACTIONS(75),
    [anon_sym_BSLASHadd] = ACTIONS(75),
    [anon_sym_BSLASHbk] = ACTIONS(75),
    [anon_sym_BSLASHdc] = ACTIONS(75),
    [anon_sym_BSLASHk] = ACTIONS(75),
    [anon_sym_BSLASHnd] = ACTIONS(75),
    [anon_sym_BSLASHord] = ACTIONS(75),
    [anon_sym_BSLASHpn] = ACTIONS(75),
    [anon_sym_BSLASHpng] = ACTIONS(75),
    [anon_sym_BSLASHaddpn] = ACTIONS(75),
    [anon_sym_BSLASHqt] = ACTIONS(75),
    [anon_sym_BSLASHsig] = ACTIONS(75),
    [anon_sym_BSLASHsls] = ACTIONS(75),
    [anon_sym_BSLASHtl] = ACTIONS(75),
    [anon_sym_BSLASHwj] = ACTIONS(75),
    [anon_sym_BSLASHem] = ACTIONS(75),
    [anon_sym_BSLASHbd] = ACTIONS(75),
    [anon_sym_BSLASHit] = ACTIONS(75),
    [anon_sym_BSLASHbdit] = ACTIONS(75),
    [anon_sym_BSLASHno] = ACTIONS(75),
    [anon_sym_BSLASHsc] = ACTIONS(75),
    [anon_sym_BSLASHsup] = ACTIONS(75),
    [anon_sym_BSLASHndx] = ACTIONS(75),
    [anon_sym_BSLASHpro] = ACTIONS(75),
    [anon_sym_BSLASHrb] = ACTIONS(75),
    [anon_sym_BSLASHw] = ACTIONS(75),
    [anon_sym_BSLASHwg] = ACTIONS(75),
    [anon_sym_BSLASHwh] = ACTIONS(75),
    [anon_sym_BSLASHwa] = ACTIONS(75),
    [anon_sym_BSLASHfig] = ACTIONS(75),
    [anon_sym_BSLASHjmp] = ACTIONS(75),
    [anon_sym_BSLASHpb] = ACTIONS(75),
    [anon_sym_BSLASH] = ACTIONS(75),
    [sym_milestoneStartTag] = ACTIONS(75),
    [sym_milestoneEndTag] = ACTIONS(75),
    [sym_zSpaceTag] = ACTIONS(75),
    [anon_sym_BSLASHesbe] = ACTIONS(75),
    [anon_sym_BSLASHcat] = ACTIONS(75),
  },
  [671] = {
    [aux_sym_text_token1] = ACTIONS(2775),
    [anon_sym_BSLASHref] = ACTIONS(2777),
    [anon_sym_BSLASHsts] = ACTIONS(2777),
    [anon_sym_BSLASHrem] = ACTIONS(2777),
    [anon_sym_BSLASHrestore] = ACTIONS(2777),
    [anon_sym_BSLASHlit] = ACTIONS(2777),
    [anon_sym_BSLASHip] = ACTIONS(2777),
    [anon_sym_BSLASHv] = ACTIONS(2777),
    [anon_sym_BSLASHva] = ACTIONS(2777),
    [anon_sym_BSLASHvp] = ACTIONS(2777),
    [anon_sym_BSLASHmte] = ACTIONS(2777),
    [anon_sym_BSLASHms] = ACTIONS(2777),
    [anon_sym_BSLASHs] = ACTIONS(2777),
    [anon_sym_BSLASHr] = ACTIONS(2777),
    [anon_sym_BSLASHsp] = ACTIONS(2777),
    [anon_sym_BSLASHd] = ACTIONS(2777),
    [anon_sym_BSLASHsd] = ACTIONS(2777),
    [anon_sym_BSLASHp] = ACTIONS(2777),
    [anon_sym_BSLASHm] = ACTIONS(2777),
    [anon_sym_BSLASHpo] = ACTIONS(2777),
    [anon_sym_BSLASHpr] = ACTIONS(2777),
    [anon_sym_BSLASHcls] = ACTIONS(2777),
    [anon_sym_BSLASHpmo] = ACTIONS(2777),
    [anon_sym_BSLASHpm] = ACTIONS(2777),
    [anon_sym_BSLASHpmc] = ACTIONS(2777),
    [anon_sym_BSLASHpmr] = ACTIONS(2777),
    [anon_sym_BSLASHpi] = ACTIONS(2777),
    [anon_sym_BSLASHmi] = ACTIONS(2777),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2777),
    [anon_sym_BSLASHph] = ACTIONS(2777),
    [anon_sym_BSLASHb] = ACTIONS(2777),
    [anon_sym_BSLASHq] = ACTIONS(2777),
    [anon_sym_BSLASHqr] = ACTIONS(2777),
    [anon_sym_BSLASHqc] = ACTIONS(2777),
    [anon_sym_BSLASHqs] = ACTIONS(2777),
    [anon_sym_BSLASHqa] = ACTIONS(2777),
    [anon_sym_BSLASHqac] = ACTIONS(2777),
    [anon_sym_BSLASHqm] = ACTIONS(2777),
    [anon_sym_BSLASHqd] = ACTIONS(2777),
    [anon_sym_BSLASHlh] = ACTIONS(2777),
    [anon_sym_BSLASHli] = ACTIONS(2777),
    [anon_sym_BSLASHlim] = ACTIONS(2777),
    [anon_sym_BSLASHtr] = ACTIONS(2777),
    [anon_sym_BSLASHf] = ACTIONS(2777),
    [anon_sym_BSLASHfe] = ACTIONS(2777),
    [anon_sym_BSLASHef] = ACTIONS(2777),
    [anon_sym_BSLASHfm] = ACTIONS(2777),
    [anon_sym_BSLASHx] = ACTIONS(2777),
    [anon_sym_BSLASHxt] = ACTIONS(2777),
    [anon_sym_BSLASHrq] = ACTIONS(2777),
    [anon_sym_BSLASHadd] = ACTIONS(2777),
    [anon_sym_BSLASHbk] = ACTIONS(2777),
    [anon_sym_BSLASHdc] = ACTIONS(2777),
    [anon_sym_BSLASHk] = ACTIONS(2777),
    [anon_sym_BSLASHnd] = ACTIONS(2777),
    [anon_sym_BSLASHord] = ACTIONS(2777),
    [anon_sym_BSLASHpn] = ACTIONS(2777),
    [anon_sym_BSLASHpng] = ACTIONS(2777),
    [anon_sym_BSLASHaddpn] = ACTIONS(2777),
    [anon_sym_BSLASHqt] = ACTIONS(2777),
    [anon_sym_BSLASHsig] = ACTIONS(2777),
    [anon_sym_BSLASHsls] = ACTIONS(2777),
    [anon_sym_BSLASHtl] = ACTIONS(2777),
    [anon_sym_BSLASHwj] = ACTIONS(2777),
    [anon_sym_BSLASHem] = ACTIONS(2777),
    [anon_sym_BSLASHbd] = ACTIONS(2777),
    [anon_sym_BSLASHit] = ACTIONS(2777),
    [anon_sym_BSLASHbdit] = ACTIONS(2777),
    [anon_sym_BSLASHno] = ACTIONS(2777),
    [anon_sym_BSLASHsc] = ACTIONS(2777),
    [anon_sym_BSLASHsup] = ACTIONS(2777),
    [anon_sym_BSLASHndx] = ACTIONS(2777),
    [anon_sym_BSLASHpro] = ACTIONS(2777),
    [anon_sym_BSLASHrb] = ACTIONS(2777),
    [anon_sym_BSLASHw] = ACTIONS(2777),
    [anon_sym_BSLASHwg] = ACTIONS(2777),
    [anon_sym_BSLASHwh] = ACTIONS(2777),
    [anon_sym_BSLASHwa] = ACTIONS(2777),
    [anon_sym_BSLASHfig] = ACTIONS(2777),
    [anon_sym_BSLASHjmp] = ACTIONS(2777),
    [anon_sym_BSLASHpb] = ACTIONS(2777),
    [anon_sym_BSLASH] = ACTIONS(2777),
    [sym_milestoneStartTag] = ACTIONS(2777),
    [sym_milestoneEndTag] = ACTIONS(2777),
    [sym_zSpaceTag] = ACTIONS(2777),
    [anon_sym_BSLASHesbe] = ACTIONS(2777),
    [anon_sym_BSLASHcat] = ACTIONS(2777),
  },
  [672] = {
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHref] = ACTIONS(2749),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHv] = ACTIONS(2749),
    [anon_sym_BSLASHva] = ACTIONS(2749),
    [anon_sym_BSLASHvp] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqs] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqac] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHx] = ACTIONS(2749),
    [anon_sym_BSLASHxt] = ACTIONS(2749),
    [anon_sym_BSLASHrq] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesbe] = ACTIONS(2749),
    [anon_sym_BSLASHcat] = ACTIONS(2749),
  },
  [673] = {
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHref] = ACTIONS(2745),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHv] = ACTIONS(2745),
    [anon_sym_BSLASHva] = ACTIONS(2745),
    [anon_sym_BSLASHvp] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqs] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqac] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHx] = ACTIONS(2745),
    [anon_sym_BSLASHxt] = ACTIONS(2745),
    [anon_sym_BSLASHrq] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesbe] = ACTIONS(2745),
    [anon_sym_BSLASHcat] = ACTIONS(2745),
  },
  [674] = {
    [aux_sym_text_token1] = ACTIONS(37),
    [anon_sym_BSLASHref] = ACTIONS(39),
    [anon_sym_BSLASHsts] = ACTIONS(39),
    [anon_sym_BSLASHrem] = ACTIONS(39),
    [anon_sym_BSLASHrestore] = ACTIONS(39),
    [anon_sym_BSLASHlit] = ACTIONS(39),
    [anon_sym_BSLASHip] = ACTIONS(39),
    [anon_sym_BSLASHv] = ACTIONS(39),
    [anon_sym_BSLASHva] = ACTIONS(39),
    [anon_sym_BSLASHvp] = ACTIONS(39),
    [anon_sym_BSLASHmte] = ACTIONS(39),
    [anon_sym_BSLASHms] = ACTIONS(39),
    [anon_sym_BSLASHs] = ACTIONS(39),
    [anon_sym_BSLASHr] = ACTIONS(39),
    [anon_sym_BSLASHsp] = ACTIONS(39),
    [anon_sym_BSLASHd] = ACTIONS(39),
    [anon_sym_BSLASHsd] = ACTIONS(39),
    [anon_sym_BSLASHp] = ACTIONS(39),
    [anon_sym_BSLASHm] = ACTIONS(39),
    [anon_sym_BSLASHpo] = ACTIONS(39),
    [anon_sym_BSLASHpr] = ACTIONS(39),
    [anon_sym_BSLASHcls] = ACTIONS(39),
    [anon_sym_BSLASHpmo] = ACTIONS(39),
    [anon_sym_BSLASHpm] = ACTIONS(39),
    [anon_sym_BSLASHpmc] = ACTIONS(39),
    [anon_sym_BSLASHpmr] = ACTIONS(39),
    [anon_sym_BSLASHpi] = ACTIONS(39),
    [anon_sym_BSLASHmi] = ACTIONS(39),
    [anon_sym_BSLASHnb] = ACTIONS(39),
    [anon_sym_BSLASHpc] = ACTIONS(39),
    [anon_sym_BSLASHph] = ACTIONS(39),
    [anon_sym_BSLASHb] = ACTIONS(39),
    [anon_sym_BSLASHq] = ACTIONS(39),
    [anon_sym_BSLASHqr] = ACTIONS(39),
    [anon_sym_BSLASHqc] = ACTIONS(39),
    [anon_sym_BSLASHqs] = ACTIONS(39),
    [anon_sym_BSLASHqa] = ACTIONS(39),
    [anon_sym_BSLASHqac] = ACTIONS(39),
    [anon_sym_BSLASHqm] = ACTIONS(39),
    [anon_sym_BSLASHqd] = ACTIONS(39),
    [anon_sym_BSLASHlh] = ACTIONS(39),
    [anon_sym_BSLASHli] = ACTIONS(39),
    [anon_sym_BSLASHlim] = ACTIONS(39),
    [anon_sym_BSLASHtr] = ACTIONS(39),
    [anon_sym_BSLASHf] = ACTIONS(39),
    [anon_sym_BSLASHfe] = ACTIONS(39),
    [anon_sym_BSLASHef] = ACTIONS(39),
    [anon_sym_BSLASHfm] = ACTIONS(39),
    [anon_sym_BSLASHx] = ACTIONS(39),
    [anon_sym_BSLASHxt] = ACTIONS(39),
    [anon_sym_BSLASHrq] = ACTIONS(39),
    [anon_sym_BSLASHadd] = ACTIONS(39),
    [anon_sym_BSLASHbk] = ACTIONS(39),
    [anon_sym_BSLASHdc] = ACTIONS(39),
    [anon_sym_BSLASHk] = ACTIONS(39),
    [anon_sym_BSLASHnd] = ACTIONS(39),
    [anon_sym_BSLASHord] = ACTIONS(39),
    [anon_sym_BSLASHpn] = ACTIONS(39),
    [anon_sym_BSLASHpng] = ACTIONS(39),
    [anon_sym_BSLASHaddpn] = ACTIONS(39),
    [anon_sym_BSLASHqt] = ACTIONS(39),
    [anon_sym_BSLASHsig] = ACTIONS(39),
    [anon_sym_BSLASHsls] = ACTIONS(39),
    [anon_sym_BSLASHtl] = ACTIONS(39),
    [anon_sym_BSLASHwj] = ACTIONS(39),
    [anon_sym_BSLASHem] = ACTIONS(39),
    [anon_sym_BSLASHbd] = ACTIONS(39),
    [anon_sym_BSLASHit] = ACTIONS(39),
    [anon_sym_BSLASHbdit] = ACTIONS(39),
    [anon_sym_BSLASHno] = ACTIONS(39),
    [anon_sym_BSLASHsc] = ACTIONS(39),
    [anon_sym_BSLASHsup] = ACTIONS(39),
    [anon_sym_BSLASHndx] = ACTIONS(39),
    [anon_sym_BSLASHpro] = ACTIONS(39),
    [anon_sym_BSLASHrb] = ACTIONS(39),
    [anon_sym_BSLASHw] = ACTIONS(39),
    [anon_sym_BSLASHwg] = ACTIONS(39),
    [anon_sym_BSLASHwh] = ACTIONS(39),
    [anon_sym_BSLASHwa] = ACTIONS(39),
    [anon_sym_BSLASHfig] = ACTIONS(39),
    [anon_sym_BSLASHjmp] = ACTIONS(39),
    [anon_sym_BSLASHpb] = ACTIONS(39),
    [anon_sym_BSLASH] = ACTIONS(39),
    [sym_milestoneStartTag] = ACTIONS(39),
    [sym_milestoneEndTag] = ACTIONS(39),
    [sym_zSpaceTag] = ACTIONS(39),
    [anon_sym_BSLASHesbe] = ACTIONS(39),
    [anon_sym_BSLASHcat] = ACTIONS(39),
  },
  [675] = {
    [aux_sym_text_token1] = ACTIONS(33),
    [anon_sym_BSLASHref] = ACTIONS(35),
    [anon_sym_BSLASHsts] = ACTIONS(35),
    [anon_sym_BSLASHrem] = ACTIONS(35),
    [anon_sym_BSLASHrestore] = ACTIONS(35),
    [anon_sym_BSLASHlit] = ACTIONS(35),
    [anon_sym_BSLASHip] = ACTIONS(35),
    [anon_sym_BSLASHv] = ACTIONS(35),
    [anon_sym_BSLASHva] = ACTIONS(35),
    [anon_sym_BSLASHvp] = ACTIONS(35),
    [anon_sym_BSLASHmte] = ACTIONS(35),
    [anon_sym_BSLASHms] = ACTIONS(35),
    [anon_sym_BSLASHs] = ACTIONS(35),
    [anon_sym_BSLASHr] = ACTIONS(35),
    [anon_sym_BSLASHsp] = ACTIONS(35),
    [anon_sym_BSLASHd] = ACTIONS(35),
    [anon_sym_BSLASHsd] = ACTIONS(35),
    [anon_sym_BSLASHp] = ACTIONS(35),
    [anon_sym_BSLASHm] = ACTIONS(35),
    [anon_sym_BSLASHpo] = ACTIONS(35),
    [anon_sym_BSLASHpr] = ACTIONS(35),
    [anon_sym_BSLASHcls] = ACTIONS(35),
    [anon_sym_BSLASHpmo] = ACTIONS(35),
    [anon_sym_BSLASHpm] = ACTIONS(35),
    [anon_sym_BSLASHpmc] = ACTIONS(35),
    [anon_sym_BSLASHpmr] = ACTIONS(35),
    [anon_sym_BSLASHpi] = ACTIONS(35),
    [anon_sym_BSLASHmi] = ACTIONS(35),
    [anon_sym_BSLASHnb] = ACTIONS(35),
    [anon_sym_BSLASHpc] = ACTIONS(35),
    [anon_sym_BSLASHph] = ACTIONS(35),
    [anon_sym_BSLASHb] = ACTIONS(35),
    [anon_sym_BSLASHq] = ACTIONS(35),
    [anon_sym_BSLASHqr] = ACTIONS(35),
    [anon_sym_BSLASHqc] = ACTIONS(35),
    [anon_sym_BSLASHqs] = ACTIONS(35),
    [anon_sym_BSLASHqa] = ACTIONS(35),
    [anon_sym_BSLASHqac] = ACTIONS(35),
    [anon_sym_BSLASHqm] = ACTIONS(35),
    [anon_sym_BSLASHqd] = ACTIONS(35),
    [anon_sym_BSLASHlh] = ACTIONS(35),
    [anon_sym_BSLASHli] = ACTIONS(35),
    [anon_sym_BSLASHlim] = ACTIONS(35),
    [anon_sym_BSLASHtr] = ACTIONS(35),
    [anon_sym_BSLASHf] = ACTIONS(35),
    [anon_sym_BSLASHfe] = ACTIONS(35),
    [anon_sym_BSLASHef] = ACTIONS(35),
    [anon_sym_BSLASHfm] = ACTIONS(35),
    [anon_sym_BSLASHx] = ACTIONS(35),
    [anon_sym_BSLASHxt] = ACTIONS(35),
    [anon_sym_BSLASHrq] = ACTIONS(35),
    [anon_sym_BSLASHadd] = ACTIONS(35),
    [anon_sym_BSLASHbk] = ACTIONS(35),
    [anon_sym_BSLASHdc] = ACTIONS(35),
    [anon_sym_BSLASHk] = ACTIONS(35),
    [anon_sym_BSLASHnd] = ACTIONS(35),
    [anon_sym_BSLASHord] = ACTIONS(35),
    [anon_sym_BSLASHpn] = ACTIONS(35),
    [anon_sym_BSLASHpng] = ACTIONS(35),
    [anon_sym_BSLASHaddpn] = ACTIONS(35),
    [anon_sym_BSLASHqt] = ACTIONS(35),
    [anon_sym_BSLASHsig] = ACTIONS(35),
    [anon_sym_BSLASHsls] = ACTIONS(35),
    [anon_sym_BSLASHtl] = ACTIONS(35),
    [anon_sym_BSLASHwj] = ACTIONS(35),
    [anon_sym_BSLASHem] = ACTIONS(35),
    [anon_sym_BSLASHbd] = ACTIONS(35),
    [anon_sym_BSLASHit] = ACTIONS(35),
    [anon_sym_BSLASHbdit] = ACTIONS(35),
    [anon_sym_BSLASHno] = ACTIONS(35),
    [anon_sym_BSLASHsc] = ACTIONS(35),
    [anon_sym_BSLASHsup] = ACTIONS(35),
    [anon_sym_BSLASHndx] = ACTIONS(35),
    [anon_sym_BSLASHpro] = ACTIONS(35),
    [anon_sym_BSLASHrb] = ACTIONS(35),
    [anon_sym_BSLASHw] = ACTIONS(35),
    [anon_sym_BSLASHwg] = ACTIONS(35),
    [anon_sym_BSLASHwh] = ACTIONS(35),
    [anon_sym_BSLASHwa] = ACTIONS(35),
    [anon_sym_BSLASHfig] = ACTIONS(35),
    [anon_sym_BSLASHjmp] = ACTIONS(35),
    [anon_sym_BSLASHpb] = ACTIONS(35),
    [anon_sym_BSLASH] = ACTIONS(35),
    [sym_milestoneStartTag] = ACTIONS(35),
    [sym_milestoneEndTag] = ACTIONS(35),
    [sym_zSpaceTag] = ACTIONS(35),
    [anon_sym_BSLASHesbe] = ACTIONS(35),
    [anon_sym_BSLASHcat] = ACTIONS(35),
  },
  [676] = {
    [aux_sym_text_token1] = ACTIONS(2795),
    [anon_sym_BSLASHref] = ACTIONS(2797),
    [anon_sym_BSLASHsts] = ACTIONS(2797),
    [anon_sym_BSLASHrem] = ACTIONS(2797),
    [anon_sym_BSLASHrestore] = ACTIONS(2797),
    [anon_sym_BSLASHlit] = ACTIONS(2797),
    [anon_sym_BSLASHip] = ACTIONS(2797),
    [anon_sym_BSLASHv] = ACTIONS(2797),
    [anon_sym_BSLASHva] = ACTIONS(2797),
    [anon_sym_BSLASHvp] = ACTIONS(2797),
    [anon_sym_BSLASHmte] = ACTIONS(2797),
    [anon_sym_BSLASHms] = ACTIONS(2797),
    [anon_sym_BSLASHs] = ACTIONS(2797),
    [anon_sym_BSLASHr] = ACTIONS(2797),
    [anon_sym_BSLASHsp] = ACTIONS(2797),
    [anon_sym_BSLASHd] = ACTIONS(2797),
    [anon_sym_BSLASHsd] = ACTIONS(2797),
    [anon_sym_BSLASHp] = ACTIONS(2797),
    [anon_sym_BSLASHm] = ACTIONS(2797),
    [anon_sym_BSLASHpo] = ACTIONS(2797),
    [anon_sym_BSLASHpr] = ACTIONS(2797),
    [anon_sym_BSLASHcls] = ACTIONS(2797),
    [anon_sym_BSLASHpmo] = ACTIONS(2797),
    [anon_sym_BSLASHpm] = ACTIONS(2797),
    [anon_sym_BSLASHpmc] = ACTIONS(2797),
    [anon_sym_BSLASHpmr] = ACTIONS(2797),
    [anon_sym_BSLASHpi] = ACTIONS(2797),
    [anon_sym_BSLASHmi] = ACTIONS(2797),
    [anon_sym_BSLASHnb] = ACTIONS(2797),
    [anon_sym_BSLASHpc] = ACTIONS(2797),
    [anon_sym_BSLASHph] = ACTIONS(2797),
    [anon_sym_BSLASHb] = ACTIONS(2797),
    [anon_sym_BSLASHq] = ACTIONS(2797),
    [anon_sym_BSLASHqr] = ACTIONS(2797),
    [anon_sym_BSLASHqc] = ACTIONS(2797),
    [anon_sym_BSLASHqs] = ACTIONS(2797),
    [anon_sym_BSLASHqa] = ACTIONS(2797),
    [anon_sym_BSLASHqac] = ACTIONS(2797),
    [anon_sym_BSLASHqm] = ACTIONS(2797),
    [anon_sym_BSLASHqd] = ACTIONS(2797),
    [anon_sym_BSLASHlh] = ACTIONS(2797),
    [anon_sym_BSLASHli] = ACTIONS(2797),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2797),
    [anon_sym_BSLASHf] = ACTIONS(2797),
    [anon_sym_BSLASHfe] = ACTIONS(2797),
    [anon_sym_BSLASHef] = ACTIONS(2797),
    [anon_sym_BSLASHfm] = ACTIONS(2797),
    [anon_sym_BSLASHx] = ACTIONS(2797),
    [anon_sym_BSLASHxt] = ACTIONS(2797),
    [anon_sym_BSLASHrq] = ACTIONS(2797),
    [anon_sym_BSLASHadd] = ACTIONS(2797),
    [anon_sym_BSLASHbk] = ACTIONS(2797),
    [anon_sym_BSLASHdc] = ACTIONS(2797),
    [anon_sym_BSLASHk] = ACTIONS(2797),
    [anon_sym_BSLASHnd] = ACTIONS(2797),
    [anon_sym_BSLASHord] = ACTIONS(2797),
    [anon_sym_BSLASHpn] = ACTIONS(2797),
    [anon_sym_BSLASHpng] = ACTIONS(2797),
    [anon_sym_BSLASHaddpn] = ACTIONS(2797),
    [anon_sym_BSLASHqt] = ACTIONS(2797),
    [anon_sym_BSLASHsig] = ACTIONS(2797),
    [anon_sym_BSLASHsls] = ACTIONS(2797),
    [anon_sym_BSLASHtl] = ACTIONS(2797),
    [anon_sym_BSLASHwj] = ACTIONS(2797),
    [anon_sym_BSLASHem] = ACTIONS(2797),
    [anon_sym_BSLASHbd] = ACTIONS(2797),
    [anon_sym_BSLASHit] = ACTIONS(2797),
    [anon_sym_BSLASHbdit] = ACTIONS(2797),
    [anon_sym_BSLASHno] = ACTIONS(2797),
    [anon_sym_BSLASHsc] = ACTIONS(2797),
    [anon_sym_BSLASHsup] = ACTIONS(2797),
    [anon_sym_BSLASHndx] = ACTIONS(2797),
    [anon_sym_BSLASHpro] = ACTIONS(2797),
    [anon_sym_BSLASHrb] = ACTIONS(2797),
    [anon_sym_BSLASHw] = ACTIONS(2797),
    [anon_sym_BSLASHwg] = ACTIONS(2797),
    [anon_sym_BSLASHwh] = ACTIONS(2797),
    [anon_sym_BSLASHwa] = ACTIONS(2797),
    [anon_sym_BSLASHfig] = ACTIONS(2797),
    [anon_sym_BSLASHjmp] = ACTIONS(2797),
    [anon_sym_BSLASHpb] = ACTIONS(2797),
    [anon_sym_BSLASH] = ACTIONS(2797),
    [sym_milestoneStartTag] = ACTIONS(2797),
    [sym_milestoneEndTag] = ACTIONS(2797),
    [sym_zSpaceTag] = ACTIONS(2797),
    [anon_sym_BSLASHesbe] = ACTIONS(2797),
    [anon_sym_BSLASHcat] = ACTIONS(2797),
  },
  [677] = {
    [aux_sym_text_token1] = ACTIONS(5978),
    [anon_sym_BSLASHref] = ACTIONS(5980),
    [anon_sym_BSLASHsts] = ACTIONS(5980),
    [anon_sym_BSLASHrem] = ACTIONS(5980),
    [anon_sym_BSLASHrestore] = ACTIONS(5980),
    [anon_sym_BSLASHlit] = ACTIONS(5980),
    [anon_sym_BSLASHip] = ACTIONS(5980),
    [anon_sym_BSLASHv] = ACTIONS(5980),
    [anon_sym_BSLASHva] = ACTIONS(5980),
    [anon_sym_BSLASHvp] = ACTIONS(5980),
    [anon_sym_BSLASHmte] = ACTIONS(5980),
    [anon_sym_BSLASHms] = ACTIONS(5980),
    [anon_sym_BSLASHs] = ACTIONS(5980),
    [anon_sym_BSLASHr] = ACTIONS(5980),
    [anon_sym_BSLASHsp] = ACTIONS(5980),
    [anon_sym_BSLASHd] = ACTIONS(5980),
    [anon_sym_BSLASHsd] = ACTIONS(5980),
    [anon_sym_BSLASHp] = ACTIONS(5980),
    [anon_sym_BSLASHm] = ACTIONS(5980),
    [anon_sym_BSLASHpo] = ACTIONS(5980),
    [anon_sym_BSLASHpr] = ACTIONS(5980),
    [anon_sym_BSLASHcls] = ACTIONS(5980),
    [anon_sym_BSLASHpmo] = ACTIONS(5980),
    [anon_sym_BSLASHpm] = ACTIONS(5980),
    [anon_sym_BSLASHpmc] = ACTIONS(5980),
    [anon_sym_BSLASHpmr] = ACTIONS(5980),
    [anon_sym_BSLASHpi] = ACTIONS(5980),
    [anon_sym_BSLASHmi] = ACTIONS(5980),
    [anon_sym_BSLASHnb] = ACTIONS(5980),
    [anon_sym_BSLASHpc] = ACTIONS(5980),
    [anon_sym_BSLASHph] = ACTIONS(5980),
    [anon_sym_BSLASHb] = ACTIONS(5980),
    [anon_sym_BSLASHq] = ACTIONS(5980),
    [anon_sym_BSLASHqr] = ACTIONS(5980),
    [anon_sym_BSLASHqc] = ACTIONS(5980),
    [anon_sym_BSLASHqs] = ACTIONS(5980),
    [anon_sym_BSLASHqa] = ACTIONS(5980),
    [anon_sym_BSLASHqac] = ACTIONS(5980),
    [anon_sym_BSLASHqm] = ACTIONS(5980),
    [anon_sym_BSLASHqd] = ACTIONS(5980),
    [anon_sym_BSLASHlh] = ACTIONS(5980),
    [anon_sym_BSLASHli] = ACTIONS(5980),
    [anon_sym_BSLASHlim] = ACTIONS(5980),
    [anon_sym_BSLASHtr] = ACTIONS(5980),
    [anon_sym_BSLASHf] = ACTIONS(5980),
    [anon_sym_BSLASHfe] = ACTIONS(5980),
    [anon_sym_BSLASHef] = ACTIONS(5980),
    [anon_sym_BSLASHfm] = ACTIONS(5980),
    [anon_sym_BSLASHx] = ACTIONS(5980),
    [anon_sym_BSLASHxt] = ACTIONS(5980),
    [anon_sym_BSLASHrq] = ACTIONS(5980),
    [anon_sym_BSLASHadd] = ACTIONS(5980),
    [anon_sym_BSLASHbk] = ACTIONS(5980),
    [anon_sym_BSLASHdc] = ACTIONS(5980),
    [anon_sym_BSLASHk] = ACTIONS(5980),
    [anon_sym_BSLASHnd] = ACTIONS(5980),
    [anon_sym_BSLASHord] = ACTIONS(5980),
    [anon_sym_BSLASHpn] = ACTIONS(5980),
    [anon_sym_BSLASHpng] = ACTIONS(5980),
    [anon_sym_BSLASHaddpn] = ACTIONS(5980),
    [anon_sym_BSLASHqt] = ACTIONS(5980),
    [anon_sym_BSLASHsig] = ACTIONS(5980),
    [anon_sym_BSLASHsls] = ACTIONS(5980),
    [anon_sym_BSLASHtl] = ACTIONS(5980),
    [anon_sym_BSLASHwj] = ACTIONS(5980),
    [anon_sym_BSLASHem] = ACTIONS(5980),
    [anon_sym_BSLASHbd] = ACTIONS(5980),
    [anon_sym_BSLASHit] = ACTIONS(5980),
    [anon_sym_BSLASHbdit] = ACTIONS(5980),
    [anon_sym_BSLASHno] = ACTIONS(5980),
    [anon_sym_BSLASHsc] = ACTIONS(5980),
    [anon_sym_BSLASHsup] = ACTIONS(5980),
    [anon_sym_BSLASHndx] = ACTIONS(5980),
    [anon_sym_BSLASHpro] = ACTIONS(5980),
    [anon_sym_BSLASHrb] = ACTIONS(5980),
    [anon_sym_BSLASHw] = ACTIONS(5980),
    [anon_sym_BSLASHwg] = ACTIONS(5980),
    [anon_sym_BSLASHwh] = ACTIONS(5980),
    [anon_sym_BSLASHwa] = ACTIONS(5980),
    [anon_sym_BSLASHfig] = ACTIONS(5980),
    [anon_sym_BSLASHjmp] = ACTIONS(5980),
    [anon_sym_BSLASHpb] = ACTIONS(5980),
    [anon_sym_BSLASH] = ACTIONS(5980),
    [sym_milestoneStartTag] = ACTIONS(5980),
    [sym_milestoneEndTag] = ACTIONS(5980),
    [sym_zSpaceTag] = ACTIONS(5980),
    [anon_sym_BSLASHesbe] = ACTIONS(5980),
    [anon_sym_BSLASHcat] = ACTIONS(5980),
  },
  [678] = {
    [aux_sym_text_token1] = ACTIONS(2783),
    [anon_sym_BSLASHref] = ACTIONS(2785),
    [anon_sym_BSLASHsts] = ACTIONS(2785),
    [anon_sym_BSLASHrem] = ACTIONS(2785),
    [anon_sym_BSLASHrestore] = ACTIONS(2785),
    [anon_sym_BSLASHlit] = ACTIONS(2785),
    [anon_sym_BSLASHip] = ACTIONS(2785),
    [anon_sym_BSLASHv] = ACTIONS(2785),
    [anon_sym_BSLASHva] = ACTIONS(2785),
    [anon_sym_BSLASHvp] = ACTIONS(2785),
    [anon_sym_BSLASHmte] = ACTIONS(2785),
    [anon_sym_BSLASHms] = ACTIONS(2785),
    [anon_sym_BSLASHs] = ACTIONS(2785),
    [anon_sym_BSLASHr] = ACTIONS(2785),
    [anon_sym_BSLASHsp] = ACTIONS(2785),
    [anon_sym_BSLASHd] = ACTIONS(2785),
    [anon_sym_BSLASHsd] = ACTIONS(2785),
    [anon_sym_BSLASHp] = ACTIONS(2785),
    [anon_sym_BSLASHm] = ACTIONS(2785),
    [anon_sym_BSLASHpo] = ACTIONS(2785),
    [anon_sym_BSLASHpr] = ACTIONS(2785),
    [anon_sym_BSLASHcls] = ACTIONS(2785),
    [anon_sym_BSLASHpmo] = ACTIONS(2785),
    [anon_sym_BSLASHpm] = ACTIONS(2785),
    [anon_sym_BSLASHpmc] = ACTIONS(2785),
    [anon_sym_BSLASHpmr] = ACTIONS(2785),
    [anon_sym_BSLASHpi] = ACTIONS(2785),
    [anon_sym_BSLASHmi] = ACTIONS(2785),
    [anon_sym_BSLASHnb] = ACTIONS(2785),
    [anon_sym_BSLASHpc] = ACTIONS(2785),
    [anon_sym_BSLASHph] = ACTIONS(2785),
    [anon_sym_BSLASHb] = ACTIONS(2785),
    [anon_sym_BSLASHq] = ACTIONS(2785),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2785),
    [anon_sym_BSLASHqs] = ACTIONS(2785),
    [anon_sym_BSLASHqa] = ACTIONS(2785),
    [anon_sym_BSLASHqac] = ACTIONS(2785),
    [anon_sym_BSLASHqm] = ACTIONS(2785),
    [anon_sym_BSLASHqd] = ACTIONS(2785),
    [anon_sym_BSLASHlh] = ACTIONS(2785),
    [anon_sym_BSLASHli] = ACTIONS(2785),
    [anon_sym_BSLASHlim] = ACTIONS(2785),
    [anon_sym_BSLASHtr] = ACTIONS(2785),
    [anon_sym_BSLASHf] = ACTIONS(2785),
    [anon_sym_BSLASHfe] = ACTIONS(2785),
    [anon_sym_BSLASHef] = ACTIONS(2785),
    [anon_sym_BSLASHfm] = ACTIONS(2785),
    [anon_sym_BSLASHx] = ACTIONS(2785),
    [anon_sym_BSLASHxt] = ACTIONS(2785),
    [anon_sym_BSLASHrq] = ACTIONS(2785),
    [anon_sym_BSLASHadd] = ACTIONS(2785),
    [anon_sym_BSLASHbk] = ACTIONS(2785),
    [anon_sym_BSLASHdc] = ACTIONS(2785),
    [anon_sym_BSLASHk] = ACTIONS(2785),
    [anon_sym_BSLASHnd] = ACTIONS(2785),
    [anon_sym_BSLASHord] = ACTIONS(2785),
    [anon_sym_BSLASHpn] = ACTIONS(2785),
    [anon_sym_BSLASHpng] = ACTIONS(2785),
    [anon_sym_BSLASHaddpn] = ACTIONS(2785),
    [anon_sym_BSLASHqt] = ACTIONS(2785),
    [anon_sym_BSLASHsig] = ACTIONS(2785),
    [anon_sym_BSLASHsls] = ACTIONS(2785),
    [anon_sym_BSLASHtl] = ACTIONS(2785),
    [anon_sym_BSLASHwj] = ACTIONS(2785),
    [anon_sym_BSLASHem] = ACTIONS(2785),
    [anon_sym_BSLASHbd] = ACTIONS(2785),
    [anon_sym_BSLASHit] = ACTIONS(2785),
    [anon_sym_BSLASHbdit] = ACTIONS(2785),
    [anon_sym_BSLASHno] = ACTIONS(2785),
    [anon_sym_BSLASHsc] = ACTIONS(2785),
    [anon_sym_BSLASHsup] = ACTIONS(2785),
    [anon_sym_BSLASHndx] = ACTIONS(2785),
    [anon_sym_BSLASHpro] = ACTIONS(2785),
    [anon_sym_BSLASHrb] = ACTIONS(2785),
    [anon_sym_BSLASHw] = ACTIONS(2785),
    [anon_sym_BSLASHwg] = ACTIONS(2785),
    [anon_sym_BSLASHwh] = ACTIONS(2785),
    [anon_sym_BSLASHwa] = ACTIONS(2785),
    [anon_sym_BSLASHfig] = ACTIONS(2785),
    [anon_sym_BSLASHjmp] = ACTIONS(2785),
    [anon_sym_BSLASHpb] = ACTIONS(2785),
    [anon_sym_BSLASH] = ACTIONS(2785),
    [sym_milestoneStartTag] = ACTIONS(2785),
    [sym_milestoneEndTag] = ACTIONS(2785),
    [sym_zSpaceTag] = ACTIONS(2785),
    [anon_sym_BSLASHesbe] = ACTIONS(2785),
    [anon_sym_BSLASHcat] = ACTIONS(2785),
  },
  [679] = {
    [aux_sym_text_token1] = ACTIONS(6038),
    [anon_sym_BSLASHref] = ACTIONS(6040),
    [anon_sym_BSLASHsts] = ACTIONS(6040),
    [anon_sym_BSLASHrem] = ACTIONS(6040),
    [anon_sym_BSLASHrestore] = ACTIONS(6040),
    [anon_sym_BSLASHlit] = ACTIONS(6040),
    [anon_sym_BSLASHip] = ACTIONS(6040),
    [anon_sym_BSLASHv] = ACTIONS(6040),
    [anon_sym_BSLASHva] = ACTIONS(6040),
    [anon_sym_BSLASHvp] = ACTIONS(6040),
    [anon_sym_BSLASHmte] = ACTIONS(6040),
    [anon_sym_BSLASHms] = ACTIONS(6040),
    [anon_sym_BSLASHs] = ACTIONS(6040),
    [anon_sym_BSLASHr] = ACTIONS(6040),
    [anon_sym_BSLASHsp] = ACTIONS(6040),
    [anon_sym_BSLASHd] = ACTIONS(6040),
    [anon_sym_BSLASHsd] = ACTIONS(6040),
    [anon_sym_BSLASHp] = ACTIONS(6040),
    [anon_sym_BSLASHm] = ACTIONS(6040),
    [anon_sym_BSLASHpo] = ACTIONS(6040),
    [anon_sym_BSLASHpr] = ACTIONS(6040),
    [anon_sym_BSLASHcls] = ACTIONS(6040),
    [anon_sym_BSLASHpmo] = ACTIONS(6040),
    [anon_sym_BSLASHpm] = ACTIONS(6040),
    [anon_sym_BSLASHpmc] = ACTIONS(6040),
    [anon_sym_BSLASHpmr] = ACTIONS(6040),
    [anon_sym_BSLASHpi] = ACTIONS(6040),
    [anon_sym_BSLASHmi] = ACTIONS(6040),
    [anon_sym_BSLASHnb] = ACTIONS(6040),
    [anon_sym_BSLASHpc] = ACTIONS(6040),
    [anon_sym_BSLASHph] = ACTIONS(6040),
    [anon_sym_BSLASHb] = ACTIONS(6040),
    [anon_sym_BSLASHq] = ACTIONS(6040),
    [anon_sym_BSLASHqr] = ACTIONS(6040),
    [anon_sym_BSLASHqc] = ACTIONS(6040),
    [anon_sym_BSLASHqs] = ACTIONS(6040),
    [anon_sym_BSLASHqa] = ACTIONS(6040),
    [anon_sym_BSLASHqac] = ACTIONS(6040),
    [anon_sym_BSLASHqm] = ACTIONS(6040),
    [anon_sym_BSLASHqd] = ACTIONS(6040),
    [anon_sym_BSLASHlh] = ACTIONS(6040),
    [anon_sym_BSLASHli] = ACTIONS(6040),
    [anon_sym_BSLASHlim] = ACTIONS(6040),
    [anon_sym_BSLASHtr] = ACTIONS(6040),
    [anon_sym_BSLASHf] = ACTIONS(6040),
    [anon_sym_BSLASHfe] = ACTIONS(6040),
    [anon_sym_BSLASHef] = ACTIONS(6040),
    [anon_sym_BSLASHfm] = ACTIONS(6040),
    [anon_sym_BSLASHx] = ACTIONS(6040),
    [anon_sym_BSLASHxt] = ACTIONS(6040),
    [anon_sym_BSLASHrq] = ACTIONS(6040),
    [anon_sym_BSLASHadd] = ACTIONS(6040),
    [anon_sym_BSLASHbk] = ACTIONS(6040),
    [anon_sym_BSLASHdc] = ACTIONS(6040),
    [anon_sym_BSLASHk] = ACTIONS(6040),
    [anon_sym_BSLASHnd] = ACTIONS(6040),
    [anon_sym_BSLASHord] = ACTIONS(6040),
    [anon_sym_BSLASHpn] = ACTIONS(6040),
    [anon_sym_BSLASHpng] = ACTIONS(6040),
    [anon_sym_BSLASHaddpn] = ACTIONS(6040),
    [anon_sym_BSLASHqt] = ACTIONS(6040),
    [anon_sym_BSLASHsig] = ACTIONS(6040),
    [anon_sym_BSLASHsls] = ACTIONS(6040),
    [anon_sym_BSLASHtl] = ACTIONS(6040),
    [anon_sym_BSLASHwj] = ACTIONS(6040),
    [anon_sym_BSLASHem] = ACTIONS(6040),
    [anon_sym_BSLASHbd] = ACTIONS(6040),
    [anon_sym_BSLASHit] = ACTIONS(6040),
    [anon_sym_BSLASHbdit] = ACTIONS(6040),
    [anon_sym_BSLASHno] = ACTIONS(6040),
    [anon_sym_BSLASHsc] = ACTIONS(6040),
    [anon_sym_BSLASHsup] = ACTIONS(6040),
    [anon_sym_BSLASHndx] = ACTIONS(6040),
    [anon_sym_BSLASHpro] = ACTIONS(6040),
    [anon_sym_BSLASHrb] = ACTIONS(6040),
    [anon_sym_BSLASHw] = ACTIONS(6040),
    [anon_sym_BSLASHwg] = ACTIONS(6040),
    [anon_sym_BSLASHwh] = ACTIONS(6040),
    [anon_sym_BSLASHwa] = ACTIONS(6040),
    [anon_sym_BSLASHfig] = ACTIONS(6040),
    [anon_sym_BSLASHjmp] = ACTIONS(6040),
    [anon_sym_BSLASHpb] = ACTIONS(6040),
    [anon_sym_BSLASH] = ACTIONS(6040),
    [sym_milestoneStartTag] = ACTIONS(6040),
    [sym_milestoneEndTag] = ACTIONS(6040),
    [sym_zSpaceTag] = ACTIONS(6040),
    [anon_sym_BSLASHesbe] = ACTIONS(6040),
    [anon_sym_BSLASHcat] = ACTIONS(6040),
  },
  [680] = {
    [aux_sym_text_token1] = ACTIONS(6042),
    [anon_sym_BSLASHref] = ACTIONS(6044),
    [anon_sym_BSLASHsts] = ACTIONS(6044),
    [anon_sym_BSLASHrem] = ACTIONS(6044),
    [anon_sym_BSLASHrestore] = ACTIONS(6044),
    [anon_sym_BSLASHlit] = ACTIONS(6044),
    [anon_sym_BSLASHip] = ACTIONS(6044),
    [anon_sym_BSLASHv] = ACTIONS(6044),
    [anon_sym_BSLASHva] = ACTIONS(6044),
    [anon_sym_BSLASHvp] = ACTIONS(6044),
    [anon_sym_BSLASHmte] = ACTIONS(6044),
    [anon_sym_BSLASHms] = ACTIONS(6044),
    [anon_sym_BSLASHs] = ACTIONS(6044),
    [anon_sym_BSLASHr] = ACTIONS(6044),
    [anon_sym_BSLASHsp] = ACTIONS(6044),
    [anon_sym_BSLASHd] = ACTIONS(6044),
    [anon_sym_BSLASHsd] = ACTIONS(6044),
    [anon_sym_BSLASHp] = ACTIONS(6044),
    [anon_sym_BSLASHm] = ACTIONS(6044),
    [anon_sym_BSLASHpo] = ACTIONS(6044),
    [anon_sym_BSLASHpr] = ACTIONS(6044),
    [anon_sym_BSLASHcls] = ACTIONS(6044),
    [anon_sym_BSLASHpmo] = ACTIONS(6044),
    [anon_sym_BSLASHpm] = ACTIONS(6044),
    [anon_sym_BSLASHpmc] = ACTIONS(6044),
    [anon_sym_BSLASHpmr] = ACTIONS(6044),
    [anon_sym_BSLASHpi] = ACTIONS(6044),
    [anon_sym_BSLASHmi] = ACTIONS(6044),
    [anon_sym_BSLASHnb] = ACTIONS(6044),
    [anon_sym_BSLASHpc] = ACTIONS(6044),
    [anon_sym_BSLASHph] = ACTIONS(6044),
    [anon_sym_BSLASHb] = ACTIONS(6044),
    [anon_sym_BSLASHq] = ACTIONS(6044),
    [anon_sym_BSLASHqr] = ACTIONS(6044),
    [anon_sym_BSLASHqc] = ACTIONS(6044),
    [anon_sym_BSLASHqs] = ACTIONS(6044),
    [anon_sym_BSLASHqa] = ACTIONS(6044),
    [anon_sym_BSLASHqac] = ACTIONS(6044),
    [anon_sym_BSLASHqm] = ACTIONS(6044),
    [anon_sym_BSLASHqd] = ACTIONS(6044),
    [anon_sym_BSLASHlh] = ACTIONS(6044),
    [anon_sym_BSLASHli] = ACTIONS(6044),
    [anon_sym_BSLASHlim] = ACTIONS(6044),
    [anon_sym_BSLASHtr] = ACTIONS(6044),
    [anon_sym_BSLASHf] = ACTIONS(6044),
    [anon_sym_BSLASHfe] = ACTIONS(6044),
    [anon_sym_BSLASHef] = ACTIONS(6044),
    [anon_sym_BSLASHfm] = ACTIONS(6044),
    [anon_sym_BSLASHx] = ACTIONS(6044),
    [anon_sym_BSLASHxt] = ACTIONS(6044),
    [anon_sym_BSLASHrq] = ACTIONS(6044),
    [anon_sym_BSLASHadd] = ACTIONS(6044),
    [anon_sym_BSLASHbk] = ACTIONS(6044),
    [anon_sym_BSLASHdc] = ACTIONS(6044),
    [anon_sym_BSLASHk] = ACTIONS(6044),
    [anon_sym_BSLASHnd] = ACTIONS(6044),
    [anon_sym_BSLASHord] = ACTIONS(6044),
    [anon_sym_BSLASHpn] = ACTIONS(6044),
    [anon_sym_BSLASHpng] = ACTIONS(6044),
    [anon_sym_BSLASHaddpn] = ACTIONS(6044),
    [anon_sym_BSLASHqt] = ACTIONS(6044),
    [anon_sym_BSLASHsig] = ACTIONS(6044),
    [anon_sym_BSLASHsls] = ACTIONS(6044),
    [anon_sym_BSLASHtl] = ACTIONS(6044),
    [anon_sym_BSLASHwj] = ACTIONS(6044),
    [anon_sym_BSLASHem] = ACTIONS(6044),
    [anon_sym_BSLASHbd] = ACTIONS(6044),
    [anon_sym_BSLASHit] = ACTIONS(6044),
    [anon_sym_BSLASHbdit] = ACTIONS(6044),
    [anon_sym_BSLASHno] = ACTIONS(6044),
    [anon_sym_BSLASHsc] = ACTIONS(6044),
    [anon_sym_BSLASHsup] = ACTIONS(6044),
    [anon_sym_BSLASHndx] = ACTIONS(6044),
    [anon_sym_BSLASHpro] = ACTIONS(6044),
    [anon_sym_BSLASHrb] = ACTIONS(6044),
    [anon_sym_BSLASHw] = ACTIONS(6044),
    [anon_sym_BSLASHwg] = ACTIONS(6044),
    [anon_sym_BSLASHwh] = ACTIONS(6044),
    [anon_sym_BSLASHwa] = ACTIONS(6044),
    [anon_sym_BSLASHfig] = ACTIONS(6044),
    [anon_sym_BSLASHjmp] = ACTIONS(6044),
    [anon_sym_BSLASHpb] = ACTIONS(6044),
    [anon_sym_BSLASH] = ACTIONS(6044),
    [sym_milestoneStartTag] = ACTIONS(6044),
    [sym_milestoneEndTag] = ACTIONS(6044),
    [sym_zSpaceTag] = ACTIONS(6044),
    [anon_sym_BSLASHesbe] = ACTIONS(6044),
    [anon_sym_BSLASHcat] = ACTIONS(6044),
  },
  [681] = {
    [aux_sym_text_token1] = ACTIONS(2779),
    [anon_sym_BSLASHref] = ACTIONS(2781),
    [anon_sym_BSLASHsts] = ACTIONS(2781),
    [anon_sym_BSLASHrem] = ACTIONS(2781),
    [anon_sym_BSLASHrestore] = ACTIONS(2781),
    [anon_sym_BSLASHlit] = ACTIONS(2781),
    [anon_sym_BSLASHip] = ACTIONS(2781),
    [anon_sym_BSLASHv] = ACTIONS(2781),
    [anon_sym_BSLASHva] = ACTIONS(2781),
    [anon_sym_BSLASHvp] = ACTIONS(2781),
    [anon_sym_BSLASHmte] = ACTIONS(2781),
    [anon_sym_BSLASHms] = ACTIONS(2781),
    [anon_sym_BSLASHs] = ACTIONS(2781),
    [anon_sym_BSLASHr] = ACTIONS(2781),
    [anon_sym_BSLASHsp] = ACTIONS(2781),
    [anon_sym_BSLASHd] = ACTIONS(2781),
    [anon_sym_BSLASHsd] = ACTIONS(2781),
    [anon_sym_BSLASHp] = ACTIONS(2781),
    [anon_sym_BSLASHm] = ACTIONS(2781),
    [anon_sym_BSLASHpo] = ACTIONS(2781),
    [anon_sym_BSLASHpr] = ACTIONS(2781),
    [anon_sym_BSLASHcls] = ACTIONS(2781),
    [anon_sym_BSLASHpmo] = ACTIONS(2781),
    [anon_sym_BSLASHpm] = ACTIONS(2781),
    [anon_sym_BSLASHpmc] = ACTIONS(2781),
    [anon_sym_BSLASHpmr] = ACTIONS(2781),
    [anon_sym_BSLASHpi] = ACTIONS(2781),
    [anon_sym_BSLASHmi] = ACTIONS(2781),
    [anon_sym_BSLASHnb] = ACTIONS(2781),
    [anon_sym_BSLASHpc] = ACTIONS(2781),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(2781),
    [anon_sym_BSLASHq] = ACTIONS(2781),
    [anon_sym_BSLASHqr] = ACTIONS(2781),
    [anon_sym_BSLASHqc] = ACTIONS(2781),
    [anon_sym_BSLASHqs] = ACTIONS(2781),
    [anon_sym_BSLASHqa] = ACTIONS(2781),
    [anon_sym_BSLASHqac] = ACTIONS(2781),
    [anon_sym_BSLASHqm] = ACTIONS(2781),
    [anon_sym_BSLASHqd] = ACTIONS(2781),
    [anon_sym_BSLASHlh] = ACTIONS(2781),
    [anon_sym_BSLASHli] = ACTIONS(2781),
    [anon_sym_BSLASHlim] = ACTIONS(2781),
    [anon_sym_BSLASHtr] = ACTIONS(2781),
    [anon_sym_BSLASHf] = ACTIONS(2781),
    [anon_sym_BSLASHfe] = ACTIONS(2781),
    [anon_sym_BSLASHef] = ACTIONS(2781),
    [anon_sym_BSLASHfm] = ACTIONS(2781),
    [anon_sym_BSLASHx] = ACTIONS(2781),
    [anon_sym_BSLASHxt] = ACTIONS(2781),
    [anon_sym_BSLASHrq] = ACTIONS(2781),
    [anon_sym_BSLASHadd] = ACTIONS(2781),
    [anon_sym_BSLASHbk] = ACTIONS(2781),
    [anon_sym_BSLASHdc] = ACTIONS(2781),
    [anon_sym_BSLASHk] = ACTIONS(2781),
    [anon_sym_BSLASHnd] = ACTIONS(2781),
    [anon_sym_BSLASHord] = ACTIONS(2781),
    [anon_sym_BSLASHpn] = ACTIONS(2781),
    [anon_sym_BSLASHpng] = ACTIONS(2781),
    [anon_sym_BSLASHaddpn] = ACTIONS(2781),
    [anon_sym_BSLASHqt] = ACTIONS(2781),
    [anon_sym_BSLASHsig] = ACTIONS(2781),
    [anon_sym_BSLASHsls] = ACTIONS(2781),
    [anon_sym_BSLASHtl] = ACTIONS(2781),
    [anon_sym_BSLASHwj] = ACTIONS(2781),
    [anon_sym_BSLASHem] = ACTIONS(2781),
    [anon_sym_BSLASHbd] = ACTIONS(2781),
    [anon_sym_BSLASHit] = ACTIONS(2781),
    [anon_sym_BSLASHbdit] = ACTIONS(2781),
    [anon_sym_BSLASHno] = ACTIONS(2781),
    [anon_sym_BSLASHsc] = ACTIONS(2781),
    [anon_sym_BSLASHsup] = ACTIONS(2781),
    [anon_sym_BSLASHndx] = ACTIONS(2781),
    [anon_sym_BSLASHpro] = ACTIONS(2781),
    [anon_sym_BSLASHrb] = ACTIONS(2781),
    [anon_sym_BSLASHw] = ACTIONS(2781),
    [anon_sym_BSLASHwg] = ACTIONS(2781),
    [anon_sym_BSLASHwh] = ACTIONS(2781),
    [anon_sym_BSLASHwa] = ACTIONS(2781),
    [anon_sym_BSLASHfig] = ACTIONS(2781),
    [anon_sym_BSLASHjmp] = ACTIONS(2781),
    [anon_sym_BSLASHpb] = ACTIONS(2781),
    [anon_sym_BSLASH] = ACTIONS(2781),
    [sym_milestoneStartTag] = ACTIONS(2781),
    [sym_milestoneEndTag] = ACTIONS(2781),
    [sym_zSpaceTag] = ACTIONS(2781),
    [anon_sym_BSLASHesbe] = ACTIONS(2781),
    [anon_sym_BSLASHcat] = ACTIONS(2781),
  },
  [682] = {
    [aux_sym_text_token1] = ACTIONS(5982),
    [anon_sym_BSLASHref] = ACTIONS(5984),
    [anon_sym_BSLASHsts] = ACTIONS(5984),
    [anon_sym_BSLASHrem] = ACTIONS(5984),
    [anon_sym_BSLASHrestore] = ACTIONS(5984),
    [anon_sym_BSLASHlit] = ACTIONS(5984),
    [anon_sym_BSLASHip] = ACTIONS(5984),
    [anon_sym_BSLASHv] = ACTIONS(5984),
    [anon_sym_BSLASHva] = ACTIONS(5984),
    [anon_sym_BSLASHvp] = ACTIONS(5984),
    [anon_sym_BSLASHmte] = ACTIONS(5984),
    [anon_sym_BSLASHms] = ACTIONS(5984),
    [anon_sym_BSLASHs] = ACTIONS(5984),
    [anon_sym_BSLASHr] = ACTIONS(5984),
    [anon_sym_BSLASHsp] = ACTIONS(5984),
    [anon_sym_BSLASHd] = ACTIONS(5984),
    [anon_sym_BSLASHsd] = ACTIONS(5984),
    [anon_sym_BSLASHp] = ACTIONS(5984),
    [anon_sym_BSLASHm] = ACTIONS(5984),
    [anon_sym_BSLASHpo] = ACTIONS(5984),
    [anon_sym_BSLASHpr] = ACTIONS(5984),
    [anon_sym_BSLASHcls] = ACTIONS(5984),
    [anon_sym_BSLASHpmo] = ACTIONS(5984),
    [anon_sym_BSLASHpm] = ACTIONS(5984),
    [anon_sym_BSLASHpmc] = ACTIONS(5984),
    [anon_sym_BSLASHpmr] = ACTIONS(5984),
    [anon_sym_BSLASHpi] = ACTIONS(5984),
    [anon_sym_BSLASHmi] = ACTIONS(5984),
    [anon_sym_BSLASHnb] = ACTIONS(5984),
    [anon_sym_BSLASHpc] = ACTIONS(5984),
    [anon_sym_BSLASHph] = ACTIONS(5984),
    [anon_sym_BSLASHb] = ACTIONS(5984),
    [anon_sym_BSLASHq] = ACTIONS(5984),
    [anon_sym_BSLASHqr] = ACTIONS(5984),
    [anon_sym_BSLASHqc] = ACTIONS(5984),
    [anon_sym_BSLASHqs] = ACTIONS(5984),
    [anon_sym_BSLASHqa] = ACTIONS(5984),
    [anon_sym_BSLASHqac] = ACTIONS(5984),
    [anon_sym_BSLASHqm] = ACTIONS(5984),
    [anon_sym_BSLASHqd] = ACTIONS(5984),
    [anon_sym_BSLASHlh] = ACTIONS(5984),
    [anon_sym_BSLASHli] = ACTIONS(5984),
    [anon_sym_BSLASHlim] = ACTIONS(5984),
    [anon_sym_BSLASHtr] = ACTIONS(5984),
    [anon_sym_BSLASHf] = ACTIONS(5984),
    [anon_sym_BSLASHfe] = ACTIONS(5984),
    [anon_sym_BSLASHef] = ACTIONS(5984),
    [anon_sym_BSLASHfm] = ACTIONS(5984),
    [anon_sym_BSLASHx] = ACTIONS(5984),
    [anon_sym_BSLASHxt] = ACTIONS(5984),
    [anon_sym_BSLASHrq] = ACTIONS(5984),
    [anon_sym_BSLASHadd] = ACTIONS(5984),
    [anon_sym_BSLASHbk] = ACTIONS(5984),
    [anon_sym_BSLASHdc] = ACTIONS(5984),
    [anon_sym_BSLASHk] = ACTIONS(5984),
    [anon_sym_BSLASHnd] = ACTIONS(5984),
    [anon_sym_BSLASHord] = ACTIONS(5984),
    [anon_sym_BSLASHpn] = ACTIONS(5984),
    [anon_sym_BSLASHpng] = ACTIONS(5984),
    [anon_sym_BSLASHaddpn] = ACTIONS(5984),
    [anon_sym_BSLASHqt] = ACTIONS(5984),
    [anon_sym_BSLASHsig] = ACTIONS(5984),
    [anon_sym_BSLASHsls] = ACTIONS(5984),
    [anon_sym_BSLASHtl] = ACTIONS(5984),
    [anon_sym_BSLASHwj] = ACTIONS(5984),
    [anon_sym_BSLASHem] = ACTIONS(5984),
    [anon_sym_BSLASHbd] = ACTIONS(5984),
    [anon_sym_BSLASHit] = ACTIONS(5984),
    [anon_sym_BSLASHbdit] = ACTIONS(5984),
    [anon_sym_BSLASHno] = ACTIONS(5984),
    [anon_sym_BSLASHsc] = ACTIONS(5984),
    [anon_sym_BSLASHsup] = ACTIONS(5984),
    [anon_sym_BSLASHndx] = ACTIONS(5984),
    [anon_sym_BSLASHpro] = ACTIONS(5984),
    [anon_sym_BSLASHrb] = ACTIONS(5984),
    [anon_sym_BSLASHw] = ACTIONS(5984),
    [anon_sym_BSLASHwg] = ACTIONS(5984),
    [anon_sym_BSLASHwh] = ACTIONS(5984),
    [anon_sym_BSLASHwa] = ACTIONS(5984),
    [anon_sym_BSLASHfig] = ACTIONS(5984),
    [anon_sym_BSLASHjmp] = ACTIONS(5984),
    [anon_sym_BSLASHpb] = ACTIONS(5984),
    [anon_sym_BSLASH] = ACTIONS(5984),
    [sym_milestoneStartTag] = ACTIONS(5984),
    [sym_milestoneEndTag] = ACTIONS(5984),
    [sym_zSpaceTag] = ACTIONS(5984),
    [anon_sym_BSLASHesbe] = ACTIONS(5984),
    [anon_sym_BSLASHcat] = ACTIONS(5984),
  },
  [683] = {
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHref] = ACTIONS(2677),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHv] = ACTIONS(2677),
    [anon_sym_BSLASHva] = ACTIONS(2677),
    [anon_sym_BSLASHvp] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqs] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqac] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHx] = ACTIONS(2677),
    [anon_sym_BSLASHxt] = ACTIONS(2677),
    [anon_sym_BSLASHrq] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesbe] = ACTIONS(2677),
    [anon_sym_BSLASHcat] = ACTIONS(2677),
  },
  [684] = {
    [aux_sym_text_token1] = ACTIONS(2767),
    [anon_sym_BSLASHref] = ACTIONS(2769),
    [anon_sym_BSLASHsts] = ACTIONS(2769),
    [anon_sym_BSLASHrem] = ACTIONS(2769),
    [anon_sym_BSLASHrestore] = ACTIONS(2769),
    [anon_sym_BSLASHlit] = ACTIONS(2769),
    [anon_sym_BSLASHip] = ACTIONS(2769),
    [anon_sym_BSLASHv] = ACTIONS(2769),
    [anon_sym_BSLASHva] = ACTIONS(2769),
    [anon_sym_BSLASHvp] = ACTIONS(2769),
    [anon_sym_BSLASHmte] = ACTIONS(2769),
    [anon_sym_BSLASHms] = ACTIONS(2769),
    [anon_sym_BSLASHs] = ACTIONS(2769),
    [anon_sym_BSLASHr] = ACTIONS(2769),
    [anon_sym_BSLASHsp] = ACTIONS(2769),
    [anon_sym_BSLASHd] = ACTIONS(2769),
    [anon_sym_BSLASHsd] = ACTIONS(2769),
    [anon_sym_BSLASHp] = ACTIONS(2769),
    [anon_sym_BSLASHm] = ACTIONS(2769),
    [anon_sym_BSLASHpo] = ACTIONS(2769),
    [anon_sym_BSLASHpr] = ACTIONS(2769),
    [anon_sym_BSLASHcls] = ACTIONS(2769),
    [anon_sym_BSLASHpmo] = ACTIONS(2769),
    [anon_sym_BSLASHpm] = ACTIONS(2769),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2769),
    [anon_sym_BSLASHpi] = ACTIONS(2769),
    [anon_sym_BSLASHmi] = ACTIONS(2769),
    [anon_sym_BSLASHnb] = ACTIONS(2769),
    [anon_sym_BSLASHpc] = ACTIONS(2769),
    [anon_sym_BSLASHph] = ACTIONS(2769),
    [anon_sym_BSLASHb] = ACTIONS(2769),
    [anon_sym_BSLASHq] = ACTIONS(2769),
    [anon_sym_BSLASHqr] = ACTIONS(2769),
    [anon_sym_BSLASHqc] = ACTIONS(2769),
    [anon_sym_BSLASHqs] = ACTIONS(2769),
    [anon_sym_BSLASHqa] = ACTIONS(2769),
    [anon_sym_BSLASHqac] = ACTIONS(2769),
    [anon_sym_BSLASHqm] = ACTIONS(2769),
    [anon_sym_BSLASHqd] = ACTIONS(2769),
    [anon_sym_BSLASHlh] = ACTIONS(2769),
    [anon_sym_BSLASHli] = ACTIONS(2769),
    [anon_sym_BSLASHlim] = ACTIONS(2769),
    [anon_sym_BSLASHtr] = ACTIONS(2769),
    [anon_sym_BSLASHf] = ACTIONS(2769),
    [anon_sym_BSLASHfe] = ACTIONS(2769),
    [anon_sym_BSLASHef] = ACTIONS(2769),
    [anon_sym_BSLASHfm] = ACTIONS(2769),
    [anon_sym_BSLASHx] = ACTIONS(2769),
    [anon_sym_BSLASHxt] = ACTIONS(2769),
    [anon_sym_BSLASHrq] = ACTIONS(2769),
    [anon_sym_BSLASHadd] = ACTIONS(2769),
    [anon_sym_BSLASHbk] = ACTIONS(2769),
    [anon_sym_BSLASHdc] = ACTIONS(2769),
    [anon_sym_BSLASHk] = ACTIONS(2769),
    [anon_sym_BSLASHnd] = ACTIONS(2769),
    [anon_sym_BSLASHord] = ACTIONS(2769),
    [anon_sym_BSLASHpn] = ACTIONS(2769),
    [anon_sym_BSLASHpng] = ACTIONS(2769),
    [anon_sym_BSLASHaddpn] = ACTIONS(2769),
    [anon_sym_BSLASHqt] = ACTIONS(2769),
    [anon_sym_BSLASHsig] = ACTIONS(2769),
    [anon_sym_BSLASHsls] = ACTIONS(2769),
    [anon_sym_BSLASHtl] = ACTIONS(2769),
    [anon_sym_BSLASHwj] = ACTIONS(2769),
    [anon_sym_BSLASHem] = ACTIONS(2769),
    [anon_sym_BSLASHbd] = ACTIONS(2769),
    [anon_sym_BSLASHit] = ACTIONS(2769),
    [anon_sym_BSLASHbdit] = ACTIONS(2769),
    [anon_sym_BSLASHno] = ACTIONS(2769),
    [anon_sym_BSLASHsc] = ACTIONS(2769),
    [anon_sym_BSLASHsup] = ACTIONS(2769),
    [anon_sym_BSLASHndx] = ACTIONS(2769),
    [anon_sym_BSLASHpro] = ACTIONS(2769),
    [anon_sym_BSLASHrb] = ACTIONS(2769),
    [anon_sym_BSLASHw] = ACTIONS(2769),
    [anon_sym_BSLASHwg] = ACTIONS(2769),
    [anon_sym_BSLASHwh] = ACTIONS(2769),
    [anon_sym_BSLASHwa] = ACTIONS(2769),
    [anon_sym_BSLASHfig] = ACTIONS(2769),
    [anon_sym_BSLASHjmp] = ACTIONS(2769),
    [anon_sym_BSLASHpb] = ACTIONS(2769),
    [anon_sym_BSLASH] = ACTIONS(2769),
    [sym_milestoneStartTag] = ACTIONS(2769),
    [sym_milestoneEndTag] = ACTIONS(2769),
    [sym_zSpaceTag] = ACTIONS(2769),
    [anon_sym_BSLASHesbe] = ACTIONS(2769),
    [anon_sym_BSLASHcat] = ACTIONS(2769),
  },
  [685] = {
    [aux_sym_text_token1] = ACTIONS(2763),
    [anon_sym_BSLASHref] = ACTIONS(2765),
    [anon_sym_BSLASHsts] = ACTIONS(2765),
    [anon_sym_BSLASHrem] = ACTIONS(2765),
    [anon_sym_BSLASHrestore] = ACTIONS(2765),
    [anon_sym_BSLASHlit] = ACTIONS(2765),
    [anon_sym_BSLASHip] = ACTIONS(2765),
    [anon_sym_BSLASHv] = ACTIONS(2765),
    [anon_sym_BSLASHva] = ACTIONS(2765),
    [anon_sym_BSLASHvp] = ACTIONS(2765),
    [anon_sym_BSLASHmte] = ACTIONS(2765),
    [anon_sym_BSLASHms] = ACTIONS(2765),
    [anon_sym_BSLASHs] = ACTIONS(2765),
    [anon_sym_BSLASHr] = ACTIONS(2765),
    [anon_sym_BSLASHsp] = ACTIONS(2765),
    [anon_sym_BSLASHd] = ACTIONS(2765),
    [anon_sym_BSLASHsd] = ACTIONS(2765),
    [anon_sym_BSLASHp] = ACTIONS(2765),
    [anon_sym_BSLASHm] = ACTIONS(2765),
    [anon_sym_BSLASHpo] = ACTIONS(2765),
    [anon_sym_BSLASHpr] = ACTIONS(2765),
    [anon_sym_BSLASHcls] = ACTIONS(2765),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2765),
    [anon_sym_BSLASHpmc] = ACTIONS(2765),
    [anon_sym_BSLASHpmr] = ACTIONS(2765),
    [anon_sym_BSLASHpi] = ACTIONS(2765),
    [anon_sym_BSLASHmi] = ACTIONS(2765),
    [anon_sym_BSLASHnb] = ACTIONS(2765),
    [anon_sym_BSLASHpc] = ACTIONS(2765),
    [anon_sym_BSLASHph] = ACTIONS(2765),
    [anon_sym_BSLASHb] = ACTIONS(2765),
    [anon_sym_BSLASHq] = ACTIONS(2765),
    [anon_sym_BSLASHqr] = ACTIONS(2765),
    [anon_sym_BSLASHqc] = ACTIONS(2765),
    [anon_sym_BSLASHqs] = ACTIONS(2765),
    [anon_sym_BSLASHqa] = ACTIONS(2765),
    [anon_sym_BSLASHqac] = ACTIONS(2765),
    [anon_sym_BSLASHqm] = ACTIONS(2765),
    [anon_sym_BSLASHqd] = ACTIONS(2765),
    [anon_sym_BSLASHlh] = ACTIONS(2765),
    [anon_sym_BSLASHli] = ACTIONS(2765),
    [anon_sym_BSLASHlim] = ACTIONS(2765),
    [anon_sym_BSLASHtr] = ACTIONS(2765),
    [anon_sym_BSLASHf] = ACTIONS(2765),
    [anon_sym_BSLASHfe] = ACTIONS(2765),
    [anon_sym_BSLASHef] = ACTIONS(2765),
    [anon_sym_BSLASHfm] = ACTIONS(2765),
    [anon_sym_BSLASHx] = ACTIONS(2765),
    [anon_sym_BSLASHxt] = ACTIONS(2765),
    [anon_sym_BSLASHrq] = ACTIONS(2765),
    [anon_sym_BSLASHadd] = ACTIONS(2765),
    [anon_sym_BSLASHbk] = ACTIONS(2765),
    [anon_sym_BSLASHdc] = ACTIONS(2765),
    [anon_sym_BSLASHk] = ACTIONS(2765),
    [anon_sym_BSLASHnd] = ACTIONS(2765),
    [anon_sym_BSLASHord] = ACTIONS(2765),
    [anon_sym_BSLASHpn] = ACTIONS(2765),
    [anon_sym_BSLASHpng] = ACTIONS(2765),
    [anon_sym_BSLASHaddpn] = ACTIONS(2765),
    [anon_sym_BSLASHqt] = ACTIONS(2765),
    [anon_sym_BSLASHsig] = ACTIONS(2765),
    [anon_sym_BSLASHsls] = ACTIONS(2765),
    [anon_sym_BSLASHtl] = ACTIONS(2765),
    [anon_sym_BSLASHwj] = ACTIONS(2765),
    [anon_sym_BSLASHem] = ACTIONS(2765),
    [anon_sym_BSLASHbd] = ACTIONS(2765),
    [anon_sym_BSLASHit] = ACTIONS(2765),
    [anon_sym_BSLASHbdit] = ACTIONS(2765),
    [anon_sym_BSLASHno] = ACTIONS(2765),
    [anon_sym_BSLASHsc] = ACTIONS(2765),
    [anon_sym_BSLASHsup] = ACTIONS(2765),
    [anon_sym_BSLASHndx] = ACTIONS(2765),
    [anon_sym_BSLASHpro] = ACTIONS(2765),
    [anon_sym_BSLASHrb] = ACTIONS(2765),
    [anon_sym_BSLASHw] = ACTIONS(2765),
    [anon_sym_BSLASHwg] = ACTIONS(2765),
    [anon_sym_BSLASHwh] = ACTIONS(2765),
    [anon_sym_BSLASHwa] = ACTIONS(2765),
    [anon_sym_BSLASHfig] = ACTIONS(2765),
    [anon_sym_BSLASHjmp] = ACTIONS(2765),
    [anon_sym_BSLASHpb] = ACTIONS(2765),
    [anon_sym_BSLASH] = ACTIONS(2765),
    [sym_milestoneStartTag] = ACTIONS(2765),
    [sym_milestoneEndTag] = ACTIONS(2765),
    [sym_zSpaceTag] = ACTIONS(2765),
    [anon_sym_BSLASHesbe] = ACTIONS(2765),
    [anon_sym_BSLASHcat] = ACTIONS(2765),
  },
  [686] = {
    [aux_sym_text_token1] = ACTIONS(2759),
    [anon_sym_BSLASHref] = ACTIONS(2761),
    [anon_sym_BSLASHsts] = ACTIONS(2761),
    [anon_sym_BSLASHrem] = ACTIONS(2761),
    [anon_sym_BSLASHrestore] = ACTIONS(2761),
    [anon_sym_BSLASHlit] = ACTIONS(2761),
    [anon_sym_BSLASHip] = ACTIONS(2761),
    [anon_sym_BSLASHv] = ACTIONS(2761),
    [anon_sym_BSLASHva] = ACTIONS(2761),
    [anon_sym_BSLASHvp] = ACTIONS(2761),
    [anon_sym_BSLASHmte] = ACTIONS(2761),
    [anon_sym_BSLASHms] = ACTIONS(2761),
    [anon_sym_BSLASHs] = ACTIONS(2761),
    [anon_sym_BSLASHr] = ACTIONS(2761),
    [anon_sym_BSLASHsp] = ACTIONS(2761),
    [anon_sym_BSLASHd] = ACTIONS(2761),
    [anon_sym_BSLASHsd] = ACTIONS(2761),
    [anon_sym_BSLASHp] = ACTIONS(2761),
    [anon_sym_BSLASHm] = ACTIONS(2761),
    [anon_sym_BSLASHpo] = ACTIONS(2761),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2761),
    [anon_sym_BSLASHpmo] = ACTIONS(2761),
    [anon_sym_BSLASHpm] = ACTIONS(2761),
    [anon_sym_BSLASHpmc] = ACTIONS(2761),
    [anon_sym_BSLASHpmr] = ACTIONS(2761),
    [anon_sym_BSLASHpi] = ACTIONS(2761),
    [anon_sym_BSLASHmi] = ACTIONS(2761),
    [anon_sym_BSLASHnb] = ACTIONS(2761),
    [anon_sym_BSLASHpc] = ACTIONS(2761),
    [anon_sym_BSLASHph] = ACTIONS(2761),
    [anon_sym_BSLASHb] = ACTIONS(2761),
    [anon_sym_BSLASHq] = ACTIONS(2761),
    [anon_sym_BSLASHqr] = ACTIONS(2761),
    [anon_sym_BSLASHqc] = ACTIONS(2761),
    [anon_sym_BSLASHqs] = ACTIONS(2761),
    [anon_sym_BSLASHqa] = ACTIONS(2761),
    [anon_sym_BSLASHqac] = ACTIONS(2761),
    [anon_sym_BSLASHqm] = ACTIONS(2761),
    [anon_sym_BSLASHqd] = ACTIONS(2761),
    [anon_sym_BSLASHlh] = ACTIONS(2761),
    [anon_sym_BSLASHli] = ACTIONS(2761),
    [anon_sym_BSLASHlim] = ACTIONS(2761),
    [anon_sym_BSLASHtr] = ACTIONS(2761),
    [anon_sym_BSLASHf] = ACTIONS(2761),
    [anon_sym_BSLASHfe] = ACTIONS(2761),
    [anon_sym_BSLASHef] = ACTIONS(2761),
    [anon_sym_BSLASHfm] = ACTIONS(2761),
    [anon_sym_BSLASHx] = ACTIONS(2761),
    [anon_sym_BSLASHxt] = ACTIONS(2761),
    [anon_sym_BSLASHrq] = ACTIONS(2761),
    [anon_sym_BSLASHadd] = ACTIONS(2761),
    [anon_sym_BSLASHbk] = ACTIONS(2761),
    [anon_sym_BSLASHdc] = ACTIONS(2761),
    [anon_sym_BSLASHk] = ACTIONS(2761),
    [anon_sym_BSLASHnd] = ACTIONS(2761),
    [anon_sym_BSLASHord] = ACTIONS(2761),
    [anon_sym_BSLASHpn] = ACTIONS(2761),
    [anon_sym_BSLASHpng] = ACTIONS(2761),
    [anon_sym_BSLASHaddpn] = ACTIONS(2761),
    [anon_sym_BSLASHqt] = ACTIONS(2761),
    [anon_sym_BSLASHsig] = ACTIONS(2761),
    [anon_sym_BSLASHsls] = ACTIONS(2761),
    [anon_sym_BSLASHtl] = ACTIONS(2761),
    [anon_sym_BSLASHwj] = ACTIONS(2761),
    [anon_sym_BSLASHem] = ACTIONS(2761),
    [anon_sym_BSLASHbd] = ACTIONS(2761),
    [anon_sym_BSLASHit] = ACTIONS(2761),
    [anon_sym_BSLASHbdit] = ACTIONS(2761),
    [anon_sym_BSLASHno] = ACTIONS(2761),
    [anon_sym_BSLASHsc] = ACTIONS(2761),
    [anon_sym_BSLASHsup] = ACTIONS(2761),
    [anon_sym_BSLASHndx] = ACTIONS(2761),
    [anon_sym_BSLASHpro] = ACTIONS(2761),
    [anon_sym_BSLASHrb] = ACTIONS(2761),
    [anon_sym_BSLASHw] = ACTIONS(2761),
    [anon_sym_BSLASHwg] = ACTIONS(2761),
    [anon_sym_BSLASHwh] = ACTIONS(2761),
    [anon_sym_BSLASHwa] = ACTIONS(2761),
    [anon_sym_BSLASHfig] = ACTIONS(2761),
    [anon_sym_BSLASHjmp] = ACTIONS(2761),
    [anon_sym_BSLASHpb] = ACTIONS(2761),
    [anon_sym_BSLASH] = ACTIONS(2761),
    [sym_milestoneStartTag] = ACTIONS(2761),
    [sym_milestoneEndTag] = ACTIONS(2761),
    [sym_zSpaceTag] = ACTIONS(2761),
    [anon_sym_BSLASHesbe] = ACTIONS(2761),
    [anon_sym_BSLASHcat] = ACTIONS(2761),
  },
  [687] = {
    [aux_sym_text_token1] = ACTIONS(2755),
    [anon_sym_BSLASHref] = ACTIONS(2757),
    [anon_sym_BSLASHsts] = ACTIONS(2757),
    [anon_sym_BSLASHrem] = ACTIONS(2757),
    [anon_sym_BSLASHrestore] = ACTIONS(2757),
    [anon_sym_BSLASHlit] = ACTIONS(2757),
    [anon_sym_BSLASHip] = ACTIONS(2757),
    [anon_sym_BSLASHv] = ACTIONS(2757),
    [anon_sym_BSLASHva] = ACTIONS(2757),
    [anon_sym_BSLASHvp] = ACTIONS(2757),
    [anon_sym_BSLASHmte] = ACTIONS(2757),
    [anon_sym_BSLASHms] = ACTIONS(2757),
    [anon_sym_BSLASHs] = ACTIONS(2757),
    [anon_sym_BSLASHr] = ACTIONS(2757),
    [anon_sym_BSLASHsp] = ACTIONS(2757),
    [anon_sym_BSLASHd] = ACTIONS(2757),
    [anon_sym_BSLASHsd] = ACTIONS(2757),
    [anon_sym_BSLASHp] = ACTIONS(2757),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2757),
    [anon_sym_BSLASHpr] = ACTIONS(2757),
    [anon_sym_BSLASHcls] = ACTIONS(2757),
    [anon_sym_BSLASHpmo] = ACTIONS(2757),
    [anon_sym_BSLASHpm] = ACTIONS(2757),
    [anon_sym_BSLASHpmc] = ACTIONS(2757),
    [anon_sym_BSLASHpmr] = ACTIONS(2757),
    [anon_sym_BSLASHpi] = ACTIONS(2757),
    [anon_sym_BSLASHmi] = ACTIONS(2757),
    [anon_sym_BSLASHnb] = ACTIONS(2757),
    [anon_sym_BSLASHpc] = ACTIONS(2757),
    [anon_sym_BSLASHph] = ACTIONS(2757),
    [anon_sym_BSLASHb] = ACTIONS(2757),
    [anon_sym_BSLASHq] = ACTIONS(2757),
    [anon_sym_BSLASHqr] = ACTIONS(2757),
    [anon_sym_BSLASHqc] = ACTIONS(2757),
    [anon_sym_BSLASHqs] = ACTIONS(2757),
    [anon_sym_BSLASHqa] = ACTIONS(2757),
    [anon_sym_BSLASHqac] = ACTIONS(2757),
    [anon_sym_BSLASHqm] = ACTIONS(2757),
    [anon_sym_BSLASHqd] = ACTIONS(2757),
    [anon_sym_BSLASHlh] = ACTIONS(2757),
    [anon_sym_BSLASHli] = ACTIONS(2757),
    [anon_sym_BSLASHlim] = ACTIONS(2757),
    [anon_sym_BSLASHtr] = ACTIONS(2757),
    [anon_sym_BSLASHf] = ACTIONS(2757),
    [anon_sym_BSLASHfe] = ACTIONS(2757),
    [anon_sym_BSLASHef] = ACTIONS(2757),
    [anon_sym_BSLASHfm] = ACTIONS(2757),
    [anon_sym_BSLASHx] = ACTIONS(2757),
    [anon_sym_BSLASHxt] = ACTIONS(2757),
    [anon_sym_BSLASHrq] = ACTIONS(2757),
    [anon_sym_BSLASHadd] = ACTIONS(2757),
    [anon_sym_BSLASHbk] = ACTIONS(2757),
    [anon_sym_BSLASHdc] = ACTIONS(2757),
    [anon_sym_BSLASHk] = ACTIONS(2757),
    [anon_sym_BSLASHnd] = ACTIONS(2757),
    [anon_sym_BSLASHord] = ACTIONS(2757),
    [anon_sym_BSLASHpn] = ACTIONS(2757),
    [anon_sym_BSLASHpng] = ACTIONS(2757),
    [anon_sym_BSLASHaddpn] = ACTIONS(2757),
    [anon_sym_BSLASHqt] = ACTIONS(2757),
    [anon_sym_BSLASHsig] = ACTIONS(2757),
    [anon_sym_BSLASHsls] = ACTIONS(2757),
    [anon_sym_BSLASHtl] = ACTIONS(2757),
    [anon_sym_BSLASHwj] = ACTIONS(2757),
    [anon_sym_BSLASHem] = ACTIONS(2757),
    [anon_sym_BSLASHbd] = ACTIONS(2757),
    [anon_sym_BSLASHit] = ACTIONS(2757),
    [anon_sym_BSLASHbdit] = ACTIONS(2757),
    [anon_sym_BSLASHno] = ACTIONS(2757),
    [anon_sym_BSLASHsc] = ACTIONS(2757),
    [anon_sym_BSLASHsup] = ACTIONS(2757),
    [anon_sym_BSLASHndx] = ACTIONS(2757),
    [anon_sym_BSLASHpro] = ACTIONS(2757),
    [anon_sym_BSLASHrb] = ACTIONS(2757),
    [anon_sym_BSLASHw] = ACTIONS(2757),
    [anon_sym_BSLASHwg] = ACTIONS(2757),
    [anon_sym_BSLASHwh] = ACTIONS(2757),
    [anon_sym_BSLASHwa] = ACTIONS(2757),
    [anon_sym_BSLASHfig] = ACTIONS(2757),
    [anon_sym_BSLASHjmp] = ACTIONS(2757),
    [anon_sym_BSLASHpb] = ACTIONS(2757),
    [anon_sym_BSLASH] = ACTIONS(2757),
    [sym_milestoneStartTag] = ACTIONS(2757),
    [sym_milestoneEndTag] = ACTIONS(2757),
    [sym_zSpaceTag] = ACTIONS(2757),
    [anon_sym_BSLASHesbe] = ACTIONS(2757),
    [anon_sym_BSLASHcat] = ACTIONS(2757),
  },
  [688] = {
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHref] = ACTIONS(2741),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHv] = ACTIONS(2741),
    [anon_sym_BSLASHva] = ACTIONS(2741),
    [anon_sym_BSLASHvp] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqs] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqac] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHx] = ACTIONS(2741),
    [anon_sym_BSLASHxt] = ACTIONS(2741),
    [anon_sym_BSLASHrq] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesbe] = ACTIONS(2741),
    [anon_sym_BSLASHcat] = ACTIONS(2741),
  },
  [689] = {
    [aux_sym_text_token1] = ACTIONS(21),
    [anon_sym_BSLASHref] = ACTIONS(23),
    [anon_sym_BSLASHsts] = ACTIONS(23),
    [anon_sym_BSLASHrem] = ACTIONS(23),
    [anon_sym_BSLASHrestore] = ACTIONS(23),
    [anon_sym_BSLASHlit] = ACTIONS(23),
    [anon_sym_BSLASHip] = ACTIONS(23),
    [anon_sym_BSLASHv] = ACTIONS(23),
    [anon_sym_BSLASHva] = ACTIONS(23),
    [anon_sym_BSLASHvp] = ACTIONS(23),
    [anon_sym_BSLASHmte] = ACTIONS(23),
    [anon_sym_BSLASHms] = ACTIONS(23),
    [anon_sym_BSLASHs] = ACTIONS(23),
    [anon_sym_BSLASHr] = ACTIONS(23),
    [anon_sym_BSLASHsp] = ACTIONS(23),
    [anon_sym_BSLASHd] = ACTIONS(23),
    [anon_sym_BSLASHsd] = ACTIONS(23),
    [anon_sym_BSLASHp] = ACTIONS(23),
    [anon_sym_BSLASHm] = ACTIONS(23),
    [anon_sym_BSLASHpo] = ACTIONS(23),
    [anon_sym_BSLASHpr] = ACTIONS(23),
    [anon_sym_BSLASHcls] = ACTIONS(23),
    [anon_sym_BSLASHpmo] = ACTIONS(23),
    [anon_sym_BSLASHpm] = ACTIONS(23),
    [anon_sym_BSLASHpmc] = ACTIONS(23),
    [anon_sym_BSLASHpmr] = ACTIONS(23),
    [anon_sym_BSLASHpi] = ACTIONS(23),
    [anon_sym_BSLASHmi] = ACTIONS(23),
    [anon_sym_BSLASHnb] = ACTIONS(23),
    [anon_sym_BSLASHpc] = ACTIONS(23),
    [anon_sym_BSLASHph] = ACTIONS(23),
    [anon_sym_BSLASHb] = ACTIONS(23),
    [anon_sym_BSLASHq] = ACTIONS(23),
    [anon_sym_BSLASHqr] = ACTIONS(23),
    [anon_sym_BSLASHqc] = ACTIONS(23),
    [anon_sym_BSLASHqs] = ACTIONS(23),
    [anon_sym_BSLASHqa] = ACTIONS(23),
    [anon_sym_BSLASHqac] = ACTIONS(23),
    [anon_sym_BSLASHqm] = ACTIONS(23),
    [anon_sym_BSLASHqd] = ACTIONS(23),
    [anon_sym_BSLASHlh] = ACTIONS(23),
    [anon_sym_BSLASHli] = ACTIONS(23),
    [anon_sym_BSLASHlim] = ACTIONS(23),
    [anon_sym_BSLASHtr] = ACTIONS(23),
    [anon_sym_BSLASHf] = ACTIONS(23),
    [anon_sym_BSLASHfe] = ACTIONS(23),
    [anon_sym_BSLASHef] = ACTIONS(23),
    [anon_sym_BSLASHfm] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(23),
    [anon_sym_BSLASHxt] = ACTIONS(23),
    [anon_sym_BSLASHrq] = ACTIONS(23),
    [anon_sym_BSLASHadd] = ACTIONS(23),
    [anon_sym_BSLASHbk] = ACTIONS(23),
    [anon_sym_BSLASHdc] = ACTIONS(23),
    [anon_sym_BSLASHk] = ACTIONS(23),
    [anon_sym_BSLASHnd] = ACTIONS(23),
    [anon_sym_BSLASHord] = ACTIONS(23),
    [anon_sym_BSLASHpn] = ACTIONS(23),
    [anon_sym_BSLASHpng] = ACTIONS(23),
    [anon_sym_BSLASHaddpn] = ACTIONS(23),
    [anon_sym_BSLASHqt] = ACTIONS(23),
    [anon_sym_BSLASHsig] = ACTIONS(23),
    [anon_sym_BSLASHsls] = ACTIONS(23),
    [anon_sym_BSLASHtl] = ACTIONS(23),
    [anon_sym_BSLASHwj] = ACTIONS(23),
    [anon_sym_BSLASHem] = ACTIONS(23),
    [anon_sym_BSLASHbd] = ACTIONS(23),
    [anon_sym_BSLASHit] = ACTIONS(23),
    [anon_sym_BSLASHbdit] = ACTIONS(23),
    [anon_sym_BSLASHno] = ACTIONS(23),
    [anon_sym_BSLASHsc] = ACTIONS(23),
    [anon_sym_BSLASHsup] = ACTIONS(23),
    [anon_sym_BSLASHndx] = ACTIONS(23),
    [anon_sym_BSLASHpro] = ACTIONS(23),
    [anon_sym_BSLASHrb] = ACTIONS(23),
    [anon_sym_BSLASHw] = ACTIONS(23),
    [anon_sym_BSLASHwg] = ACTIONS(23),
    [anon_sym_BSLASHwh] = ACTIONS(23),
    [anon_sym_BSLASHwa] = ACTIONS(23),
    [anon_sym_BSLASHfig] = ACTIONS(23),
    [anon_sym_BSLASHjmp] = ACTIONS(23),
    [anon_sym_BSLASHpb] = ACTIONS(23),
    [anon_sym_BSLASH] = ACTIONS(23),
    [sym_milestoneStartTag] = ACTIONS(23),
    [sym_milestoneEndTag] = ACTIONS(23),
    [sym_zSpaceTag] = ACTIONS(23),
    [anon_sym_BSLASHesbe] = ACTIONS(23),
    [anon_sym_BSLASHcat] = ACTIONS(23),
  },
  [690] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqs] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqac] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
  },
  [691] = {
    [aux_sym_text_token1] = ACTIONS(5998),
    [anon_sym_BSLASHref] = ACTIONS(6000),
    [anon_sym_BSLASHsts] = ACTIONS(6000),
    [anon_sym_BSLASHrem] = ACTIONS(6000),
    [anon_sym_BSLASHrestore] = ACTIONS(6000),
    [anon_sym_BSLASHlit] = ACTIONS(6000),
    [anon_sym_BSLASHip] = ACTIONS(6000),
    [anon_sym_BSLASHv] = ACTIONS(6000),
    [anon_sym_BSLASHva] = ACTIONS(6000),
    [anon_sym_BSLASHvp] = ACTIONS(6000),
    [anon_sym_BSLASHmte] = ACTIONS(6000),
    [anon_sym_BSLASHms] = ACTIONS(6000),
    [anon_sym_BSLASHs] = ACTIONS(6000),
    [anon_sym_BSLASHr] = ACTIONS(6000),
    [anon_sym_BSLASHsp] = ACTIONS(6000),
    [anon_sym_BSLASHd] = ACTIONS(6000),
    [anon_sym_BSLASHsd] = ACTIONS(6000),
    [anon_sym_BSLASHp] = ACTIONS(6000),
    [anon_sym_BSLASHm] = ACTIONS(6000),
    [anon_sym_BSLASHpo] = ACTIONS(6000),
    [anon_sym_BSLASHpr] = ACTIONS(6000),
    [anon_sym_BSLASHcls] = ACTIONS(6000),
    [anon_sym_BSLASHpmo] = ACTIONS(6000),
    [anon_sym_BSLASHpm] = ACTIONS(6000),
    [anon_sym_BSLASHpmc] = ACTIONS(6000),
    [anon_sym_BSLASHpmr] = ACTIONS(6000),
    [anon_sym_BSLASHpi] = ACTIONS(6000),
    [anon_sym_BSLASHmi] = ACTIONS(6000),
    [anon_sym_BSLASHnb] = ACTIONS(6000),
    [anon_sym_BSLASHpc] = ACTIONS(6000),
    [anon_sym_BSLASHph] = ACTIONS(6000),
    [anon_sym_BSLASHb] = ACTIONS(6000),
    [anon_sym_BSLASHq] = ACTIONS(6000),
    [anon_sym_BSLASHqr] = ACTIONS(6000),
    [anon_sym_BSLASHqc] = ACTIONS(6000),
    [anon_sym_BSLASHqs] = ACTIONS(6000),
    [anon_sym_BSLASHqa] = ACTIONS(6000),
    [anon_sym_BSLASHqac] = ACTIONS(6000),
    [anon_sym_BSLASHqm] = ACTIONS(6000),
    [anon_sym_BSLASHqd] = ACTIONS(6000),
    [anon_sym_BSLASHlh] = ACTIONS(6000),
    [anon_sym_BSLASHli] = ACTIONS(6000),
    [anon_sym_BSLASHlim] = ACTIONS(6000),
    [anon_sym_BSLASHtr] = ACTIONS(6000),
    [anon_sym_BSLASHf] = ACTIONS(6000),
    [anon_sym_BSLASHfe] = ACTIONS(6000),
    [anon_sym_BSLASHef] = ACTIONS(6000),
    [anon_sym_BSLASHfm] = ACTIONS(6000),
    [anon_sym_BSLASHx] = ACTIONS(6000),
    [anon_sym_BSLASHxt] = ACTIONS(6000),
    [anon_sym_BSLASHrq] = ACTIONS(6000),
    [anon_sym_BSLASHadd] = ACTIONS(6000),
    [anon_sym_BSLASHbk] = ACTIONS(6000),
    [anon_sym_BSLASHdc] = ACTIONS(6000),
    [anon_sym_BSLASHk] = ACTIONS(6000),
    [anon_sym_BSLASHnd] = ACTIONS(6000),
    [anon_sym_BSLASHord] = ACTIONS(6000),
    [anon_sym_BSLASHpn] = ACTIONS(6000),
    [anon_sym_BSLASHpng] = ACTIONS(6000),
    [anon_sym_BSLASHaddpn] = ACTIONS(6000),
    [anon_sym_BSLASHqt] = ACTIONS(6000),
    [anon_sym_BSLASHsig] = ACTIONS(6000),
    [anon_sym_BSLASHsls] = ACTIONS(6000),
    [anon_sym_BSLASHtl] = ACTIONS(6000),
    [anon_sym_BSLASHwj] = ACTIONS(6000),
    [anon_sym_BSLASHem] = ACTIONS(6000),
    [anon_sym_BSLASHbd] = ACTIONS(6000),
    [anon_sym_BSLASHit] = ACTIONS(6000),
    [anon_sym_BSLASHbdit] = ACTIONS(6000),
    [anon_sym_BSLASHno] = ACTIONS(6000),
    [anon_sym_BSLASHsc] = ACTIONS(6000),
    [anon_sym_BSLASHsup] = ACTIONS(6000),
    [anon_sym_BSLASHndx] = ACTIONS(6000),
    [anon_sym_BSLASHpro] = ACTIONS(6000),
    [anon_sym_BSLASHrb] = ACTIONS(6000),
    [anon_sym_BSLASHw] = ACTIONS(6000),
    [anon_sym_BSLASHwg] = ACTIONS(6000),
    [anon_sym_BSLASHwh] = ACTIONS(6000),
    [anon_sym_BSLASHwa] = ACTIONS(6000),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASHjmp] = ACTIONS(6000),
    [anon_sym_BSLASHpb] = ACTIONS(6000),
    [anon_sym_BSLASH] = ACTIONS(6000),
    [sym_milestoneStartTag] = ACTIONS(6000),
    [sym_milestoneEndTag] = ACTIONS(6000),
    [sym_zSpaceTag] = ACTIONS(6000),
    [anon_sym_BSLASHesbe] = ACTIONS(6000),
    [anon_sym_BSLASHcat] = ACTIONS(6000),
  },
  [692] = {
    [aux_sym_text_token1] = ACTIONS(41),
    [anon_sym_BSLASHref] = ACTIONS(43),
    [anon_sym_BSLASHsts] = ACTIONS(43),
    [anon_sym_BSLASHrem] = ACTIONS(43),
    [anon_sym_BSLASHrestore] = ACTIONS(43),
    [anon_sym_BSLASHlit] = ACTIONS(43),
    [anon_sym_BSLASHip] = ACTIONS(43),
    [anon_sym_BSLASHv] = ACTIONS(43),
    [anon_sym_BSLASHva] = ACTIONS(43),
    [anon_sym_BSLASHvp] = ACTIONS(43),
    [anon_sym_BSLASHmte] = ACTIONS(43),
    [anon_sym_BSLASHms] = ACTIONS(43),
    [anon_sym_BSLASHs] = ACTIONS(43),
    [anon_sym_BSLASHr] = ACTIONS(43),
    [anon_sym_BSLASHsp] = ACTIONS(43),
    [anon_sym_BSLASHd] = ACTIONS(43),
    [anon_sym_BSLASHsd] = ACTIONS(43),
    [anon_sym_BSLASHp] = ACTIONS(43),
    [anon_sym_BSLASHm] = ACTIONS(43),
    [anon_sym_BSLASHpo] = ACTIONS(43),
    [anon_sym_BSLASHpr] = ACTIONS(43),
    [anon_sym_BSLASHcls] = ACTIONS(43),
    [anon_sym_BSLASHpmo] = ACTIONS(43),
    [anon_sym_BSLASHpm] = ACTIONS(43),
    [anon_sym_BSLASHpmc] = ACTIONS(43),
    [anon_sym_BSLASHpmr] = ACTIONS(43),
    [anon_sym_BSLASHpi] = ACTIONS(43),
    [anon_sym_BSLASHmi] = ACTIONS(43),
    [anon_sym_BSLASHnb] = ACTIONS(43),
    [anon_sym_BSLASHpc] = ACTIONS(43),
    [anon_sym_BSLASHph] = ACTIONS(43),
    [anon_sym_BSLASHb] = ACTIONS(43),
    [anon_sym_BSLASHq] = ACTIONS(43),
    [anon_sym_BSLASHqr] = ACTIONS(43),
    [anon_sym_BSLASHqc] = ACTIONS(43),
    [anon_sym_BSLASHqs] = ACTIONS(43),
    [anon_sym_BSLASHqa] = ACTIONS(43),
    [anon_sym_BSLASHqac] = ACTIONS(43),
    [anon_sym_BSLASHqm] = ACTIONS(43),
    [anon_sym_BSLASHqd] = ACTIONS(43),
    [anon_sym_BSLASHlh] = ACTIONS(43),
    [anon_sym_BSLASHli] = ACTIONS(43),
    [anon_sym_BSLASHlim] = ACTIONS(43),
    [anon_sym_BSLASHtr] = ACTIONS(43),
    [anon_sym_BSLASHf] = ACTIONS(43),
    [anon_sym_BSLASHfe] = ACTIONS(43),
    [anon_sym_BSLASHef] = ACTIONS(43),
    [anon_sym_BSLASHfm] = ACTIONS(43),
    [anon_sym_BSLASHx] = ACTIONS(43),
    [anon_sym_BSLASHxt] = ACTIONS(43),
    [anon_sym_BSLASHrq] = ACTIONS(43),
    [anon_sym_BSLASHadd] = ACTIONS(43),
    [anon_sym_BSLASHbk] = ACTIONS(43),
    [anon_sym_BSLASHdc] = ACTIONS(43),
    [anon_sym_BSLASHk] = ACTIONS(43),
    [anon_sym_BSLASHnd] = ACTIONS(43),
    [anon_sym_BSLASHord] = ACTIONS(43),
    [anon_sym_BSLASHpn] = ACTIONS(43),
    [anon_sym_BSLASHpng] = ACTIONS(43),
    [anon_sym_BSLASHaddpn] = ACTIONS(43),
    [anon_sym_BSLASHqt] = ACTIONS(43),
    [anon_sym_BSLASHsig] = ACTIONS(43),
    [anon_sym_BSLASHsls] = ACTIONS(43),
    [anon_sym_BSLASHtl] = ACTIONS(43),
    [anon_sym_BSLASHwj] = ACTIONS(43),
    [anon_sym_BSLASHem] = ACTIONS(43),
    [anon_sym_BSLASHbd] = ACTIONS(43),
    [anon_sym_BSLASHit] = ACTIONS(43),
    [anon_sym_BSLASHbdit] = ACTIONS(43),
    [anon_sym_BSLASHno] = ACTIONS(43),
    [anon_sym_BSLASHsc] = ACTIONS(43),
    [anon_sym_BSLASHsup] = ACTIONS(43),
    [anon_sym_BSLASHndx] = ACTIONS(43),
    [anon_sym_BSLASHpro] = ACTIONS(43),
    [anon_sym_BSLASHrb] = ACTIONS(43),
    [anon_sym_BSLASHw] = ACTIONS(43),
    [anon_sym_BSLASHwg] = ACTIONS(43),
    [anon_sym_BSLASHwh] = ACTIONS(43),
    [anon_sym_BSLASHwa] = ACTIONS(43),
    [anon_sym_BSLASHfig] = ACTIONS(43),
    [anon_sym_BSLASHjmp] = ACTIONS(43),
    [anon_sym_BSLASHpb] = ACTIONS(43),
    [anon_sym_BSLASH] = ACTIONS(43),
    [sym_milestoneStartTag] = ACTIONS(43),
    [sym_milestoneEndTag] = ACTIONS(43),
    [sym_zSpaceTag] = ACTIONS(43),
    [anon_sym_BSLASHesbe] = ACTIONS(43),
    [anon_sym_BSLASHcat] = ACTIONS(43),
  },
  [693] = {
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHref] = ACTIONS(6008),
    [anon_sym_BSLASHsts] = ACTIONS(6008),
    [anon_sym_BSLASHrem] = ACTIONS(6008),
    [anon_sym_BSLASHrestore] = ACTIONS(6008),
    [anon_sym_BSLASHlit] = ACTIONS(6008),
    [anon_sym_BSLASHip] = ACTIONS(6008),
    [anon_sym_BSLASHv] = ACTIONS(6008),
    [anon_sym_BSLASHva] = ACTIONS(6008),
    [anon_sym_BSLASHvp] = ACTIONS(6008),
    [anon_sym_BSLASHmte] = ACTIONS(6008),
    [anon_sym_BSLASHms] = ACTIONS(6008),
    [anon_sym_BSLASHs] = ACTIONS(6008),
    [anon_sym_BSLASHr] = ACTIONS(6008),
    [anon_sym_BSLASHsp] = ACTIONS(6008),
    [anon_sym_BSLASHd] = ACTIONS(6008),
    [anon_sym_BSLASHsd] = ACTIONS(6008),
    [anon_sym_BSLASHp] = ACTIONS(6008),
    [anon_sym_BSLASHm] = ACTIONS(6008),
    [anon_sym_BSLASHpo] = ACTIONS(6008),
    [anon_sym_BSLASHpr] = ACTIONS(6008),
    [anon_sym_BSLASHcls] = ACTIONS(6008),
    [anon_sym_BSLASHpmo] = ACTIONS(6008),
    [anon_sym_BSLASHpm] = ACTIONS(6008),
    [anon_sym_BSLASHpmc] = ACTIONS(6008),
    [anon_sym_BSLASHpmr] = ACTIONS(6008),
    [anon_sym_BSLASHpi] = ACTIONS(6008),
    [anon_sym_BSLASHmi] = ACTIONS(6008),
    [anon_sym_BSLASHnb] = ACTIONS(6008),
    [anon_sym_BSLASHpc] = ACTIONS(6008),
    [anon_sym_BSLASHph] = ACTIONS(6008),
    [anon_sym_BSLASHb] = ACTIONS(6008),
    [anon_sym_BSLASHq] = ACTIONS(6008),
    [anon_sym_BSLASHqr] = ACTIONS(6008),
    [anon_sym_BSLASHqc] = ACTIONS(6008),
    [anon_sym_BSLASHqs] = ACTIONS(6008),
    [anon_sym_BSLASHqa] = ACTIONS(6008),
    [anon_sym_BSLASHqac] = ACTIONS(6008),
    [anon_sym_BSLASHqm] = ACTIONS(6008),
    [anon_sym_BSLASHqd] = ACTIONS(6008),
    [anon_sym_BSLASHlh] = ACTIONS(6008),
    [anon_sym_BSLASHli] = ACTIONS(6008),
    [anon_sym_BSLASHlim] = ACTIONS(6008),
    [anon_sym_BSLASHtr] = ACTIONS(6008),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6008),
    [anon_sym_BSLASHef] = ACTIONS(6008),
    [anon_sym_BSLASHfm] = ACTIONS(6008),
    [anon_sym_BSLASHx] = ACTIONS(6008),
    [anon_sym_BSLASHxt] = ACTIONS(6008),
    [anon_sym_BSLASHrq] = ACTIONS(6008),
    [anon_sym_BSLASHadd] = ACTIONS(6008),
    [anon_sym_BSLASHbk] = ACTIONS(6008),
    [anon_sym_BSLASHdc] = ACTIONS(6008),
    [anon_sym_BSLASHk] = ACTIONS(6008),
    [anon_sym_BSLASHnd] = ACTIONS(6008),
    [anon_sym_BSLASHord] = ACTIONS(6008),
    [anon_sym_BSLASHpn] = ACTIONS(6008),
    [anon_sym_BSLASHpng] = ACTIONS(6008),
    [anon_sym_BSLASHaddpn] = ACTIONS(6008),
    [anon_sym_BSLASHqt] = ACTIONS(6008),
    [anon_sym_BSLASHsig] = ACTIONS(6008),
    [anon_sym_BSLASHsls] = ACTIONS(6008),
    [anon_sym_BSLASHtl] = ACTIONS(6008),
    [anon_sym_BSLASHwj] = ACTIONS(6008),
    [anon_sym_BSLASHem] = ACTIONS(6008),
    [anon_sym_BSLASHbd] = ACTIONS(6008),
    [anon_sym_BSLASHit] = ACTIONS(6008),
    [anon_sym_BSLASHbdit] = ACTIONS(6008),
    [anon_sym_BSLASHno] = ACTIONS(6008),
    [anon_sym_BSLASHsc] = ACTIONS(6008),
    [anon_sym_BSLASHsup] = ACTIONS(6008),
    [anon_sym_BSLASHndx] = ACTIONS(6008),
    [anon_sym_BSLASHpro] = ACTIONS(6008),
    [anon_sym_BSLASHrb] = ACTIONS(6008),
    [anon_sym_BSLASHw] = ACTIONS(6008),
    [anon_sym_BSLASHwg] = ACTIONS(6008),
    [anon_sym_BSLASHwh] = ACTIONS(6008),
    [anon_sym_BSLASHwa] = ACTIONS(6008),
    [anon_sym_BSLASHfig] = ACTIONS(6008),
    [anon_sym_BSLASHjmp] = ACTIONS(6008),
    [anon_sym_BSLASHpb] = ACTIONS(6008),
    [anon_sym_BSLASH] = ACTIONS(6008),
    [sym_milestoneStartTag] = ACTIONS(6008),
    [sym_milestoneEndTag] = ACTIONS(6008),
    [sym_zSpaceTag] = ACTIONS(6008),
    [anon_sym_BSLASHesbe] = ACTIONS(6008),
    [anon_sym_BSLASHcat] = ACTIONS(6008),
  },
  [694] = {
    [aux_sym_text_token1] = ACTIONS(6010),
    [anon_sym_BSLASHref] = ACTIONS(6012),
    [anon_sym_BSLASHsts] = ACTIONS(6012),
    [anon_sym_BSLASHrem] = ACTIONS(6012),
    [anon_sym_BSLASHrestore] = ACTIONS(6012),
    [anon_sym_BSLASHlit] = ACTIONS(6012),
    [anon_sym_BSLASHip] = ACTIONS(6012),
    [anon_sym_BSLASHv] = ACTIONS(6012),
    [anon_sym_BSLASHva] = ACTIONS(6012),
    [anon_sym_BSLASHvp] = ACTIONS(6012),
    [anon_sym_BSLASHmte] = ACTIONS(6012),
    [anon_sym_BSLASHms] = ACTIONS(6012),
    [anon_sym_BSLASHs] = ACTIONS(6012),
    [anon_sym_BSLASHr] = ACTIONS(6012),
    [anon_sym_BSLASHsp] = ACTIONS(6012),
    [anon_sym_BSLASHd] = ACTIONS(6012),
    [anon_sym_BSLASHsd] = ACTIONS(6012),
    [anon_sym_BSLASHp] = ACTIONS(6012),
    [anon_sym_BSLASHm] = ACTIONS(6012),
    [anon_sym_BSLASHpo] = ACTIONS(6012),
    [anon_sym_BSLASHpr] = ACTIONS(6012),
    [anon_sym_BSLASHcls] = ACTIONS(6012),
    [anon_sym_BSLASHpmo] = ACTIONS(6012),
    [anon_sym_BSLASHpm] = ACTIONS(6012),
    [anon_sym_BSLASHpmc] = ACTIONS(6012),
    [anon_sym_BSLASHpmr] = ACTIONS(6012),
    [anon_sym_BSLASHpi] = ACTIONS(6012),
    [anon_sym_BSLASHmi] = ACTIONS(6012),
    [anon_sym_BSLASHnb] = ACTIONS(6012),
    [anon_sym_BSLASHpc] = ACTIONS(6012),
    [anon_sym_BSLASHph] = ACTIONS(6012),
    [anon_sym_BSLASHb] = ACTIONS(6012),
    [anon_sym_BSLASHq] = ACTIONS(6012),
    [anon_sym_BSLASHqr] = ACTIONS(6012),
    [anon_sym_BSLASHqc] = ACTIONS(6012),
    [anon_sym_BSLASHqs] = ACTIONS(6012),
    [anon_sym_BSLASHqa] = ACTIONS(6012),
    [anon_sym_BSLASHqac] = ACTIONS(6012),
    [anon_sym_BSLASHqm] = ACTIONS(6012),
    [anon_sym_BSLASHqd] = ACTIONS(6012),
    [anon_sym_BSLASHlh] = ACTIONS(6012),
    [anon_sym_BSLASHli] = ACTIONS(6012),
    [anon_sym_BSLASHlim] = ACTIONS(6012),
    [anon_sym_BSLASHtr] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6012),
    [anon_sym_BSLASHfe] = ACTIONS(6012),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6012),
    [anon_sym_BSLASHx] = ACTIONS(6012),
    [anon_sym_BSLASHxt] = ACTIONS(6012),
    [anon_sym_BSLASHrq] = ACTIONS(6012),
    [anon_sym_BSLASHadd] = ACTIONS(6012),
    [anon_sym_BSLASHbk] = ACTIONS(6012),
    [anon_sym_BSLASHdc] = ACTIONS(6012),
    [anon_sym_BSLASHk] = ACTIONS(6012),
    [anon_sym_BSLASHnd] = ACTIONS(6012),
    [anon_sym_BSLASHord] = ACTIONS(6012),
    [anon_sym_BSLASHpn] = ACTIONS(6012),
    [anon_sym_BSLASHpng] = ACTIONS(6012),
    [anon_sym_BSLASHaddpn] = ACTIONS(6012),
    [anon_sym_BSLASHqt] = ACTIONS(6012),
    [anon_sym_BSLASHsig] = ACTIONS(6012),
    [anon_sym_BSLASHsls] = ACTIONS(6012),
    [anon_sym_BSLASHtl] = ACTIONS(6012),
    [anon_sym_BSLASHwj] = ACTIONS(6012),
    [anon_sym_BSLASHem] = ACTIONS(6012),
    [anon_sym_BSLASHbd] = ACTIONS(6012),
    [anon_sym_BSLASHit] = ACTIONS(6012),
    [anon_sym_BSLASHbdit] = ACTIONS(6012),
    [anon_sym_BSLASHno] = ACTIONS(6012),
    [anon_sym_BSLASHsc] = ACTIONS(6012),
    [anon_sym_BSLASHsup] = ACTIONS(6012),
    [anon_sym_BSLASHndx] = ACTIONS(6012),
    [anon_sym_BSLASHpro] = ACTIONS(6012),
    [anon_sym_BSLASHrb] = ACTIONS(6012),
    [anon_sym_BSLASHw] = ACTIONS(6012),
    [anon_sym_BSLASHwg] = ACTIONS(6012),
    [anon_sym_BSLASHwh] = ACTIONS(6012),
    [anon_sym_BSLASHwa] = ACTIONS(6012),
    [anon_sym_BSLASHfig] = ACTIONS(6012),
    [anon_sym_BSLASHjmp] = ACTIONS(6012),
    [anon_sym_BSLASHpb] = ACTIONS(6012),
    [anon_sym_BSLASH] = ACTIONS(6012),
    [sym_milestoneStartTag] = ACTIONS(6012),
    [sym_milestoneEndTag] = ACTIONS(6012),
    [sym_zSpaceTag] = ACTIONS(6012),
    [anon_sym_BSLASHesbe] = ACTIONS(6012),
    [anon_sym_BSLASHcat] = ACTIONS(6012),
  },
  [695] = {
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHref] = ACTIONS(2737),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHv] = ACTIONS(2737),
    [anon_sym_BSLASHva] = ACTIONS(2737),
    [anon_sym_BSLASHvp] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqs] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqac] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHx] = ACTIONS(2737),
    [anon_sym_BSLASHxt] = ACTIONS(2737),
    [anon_sym_BSLASHrq] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesbe] = ACTIONS(2737),
    [anon_sym_BSLASHcat] = ACTIONS(2737),
  },
  [696] = {
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHref] = ACTIONS(2721),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHv] = ACTIONS(2721),
    [anon_sym_BSLASHva] = ACTIONS(2721),
    [anon_sym_BSLASHvp] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqs] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqac] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHx] = ACTIONS(2721),
    [anon_sym_BSLASHxt] = ACTIONS(2721),
    [anon_sym_BSLASHrq] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesbe] = ACTIONS(2721),
    [anon_sym_BSLASHcat] = ACTIONS(2721),
  },
  [697] = {
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHref] = ACTIONS(2717),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHv] = ACTIONS(2717),
    [anon_sym_BSLASHva] = ACTIONS(2717),
    [anon_sym_BSLASHvp] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqs] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqac] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHx] = ACTIONS(2717),
    [anon_sym_BSLASHxt] = ACTIONS(2717),
    [anon_sym_BSLASHrq] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesbe] = ACTIONS(2717),
    [anon_sym_BSLASHcat] = ACTIONS(2717),
  },
  [698] = {
    [aux_sym_text_token1] = ACTIONS(6274),
    [anon_sym_BSLASHref] = ACTIONS(5908),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfr] = ACTIONS(5908),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfq] = ACTIONS(5908),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfqa] = ACTIONS(5908),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfk] = ACTIONS(5908),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfl] = ACTIONS(5908),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfw] = ACTIONS(5908),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfp] = ACTIONS(5908),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHft] = ACTIONS(5908),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfdc] = ACTIONS(5908),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHfv] = ACTIONS(5908),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHxt] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5908),
    [anon_sym_BSLASHadd] = ACTIONS(5908),
    [anon_sym_BSLASHbk] = ACTIONS(5908),
    [anon_sym_BSLASHdc] = ACTIONS(5908),
    [anon_sym_BSLASHk] = ACTIONS(5908),
    [anon_sym_BSLASHnd] = ACTIONS(5908),
    [anon_sym_BSLASHord] = ACTIONS(5908),
    [anon_sym_BSLASHpn] = ACTIONS(5908),
    [anon_sym_BSLASHpng] = ACTIONS(5908),
    [anon_sym_BSLASHaddpn] = ACTIONS(5908),
    [anon_sym_BSLASHqt] = ACTIONS(5908),
    [anon_sym_BSLASHsig] = ACTIONS(5908),
    [anon_sym_BSLASHsls] = ACTIONS(5908),
    [anon_sym_BSLASHtl] = ACTIONS(5908),
    [anon_sym_BSLASHwj] = ACTIONS(5908),
    [anon_sym_BSLASHem] = ACTIONS(5908),
    [anon_sym_BSLASHbd] = ACTIONS(5908),
    [anon_sym_BSLASHit] = ACTIONS(5908),
    [anon_sym_BSLASHbdit] = ACTIONS(5908),
    [anon_sym_BSLASHno] = ACTIONS(5908),
    [anon_sym_BSLASHsc] = ACTIONS(5908),
    [anon_sym_BSLASHsup] = ACTIONS(5908),
    [anon_sym_BSLASHndx] = ACTIONS(5908),
    [anon_sym_BSLASHpro] = ACTIONS(5908),
    [anon_sym_BSLASHrb] = ACTIONS(5908),
    [anon_sym_BSLASHw] = ACTIONS(5908),
    [anon_sym_BSLASHwg] = ACTIONS(5908),
    [anon_sym_BSLASHwh] = ACTIONS(5908),
    [anon_sym_BSLASHwa] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5908),
    [anon_sym_BSLASHfig] = ACTIONS(5908),
    [anon_sym_BSLASHjmp] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5908),
    [anon_sym_BSLASHcat] = ACTIONS(5908),
  },
  [699] = {
    [aux_sym_text_token1] = ACTIONS(6014),
    [anon_sym_BSLASHref] = ACTIONS(6016),
    [anon_sym_BSLASHsts] = ACTIONS(6016),
    [anon_sym_BSLASHrem] = ACTIONS(6016),
    [anon_sym_BSLASHrestore] = ACTIONS(6016),
    [anon_sym_BSLASHlit] = ACTIONS(6016),
    [anon_sym_BSLASHip] = ACTIONS(6016),
    [anon_sym_BSLASHv] = ACTIONS(6016),
    [anon_sym_BSLASHva] = ACTIONS(6016),
    [anon_sym_BSLASHvp] = ACTIONS(6016),
    [anon_sym_BSLASHmte] = ACTIONS(6016),
    [anon_sym_BSLASHms] = ACTIONS(6016),
    [anon_sym_BSLASHs] = ACTIONS(6016),
    [anon_sym_BSLASHr] = ACTIONS(6016),
    [anon_sym_BSLASHsp] = ACTIONS(6016),
    [anon_sym_BSLASHd] = ACTIONS(6016),
    [anon_sym_BSLASHsd] = ACTIONS(6016),
    [anon_sym_BSLASHp] = ACTIONS(6016),
    [anon_sym_BSLASHm] = ACTIONS(6016),
    [anon_sym_BSLASHpo] = ACTIONS(6016),
    [anon_sym_BSLASHpr] = ACTIONS(6016),
    [anon_sym_BSLASHcls] = ACTIONS(6016),
    [anon_sym_BSLASHpmo] = ACTIONS(6016),
    [anon_sym_BSLASHpm] = ACTIONS(6016),
    [anon_sym_BSLASHpmc] = ACTIONS(6016),
    [anon_sym_BSLASHpmr] = ACTIONS(6016),
    [anon_sym_BSLASHpi] = ACTIONS(6016),
    [anon_sym_BSLASHmi] = ACTIONS(6016),
    [anon_sym_BSLASHnb] = ACTIONS(6016),
    [anon_sym_BSLASHpc] = ACTIONS(6016),
    [anon_sym_BSLASHph] = ACTIONS(6016),
    [anon_sym_BSLASHb] = ACTIONS(6016),
    [anon_sym_BSLASHq] = ACTIONS(6016),
    [anon_sym_BSLASHqr] = ACTIONS(6016),
    [anon_sym_BSLASHqc] = ACTIONS(6016),
    [anon_sym_BSLASHqs] = ACTIONS(6016),
    [anon_sym_BSLASHqa] = ACTIONS(6016),
    [anon_sym_BSLASHqac] = ACTIONS(6016),
    [anon_sym_BSLASHqm] = ACTIONS(6016),
    [anon_sym_BSLASHqd] = ACTIONS(6016),
    [anon_sym_BSLASHlh] = ACTIONS(6016),
    [anon_sym_BSLASHli] = ACTIONS(6016),
    [anon_sym_BSLASHlim] = ACTIONS(6016),
    [anon_sym_BSLASHtr] = ACTIONS(6016),
    [anon_sym_BSLASHf] = ACTIONS(6016),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6016),
    [anon_sym_BSLASHfm] = ACTIONS(6016),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6016),
    [anon_sym_BSLASHrq] = ACTIONS(6016),
    [anon_sym_BSLASHadd] = ACTIONS(6016),
    [anon_sym_BSLASHbk] = ACTIONS(6016),
    [anon_sym_BSLASHdc] = ACTIONS(6016),
    [anon_sym_BSLASHk] = ACTIONS(6016),
    [anon_sym_BSLASHnd] = ACTIONS(6016),
    [anon_sym_BSLASHord] = ACTIONS(6016),
    [anon_sym_BSLASHpn] = ACTIONS(6016),
    [anon_sym_BSLASHpng] = ACTIONS(6016),
    [anon_sym_BSLASHaddpn] = ACTIONS(6016),
    [anon_sym_BSLASHqt] = ACTIONS(6016),
    [anon_sym_BSLASHsig] = ACTIONS(6016),
    [anon_sym_BSLASHsls] = ACTIONS(6016),
    [anon_sym_BSLASHtl] = ACTIONS(6016),
    [anon_sym_BSLASHwj] = ACTIONS(6016),
    [anon_sym_BSLASHem] = ACTIONS(6016),
    [anon_sym_BSLASHbd] = ACTIONS(6016),
    [anon_sym_BSLASHit] = ACTIONS(6016),
    [anon_sym_BSLASHbdit] = ACTIONS(6016),
    [anon_sym_BSLASHno] = ACTIONS(6016),
    [anon_sym_BSLASHsc] = ACTIONS(6016),
    [anon_sym_BSLASHsup] = ACTIONS(6016),
    [anon_sym_BSLASHndx] = ACTIONS(6016),
    [anon_sym_BSLASHpro] = ACTIONS(6016),
    [anon_sym_BSLASHrb] = ACTIONS(6016),
    [anon_sym_BSLASHw] = ACTIONS(6016),
    [anon_sym_BSLASHwg] = ACTIONS(6016),
    [anon_sym_BSLASHwh] = ACTIONS(6016),
    [anon_sym_BSLASHwa] = ACTIONS(6016),
    [anon_sym_BSLASHfig] = ACTIONS(6016),
    [anon_sym_BSLASHjmp] = ACTIONS(6016),
    [anon_sym_BSLASHpb] = ACTIONS(6016),
    [anon_sym_BSLASH] = ACTIONS(6016),
    [sym_milestoneStartTag] = ACTIONS(6016),
    [sym_milestoneEndTag] = ACTIONS(6016),
    [sym_zSpaceTag] = ACTIONS(6016),
    [anon_sym_BSLASHesbe] = ACTIONS(6016),
    [anon_sym_BSLASHcat] = ACTIONS(6016),
  },
  [700] = {
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHref] = ACTIONS(2685),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHv] = ACTIONS(2685),
    [anon_sym_BSLASHva] = ACTIONS(2685),
    [anon_sym_BSLASHvp] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqs] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqac] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHx] = ACTIONS(2685),
    [anon_sym_BSLASHxt] = ACTIONS(2685),
    [anon_sym_BSLASHrq] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesbe] = ACTIONS(2685),
    [anon_sym_BSLASHcat] = ACTIONS(2685),
  },
  [701] = {
    [aux_sym_text_token1] = ACTIONS(2771),
    [anon_sym_BSLASHref] = ACTIONS(2773),
    [anon_sym_BSLASHsts] = ACTIONS(2773),
    [anon_sym_BSLASHrem] = ACTIONS(2773),
    [anon_sym_BSLASHrestore] = ACTIONS(2773),
    [anon_sym_BSLASHlit] = ACTIONS(2773),
    [anon_sym_BSLASHip] = ACTIONS(2773),
    [anon_sym_BSLASHv] = ACTIONS(2773),
    [anon_sym_BSLASHva] = ACTIONS(2773),
    [anon_sym_BSLASHvp] = ACTIONS(2773),
    [anon_sym_BSLASHmte] = ACTIONS(2773),
    [anon_sym_BSLASHms] = ACTIONS(2773),
    [anon_sym_BSLASHs] = ACTIONS(2773),
    [anon_sym_BSLASHr] = ACTIONS(2773),
    [anon_sym_BSLASHsp] = ACTIONS(2773),
    [anon_sym_BSLASHd] = ACTIONS(2773),
    [anon_sym_BSLASHsd] = ACTIONS(2773),
    [anon_sym_BSLASHp] = ACTIONS(2773),
    [anon_sym_BSLASHm] = ACTIONS(2773),
    [anon_sym_BSLASHpo] = ACTIONS(2773),
    [anon_sym_BSLASHpr] = ACTIONS(2773),
    [anon_sym_BSLASHcls] = ACTIONS(2773),
    [anon_sym_BSLASHpmo] = ACTIONS(2773),
    [anon_sym_BSLASHpm] = ACTIONS(2773),
    [anon_sym_BSLASHpmc] = ACTIONS(2773),
    [anon_sym_BSLASHpmr] = ACTIONS(2773),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2773),
    [anon_sym_BSLASHnb] = ACTIONS(2773),
    [anon_sym_BSLASHpc] = ACTIONS(2773),
    [anon_sym_BSLASHph] = ACTIONS(2773),
    [anon_sym_BSLASHb] = ACTIONS(2773),
    [anon_sym_BSLASHq] = ACTIONS(2773),
    [anon_sym_BSLASHqr] = ACTIONS(2773),
    [anon_sym_BSLASHqc] = ACTIONS(2773),
    [anon_sym_BSLASHqs] = ACTIONS(2773),
    [anon_sym_BSLASHqa] = ACTIONS(2773),
    [anon_sym_BSLASHqac] = ACTIONS(2773),
    [anon_sym_BSLASHqm] = ACTIONS(2773),
    [anon_sym_BSLASHqd] = ACTIONS(2773),
    [anon_sym_BSLASHlh] = ACTIONS(2773),
    [anon_sym_BSLASHli] = ACTIONS(2773),
    [anon_sym_BSLASHlim] = ACTIONS(2773),
    [anon_sym_BSLASHtr] = ACTIONS(2773),
    [anon_sym_BSLASHf] = ACTIONS(2773),
    [anon_sym_BSLASHfe] = ACTIONS(2773),
    [anon_sym_BSLASHef] = ACTIONS(2773),
    [anon_sym_BSLASHfm] = ACTIONS(2773),
    [anon_sym_BSLASHx] = ACTIONS(2773),
    [anon_sym_BSLASHxt] = ACTIONS(2773),
    [anon_sym_BSLASHrq] = ACTIONS(2773),
    [anon_sym_BSLASHadd] = ACTIONS(2773),
    [anon_sym_BSLASHbk] = ACTIONS(2773),
    [anon_sym_BSLASHdc] = ACTIONS(2773),
    [anon_sym_BSLASHk] = ACTIONS(2773),
    [anon_sym_BSLASHnd] = ACTIONS(2773),
    [anon_sym_BSLASHord] = ACTIONS(2773),
    [anon_sym_BSLASHpn] = ACTIONS(2773),
    [anon_sym_BSLASHpng] = ACTIONS(2773),
    [anon_sym_BSLASHaddpn] = ACTIONS(2773),
    [anon_sym_BSLASHqt] = ACTIONS(2773),
    [anon_sym_BSLASHsig] = ACTIONS(2773),
    [anon_sym_BSLASHsls] = ACTIONS(2773),
    [anon_sym_BSLASHtl] = ACTIONS(2773),
    [anon_sym_BSLASHwj] = ACTIONS(2773),
    [anon_sym_BSLASHem] = ACTIONS(2773),
    [anon_sym_BSLASHbd] = ACTIONS(2773),
    [anon_sym_BSLASHit] = ACTIONS(2773),
    [anon_sym_BSLASHbdit] = ACTIONS(2773),
    [anon_sym_BSLASHno] = ACTIONS(2773),
    [anon_sym_BSLASHsc] = ACTIONS(2773),
    [anon_sym_BSLASHsup] = ACTIONS(2773),
    [anon_sym_BSLASHndx] = ACTIONS(2773),
    [anon_sym_BSLASHpro] = ACTIONS(2773),
    [anon_sym_BSLASHrb] = ACTIONS(2773),
    [anon_sym_BSLASHw] = ACTIONS(2773),
    [anon_sym_BSLASHwg] = ACTIONS(2773),
    [anon_sym_BSLASHwh] = ACTIONS(2773),
    [anon_sym_BSLASHwa] = ACTIONS(2773),
    [anon_sym_BSLASHfig] = ACTIONS(2773),
    [anon_sym_BSLASHjmp] = ACTIONS(2773),
    [anon_sym_BSLASHpb] = ACTIONS(2773),
    [anon_sym_BSLASH] = ACTIONS(2773),
    [sym_milestoneStartTag] = ACTIONS(2773),
    [sym_milestoneEndTag] = ACTIONS(2773),
    [sym_zSpaceTag] = ACTIONS(2773),
    [anon_sym_BSLASHesbe] = ACTIONS(2773),
    [anon_sym_BSLASHcat] = ACTIONS(2773),
  },
  [702] = {
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHref] = ACTIONS(2733),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHv] = ACTIONS(2733),
    [anon_sym_BSLASHva] = ACTIONS(2733),
    [anon_sym_BSLASHvp] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqs] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqac] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHx] = ACTIONS(2733),
    [anon_sym_BSLASHxt] = ACTIONS(2733),
    [anon_sym_BSLASHrq] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesbe] = ACTIONS(2733),
    [anon_sym_BSLASHcat] = ACTIONS(2733),
  },
  [703] = {
    [aux_sym_text_token1] = ACTIONS(6018),
    [anon_sym_BSLASHref] = ACTIONS(6020),
    [anon_sym_BSLASHsts] = ACTIONS(6020),
    [anon_sym_BSLASHrem] = ACTIONS(6020),
    [anon_sym_BSLASHrestore] = ACTIONS(6020),
    [anon_sym_BSLASHlit] = ACTIONS(6020),
    [anon_sym_BSLASHip] = ACTIONS(6020),
    [anon_sym_BSLASHv] = ACTIONS(6020),
    [anon_sym_BSLASHva] = ACTIONS(6020),
    [anon_sym_BSLASHvp] = ACTIONS(6020),
    [anon_sym_BSLASHmte] = ACTIONS(6020),
    [anon_sym_BSLASHms] = ACTIONS(6020),
    [anon_sym_BSLASHs] = ACTIONS(6020),
    [anon_sym_BSLASHr] = ACTIONS(6020),
    [anon_sym_BSLASHsp] = ACTIONS(6020),
    [anon_sym_BSLASHd] = ACTIONS(6020),
    [anon_sym_BSLASHsd] = ACTIONS(6020),
    [anon_sym_BSLASHp] = ACTIONS(6020),
    [anon_sym_BSLASHm] = ACTIONS(6020),
    [anon_sym_BSLASHpo] = ACTIONS(6020),
    [anon_sym_BSLASHpr] = ACTIONS(6020),
    [anon_sym_BSLASHcls] = ACTIONS(6020),
    [anon_sym_BSLASHpmo] = ACTIONS(6020),
    [anon_sym_BSLASHpm] = ACTIONS(6020),
    [anon_sym_BSLASHpmc] = ACTIONS(6020),
    [anon_sym_BSLASHpmr] = ACTIONS(6020),
    [anon_sym_BSLASHpi] = ACTIONS(6020),
    [anon_sym_BSLASHmi] = ACTIONS(6020),
    [anon_sym_BSLASHnb] = ACTIONS(6020),
    [anon_sym_BSLASHpc] = ACTIONS(6020),
    [anon_sym_BSLASHph] = ACTIONS(6020),
    [anon_sym_BSLASHb] = ACTIONS(6020),
    [anon_sym_BSLASHq] = ACTIONS(6020),
    [anon_sym_BSLASHqr] = ACTIONS(6020),
    [anon_sym_BSLASHqc] = ACTIONS(6020),
    [anon_sym_BSLASHqs] = ACTIONS(6020),
    [anon_sym_BSLASHqa] = ACTIONS(6020),
    [anon_sym_BSLASHqac] = ACTIONS(6020),
    [anon_sym_BSLASHqm] = ACTIONS(6020),
    [anon_sym_BSLASHqd] = ACTIONS(6020),
    [anon_sym_BSLASHlh] = ACTIONS(6020),
    [anon_sym_BSLASHli] = ACTIONS(6020),
    [anon_sym_BSLASHlim] = ACTIONS(6020),
    [anon_sym_BSLASHtr] = ACTIONS(6020),
    [anon_sym_BSLASHf] = ACTIONS(6020),
    [anon_sym_BSLASHfe] = ACTIONS(6020),
    [anon_sym_BSLASHef] = ACTIONS(6020),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6020),
    [anon_sym_BSLASHxt] = ACTIONS(6020),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASHadd] = ACTIONS(6020),
    [anon_sym_BSLASHbk] = ACTIONS(6020),
    [anon_sym_BSLASHdc] = ACTIONS(6020),
    [anon_sym_BSLASHk] = ACTIONS(6020),
    [anon_sym_BSLASHnd] = ACTIONS(6020),
    [anon_sym_BSLASHord] = ACTIONS(6020),
    [anon_sym_BSLASHpn] = ACTIONS(6020),
    [anon_sym_BSLASHpng] = ACTIONS(6020),
    [anon_sym_BSLASHaddpn] = ACTIONS(6020),
    [anon_sym_BSLASHqt] = ACTIONS(6020),
    [anon_sym_BSLASHsig] = ACTIONS(6020),
    [anon_sym_BSLASHsls] = ACTIONS(6020),
    [anon_sym_BSLASHtl] = ACTIONS(6020),
    [anon_sym_BSLASHwj] = ACTIONS(6020),
    [anon_sym_BSLASHem] = ACTIONS(6020),
    [anon_sym_BSLASHbd] = ACTIONS(6020),
    [anon_sym_BSLASHit] = ACTIONS(6020),
    [anon_sym_BSLASHbdit] = ACTIONS(6020),
    [anon_sym_BSLASHno] = ACTIONS(6020),
    [anon_sym_BSLASHsc] = ACTIONS(6020),
    [anon_sym_BSLASHsup] = ACTIONS(6020),
    [anon_sym_BSLASHndx] = ACTIONS(6020),
    [anon_sym_BSLASHpro] = ACTIONS(6020),
    [anon_sym_BSLASHrb] = ACTIONS(6020),
    [anon_sym_BSLASHw] = ACTIONS(6020),
    [anon_sym_BSLASHwg] = ACTIONS(6020),
    [anon_sym_BSLASHwh] = ACTIONS(6020),
    [anon_sym_BSLASHwa] = ACTIONS(6020),
    [anon_sym_BSLASHfig] = ACTIONS(6020),
    [anon_sym_BSLASHjmp] = ACTIONS(6020),
    [anon_sym_BSLASHpb] = ACTIONS(6020),
    [anon_sym_BSLASH] = ACTIONS(6020),
    [sym_milestoneStartTag] = ACTIONS(6020),
    [sym_milestoneEndTag] = ACTIONS(6020),
    [sym_zSpaceTag] = ACTIONS(6020),
    [anon_sym_BSLASHesbe] = ACTIONS(6020),
    [anon_sym_BSLASHcat] = ACTIONS(6020),
  },
  [704] = {
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHref] = ACTIONS(2693),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHv] = ACTIONS(2693),
    [anon_sym_BSLASHva] = ACTIONS(2693),
    [anon_sym_BSLASHvp] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqs] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqac] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHx] = ACTIONS(2693),
    [anon_sym_BSLASHxt] = ACTIONS(2693),
    [anon_sym_BSLASHrq] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesbe] = ACTIONS(2693),
    [anon_sym_BSLASHcat] = ACTIONS(2693),
  },
  [705] = {
    [aux_sym_text_token1] = ACTIONS(25),
    [anon_sym_BSLASHref] = ACTIONS(27),
    [anon_sym_BSLASHsts] = ACTIONS(27),
    [anon_sym_BSLASHrem] = ACTIONS(27),
    [anon_sym_BSLASHrestore] = ACTIONS(27),
    [anon_sym_BSLASHlit] = ACTIONS(27),
    [anon_sym_BSLASHip] = ACTIONS(27),
    [anon_sym_BSLASHv] = ACTIONS(27),
    [anon_sym_BSLASHva] = ACTIONS(27),
    [anon_sym_BSLASHvp] = ACTIONS(27),
    [anon_sym_BSLASHmte] = ACTIONS(27),
    [anon_sym_BSLASHms] = ACTIONS(27),
    [anon_sym_BSLASHs] = ACTIONS(27),
    [anon_sym_BSLASHr] = ACTIONS(27),
    [anon_sym_BSLASHsp] = ACTIONS(27),
    [anon_sym_BSLASHd] = ACTIONS(27),
    [anon_sym_BSLASHsd] = ACTIONS(27),
    [anon_sym_BSLASHp] = ACTIONS(27),
    [anon_sym_BSLASHm] = ACTIONS(27),
    [anon_sym_BSLASHpo] = ACTIONS(27),
    [anon_sym_BSLASHpr] = ACTIONS(27),
    [anon_sym_BSLASHcls] = ACTIONS(27),
    [anon_sym_BSLASHpmo] = ACTIONS(27),
    [anon_sym_BSLASHpm] = ACTIONS(27),
    [anon_sym_BSLASHpmc] = ACTIONS(27),
    [anon_sym_BSLASHpmr] = ACTIONS(27),
    [anon_sym_BSLASHpi] = ACTIONS(27),
    [anon_sym_BSLASHmi] = ACTIONS(27),
    [anon_sym_BSLASHnb] = ACTIONS(27),
    [anon_sym_BSLASHpc] = ACTIONS(27),
    [anon_sym_BSLASHph] = ACTIONS(27),
    [anon_sym_BSLASHb] = ACTIONS(27),
    [anon_sym_BSLASHq] = ACTIONS(27),
    [anon_sym_BSLASHqr] = ACTIONS(27),
    [anon_sym_BSLASHqc] = ACTIONS(27),
    [anon_sym_BSLASHqs] = ACTIONS(27),
    [anon_sym_BSLASHqa] = ACTIONS(27),
    [anon_sym_BSLASHqac] = ACTIONS(27),
    [anon_sym_BSLASHqm] = ACTIONS(27),
    [anon_sym_BSLASHqd] = ACTIONS(27),
    [anon_sym_BSLASHlh] = ACTIONS(27),
    [anon_sym_BSLASHli] = ACTIONS(27),
    [anon_sym_BSLASHlim] = ACTIONS(27),
    [anon_sym_BSLASHtr] = ACTIONS(27),
    [anon_sym_BSLASHf] = ACTIONS(27),
    [anon_sym_BSLASHfe] = ACTIONS(27),
    [anon_sym_BSLASHef] = ACTIONS(27),
    [anon_sym_BSLASHfm] = ACTIONS(27),
    [anon_sym_BSLASHx] = ACTIONS(27),
    [anon_sym_BSLASHxt] = ACTIONS(27),
    [anon_sym_BSLASHrq] = ACTIONS(27),
    [anon_sym_BSLASHadd] = ACTIONS(27),
    [anon_sym_BSLASHbk] = ACTIONS(27),
    [anon_sym_BSLASHdc] = ACTIONS(27),
    [anon_sym_BSLASHk] = ACTIONS(27),
    [anon_sym_BSLASHnd] = ACTIONS(27),
    [anon_sym_BSLASHord] = ACTIONS(27),
    [anon_sym_BSLASHpn] = ACTIONS(27),
    [anon_sym_BSLASHpng] = ACTIONS(27),
    [anon_sym_BSLASHaddpn] = ACTIONS(27),
    [anon_sym_BSLASHqt] = ACTIONS(27),
    [anon_sym_BSLASHsig] = ACTIONS(27),
    [anon_sym_BSLASHsls] = ACTIONS(27),
    [anon_sym_BSLASHtl] = ACTIONS(27),
    [anon_sym_BSLASHwj] = ACTIONS(27),
    [anon_sym_BSLASHem] = ACTIONS(27),
    [anon_sym_BSLASHbd] = ACTIONS(27),
    [anon_sym_BSLASHit] = ACTIONS(27),
    [anon_sym_BSLASHbdit] = ACTIONS(27),
    [anon_sym_BSLASHno] = ACTIONS(27),
    [anon_sym_BSLASHsc] = ACTIONS(27),
    [anon_sym_BSLASHsup] = ACTIONS(27),
    [anon_sym_BSLASHndx] = ACTIONS(27),
    [anon_sym_BSLASHpro] = ACTIONS(27),
    [anon_sym_BSLASHrb] = ACTIONS(27),
    [anon_sym_BSLASHw] = ACTIONS(27),
    [anon_sym_BSLASHwg] = ACTIONS(27),
    [anon_sym_BSLASHwh] = ACTIONS(27),
    [anon_sym_BSLASHwa] = ACTIONS(27),
    [anon_sym_BSLASHfig] = ACTIONS(27),
    [anon_sym_BSLASHjmp] = ACTIONS(27),
    [anon_sym_BSLASHpb] = ACTIONS(27),
    [anon_sym_BSLASH] = ACTIONS(27),
    [sym_milestoneStartTag] = ACTIONS(27),
    [sym_milestoneEndTag] = ACTIONS(27),
    [sym_zSpaceTag] = ACTIONS(27),
    [anon_sym_BSLASHesbe] = ACTIONS(27),
    [anon_sym_BSLASHcat] = ACTIONS(27),
  },
  [706] = {
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHref] = ACTIONS(2725),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHv] = ACTIONS(2725),
    [anon_sym_BSLASHva] = ACTIONS(2725),
    [anon_sym_BSLASHvp] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqs] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqac] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHx] = ACTIONS(2725),
    [anon_sym_BSLASHxt] = ACTIONS(2725),
    [anon_sym_BSLASHrq] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesbe] = ACTIONS(2725),
    [anon_sym_BSLASHcat] = ACTIONS(2725),
  },
  [707] = {
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHref] = ACTIONS(2681),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHv] = ACTIONS(2681),
    [anon_sym_BSLASHva] = ACTIONS(2681),
    [anon_sym_BSLASHvp] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqs] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqac] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHx] = ACTIONS(2681),
    [anon_sym_BSLASHxt] = ACTIONS(2681),
    [anon_sym_BSLASHrq] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesbe] = ACTIONS(2681),
    [anon_sym_BSLASHcat] = ACTIONS(2681),
  },
  [708] = {
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHref] = ACTIONS(2689),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHv] = ACTIONS(2689),
    [anon_sym_BSLASHva] = ACTIONS(2689),
    [anon_sym_BSLASHvp] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqs] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqac] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHx] = ACTIONS(2689),
    [anon_sym_BSLASHxt] = ACTIONS(2689),
    [anon_sym_BSLASHrq] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesbe] = ACTIONS(2689),
    [anon_sym_BSLASHcat] = ACTIONS(2689),
  },
  [709] = {
    [aux_sym_text_token1] = ACTIONS(5922),
    [anon_sym_BSLASHref] = ACTIONS(5924),
    [anon_sym_BSLASHsts] = ACTIONS(5924),
    [anon_sym_BSLASHrem] = ACTIONS(5924),
    [anon_sym_BSLASHrestore] = ACTIONS(5924),
    [anon_sym_BSLASHlit] = ACTIONS(5924),
    [anon_sym_BSLASHip] = ACTIONS(5924),
    [anon_sym_BSLASHv] = ACTIONS(5924),
    [anon_sym_BSLASHva] = ACTIONS(5924),
    [anon_sym_BSLASHvp] = ACTIONS(5924),
    [anon_sym_BSLASHmte] = ACTIONS(5924),
    [anon_sym_BSLASHms] = ACTIONS(5924),
    [anon_sym_BSLASHs] = ACTIONS(5924),
    [anon_sym_BSLASHr] = ACTIONS(5924),
    [anon_sym_BSLASHsp] = ACTIONS(5924),
    [anon_sym_BSLASHd] = ACTIONS(5924),
    [anon_sym_BSLASHsd] = ACTIONS(5924),
    [anon_sym_BSLASHp] = ACTIONS(5924),
    [anon_sym_BSLASHm] = ACTIONS(5924),
    [anon_sym_BSLASHpo] = ACTIONS(5924),
    [anon_sym_BSLASHpr] = ACTIONS(5924),
    [anon_sym_BSLASHcls] = ACTIONS(5924),
    [anon_sym_BSLASHpmo] = ACTIONS(5924),
    [anon_sym_BSLASHpm] = ACTIONS(5924),
    [anon_sym_BSLASHpmc] = ACTIONS(5924),
    [anon_sym_BSLASHpmr] = ACTIONS(5924),
    [anon_sym_BSLASHpi] = ACTIONS(5924),
    [anon_sym_BSLASHmi] = ACTIONS(5924),
    [anon_sym_BSLASHnb] = ACTIONS(5924),
    [anon_sym_BSLASHpc] = ACTIONS(5924),
    [anon_sym_BSLASHph] = ACTIONS(5924),
    [anon_sym_BSLASHb] = ACTIONS(5924),
    [anon_sym_BSLASHq] = ACTIONS(5924),
    [anon_sym_BSLASHqr] = ACTIONS(5924),
    [anon_sym_BSLASHqc] = ACTIONS(5924),
    [anon_sym_BSLASHqs] = ACTIONS(5924),
    [anon_sym_BSLASHqa] = ACTIONS(5924),
    [anon_sym_BSLASHqac] = ACTIONS(5924),
    [anon_sym_BSLASHqm] = ACTIONS(5924),
    [anon_sym_BSLASHqd] = ACTIONS(5924),
    [anon_sym_BSLASHlh] = ACTIONS(5924),
    [anon_sym_BSLASHli] = ACTIONS(5924),
    [anon_sym_BSLASHlim] = ACTIONS(5924),
    [anon_sym_BSLASHtr] = ACTIONS(5924),
    [anon_sym_BSLASHf] = ACTIONS(5924),
    [anon_sym_BSLASHfe] = ACTIONS(5924),
    [anon_sym_BSLASHef] = ACTIONS(5924),
    [anon_sym_BSLASHfm] = ACTIONS(5924),
    [anon_sym_BSLASHx] = ACTIONS(5924),
    [anon_sym_BSLASHxt] = ACTIONS(5924),
    [anon_sym_BSLASHrq] = ACTIONS(5924),
    [anon_sym_BSLASHadd] = ACTIONS(5924),
    [anon_sym_BSLASHbk] = ACTIONS(5924),
    [anon_sym_BSLASHdc] = ACTIONS(5924),
    [anon_sym_BSLASHk] = ACTIONS(5924),
    [anon_sym_BSLASHnd] = ACTIONS(5924),
    [anon_sym_BSLASHord] = ACTIONS(5924),
    [anon_sym_BSLASHpn] = ACTIONS(5924),
    [anon_sym_BSLASHpng] = ACTIONS(5924),
    [anon_sym_BSLASHaddpn] = ACTIONS(5924),
    [anon_sym_BSLASHqt] = ACTIONS(5924),
    [anon_sym_BSLASHsig] = ACTIONS(5924),
    [anon_sym_BSLASHsls] = ACTIONS(5924),
    [anon_sym_BSLASHtl] = ACTIONS(5924),
    [anon_sym_BSLASHwj] = ACTIONS(5924),
    [anon_sym_BSLASHem] = ACTIONS(5924),
    [anon_sym_BSLASHbd] = ACTIONS(5924),
    [anon_sym_BSLASHit] = ACTIONS(5924),
    [anon_sym_BSLASHbdit] = ACTIONS(5924),
    [anon_sym_BSLASHno] = ACTIONS(5924),
    [anon_sym_BSLASHsc] = ACTIONS(5924),
    [anon_sym_BSLASHsup] = ACTIONS(5924),
    [anon_sym_BSLASHndx] = ACTIONS(5924),
    [anon_sym_BSLASHpro] = ACTIONS(5924),
    [anon_sym_BSLASHrb] = ACTIONS(5924),
    [anon_sym_BSLASHw] = ACTIONS(5924),
    [anon_sym_BSLASHwg] = ACTIONS(5924),
    [anon_sym_BSLASHwh] = ACTIONS(5924),
    [anon_sym_BSLASHwa] = ACTIONS(5924),
    [anon_sym_BSLASHfig] = ACTIONS(5924),
    [anon_sym_BSLASHjmp] = ACTIONS(5924),
    [anon_sym_BSLASHpb] = ACTIONS(5924),
    [anon_sym_BSLASH] = ACTIONS(5924),
    [sym_milestoneStartTag] = ACTIONS(5924),
    [sym_milestoneEndTag] = ACTIONS(5924),
    [sym_zSpaceTag] = ACTIONS(5924),
    [anon_sym_BSLASHesbe] = ACTIONS(5924),
    [anon_sym_BSLASHcat] = ACTIONS(5924),
  },
  [710] = {
    [aux_sym_text_token1] = ACTIONS(45),
    [anon_sym_BSLASHref] = ACTIONS(47),
    [anon_sym_BSLASHsts] = ACTIONS(47),
    [anon_sym_BSLASHrem] = ACTIONS(47),
    [anon_sym_BSLASHrestore] = ACTIONS(47),
    [anon_sym_BSLASHlit] = ACTIONS(47),
    [anon_sym_BSLASHip] = ACTIONS(47),
    [anon_sym_BSLASHv] = ACTIONS(47),
    [anon_sym_BSLASHva] = ACTIONS(47),
    [anon_sym_BSLASHvp] = ACTIONS(47),
    [anon_sym_BSLASHmte] = ACTIONS(47),
    [anon_sym_BSLASHms] = ACTIONS(47),
    [anon_sym_BSLASHs] = ACTIONS(47),
    [anon_sym_BSLASHr] = ACTIONS(47),
    [anon_sym_BSLASHsp] = ACTIONS(47),
    [anon_sym_BSLASHd] = ACTIONS(47),
    [anon_sym_BSLASHsd] = ACTIONS(47),
    [anon_sym_BSLASHp] = ACTIONS(47),
    [anon_sym_BSLASHm] = ACTIONS(47),
    [anon_sym_BSLASHpo] = ACTIONS(47),
    [anon_sym_BSLASHpr] = ACTIONS(47),
    [anon_sym_BSLASHcls] = ACTIONS(47),
    [anon_sym_BSLASHpmo] = ACTIONS(47),
    [anon_sym_BSLASHpm] = ACTIONS(47),
    [anon_sym_BSLASHpmc] = ACTIONS(47),
    [anon_sym_BSLASHpmr] = ACTIONS(47),
    [anon_sym_BSLASHpi] = ACTIONS(47),
    [anon_sym_BSLASHmi] = ACTIONS(47),
    [anon_sym_BSLASHnb] = ACTIONS(47),
    [anon_sym_BSLASHpc] = ACTIONS(47),
    [anon_sym_BSLASHph] = ACTIONS(47),
    [anon_sym_BSLASHb] = ACTIONS(47),
    [anon_sym_BSLASHq] = ACTIONS(47),
    [anon_sym_BSLASHqr] = ACTIONS(47),
    [anon_sym_BSLASHqc] = ACTIONS(47),
    [anon_sym_BSLASHqs] = ACTIONS(47),
    [anon_sym_BSLASHqa] = ACTIONS(47),
    [anon_sym_BSLASHqac] = ACTIONS(47),
    [anon_sym_BSLASHqm] = ACTIONS(47),
    [anon_sym_BSLASHqd] = ACTIONS(47),
    [anon_sym_BSLASHlh] = ACTIONS(47),
    [anon_sym_BSLASHli] = ACTIONS(47),
    [anon_sym_BSLASHlim] = ACTIONS(47),
    [anon_sym_BSLASHtr] = ACTIONS(47),
    [anon_sym_BSLASHf] = ACTIONS(47),
    [anon_sym_BSLASHfe] = ACTIONS(47),
    [anon_sym_BSLASHef] = ACTIONS(47),
    [anon_sym_BSLASHfm] = ACTIONS(47),
    [anon_sym_BSLASHx] = ACTIONS(47),
    [anon_sym_BSLASHxt] = ACTIONS(47),
    [anon_sym_BSLASHrq] = ACTIONS(47),
    [anon_sym_BSLASHadd] = ACTIONS(47),
    [anon_sym_BSLASHbk] = ACTIONS(47),
    [anon_sym_BSLASHdc] = ACTIONS(47),
    [anon_sym_BSLASHk] = ACTIONS(47),
    [anon_sym_BSLASHnd] = ACTIONS(47),
    [anon_sym_BSLASHord] = ACTIONS(47),
    [anon_sym_BSLASHpn] = ACTIONS(47),
    [anon_sym_BSLASHpng] = ACTIONS(47),
    [anon_sym_BSLASHaddpn] = ACTIONS(47),
    [anon_sym_BSLASHqt] = ACTIONS(47),
    [anon_sym_BSLASHsig] = ACTIONS(47),
    [anon_sym_BSLASHsls] = ACTIONS(47),
    [anon_sym_BSLASHtl] = ACTIONS(47),
    [anon_sym_BSLASHwj] = ACTIONS(47),
    [anon_sym_BSLASHem] = ACTIONS(47),
    [anon_sym_BSLASHbd] = ACTIONS(47),
    [anon_sym_BSLASHit] = ACTIONS(47),
    [anon_sym_BSLASHbdit] = ACTIONS(47),
    [anon_sym_BSLASHno] = ACTIONS(47),
    [anon_sym_BSLASHsc] = ACTIONS(47),
    [anon_sym_BSLASHsup] = ACTIONS(47),
    [anon_sym_BSLASHndx] = ACTIONS(47),
    [anon_sym_BSLASHpro] = ACTIONS(47),
    [anon_sym_BSLASHrb] = ACTIONS(47),
    [anon_sym_BSLASHw] = ACTIONS(47),
    [anon_sym_BSLASHwg] = ACTIONS(47),
    [anon_sym_BSLASHwh] = ACTIONS(47),
    [anon_sym_BSLASHwa] = ACTIONS(47),
    [anon_sym_BSLASHfig] = ACTIONS(47),
    [anon_sym_BSLASHjmp] = ACTIONS(47),
    [anon_sym_BSLASHpb] = ACTIONS(47),
    [anon_sym_BSLASH] = ACTIONS(47),
    [sym_milestoneStartTag] = ACTIONS(47),
    [sym_milestoneEndTag] = ACTIONS(47),
    [sym_zSpaceTag] = ACTIONS(47),
    [anon_sym_BSLASHesbe] = ACTIONS(47),
    [anon_sym_BSLASHcat] = ACTIONS(47),
  },
  [711] = {
    [aux_sym_text_token1] = ACTIONS(5962),
    [anon_sym_BSLASHref] = ACTIONS(5964),
    [anon_sym_BSLASHsts] = ACTIONS(5964),
    [anon_sym_BSLASHrem] = ACTIONS(5964),
    [anon_sym_BSLASHrestore] = ACTIONS(5964),
    [anon_sym_BSLASHlit] = ACTIONS(5964),
    [anon_sym_BSLASHip] = ACTIONS(5964),
    [anon_sym_BSLASHv] = ACTIONS(5964),
    [anon_sym_BSLASHva] = ACTIONS(5964),
    [anon_sym_BSLASHvp] = ACTIONS(5964),
    [anon_sym_BSLASHmte] = ACTIONS(5964),
    [anon_sym_BSLASHms] = ACTIONS(5964),
    [anon_sym_BSLASHs] = ACTIONS(5964),
    [anon_sym_BSLASHr] = ACTIONS(5964),
    [anon_sym_BSLASHsp] = ACTIONS(5964),
    [anon_sym_BSLASHd] = ACTIONS(5964),
    [anon_sym_BSLASHsd] = ACTIONS(5964),
    [anon_sym_BSLASHp] = ACTIONS(5964),
    [anon_sym_BSLASHm] = ACTIONS(5964),
    [anon_sym_BSLASHpo] = ACTIONS(5964),
    [anon_sym_BSLASHpr] = ACTIONS(5964),
    [anon_sym_BSLASHcls] = ACTIONS(5964),
    [anon_sym_BSLASHpmo] = ACTIONS(5964),
    [anon_sym_BSLASHpm] = ACTIONS(5964),
    [anon_sym_BSLASHpmc] = ACTIONS(5964),
    [anon_sym_BSLASHpmr] = ACTIONS(5964),
    [anon_sym_BSLASHpi] = ACTIONS(5964),
    [anon_sym_BSLASHmi] = ACTIONS(5964),
    [anon_sym_BSLASHnb] = ACTIONS(5964),
    [anon_sym_BSLASHpc] = ACTIONS(5964),
    [anon_sym_BSLASHph] = ACTIONS(5964),
    [anon_sym_BSLASHb] = ACTIONS(5964),
    [anon_sym_BSLASHq] = ACTIONS(5964),
    [anon_sym_BSLASHqr] = ACTIONS(5964),
    [anon_sym_BSLASHqc] = ACTIONS(5964),
    [anon_sym_BSLASHqs] = ACTIONS(5964),
    [anon_sym_BSLASHqa] = ACTIONS(5964),
    [anon_sym_BSLASHqac] = ACTIONS(5964),
    [anon_sym_BSLASHqm] = ACTIONS(5964),
    [anon_sym_BSLASHqd] = ACTIONS(5964),
    [anon_sym_BSLASHlh] = ACTIONS(5964),
    [anon_sym_BSLASHli] = ACTIONS(5964),
    [anon_sym_BSLASHlim] = ACTIONS(5964),
    [anon_sym_BSLASHtr] = ACTIONS(5964),
    [anon_sym_BSLASHf] = ACTIONS(5964),
    [anon_sym_BSLASHfe] = ACTIONS(5964),
    [anon_sym_BSLASHef] = ACTIONS(5964),
    [anon_sym_BSLASHfm] = ACTIONS(5964),
    [anon_sym_BSLASHx] = ACTIONS(5964),
    [anon_sym_BSLASHxt] = ACTIONS(5964),
    [anon_sym_BSLASHrq] = ACTIONS(5964),
    [anon_sym_BSLASHadd] = ACTIONS(5964),
    [anon_sym_BSLASHbk] = ACTIONS(5964),
    [anon_sym_BSLASHdc] = ACTIONS(5964),
    [anon_sym_BSLASHk] = ACTIONS(5964),
    [anon_sym_BSLASHnd] = ACTIONS(5964),
    [anon_sym_BSLASHord] = ACTIONS(5964),
    [anon_sym_BSLASHpn] = ACTIONS(5964),
    [anon_sym_BSLASHpng] = ACTIONS(5964),
    [anon_sym_BSLASHaddpn] = ACTIONS(5964),
    [anon_sym_BSLASHqt] = ACTIONS(5964),
    [anon_sym_BSLASHsig] = ACTIONS(5964),
    [anon_sym_BSLASHsls] = ACTIONS(5964),
    [anon_sym_BSLASHtl] = ACTIONS(5964),
    [anon_sym_BSLASHwj] = ACTIONS(5964),
    [anon_sym_BSLASHem] = ACTIONS(5964),
    [anon_sym_BSLASHbd] = ACTIONS(5964),
    [anon_sym_BSLASHit] = ACTIONS(5964),
    [anon_sym_BSLASHbdit] = ACTIONS(5964),
    [anon_sym_BSLASHno] = ACTIONS(5964),
    [anon_sym_BSLASHsc] = ACTIONS(5964),
    [anon_sym_BSLASHsup] = ACTIONS(5964),
    [anon_sym_BSLASHndx] = ACTIONS(5964),
    [anon_sym_BSLASHpro] = ACTIONS(5964),
    [anon_sym_BSLASHrb] = ACTIONS(5964),
    [anon_sym_BSLASHw] = ACTIONS(5964),
    [anon_sym_BSLASHwg] = ACTIONS(5964),
    [anon_sym_BSLASHwh] = ACTIONS(5964),
    [anon_sym_BSLASHwa] = ACTIONS(5964),
    [anon_sym_BSLASHfig] = ACTIONS(5964),
    [anon_sym_BSLASHjmp] = ACTIONS(5964),
    [anon_sym_BSLASHpb] = ACTIONS(5964),
    [anon_sym_BSLASH] = ACTIONS(5964),
    [sym_milestoneStartTag] = ACTIONS(5964),
    [sym_milestoneEndTag] = ACTIONS(5964),
    [sym_zSpaceTag] = ACTIONS(5964),
    [anon_sym_BSLASHesbe] = ACTIONS(5964),
    [anon_sym_BSLASHcat] = ACTIONS(5964),
  },
  [712] = {
    [aux_sym_text_token1] = ACTIONS(5966),
    [anon_sym_BSLASHref] = ACTIONS(5968),
    [anon_sym_BSLASHsts] = ACTIONS(5968),
    [anon_sym_BSLASHrem] = ACTIONS(5968),
    [anon_sym_BSLASHrestore] = ACTIONS(5968),
    [anon_sym_BSLASHlit] = ACTIONS(5968),
    [anon_sym_BSLASHip] = ACTIONS(5968),
    [anon_sym_BSLASHv] = ACTIONS(5968),
    [anon_sym_BSLASHva] = ACTIONS(5968),
    [anon_sym_BSLASHvp] = ACTIONS(5968),
    [anon_sym_BSLASHmte] = ACTIONS(5968),
    [anon_sym_BSLASHms] = ACTIONS(5968),
    [anon_sym_BSLASHs] = ACTIONS(5968),
    [anon_sym_BSLASHr] = ACTIONS(5968),
    [anon_sym_BSLASHsp] = ACTIONS(5968),
    [anon_sym_BSLASHd] = ACTIONS(5968),
    [anon_sym_BSLASHsd] = ACTIONS(5968),
    [anon_sym_BSLASHp] = ACTIONS(5968),
    [anon_sym_BSLASHm] = ACTIONS(5968),
    [anon_sym_BSLASHpo] = ACTIONS(5968),
    [anon_sym_BSLASHpr] = ACTIONS(5968),
    [anon_sym_BSLASHcls] = ACTIONS(5968),
    [anon_sym_BSLASHpmo] = ACTIONS(5968),
    [anon_sym_BSLASHpm] = ACTIONS(5968),
    [anon_sym_BSLASHpmc] = ACTIONS(5968),
    [anon_sym_BSLASHpmr] = ACTIONS(5968),
    [anon_sym_BSLASHpi] = ACTIONS(5968),
    [anon_sym_BSLASHmi] = ACTIONS(5968),
    [anon_sym_BSLASHnb] = ACTIONS(5968),
    [anon_sym_BSLASHpc] = ACTIONS(5968),
    [anon_sym_BSLASHph] = ACTIONS(5968),
    [anon_sym_BSLASHb] = ACTIONS(5968),
    [anon_sym_BSLASHq] = ACTIONS(5968),
    [anon_sym_BSLASHqr] = ACTIONS(5968),
    [anon_sym_BSLASHqc] = ACTIONS(5968),
    [anon_sym_BSLASHqs] = ACTIONS(5968),
    [anon_sym_BSLASHqa] = ACTIONS(5968),
    [anon_sym_BSLASHqac] = ACTIONS(5968),
    [anon_sym_BSLASHqm] = ACTIONS(5968),
    [anon_sym_BSLASHqd] = ACTIONS(5968),
    [anon_sym_BSLASHlh] = ACTIONS(5968),
    [anon_sym_BSLASHli] = ACTIONS(5968),
    [anon_sym_BSLASHlim] = ACTIONS(5968),
    [anon_sym_BSLASHtr] = ACTIONS(5968),
    [anon_sym_BSLASHf] = ACTIONS(5968),
    [anon_sym_BSLASHfe] = ACTIONS(5968),
    [anon_sym_BSLASHef] = ACTIONS(5968),
    [anon_sym_BSLASHfm] = ACTIONS(5968),
    [anon_sym_BSLASHx] = ACTIONS(5968),
    [anon_sym_BSLASHxt] = ACTIONS(5968),
    [anon_sym_BSLASHrq] = ACTIONS(5968),
    [anon_sym_BSLASHadd] = ACTIONS(5968),
    [anon_sym_BSLASHbk] = ACTIONS(5968),
    [anon_sym_BSLASHdc] = ACTIONS(5968),
    [anon_sym_BSLASHk] = ACTIONS(5968),
    [anon_sym_BSLASHnd] = ACTIONS(5968),
    [anon_sym_BSLASHord] = ACTIONS(5968),
    [anon_sym_BSLASHpn] = ACTIONS(5968),
    [anon_sym_BSLASHpng] = ACTIONS(5968),
    [anon_sym_BSLASHaddpn] = ACTIONS(5968),
    [anon_sym_BSLASHqt] = ACTIONS(5968),
    [anon_sym_BSLASHsig] = ACTIONS(5968),
    [anon_sym_BSLASHsls] = ACTIONS(5968),
    [anon_sym_BSLASHtl] = ACTIONS(5968),
    [anon_sym_BSLASHwj] = ACTIONS(5968),
    [anon_sym_BSLASHem] = ACTIONS(5968),
    [anon_sym_BSLASHbd] = ACTIONS(5968),
    [anon_sym_BSLASHit] = ACTIONS(5968),
    [anon_sym_BSLASHbdit] = ACTIONS(5968),
    [anon_sym_BSLASHno] = ACTIONS(5968),
    [anon_sym_BSLASHsc] = ACTIONS(5968),
    [anon_sym_BSLASHsup] = ACTIONS(5968),
    [anon_sym_BSLASHndx] = ACTIONS(5968),
    [anon_sym_BSLASHpro] = ACTIONS(5968),
    [anon_sym_BSLASHrb] = ACTIONS(5968),
    [anon_sym_BSLASHw] = ACTIONS(5968),
    [anon_sym_BSLASHwg] = ACTIONS(5968),
    [anon_sym_BSLASHwh] = ACTIONS(5968),
    [anon_sym_BSLASHwa] = ACTIONS(5968),
    [anon_sym_BSLASHfig] = ACTIONS(5968),
    [anon_sym_BSLASHjmp] = ACTIONS(5968),
    [anon_sym_BSLASHpb] = ACTIONS(5968),
    [anon_sym_BSLASH] = ACTIONS(5968),
    [sym_milestoneStartTag] = ACTIONS(5968),
    [sym_milestoneEndTag] = ACTIONS(5968),
    [sym_zSpaceTag] = ACTIONS(5968),
    [anon_sym_BSLASHesbe] = ACTIONS(5968),
    [anon_sym_BSLASHcat] = ACTIONS(5968),
  },
  [713] = {
    [aux_sym_text_token1] = ACTIONS(5970),
    [anon_sym_BSLASHref] = ACTIONS(5972),
    [anon_sym_BSLASHsts] = ACTIONS(5972),
    [anon_sym_BSLASHrem] = ACTIONS(5972),
    [anon_sym_BSLASHrestore] = ACTIONS(5972),
    [anon_sym_BSLASHlit] = ACTIONS(5972),
    [anon_sym_BSLASHip] = ACTIONS(5972),
    [anon_sym_BSLASHv] = ACTIONS(5972),
    [anon_sym_BSLASHva] = ACTIONS(5972),
    [anon_sym_BSLASHvp] = ACTIONS(5972),
    [anon_sym_BSLASHmte] = ACTIONS(5972),
    [anon_sym_BSLASHms] = ACTIONS(5972),
    [anon_sym_BSLASHs] = ACTIONS(5972),
    [anon_sym_BSLASHr] = ACTIONS(5972),
    [anon_sym_BSLASHsp] = ACTIONS(5972),
    [anon_sym_BSLASHd] = ACTIONS(5972),
    [anon_sym_BSLASHsd] = ACTIONS(5972),
    [anon_sym_BSLASHp] = ACTIONS(5972),
    [anon_sym_BSLASHm] = ACTIONS(5972),
    [anon_sym_BSLASHpo] = ACTIONS(5972),
    [anon_sym_BSLASHpr] = ACTIONS(5972),
    [anon_sym_BSLASHcls] = ACTIONS(5972),
    [anon_sym_BSLASHpmo] = ACTIONS(5972),
    [anon_sym_BSLASHpm] = ACTIONS(5972),
    [anon_sym_BSLASHpmc] = ACTIONS(5972),
    [anon_sym_BSLASHpmr] = ACTIONS(5972),
    [anon_sym_BSLASHpi] = ACTIONS(5972),
    [anon_sym_BSLASHmi] = ACTIONS(5972),
    [anon_sym_BSLASHnb] = ACTIONS(5972),
    [anon_sym_BSLASHpc] = ACTIONS(5972),
    [anon_sym_BSLASHph] = ACTIONS(5972),
    [anon_sym_BSLASHb] = ACTIONS(5972),
    [anon_sym_BSLASHq] = ACTIONS(5972),
    [anon_sym_BSLASHqr] = ACTIONS(5972),
    [anon_sym_BSLASHqc] = ACTIONS(5972),
    [anon_sym_BSLASHqs] = ACTIONS(5972),
    [anon_sym_BSLASHqa] = ACTIONS(5972),
    [anon_sym_BSLASHqac] = ACTIONS(5972),
    [anon_sym_BSLASHqm] = ACTIONS(5972),
    [anon_sym_BSLASHqd] = ACTIONS(5972),
    [anon_sym_BSLASHlh] = ACTIONS(5972),
    [anon_sym_BSLASHli] = ACTIONS(5972),
    [anon_sym_BSLASHlim] = ACTIONS(5972),
    [anon_sym_BSLASHtr] = ACTIONS(5972),
    [anon_sym_BSLASHf] = ACTIONS(5972),
    [anon_sym_BSLASHfe] = ACTIONS(5972),
    [anon_sym_BSLASHef] = ACTIONS(5972),
    [anon_sym_BSLASHfm] = ACTIONS(5972),
    [anon_sym_BSLASHx] = ACTIONS(5972),
    [anon_sym_BSLASHxt] = ACTIONS(5972),
    [anon_sym_BSLASHrq] = ACTIONS(5972),
    [anon_sym_BSLASHadd] = ACTIONS(5972),
    [anon_sym_BSLASHbk] = ACTIONS(5972),
    [anon_sym_BSLASHdc] = ACTIONS(5972),
    [anon_sym_BSLASHk] = ACTIONS(5972),
    [anon_sym_BSLASHnd] = ACTIONS(5972),
    [anon_sym_BSLASHord] = ACTIONS(5972),
    [anon_sym_BSLASHpn] = ACTIONS(5972),
    [anon_sym_BSLASHpng] = ACTIONS(5972),
    [anon_sym_BSLASHaddpn] = ACTIONS(5972),
    [anon_sym_BSLASHqt] = ACTIONS(5972),
    [anon_sym_BSLASHsig] = ACTIONS(5972),
    [anon_sym_BSLASHsls] = ACTIONS(5972),
    [anon_sym_BSLASHtl] = ACTIONS(5972),
    [anon_sym_BSLASHwj] = ACTIONS(5972),
    [anon_sym_BSLASHem] = ACTIONS(5972),
    [anon_sym_BSLASHbd] = ACTIONS(5972),
    [anon_sym_BSLASHit] = ACTIONS(5972),
    [anon_sym_BSLASHbdit] = ACTIONS(5972),
    [anon_sym_BSLASHno] = ACTIONS(5972),
    [anon_sym_BSLASHsc] = ACTIONS(5972),
    [anon_sym_BSLASHsup] = ACTIONS(5972),
    [anon_sym_BSLASHndx] = ACTIONS(5972),
    [anon_sym_BSLASHpro] = ACTIONS(5972),
    [anon_sym_BSLASHrb] = ACTIONS(5972),
    [anon_sym_BSLASHw] = ACTIONS(5972),
    [anon_sym_BSLASHwg] = ACTIONS(5972),
    [anon_sym_BSLASHwh] = ACTIONS(5972),
    [anon_sym_BSLASHwa] = ACTIONS(5972),
    [anon_sym_BSLASHfig] = ACTIONS(5972),
    [anon_sym_BSLASHjmp] = ACTIONS(5972),
    [anon_sym_BSLASHpb] = ACTIONS(5972),
    [anon_sym_BSLASH] = ACTIONS(5972),
    [sym_milestoneStartTag] = ACTIONS(5972),
    [sym_milestoneEndTag] = ACTIONS(5972),
    [sym_zSpaceTag] = ACTIONS(5972),
    [anon_sym_BSLASHesbe] = ACTIONS(5972),
    [anon_sym_BSLASHcat] = ACTIONS(5972),
  },
  [714] = {
    [aux_sym_text_token1] = ACTIONS(6050),
    [anon_sym_BSLASHref] = ACTIONS(6052),
    [anon_sym_BSLASHsts] = ACTIONS(6052),
    [anon_sym_BSLASHrem] = ACTIONS(6052),
    [anon_sym_BSLASHrestore] = ACTIONS(6052),
    [anon_sym_BSLASHlit] = ACTIONS(6052),
    [anon_sym_BSLASHip] = ACTIONS(6052),
    [anon_sym_BSLASHv] = ACTIONS(6052),
    [anon_sym_BSLASHva] = ACTIONS(6052),
    [anon_sym_BSLASHvp] = ACTIONS(6052),
    [anon_sym_BSLASHmte] = ACTIONS(6052),
    [anon_sym_BSLASHms] = ACTIONS(6052),
    [anon_sym_BSLASHs] = ACTIONS(6052),
    [anon_sym_BSLASHr] = ACTIONS(6052),
    [anon_sym_BSLASHsp] = ACTIONS(6052),
    [anon_sym_BSLASHd] = ACTIONS(6052),
    [anon_sym_BSLASHsd] = ACTIONS(6052),
    [anon_sym_BSLASHp] = ACTIONS(6052),
    [anon_sym_BSLASHm] = ACTIONS(6052),
    [anon_sym_BSLASHpo] = ACTIONS(6052),
    [anon_sym_BSLASHpr] = ACTIONS(6052),
    [anon_sym_BSLASHcls] = ACTIONS(6052),
    [anon_sym_BSLASHpmo] = ACTIONS(6052),
    [anon_sym_BSLASHpm] = ACTIONS(6052),
    [anon_sym_BSLASHpmc] = ACTIONS(6052),
    [anon_sym_BSLASHpmr] = ACTIONS(6052),
    [anon_sym_BSLASHpi] = ACTIONS(6052),
    [anon_sym_BSLASHmi] = ACTIONS(6052),
    [anon_sym_BSLASHnb] = ACTIONS(6052),
    [anon_sym_BSLASHpc] = ACTIONS(6052),
    [anon_sym_BSLASHph] = ACTIONS(6052),
    [anon_sym_BSLASHb] = ACTIONS(6052),
    [anon_sym_BSLASHq] = ACTIONS(6052),
    [anon_sym_BSLASHqr] = ACTIONS(6052),
    [anon_sym_BSLASHqc] = ACTIONS(6052),
    [anon_sym_BSLASHqs] = ACTIONS(6052),
    [anon_sym_BSLASHqa] = ACTIONS(6052),
    [anon_sym_BSLASHqac] = ACTIONS(6052),
    [anon_sym_BSLASHqm] = ACTIONS(6052),
    [anon_sym_BSLASHqd] = ACTIONS(6052),
    [anon_sym_BSLASHlh] = ACTIONS(6052),
    [anon_sym_BSLASHli] = ACTIONS(6052),
    [anon_sym_BSLASHlim] = ACTIONS(6052),
    [anon_sym_BSLASHtr] = ACTIONS(6052),
    [anon_sym_BSLASHf] = ACTIONS(6052),
    [anon_sym_BSLASHfe] = ACTIONS(6052),
    [anon_sym_BSLASHef] = ACTIONS(6052),
    [anon_sym_BSLASHfm] = ACTIONS(6052),
    [anon_sym_BSLASHx] = ACTIONS(6052),
    [anon_sym_BSLASHxt] = ACTIONS(6052),
    [anon_sym_BSLASHrq] = ACTIONS(6052),
    [anon_sym_BSLASHadd] = ACTIONS(6052),
    [anon_sym_BSLASHbk] = ACTIONS(6052),
    [anon_sym_BSLASHdc] = ACTIONS(6052),
    [anon_sym_BSLASHk] = ACTIONS(6052),
    [anon_sym_BSLASHnd] = ACTIONS(6052),
    [anon_sym_BSLASHord] = ACTIONS(6052),
    [anon_sym_BSLASHpn] = ACTIONS(6052),
    [anon_sym_BSLASHpng] = ACTIONS(6052),
    [anon_sym_BSLASHaddpn] = ACTIONS(6052),
    [anon_sym_BSLASHqt] = ACTIONS(6052),
    [anon_sym_BSLASHsig] = ACTIONS(6052),
    [anon_sym_BSLASHsls] = ACTIONS(6052),
    [anon_sym_BSLASHtl] = ACTIONS(6052),
    [anon_sym_BSLASHwj] = ACTIONS(6052),
    [anon_sym_BSLASHem] = ACTIONS(6052),
    [anon_sym_BSLASHbd] = ACTIONS(6052),
    [anon_sym_BSLASHit] = ACTIONS(6052),
    [anon_sym_BSLASHbdit] = ACTIONS(6052),
    [anon_sym_BSLASHno] = ACTIONS(6052),
    [anon_sym_BSLASHsc] = ACTIONS(6052),
    [anon_sym_BSLASHsup] = ACTIONS(6052),
    [anon_sym_BSLASHndx] = ACTIONS(6052),
    [anon_sym_BSLASHpro] = ACTIONS(6052),
    [anon_sym_BSLASHrb] = ACTIONS(6052),
    [anon_sym_BSLASHw] = ACTIONS(6052),
    [anon_sym_BSLASHwg] = ACTIONS(6052),
    [anon_sym_BSLASHwh] = ACTIONS(6052),
    [anon_sym_BSLASHwa] = ACTIONS(6052),
    [anon_sym_BSLASHfig] = ACTIONS(6052),
    [anon_sym_BSLASHjmp] = ACTIONS(6052),
    [anon_sym_BSLASHpb] = ACTIONS(6052),
    [anon_sym_BSLASH] = ACTIONS(6052),
    [sym_milestoneStartTag] = ACTIONS(6052),
    [sym_milestoneEndTag] = ACTIONS(6052),
    [sym_zSpaceTag] = ACTIONS(6052),
    [anon_sym_BSLASHesbe] = ACTIONS(6052),
    [anon_sym_BSLASHcat] = ACTIONS(6052),
  },
  [715] = {
    [aux_sym_text_token1] = ACTIONS(5974),
    [anon_sym_BSLASHref] = ACTIONS(5976),
    [anon_sym_BSLASHsts] = ACTIONS(5976),
    [anon_sym_BSLASHrem] = ACTIONS(5976),
    [anon_sym_BSLASHrestore] = ACTIONS(5976),
    [anon_sym_BSLASHlit] = ACTIONS(5976),
    [anon_sym_BSLASHip] = ACTIONS(5976),
    [anon_sym_BSLASHv] = ACTIONS(5976),
    [anon_sym_BSLASHva] = ACTIONS(5976),
    [anon_sym_BSLASHvp] = ACTIONS(5976),
    [anon_sym_BSLASHmte] = ACTIONS(5976),
    [anon_sym_BSLASHms] = ACTIONS(5976),
    [anon_sym_BSLASHs] = ACTIONS(5976),
    [anon_sym_BSLASHr] = ACTIONS(5976),
    [anon_sym_BSLASHsp] = ACTIONS(5976),
    [anon_sym_BSLASHd] = ACTIONS(5976),
    [anon_sym_BSLASHsd] = ACTIONS(5976),
    [anon_sym_BSLASHp] = ACTIONS(5976),
    [anon_sym_BSLASHm] = ACTIONS(5976),
    [anon_sym_BSLASHpo] = ACTIONS(5976),
    [anon_sym_BSLASHpr] = ACTIONS(5976),
    [anon_sym_BSLASHcls] = ACTIONS(5976),
    [anon_sym_BSLASHpmo] = ACTIONS(5976),
    [anon_sym_BSLASHpm] = ACTIONS(5976),
    [anon_sym_BSLASHpmc] = ACTIONS(5976),
    [anon_sym_BSLASHpmr] = ACTIONS(5976),
    [anon_sym_BSLASHpi] = ACTIONS(5976),
    [anon_sym_BSLASHmi] = ACTIONS(5976),
    [anon_sym_BSLASHnb] = ACTIONS(5976),
    [anon_sym_BSLASHpc] = ACTIONS(5976),
    [anon_sym_BSLASHph] = ACTIONS(5976),
    [anon_sym_BSLASHb] = ACTIONS(5976),
    [anon_sym_BSLASHq] = ACTIONS(5976),
    [anon_sym_BSLASHqr] = ACTIONS(5976),
    [anon_sym_BSLASHqc] = ACTIONS(5976),
    [anon_sym_BSLASHqs] = ACTIONS(5976),
    [anon_sym_BSLASHqa] = ACTIONS(5976),
    [anon_sym_BSLASHqac] = ACTIONS(5976),
    [anon_sym_BSLASHqm] = ACTIONS(5976),
    [anon_sym_BSLASHqd] = ACTIONS(5976),
    [anon_sym_BSLASHlh] = ACTIONS(5976),
    [anon_sym_BSLASHli] = ACTIONS(5976),
    [anon_sym_BSLASHlim] = ACTIONS(5976),
    [anon_sym_BSLASHtr] = ACTIONS(5976),
    [anon_sym_BSLASHf] = ACTIONS(5976),
    [anon_sym_BSLASHfe] = ACTIONS(5976),
    [anon_sym_BSLASHef] = ACTIONS(5976),
    [anon_sym_BSLASHfm] = ACTIONS(5976),
    [anon_sym_BSLASHx] = ACTIONS(5976),
    [anon_sym_BSLASHxt] = ACTIONS(5976),
    [anon_sym_BSLASHrq] = ACTIONS(5976),
    [anon_sym_BSLASHadd] = ACTIONS(5976),
    [anon_sym_BSLASHbk] = ACTIONS(5976),
    [anon_sym_BSLASHdc] = ACTIONS(5976),
    [anon_sym_BSLASHk] = ACTIONS(5976),
    [anon_sym_BSLASHnd] = ACTIONS(5976),
    [anon_sym_BSLASHord] = ACTIONS(5976),
    [anon_sym_BSLASHpn] = ACTIONS(5976),
    [anon_sym_BSLASHpng] = ACTIONS(5976),
    [anon_sym_BSLASHaddpn] = ACTIONS(5976),
    [anon_sym_BSLASHqt] = ACTIONS(5976),
    [anon_sym_BSLASHsig] = ACTIONS(5976),
    [anon_sym_BSLASHsls] = ACTIONS(5976),
    [anon_sym_BSLASHtl] = ACTIONS(5976),
    [anon_sym_BSLASHwj] = ACTIONS(5976),
    [anon_sym_BSLASHem] = ACTIONS(5976),
    [anon_sym_BSLASHbd] = ACTIONS(5976),
    [anon_sym_BSLASHit] = ACTIONS(5976),
    [anon_sym_BSLASHbdit] = ACTIONS(5976),
    [anon_sym_BSLASHno] = ACTIONS(5976),
    [anon_sym_BSLASHsc] = ACTIONS(5976),
    [anon_sym_BSLASHsup] = ACTIONS(5976),
    [anon_sym_BSLASHndx] = ACTIONS(5976),
    [anon_sym_BSLASHpro] = ACTIONS(5976),
    [anon_sym_BSLASHrb] = ACTIONS(5976),
    [anon_sym_BSLASHw] = ACTIONS(5976),
    [anon_sym_BSLASHwg] = ACTIONS(5976),
    [anon_sym_BSLASHwh] = ACTIONS(5976),
    [anon_sym_BSLASHwa] = ACTIONS(5976),
    [anon_sym_BSLASHfig] = ACTIONS(5976),
    [anon_sym_BSLASHjmp] = ACTIONS(5976),
    [anon_sym_BSLASHpb] = ACTIONS(5976),
    [anon_sym_BSLASH] = ACTIONS(5976),
    [sym_milestoneStartTag] = ACTIONS(5976),
    [sym_milestoneEndTag] = ACTIONS(5976),
    [sym_zSpaceTag] = ACTIONS(5976),
    [anon_sym_BSLASHesbe] = ACTIONS(5976),
    [anon_sym_BSLASHcat] = ACTIONS(5976),
  },
  [716] = {
    [aux_sym_text_token1] = ACTIONS(6054),
    [anon_sym_BSLASHref] = ACTIONS(6056),
    [anon_sym_BSLASHsts] = ACTIONS(6056),
    [anon_sym_BSLASHrem] = ACTIONS(6056),
    [anon_sym_BSLASHrestore] = ACTIONS(6056),
    [anon_sym_BSLASHlit] = ACTIONS(6056),
    [anon_sym_BSLASHip] = ACTIONS(6056),
    [anon_sym_BSLASHv] = ACTIONS(6056),
    [anon_sym_BSLASHva] = ACTIONS(6056),
    [anon_sym_BSLASHvp] = ACTIONS(6056),
    [anon_sym_BSLASHmte] = ACTIONS(6056),
    [anon_sym_BSLASHms] = ACTIONS(6056),
    [anon_sym_BSLASHs] = ACTIONS(6056),
    [anon_sym_BSLASHr] = ACTIONS(6056),
    [anon_sym_BSLASHsp] = ACTIONS(6056),
    [anon_sym_BSLASHd] = ACTIONS(6056),
    [anon_sym_BSLASHsd] = ACTIONS(6056),
    [anon_sym_BSLASHp] = ACTIONS(6056),
    [anon_sym_BSLASHm] = ACTIONS(6056),
    [anon_sym_BSLASHpo] = ACTIONS(6056),
    [anon_sym_BSLASHpr] = ACTIONS(6056),
    [anon_sym_BSLASHcls] = ACTIONS(6056),
    [anon_sym_BSLASHpmo] = ACTIONS(6056),
    [anon_sym_BSLASHpm] = ACTIONS(6056),
    [anon_sym_BSLASHpmc] = ACTIONS(6056),
    [anon_sym_BSLASHpmr] = ACTIONS(6056),
    [anon_sym_BSLASHpi] = ACTIONS(6056),
    [anon_sym_BSLASHmi] = ACTIONS(6056),
    [anon_sym_BSLASHnb] = ACTIONS(6056),
    [anon_sym_BSLASHpc] = ACTIONS(6056),
    [anon_sym_BSLASHph] = ACTIONS(6056),
    [anon_sym_BSLASHb] = ACTIONS(6056),
    [anon_sym_BSLASHq] = ACTIONS(6056),
    [anon_sym_BSLASHqr] = ACTIONS(6056),
    [anon_sym_BSLASHqc] = ACTIONS(6056),
    [anon_sym_BSLASHqs] = ACTIONS(6056),
    [anon_sym_BSLASHqa] = ACTIONS(6056),
    [anon_sym_BSLASHqac] = ACTIONS(6056),
    [anon_sym_BSLASHqm] = ACTIONS(6056),
    [anon_sym_BSLASHqd] = ACTIONS(6056),
    [anon_sym_BSLASHlh] = ACTIONS(6056),
    [anon_sym_BSLASHli] = ACTIONS(6056),
    [anon_sym_BSLASHlim] = ACTIONS(6056),
    [anon_sym_BSLASHtr] = ACTIONS(6056),
    [anon_sym_BSLASHf] = ACTIONS(6056),
    [anon_sym_BSLASHfe] = ACTIONS(6056),
    [anon_sym_BSLASHef] = ACTIONS(6056),
    [anon_sym_BSLASHfm] = ACTIONS(6056),
    [anon_sym_BSLASHx] = ACTIONS(6056),
    [anon_sym_BSLASHxt] = ACTIONS(6056),
    [anon_sym_BSLASHrq] = ACTIONS(6056),
    [anon_sym_BSLASHadd] = ACTIONS(6056),
    [anon_sym_BSLASHbk] = ACTIONS(6056),
    [anon_sym_BSLASHdc] = ACTIONS(6056),
    [anon_sym_BSLASHk] = ACTIONS(6056),
    [anon_sym_BSLASHnd] = ACTIONS(6056),
    [anon_sym_BSLASHord] = ACTIONS(6056),
    [anon_sym_BSLASHpn] = ACTIONS(6056),
    [anon_sym_BSLASHpng] = ACTIONS(6056),
    [anon_sym_BSLASHaddpn] = ACTIONS(6056),
    [anon_sym_BSLASHqt] = ACTIONS(6056),
    [anon_sym_BSLASHsig] = ACTIONS(6056),
    [anon_sym_BSLASHsls] = ACTIONS(6056),
    [anon_sym_BSLASHtl] = ACTIONS(6056),
    [anon_sym_BSLASHwj] = ACTIONS(6056),
    [anon_sym_BSLASHem] = ACTIONS(6056),
    [anon_sym_BSLASHbd] = ACTIONS(6056),
    [anon_sym_BSLASHit] = ACTIONS(6056),
    [anon_sym_BSLASHbdit] = ACTIONS(6056),
    [anon_sym_BSLASHno] = ACTIONS(6056),
    [anon_sym_BSLASHsc] = ACTIONS(6056),
    [anon_sym_BSLASHsup] = ACTIONS(6056),
    [anon_sym_BSLASHndx] = ACTIONS(6056),
    [anon_sym_BSLASHpro] = ACTIONS(6056),
    [anon_sym_BSLASHrb] = ACTIONS(6056),
    [anon_sym_BSLASHw] = ACTIONS(6056),
    [anon_sym_BSLASHwg] = ACTIONS(6056),
    [anon_sym_BSLASHwh] = ACTIONS(6056),
    [anon_sym_BSLASHwa] = ACTIONS(6056),
    [anon_sym_BSLASHfig] = ACTIONS(6056),
    [anon_sym_BSLASHjmp] = ACTIONS(6056),
    [anon_sym_BSLASHpb] = ACTIONS(6056),
    [anon_sym_BSLASH] = ACTIONS(6056),
    [sym_milestoneStartTag] = ACTIONS(6056),
    [sym_milestoneEndTag] = ACTIONS(6056),
    [sym_zSpaceTag] = ACTIONS(6056),
    [anon_sym_BSLASHesbe] = ACTIONS(6056),
    [anon_sym_BSLASHcat] = ACTIONS(6056),
  },
  [717] = {
    [aux_sym_text_token1] = ACTIONS(5986),
    [anon_sym_BSLASHref] = ACTIONS(5988),
    [anon_sym_BSLASHsts] = ACTIONS(5988),
    [anon_sym_BSLASHrem] = ACTIONS(5988),
    [anon_sym_BSLASHrestore] = ACTIONS(5988),
    [anon_sym_BSLASHlit] = ACTIONS(5988),
    [anon_sym_BSLASHip] = ACTIONS(5988),
    [anon_sym_BSLASHv] = ACTIONS(5988),
    [anon_sym_BSLASHva] = ACTIONS(5988),
    [anon_sym_BSLASHvp] = ACTIONS(5988),
    [anon_sym_BSLASHmte] = ACTIONS(5988),
    [anon_sym_BSLASHms] = ACTIONS(5988),
    [anon_sym_BSLASHs] = ACTIONS(5988),
    [anon_sym_BSLASHr] = ACTIONS(5988),
    [anon_sym_BSLASHsp] = ACTIONS(5988),
    [anon_sym_BSLASHd] = ACTIONS(5988),
    [anon_sym_BSLASHsd] = ACTIONS(5988),
    [anon_sym_BSLASHp] = ACTIONS(5988),
    [anon_sym_BSLASHm] = ACTIONS(5988),
    [anon_sym_BSLASHpo] = ACTIONS(5988),
    [anon_sym_BSLASHpr] = ACTIONS(5988),
    [anon_sym_BSLASHcls] = ACTIONS(5988),
    [anon_sym_BSLASHpmo] = ACTIONS(5988),
    [anon_sym_BSLASHpm] = ACTIONS(5988),
    [anon_sym_BSLASHpmc] = ACTIONS(5988),
    [anon_sym_BSLASHpmr] = ACTIONS(5988),
    [anon_sym_BSLASHpi] = ACTIONS(5988),
    [anon_sym_BSLASHmi] = ACTIONS(5988),
    [anon_sym_BSLASHnb] = ACTIONS(5988),
    [anon_sym_BSLASHpc] = ACTIONS(5988),
    [anon_sym_BSLASHph] = ACTIONS(5988),
    [anon_sym_BSLASHb] = ACTIONS(5988),
    [anon_sym_BSLASHq] = ACTIONS(5988),
    [anon_sym_BSLASHqr] = ACTIONS(5988),
    [anon_sym_BSLASHqc] = ACTIONS(5988),
    [anon_sym_BSLASHqs] = ACTIONS(5988),
    [anon_sym_BSLASHqa] = ACTIONS(5988),
    [anon_sym_BSLASHqac] = ACTIONS(5988),
    [anon_sym_BSLASHqm] = ACTIONS(5988),
    [anon_sym_BSLASHqd] = ACTIONS(5988),
    [anon_sym_BSLASHlh] = ACTIONS(5988),
    [anon_sym_BSLASHli] = ACTIONS(5988),
    [anon_sym_BSLASHlim] = ACTIONS(5988),
    [anon_sym_BSLASHtr] = ACTIONS(5988),
    [anon_sym_BSLASHf] = ACTIONS(5988),
    [anon_sym_BSLASHfe] = ACTIONS(5988),
    [anon_sym_BSLASHef] = ACTIONS(5988),
    [anon_sym_BSLASHfm] = ACTIONS(5988),
    [anon_sym_BSLASHx] = ACTIONS(5988),
    [anon_sym_BSLASHxt] = ACTIONS(5988),
    [anon_sym_BSLASHrq] = ACTIONS(5988),
    [anon_sym_BSLASHadd] = ACTIONS(5988),
    [anon_sym_BSLASHbk] = ACTIONS(5988),
    [anon_sym_BSLASHdc] = ACTIONS(5988),
    [anon_sym_BSLASHk] = ACTIONS(5988),
    [anon_sym_BSLASHnd] = ACTIONS(5988),
    [anon_sym_BSLASHord] = ACTIONS(5988),
    [anon_sym_BSLASHpn] = ACTIONS(5988),
    [anon_sym_BSLASHpng] = ACTIONS(5988),
    [anon_sym_BSLASHaddpn] = ACTIONS(5988),
    [anon_sym_BSLASHqt] = ACTIONS(5988),
    [anon_sym_BSLASHsig] = ACTIONS(5988),
    [anon_sym_BSLASHsls] = ACTIONS(5988),
    [anon_sym_BSLASHtl] = ACTIONS(5988),
    [anon_sym_BSLASHwj] = ACTIONS(5988),
    [anon_sym_BSLASHem] = ACTIONS(5988),
    [anon_sym_BSLASHbd] = ACTIONS(5988),
    [anon_sym_BSLASHit] = ACTIONS(5988),
    [anon_sym_BSLASHbdit] = ACTIONS(5988),
    [anon_sym_BSLASHno] = ACTIONS(5988),
    [anon_sym_BSLASHsc] = ACTIONS(5988),
    [anon_sym_BSLASHsup] = ACTIONS(5988),
    [anon_sym_BSLASHndx] = ACTIONS(5988),
    [anon_sym_BSLASHpro] = ACTIONS(5988),
    [anon_sym_BSLASHrb] = ACTIONS(5988),
    [anon_sym_BSLASHw] = ACTIONS(5988),
    [anon_sym_BSLASHwg] = ACTIONS(5988),
    [anon_sym_BSLASHwh] = ACTIONS(5988),
    [anon_sym_BSLASHwa] = ACTIONS(5988),
    [anon_sym_BSLASHfig] = ACTIONS(5988),
    [anon_sym_BSLASHjmp] = ACTIONS(5988),
    [anon_sym_BSLASHpb] = ACTIONS(5988),
    [anon_sym_BSLASH] = ACTIONS(5988),
    [sym_milestoneStartTag] = ACTIONS(5988),
    [sym_milestoneEndTag] = ACTIONS(5988),
    [sym_zSpaceTag] = ACTIONS(5988),
    [anon_sym_BSLASHesbe] = ACTIONS(5988),
    [anon_sym_BSLASHcat] = ACTIONS(5988),
  },
  [718] = {
    [aux_sym_text_token1] = ACTIONS(5990),
    [anon_sym_BSLASHref] = ACTIONS(5992),
    [anon_sym_BSLASHsts] = ACTIONS(5992),
    [anon_sym_BSLASHrem] = ACTIONS(5992),
    [anon_sym_BSLASHrestore] = ACTIONS(5992),
    [anon_sym_BSLASHlit] = ACTIONS(5992),
    [anon_sym_BSLASHip] = ACTIONS(5992),
    [anon_sym_BSLASHv] = ACTIONS(5992),
    [anon_sym_BSLASHva] = ACTIONS(5992),
    [anon_sym_BSLASHvp] = ACTIONS(5992),
    [anon_sym_BSLASHmte] = ACTIONS(5992),
    [anon_sym_BSLASHms] = ACTIONS(5992),
    [anon_sym_BSLASHs] = ACTIONS(5992),
    [anon_sym_BSLASHr] = ACTIONS(5992),
    [anon_sym_BSLASHsp] = ACTIONS(5992),
    [anon_sym_BSLASHd] = ACTIONS(5992),
    [anon_sym_BSLASHsd] = ACTIONS(5992),
    [anon_sym_BSLASHp] = ACTIONS(5992),
    [anon_sym_BSLASHm] = ACTIONS(5992),
    [anon_sym_BSLASHpo] = ACTIONS(5992),
    [anon_sym_BSLASHpr] = ACTIONS(5992),
    [anon_sym_BSLASHcls] = ACTIONS(5992),
    [anon_sym_BSLASHpmo] = ACTIONS(5992),
    [anon_sym_BSLASHpm] = ACTIONS(5992),
    [anon_sym_BSLASHpmc] = ACTIONS(5992),
    [anon_sym_BSLASHpmr] = ACTIONS(5992),
    [anon_sym_BSLASHpi] = ACTIONS(5992),
    [anon_sym_BSLASHmi] = ACTIONS(5992),
    [anon_sym_BSLASHnb] = ACTIONS(5992),
    [anon_sym_BSLASHpc] = ACTIONS(5992),
    [anon_sym_BSLASHph] = ACTIONS(5992),
    [anon_sym_BSLASHb] = ACTIONS(5992),
    [anon_sym_BSLASHq] = ACTIONS(5992),
    [anon_sym_BSLASHqr] = ACTIONS(5992),
    [anon_sym_BSLASHqc] = ACTIONS(5992),
    [anon_sym_BSLASHqs] = ACTIONS(5992),
    [anon_sym_BSLASHqa] = ACTIONS(5992),
    [anon_sym_BSLASHqac] = ACTIONS(5992),
    [anon_sym_BSLASHqm] = ACTIONS(5992),
    [anon_sym_BSLASHqd] = ACTIONS(5992),
    [anon_sym_BSLASHlh] = ACTIONS(5992),
    [anon_sym_BSLASHli] = ACTIONS(5992),
    [anon_sym_BSLASHlim] = ACTIONS(5992),
    [anon_sym_BSLASHtr] = ACTIONS(5992),
    [anon_sym_BSLASHf] = ACTIONS(5992),
    [anon_sym_BSLASHfe] = ACTIONS(5992),
    [anon_sym_BSLASHef] = ACTIONS(5992),
    [anon_sym_BSLASHfm] = ACTIONS(5992),
    [anon_sym_BSLASHx] = ACTIONS(5992),
    [anon_sym_BSLASHxt] = ACTIONS(5992),
    [anon_sym_BSLASHrq] = ACTIONS(5992),
    [anon_sym_BSLASHadd] = ACTIONS(5992),
    [anon_sym_BSLASHbk] = ACTIONS(5992),
    [anon_sym_BSLASHdc] = ACTIONS(5992),
    [anon_sym_BSLASHk] = ACTIONS(5992),
    [anon_sym_BSLASHnd] = ACTIONS(5992),
    [anon_sym_BSLASHord] = ACTIONS(5992),
    [anon_sym_BSLASHpn] = ACTIONS(5992),
    [anon_sym_BSLASHpng] = ACTIONS(5992),
    [anon_sym_BSLASHaddpn] = ACTIONS(5992),
    [anon_sym_BSLASHqt] = ACTIONS(5992),
    [anon_sym_BSLASHsig] = ACTIONS(5992),
    [anon_sym_BSLASHsls] = ACTIONS(5992),
    [anon_sym_BSLASHtl] = ACTIONS(5992),
    [anon_sym_BSLASHwj] = ACTIONS(5992),
    [anon_sym_BSLASHem] = ACTIONS(5992),
    [anon_sym_BSLASHbd] = ACTIONS(5992),
    [anon_sym_BSLASHit] = ACTIONS(5992),
    [anon_sym_BSLASHbdit] = ACTIONS(5992),
    [anon_sym_BSLASHno] = ACTIONS(5992),
    [anon_sym_BSLASHsc] = ACTIONS(5992),
    [anon_sym_BSLASHsup] = ACTIONS(5992),
    [anon_sym_BSLASHndx] = ACTIONS(5992),
    [anon_sym_BSLASHpro] = ACTIONS(5992),
    [anon_sym_BSLASHrb] = ACTIONS(5992),
    [anon_sym_BSLASHw] = ACTIONS(5992),
    [anon_sym_BSLASHwg] = ACTIONS(5992),
    [anon_sym_BSLASHwh] = ACTIONS(5992),
    [anon_sym_BSLASHwa] = ACTIONS(5992),
    [anon_sym_BSLASHfig] = ACTIONS(5992),
    [anon_sym_BSLASHjmp] = ACTIONS(5992),
    [anon_sym_BSLASHpb] = ACTIONS(5992),
    [anon_sym_BSLASH] = ACTIONS(5992),
    [sym_milestoneStartTag] = ACTIONS(5992),
    [sym_milestoneEndTag] = ACTIONS(5992),
    [sym_zSpaceTag] = ACTIONS(5992),
    [anon_sym_BSLASHesbe] = ACTIONS(5992),
    [anon_sym_BSLASHcat] = ACTIONS(5992),
  },
  [719] = {
    [aux_sym_text_token1] = ACTIONS(6002),
    [anon_sym_BSLASHref] = ACTIONS(6004),
    [anon_sym_BSLASHsts] = ACTIONS(6004),
    [anon_sym_BSLASHrem] = ACTIONS(6004),
    [anon_sym_BSLASHrestore] = ACTIONS(6004),
    [anon_sym_BSLASHlit] = ACTIONS(6004),
    [anon_sym_BSLASHip] = ACTIONS(6004),
    [anon_sym_BSLASHv] = ACTIONS(6004),
    [anon_sym_BSLASHva] = ACTIONS(6004),
    [anon_sym_BSLASHvp] = ACTIONS(6004),
    [anon_sym_BSLASHmte] = ACTIONS(6004),
    [anon_sym_BSLASHms] = ACTIONS(6004),
    [anon_sym_BSLASHs] = ACTIONS(6004),
    [anon_sym_BSLASHr] = ACTIONS(6004),
    [anon_sym_BSLASHsp] = ACTIONS(6004),
    [anon_sym_BSLASHd] = ACTIONS(6004),
    [anon_sym_BSLASHsd] = ACTIONS(6004),
    [anon_sym_BSLASHp] = ACTIONS(6004),
    [anon_sym_BSLASHm] = ACTIONS(6004),
    [anon_sym_BSLASHpo] = ACTIONS(6004),
    [anon_sym_BSLASHpr] = ACTIONS(6004),
    [anon_sym_BSLASHcls] = ACTIONS(6004),
    [anon_sym_BSLASHpmo] = ACTIONS(6004),
    [anon_sym_BSLASHpm] = ACTIONS(6004),
    [anon_sym_BSLASHpmc] = ACTIONS(6004),
    [anon_sym_BSLASHpmr] = ACTIONS(6004),
    [anon_sym_BSLASHpi] = ACTIONS(6004),
    [anon_sym_BSLASHmi] = ACTIONS(6004),
    [anon_sym_BSLASHnb] = ACTIONS(6004),
    [anon_sym_BSLASHpc] = ACTIONS(6004),
    [anon_sym_BSLASHph] = ACTIONS(6004),
    [anon_sym_BSLASHb] = ACTIONS(6004),
    [anon_sym_BSLASHq] = ACTIONS(6004),
    [anon_sym_BSLASHqr] = ACTIONS(6004),
    [anon_sym_BSLASHqc] = ACTIONS(6004),
    [anon_sym_BSLASHqs] = ACTIONS(6004),
    [anon_sym_BSLASHqa] = ACTIONS(6004),
    [anon_sym_BSLASHqac] = ACTIONS(6004),
    [anon_sym_BSLASHqm] = ACTIONS(6004),
    [anon_sym_BSLASHqd] = ACTIONS(6004),
    [anon_sym_BSLASHlh] = ACTIONS(6004),
    [anon_sym_BSLASHli] = ACTIONS(6004),
    [anon_sym_BSLASHlim] = ACTIONS(6004),
    [anon_sym_BSLASHtr] = ACTIONS(6004),
    [anon_sym_BSLASHf] = ACTIONS(6004),
    [anon_sym_BSLASHfe] = ACTIONS(6004),
    [anon_sym_BSLASHef] = ACTIONS(6004),
    [anon_sym_BSLASHfm] = ACTIONS(6004),
    [anon_sym_BSLASHx] = ACTIONS(6004),
    [anon_sym_BSLASHxt] = ACTIONS(6004),
    [anon_sym_BSLASHrq] = ACTIONS(6004),
    [anon_sym_BSLASHadd] = ACTIONS(6004),
    [anon_sym_BSLASHbk] = ACTIONS(6004),
    [anon_sym_BSLASHdc] = ACTIONS(6004),
    [anon_sym_BSLASHk] = ACTIONS(6004),
    [anon_sym_BSLASHnd] = ACTIONS(6004),
    [anon_sym_BSLASHord] = ACTIONS(6004),
    [anon_sym_BSLASHpn] = ACTIONS(6004),
    [anon_sym_BSLASHpng] = ACTIONS(6004),
    [anon_sym_BSLASHaddpn] = ACTIONS(6004),
    [anon_sym_BSLASHqt] = ACTIONS(6004),
    [anon_sym_BSLASHsig] = ACTIONS(6004),
    [anon_sym_BSLASHsls] = ACTIONS(6004),
    [anon_sym_BSLASHtl] = ACTIONS(6004),
    [anon_sym_BSLASHwj] = ACTIONS(6004),
    [anon_sym_BSLASHem] = ACTIONS(6004),
    [anon_sym_BSLASHbd] = ACTIONS(6004),
    [anon_sym_BSLASHit] = ACTIONS(6004),
    [anon_sym_BSLASHbdit] = ACTIONS(6004),
    [anon_sym_BSLASHno] = ACTIONS(6004),
    [anon_sym_BSLASHsc] = ACTIONS(6004),
    [anon_sym_BSLASHsup] = ACTIONS(6004),
    [anon_sym_BSLASHndx] = ACTIONS(6004),
    [anon_sym_BSLASHpro] = ACTIONS(6004),
    [anon_sym_BSLASHrb] = ACTIONS(6004),
    [anon_sym_BSLASHw] = ACTIONS(6004),
    [anon_sym_BSLASHwg] = ACTIONS(6004),
    [anon_sym_BSLASHwh] = ACTIONS(6004),
    [anon_sym_BSLASHwa] = ACTIONS(6004),
    [anon_sym_BSLASHfig] = ACTIONS(6004),
    [anon_sym_BSLASHjmp] = ACTIONS(6004),
    [anon_sym_BSLASHpb] = ACTIONS(6004),
    [anon_sym_BSLASH] = ACTIONS(6004),
    [sym_milestoneStartTag] = ACTIONS(6004),
    [sym_milestoneEndTag] = ACTIONS(6004),
    [sym_zSpaceTag] = ACTIONS(6004),
    [anon_sym_BSLASHesbe] = ACTIONS(6004),
    [anon_sym_BSLASHcat] = ACTIONS(6004),
  },
  [720] = {
    [aux_sym_text_token1] = ACTIONS(6022),
    [anon_sym_BSLASHref] = ACTIONS(6024),
    [anon_sym_BSLASHsts] = ACTIONS(6024),
    [anon_sym_BSLASHrem] = ACTIONS(6024),
    [anon_sym_BSLASHrestore] = ACTIONS(6024),
    [anon_sym_BSLASHlit] = ACTIONS(6024),
    [anon_sym_BSLASHip] = ACTIONS(6024),
    [anon_sym_BSLASHv] = ACTIONS(6024),
    [anon_sym_BSLASHva] = ACTIONS(6024),
    [anon_sym_BSLASHvp] = ACTIONS(6024),
    [anon_sym_BSLASHmte] = ACTIONS(6024),
    [anon_sym_BSLASHms] = ACTIONS(6024),
    [anon_sym_BSLASHs] = ACTIONS(6024),
    [anon_sym_BSLASHr] = ACTIONS(6024),
    [anon_sym_BSLASHsp] = ACTIONS(6024),
    [anon_sym_BSLASHd] = ACTIONS(6024),
    [anon_sym_BSLASHsd] = ACTIONS(6024),
    [anon_sym_BSLASHp] = ACTIONS(6024),
    [anon_sym_BSLASHm] = ACTIONS(6024),
    [anon_sym_BSLASHpo] = ACTIONS(6024),
    [anon_sym_BSLASHpr] = ACTIONS(6024),
    [anon_sym_BSLASHcls] = ACTIONS(6024),
    [anon_sym_BSLASHpmo] = ACTIONS(6024),
    [anon_sym_BSLASHpm] = ACTIONS(6024),
    [anon_sym_BSLASHpmc] = ACTIONS(6024),
    [anon_sym_BSLASHpmr] = ACTIONS(6024),
    [anon_sym_BSLASHpi] = ACTIONS(6024),
    [anon_sym_BSLASHmi] = ACTIONS(6024),
    [anon_sym_BSLASHnb] = ACTIONS(6024),
    [anon_sym_BSLASHpc] = ACTIONS(6024),
    [anon_sym_BSLASHph] = ACTIONS(6024),
    [anon_sym_BSLASHb] = ACTIONS(6024),
    [anon_sym_BSLASHq] = ACTIONS(6024),
    [anon_sym_BSLASHqr] = ACTIONS(6024),
    [anon_sym_BSLASHqc] = ACTIONS(6024),
    [anon_sym_BSLASHqs] = ACTIONS(6024),
    [anon_sym_BSLASHqa] = ACTIONS(6024),
    [anon_sym_BSLASHqac] = ACTIONS(6024),
    [anon_sym_BSLASHqm] = ACTIONS(6024),
    [anon_sym_BSLASHqd] = ACTIONS(6024),
    [anon_sym_BSLASHlh] = ACTIONS(6024),
    [anon_sym_BSLASHli] = ACTIONS(6024),
    [anon_sym_BSLASHlim] = ACTIONS(6024),
    [anon_sym_BSLASHtr] = ACTIONS(6024),
    [anon_sym_BSLASHf] = ACTIONS(6024),
    [anon_sym_BSLASHfe] = ACTIONS(6024),
    [anon_sym_BSLASHef] = ACTIONS(6024),
    [anon_sym_BSLASHfm] = ACTIONS(6024),
    [anon_sym_BSLASHx] = ACTIONS(6024),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6024),
    [anon_sym_BSLASHadd] = ACTIONS(6024),
    [anon_sym_BSLASHbk] = ACTIONS(6024),
    [anon_sym_BSLASHdc] = ACTIONS(6024),
    [anon_sym_BSLASHk] = ACTIONS(6024),
    [anon_sym_BSLASHnd] = ACTIONS(6024),
    [anon_sym_BSLASHord] = ACTIONS(6024),
    [anon_sym_BSLASHpn] = ACTIONS(6024),
    [anon_sym_BSLASHpng] = ACTIONS(6024),
    [anon_sym_BSLASHaddpn] = ACTIONS(6024),
    [anon_sym_BSLASHqt] = ACTIONS(6024),
    [anon_sym_BSLASHsig] = ACTIONS(6024),
    [anon_sym_BSLASHsls] = ACTIONS(6024),
    [anon_sym_BSLASHtl] = ACTIONS(6024),
    [anon_sym_BSLASHwj] = ACTIONS(6024),
    [anon_sym_BSLASHem] = ACTIONS(6024),
    [anon_sym_BSLASHbd] = ACTIONS(6024),
    [anon_sym_BSLASHit] = ACTIONS(6024),
    [anon_sym_BSLASHbdit] = ACTIONS(6024),
    [anon_sym_BSLASHno] = ACTIONS(6024),
    [anon_sym_BSLASHsc] = ACTIONS(6024),
    [anon_sym_BSLASHsup] = ACTIONS(6024),
    [anon_sym_BSLASHndx] = ACTIONS(6024),
    [anon_sym_BSLASHpro] = ACTIONS(6024),
    [anon_sym_BSLASHrb] = ACTIONS(6024),
    [anon_sym_BSLASHw] = ACTIONS(6024),
    [anon_sym_BSLASHwg] = ACTIONS(6024),
    [anon_sym_BSLASHwh] = ACTIONS(6024),
    [anon_sym_BSLASHwa] = ACTIONS(6024),
    [anon_sym_BSLASHfig] = ACTIONS(6024),
    [anon_sym_BSLASHjmp] = ACTIONS(6024),
    [anon_sym_BSLASHpb] = ACTIONS(6024),
    [anon_sym_BSLASH] = ACTIONS(6024),
    [sym_milestoneStartTag] = ACTIONS(6024),
    [sym_milestoneEndTag] = ACTIONS(6024),
    [sym_zSpaceTag] = ACTIONS(6024),
    [anon_sym_BSLASHesbe] = ACTIONS(6024),
    [anon_sym_BSLASHcat] = ACTIONS(6024),
  },
  [721] = {
    [aux_sym_text_token1] = ACTIONS(6276),
    [anon_sym_BSLASHref] = ACTIONS(6278),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfr] = ACTIONS(6278),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfq] = ACTIONS(6278),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfqa] = ACTIONS(6278),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfk] = ACTIONS(6278),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfl] = ACTIONS(6278),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfw] = ACTIONS(6278),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfp] = ACTIONS(6278),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHft] = ACTIONS(6278),
    [anon_sym_BSLASHft_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfdc] = ACTIONS(6278),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfv] = ACTIONS(6278),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHxt] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(6280),
    [anon_sym_BSLASHadd] = ACTIONS(6278),
    [anon_sym_BSLASHbk] = ACTIONS(6278),
    [anon_sym_BSLASHdc] = ACTIONS(6278),
    [anon_sym_BSLASHk] = ACTIONS(6278),
    [anon_sym_BSLASHnd] = ACTIONS(6278),
    [anon_sym_BSLASHord] = ACTIONS(6278),
    [anon_sym_BSLASHpn] = ACTIONS(6278),
    [anon_sym_BSLASHpng] = ACTIONS(6278),
    [anon_sym_BSLASHaddpn] = ACTIONS(6278),
    [anon_sym_BSLASHqt] = ACTIONS(6278),
    [anon_sym_BSLASHsig] = ACTIONS(6278),
    [anon_sym_BSLASHsls] = ACTIONS(6278),
    [anon_sym_BSLASHtl] = ACTIONS(6278),
    [anon_sym_BSLASHwj] = ACTIONS(6278),
    [anon_sym_BSLASHem] = ACTIONS(6278),
    [anon_sym_BSLASHbd] = ACTIONS(6278),
    [anon_sym_BSLASHit] = ACTIONS(6278),
    [anon_sym_BSLASHbdit] = ACTIONS(6278),
    [anon_sym_BSLASHno] = ACTIONS(6278),
    [anon_sym_BSLASHsc] = ACTIONS(6278),
    [anon_sym_BSLASHsup] = ACTIONS(6278),
    [anon_sym_BSLASHndx] = ACTIONS(6278),
    [anon_sym_BSLASHpro] = ACTIONS(6278),
    [anon_sym_BSLASHrb] = ACTIONS(6278),
    [anon_sym_BSLASHw] = ACTIONS(6278),
    [anon_sym_BSLASHwg] = ACTIONS(6278),
    [anon_sym_BSLASHwh] = ACTIONS(6278),
    [anon_sym_BSLASHwa] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6278),
    [anon_sym_BSLASHfig] = ACTIONS(6278),
    [anon_sym_BSLASHjmp] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6278),
    [anon_sym_BSLASHcat] = ACTIONS(6278),
  },
  [722] = {
    [aux_sym_text_token1] = ACTIONS(6070),
    [anon_sym_BSLASHref] = ACTIONS(6072),
    [anon_sym_BSLASHsts] = ACTIONS(6072),
    [anon_sym_BSLASHrem] = ACTIONS(6072),
    [anon_sym_BSLASHrestore] = ACTIONS(6072),
    [anon_sym_BSLASHlit] = ACTIONS(6072),
    [anon_sym_BSLASHip] = ACTIONS(6072),
    [anon_sym_BSLASHv] = ACTIONS(6072),
    [anon_sym_BSLASHva] = ACTIONS(6072),
    [anon_sym_BSLASHvp] = ACTIONS(6072),
    [anon_sym_BSLASHmte] = ACTIONS(6072),
    [anon_sym_BSLASHms] = ACTIONS(6072),
    [anon_sym_BSLASHs] = ACTIONS(6072),
    [anon_sym_BSLASHr] = ACTIONS(6072),
    [anon_sym_BSLASHsp] = ACTIONS(6072),
    [anon_sym_BSLASHd] = ACTIONS(6072),
    [anon_sym_BSLASHsd] = ACTIONS(6072),
    [anon_sym_BSLASHp] = ACTIONS(6072),
    [anon_sym_BSLASHm] = ACTIONS(6072),
    [anon_sym_BSLASHpo] = ACTIONS(6072),
    [anon_sym_BSLASHpr] = ACTIONS(6072),
    [anon_sym_BSLASHcls] = ACTIONS(6072),
    [anon_sym_BSLASHpmo] = ACTIONS(6072),
    [anon_sym_BSLASHpm] = ACTIONS(6072),
    [anon_sym_BSLASHpmc] = ACTIONS(6072),
    [anon_sym_BSLASHpmr] = ACTIONS(6072),
    [anon_sym_BSLASHpi] = ACTIONS(6072),
    [anon_sym_BSLASHmi] = ACTIONS(6072),
    [anon_sym_BSLASHnb] = ACTIONS(6072),
    [anon_sym_BSLASHpc] = ACTIONS(6072),
    [anon_sym_BSLASHph] = ACTIONS(6072),
    [anon_sym_BSLASHb] = ACTIONS(6072),
    [anon_sym_BSLASHq] = ACTIONS(6072),
    [anon_sym_BSLASHqr] = ACTIONS(6072),
    [anon_sym_BSLASHqc] = ACTIONS(6072),
    [anon_sym_BSLASHqs] = ACTIONS(6072),
    [anon_sym_BSLASHqa] = ACTIONS(6072),
    [anon_sym_BSLASHqac] = ACTIONS(6072),
    [anon_sym_BSLASHqm] = ACTIONS(6072),
    [anon_sym_BSLASHqd] = ACTIONS(6072),
    [anon_sym_BSLASHlh] = ACTIONS(6072),
    [anon_sym_BSLASHli] = ACTIONS(6072),
    [anon_sym_BSLASHlim] = ACTIONS(6072),
    [anon_sym_BSLASHtr] = ACTIONS(6072),
    [anon_sym_BSLASHf] = ACTIONS(6072),
    [anon_sym_BSLASHfe] = ACTIONS(6072),
    [anon_sym_BSLASHef] = ACTIONS(6072),
    [anon_sym_BSLASHfm] = ACTIONS(6072),
    [anon_sym_BSLASHx] = ACTIONS(6072),
    [anon_sym_BSLASHxt] = ACTIONS(6072),
    [anon_sym_BSLASHrq] = ACTIONS(6072),
    [anon_sym_BSLASHadd] = ACTIONS(6072),
    [anon_sym_BSLASHbk] = ACTIONS(6072),
    [anon_sym_BSLASHdc] = ACTIONS(6072),
    [anon_sym_BSLASHk] = ACTIONS(6072),
    [anon_sym_BSLASHnd] = ACTIONS(6072),
    [anon_sym_BSLASHord] = ACTIONS(6072),
    [anon_sym_BSLASHpn] = ACTIONS(6072),
    [anon_sym_BSLASHpng] = ACTIONS(6072),
    [anon_sym_BSLASHaddpn] = ACTIONS(6072),
    [anon_sym_BSLASHqt] = ACTIONS(6072),
    [anon_sym_BSLASHsig] = ACTIONS(6072),
    [anon_sym_BSLASHsls] = ACTIONS(6072),
    [anon_sym_BSLASHtl] = ACTIONS(6072),
    [anon_sym_BSLASHwj] = ACTIONS(6072),
    [anon_sym_BSLASHem] = ACTIONS(6072),
    [anon_sym_BSLASHbd] = ACTIONS(6072),
    [anon_sym_BSLASHit] = ACTIONS(6072),
    [anon_sym_BSLASHbdit] = ACTIONS(6072),
    [anon_sym_BSLASHno] = ACTIONS(6072),
    [anon_sym_BSLASHsc] = ACTIONS(6072),
    [anon_sym_BSLASHsup] = ACTIONS(6072),
    [anon_sym_BSLASHndx] = ACTIONS(6072),
    [anon_sym_BSLASHpro] = ACTIONS(6072),
    [anon_sym_BSLASHrb] = ACTIONS(6072),
    [anon_sym_BSLASHw] = ACTIONS(6072),
    [anon_sym_BSLASHwg] = ACTIONS(6072),
    [anon_sym_BSLASHwh] = ACTIONS(6072),
    [anon_sym_BSLASHwa] = ACTIONS(6072),
    [anon_sym_BSLASHfig] = ACTIONS(6072),
    [anon_sym_BSLASHjmp] = ACTIONS(6072),
    [anon_sym_BSLASHpb] = ACTIONS(6072),
    [anon_sym_BSLASH] = ACTIONS(6072),
    [sym_milestoneStartTag] = ACTIONS(6072),
    [sym_milestoneEndTag] = ACTIONS(6072),
    [sym_zSpaceTag] = ACTIONS(6072),
    [anon_sym_BSLASHesbe] = ACTIONS(6072),
    [anon_sym_BSLASHcat] = ACTIONS(6072),
  },
  [723] = {
    [aux_sym_text_token1] = ACTIONS(2799),
    [anon_sym_BSLASHref] = ACTIONS(2801),
    [anon_sym_BSLASHsts] = ACTIONS(2801),
    [anon_sym_BSLASHrem] = ACTIONS(2801),
    [anon_sym_BSLASHrestore] = ACTIONS(2801),
    [anon_sym_BSLASHlit] = ACTIONS(2801),
    [anon_sym_BSLASHip] = ACTIONS(2801),
    [anon_sym_BSLASHv] = ACTIONS(2801),
    [anon_sym_BSLASHva] = ACTIONS(2801),
    [anon_sym_BSLASHvp] = ACTIONS(2801),
    [anon_sym_BSLASHmte] = ACTIONS(2801),
    [anon_sym_BSLASHms] = ACTIONS(2801),
    [anon_sym_BSLASHs] = ACTIONS(2801),
    [anon_sym_BSLASHr] = ACTIONS(2801),
    [anon_sym_BSLASHsp] = ACTIONS(2801),
    [anon_sym_BSLASHd] = ACTIONS(2801),
    [anon_sym_BSLASHsd] = ACTIONS(2801),
    [anon_sym_BSLASHp] = ACTIONS(2801),
    [anon_sym_BSLASHm] = ACTIONS(2801),
    [anon_sym_BSLASHpo] = ACTIONS(2801),
    [anon_sym_BSLASHpr] = ACTIONS(2801),
    [anon_sym_BSLASHcls] = ACTIONS(2801),
    [anon_sym_BSLASHpmo] = ACTIONS(2801),
    [anon_sym_BSLASHpm] = ACTIONS(2801),
    [anon_sym_BSLASHpmc] = ACTIONS(2801),
    [anon_sym_BSLASHpmr] = ACTIONS(2801),
    [anon_sym_BSLASHpi] = ACTIONS(2801),
    [anon_sym_BSLASHmi] = ACTIONS(2801),
    [anon_sym_BSLASHnb] = ACTIONS(2801),
    [anon_sym_BSLASHpc] = ACTIONS(2801),
    [anon_sym_BSLASHph] = ACTIONS(2801),
    [anon_sym_BSLASHb] = ACTIONS(2801),
    [anon_sym_BSLASHq] = ACTIONS(2801),
    [anon_sym_BSLASHqr] = ACTIONS(2801),
    [anon_sym_BSLASHqc] = ACTIONS(2801),
    [anon_sym_BSLASHqs] = ACTIONS(2801),
    [anon_sym_BSLASHqa] = ACTIONS(2801),
    [anon_sym_BSLASHqac] = ACTIONS(2801),
    [anon_sym_BSLASHqm] = ACTIONS(2801),
    [anon_sym_BSLASHqd] = ACTIONS(2801),
    [anon_sym_BSLASHlh] = ACTIONS(2801),
    [anon_sym_BSLASHli] = ACTIONS(2801),
    [anon_sym_BSLASHlim] = ACTIONS(2801),
    [anon_sym_BSLASHtr] = ACTIONS(2801),
    [anon_sym_BSLASHf] = ACTIONS(2801),
    [anon_sym_BSLASHfe] = ACTIONS(2801),
    [anon_sym_BSLASHef] = ACTIONS(2801),
    [anon_sym_BSLASHfm] = ACTIONS(2801),
    [anon_sym_BSLASHx] = ACTIONS(2801),
    [anon_sym_BSLASHxt] = ACTIONS(2801),
    [anon_sym_BSLASHrq] = ACTIONS(2801),
    [anon_sym_BSLASHadd] = ACTIONS(2801),
    [anon_sym_BSLASHbk] = ACTIONS(2801),
    [anon_sym_BSLASHdc] = ACTIONS(2801),
    [anon_sym_BSLASHk] = ACTIONS(2801),
    [anon_sym_BSLASHnd] = ACTIONS(2801),
    [anon_sym_BSLASHord] = ACTIONS(2801),
    [anon_sym_BSLASHpn] = ACTIONS(2801),
    [anon_sym_BSLASHpng] = ACTIONS(2801),
    [anon_sym_BSLASHaddpn] = ACTIONS(2801),
    [anon_sym_BSLASHqt] = ACTIONS(2801),
    [anon_sym_BSLASHsig] = ACTIONS(2801),
    [anon_sym_BSLASHsls] = ACTIONS(2801),
    [anon_sym_BSLASHtl] = ACTIONS(2801),
    [anon_sym_BSLASHwj] = ACTIONS(2801),
    [anon_sym_BSLASHem] = ACTIONS(2801),
    [anon_sym_BSLASHbd] = ACTIONS(2801),
    [anon_sym_BSLASHit] = ACTIONS(2801),
    [anon_sym_BSLASHbdit] = ACTIONS(2801),
    [anon_sym_BSLASHno] = ACTIONS(2801),
    [anon_sym_BSLASHsc] = ACTIONS(2801),
    [anon_sym_BSLASHsup] = ACTIONS(2801),
    [anon_sym_BSLASHndx] = ACTIONS(2801),
    [anon_sym_BSLASHpro] = ACTIONS(2801),
    [anon_sym_BSLASHrb] = ACTIONS(2801),
    [anon_sym_BSLASHw] = ACTIONS(2801),
    [anon_sym_BSLASHwg] = ACTIONS(2801),
    [anon_sym_BSLASHwh] = ACTIONS(2801),
    [anon_sym_BSLASHwa] = ACTIONS(2801),
    [anon_sym_BSLASHfig] = ACTIONS(2801),
    [anon_sym_BSLASHjmp] = ACTIONS(2801),
    [anon_sym_BSLASHpb] = ACTIONS(2801),
    [anon_sym_BSLASH] = ACTIONS(2801),
    [sym_milestoneStartTag] = ACTIONS(2801),
    [sym_milestoneEndTag] = ACTIONS(2801),
    [sym_zSpaceTag] = ACTIONS(2801),
    [anon_sym_BSLASHesbe] = ACTIONS(2801),
    [anon_sym_BSLASHcat] = ACTIONS(2801),
  },
  [724] = {
    [aux_sym_text_token1] = ACTIONS(6066),
    [anon_sym_BSLASHref] = ACTIONS(6068),
    [anon_sym_BSLASHsts] = ACTIONS(6068),
    [anon_sym_BSLASHrem] = ACTIONS(6068),
    [anon_sym_BSLASHrestore] = ACTIONS(6068),
    [anon_sym_BSLASHlit] = ACTIONS(6068),
    [anon_sym_BSLASHip] = ACTIONS(6068),
    [anon_sym_BSLASHv] = ACTIONS(6068),
    [anon_sym_BSLASHva] = ACTIONS(6068),
    [anon_sym_BSLASHvp] = ACTIONS(6068),
    [anon_sym_BSLASHmte] = ACTIONS(6068),
    [anon_sym_BSLASHms] = ACTIONS(6068),
    [anon_sym_BSLASHs] = ACTIONS(6068),
    [anon_sym_BSLASHr] = ACTIONS(6068),
    [anon_sym_BSLASHsp] = ACTIONS(6068),
    [anon_sym_BSLASHd] = ACTIONS(6068),
    [anon_sym_BSLASHsd] = ACTIONS(6068),
    [anon_sym_BSLASHp] = ACTIONS(6068),
    [anon_sym_BSLASHm] = ACTIONS(6068),
    [anon_sym_BSLASHpo] = ACTIONS(6068),
    [anon_sym_BSLASHpr] = ACTIONS(6068),
    [anon_sym_BSLASHcls] = ACTIONS(6068),
    [anon_sym_BSLASHpmo] = ACTIONS(6068),
    [anon_sym_BSLASHpm] = ACTIONS(6068),
    [anon_sym_BSLASHpmc] = ACTIONS(6068),
    [anon_sym_BSLASHpmr] = ACTIONS(6068),
    [anon_sym_BSLASHpi] = ACTIONS(6068),
    [anon_sym_BSLASHmi] = ACTIONS(6068),
    [anon_sym_BSLASHnb] = ACTIONS(6068),
    [anon_sym_BSLASHpc] = ACTIONS(6068),
    [anon_sym_BSLASHph] = ACTIONS(6068),
    [anon_sym_BSLASHb] = ACTIONS(6068),
    [anon_sym_BSLASHq] = ACTIONS(6068),
    [anon_sym_BSLASHqr] = ACTIONS(6068),
    [anon_sym_BSLASHqc] = ACTIONS(6068),
    [anon_sym_BSLASHqs] = ACTIONS(6068),
    [anon_sym_BSLASHqa] = ACTIONS(6068),
    [anon_sym_BSLASHqac] = ACTIONS(6068),
    [anon_sym_BSLASHqm] = ACTIONS(6068),
    [anon_sym_BSLASHqd] = ACTIONS(6068),
    [anon_sym_BSLASHlh] = ACTIONS(6068),
    [anon_sym_BSLASHli] = ACTIONS(6068),
    [anon_sym_BSLASHlim] = ACTIONS(6068),
    [anon_sym_BSLASHtr] = ACTIONS(6068),
    [anon_sym_BSLASHf] = ACTIONS(6068),
    [anon_sym_BSLASHfe] = ACTIONS(6068),
    [anon_sym_BSLASHef] = ACTIONS(6068),
    [anon_sym_BSLASHfm] = ACTIONS(6068),
    [anon_sym_BSLASHx] = ACTIONS(6068),
    [anon_sym_BSLASHxt] = ACTIONS(6068),
    [anon_sym_BSLASHrq] = ACTIONS(6068),
    [anon_sym_BSLASHadd] = ACTIONS(6068),
    [anon_sym_BSLASHbk] = ACTIONS(6068),
    [anon_sym_BSLASHdc] = ACTIONS(6068),
    [anon_sym_BSLASHk] = ACTIONS(6068),
    [anon_sym_BSLASHnd] = ACTIONS(6068),
    [anon_sym_BSLASHord] = ACTIONS(6068),
    [anon_sym_BSLASHpn] = ACTIONS(6068),
    [anon_sym_BSLASHpng] = ACTIONS(6068),
    [anon_sym_BSLASHaddpn] = ACTIONS(6068),
    [anon_sym_BSLASHqt] = ACTIONS(6068),
    [anon_sym_BSLASHsig] = ACTIONS(6068),
    [anon_sym_BSLASHsls] = ACTIONS(6068),
    [anon_sym_BSLASHtl] = ACTIONS(6068),
    [anon_sym_BSLASHwj] = ACTIONS(6068),
    [anon_sym_BSLASHem] = ACTIONS(6068),
    [anon_sym_BSLASHbd] = ACTIONS(6068),
    [anon_sym_BSLASHit] = ACTIONS(6068),
    [anon_sym_BSLASHbdit] = ACTIONS(6068),
    [anon_sym_BSLASHno] = ACTIONS(6068),
    [anon_sym_BSLASHsc] = ACTIONS(6068),
    [anon_sym_BSLASHsup] = ACTIONS(6068),
    [anon_sym_BSLASHndx] = ACTIONS(6068),
    [anon_sym_BSLASHpro] = ACTIONS(6068),
    [anon_sym_BSLASHrb] = ACTIONS(6068),
    [anon_sym_BSLASHw] = ACTIONS(6068),
    [anon_sym_BSLASHwg] = ACTIONS(6068),
    [anon_sym_BSLASHwh] = ACTIONS(6068),
    [anon_sym_BSLASHwa] = ACTIONS(6068),
    [anon_sym_BSLASHfig] = ACTIONS(6068),
    [anon_sym_BSLASHjmp] = ACTIONS(6068),
    [anon_sym_BSLASHpb] = ACTIONS(6068),
    [anon_sym_BSLASH] = ACTIONS(6068),
    [sym_milestoneStartTag] = ACTIONS(6068),
    [sym_milestoneEndTag] = ACTIONS(6068),
    [sym_zSpaceTag] = ACTIONS(6068),
    [anon_sym_BSLASHesbe] = ACTIONS(6068),
    [anon_sym_BSLASHcat] = ACTIONS(6068),
  },
  [725] = {
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHref] = ACTIONS(2705),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHv] = ACTIONS(2705),
    [anon_sym_BSLASHva] = ACTIONS(2705),
    [anon_sym_BSLASHvp] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqs] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqac] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHx] = ACTIONS(2705),
    [anon_sym_BSLASHxt] = ACTIONS(2705),
    [anon_sym_BSLASHrq] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesbe] = ACTIONS(2705),
    [anon_sym_BSLASHcat] = ACTIONS(2705),
  },
  [726] = {
    [aux_sym_text_token1] = ACTIONS(2791),
    [anon_sym_BSLASHref] = ACTIONS(2793),
    [anon_sym_BSLASHsts] = ACTIONS(2793),
    [anon_sym_BSLASHrem] = ACTIONS(2793),
    [anon_sym_BSLASHrestore] = ACTIONS(2793),
    [anon_sym_BSLASHlit] = ACTIONS(2793),
    [anon_sym_BSLASHip] = ACTIONS(2793),
    [anon_sym_BSLASHv] = ACTIONS(2793),
    [anon_sym_BSLASHva] = ACTIONS(2793),
    [anon_sym_BSLASHvp] = ACTIONS(2793),
    [anon_sym_BSLASHmte] = ACTIONS(2793),
    [anon_sym_BSLASHms] = ACTIONS(2793),
    [anon_sym_BSLASHs] = ACTIONS(2793),
    [anon_sym_BSLASHr] = ACTIONS(2793),
    [anon_sym_BSLASHsp] = ACTIONS(2793),
    [anon_sym_BSLASHd] = ACTIONS(2793),
    [anon_sym_BSLASHsd] = ACTIONS(2793),
    [anon_sym_BSLASHp] = ACTIONS(2793),
    [anon_sym_BSLASHm] = ACTIONS(2793),
    [anon_sym_BSLASHpo] = ACTIONS(2793),
    [anon_sym_BSLASHpr] = ACTIONS(2793),
    [anon_sym_BSLASHcls] = ACTIONS(2793),
    [anon_sym_BSLASHpmo] = ACTIONS(2793),
    [anon_sym_BSLASHpm] = ACTIONS(2793),
    [anon_sym_BSLASHpmc] = ACTIONS(2793),
    [anon_sym_BSLASHpmr] = ACTIONS(2793),
    [anon_sym_BSLASHpi] = ACTIONS(2793),
    [anon_sym_BSLASHmi] = ACTIONS(2793),
    [anon_sym_BSLASHnb] = ACTIONS(2793),
    [anon_sym_BSLASHpc] = ACTIONS(2793),
    [anon_sym_BSLASHph] = ACTIONS(2793),
    [anon_sym_BSLASHb] = ACTIONS(2793),
    [anon_sym_BSLASHq] = ACTIONS(2793),
    [anon_sym_BSLASHqr] = ACTIONS(2793),
    [anon_sym_BSLASHqc] = ACTIONS(2793),
    [anon_sym_BSLASHqs] = ACTIONS(2793),
    [anon_sym_BSLASHqa] = ACTIONS(2793),
    [anon_sym_BSLASHqac] = ACTIONS(2793),
    [anon_sym_BSLASHqm] = ACTIONS(2793),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(2793),
    [anon_sym_BSLASHli] = ACTIONS(2793),
    [anon_sym_BSLASHlim] = ACTIONS(2793),
    [anon_sym_BSLASHtr] = ACTIONS(2793),
    [anon_sym_BSLASHf] = ACTIONS(2793),
    [anon_sym_BSLASHfe] = ACTIONS(2793),
    [anon_sym_BSLASHef] = ACTIONS(2793),
    [anon_sym_BSLASHfm] = ACTIONS(2793),
    [anon_sym_BSLASHx] = ACTIONS(2793),
    [anon_sym_BSLASHxt] = ACTIONS(2793),
    [anon_sym_BSLASHrq] = ACTIONS(2793),
    [anon_sym_BSLASHadd] = ACTIONS(2793),
    [anon_sym_BSLASHbk] = ACTIONS(2793),
    [anon_sym_BSLASHdc] = ACTIONS(2793),
    [anon_sym_BSLASHk] = ACTIONS(2793),
    [anon_sym_BSLASHnd] = ACTIONS(2793),
    [anon_sym_BSLASHord] = ACTIONS(2793),
    [anon_sym_BSLASHpn] = ACTIONS(2793),
    [anon_sym_BSLASHpng] = ACTIONS(2793),
    [anon_sym_BSLASHaddpn] = ACTIONS(2793),
    [anon_sym_BSLASHqt] = ACTIONS(2793),
    [anon_sym_BSLASHsig] = ACTIONS(2793),
    [anon_sym_BSLASHsls] = ACTIONS(2793),
    [anon_sym_BSLASHtl] = ACTIONS(2793),
    [anon_sym_BSLASHwj] = ACTIONS(2793),
    [anon_sym_BSLASHem] = ACTIONS(2793),
    [anon_sym_BSLASHbd] = ACTIONS(2793),
    [anon_sym_BSLASHit] = ACTIONS(2793),
    [anon_sym_BSLASHbdit] = ACTIONS(2793),
    [anon_sym_BSLASHno] = ACTIONS(2793),
    [anon_sym_BSLASHsc] = ACTIONS(2793),
    [anon_sym_BSLASHsup] = ACTIONS(2793),
    [anon_sym_BSLASHndx] = ACTIONS(2793),
    [anon_sym_BSLASHpro] = ACTIONS(2793),
    [anon_sym_BSLASHrb] = ACTIONS(2793),
    [anon_sym_BSLASHw] = ACTIONS(2793),
    [anon_sym_BSLASHwg] = ACTIONS(2793),
    [anon_sym_BSLASHwh] = ACTIONS(2793),
    [anon_sym_BSLASHwa] = ACTIONS(2793),
    [anon_sym_BSLASHfig] = ACTIONS(2793),
    [anon_sym_BSLASHjmp] = ACTIONS(2793),
    [anon_sym_BSLASHpb] = ACTIONS(2793),
    [anon_sym_BSLASH] = ACTIONS(2793),
    [sym_milestoneStartTag] = ACTIONS(2793),
    [sym_milestoneEndTag] = ACTIONS(2793),
    [sym_zSpaceTag] = ACTIONS(2793),
    [anon_sym_BSLASHesbe] = ACTIONS(2793),
    [anon_sym_BSLASHcat] = ACTIONS(2793),
  },
  [727] = {
    [aux_sym_text_token1] = ACTIONS(49),
    [anon_sym_BSLASHref] = ACTIONS(51),
    [anon_sym_BSLASHsts] = ACTIONS(51),
    [anon_sym_BSLASHrem] = ACTIONS(51),
    [anon_sym_BSLASHrestore] = ACTIONS(51),
    [anon_sym_BSLASHlit] = ACTIONS(51),
    [anon_sym_BSLASHip] = ACTIONS(51),
    [anon_sym_BSLASHv] = ACTIONS(51),
    [anon_sym_BSLASHva] = ACTIONS(51),
    [anon_sym_BSLASHvp] = ACTIONS(51),
    [anon_sym_BSLASHmte] = ACTIONS(51),
    [anon_sym_BSLASHms] = ACTIONS(51),
    [anon_sym_BSLASHs] = ACTIONS(51),
    [anon_sym_BSLASHr] = ACTIONS(51),
    [anon_sym_BSLASHsp] = ACTIONS(51),
    [anon_sym_BSLASHd] = ACTIONS(51),
    [anon_sym_BSLASHsd] = ACTIONS(51),
    [anon_sym_BSLASHp] = ACTIONS(51),
    [anon_sym_BSLASHm] = ACTIONS(51),
    [anon_sym_BSLASHpo] = ACTIONS(51),
    [anon_sym_BSLASHpr] = ACTIONS(51),
    [anon_sym_BSLASHcls] = ACTIONS(51),
    [anon_sym_BSLASHpmo] = ACTIONS(51),
    [anon_sym_BSLASHpm] = ACTIONS(51),
    [anon_sym_BSLASHpmc] = ACTIONS(51),
    [anon_sym_BSLASHpmr] = ACTIONS(51),
    [anon_sym_BSLASHpi] = ACTIONS(51),
    [anon_sym_BSLASHmi] = ACTIONS(51),
    [anon_sym_BSLASHnb] = ACTIONS(51),
    [anon_sym_BSLASHpc] = ACTIONS(51),
    [anon_sym_BSLASHph] = ACTIONS(51),
    [anon_sym_BSLASHb] = ACTIONS(51),
    [anon_sym_BSLASHq] = ACTIONS(51),
    [anon_sym_BSLASHqr] = ACTIONS(51),
    [anon_sym_BSLASHqc] = ACTIONS(51),
    [anon_sym_BSLASHqs] = ACTIONS(51),
    [anon_sym_BSLASHqa] = ACTIONS(51),
    [anon_sym_BSLASHqac] = ACTIONS(51),
    [anon_sym_BSLASHqm] = ACTIONS(51),
    [anon_sym_BSLASHqd] = ACTIONS(51),
    [anon_sym_BSLASHlh] = ACTIONS(51),
    [anon_sym_BSLASHli] = ACTIONS(51),
    [anon_sym_BSLASHlim] = ACTIONS(51),
    [anon_sym_BSLASHtr] = ACTIONS(51),
    [anon_sym_BSLASHf] = ACTIONS(51),
    [anon_sym_BSLASHfe] = ACTIONS(51),
    [anon_sym_BSLASHef] = ACTIONS(51),
    [anon_sym_BSLASHfm] = ACTIONS(51),
    [anon_sym_BSLASHx] = ACTIONS(51),
    [anon_sym_BSLASHxt] = ACTIONS(51),
    [anon_sym_BSLASHrq] = ACTIONS(51),
    [anon_sym_BSLASHadd] = ACTIONS(51),
    [anon_sym_BSLASHbk] = ACTIONS(51),
    [anon_sym_BSLASHdc] = ACTIONS(51),
    [anon_sym_BSLASHk] = ACTIONS(51),
    [anon_sym_BSLASHnd] = ACTIONS(51),
    [anon_sym_BSLASHord] = ACTIONS(51),
    [anon_sym_BSLASHpn] = ACTIONS(51),
    [anon_sym_BSLASHpng] = ACTIONS(51),
    [anon_sym_BSLASHaddpn] = ACTIONS(51),
    [anon_sym_BSLASHqt] = ACTIONS(51),
    [anon_sym_BSLASHsig] = ACTIONS(51),
    [anon_sym_BSLASHsls] = ACTIONS(51),
    [anon_sym_BSLASHtl] = ACTIONS(51),
    [anon_sym_BSLASHwj] = ACTIONS(51),
    [anon_sym_BSLASHem] = ACTIONS(51),
    [anon_sym_BSLASHbd] = ACTIONS(51),
    [anon_sym_BSLASHit] = ACTIONS(51),
    [anon_sym_BSLASHbdit] = ACTIONS(51),
    [anon_sym_BSLASHno] = ACTIONS(51),
    [anon_sym_BSLASHsc] = ACTIONS(51),
    [anon_sym_BSLASHsup] = ACTIONS(51),
    [anon_sym_BSLASHndx] = ACTIONS(51),
    [anon_sym_BSLASHpro] = ACTIONS(51),
    [anon_sym_BSLASHrb] = ACTIONS(51),
    [anon_sym_BSLASHw] = ACTIONS(51),
    [anon_sym_BSLASHwg] = ACTIONS(51),
    [anon_sym_BSLASHwh] = ACTIONS(51),
    [anon_sym_BSLASHwa] = ACTIONS(51),
    [anon_sym_BSLASHfig] = ACTIONS(51),
    [anon_sym_BSLASHjmp] = ACTIONS(51),
    [anon_sym_BSLASHpb] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(51),
    [sym_milestoneStartTag] = ACTIONS(51),
    [sym_milestoneEndTag] = ACTIONS(51),
    [sym_zSpaceTag] = ACTIONS(51),
    [anon_sym_BSLASHesbe] = ACTIONS(51),
    [anon_sym_BSLASHcat] = ACTIONS(51),
  },
  [728] = {
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHref] = ACTIONS(2713),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHv] = ACTIONS(2713),
    [anon_sym_BSLASHva] = ACTIONS(2713),
    [anon_sym_BSLASHvp] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqs] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqac] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHx] = ACTIONS(2713),
    [anon_sym_BSLASHxt] = ACTIONS(2713),
    [anon_sym_BSLASHrq] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesbe] = ACTIONS(2713),
    [anon_sym_BSLASHcat] = ACTIONS(2713),
  },
  [729] = {
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHref] = ACTIONS(2701),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHv] = ACTIONS(2701),
    [anon_sym_BSLASHva] = ACTIONS(2701),
    [anon_sym_BSLASHvp] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqs] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqac] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHx] = ACTIONS(2701),
    [anon_sym_BSLASHxt] = ACTIONS(2701),
    [anon_sym_BSLASHrq] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesbe] = ACTIONS(2701),
    [anon_sym_BSLASHcat] = ACTIONS(2701),
  },
  [730] = {
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHref] = ACTIONS(2697),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHv] = ACTIONS(2697),
    [anon_sym_BSLASHva] = ACTIONS(2697),
    [anon_sym_BSLASHvp] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqs] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqac] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHx] = ACTIONS(2697),
    [anon_sym_BSLASHxt] = ACTIONS(2697),
    [anon_sym_BSLASHrq] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesbe] = ACTIONS(2697),
    [anon_sym_BSLASHcat] = ACTIONS(2697),
  },
  [731] = {
    [aux_sym_text_token1] = ACTIONS(6276),
    [anon_sym_BSLASHref] = ACTIONS(6278),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfr] = ACTIONS(6278),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfq] = ACTIONS(6278),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfqa] = ACTIONS(6278),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfk] = ACTIONS(6278),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfl] = ACTIONS(6278),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfw] = ACTIONS(6278),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfp] = ACTIONS(6278),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHft] = ACTIONS(6278),
    [anon_sym_BSLASHft_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfdc] = ACTIONS(6278),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHfv] = ACTIONS(6278),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(6278),
    [anon_sym_BSLASHxt] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6278),
    [anon_sym_BSLASHadd] = ACTIONS(6278),
    [anon_sym_BSLASHbk] = ACTIONS(6278),
    [anon_sym_BSLASHdc] = ACTIONS(6278),
    [anon_sym_BSLASHk] = ACTIONS(6278),
    [anon_sym_BSLASHnd] = ACTIONS(6278),
    [anon_sym_BSLASHord] = ACTIONS(6278),
    [anon_sym_BSLASHpn] = ACTIONS(6278),
    [anon_sym_BSLASHpng] = ACTIONS(6278),
    [anon_sym_BSLASHaddpn] = ACTIONS(6278),
    [anon_sym_BSLASHqt] = ACTIONS(6278),
    [anon_sym_BSLASHsig] = ACTIONS(6278),
    [anon_sym_BSLASHsls] = ACTIONS(6278),
    [anon_sym_BSLASHtl] = ACTIONS(6278),
    [anon_sym_BSLASHwj] = ACTIONS(6278),
    [anon_sym_BSLASHem] = ACTIONS(6278),
    [anon_sym_BSLASHbd] = ACTIONS(6278),
    [anon_sym_BSLASHit] = ACTIONS(6278),
    [anon_sym_BSLASHbdit] = ACTIONS(6278),
    [anon_sym_BSLASHno] = ACTIONS(6278),
    [anon_sym_BSLASHsc] = ACTIONS(6278),
    [anon_sym_BSLASHsup] = ACTIONS(6278),
    [anon_sym_BSLASHndx] = ACTIONS(6278),
    [anon_sym_BSLASHpro] = ACTIONS(6278),
    [anon_sym_BSLASHrb] = ACTIONS(6278),
    [anon_sym_BSLASHw] = ACTIONS(6278),
    [anon_sym_BSLASHwg] = ACTIONS(6278),
    [anon_sym_BSLASHwh] = ACTIONS(6278),
    [anon_sym_BSLASHwa] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6278),
    [anon_sym_BSLASHfig] = ACTIONS(6278),
    [anon_sym_BSLASHjmp] = ACTIONS(6278),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6278),
    [anon_sym_BSLASHcat] = ACTIONS(6278),
  },
  [732] = {
    [aux_sym_text_token1] = ACTIONS(6282),
    [anon_sym_BSLASHref] = ACTIONS(6284),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6284),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6284),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6284),
    [anon_sym_BSLASHfr] = ACTIONS(6284),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(6284),
    [anon_sym_BSLASHfq] = ACTIONS(6284),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(6284),
    [anon_sym_BSLASHfqa] = ACTIONS(6284),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(6284),
    [anon_sym_BSLASHfk] = ACTIONS(6284),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(6284),
    [anon_sym_BSLASHfl] = ACTIONS(6284),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(6284),
    [anon_sym_BSLASHfw] = ACTIONS(6284),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(6284),
    [anon_sym_BSLASHfp] = ACTIONS(6284),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(6284),
    [anon_sym_BSLASHft] = ACTIONS(6284),
    [anon_sym_BSLASHft_STAR] = ACTIONS(6284),
    [anon_sym_BSLASHfdc] = ACTIONS(6284),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(6284),
    [anon_sym_BSLASHfv] = ACTIONS(6284),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(6284),
    [anon_sym_BSLASHxt] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6284),
    [anon_sym_BSLASHadd] = ACTIONS(6284),
    [anon_sym_BSLASHbk] = ACTIONS(6284),
    [anon_sym_BSLASHdc] = ACTIONS(6284),
    [anon_sym_BSLASHk] = ACTIONS(6284),
    [anon_sym_BSLASHnd] = ACTIONS(6284),
    [anon_sym_BSLASHord] = ACTIONS(6284),
    [anon_sym_BSLASHpn] = ACTIONS(6284),
    [anon_sym_BSLASHpng] = ACTIONS(6284),
    [anon_sym_BSLASHaddpn] = ACTIONS(6284),
    [anon_sym_BSLASHqt] = ACTIONS(6284),
    [anon_sym_BSLASHsig] = ACTIONS(6284),
    [anon_sym_BSLASHsls] = ACTIONS(6284),
    [anon_sym_BSLASHtl] = ACTIONS(6284),
    [anon_sym_BSLASHwj] = ACTIONS(6284),
    [anon_sym_BSLASHem] = ACTIONS(6284),
    [anon_sym_BSLASHbd] = ACTIONS(6284),
    [anon_sym_BSLASHit] = ACTIONS(6284),
    [anon_sym_BSLASHbdit] = ACTIONS(6284),
    [anon_sym_BSLASHno] = ACTIONS(6284),
    [anon_sym_BSLASHsc] = ACTIONS(6284),
    [anon_sym_BSLASHsup] = ACTIONS(6284),
    [anon_sym_BSLASHndx] = ACTIONS(6284),
    [anon_sym_BSLASHpro] = ACTIONS(6284),
    [anon_sym_BSLASHrb] = ACTIONS(6284),
    [anon_sym_BSLASHw] = ACTIONS(6284),
    [anon_sym_BSLASHwg] = ACTIONS(6284),
    [anon_sym_BSLASHwh] = ACTIONS(6284),
    [anon_sym_BSLASHwa] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6284),
    [anon_sym_BSLASHfig] = ACTIONS(6284),
    [anon_sym_BSLASHjmp] = ACTIONS(6284),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6284),
    [anon_sym_BSLASHcat] = ACTIONS(6284),
  },
  [733] = {
    [aux_sym_text_token1] = ACTIONS(6196),
    [anon_sym_BSLASHref] = ACTIONS(6198),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfr] = ACTIONS(6198),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfq] = ACTIONS(6198),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfqa] = ACTIONS(6198),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfk] = ACTIONS(6198),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfl] = ACTIONS(6198),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfw] = ACTIONS(6198),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfp] = ACTIONS(6198),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHft] = ACTIONS(6198),
    [anon_sym_BSLASHft_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfdc] = ACTIONS(6198),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHfv] = ACTIONS(6198),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(6198),
    [anon_sym_BSLASHxt] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6198),
    [anon_sym_BSLASHadd] = ACTIONS(6198),
    [anon_sym_BSLASHbk] = ACTIONS(6198),
    [anon_sym_BSLASHdc] = ACTIONS(6198),
    [anon_sym_BSLASHk] = ACTIONS(6198),
    [anon_sym_BSLASHnd] = ACTIONS(6198),
    [anon_sym_BSLASHord] = ACTIONS(6198),
    [anon_sym_BSLASHpn] = ACTIONS(6198),
    [anon_sym_BSLASHpng] = ACTIONS(6198),
    [anon_sym_BSLASHaddpn] = ACTIONS(6198),
    [anon_sym_BSLASHqt] = ACTIONS(6198),
    [anon_sym_BSLASHsig] = ACTIONS(6198),
    [anon_sym_BSLASHsls] = ACTIONS(6198),
    [anon_sym_BSLASHtl] = ACTIONS(6198),
    [anon_sym_BSLASHwj] = ACTIONS(6198),
    [anon_sym_BSLASHem] = ACTIONS(6198),
    [anon_sym_BSLASHbd] = ACTIONS(6198),
    [anon_sym_BSLASHit] = ACTIONS(6198),
    [anon_sym_BSLASHbdit] = ACTIONS(6198),
    [anon_sym_BSLASHno] = ACTIONS(6198),
    [anon_sym_BSLASHsc] = ACTIONS(6198),
    [anon_sym_BSLASHsup] = ACTIONS(6198),
    [anon_sym_BSLASHndx] = ACTIONS(6198),
    [anon_sym_BSLASHpro] = ACTIONS(6198),
    [anon_sym_BSLASHrb] = ACTIONS(6198),
    [anon_sym_BSLASHw] = ACTIONS(6198),
    [anon_sym_BSLASHwg] = ACTIONS(6198),
    [anon_sym_BSLASHwh] = ACTIONS(6198),
    [anon_sym_BSLASHwa] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6198),
    [anon_sym_BSLASHfig] = ACTIONS(6198),
    [anon_sym_BSLASHjmp] = ACTIONS(6198),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6198),
    [anon_sym_BSLASHcat] = ACTIONS(6198),
  },
  [734] = {
    [aux_sym_text_token1] = ACTIONS(6286),
    [anon_sym_BSLASHref] = ACTIONS(6288),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6288),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6288),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6288),
    [anon_sym_BSLASHfr] = ACTIONS(6288),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(6288),
    [anon_sym_BSLASHfq] = ACTIONS(6288),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(6288),
    [anon_sym_BSLASHfqa] = ACTIONS(6288),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(6288),
    [anon_sym_BSLASHfk] = ACTIONS(6288),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(6288),
    [anon_sym_BSLASHfl] = ACTIONS(6288),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(6288),
    [anon_sym_BSLASHfw] = ACTIONS(6288),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(6288),
    [anon_sym_BSLASHfp] = ACTIONS(6288),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(6288),
    [anon_sym_BSLASHft] = ACTIONS(6288),
    [anon_sym_BSLASHft_STAR] = ACTIONS(6288),
    [anon_sym_BSLASHfdc] = ACTIONS(6288),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(6288),
    [anon_sym_BSLASHfv] = ACTIONS(6288),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(6288),
    [anon_sym_BSLASHxt] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6288),
    [anon_sym_BSLASHadd] = ACTIONS(6288),
    [anon_sym_BSLASHbk] = ACTIONS(6288),
    [anon_sym_BSLASHdc] = ACTIONS(6288),
    [anon_sym_BSLASHk] = ACTIONS(6288),
    [anon_sym_BSLASHnd] = ACTIONS(6288),
    [anon_sym_BSLASHord] = ACTIONS(6288),
    [anon_sym_BSLASHpn] = ACTIONS(6288),
    [anon_sym_BSLASHpng] = ACTIONS(6288),
    [anon_sym_BSLASHaddpn] = ACTIONS(6288),
    [anon_sym_BSLASHqt] = ACTIONS(6288),
    [anon_sym_BSLASHsig] = ACTIONS(6288),
    [anon_sym_BSLASHsls] = ACTIONS(6288),
    [anon_sym_BSLASHtl] = ACTIONS(6288),
    [anon_sym_BSLASHwj] = ACTIONS(6288),
    [anon_sym_BSLASHem] = ACTIONS(6288),
    [anon_sym_BSLASHbd] = ACTIONS(6288),
    [anon_sym_BSLASHit] = ACTIONS(6288),
    [anon_sym_BSLASHbdit] = ACTIONS(6288),
    [anon_sym_BSLASHno] = ACTIONS(6288),
    [anon_sym_BSLASHsc] = ACTIONS(6288),
    [anon_sym_BSLASHsup] = ACTIONS(6288),
    [anon_sym_BSLASHndx] = ACTIONS(6288),
    [anon_sym_BSLASHpro] = ACTIONS(6288),
    [anon_sym_BSLASHrb] = ACTIONS(6288),
    [anon_sym_BSLASHw] = ACTIONS(6288),
    [anon_sym_BSLASHwg] = ACTIONS(6288),
    [anon_sym_BSLASHwh] = ACTIONS(6288),
    [anon_sym_BSLASHwa] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6288),
    [anon_sym_BSLASHfig] = ACTIONS(6288),
    [anon_sym_BSLASHjmp] = ACTIONS(6288),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6288),
    [anon_sym_BSLASHcat] = ACTIONS(6288),
  },
  [735] = {
    [aux_sym_text_token1] = ACTIONS(6290),
    [anon_sym_BSLASHref] = ACTIONS(6292),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6292),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6292),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6292),
    [anon_sym_BSLASHfr] = ACTIONS(6292),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(6292),
    [anon_sym_BSLASHfq] = ACTIONS(6292),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(6292),
    [anon_sym_BSLASHfqa] = ACTIONS(6292),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(6292),
    [anon_sym_BSLASHfk] = ACTIONS(6292),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(6292),
    [anon_sym_BSLASHfl] = ACTIONS(6292),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(6292),
    [anon_sym_BSLASHfw] = ACTIONS(6292),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(6292),
    [anon_sym_BSLASHfp] = ACTIONS(6292),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(6292),
    [anon_sym_BSLASHft] = ACTIONS(6292),
    [anon_sym_BSLASHft_STAR] = ACTIONS(6292),
    [anon_sym_BSLASHfdc] = ACTIONS(6292),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(6292),
    [anon_sym_BSLASHfv] = ACTIONS(6292),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(6292),
    [anon_sym_BSLASHxt] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6292),
    [anon_sym_BSLASHadd] = ACTIONS(6292),
    [anon_sym_BSLASHbk] = ACTIONS(6292),
    [anon_sym_BSLASHdc] = ACTIONS(6292),
    [anon_sym_BSLASHk] = ACTIONS(6292),
    [anon_sym_BSLASHnd] = ACTIONS(6292),
    [anon_sym_BSLASHord] = ACTIONS(6292),
    [anon_sym_BSLASHpn] = ACTIONS(6292),
    [anon_sym_BSLASHpng] = ACTIONS(6292),
    [anon_sym_BSLASHaddpn] = ACTIONS(6292),
    [anon_sym_BSLASHqt] = ACTIONS(6292),
    [anon_sym_BSLASHsig] = ACTIONS(6292),
    [anon_sym_BSLASHsls] = ACTIONS(6292),
    [anon_sym_BSLASHtl] = ACTIONS(6292),
    [anon_sym_BSLASHwj] = ACTIONS(6292),
    [anon_sym_BSLASHem] = ACTIONS(6292),
    [anon_sym_BSLASHbd] = ACTIONS(6292),
    [anon_sym_BSLASHit] = ACTIONS(6292),
    [anon_sym_BSLASHbdit] = ACTIONS(6292),
    [anon_sym_BSLASHno] = ACTIONS(6292),
    [anon_sym_BSLASHsc] = ACTIONS(6292),
    [anon_sym_BSLASHsup] = ACTIONS(6292),
    [anon_sym_BSLASHndx] = ACTIONS(6292),
    [anon_sym_BSLASHpro] = ACTIONS(6292),
    [anon_sym_BSLASHrb] = ACTIONS(6292),
    [anon_sym_BSLASHw] = ACTIONS(6292),
    [anon_sym_BSLASHwg] = ACTIONS(6292),
    [anon_sym_BSLASHwh] = ACTIONS(6292),
    [anon_sym_BSLASHwa] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6292),
    [anon_sym_BSLASHfig] = ACTIONS(6292),
    [anon_sym_BSLASHjmp] = ACTIONS(6292),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6292),
    [anon_sym_BSLASHcat] = ACTIONS(6292),
  },
  [736] = {
    [sym_text] = STATE(736),
    [sym_add] = STATE(736),
    [sym_bk] = STATE(736),
    [sym_dc] = STATE(736),
    [sym_k] = STATE(736),
    [sym_nd] = STATE(736),
    [sym_ord] = STATE(736),
    [sym_pn] = STATE(736),
    [sym_png] = STATE(736),
    [sym_addpn] = STATE(736),
    [sym_qt] = STATE(736),
    [sym_sig] = STATE(736),
    [sym_sls] = STATE(736),
    [sym_tl] = STATE(736),
    [sym_wj] = STATE(736),
    [sym_em] = STATE(736),
    [sym_bd] = STATE(736),
    [sym_it] = STATE(736),
    [sym_bdit] = STATE(736),
    [sym_no] = STATE(736),
    [sym_sc] = STATE(736),
    [sym_sup] = STATE(736),
    [sym_ndx] = STATE(736),
    [sym_pro] = STATE(736),
    [sym_rb] = STATE(736),
    [sym_w] = STATE(736),
    [sym_wg] = STATE(736),
    [sym_wh] = STATE(736),
    [sym_wa] = STATE(736),
    [sym__characterMarker] = STATE(736),
    [sym_fig] = STATE(736),
    [sym_jmp] = STATE(736),
    [aux_sym_verseText_repeat1] = STATE(736),
    [aux_sym_text_token1] = ACTIONS(6294),
    [anon_sym_BSLASHref] = ACTIONS(3449),
    [anon_sym_BSLASHsts] = ACTIONS(3449),
    [anon_sym_BSLASHrem] = ACTIONS(3449),
    [anon_sym_BSLASHrestore] = ACTIONS(3449),
    [anon_sym_BSLASHlit] = ACTIONS(3449),
    [anon_sym_BSLASHv] = ACTIONS(3449),
    [anon_sym_BSLASHva] = ACTIONS(3449),
    [anon_sym_BSLASHvp] = ACTIONS(3449),
    [anon_sym_BSLASHqs] = ACTIONS(3449),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(3449),
    [anon_sym_BSLASHqac] = ACTIONS(3449),
    [anon_sym_BSLASHf] = ACTIONS(3449),
    [anon_sym_BSLASHfe] = ACTIONS(3449),
    [anon_sym_BSLASHef] = ACTIONS(3449),
    [anon_sym_BSLASHfm] = ACTIONS(3449),
    [anon_sym_BSLASHx] = ACTIONS(3449),
    [anon_sym_BSLASHxt] = ACTIONS(3449),
    [anon_sym_BSLASHrq] = ACTIONS(3449),
    [anon_sym_BSLASHadd] = ACTIONS(6297),
    [anon_sym_BSLASHbk] = ACTIONS(6300),
    [anon_sym_BSLASHdc] = ACTIONS(6303),
    [anon_sym_BSLASHk] = ACTIONS(6306),
    [anon_sym_BSLASHnd] = ACTIONS(6309),
    [anon_sym_BSLASHord] = ACTIONS(6312),
    [anon_sym_BSLASHpn] = ACTIONS(6315),
    [anon_sym_BSLASHpng] = ACTIONS(6318),
    [anon_sym_BSLASHaddpn] = ACTIONS(6321),
    [anon_sym_BSLASHqt] = ACTIONS(6324),
    [anon_sym_BSLASHsig] = ACTIONS(6327),
    [anon_sym_BSLASHsls] = ACTIONS(6330),
    [anon_sym_BSLASHtl] = ACTIONS(6333),
    [anon_sym_BSLASHwj] = ACTIONS(6336),
    [anon_sym_BSLASHem] = ACTIONS(6339),
    [anon_sym_BSLASHbd] = ACTIONS(6342),
    [anon_sym_BSLASHit] = ACTIONS(6345),
    [anon_sym_BSLASHbdit] = ACTIONS(6348),
    [anon_sym_BSLASHno] = ACTIONS(6351),
    [anon_sym_BSLASHsc] = ACTIONS(6354),
    [anon_sym_BSLASHsup] = ACTIONS(6357),
    [anon_sym_BSLASHndx] = ACTIONS(6360),
    [anon_sym_BSLASHpro] = ACTIONS(6363),
    [anon_sym_BSLASHrb] = ACTIONS(6366),
    [anon_sym_BSLASHw] = ACTIONS(6369),
    [anon_sym_BSLASHwg] = ACTIONS(6372),
    [anon_sym_BSLASHwh] = ACTIONS(6375),
    [anon_sym_BSLASHwa] = ACTIONS(6378),
    [anon_sym_BSLASHfig] = ACTIONS(6381),
    [anon_sym_BSLASHjmp] = ACTIONS(6384),
    [anon_sym_BSLASH] = ACTIONS(3449),
    [sym_milestoneStartTag] = ACTIONS(3449),
    [sym_milestoneEndTag] = ACTIONS(3449),
    [sym_zSpaceTag] = ACTIONS(3449),
  },
  [737] = {
    [sym_text] = STATE(736),
    [sym_add] = STATE(736),
    [sym_bk] = STATE(736),
    [sym_dc] = STATE(736),
    [sym_k] = STATE(736),
    [sym_nd] = STATE(736),
    [sym_ord] = STATE(736),
    [sym_pn] = STATE(736),
    [sym_png] = STATE(736),
    [sym_addpn] = STATE(736),
    [sym_qt] = STATE(736),
    [sym_sig] = STATE(736),
    [sym_sls] = STATE(736),
    [sym_tl] = STATE(736),
    [sym_wj] = STATE(736),
    [sym_em] = STATE(736),
    [sym_bd] = STATE(736),
    [sym_it] = STATE(736),
    [sym_bdit] = STATE(736),
    [sym_no] = STATE(736),
    [sym_sc] = STATE(736),
    [sym_sup] = STATE(736),
    [sym_ndx] = STATE(736),
    [sym_pro] = STATE(736),
    [sym_rb] = STATE(736),
    [sym_w] = STATE(736),
    [sym_wg] = STATE(736),
    [sym_wh] = STATE(736),
    [sym_wa] = STATE(736),
    [sym__characterMarker] = STATE(736),
    [sym_fig] = STATE(736),
    [sym_jmp] = STATE(736),
    [aux_sym_verseText_repeat1] = STATE(736),
    [aux_sym_text_token1] = ACTIONS(4736),
    [anon_sym_BSLASHref] = ACTIONS(3442),
    [anon_sym_BSLASHsts] = ACTIONS(3442),
    [anon_sym_BSLASHrem] = ACTIONS(3442),
    [anon_sym_BSLASHrestore] = ACTIONS(3442),
    [anon_sym_BSLASHlit] = ACTIONS(3442),
    [anon_sym_BSLASHv] = ACTIONS(3442),
    [anon_sym_BSLASHva] = ACTIONS(3442),
    [anon_sym_BSLASHvp] = ACTIONS(3442),
    [anon_sym_BSLASHqs] = ACTIONS(3442),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(3442),
    [anon_sym_BSLASHqac] = ACTIONS(3442),
    [anon_sym_BSLASHf] = ACTIONS(3442),
    [anon_sym_BSLASHfe] = ACTIONS(3442),
    [anon_sym_BSLASHef] = ACTIONS(3442),
    [anon_sym_BSLASHfm] = ACTIONS(3442),
    [anon_sym_BSLASHx] = ACTIONS(3442),
    [anon_sym_BSLASHxt] = ACTIONS(3442),
    [anon_sym_BSLASHrq] = ACTIONS(3442),
    [anon_sym_BSLASHadd] = ACTIONS(4774),
    [anon_sym_BSLASHbk] = ACTIONS(4776),
    [anon_sym_BSLASHdc] = ACTIONS(4778),
    [anon_sym_BSLASHk] = ACTIONS(4780),
    [anon_sym_BSLASHnd] = ACTIONS(4782),
    [anon_sym_BSLASHord] = ACTIONS(4784),
    [anon_sym_BSLASHpn] = ACTIONS(4786),
    [anon_sym_BSLASHpng] = ACTIONS(4788),
    [anon_sym_BSLASHaddpn] = ACTIONS(4790),
    [anon_sym_BSLASHqt] = ACTIONS(4792),
    [anon_sym_BSLASHsig] = ACTIONS(4794),
    [anon_sym_BSLASHsls] = ACTIONS(4796),
    [anon_sym_BSLASHtl] = ACTIONS(4798),
    [anon_sym_BSLASHwj] = ACTIONS(4800),
    [anon_sym_BSLASHem] = ACTIONS(4802),
    [anon_sym_BSLASHbd] = ACTIONS(4804),
    [anon_sym_BSLASHit] = ACTIONS(4806),
    [anon_sym_BSLASHbdit] = ACTIONS(4808),
    [anon_sym_BSLASHno] = ACTIONS(4810),
    [anon_sym_BSLASHsc] = ACTIONS(4812),
    [anon_sym_BSLASHsup] = ACTIONS(4814),
    [anon_sym_BSLASHndx] = ACTIONS(4816),
    [anon_sym_BSLASHpro] = ACTIONS(4818),
    [anon_sym_BSLASHrb] = ACTIONS(4820),
    [anon_sym_BSLASHw] = ACTIONS(4822),
    [anon_sym_BSLASHwg] = ACTIONS(4824),
    [anon_sym_BSLASHwh] = ACTIONS(4826),
    [anon_sym_BSLASHwa] = ACTIONS(4828),
    [anon_sym_BSLASHfig] = ACTIONS(4830),
    [anon_sym_BSLASHjmp] = ACTIONS(4832),
    [anon_sym_BSLASH] = ACTIONS(3442),
    [sym_milestoneStartTag] = ACTIONS(3442),
    [sym_milestoneEndTag] = ACTIONS(3442),
    [sym_zSpaceTag] = ACTIONS(3442),
  },
  [738] = {
    [aux_sym_text_token1] = ACTIONS(6098),
    [anon_sym_BSLASHref] = ACTIONS(6100),
    [anon_sym_BSLASHsts] = ACTIONS(6100),
    [anon_sym_BSLASHrem] = ACTIONS(6100),
    [anon_sym_BSLASHrestore] = ACTIONS(6100),
    [anon_sym_BSLASHlit] = ACTIONS(6100),
    [anon_sym_BSLASHip] = ACTIONS(6100),
    [anon_sym_BSLASHv] = ACTIONS(6100),
    [anon_sym_BSLASHva] = ACTIONS(6100),
    [anon_sym_BSLASHvp] = ACTIONS(6100),
    [anon_sym_BSLASHmte] = ACTIONS(6100),
    [anon_sym_BSLASHms] = ACTIONS(6100),
    [anon_sym_BSLASHs] = ACTIONS(6100),
    [anon_sym_BSLASHr] = ACTIONS(6100),
    [anon_sym_BSLASHsp] = ACTIONS(6100),
    [anon_sym_BSLASHd] = ACTIONS(6100),
    [anon_sym_BSLASHsd] = ACTIONS(6100),
    [anon_sym_BSLASHp] = ACTIONS(6100),
    [anon_sym_BSLASHm] = ACTIONS(6100),
    [anon_sym_BSLASHpo] = ACTIONS(6100),
    [anon_sym_BSLASHpr] = ACTIONS(6100),
    [anon_sym_BSLASHcls] = ACTIONS(6100),
    [anon_sym_BSLASHpmo] = ACTIONS(6100),
    [anon_sym_BSLASHpm] = ACTIONS(6100),
    [anon_sym_BSLASHpmc] = ACTIONS(6100),
    [anon_sym_BSLASHpmr] = ACTIONS(6100),
    [anon_sym_BSLASHpi] = ACTIONS(6100),
    [anon_sym_BSLASHmi] = ACTIONS(6100),
    [anon_sym_BSLASHnb] = ACTIONS(6100),
    [anon_sym_BSLASHpc] = ACTIONS(6100),
    [anon_sym_BSLASHph] = ACTIONS(6100),
    [anon_sym_BSLASHb] = ACTIONS(6100),
    [anon_sym_BSLASHq] = ACTIONS(6100),
    [anon_sym_BSLASHqr] = ACTIONS(6100),
    [anon_sym_BSLASHqc] = ACTIONS(6100),
    [anon_sym_BSLASHqa] = ACTIONS(6100),
    [anon_sym_BSLASHqm] = ACTIONS(6100),
    [anon_sym_BSLASHqd] = ACTIONS(6100),
    [anon_sym_BSLASHlh] = ACTIONS(6100),
    [anon_sym_BSLASHli] = ACTIONS(6100),
    [anon_sym_BSLASHlim] = ACTIONS(6100),
    [anon_sym_BSLASHtr] = ACTIONS(6100),
    [anon_sym_BSLASHf] = ACTIONS(6100),
    [anon_sym_BSLASHfe] = ACTIONS(6100),
    [anon_sym_BSLASHef] = ACTIONS(6100),
    [anon_sym_BSLASHfm] = ACTIONS(6100),
    [anon_sym_BSLASHx] = ACTIONS(6100),
    [anon_sym_BSLASHxt] = ACTIONS(6100),
    [anon_sym_BSLASHrq] = ACTIONS(6100),
    [anon_sym_BSLASHadd] = ACTIONS(6100),
    [anon_sym_BSLASHbk] = ACTIONS(6100),
    [anon_sym_BSLASHdc] = ACTIONS(6100),
    [anon_sym_BSLASHk] = ACTIONS(6100),
    [anon_sym_BSLASHnd] = ACTIONS(6100),
    [anon_sym_BSLASHord] = ACTIONS(6100),
    [anon_sym_BSLASHpn] = ACTIONS(6100),
    [anon_sym_BSLASHpng] = ACTIONS(6100),
    [anon_sym_BSLASHaddpn] = ACTIONS(6100),
    [anon_sym_BSLASHqt] = ACTIONS(6100),
    [anon_sym_BSLASHsig] = ACTIONS(6100),
    [anon_sym_BSLASHsls] = ACTIONS(6100),
    [anon_sym_BSLASHtl] = ACTIONS(6100),
    [anon_sym_BSLASHwj] = ACTIONS(6100),
    [anon_sym_BSLASHem] = ACTIONS(6100),
    [anon_sym_BSLASHbd] = ACTIONS(6100),
    [anon_sym_BSLASHit] = ACTIONS(6100),
    [anon_sym_BSLASHbdit] = ACTIONS(6100),
    [anon_sym_BSLASHno] = ACTIONS(6100),
    [anon_sym_BSLASHsc] = ACTIONS(6100),
    [anon_sym_BSLASHsup] = ACTIONS(6100),
    [anon_sym_BSLASHndx] = ACTIONS(6100),
    [anon_sym_BSLASHpro] = ACTIONS(6100),
    [anon_sym_BSLASHrb] = ACTIONS(6100),
    [anon_sym_BSLASHw] = ACTIONS(6100),
    [anon_sym_BSLASHwg] = ACTIONS(6100),
    [anon_sym_BSLASHwh] = ACTIONS(6100),
    [anon_sym_BSLASHwa] = ACTIONS(6100),
    [anon_sym_BSLASHfig] = ACTIONS(6100),
    [anon_sym_BSLASHjmp] = ACTIONS(6100),
    [anon_sym_BSLASHpb] = ACTIONS(6100),
    [anon_sym_BSLASH] = ACTIONS(6100),
    [sym_milestoneStartTag] = ACTIONS(6100),
    [sym_milestoneEndTag] = ACTIONS(6100),
    [sym_zSpaceTag] = ACTIONS(6100),
    [anon_sym_BSLASHesbe] = ACTIONS(6100),
    [anon_sym_BSLASHcat] = ACTIONS(6100),
  },
  [739] = {
    [aux_sym_text_token1] = ACTIONS(6094),
    [anon_sym_BSLASHref] = ACTIONS(6096),
    [anon_sym_BSLASHsts] = ACTIONS(6096),
    [anon_sym_BSLASHrem] = ACTIONS(6096),
    [anon_sym_BSLASHrestore] = ACTIONS(6096),
    [anon_sym_BSLASHlit] = ACTIONS(6096),
    [anon_sym_BSLASHip] = ACTIONS(6096),
    [anon_sym_BSLASHv] = ACTIONS(6096),
    [anon_sym_BSLASHva] = ACTIONS(6096),
    [anon_sym_BSLASHvp] = ACTIONS(6096),
    [anon_sym_BSLASHmte] = ACTIONS(6096),
    [anon_sym_BSLASHms] = ACTIONS(6096),
    [anon_sym_BSLASHs] = ACTIONS(6096),
    [anon_sym_BSLASHr] = ACTIONS(6096),
    [anon_sym_BSLASHsp] = ACTIONS(6096),
    [anon_sym_BSLASHd] = ACTIONS(6096),
    [anon_sym_BSLASHsd] = ACTIONS(6096),
    [anon_sym_BSLASHp] = ACTIONS(6096),
    [anon_sym_BSLASHm] = ACTIONS(6096),
    [anon_sym_BSLASHpo] = ACTIONS(6096),
    [anon_sym_BSLASHpr] = ACTIONS(6096),
    [anon_sym_BSLASHcls] = ACTIONS(6096),
    [anon_sym_BSLASHpmo] = ACTIONS(6096),
    [anon_sym_BSLASHpm] = ACTIONS(6096),
    [anon_sym_BSLASHpmc] = ACTIONS(6096),
    [anon_sym_BSLASHpmr] = ACTIONS(6096),
    [anon_sym_BSLASHpi] = ACTIONS(6096),
    [anon_sym_BSLASHmi] = ACTIONS(6096),
    [anon_sym_BSLASHnb] = ACTIONS(6096),
    [anon_sym_BSLASHpc] = ACTIONS(6096),
    [anon_sym_BSLASHph] = ACTIONS(6096),
    [anon_sym_BSLASHb] = ACTIONS(6096),
    [anon_sym_BSLASHq] = ACTIONS(6096),
    [anon_sym_BSLASHqr] = ACTIONS(6096),
    [anon_sym_BSLASHqc] = ACTIONS(6096),
    [anon_sym_BSLASHqa] = ACTIONS(6096),
    [anon_sym_BSLASHqm] = ACTIONS(6096),
    [anon_sym_BSLASHqd] = ACTIONS(6096),
    [anon_sym_BSLASHlh] = ACTIONS(6096),
    [anon_sym_BSLASHli] = ACTIONS(6096),
    [anon_sym_BSLASHlim] = ACTIONS(6096),
    [anon_sym_BSLASHtr] = ACTIONS(6096),
    [anon_sym_BSLASHf] = ACTIONS(6096),
    [anon_sym_BSLASHfe] = ACTIONS(6096),
    [anon_sym_BSLASHef] = ACTIONS(6096),
    [anon_sym_BSLASHfm] = ACTIONS(6096),
    [anon_sym_BSLASHx] = ACTIONS(6096),
    [anon_sym_BSLASHxt] = ACTIONS(6096),
    [anon_sym_BSLASHrq] = ACTIONS(6096),
    [anon_sym_BSLASHadd] = ACTIONS(6096),
    [anon_sym_BSLASHbk] = ACTIONS(6096),
    [anon_sym_BSLASHdc] = ACTIONS(6096),
    [anon_sym_BSLASHk] = ACTIONS(6096),
    [anon_sym_BSLASHnd] = ACTIONS(6096),
    [anon_sym_BSLASHord] = ACTIONS(6096),
    [anon_sym_BSLASHpn] = ACTIONS(6096),
    [anon_sym_BSLASHpng] = ACTIONS(6096),
    [anon_sym_BSLASHaddpn] = ACTIONS(6096),
    [anon_sym_BSLASHqt] = ACTIONS(6096),
    [anon_sym_BSLASHsig] = ACTIONS(6096),
    [anon_sym_BSLASHsls] = ACTIONS(6096),
    [anon_sym_BSLASHtl] = ACTIONS(6096),
    [anon_sym_BSLASHwj] = ACTIONS(6096),
    [anon_sym_BSLASHem] = ACTIONS(6096),
    [anon_sym_BSLASHbd] = ACTIONS(6096),
    [anon_sym_BSLASHit] = ACTIONS(6096),
    [anon_sym_BSLASHbdit] = ACTIONS(6096),
    [anon_sym_BSLASHno] = ACTIONS(6096),
    [anon_sym_BSLASHsc] = ACTIONS(6096),
    [anon_sym_BSLASHsup] = ACTIONS(6096),
    [anon_sym_BSLASHndx] = ACTIONS(6096),
    [anon_sym_BSLASHpro] = ACTIONS(6096),
    [anon_sym_BSLASHrb] = ACTIONS(6096),
    [anon_sym_BSLASHw] = ACTIONS(6096),
    [anon_sym_BSLASHwg] = ACTIONS(6096),
    [anon_sym_BSLASHwh] = ACTIONS(6096),
    [anon_sym_BSLASHwa] = ACTIONS(6096),
    [anon_sym_BSLASHfig] = ACTIONS(6096),
    [anon_sym_BSLASHjmp] = ACTIONS(6096),
    [anon_sym_BSLASHpb] = ACTIONS(6096),
    [anon_sym_BSLASH] = ACTIONS(6096),
    [sym_milestoneStartTag] = ACTIONS(6096),
    [sym_milestoneEndTag] = ACTIONS(6096),
    [sym_zSpaceTag] = ACTIONS(6096),
    [anon_sym_BSLASHesbe] = ACTIONS(6096),
    [anon_sym_BSLASHcat] = ACTIONS(6096),
  },
  [740] = {
    [aux_sym_text_token1] = ACTIONS(6080),
    [anon_sym_BSLASHref] = ACTIONS(6082),
    [anon_sym_BSLASHsts] = ACTIONS(6082),
    [anon_sym_BSLASHrem] = ACTIONS(6082),
    [anon_sym_BSLASHrestore] = ACTIONS(6082),
    [anon_sym_BSLASHlit] = ACTIONS(6082),
    [anon_sym_BSLASHip] = ACTIONS(6082),
    [anon_sym_BSLASHv] = ACTIONS(6082),
    [anon_sym_BSLASHva] = ACTIONS(6082),
    [anon_sym_BSLASHvp] = ACTIONS(6082),
    [anon_sym_BSLASHmte] = ACTIONS(6082),
    [anon_sym_BSLASHms] = ACTIONS(6082),
    [anon_sym_BSLASHs] = ACTIONS(6082),
    [anon_sym_BSLASHr] = ACTIONS(6082),
    [anon_sym_BSLASHsp] = ACTIONS(6082),
    [anon_sym_BSLASHd] = ACTIONS(6082),
    [anon_sym_BSLASHsd] = ACTIONS(6082),
    [anon_sym_BSLASHp] = ACTIONS(6082),
    [anon_sym_BSLASHm] = ACTIONS(6082),
    [anon_sym_BSLASHpo] = ACTIONS(6082),
    [anon_sym_BSLASHpr] = ACTIONS(6082),
    [anon_sym_BSLASHcls] = ACTIONS(6082),
    [anon_sym_BSLASHpmo] = ACTIONS(6082),
    [anon_sym_BSLASHpm] = ACTIONS(6082),
    [anon_sym_BSLASHpmc] = ACTIONS(6082),
    [anon_sym_BSLASHpmr] = ACTIONS(6082),
    [anon_sym_BSLASHpi] = ACTIONS(6082),
    [anon_sym_BSLASHmi] = ACTIONS(6082),
    [anon_sym_BSLASHnb] = ACTIONS(6082),
    [anon_sym_BSLASHpc] = ACTIONS(6082),
    [anon_sym_BSLASHph] = ACTIONS(6082),
    [anon_sym_BSLASHb] = ACTIONS(6082),
    [anon_sym_BSLASHq] = ACTIONS(6082),
    [anon_sym_BSLASHqr] = ACTIONS(6082),
    [anon_sym_BSLASHqc] = ACTIONS(6082),
    [anon_sym_BSLASHqa] = ACTIONS(6082),
    [anon_sym_BSLASHqm] = ACTIONS(6082),
    [anon_sym_BSLASHqd] = ACTIONS(6082),
    [anon_sym_BSLASHlh] = ACTIONS(6082),
    [anon_sym_BSLASHli] = ACTIONS(6082),
    [anon_sym_BSLASHlim] = ACTIONS(6082),
    [anon_sym_BSLASHtr] = ACTIONS(6082),
    [anon_sym_BSLASHf] = ACTIONS(6082),
    [anon_sym_BSLASHfe] = ACTIONS(6082),
    [anon_sym_BSLASHef] = ACTIONS(6082),
    [anon_sym_BSLASHfm] = ACTIONS(6082),
    [anon_sym_BSLASHx] = ACTIONS(6082),
    [anon_sym_BSLASHxt] = ACTIONS(6082),
    [anon_sym_BSLASHrq] = ACTIONS(6082),
    [anon_sym_BSLASHadd] = ACTIONS(6082),
    [anon_sym_BSLASHbk] = ACTIONS(6082),
    [anon_sym_BSLASHdc] = ACTIONS(6082),
    [anon_sym_BSLASHk] = ACTIONS(6082),
    [anon_sym_BSLASHnd] = ACTIONS(6082),
    [anon_sym_BSLASHord] = ACTIONS(6082),
    [anon_sym_BSLASHpn] = ACTIONS(6082),
    [anon_sym_BSLASHpng] = ACTIONS(6082),
    [anon_sym_BSLASHaddpn] = ACTIONS(6082),
    [anon_sym_BSLASHqt] = ACTIONS(6082),
    [anon_sym_BSLASHsig] = ACTIONS(6082),
    [anon_sym_BSLASHsls] = ACTIONS(6082),
    [anon_sym_BSLASHtl] = ACTIONS(6082),
    [anon_sym_BSLASHwj] = ACTIONS(6082),
    [anon_sym_BSLASHem] = ACTIONS(6082),
    [anon_sym_BSLASHbd] = ACTIONS(6082),
    [anon_sym_BSLASHit] = ACTIONS(6082),
    [anon_sym_BSLASHbdit] = ACTIONS(6082),
    [anon_sym_BSLASHno] = ACTIONS(6082),
    [anon_sym_BSLASHsc] = ACTIONS(6082),
    [anon_sym_BSLASHsup] = ACTIONS(6082),
    [anon_sym_BSLASHndx] = ACTIONS(6082),
    [anon_sym_BSLASHpro] = ACTIONS(6082),
    [anon_sym_BSLASHrb] = ACTIONS(6082),
    [anon_sym_BSLASHw] = ACTIONS(6082),
    [anon_sym_BSLASHwg] = ACTIONS(6082),
    [anon_sym_BSLASHwh] = ACTIONS(6082),
    [anon_sym_BSLASHwa] = ACTIONS(6082),
    [anon_sym_BSLASHfig] = ACTIONS(6082),
    [anon_sym_BSLASHjmp] = ACTIONS(6082),
    [anon_sym_BSLASHpb] = ACTIONS(6082),
    [anon_sym_BSLASH] = ACTIONS(6082),
    [sym_milestoneStartTag] = ACTIONS(6082),
    [sym_milestoneEndTag] = ACTIONS(6082),
    [sym_zSpaceTag] = ACTIONS(6082),
    [anon_sym_BSLASHesbe] = ACTIONS(6082),
    [anon_sym_BSLASHcat] = ACTIONS(6082),
  },
  [741] = {
    [aux_sym_text_token1] = ACTIONS(6102),
    [anon_sym_BSLASHref] = ACTIONS(6104),
    [anon_sym_BSLASHsts] = ACTIONS(6104),
    [anon_sym_BSLASHrem] = ACTIONS(6104),
    [anon_sym_BSLASHrestore] = ACTIONS(6104),
    [anon_sym_BSLASHlit] = ACTIONS(6104),
    [anon_sym_BSLASHip] = ACTIONS(6104),
    [anon_sym_BSLASHv] = ACTIONS(6104),
    [anon_sym_BSLASHva] = ACTIONS(6104),
    [anon_sym_BSLASHvp] = ACTIONS(6104),
    [anon_sym_BSLASHmte] = ACTIONS(6104),
    [anon_sym_BSLASHms] = ACTIONS(6104),
    [anon_sym_BSLASHs] = ACTIONS(6104),
    [anon_sym_BSLASHr] = ACTIONS(6104),
    [anon_sym_BSLASHsp] = ACTIONS(6104),
    [anon_sym_BSLASHd] = ACTIONS(6104),
    [anon_sym_BSLASHsd] = ACTIONS(6104),
    [anon_sym_BSLASHp] = ACTIONS(6104),
    [anon_sym_BSLASHm] = ACTIONS(6104),
    [anon_sym_BSLASHpo] = ACTIONS(6104),
    [anon_sym_BSLASHpr] = ACTIONS(6104),
    [anon_sym_BSLASHcls] = ACTIONS(6104),
    [anon_sym_BSLASHpmo] = ACTIONS(6104),
    [anon_sym_BSLASHpm] = ACTIONS(6104),
    [anon_sym_BSLASHpmc] = ACTIONS(6104),
    [anon_sym_BSLASHpmr] = ACTIONS(6104),
    [anon_sym_BSLASHpi] = ACTIONS(6104),
    [anon_sym_BSLASHmi] = ACTIONS(6104),
    [anon_sym_BSLASHnb] = ACTIONS(6104),
    [anon_sym_BSLASHpc] = ACTIONS(6104),
    [anon_sym_BSLASHph] = ACTIONS(6104),
    [anon_sym_BSLASHb] = ACTIONS(6104),
    [anon_sym_BSLASHq] = ACTIONS(6104),
    [anon_sym_BSLASHqr] = ACTIONS(6104),
    [anon_sym_BSLASHqc] = ACTIONS(6104),
    [anon_sym_BSLASHqa] = ACTIONS(6104),
    [anon_sym_BSLASHqm] = ACTIONS(6104),
    [anon_sym_BSLASHqd] = ACTIONS(6104),
    [anon_sym_BSLASHlh] = ACTIONS(6104),
    [anon_sym_BSLASHli] = ACTIONS(6104),
    [anon_sym_BSLASHlim] = ACTIONS(6104),
    [anon_sym_BSLASHtr] = ACTIONS(6104),
    [anon_sym_BSLASHf] = ACTIONS(6104),
    [anon_sym_BSLASHfe] = ACTIONS(6104),
    [anon_sym_BSLASHef] = ACTIONS(6104),
    [anon_sym_BSLASHfm] = ACTIONS(6104),
    [anon_sym_BSLASHx] = ACTIONS(6104),
    [anon_sym_BSLASHxt] = ACTIONS(6104),
    [anon_sym_BSLASHrq] = ACTIONS(6104),
    [anon_sym_BSLASHadd] = ACTIONS(6104),
    [anon_sym_BSLASHbk] = ACTIONS(6104),
    [anon_sym_BSLASHdc] = ACTIONS(6104),
    [anon_sym_BSLASHk] = ACTIONS(6104),
    [anon_sym_BSLASHnd] = ACTIONS(6104),
    [anon_sym_BSLASHord] = ACTIONS(6104),
    [anon_sym_BSLASHpn] = ACTIONS(6104),
    [anon_sym_BSLASHpng] = ACTIONS(6104),
    [anon_sym_BSLASHaddpn] = ACTIONS(6104),
    [anon_sym_BSLASHqt] = ACTIONS(6104),
    [anon_sym_BSLASHsig] = ACTIONS(6104),
    [anon_sym_BSLASHsls] = ACTIONS(6104),
    [anon_sym_BSLASHtl] = ACTIONS(6104),
    [anon_sym_BSLASHwj] = ACTIONS(6104),
    [anon_sym_BSLASHem] = ACTIONS(6104),
    [anon_sym_BSLASHbd] = ACTIONS(6104),
    [anon_sym_BSLASHit] = ACTIONS(6104),
    [anon_sym_BSLASHbdit] = ACTIONS(6104),
    [anon_sym_BSLASHno] = ACTIONS(6104),
    [anon_sym_BSLASHsc] = ACTIONS(6104),
    [anon_sym_BSLASHsup] = ACTIONS(6104),
    [anon_sym_BSLASHndx] = ACTIONS(6104),
    [anon_sym_BSLASHpro] = ACTIONS(6104),
    [anon_sym_BSLASHrb] = ACTIONS(6104),
    [anon_sym_BSLASHw] = ACTIONS(6104),
    [anon_sym_BSLASHwg] = ACTIONS(6104),
    [anon_sym_BSLASHwh] = ACTIONS(6104),
    [anon_sym_BSLASHwa] = ACTIONS(6104),
    [anon_sym_BSLASHfig] = ACTIONS(6104),
    [anon_sym_BSLASHjmp] = ACTIONS(6104),
    [anon_sym_BSLASHpb] = ACTIONS(6104),
    [anon_sym_BSLASH] = ACTIONS(6104),
    [sym_milestoneStartTag] = ACTIONS(6104),
    [sym_milestoneEndTag] = ACTIONS(6104),
    [sym_zSpaceTag] = ACTIONS(6104),
    [anon_sym_BSLASHesbe] = ACTIONS(6104),
    [anon_sym_BSLASHcat] = ACTIONS(6104),
  },
  [742] = {
    [sym_text] = STATE(742),
    [sym_add] = STATE(742),
    [sym_bk] = STATE(742),
    [sym_dc] = STATE(742),
    [sym_k] = STATE(742),
    [sym_nd] = STATE(742),
    [sym_ord] = STATE(742),
    [sym_pn] = STATE(742),
    [sym_png] = STATE(742),
    [sym_addpn] = STATE(742),
    [sym_qt] = STATE(742),
    [sym_sig] = STATE(742),
    [sym_sls] = STATE(742),
    [sym_tl] = STATE(742),
    [sym_wj] = STATE(742),
    [sym_em] = STATE(742),
    [sym_bd] = STATE(742),
    [sym_it] = STATE(742),
    [sym_bdit] = STATE(742),
    [sym_no] = STATE(742),
    [sym_sc] = STATE(742),
    [sym_sup] = STATE(742),
    [sym_ndx] = STATE(742),
    [sym_pro] = STATE(742),
    [sym_rb] = STATE(742),
    [sym_w] = STATE(742),
    [sym_wg] = STATE(742),
    [sym_wh] = STATE(742),
    [sym_wa] = STATE(742),
    [sym__characterMarker] = STATE(742),
    [sym_fig] = STATE(742),
    [sym_jmp] = STATE(742),
    [aux_sym_verseText_repeat1] = STATE(742),
    [aux_sym_text_token1] = ACTIONS(6387),
    [anon_sym_BSLASHref] = ACTIONS(3449),
    [anon_sym_BSLASHsts] = ACTIONS(3449),
    [anon_sym_BSLASHrem] = ACTIONS(3449),
    [anon_sym_BSLASHrestore] = ACTIONS(3449),
    [anon_sym_BSLASHlit] = ACTIONS(3449),
    [anon_sym_BSLASHv] = ACTIONS(3449),
    [anon_sym_BSLASHva] = ACTIONS(3449),
    [anon_sym_BSLASHvp] = ACTIONS(3449),
    [anon_sym_BSLASHli] = ACTIONS(3449),
    [anon_sym_BSLASHlim] = ACTIONS(3449),
    [anon_sym_BSLASHf] = ACTIONS(3449),
    [anon_sym_BSLASHfe] = ACTIONS(3449),
    [anon_sym_BSLASHef] = ACTIONS(3449),
    [anon_sym_BSLASHfm] = ACTIONS(3449),
    [anon_sym_BSLASHx] = ACTIONS(3449),
    [anon_sym_BSLASHxt] = ACTIONS(3449),
    [anon_sym_BSLASHrq] = ACTIONS(3449),
    [anon_sym_BSLASHadd] = ACTIONS(6390),
    [anon_sym_BSLASHbk] = ACTIONS(6393),
    [anon_sym_BSLASHdc] = ACTIONS(6396),
    [anon_sym_BSLASHk] = ACTIONS(6399),
    [anon_sym_BSLASHnd] = ACTIONS(6402),
    [anon_sym_BSLASHord] = ACTIONS(6405),
    [anon_sym_BSLASHpn] = ACTIONS(6408),
    [anon_sym_BSLASHpng] = ACTIONS(6411),
    [anon_sym_BSLASHaddpn] = ACTIONS(6414),
    [anon_sym_BSLASHqt] = ACTIONS(6417),
    [anon_sym_BSLASHsig] = ACTIONS(6420),
    [anon_sym_BSLASHsls] = ACTIONS(6423),
    [anon_sym_BSLASHtl] = ACTIONS(6426),
    [anon_sym_BSLASHwj] = ACTIONS(6429),
    [anon_sym_BSLASHem] = ACTIONS(6432),
    [anon_sym_BSLASHbd] = ACTIONS(6435),
    [anon_sym_BSLASHit] = ACTIONS(6438),
    [anon_sym_BSLASHbdit] = ACTIONS(6441),
    [anon_sym_BSLASHno] = ACTIONS(6444),
    [anon_sym_BSLASHsc] = ACTIONS(6447),
    [anon_sym_BSLASHsup] = ACTIONS(6450),
    [anon_sym_BSLASHndx] = ACTIONS(6453),
    [anon_sym_BSLASHpro] = ACTIONS(6456),
    [anon_sym_BSLASHrb] = ACTIONS(6459),
    [anon_sym_BSLASHw] = ACTIONS(6462),
    [anon_sym_BSLASHwg] = ACTIONS(6465),
    [anon_sym_BSLASHwh] = ACTIONS(6468),
    [anon_sym_BSLASHwa] = ACTIONS(6471),
    [anon_sym_BSLASHfig] = ACTIONS(6474),
    [anon_sym_BSLASHjmp] = ACTIONS(6477),
    [anon_sym_BSLASH] = ACTIONS(3449),
    [sym_milestoneStartTag] = ACTIONS(3449),
    [sym_milestoneEndTag] = ACTIONS(3449),
    [sym_zSpaceTag] = ACTIONS(3449),
  },
  [743] = {
    [sym_text] = STATE(744),
    [sym_add] = STATE(744),
    [sym_bk] = STATE(744),
    [sym_dc] = STATE(744),
    [sym_k] = STATE(744),
    [sym_nd] = STATE(744),
    [sym_ord] = STATE(744),
    [sym_pn] = STATE(744),
    [sym_png] = STATE(744),
    [sym_addpn] = STATE(744),
    [sym_qt] = STATE(744),
    [sym_sig] = STATE(744),
    [sym_sls] = STATE(744),
    [sym_tl] = STATE(744),
    [sym_wj] = STATE(744),
    [sym_em] = STATE(744),
    [sym_bd] = STATE(744),
    [sym_it] = STATE(744),
    [sym_bdit] = STATE(744),
    [sym_no] = STATE(744),
    [sym_sc] = STATE(744),
    [sym_sup] = STATE(744),
    [sym_ndx] = STATE(744),
    [sym_pro] = STATE(744),
    [sym_rb] = STATE(744),
    [sym_w] = STATE(744),
    [sym_wg] = STATE(744),
    [sym_wh] = STATE(744),
    [sym_wa] = STATE(744),
    [sym__characterMarker] = STATE(744),
    [sym_jmp] = STATE(744),
    [aux_sym_rem_repeat1] = STATE(744),
    [aux_sym_text_token1] = ACTIONS(4736),
    [anon_sym_BSLASHref] = ACTIONS(3543),
    [anon_sym_BSLASHsts] = ACTIONS(3543),
    [anon_sym_BSLASHrem] = ACTIONS(3543),
    [anon_sym_BSLASHrestore] = ACTIONS(3543),
    [anon_sym_BSLASHlit] = ACTIONS(3543),
    [anon_sym_BSLASHv] = ACTIONS(3543),
    [anon_sym_BSLASHva] = ACTIONS(3543),
    [anon_sym_BSLASHvp] = ACTIONS(3543),
    [anon_sym_BSLASHqs] = ACTIONS(3543),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(3543),
    [anon_sym_BSLASHqac] = ACTIONS(3543),
    [anon_sym_BSLASHf] = ACTIONS(3543),
    [anon_sym_BSLASHfe] = ACTIONS(3543),
    [anon_sym_BSLASHef] = ACTIONS(3543),
    [anon_sym_BSLASHfm] = ACTIONS(3543),
    [anon_sym_BSLASHx] = ACTIONS(3543),
    [anon_sym_BSLASHxt] = ACTIONS(3543),
    [anon_sym_BSLASHrq] = ACTIONS(3543),
    [anon_sym_BSLASHadd] = ACTIONS(4774),
    [anon_sym_BSLASHbk] = ACTIONS(4776),
    [anon_sym_BSLASHdc] = ACTIONS(4778),
    [anon_sym_BSLASHk] = ACTIONS(4780),
    [anon_sym_BSLASHnd] = ACTIONS(4782),
    [anon_sym_BSLASHord] = ACTIONS(4784),
    [anon_sym_BSLASHpn] = ACTIONS(4786),
    [anon_sym_BSLASHpng] = ACTIONS(4788),
    [anon_sym_BSLASHaddpn] = ACTIONS(4790),
    [anon_sym_BSLASHqt] = ACTIONS(4792),
    [anon_sym_BSLASHsig] = ACTIONS(4794),
    [anon_sym_BSLASHsls] = ACTIONS(4796),
    [anon_sym_BSLASHtl] = ACTIONS(4798),
    [anon_sym_BSLASHwj] = ACTIONS(4800),
    [anon_sym_BSLASHem] = ACTIONS(4802),
    [anon_sym_BSLASHbd] = ACTIONS(4804),
    [anon_sym_BSLASHit] = ACTIONS(4806),
    [anon_sym_BSLASHbdit] = ACTIONS(4808),
    [anon_sym_BSLASHno] = ACTIONS(4810),
    [anon_sym_BSLASHsc] = ACTIONS(4812),
    [anon_sym_BSLASHsup] = ACTIONS(4814),
    [anon_sym_BSLASHndx] = ACTIONS(4816),
    [anon_sym_BSLASHpro] = ACTIONS(4818),
    [anon_sym_BSLASHrb] = ACTIONS(4820),
    [anon_sym_BSLASHw] = ACTIONS(4822),
    [anon_sym_BSLASHwg] = ACTIONS(4824),
    [anon_sym_BSLASHwh] = ACTIONS(4826),
    [anon_sym_BSLASHwa] = ACTIONS(4828),
    [anon_sym_BSLASHfig] = ACTIONS(3543),
    [anon_sym_BSLASHjmp] = ACTIONS(4832),
    [anon_sym_BSLASH] = ACTIONS(3543),
    [sym_milestoneStartTag] = ACTIONS(3543),
    [sym_milestoneEndTag] = ACTIONS(3543),
    [sym_zSpaceTag] = ACTIONS(3543),
  },
  [744] = {
    [sym_text] = STATE(744),
    [sym_add] = STATE(744),
    [sym_bk] = STATE(744),
    [sym_dc] = STATE(744),
    [sym_k] = STATE(744),
    [sym_nd] = STATE(744),
    [sym_ord] = STATE(744),
    [sym_pn] = STATE(744),
    [sym_png] = STATE(744),
    [sym_addpn] = STATE(744),
    [sym_qt] = STATE(744),
    [sym_sig] = STATE(744),
    [sym_sls] = STATE(744),
    [sym_tl] = STATE(744),
    [sym_wj] = STATE(744),
    [sym_em] = STATE(744),
    [sym_bd] = STATE(744),
    [sym_it] = STATE(744),
    [sym_bdit] = STATE(744),
    [sym_no] = STATE(744),
    [sym_sc] = STATE(744),
    [sym_sup] = STATE(744),
    [sym_ndx] = STATE(744),
    [sym_pro] = STATE(744),
    [sym_rb] = STATE(744),
    [sym_w] = STATE(744),
    [sym_wg] = STATE(744),
    [sym_wh] = STATE(744),
    [sym_wa] = STATE(744),
    [sym__characterMarker] = STATE(744),
    [sym_jmp] = STATE(744),
    [aux_sym_rem_repeat1] = STATE(744),
    [aux_sym_text_token1] = ACTIONS(6480),
    [anon_sym_BSLASHref] = ACTIONS(3550),
    [anon_sym_BSLASHsts] = ACTIONS(3550),
    [anon_sym_BSLASHrem] = ACTIONS(3550),
    [anon_sym_BSLASHrestore] = ACTIONS(3550),
    [anon_sym_BSLASHlit] = ACTIONS(3550),
    [anon_sym_BSLASHv] = ACTIONS(3550),
    [anon_sym_BSLASHva] = ACTIONS(3550),
    [anon_sym_BSLASHvp] = ACTIONS(3550),
    [anon_sym_BSLASHqs] = ACTIONS(3550),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(3550),
    [anon_sym_BSLASHqac] = ACTIONS(3550),
    [anon_sym_BSLASHf] = ACTIONS(3550),
    [anon_sym_BSLASHfe] = ACTIONS(3550),
    [anon_sym_BSLASHef] = ACTIONS(3550),
    [anon_sym_BSLASHfm] = ACTIONS(3550),
    [anon_sym_BSLASHx] = ACTIONS(3550),
    [anon_sym_BSLASHxt] = ACTIONS(3550),
    [anon_sym_BSLASHrq] = ACTIONS(3550),
    [anon_sym_BSLASHadd] = ACTIONS(6483),
    [anon_sym_BSLASHbk] = ACTIONS(6486),
    [anon_sym_BSLASHdc] = ACTIONS(6489),
    [anon_sym_BSLASHk] = ACTIONS(6492),
    [anon_sym_BSLASHnd] = ACTIONS(6495),
    [anon_sym_BSLASHord] = ACTIONS(6498),
    [anon_sym_BSLASHpn] = ACTIONS(6501),
    [anon_sym_BSLASHpng] = ACTIONS(6504),
    [anon_sym_BSLASHaddpn] = ACTIONS(6507),
    [anon_sym_BSLASHqt] = ACTIONS(6510),
    [anon_sym_BSLASHsig] = ACTIONS(6513),
    [anon_sym_BSLASHsls] = ACTIONS(6516),
    [anon_sym_BSLASHtl] = ACTIONS(6519),
    [anon_sym_BSLASHwj] = ACTIONS(6522),
    [anon_sym_BSLASHem] = ACTIONS(6525),
    [anon_sym_BSLASHbd] = ACTIONS(6528),
    [anon_sym_BSLASHit] = ACTIONS(6531),
    [anon_sym_BSLASHbdit] = ACTIONS(6534),
    [anon_sym_BSLASHno] = ACTIONS(6537),
    [anon_sym_BSLASHsc] = ACTIONS(6540),
    [anon_sym_BSLASHsup] = ACTIONS(6543),
    [anon_sym_BSLASHndx] = ACTIONS(6546),
    [anon_sym_BSLASHpro] = ACTIONS(6549),
    [anon_sym_BSLASHrb] = ACTIONS(6552),
    [anon_sym_BSLASHw] = ACTIONS(6555),
    [anon_sym_BSLASHwg] = ACTIONS(6558),
    [anon_sym_BSLASHwh] = ACTIONS(6561),
    [anon_sym_BSLASHwa] = ACTIONS(6564),
    [anon_sym_BSLASHfig] = ACTIONS(3550),
    [anon_sym_BSLASHjmp] = ACTIONS(6567),
    [anon_sym_BSLASH] = ACTIONS(3550),
    [sym_milestoneStartTag] = ACTIONS(3550),
    [sym_milestoneEndTag] = ACTIONS(3550),
    [sym_zSpaceTag] = ACTIONS(3550),
  },
  [745] = {
    [sym_text] = STATE(742),
    [sym_add] = STATE(742),
    [sym_bk] = STATE(742),
    [sym_dc] = STATE(742),
    [sym_k] = STATE(742),
    [sym_nd] = STATE(742),
    [sym_ord] = STATE(742),
    [sym_pn] = STATE(742),
    [sym_png] = STATE(742),
    [sym_addpn] = STATE(742),
    [sym_qt] = STATE(742),
    [sym_sig] = STATE(742),
    [sym_sls] = STATE(742),
    [sym_tl] = STATE(742),
    [sym_wj] = STATE(742),
    [sym_em] = STATE(742),
    [sym_bd] = STATE(742),
    [sym_it] = STATE(742),
    [sym_bdit] = STATE(742),
    [sym_no] = STATE(742),
    [sym_sc] = STATE(742),
    [sym_sup] = STATE(742),
    [sym_ndx] = STATE(742),
    [sym_pro] = STATE(742),
    [sym_rb] = STATE(742),
    [sym_w] = STATE(742),
    [sym_wg] = STATE(742),
    [sym_wh] = STATE(742),
    [sym_wa] = STATE(742),
    [sym__characterMarker] = STATE(742),
    [sym_fig] = STATE(742),
    [sym_jmp] = STATE(742),
    [aux_sym_verseText_repeat1] = STATE(742),
    [aux_sym_text_token1] = ACTIONS(5116),
    [anon_sym_BSLASHref] = ACTIONS(3442),
    [anon_sym_BSLASHsts] = ACTIONS(3442),
    [anon_sym_BSLASHrem] = ACTIONS(3442),
    [anon_sym_BSLASHrestore] = ACTIONS(3442),
    [anon_sym_BSLASHlit] = ACTIONS(3442),
    [anon_sym_BSLASHv] = ACTIONS(3442),
    [anon_sym_BSLASHva] = ACTIONS(3442),
    [anon_sym_BSLASHvp] = ACTIONS(3442),
    [anon_sym_BSLASHli] = ACTIONS(3442),
    [anon_sym_BSLASHlim] = ACTIONS(3442),
    [anon_sym_BSLASHf] = ACTIONS(3442),
    [anon_sym_BSLASHfe] = ACTIONS(3442),
    [anon_sym_BSLASHef] = ACTIONS(3442),
    [anon_sym_BSLASHfm] = ACTIONS(3442),
    [anon_sym_BSLASHx] = ACTIONS(3442),
    [anon_sym_BSLASHxt] = ACTIONS(3442),
    [anon_sym_BSLASHrq] = ACTIONS(3442),
    [anon_sym_BSLASHadd] = ACTIONS(5150),
    [anon_sym_BSLASHbk] = ACTIONS(5152),
    [anon_sym_BSLASHdc] = ACTIONS(5154),
    [anon_sym_BSLASHk] = ACTIONS(5156),
    [anon_sym_BSLASHnd] = ACTIONS(5158),
    [anon_sym_BSLASHord] = ACTIONS(5160),
    [anon_sym_BSLASHpn] = ACTIONS(5162),
    [anon_sym_BSLASHpng] = ACTIONS(5164),
    [anon_sym_BSLASHaddpn] = ACTIONS(5166),
    [anon_sym_BSLASHqt] = ACTIONS(5168),
    [anon_sym_BSLASHsig] = ACTIONS(5170),
    [anon_sym_BSLASHsls] = ACTIONS(5172),
    [anon_sym_BSLASHtl] = ACTIONS(5174),
    [anon_sym_BSLASHwj] = ACTIONS(5176),
    [anon_sym_BSLASHem] = ACTIONS(5178),
    [anon_sym_BSLASHbd] = ACTIONS(5180),
    [anon_sym_BSLASHit] = ACTIONS(5182),
    [anon_sym_BSLASHbdit] = ACTIONS(5184),
    [anon_sym_BSLASHno] = ACTIONS(5186),
    [anon_sym_BSLASHsc] = ACTIONS(5188),
    [anon_sym_BSLASHsup] = ACTIONS(5190),
    [anon_sym_BSLASHndx] = ACTIONS(5192),
    [anon_sym_BSLASHpro] = ACTIONS(5194),
    [anon_sym_BSLASHrb] = ACTIONS(5196),
    [anon_sym_BSLASHw] = ACTIONS(5198),
    [anon_sym_BSLASHwg] = ACTIONS(5200),
    [anon_sym_BSLASHwh] = ACTIONS(5202),
    [anon_sym_BSLASHwa] = ACTIONS(5204),
    [anon_sym_BSLASHfig] = ACTIONS(5206),
    [anon_sym_BSLASHjmp] = ACTIONS(5208),
    [anon_sym_BSLASH] = ACTIONS(3442),
    [sym_milestoneStartTag] = ACTIONS(3442),
    [sym_milestoneEndTag] = ACTIONS(3442),
    [sym_zSpaceTag] = ACTIONS(3442),
  },
  [746] = {
    [sym_text] = STATE(348),
    [sym_ref] = STATE(1327),
    [sym_verseText] = STATE(1327),
    [sym__tableText] = STATE(1327),
    [sym_footnote] = STATE(1327),
    [sym_f] = STATE(1347),
    [sym_fe] = STATE(1347),
    [sym_ef] = STATE(1347),
    [sym_fm] = STATE(1347),
    [sym_crossref] = STATE(1327),
    [sym_x] = STATE(1344),
    [sym_xt_standalone] = STATE(1344),
    [sym_rq] = STATE(1344),
    [sym_add] = STATE(348),
    [sym_bk] = STATE(348),
    [sym_dc] = STATE(348),
    [sym_k] = STATE(348),
    [sym_nd] = STATE(348),
    [sym_ord] = STATE(348),
    [sym_pn] = STATE(348),
    [sym_png] = STATE(348),
    [sym_addpn] = STATE(348),
    [sym_qt] = STATE(348),
    [sym_sig] = STATE(348),
    [sym_sls] = STATE(348),
    [sym_tl] = STATE(348),
    [sym_wj] = STATE(348),
    [sym_em] = STATE(348),
    [sym_bd] = STATE(348),
    [sym_it] = STATE(348),
    [sym_bdit] = STATE(348),
    [sym_no] = STATE(348),
    [sym_sc] = STATE(348),
    [sym_sup] = STATE(348),
    [sym_ndx] = STATE(348),
    [sym_pro] = STATE(348),
    [sym_rb] = STATE(348),
    [sym_w] = STATE(348),
    [sym_wg] = STATE(348),
    [sym_wh] = STATE(348),
    [sym_wa] = STATE(348),
    [sym__characterMarker] = STATE(348),
    [sym_fig] = STATE(348),
    [sym_jmp] = STATE(348),
    [aux_sym_verseText_repeat1] = STATE(348),
    [aux_sym_text_token1] = ACTIONS(5054),
    [anon_sym_BSLASHref] = ACTIONS(6570),
    [anon_sym_BSLASHf] = ACTIONS(6572),
    [anon_sym_BSLASHfe] = ACTIONS(6574),
    [anon_sym_BSLASHef] = ACTIONS(6576),
    [anon_sym_BSLASHfm] = ACTIONS(6578),
    [anon_sym_BSLASHx] = ACTIONS(6580),
    [anon_sym_BSLASHxt] = ACTIONS(6582),
    [anon_sym_BSLASHrq] = ACTIONS(6584),
    [anon_sym_BSLASHadd] = ACTIONS(5056),
    [anon_sym_BSLASHbk] = ACTIONS(5058),
    [anon_sym_BSLASHdc] = ACTIONS(5060),
    [anon_sym_BSLASHk] = ACTIONS(5062),
    [anon_sym_BSLASHnd] = ACTIONS(5064),
    [anon_sym_BSLASHord] = ACTIONS(5066),
    [anon_sym_BSLASHpn] = ACTIONS(5068),
    [anon_sym_BSLASHpng] = ACTIONS(5070),
    [anon_sym_BSLASHaddpn] = ACTIONS(5072),
    [anon_sym_BSLASHqt] = ACTIONS(5074),
    [anon_sym_BSLASHsig] = ACTIONS(5076),
    [anon_sym_BSLASHsls] = ACTIONS(5078),
    [anon_sym_BSLASHtl] = ACTIONS(5080),
    [anon_sym_BSLASHwj] = ACTIONS(5082),
    [anon_sym_BSLASHem] = ACTIONS(5084),
    [anon_sym_BSLASHbd] = ACTIONS(5086),
    [anon_sym_BSLASHit] = ACTIONS(5088),
    [anon_sym_BSLASHbdit] = ACTIONS(5090),
    [anon_sym_BSLASHno] = ACTIONS(5092),
    [anon_sym_BSLASHsc] = ACTIONS(5094),
    [anon_sym_BSLASHsup] = ACTIONS(5096),
    [anon_sym_BSLASHndx] = ACTIONS(5098),
    [anon_sym_BSLASHpro] = ACTIONS(5100),
    [anon_sym_BSLASHrb] = ACTIONS(5102),
    [anon_sym_BSLASHw] = ACTIONS(5104),
    [anon_sym_BSLASHwg] = ACTIONS(5106),
    [anon_sym_BSLASHwh] = ACTIONS(5108),
    [anon_sym_BSLASHwa] = ACTIONS(5110),
    [anon_sym_BSLASHfig] = ACTIONS(5112),
    [anon_sym_BSLASHjmp] = ACTIONS(5114),
  },
  [747] = {
    [sym_text] = STATE(348),
    [sym_ref] = STATE(1334),
    [sym_verseText] = STATE(1334),
    [sym__tableText] = STATE(1334),
    [sym_footnote] = STATE(1334),
    [sym_f] = STATE(1347),
    [sym_fe] = STATE(1347),
    [sym_ef] = STATE(1347),
    [sym_fm] = STATE(1347),
    [sym_crossref] = STATE(1334),
    [sym_x] = STATE(1344),
    [sym_xt_standalone] = STATE(1344),
    [sym_rq] = STATE(1344),
    [sym_add] = STATE(348),
    [sym_bk] = STATE(348),
    [sym_dc] = STATE(348),
    [sym_k] = STATE(348),
    [sym_nd] = STATE(348),
    [sym_ord] = STATE(348),
    [sym_pn] = STATE(348),
    [sym_png] = STATE(348),
    [sym_addpn] = STATE(348),
    [sym_qt] = STATE(348),
    [sym_sig] = STATE(348),
    [sym_sls] = STATE(348),
    [sym_tl] = STATE(348),
    [sym_wj] = STATE(348),
    [sym_em] = STATE(348),
    [sym_bd] = STATE(348),
    [sym_it] = STATE(348),
    [sym_bdit] = STATE(348),
    [sym_no] = STATE(348),
    [sym_sc] = STATE(348),
    [sym_sup] = STATE(348),
    [sym_ndx] = STATE(348),
    [sym_pro] = STATE(348),
    [sym_rb] = STATE(348),
    [sym_w] = STATE(348),
    [sym_wg] = STATE(348),
    [sym_wh] = STATE(348),
    [sym_wa] = STATE(348),
    [sym__characterMarker] = STATE(348),
    [sym_fig] = STATE(348),
    [sym_jmp] = STATE(348),
    [aux_sym_verseText_repeat1] = STATE(348),
    [aux_sym_text_token1] = ACTIONS(5054),
    [anon_sym_BSLASHref] = ACTIONS(6570),
    [anon_sym_BSLASHf] = ACTIONS(6572),
    [anon_sym_BSLASHfe] = ACTIONS(6574),
    [anon_sym_BSLASHef] = ACTIONS(6576),
    [anon_sym_BSLASHfm] = ACTIONS(6578),
    [anon_sym_BSLASHx] = ACTIONS(6580),
    [anon_sym_BSLASHxt] = ACTIONS(6582),
    [anon_sym_BSLASHrq] = ACTIONS(6584),
    [anon_sym_BSLASHadd] = ACTIONS(5056),
    [anon_sym_BSLASHbk] = ACTIONS(5058),
    [anon_sym_BSLASHdc] = ACTIONS(5060),
    [anon_sym_BSLASHk] = ACTIONS(5062),
    [anon_sym_BSLASHnd] = ACTIONS(5064),
    [anon_sym_BSLASHord] = ACTIONS(5066),
    [anon_sym_BSLASHpn] = ACTIONS(5068),
    [anon_sym_BSLASHpng] = ACTIONS(5070),
    [anon_sym_BSLASHaddpn] = ACTIONS(5072),
    [anon_sym_BSLASHqt] = ACTIONS(5074),
    [anon_sym_BSLASHsig] = ACTIONS(5076),
    [anon_sym_BSLASHsls] = ACTIONS(5078),
    [anon_sym_BSLASHtl] = ACTIONS(5080),
    [anon_sym_BSLASHwj] = ACTIONS(5082),
    [anon_sym_BSLASHem] = ACTIONS(5084),
    [anon_sym_BSLASHbd] = ACTIONS(5086),
    [anon_sym_BSLASHit] = ACTIONS(5088),
    [anon_sym_BSLASHbdit] = ACTIONS(5090),
    [anon_sym_BSLASHno] = ACTIONS(5092),
    [anon_sym_BSLASHsc] = ACTIONS(5094),
    [anon_sym_BSLASHsup] = ACTIONS(5096),
    [anon_sym_BSLASHndx] = ACTIONS(5098),
    [anon_sym_BSLASHpro] = ACTIONS(5100),
    [anon_sym_BSLASHrb] = ACTIONS(5102),
    [anon_sym_BSLASHw] = ACTIONS(5104),
    [anon_sym_BSLASHwg] = ACTIONS(5106),
    [anon_sym_BSLASHwh] = ACTIONS(5108),
    [anon_sym_BSLASHwa] = ACTIONS(5110),
    [anon_sym_BSLASHfig] = ACTIONS(5112),
    [anon_sym_BSLASHjmp] = ACTIONS(5114),
  },
  [748] = {
    [sym_text] = STATE(748),
    [sym_add] = STATE(748),
    [sym_bk] = STATE(748),
    [sym_dc] = STATE(748),
    [sym_k] = STATE(748),
    [sym_nd] = STATE(748),
    [sym_ord] = STATE(748),
    [sym_pn] = STATE(748),
    [sym_png] = STATE(748),
    [sym_addpn] = STATE(748),
    [sym_qt] = STATE(748),
    [sym_sig] = STATE(748),
    [sym_sls] = STATE(748),
    [sym_tl] = STATE(748),
    [sym_wj] = STATE(748),
    [sym_em] = STATE(748),
    [sym_bd] = STATE(748),
    [sym_it] = STATE(748),
    [sym_bdit] = STATE(748),
    [sym_no] = STATE(748),
    [sym_sc] = STATE(748),
    [sym_sup] = STATE(748),
    [sym_ndx] = STATE(748),
    [sym_pro] = STATE(748),
    [sym_rb] = STATE(748),
    [sym_w] = STATE(748),
    [sym_wg] = STATE(748),
    [sym_wh] = STATE(748),
    [sym_wa] = STATE(748),
    [sym__characterMarker] = STATE(748),
    [sym_jmp] = STATE(748),
    [aux_sym_rem_repeat1] = STATE(748),
    [aux_sym_text_token1] = ACTIONS(6586),
    [anon_sym_BSLASHref] = ACTIONS(3550),
    [anon_sym_BSLASHsts] = ACTIONS(3550),
    [anon_sym_BSLASHrem] = ACTIONS(3550),
    [anon_sym_BSLASHrestore] = ACTIONS(3550),
    [anon_sym_BSLASHlit] = ACTIONS(3550),
    [anon_sym_BSLASHv] = ACTIONS(3550),
    [anon_sym_BSLASHva] = ACTIONS(3550),
    [anon_sym_BSLASHvp] = ACTIONS(3550),
    [anon_sym_BSLASHli] = ACTIONS(3550),
    [anon_sym_BSLASHlim] = ACTIONS(3550),
    [anon_sym_BSLASHf] = ACTIONS(3550),
    [anon_sym_BSLASHfe] = ACTIONS(3550),
    [anon_sym_BSLASHef] = ACTIONS(3550),
    [anon_sym_BSLASHfm] = ACTIONS(3550),
    [anon_sym_BSLASHx] = ACTIONS(3550),
    [anon_sym_BSLASHxt] = ACTIONS(3550),
    [anon_sym_BSLASHrq] = ACTIONS(3550),
    [anon_sym_BSLASHadd] = ACTIONS(6589),
    [anon_sym_BSLASHbk] = ACTIONS(6592),
    [anon_sym_BSLASHdc] = ACTIONS(6595),
    [anon_sym_BSLASHk] = ACTIONS(6598),
    [anon_sym_BSLASHnd] = ACTIONS(6601),
    [anon_sym_BSLASHord] = ACTIONS(6604),
    [anon_sym_BSLASHpn] = ACTIONS(6607),
    [anon_sym_BSLASHpng] = ACTIONS(6610),
    [anon_sym_BSLASHaddpn] = ACTIONS(6613),
    [anon_sym_BSLASHqt] = ACTIONS(6616),
    [anon_sym_BSLASHsig] = ACTIONS(6619),
    [anon_sym_BSLASHsls] = ACTIONS(6622),
    [anon_sym_BSLASHtl] = ACTIONS(6625),
    [anon_sym_BSLASHwj] = ACTIONS(6628),
    [anon_sym_BSLASHem] = ACTIONS(6631),
    [anon_sym_BSLASHbd] = ACTIONS(6634),
    [anon_sym_BSLASHit] = ACTIONS(6637),
    [anon_sym_BSLASHbdit] = ACTIONS(6640),
    [anon_sym_BSLASHno] = ACTIONS(6643),
    [anon_sym_BSLASHsc] = ACTIONS(6646),
    [anon_sym_BSLASHsup] = ACTIONS(6649),
    [anon_sym_BSLASHndx] = ACTIONS(6652),
    [anon_sym_BSLASHpro] = ACTIONS(6655),
    [anon_sym_BSLASHrb] = ACTIONS(6658),
    [anon_sym_BSLASHw] = ACTIONS(6661),
    [anon_sym_BSLASHwg] = ACTIONS(6664),
    [anon_sym_BSLASHwh] = ACTIONS(6667),
    [anon_sym_BSLASHwa] = ACTIONS(6670),
    [anon_sym_BSLASHfig] = ACTIONS(3550),
    [anon_sym_BSLASHjmp] = ACTIONS(6673),
    [anon_sym_BSLASH] = ACTIONS(3550),
    [sym_milestoneStartTag] = ACTIONS(3550),
    [sym_milestoneEndTag] = ACTIONS(3550),
    [sym_zSpaceTag] = ACTIONS(3550),
  },
  [749] = {
    [sym_text] = STATE(331),
    [sym_ref] = STATE(1334),
    [sym_verseText] = STATE(1334),
    [sym__tableText] = STATE(1334),
    [sym_footnote] = STATE(1334),
    [sym_f] = STATE(1347),
    [sym_fe] = STATE(1347),
    [sym_ef] = STATE(1347),
    [sym_fm] = STATE(1347),
    [sym_crossref] = STATE(1334),
    [sym_x] = STATE(1344),
    [sym_xt_standalone] = STATE(1344),
    [sym_rq] = STATE(1344),
    [sym_add] = STATE(331),
    [sym_bk] = STATE(331),
    [sym_dc] = STATE(331),
    [sym_k] = STATE(331),
    [sym_nd] = STATE(331),
    [sym_ord] = STATE(331),
    [sym_pn] = STATE(331),
    [sym_png] = STATE(331),
    [sym_addpn] = STATE(331),
    [sym_qt] = STATE(331),
    [sym_sig] = STATE(331),
    [sym_sls] = STATE(331),
    [sym_tl] = STATE(331),
    [sym_wj] = STATE(331),
    [sym_em] = STATE(331),
    [sym_bd] = STATE(331),
    [sym_it] = STATE(331),
    [sym_bdit] = STATE(331),
    [sym_no] = STATE(331),
    [sym_sc] = STATE(331),
    [sym_sup] = STATE(331),
    [sym_ndx] = STATE(331),
    [sym_pro] = STATE(331),
    [sym_rb] = STATE(331),
    [sym_w] = STATE(331),
    [sym_wg] = STATE(331),
    [sym_wh] = STATE(331),
    [sym_wa] = STATE(331),
    [sym__characterMarker] = STATE(331),
    [sym_fig] = STATE(331),
    [sym_jmp] = STATE(331),
    [aux_sym_verseText_repeat1] = STATE(331),
    [aux_sym_text_token1] = ACTIONS(4244),
    [anon_sym_BSLASHref] = ACTIONS(6570),
    [anon_sym_BSLASHf] = ACTIONS(6572),
    [anon_sym_BSLASHfe] = ACTIONS(6574),
    [anon_sym_BSLASHef] = ACTIONS(6576),
    [anon_sym_BSLASHfm] = ACTIONS(6578),
    [anon_sym_BSLASHx] = ACTIONS(6580),
    [anon_sym_BSLASHxt] = ACTIONS(6582),
    [anon_sym_BSLASHrq] = ACTIONS(6584),
    [anon_sym_BSLASHadd] = ACTIONS(4246),
    [anon_sym_BSLASHbk] = ACTIONS(4248),
    [anon_sym_BSLASHdc] = ACTIONS(4250),
    [anon_sym_BSLASHk] = ACTIONS(4252),
    [anon_sym_BSLASHnd] = ACTIONS(4254),
    [anon_sym_BSLASHord] = ACTIONS(4256),
    [anon_sym_BSLASHpn] = ACTIONS(4258),
    [anon_sym_BSLASHpng] = ACTIONS(4260),
    [anon_sym_BSLASHaddpn] = ACTIONS(4262),
    [anon_sym_BSLASHqt] = ACTIONS(4264),
    [anon_sym_BSLASHsig] = ACTIONS(4266),
    [anon_sym_BSLASHsls] = ACTIONS(4268),
    [anon_sym_BSLASHtl] = ACTIONS(4270),
    [anon_sym_BSLASHwj] = ACTIONS(4272),
    [anon_sym_BSLASHem] = ACTIONS(4274),
    [anon_sym_BSLASHbd] = ACTIONS(4276),
    [anon_sym_BSLASHit] = ACTIONS(4278),
    [anon_sym_BSLASHbdit] = ACTIONS(4280),
    [anon_sym_BSLASHno] = ACTIONS(4282),
    [anon_sym_BSLASHsc] = ACTIONS(4284),
    [anon_sym_BSLASHsup] = ACTIONS(4286),
    [anon_sym_BSLASHndx] = ACTIONS(4288),
    [anon_sym_BSLASHpro] = ACTIONS(4290),
    [anon_sym_BSLASHrb] = ACTIONS(4292),
    [anon_sym_BSLASHw] = ACTIONS(4294),
    [anon_sym_BSLASHwg] = ACTIONS(4296),
    [anon_sym_BSLASHwh] = ACTIONS(4298),
    [anon_sym_BSLASHwa] = ACTIONS(4300),
    [anon_sym_BSLASHfig] = ACTIONS(4302),
    [anon_sym_BSLASHjmp] = ACTIONS(4304),
  },
  [750] = {
    [sym_text] = STATE(331),
    [sym_ref] = STATE(1327),
    [sym_verseText] = STATE(1327),
    [sym__tableText] = STATE(1327),
    [sym_footnote] = STATE(1327),
    [sym_f] = STATE(1347),
    [sym_fe] = STATE(1347),
    [sym_ef] = STATE(1347),
    [sym_fm] = STATE(1347),
    [sym_crossref] = STATE(1327),
    [sym_x] = STATE(1344),
    [sym_xt_standalone] = STATE(1344),
    [sym_rq] = STATE(1344),
    [sym_add] = STATE(331),
    [sym_bk] = STATE(331),
    [sym_dc] = STATE(331),
    [sym_k] = STATE(331),
    [sym_nd] = STATE(331),
    [sym_ord] = STATE(331),
    [sym_pn] = STATE(331),
    [sym_png] = STATE(331),
    [sym_addpn] = STATE(331),
    [sym_qt] = STATE(331),
    [sym_sig] = STATE(331),
    [sym_sls] = STATE(331),
    [sym_tl] = STATE(331),
    [sym_wj] = STATE(331),
    [sym_em] = STATE(331),
    [sym_bd] = STATE(331),
    [sym_it] = STATE(331),
    [sym_bdit] = STATE(331),
    [sym_no] = STATE(331),
    [sym_sc] = STATE(331),
    [sym_sup] = STATE(331),
    [sym_ndx] = STATE(331),
    [sym_pro] = STATE(331),
    [sym_rb] = STATE(331),
    [sym_w] = STATE(331),
    [sym_wg] = STATE(331),
    [sym_wh] = STATE(331),
    [sym_wa] = STATE(331),
    [sym__characterMarker] = STATE(331),
    [sym_fig] = STATE(331),
    [sym_jmp] = STATE(331),
    [aux_sym_verseText_repeat1] = STATE(331),
    [aux_sym_text_token1] = ACTIONS(4244),
    [anon_sym_BSLASHref] = ACTIONS(6570),
    [anon_sym_BSLASHf] = ACTIONS(6572),
    [anon_sym_BSLASHfe] = ACTIONS(6574),
    [anon_sym_BSLASHef] = ACTIONS(6576),
    [anon_sym_BSLASHfm] = ACTIONS(6578),
    [anon_sym_BSLASHx] = ACTIONS(6580),
    [anon_sym_BSLASHxt] = ACTIONS(6582),
    [anon_sym_BSLASHrq] = ACTIONS(6584),
    [anon_sym_BSLASHadd] = ACTIONS(4246),
    [anon_sym_BSLASHbk] = ACTIONS(4248),
    [anon_sym_BSLASHdc] = ACTIONS(4250),
    [anon_sym_BSLASHk] = ACTIONS(4252),
    [anon_sym_BSLASHnd] = ACTIONS(4254),
    [anon_sym_BSLASHord] = ACTIONS(4256),
    [anon_sym_BSLASHpn] = ACTIONS(4258),
    [anon_sym_BSLASHpng] = ACTIONS(4260),
    [anon_sym_BSLASHaddpn] = ACTIONS(4262),
    [anon_sym_BSLASHqt] = ACTIONS(4264),
    [anon_sym_BSLASHsig] = ACTIONS(4266),
    [anon_sym_BSLASHsls] = ACTIONS(4268),
    [anon_sym_BSLASHtl] = ACTIONS(4270),
    [anon_sym_BSLASHwj] = ACTIONS(4272),
    [anon_sym_BSLASHem] = ACTIONS(4274),
    [anon_sym_BSLASHbd] = ACTIONS(4276),
    [anon_sym_BSLASHit] = ACTIONS(4278),
    [anon_sym_BSLASHbdit] = ACTIONS(4280),
    [anon_sym_BSLASHno] = ACTIONS(4282),
    [anon_sym_BSLASHsc] = ACTIONS(4284),
    [anon_sym_BSLASHsup] = ACTIONS(4286),
    [anon_sym_BSLASHndx] = ACTIONS(4288),
    [anon_sym_BSLASHpro] = ACTIONS(4290),
    [anon_sym_BSLASHrb] = ACTIONS(4292),
    [anon_sym_BSLASHw] = ACTIONS(4294),
    [anon_sym_BSLASHwg] = ACTIONS(4296),
    [anon_sym_BSLASHwh] = ACTIONS(4298),
    [anon_sym_BSLASHwa] = ACTIONS(4300),
    [anon_sym_BSLASHfig] = ACTIONS(4302),
    [anon_sym_BSLASHjmp] = ACTIONS(4304),
  },
  [751] = {
    [sym_text] = STATE(348),
    [sym_ref] = STATE(1335),
    [sym_verseText] = STATE(1335),
    [sym__tableText] = STATE(1335),
    [sym_footnote] = STATE(1335),
    [sym_f] = STATE(1347),
    [sym_fe] = STATE(1347),
    [sym_ef] = STATE(1347),
    [sym_fm] = STATE(1347),
    [sym_crossref] = STATE(1335),
    [sym_x] = STATE(1344),
    [sym_xt_standalone] = STATE(1344),
    [sym_rq] = STATE(1344),
    [sym_add] = STATE(348),
    [sym_bk] = STATE(348),
    [sym_dc] = STATE(348),
    [sym_k] = STATE(348),
    [sym_nd] = STATE(348),
    [sym_ord] = STATE(348),
    [sym_pn] = STATE(348),
    [sym_png] = STATE(348),
    [sym_addpn] = STATE(348),
    [sym_qt] = STATE(348),
    [sym_sig] = STATE(348),
    [sym_sls] = STATE(348),
    [sym_tl] = STATE(348),
    [sym_wj] = STATE(348),
    [sym_em] = STATE(348),
    [sym_bd] = STATE(348),
    [sym_it] = STATE(348),
    [sym_bdit] = STATE(348),
    [sym_no] = STATE(348),
    [sym_sc] = STATE(348),
    [sym_sup] = STATE(348),
    [sym_ndx] = STATE(348),
    [sym_pro] = STATE(348),
    [sym_rb] = STATE(348),
    [sym_w] = STATE(348),
    [sym_wg] = STATE(348),
    [sym_wh] = STATE(348),
    [sym_wa] = STATE(348),
    [sym__characterMarker] = STATE(348),
    [sym_fig] = STATE(348),
    [sym_jmp] = STATE(348),
    [aux_sym_verseText_repeat1] = STATE(348),
    [aux_sym_text_token1] = ACTIONS(5054),
    [anon_sym_BSLASHref] = ACTIONS(6570),
    [anon_sym_BSLASHf] = ACTIONS(6572),
    [anon_sym_BSLASHfe] = ACTIONS(6574),
    [anon_sym_BSLASHef] = ACTIONS(6576),
    [anon_sym_BSLASHfm] = ACTIONS(6578),
    [anon_sym_BSLASHx] = ACTIONS(6580),
    [anon_sym_BSLASHxt] = ACTIONS(6582),
    [anon_sym_BSLASHrq] = ACTIONS(6584),
    [anon_sym_BSLASHadd] = ACTIONS(5056),
    [anon_sym_BSLASHbk] = ACTIONS(5058),
    [anon_sym_BSLASHdc] = ACTIONS(5060),
    [anon_sym_BSLASHk] = ACTIONS(5062),
    [anon_sym_BSLASHnd] = ACTIONS(5064),
    [anon_sym_BSLASHord] = ACTIONS(5066),
    [anon_sym_BSLASHpn] = ACTIONS(5068),
    [anon_sym_BSLASHpng] = ACTIONS(5070),
    [anon_sym_BSLASHaddpn] = ACTIONS(5072),
    [anon_sym_BSLASHqt] = ACTIONS(5074),
    [anon_sym_BSLASHsig] = ACTIONS(5076),
    [anon_sym_BSLASHsls] = ACTIONS(5078),
    [anon_sym_BSLASHtl] = ACTIONS(5080),
    [anon_sym_BSLASHwj] = ACTIONS(5082),
    [anon_sym_BSLASHem] = ACTIONS(5084),
    [anon_sym_BSLASHbd] = ACTIONS(5086),
    [anon_sym_BSLASHit] = ACTIONS(5088),
    [anon_sym_BSLASHbdit] = ACTIONS(5090),
    [anon_sym_BSLASHno] = ACTIONS(5092),
    [anon_sym_BSLASHsc] = ACTIONS(5094),
    [anon_sym_BSLASHsup] = ACTIONS(5096),
    [anon_sym_BSLASHndx] = ACTIONS(5098),
    [anon_sym_BSLASHpro] = ACTIONS(5100),
    [anon_sym_BSLASHrb] = ACTIONS(5102),
    [anon_sym_BSLASHw] = ACTIONS(5104),
    [anon_sym_BSLASHwg] = ACTIONS(5106),
    [anon_sym_BSLASHwh] = ACTIONS(5108),
    [anon_sym_BSLASHwa] = ACTIONS(5110),
    [anon_sym_BSLASHfig] = ACTIONS(5112),
    [anon_sym_BSLASHjmp] = ACTIONS(5114),
  },
  [752] = {
    [sym_text] = STATE(331),
    [sym_ref] = STATE(1330),
    [sym_verseText] = STATE(1330),
    [sym__tableText] = STATE(1330),
    [sym_footnote] = STATE(1330),
    [sym_f] = STATE(1347),
    [sym_fe] = STATE(1347),
    [sym_ef] = STATE(1347),
    [sym_fm] = STATE(1347),
    [sym_crossref] = STATE(1330),
    [sym_x] = STATE(1344),
    [sym_xt_standalone] = STATE(1344),
    [sym_rq] = STATE(1344),
    [sym_add] = STATE(331),
    [sym_bk] = STATE(331),
    [sym_dc] = STATE(331),
    [sym_k] = STATE(331),
    [sym_nd] = STATE(331),
    [sym_ord] = STATE(331),
    [sym_pn] = STATE(331),
    [sym_png] = STATE(331),
    [sym_addpn] = STATE(331),
    [sym_qt] = STATE(331),
    [sym_sig] = STATE(331),
    [sym_sls] = STATE(331),
    [sym_tl] = STATE(331),
    [sym_wj] = STATE(331),
    [sym_em] = STATE(331),
    [sym_bd] = STATE(331),
    [sym_it] = STATE(331),
    [sym_bdit] = STATE(331),
    [sym_no] = STATE(331),
    [sym_sc] = STATE(331),
    [sym_sup] = STATE(331),
    [sym_ndx] = STATE(331),
    [sym_pro] = STATE(331),
    [sym_rb] = STATE(331),
    [sym_w] = STATE(331),
    [sym_wg] = STATE(331),
    [sym_wh] = STATE(331),
    [sym_wa] = STATE(331),
    [sym__characterMarker] = STATE(331),
    [sym_fig] = STATE(331),
    [sym_jmp] = STATE(331),
    [aux_sym_verseText_repeat1] = STATE(331),
    [aux_sym_text_token1] = ACTIONS(4244),
    [anon_sym_BSLASHref] = ACTIONS(6570),
    [anon_sym_BSLASHf] = ACTIONS(6572),
    [anon_sym_BSLASHfe] = ACTIONS(6574),
    [anon_sym_BSLASHef] = ACTIONS(6576),
    [anon_sym_BSLASHfm] = ACTIONS(6578),
    [anon_sym_BSLASHx] = ACTIONS(6580),
    [anon_sym_BSLASHxt] = ACTIONS(6582),
    [anon_sym_BSLASHrq] = ACTIONS(6584),
    [anon_sym_BSLASHadd] = ACTIONS(4246),
    [anon_sym_BSLASHbk] = ACTIONS(4248),
    [anon_sym_BSLASHdc] = ACTIONS(4250),
    [anon_sym_BSLASHk] = ACTIONS(4252),
    [anon_sym_BSLASHnd] = ACTIONS(4254),
    [anon_sym_BSLASHord] = ACTIONS(4256),
    [anon_sym_BSLASHpn] = ACTIONS(4258),
    [anon_sym_BSLASHpng] = ACTIONS(4260),
    [anon_sym_BSLASHaddpn] = ACTIONS(4262),
    [anon_sym_BSLASHqt] = ACTIONS(4264),
    [anon_sym_BSLASHsig] = ACTIONS(4266),
    [anon_sym_BSLASHsls] = ACTIONS(4268),
    [anon_sym_BSLASHtl] = ACTIONS(4270),
    [anon_sym_BSLASHwj] = ACTIONS(4272),
    [anon_sym_BSLASHem] = ACTIONS(4274),
    [anon_sym_BSLASHbd] = ACTIONS(4276),
    [anon_sym_BSLASHit] = ACTIONS(4278),
    [anon_sym_BSLASHbdit] = ACTIONS(4280),
    [anon_sym_BSLASHno] = ACTIONS(4282),
    [anon_sym_BSLASHsc] = ACTIONS(4284),
    [anon_sym_BSLASHsup] = ACTIONS(4286),
    [anon_sym_BSLASHndx] = ACTIONS(4288),
    [anon_sym_BSLASHpro] = ACTIONS(4290),
    [anon_sym_BSLASHrb] = ACTIONS(4292),
    [anon_sym_BSLASHw] = ACTIONS(4294),
    [anon_sym_BSLASHwg] = ACTIONS(4296),
    [anon_sym_BSLASHwh] = ACTIONS(4298),
    [anon_sym_BSLASHwa] = ACTIONS(4300),
    [anon_sym_BSLASHfig] = ACTIONS(4302),
    [anon_sym_BSLASHjmp] = ACTIONS(4304),
  },
  [753] = {
    [sym_text] = STATE(331),
    [sym_ref] = STATE(1335),
    [sym_verseText] = STATE(1335),
    [sym__tableText] = STATE(1335),
    [sym_footnote] = STATE(1335),
    [sym_f] = STATE(1347),
    [sym_fe] = STATE(1347),
    [sym_ef] = STATE(1347),
    [sym_fm] = STATE(1347),
    [sym_crossref] = STATE(1335),
    [sym_x] = STATE(1344),
    [sym_xt_standalone] = STATE(1344),
    [sym_rq] = STATE(1344),
    [sym_add] = STATE(331),
    [sym_bk] = STATE(331),
    [sym_dc] = STATE(331),
    [sym_k] = STATE(331),
    [sym_nd] = STATE(331),
    [sym_ord] = STATE(331),
    [sym_pn] = STATE(331),
    [sym_png] = STATE(331),
    [sym_addpn] = STATE(331),
    [sym_qt] = STATE(331),
    [sym_sig] = STATE(331),
    [sym_sls] = STATE(331),
    [sym_tl] = STATE(331),
    [sym_wj] = STATE(331),
    [sym_em] = STATE(331),
    [sym_bd] = STATE(331),
    [sym_it] = STATE(331),
    [sym_bdit] = STATE(331),
    [sym_no] = STATE(331),
    [sym_sc] = STATE(331),
    [sym_sup] = STATE(331),
    [sym_ndx] = STATE(331),
    [sym_pro] = STATE(331),
    [sym_rb] = STATE(331),
    [sym_w] = STATE(331),
    [sym_wg] = STATE(331),
    [sym_wh] = STATE(331),
    [sym_wa] = STATE(331),
    [sym__characterMarker] = STATE(331),
    [sym_fig] = STATE(331),
    [sym_jmp] = STATE(331),
    [aux_sym_verseText_repeat1] = STATE(331),
    [aux_sym_text_token1] = ACTIONS(4244),
    [anon_sym_BSLASHref] = ACTIONS(6570),
    [anon_sym_BSLASHf] = ACTIONS(6572),
    [anon_sym_BSLASHfe] = ACTIONS(6574),
    [anon_sym_BSLASHef] = ACTIONS(6576),
    [anon_sym_BSLASHfm] = ACTIONS(6578),
    [anon_sym_BSLASHx] = ACTIONS(6580),
    [anon_sym_BSLASHxt] = ACTIONS(6582),
    [anon_sym_BSLASHrq] = ACTIONS(6584),
    [anon_sym_BSLASHadd] = ACTIONS(4246),
    [anon_sym_BSLASHbk] = ACTIONS(4248),
    [anon_sym_BSLASHdc] = ACTIONS(4250),
    [anon_sym_BSLASHk] = ACTIONS(4252),
    [anon_sym_BSLASHnd] = ACTIONS(4254),
    [anon_sym_BSLASHord] = ACTIONS(4256),
    [anon_sym_BSLASHpn] = ACTIONS(4258),
    [anon_sym_BSLASHpng] = ACTIONS(4260),
    [anon_sym_BSLASHaddpn] = ACTIONS(4262),
    [anon_sym_BSLASHqt] = ACTIONS(4264),
    [anon_sym_BSLASHsig] = ACTIONS(4266),
    [anon_sym_BSLASHsls] = ACTIONS(4268),
    [anon_sym_BSLASHtl] = ACTIONS(4270),
    [anon_sym_BSLASHwj] = ACTIONS(4272),
    [anon_sym_BSLASHem] = ACTIONS(4274),
    [anon_sym_BSLASHbd] = ACTIONS(4276),
    [anon_sym_BSLASHit] = ACTIONS(4278),
    [anon_sym_BSLASHbdit] = ACTIONS(4280),
    [anon_sym_BSLASHno] = ACTIONS(4282),
    [anon_sym_BSLASHsc] = ACTIONS(4284),
    [anon_sym_BSLASHsup] = ACTIONS(4286),
    [anon_sym_BSLASHndx] = ACTIONS(4288),
    [anon_sym_BSLASHpro] = ACTIONS(4290),
    [anon_sym_BSLASHrb] = ACTIONS(4292),
    [anon_sym_BSLASHw] = ACTIONS(4294),
    [anon_sym_BSLASHwg] = ACTIONS(4296),
    [anon_sym_BSLASHwh] = ACTIONS(4298),
    [anon_sym_BSLASHwa] = ACTIONS(4300),
    [anon_sym_BSLASHfig] = ACTIONS(4302),
    [anon_sym_BSLASHjmp] = ACTIONS(4304),
  },
  [754] = {
    [sym_text] = STATE(748),
    [sym_add] = STATE(748),
    [sym_bk] = STATE(748),
    [sym_dc] = STATE(748),
    [sym_k] = STATE(748),
    [sym_nd] = STATE(748),
    [sym_ord] = STATE(748),
    [sym_pn] = STATE(748),
    [sym_png] = STATE(748),
    [sym_addpn] = STATE(748),
    [sym_qt] = STATE(748),
    [sym_sig] = STATE(748),
    [sym_sls] = STATE(748),
    [sym_tl] = STATE(748),
    [sym_wj] = STATE(748),
    [sym_em] = STATE(748),
    [sym_bd] = STATE(748),
    [sym_it] = STATE(748),
    [sym_bdit] = STATE(748),
    [sym_no] = STATE(748),
    [sym_sc] = STATE(748),
    [sym_sup] = STATE(748),
    [sym_ndx] = STATE(748),
    [sym_pro] = STATE(748),
    [sym_rb] = STATE(748),
    [sym_w] = STATE(748),
    [sym_wg] = STATE(748),
    [sym_wh] = STATE(748),
    [sym_wa] = STATE(748),
    [sym__characterMarker] = STATE(748),
    [sym_jmp] = STATE(748),
    [aux_sym_rem_repeat1] = STATE(748),
    [aux_sym_text_token1] = ACTIONS(5116),
    [anon_sym_BSLASHref] = ACTIONS(3543),
    [anon_sym_BSLASHsts] = ACTIONS(3543),
    [anon_sym_BSLASHrem] = ACTIONS(3543),
    [anon_sym_BSLASHrestore] = ACTIONS(3543),
    [anon_sym_BSLASHlit] = ACTIONS(3543),
    [anon_sym_BSLASHv] = ACTIONS(3543),
    [anon_sym_BSLASHva] = ACTIONS(3543),
    [anon_sym_BSLASHvp] = ACTIONS(3543),
    [anon_sym_BSLASHli] = ACTIONS(3543),
    [anon_sym_BSLASHlim] = ACTIONS(3543),
    [anon_sym_BSLASHf] = ACTIONS(3543),
    [anon_sym_BSLASHfe] = ACTIONS(3543),
    [anon_sym_BSLASHef] = ACTIONS(3543),
    [anon_sym_BSLASHfm] = ACTIONS(3543),
    [anon_sym_BSLASHx] = ACTIONS(3543),
    [anon_sym_BSLASHxt] = ACTIONS(3543),
    [anon_sym_BSLASHrq] = ACTIONS(3543),
    [anon_sym_BSLASHadd] = ACTIONS(5150),
    [anon_sym_BSLASHbk] = ACTIONS(5152),
    [anon_sym_BSLASHdc] = ACTIONS(5154),
    [anon_sym_BSLASHk] = ACTIONS(5156),
    [anon_sym_BSLASHnd] = ACTIONS(5158),
    [anon_sym_BSLASHord] = ACTIONS(5160),
    [anon_sym_BSLASHpn] = ACTIONS(5162),
    [anon_sym_BSLASHpng] = ACTIONS(5164),
    [anon_sym_BSLASHaddpn] = ACTIONS(5166),
    [anon_sym_BSLASHqt] = ACTIONS(5168),
    [anon_sym_BSLASHsig] = ACTIONS(5170),
    [anon_sym_BSLASHsls] = ACTIONS(5172),
    [anon_sym_BSLASHtl] = ACTIONS(5174),
    [anon_sym_BSLASHwj] = ACTIONS(5176),
    [anon_sym_BSLASHem] = ACTIONS(5178),
    [anon_sym_BSLASHbd] = ACTIONS(5180),
    [anon_sym_BSLASHit] = ACTIONS(5182),
    [anon_sym_BSLASHbdit] = ACTIONS(5184),
    [anon_sym_BSLASHno] = ACTIONS(5186),
    [anon_sym_BSLASHsc] = ACTIONS(5188),
    [anon_sym_BSLASHsup] = ACTIONS(5190),
    [anon_sym_BSLASHndx] = ACTIONS(5192),
    [anon_sym_BSLASHpro] = ACTIONS(5194),
    [anon_sym_BSLASHrb] = ACTIONS(5196),
    [anon_sym_BSLASHw] = ACTIONS(5198),
    [anon_sym_BSLASHwg] = ACTIONS(5200),
    [anon_sym_BSLASHwh] = ACTIONS(5202),
    [anon_sym_BSLASHwa] = ACTIONS(5204),
    [anon_sym_BSLASHfig] = ACTIONS(3543),
    [anon_sym_BSLASHjmp] = ACTIONS(5208),
    [anon_sym_BSLASH] = ACTIONS(3543),
    [sym_milestoneStartTag] = ACTIONS(3543),
    [sym_milestoneEndTag] = ACTIONS(3543),
    [sym_zSpaceTag] = ACTIONS(3543),
  },
  [755] = {
    [sym_text] = STATE(348),
    [sym_ref] = STATE(1330),
    [sym_verseText] = STATE(1330),
    [sym__tableText] = STATE(1330),
    [sym_footnote] = STATE(1330),
    [sym_f] = STATE(1347),
    [sym_fe] = STATE(1347),
    [sym_ef] = STATE(1347),
    [sym_fm] = STATE(1347),
    [sym_crossref] = STATE(1330),
    [sym_x] = STATE(1344),
    [sym_xt_standalone] = STATE(1344),
    [sym_rq] = STATE(1344),
    [sym_add] = STATE(348),
    [sym_bk] = STATE(348),
    [sym_dc] = STATE(348),
    [sym_k] = STATE(348),
    [sym_nd] = STATE(348),
    [sym_ord] = STATE(348),
    [sym_pn] = STATE(348),
    [sym_png] = STATE(348),
    [sym_addpn] = STATE(348),
    [sym_qt] = STATE(348),
    [sym_sig] = STATE(348),
    [sym_sls] = STATE(348),
    [sym_tl] = STATE(348),
    [sym_wj] = STATE(348),
    [sym_em] = STATE(348),
    [sym_bd] = STATE(348),
    [sym_it] = STATE(348),
    [sym_bdit] = STATE(348),
    [sym_no] = STATE(348),
    [sym_sc] = STATE(348),
    [sym_sup] = STATE(348),
    [sym_ndx] = STATE(348),
    [sym_pro] = STATE(348),
    [sym_rb] = STATE(348),
    [sym_w] = STATE(348),
    [sym_wg] = STATE(348),
    [sym_wh] = STATE(348),
    [sym_wa] = STATE(348),
    [sym__characterMarker] = STATE(348),
    [sym_fig] = STATE(348),
    [sym_jmp] = STATE(348),
    [aux_sym_verseText_repeat1] = STATE(348),
    [aux_sym_text_token1] = ACTIONS(5054),
    [anon_sym_BSLASHref] = ACTIONS(6570),
    [anon_sym_BSLASHf] = ACTIONS(6572),
    [anon_sym_BSLASHfe] = ACTIONS(6574),
    [anon_sym_BSLASHef] = ACTIONS(6576),
    [anon_sym_BSLASHfm] = ACTIONS(6578),
    [anon_sym_BSLASHx] = ACTIONS(6580),
    [anon_sym_BSLASHxt] = ACTIONS(6582),
    [anon_sym_BSLASHrq] = ACTIONS(6584),
    [anon_sym_BSLASHadd] = ACTIONS(5056),
    [anon_sym_BSLASHbk] = ACTIONS(5058),
    [anon_sym_BSLASHdc] = ACTIONS(5060),
    [anon_sym_BSLASHk] = ACTIONS(5062),
    [anon_sym_BSLASHnd] = ACTIONS(5064),
    [anon_sym_BSLASHord] = ACTIONS(5066),
    [anon_sym_BSLASHpn] = ACTIONS(5068),
    [anon_sym_BSLASHpng] = ACTIONS(5070),
    [anon_sym_BSLASHaddpn] = ACTIONS(5072),
    [anon_sym_BSLASHqt] = ACTIONS(5074),
    [anon_sym_BSLASHsig] = ACTIONS(5076),
    [anon_sym_BSLASHsls] = ACTIONS(5078),
    [anon_sym_BSLASHtl] = ACTIONS(5080),
    [anon_sym_BSLASHwj] = ACTIONS(5082),
    [anon_sym_BSLASHem] = ACTIONS(5084),
    [anon_sym_BSLASHbd] = ACTIONS(5086),
    [anon_sym_BSLASHit] = ACTIONS(5088),
    [anon_sym_BSLASHbdit] = ACTIONS(5090),
    [anon_sym_BSLASHno] = ACTIONS(5092),
    [anon_sym_BSLASHsc] = ACTIONS(5094),
    [anon_sym_BSLASHsup] = ACTIONS(5096),
    [anon_sym_BSLASHndx] = ACTIONS(5098),
    [anon_sym_BSLASHpro] = ACTIONS(5100),
    [anon_sym_BSLASHrb] = ACTIONS(5102),
    [anon_sym_BSLASHw] = ACTIONS(5104),
    [anon_sym_BSLASHwg] = ACTIONS(5106),
    [anon_sym_BSLASHwh] = ACTIONS(5108),
    [anon_sym_BSLASHwa] = ACTIONS(5110),
    [anon_sym_BSLASHfig] = ACTIONS(5112),
    [anon_sym_BSLASHjmp] = ACTIONS(5114),
  },
  [756] = {
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [sym_thTag] = ACTIONS(2717),
    [sym_thrTag] = ACTIONS(2717),
    [sym_tcTag] = ACTIONS(2717),
    [sym_tcrTag] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesbe] = ACTIONS(2717),
    [anon_sym_BSLASHcat] = ACTIONS(2717),
  },
  [757] = {
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [sym_thTag] = ACTIONS(2741),
    [sym_thrTag] = ACTIONS(2741),
    [sym_tcTag] = ACTIONS(2741),
    [sym_tcrTag] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesbe] = ACTIONS(2741),
    [anon_sym_BSLASHcat] = ACTIONS(2741),
  },
  [758] = {
    [aux_sym_text_token1] = ACTIONS(2755),
    [anon_sym_BSLASHsts] = ACTIONS(2757),
    [anon_sym_BSLASHrem] = ACTIONS(2757),
    [anon_sym_BSLASHrestore] = ACTIONS(2757),
    [anon_sym_BSLASHlit] = ACTIONS(2757),
    [anon_sym_BSLASHip] = ACTIONS(2757),
    [anon_sym_BSLASHmte] = ACTIONS(2757),
    [anon_sym_BSLASHms] = ACTIONS(2757),
    [anon_sym_BSLASHs] = ACTIONS(2757),
    [anon_sym_BSLASHr] = ACTIONS(2757),
    [anon_sym_BSLASHsp] = ACTIONS(2757),
    [anon_sym_BSLASHd] = ACTIONS(2757),
    [anon_sym_BSLASHsd] = ACTIONS(2757),
    [anon_sym_BSLASHp] = ACTIONS(2757),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2757),
    [anon_sym_BSLASHpr] = ACTIONS(2757),
    [anon_sym_BSLASHcls] = ACTIONS(2757),
    [anon_sym_BSLASHpmo] = ACTIONS(2757),
    [anon_sym_BSLASHpm] = ACTIONS(2757),
    [anon_sym_BSLASHpmc] = ACTIONS(2757),
    [anon_sym_BSLASHpmr] = ACTIONS(2757),
    [anon_sym_BSLASHpi] = ACTIONS(2757),
    [anon_sym_BSLASHmi] = ACTIONS(2757),
    [anon_sym_BSLASHnb] = ACTIONS(2757),
    [anon_sym_BSLASHpc] = ACTIONS(2757),
    [anon_sym_BSLASHph] = ACTIONS(2757),
    [anon_sym_BSLASHb] = ACTIONS(2757),
    [anon_sym_BSLASHq] = ACTIONS(2757),
    [anon_sym_BSLASHqr] = ACTIONS(2757),
    [anon_sym_BSLASHqc] = ACTIONS(2757),
    [anon_sym_BSLASHqa] = ACTIONS(2757),
    [anon_sym_BSLASHqm] = ACTIONS(2757),
    [anon_sym_BSLASHqd] = ACTIONS(2757),
    [anon_sym_BSLASHlh] = ACTIONS(2757),
    [anon_sym_BSLASHli] = ACTIONS(2757),
    [anon_sym_BSLASHlim] = ACTIONS(2757),
    [anon_sym_BSLASHtr] = ACTIONS(2757),
    [sym_thTag] = ACTIONS(2757),
    [sym_thrTag] = ACTIONS(2757),
    [sym_tcTag] = ACTIONS(2757),
    [sym_tcrTag] = ACTIONS(2757),
    [anon_sym_BSLASHf] = ACTIONS(2757),
    [anon_sym_BSLASHfe] = ACTIONS(2757),
    [anon_sym_BSLASHef] = ACTIONS(2757),
    [anon_sym_BSLASHfm] = ACTIONS(2757),
    [anon_sym_BSLASHadd] = ACTIONS(2757),
    [anon_sym_BSLASHbk] = ACTIONS(2757),
    [anon_sym_BSLASHdc] = ACTIONS(2757),
    [anon_sym_BSLASHk] = ACTIONS(2757),
    [anon_sym_BSLASHnd] = ACTIONS(2757),
    [anon_sym_BSLASHord] = ACTIONS(2757),
    [anon_sym_BSLASHpn] = ACTIONS(2757),
    [anon_sym_BSLASHpng] = ACTIONS(2757),
    [anon_sym_BSLASHaddpn] = ACTIONS(2757),
    [anon_sym_BSLASHqt] = ACTIONS(2757),
    [anon_sym_BSLASHsig] = ACTIONS(2757),
    [anon_sym_BSLASHsls] = ACTIONS(2757),
    [anon_sym_BSLASHtl] = ACTIONS(2757),
    [anon_sym_BSLASHwj] = ACTIONS(2757),
    [anon_sym_BSLASHem] = ACTIONS(2757),
    [anon_sym_BSLASHbd] = ACTIONS(2757),
    [anon_sym_BSLASHit] = ACTIONS(2757),
    [anon_sym_BSLASHbdit] = ACTIONS(2757),
    [anon_sym_BSLASHno] = ACTIONS(2757),
    [anon_sym_BSLASHsc] = ACTIONS(2757),
    [anon_sym_BSLASHsup] = ACTIONS(2757),
    [anon_sym_BSLASHndx] = ACTIONS(2757),
    [anon_sym_BSLASHpro] = ACTIONS(2757),
    [anon_sym_BSLASHrb] = ACTIONS(2757),
    [anon_sym_BSLASHw] = ACTIONS(2757),
    [anon_sym_BSLASHwg] = ACTIONS(2757),
    [anon_sym_BSLASHwh] = ACTIONS(2757),
    [anon_sym_BSLASHwa] = ACTIONS(2757),
    [anon_sym_BSLASHfig] = ACTIONS(2757),
    [anon_sym_BSLASHjmp] = ACTIONS(2757),
    [anon_sym_BSLASHpb] = ACTIONS(2757),
    [anon_sym_BSLASH] = ACTIONS(2757),
    [sym_milestoneStartTag] = ACTIONS(2757),
    [sym_milestoneEndTag] = ACTIONS(2757),
    [sym_zSpaceTag] = ACTIONS(2757),
    [anon_sym_BSLASHesbe] = ACTIONS(2757),
    [anon_sym_BSLASHcat] = ACTIONS(2757),
  },
  [759] = {
    [aux_sym_text_token1] = ACTIONS(2759),
    [anon_sym_BSLASHsts] = ACTIONS(2761),
    [anon_sym_BSLASHrem] = ACTIONS(2761),
    [anon_sym_BSLASHrestore] = ACTIONS(2761),
    [anon_sym_BSLASHlit] = ACTIONS(2761),
    [anon_sym_BSLASHip] = ACTIONS(2761),
    [anon_sym_BSLASHmte] = ACTIONS(2761),
    [anon_sym_BSLASHms] = ACTIONS(2761),
    [anon_sym_BSLASHs] = ACTIONS(2761),
    [anon_sym_BSLASHr] = ACTIONS(2761),
    [anon_sym_BSLASHsp] = ACTIONS(2761),
    [anon_sym_BSLASHd] = ACTIONS(2761),
    [anon_sym_BSLASHsd] = ACTIONS(2761),
    [anon_sym_BSLASHp] = ACTIONS(2761),
    [anon_sym_BSLASHm] = ACTIONS(2761),
    [anon_sym_BSLASHpo] = ACTIONS(2761),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2761),
    [anon_sym_BSLASHpmo] = ACTIONS(2761),
    [anon_sym_BSLASHpm] = ACTIONS(2761),
    [anon_sym_BSLASHpmc] = ACTIONS(2761),
    [anon_sym_BSLASHpmr] = ACTIONS(2761),
    [anon_sym_BSLASHpi] = ACTIONS(2761),
    [anon_sym_BSLASHmi] = ACTIONS(2761),
    [anon_sym_BSLASHnb] = ACTIONS(2761),
    [anon_sym_BSLASHpc] = ACTIONS(2761),
    [anon_sym_BSLASHph] = ACTIONS(2761),
    [anon_sym_BSLASHb] = ACTIONS(2761),
    [anon_sym_BSLASHq] = ACTIONS(2761),
    [anon_sym_BSLASHqr] = ACTIONS(2761),
    [anon_sym_BSLASHqc] = ACTIONS(2761),
    [anon_sym_BSLASHqa] = ACTIONS(2761),
    [anon_sym_BSLASHqm] = ACTIONS(2761),
    [anon_sym_BSLASHqd] = ACTIONS(2761),
    [anon_sym_BSLASHlh] = ACTIONS(2761),
    [anon_sym_BSLASHli] = ACTIONS(2761),
    [anon_sym_BSLASHlim] = ACTIONS(2761),
    [anon_sym_BSLASHtr] = ACTIONS(2761),
    [sym_thTag] = ACTIONS(2761),
    [sym_thrTag] = ACTIONS(2761),
    [sym_tcTag] = ACTIONS(2761),
    [sym_tcrTag] = ACTIONS(2761),
    [anon_sym_BSLASHf] = ACTIONS(2761),
    [anon_sym_BSLASHfe] = ACTIONS(2761),
    [anon_sym_BSLASHef] = ACTIONS(2761),
    [anon_sym_BSLASHfm] = ACTIONS(2761),
    [anon_sym_BSLASHadd] = ACTIONS(2761),
    [anon_sym_BSLASHbk] = ACTIONS(2761),
    [anon_sym_BSLASHdc] = ACTIONS(2761),
    [anon_sym_BSLASHk] = ACTIONS(2761),
    [anon_sym_BSLASHnd] = ACTIONS(2761),
    [anon_sym_BSLASHord] = ACTIONS(2761),
    [anon_sym_BSLASHpn] = ACTIONS(2761),
    [anon_sym_BSLASHpng] = ACTIONS(2761),
    [anon_sym_BSLASHaddpn] = ACTIONS(2761),
    [anon_sym_BSLASHqt] = ACTIONS(2761),
    [anon_sym_BSLASHsig] = ACTIONS(2761),
    [anon_sym_BSLASHsls] = ACTIONS(2761),
    [anon_sym_BSLASHtl] = ACTIONS(2761),
    [anon_sym_BSLASHwj] = ACTIONS(2761),
    [anon_sym_BSLASHem] = ACTIONS(2761),
    [anon_sym_BSLASHbd] = ACTIONS(2761),
    [anon_sym_BSLASHit] = ACTIONS(2761),
    [anon_sym_BSLASHbdit] = ACTIONS(2761),
    [anon_sym_BSLASHno] = ACTIONS(2761),
    [anon_sym_BSLASHsc] = ACTIONS(2761),
    [anon_sym_BSLASHsup] = ACTIONS(2761),
    [anon_sym_BSLASHndx] = ACTIONS(2761),
    [anon_sym_BSLASHpro] = ACTIONS(2761),
    [anon_sym_BSLASHrb] = ACTIONS(2761),
    [anon_sym_BSLASHw] = ACTIONS(2761),
    [anon_sym_BSLASHwg] = ACTIONS(2761),
    [anon_sym_BSLASHwh] = ACTIONS(2761),
    [anon_sym_BSLASHwa] = ACTIONS(2761),
    [anon_sym_BSLASHfig] = ACTIONS(2761),
    [anon_sym_BSLASHjmp] = ACTIONS(2761),
    [anon_sym_BSLASHpb] = ACTIONS(2761),
    [anon_sym_BSLASH] = ACTIONS(2761),
    [sym_milestoneStartTag] = ACTIONS(2761),
    [sym_milestoneEndTag] = ACTIONS(2761),
    [sym_zSpaceTag] = ACTIONS(2761),
    [anon_sym_BSLASHesbe] = ACTIONS(2761),
    [anon_sym_BSLASHcat] = ACTIONS(2761),
  },
  [760] = {
    [aux_sym_text_token1] = ACTIONS(2763),
    [anon_sym_BSLASHsts] = ACTIONS(2765),
    [anon_sym_BSLASHrem] = ACTIONS(2765),
    [anon_sym_BSLASHrestore] = ACTIONS(2765),
    [anon_sym_BSLASHlit] = ACTIONS(2765),
    [anon_sym_BSLASHip] = ACTIONS(2765),
    [anon_sym_BSLASHmte] = ACTIONS(2765),
    [anon_sym_BSLASHms] = ACTIONS(2765),
    [anon_sym_BSLASHs] = ACTIONS(2765),
    [anon_sym_BSLASHr] = ACTIONS(2765),
    [anon_sym_BSLASHsp] = ACTIONS(2765),
    [anon_sym_BSLASHd] = ACTIONS(2765),
    [anon_sym_BSLASHsd] = ACTIONS(2765),
    [anon_sym_BSLASHp] = ACTIONS(2765),
    [anon_sym_BSLASHm] = ACTIONS(2765),
    [anon_sym_BSLASHpo] = ACTIONS(2765),
    [anon_sym_BSLASHpr] = ACTIONS(2765),
    [anon_sym_BSLASHcls] = ACTIONS(2765),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2765),
    [anon_sym_BSLASHpmc] = ACTIONS(2765),
    [anon_sym_BSLASHpmr] = ACTIONS(2765),
    [anon_sym_BSLASHpi] = ACTIONS(2765),
    [anon_sym_BSLASHmi] = ACTIONS(2765),
    [anon_sym_BSLASHnb] = ACTIONS(2765),
    [anon_sym_BSLASHpc] = ACTIONS(2765),
    [anon_sym_BSLASHph] = ACTIONS(2765),
    [anon_sym_BSLASHb] = ACTIONS(2765),
    [anon_sym_BSLASHq] = ACTIONS(2765),
    [anon_sym_BSLASHqr] = ACTIONS(2765),
    [anon_sym_BSLASHqc] = ACTIONS(2765),
    [anon_sym_BSLASHqa] = ACTIONS(2765),
    [anon_sym_BSLASHqm] = ACTIONS(2765),
    [anon_sym_BSLASHqd] = ACTIONS(2765),
    [anon_sym_BSLASHlh] = ACTIONS(2765),
    [anon_sym_BSLASHli] = ACTIONS(2765),
    [anon_sym_BSLASHlim] = ACTIONS(2765),
    [anon_sym_BSLASHtr] = ACTIONS(2765),
    [sym_thTag] = ACTIONS(2765),
    [sym_thrTag] = ACTIONS(2765),
    [sym_tcTag] = ACTIONS(2765),
    [sym_tcrTag] = ACTIONS(2765),
    [anon_sym_BSLASHf] = ACTIONS(2765),
    [anon_sym_BSLASHfe] = ACTIONS(2765),
    [anon_sym_BSLASHef] = ACTIONS(2765),
    [anon_sym_BSLASHfm] = ACTIONS(2765),
    [anon_sym_BSLASHadd] = ACTIONS(2765),
    [anon_sym_BSLASHbk] = ACTIONS(2765),
    [anon_sym_BSLASHdc] = ACTIONS(2765),
    [anon_sym_BSLASHk] = ACTIONS(2765),
    [anon_sym_BSLASHnd] = ACTIONS(2765),
    [anon_sym_BSLASHord] = ACTIONS(2765),
    [anon_sym_BSLASHpn] = ACTIONS(2765),
    [anon_sym_BSLASHpng] = ACTIONS(2765),
    [anon_sym_BSLASHaddpn] = ACTIONS(2765),
    [anon_sym_BSLASHqt] = ACTIONS(2765),
    [anon_sym_BSLASHsig] = ACTIONS(2765),
    [anon_sym_BSLASHsls] = ACTIONS(2765),
    [anon_sym_BSLASHtl] = ACTIONS(2765),
    [anon_sym_BSLASHwj] = ACTIONS(2765),
    [anon_sym_BSLASHem] = ACTIONS(2765),
    [anon_sym_BSLASHbd] = ACTIONS(2765),
    [anon_sym_BSLASHit] = ACTIONS(2765),
    [anon_sym_BSLASHbdit] = ACTIONS(2765),
    [anon_sym_BSLASHno] = ACTIONS(2765),
    [anon_sym_BSLASHsc] = ACTIONS(2765),
    [anon_sym_BSLASHsup] = ACTIONS(2765),
    [anon_sym_BSLASHndx] = ACTIONS(2765),
    [anon_sym_BSLASHpro] = ACTIONS(2765),
    [anon_sym_BSLASHrb] = ACTIONS(2765),
    [anon_sym_BSLASHw] = ACTIONS(2765),
    [anon_sym_BSLASHwg] = ACTIONS(2765),
    [anon_sym_BSLASHwh] = ACTIONS(2765),
    [anon_sym_BSLASHwa] = ACTIONS(2765),
    [anon_sym_BSLASHfig] = ACTIONS(2765),
    [anon_sym_BSLASHjmp] = ACTIONS(2765),
    [anon_sym_BSLASHpb] = ACTIONS(2765),
    [anon_sym_BSLASH] = ACTIONS(2765),
    [sym_milestoneStartTag] = ACTIONS(2765),
    [sym_milestoneEndTag] = ACTIONS(2765),
    [sym_zSpaceTag] = ACTIONS(2765),
    [anon_sym_BSLASHesbe] = ACTIONS(2765),
    [anon_sym_BSLASHcat] = ACTIONS(2765),
  },
  [761] = {
    [aux_sym_text_token1] = ACTIONS(2767),
    [anon_sym_BSLASHsts] = ACTIONS(2769),
    [anon_sym_BSLASHrem] = ACTIONS(2769),
    [anon_sym_BSLASHrestore] = ACTIONS(2769),
    [anon_sym_BSLASHlit] = ACTIONS(2769),
    [anon_sym_BSLASHip] = ACTIONS(2769),
    [anon_sym_BSLASHmte] = ACTIONS(2769),
    [anon_sym_BSLASHms] = ACTIONS(2769),
    [anon_sym_BSLASHs] = ACTIONS(2769),
    [anon_sym_BSLASHr] = ACTIONS(2769),
    [anon_sym_BSLASHsp] = ACTIONS(2769),
    [anon_sym_BSLASHd] = ACTIONS(2769),
    [anon_sym_BSLASHsd] = ACTIONS(2769),
    [anon_sym_BSLASHp] = ACTIONS(2769),
    [anon_sym_BSLASHm] = ACTIONS(2769),
    [anon_sym_BSLASHpo] = ACTIONS(2769),
    [anon_sym_BSLASHpr] = ACTIONS(2769),
    [anon_sym_BSLASHcls] = ACTIONS(2769),
    [anon_sym_BSLASHpmo] = ACTIONS(2769),
    [anon_sym_BSLASHpm] = ACTIONS(2769),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2769),
    [anon_sym_BSLASHpi] = ACTIONS(2769),
    [anon_sym_BSLASHmi] = ACTIONS(2769),
    [anon_sym_BSLASHnb] = ACTIONS(2769),
    [anon_sym_BSLASHpc] = ACTIONS(2769),
    [anon_sym_BSLASHph] = ACTIONS(2769),
    [anon_sym_BSLASHb] = ACTIONS(2769),
    [anon_sym_BSLASHq] = ACTIONS(2769),
    [anon_sym_BSLASHqr] = ACTIONS(2769),
    [anon_sym_BSLASHqc] = ACTIONS(2769),
    [anon_sym_BSLASHqa] = ACTIONS(2769),
    [anon_sym_BSLASHqm] = ACTIONS(2769),
    [anon_sym_BSLASHqd] = ACTIONS(2769),
    [anon_sym_BSLASHlh] = ACTIONS(2769),
    [anon_sym_BSLASHli] = ACTIONS(2769),
    [anon_sym_BSLASHlim] = ACTIONS(2769),
    [anon_sym_BSLASHtr] = ACTIONS(2769),
    [sym_thTag] = ACTIONS(2769),
    [sym_thrTag] = ACTIONS(2769),
    [sym_tcTag] = ACTIONS(2769),
    [sym_tcrTag] = ACTIONS(2769),
    [anon_sym_BSLASHf] = ACTIONS(2769),
    [anon_sym_BSLASHfe] = ACTIONS(2769),
    [anon_sym_BSLASHef] = ACTIONS(2769),
    [anon_sym_BSLASHfm] = ACTIONS(2769),
    [anon_sym_BSLASHadd] = ACTIONS(2769),
    [anon_sym_BSLASHbk] = ACTIONS(2769),
    [anon_sym_BSLASHdc] = ACTIONS(2769),
    [anon_sym_BSLASHk] = ACTIONS(2769),
    [anon_sym_BSLASHnd] = ACTIONS(2769),
    [anon_sym_BSLASHord] = ACTIONS(2769),
    [anon_sym_BSLASHpn] = ACTIONS(2769),
    [anon_sym_BSLASHpng] = ACTIONS(2769),
    [anon_sym_BSLASHaddpn] = ACTIONS(2769),
    [anon_sym_BSLASHqt] = ACTIONS(2769),
    [anon_sym_BSLASHsig] = ACTIONS(2769),
    [anon_sym_BSLASHsls] = ACTIONS(2769),
    [anon_sym_BSLASHtl] = ACTIONS(2769),
    [anon_sym_BSLASHwj] = ACTIONS(2769),
    [anon_sym_BSLASHem] = ACTIONS(2769),
    [anon_sym_BSLASHbd] = ACTIONS(2769),
    [anon_sym_BSLASHit] = ACTIONS(2769),
    [anon_sym_BSLASHbdit] = ACTIONS(2769),
    [anon_sym_BSLASHno] = ACTIONS(2769),
    [anon_sym_BSLASHsc] = ACTIONS(2769),
    [anon_sym_BSLASHsup] = ACTIONS(2769),
    [anon_sym_BSLASHndx] = ACTIONS(2769),
    [anon_sym_BSLASHpro] = ACTIONS(2769),
    [anon_sym_BSLASHrb] = ACTIONS(2769),
    [anon_sym_BSLASHw] = ACTIONS(2769),
    [anon_sym_BSLASHwg] = ACTIONS(2769),
    [anon_sym_BSLASHwh] = ACTIONS(2769),
    [anon_sym_BSLASHwa] = ACTIONS(2769),
    [anon_sym_BSLASHfig] = ACTIONS(2769),
    [anon_sym_BSLASHjmp] = ACTIONS(2769),
    [anon_sym_BSLASHpb] = ACTIONS(2769),
    [anon_sym_BSLASH] = ACTIONS(2769),
    [sym_milestoneStartTag] = ACTIONS(2769),
    [sym_milestoneEndTag] = ACTIONS(2769),
    [sym_zSpaceTag] = ACTIONS(2769),
    [anon_sym_BSLASHesbe] = ACTIONS(2769),
    [anon_sym_BSLASHcat] = ACTIONS(2769),
  },
  [762] = {
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [sym_thTag] = ACTIONS(2677),
    [sym_thrTag] = ACTIONS(2677),
    [sym_tcTag] = ACTIONS(2677),
    [sym_tcrTag] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesbe] = ACTIONS(2677),
    [anon_sym_BSLASHcat] = ACTIONS(2677),
  },
  [763] = {
    [aux_sym_text_token1] = ACTIONS(2779),
    [anon_sym_BSLASHsts] = ACTIONS(2781),
    [anon_sym_BSLASHrem] = ACTIONS(2781),
    [anon_sym_BSLASHrestore] = ACTIONS(2781),
    [anon_sym_BSLASHlit] = ACTIONS(2781),
    [anon_sym_BSLASHip] = ACTIONS(2781),
    [anon_sym_BSLASHmte] = ACTIONS(2781),
    [anon_sym_BSLASHms] = ACTIONS(2781),
    [anon_sym_BSLASHs] = ACTIONS(2781),
    [anon_sym_BSLASHr] = ACTIONS(2781),
    [anon_sym_BSLASHsp] = ACTIONS(2781),
    [anon_sym_BSLASHd] = ACTIONS(2781),
    [anon_sym_BSLASHsd] = ACTIONS(2781),
    [anon_sym_BSLASHp] = ACTIONS(2781),
    [anon_sym_BSLASHm] = ACTIONS(2781),
    [anon_sym_BSLASHpo] = ACTIONS(2781),
    [anon_sym_BSLASHpr] = ACTIONS(2781),
    [anon_sym_BSLASHcls] = ACTIONS(2781),
    [anon_sym_BSLASHpmo] = ACTIONS(2781),
    [anon_sym_BSLASHpm] = ACTIONS(2781),
    [anon_sym_BSLASHpmc] = ACTIONS(2781),
    [anon_sym_BSLASHpmr] = ACTIONS(2781),
    [anon_sym_BSLASHpi] = ACTIONS(2781),
    [anon_sym_BSLASHmi] = ACTIONS(2781),
    [anon_sym_BSLASHnb] = ACTIONS(2781),
    [anon_sym_BSLASHpc] = ACTIONS(2781),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(2781),
    [anon_sym_BSLASHq] = ACTIONS(2781),
    [anon_sym_BSLASHqr] = ACTIONS(2781),
    [anon_sym_BSLASHqc] = ACTIONS(2781),
    [anon_sym_BSLASHqa] = ACTIONS(2781),
    [anon_sym_BSLASHqm] = ACTIONS(2781),
    [anon_sym_BSLASHqd] = ACTIONS(2781),
    [anon_sym_BSLASHlh] = ACTIONS(2781),
    [anon_sym_BSLASHli] = ACTIONS(2781),
    [anon_sym_BSLASHlim] = ACTIONS(2781),
    [anon_sym_BSLASHtr] = ACTIONS(2781),
    [sym_thTag] = ACTIONS(2781),
    [sym_thrTag] = ACTIONS(2781),
    [sym_tcTag] = ACTIONS(2781),
    [sym_tcrTag] = ACTIONS(2781),
    [anon_sym_BSLASHf] = ACTIONS(2781),
    [anon_sym_BSLASHfe] = ACTIONS(2781),
    [anon_sym_BSLASHef] = ACTIONS(2781),
    [anon_sym_BSLASHfm] = ACTIONS(2781),
    [anon_sym_BSLASHadd] = ACTIONS(2781),
    [anon_sym_BSLASHbk] = ACTIONS(2781),
    [anon_sym_BSLASHdc] = ACTIONS(2781),
    [anon_sym_BSLASHk] = ACTIONS(2781),
    [anon_sym_BSLASHnd] = ACTIONS(2781),
    [anon_sym_BSLASHord] = ACTIONS(2781),
    [anon_sym_BSLASHpn] = ACTIONS(2781),
    [anon_sym_BSLASHpng] = ACTIONS(2781),
    [anon_sym_BSLASHaddpn] = ACTIONS(2781),
    [anon_sym_BSLASHqt] = ACTIONS(2781),
    [anon_sym_BSLASHsig] = ACTIONS(2781),
    [anon_sym_BSLASHsls] = ACTIONS(2781),
    [anon_sym_BSLASHtl] = ACTIONS(2781),
    [anon_sym_BSLASHwj] = ACTIONS(2781),
    [anon_sym_BSLASHem] = ACTIONS(2781),
    [anon_sym_BSLASHbd] = ACTIONS(2781),
    [anon_sym_BSLASHit] = ACTIONS(2781),
    [anon_sym_BSLASHbdit] = ACTIONS(2781),
    [anon_sym_BSLASHno] = ACTIONS(2781),
    [anon_sym_BSLASHsc] = ACTIONS(2781),
    [anon_sym_BSLASHsup] = ACTIONS(2781),
    [anon_sym_BSLASHndx] = ACTIONS(2781),
    [anon_sym_BSLASHpro] = ACTIONS(2781),
    [anon_sym_BSLASHrb] = ACTIONS(2781),
    [anon_sym_BSLASHw] = ACTIONS(2781),
    [anon_sym_BSLASHwg] = ACTIONS(2781),
    [anon_sym_BSLASHwh] = ACTIONS(2781),
    [anon_sym_BSLASHwa] = ACTIONS(2781),
    [anon_sym_BSLASHfig] = ACTIONS(2781),
    [anon_sym_BSLASHjmp] = ACTIONS(2781),
    [anon_sym_BSLASHpb] = ACTIONS(2781),
    [anon_sym_BSLASH] = ACTIONS(2781),
    [sym_milestoneStartTag] = ACTIONS(2781),
    [sym_milestoneEndTag] = ACTIONS(2781),
    [sym_zSpaceTag] = ACTIONS(2781),
    [anon_sym_BSLASHesbe] = ACTIONS(2781),
    [anon_sym_BSLASHcat] = ACTIONS(2781),
  },
  [764] = {
    [aux_sym_text_token1] = ACTIONS(2783),
    [anon_sym_BSLASHsts] = ACTIONS(2785),
    [anon_sym_BSLASHrem] = ACTIONS(2785),
    [anon_sym_BSLASHrestore] = ACTIONS(2785),
    [anon_sym_BSLASHlit] = ACTIONS(2785),
    [anon_sym_BSLASHip] = ACTIONS(2785),
    [anon_sym_BSLASHmte] = ACTIONS(2785),
    [anon_sym_BSLASHms] = ACTIONS(2785),
    [anon_sym_BSLASHs] = ACTIONS(2785),
    [anon_sym_BSLASHr] = ACTIONS(2785),
    [anon_sym_BSLASHsp] = ACTIONS(2785),
    [anon_sym_BSLASHd] = ACTIONS(2785),
    [anon_sym_BSLASHsd] = ACTIONS(2785),
    [anon_sym_BSLASHp] = ACTIONS(2785),
    [anon_sym_BSLASHm] = ACTIONS(2785),
    [anon_sym_BSLASHpo] = ACTIONS(2785),
    [anon_sym_BSLASHpr] = ACTIONS(2785),
    [anon_sym_BSLASHcls] = ACTIONS(2785),
    [anon_sym_BSLASHpmo] = ACTIONS(2785),
    [anon_sym_BSLASHpm] = ACTIONS(2785),
    [anon_sym_BSLASHpmc] = ACTIONS(2785),
    [anon_sym_BSLASHpmr] = ACTIONS(2785),
    [anon_sym_BSLASHpi] = ACTIONS(2785),
    [anon_sym_BSLASHmi] = ACTIONS(2785),
    [anon_sym_BSLASHnb] = ACTIONS(2785),
    [anon_sym_BSLASHpc] = ACTIONS(2785),
    [anon_sym_BSLASHph] = ACTIONS(2785),
    [anon_sym_BSLASHb] = ACTIONS(2785),
    [anon_sym_BSLASHq] = ACTIONS(2785),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2785),
    [anon_sym_BSLASHqa] = ACTIONS(2785),
    [anon_sym_BSLASHqm] = ACTIONS(2785),
    [anon_sym_BSLASHqd] = ACTIONS(2785),
    [anon_sym_BSLASHlh] = ACTIONS(2785),
    [anon_sym_BSLASHli] = ACTIONS(2785),
    [anon_sym_BSLASHlim] = ACTIONS(2785),
    [anon_sym_BSLASHtr] = ACTIONS(2785),
    [sym_thTag] = ACTIONS(2785),
    [sym_thrTag] = ACTIONS(2785),
    [sym_tcTag] = ACTIONS(2785),
    [sym_tcrTag] = ACTIONS(2785),
    [anon_sym_BSLASHf] = ACTIONS(2785),
    [anon_sym_BSLASHfe] = ACTIONS(2785),
    [anon_sym_BSLASHef] = ACTIONS(2785),
    [anon_sym_BSLASHfm] = ACTIONS(2785),
    [anon_sym_BSLASHadd] = ACTIONS(2785),
    [anon_sym_BSLASHbk] = ACTIONS(2785),
    [anon_sym_BSLASHdc] = ACTIONS(2785),
    [anon_sym_BSLASHk] = ACTIONS(2785),
    [anon_sym_BSLASHnd] = ACTIONS(2785),
    [anon_sym_BSLASHord] = ACTIONS(2785),
    [anon_sym_BSLASHpn] = ACTIONS(2785),
    [anon_sym_BSLASHpng] = ACTIONS(2785),
    [anon_sym_BSLASHaddpn] = ACTIONS(2785),
    [anon_sym_BSLASHqt] = ACTIONS(2785),
    [anon_sym_BSLASHsig] = ACTIONS(2785),
    [anon_sym_BSLASHsls] = ACTIONS(2785),
    [anon_sym_BSLASHtl] = ACTIONS(2785),
    [anon_sym_BSLASHwj] = ACTIONS(2785),
    [anon_sym_BSLASHem] = ACTIONS(2785),
    [anon_sym_BSLASHbd] = ACTIONS(2785),
    [anon_sym_BSLASHit] = ACTIONS(2785),
    [anon_sym_BSLASHbdit] = ACTIONS(2785),
    [anon_sym_BSLASHno] = ACTIONS(2785),
    [anon_sym_BSLASHsc] = ACTIONS(2785),
    [anon_sym_BSLASHsup] = ACTIONS(2785),
    [anon_sym_BSLASHndx] = ACTIONS(2785),
    [anon_sym_BSLASHpro] = ACTIONS(2785),
    [anon_sym_BSLASHrb] = ACTIONS(2785),
    [anon_sym_BSLASHw] = ACTIONS(2785),
    [anon_sym_BSLASHwg] = ACTIONS(2785),
    [anon_sym_BSLASHwh] = ACTIONS(2785),
    [anon_sym_BSLASHwa] = ACTIONS(2785),
    [anon_sym_BSLASHfig] = ACTIONS(2785),
    [anon_sym_BSLASHjmp] = ACTIONS(2785),
    [anon_sym_BSLASHpb] = ACTIONS(2785),
    [anon_sym_BSLASH] = ACTIONS(2785),
    [sym_milestoneStartTag] = ACTIONS(2785),
    [sym_milestoneEndTag] = ACTIONS(2785),
    [sym_zSpaceTag] = ACTIONS(2785),
    [anon_sym_BSLASHesbe] = ACTIONS(2785),
    [anon_sym_BSLASHcat] = ACTIONS(2785),
  },
  [765] = {
    [aux_sym_text_token1] = ACTIONS(2795),
    [anon_sym_BSLASHsts] = ACTIONS(2797),
    [anon_sym_BSLASHrem] = ACTIONS(2797),
    [anon_sym_BSLASHrestore] = ACTIONS(2797),
    [anon_sym_BSLASHlit] = ACTIONS(2797),
    [anon_sym_BSLASHip] = ACTIONS(2797),
    [anon_sym_BSLASHmte] = ACTIONS(2797),
    [anon_sym_BSLASHms] = ACTIONS(2797),
    [anon_sym_BSLASHs] = ACTIONS(2797),
    [anon_sym_BSLASHr] = ACTIONS(2797),
    [anon_sym_BSLASHsp] = ACTIONS(2797),
    [anon_sym_BSLASHd] = ACTIONS(2797),
    [anon_sym_BSLASHsd] = ACTIONS(2797),
    [anon_sym_BSLASHp] = ACTIONS(2797),
    [anon_sym_BSLASHm] = ACTIONS(2797),
    [anon_sym_BSLASHpo] = ACTIONS(2797),
    [anon_sym_BSLASHpr] = ACTIONS(2797),
    [anon_sym_BSLASHcls] = ACTIONS(2797),
    [anon_sym_BSLASHpmo] = ACTIONS(2797),
    [anon_sym_BSLASHpm] = ACTIONS(2797),
    [anon_sym_BSLASHpmc] = ACTIONS(2797),
    [anon_sym_BSLASHpmr] = ACTIONS(2797),
    [anon_sym_BSLASHpi] = ACTIONS(2797),
    [anon_sym_BSLASHmi] = ACTIONS(2797),
    [anon_sym_BSLASHnb] = ACTIONS(2797),
    [anon_sym_BSLASHpc] = ACTIONS(2797),
    [anon_sym_BSLASHph] = ACTIONS(2797),
    [anon_sym_BSLASHb] = ACTIONS(2797),
    [anon_sym_BSLASHq] = ACTIONS(2797),
    [anon_sym_BSLASHqr] = ACTIONS(2797),
    [anon_sym_BSLASHqc] = ACTIONS(2797),
    [anon_sym_BSLASHqa] = ACTIONS(2797),
    [anon_sym_BSLASHqm] = ACTIONS(2797),
    [anon_sym_BSLASHqd] = ACTIONS(2797),
    [anon_sym_BSLASHlh] = ACTIONS(2797),
    [anon_sym_BSLASHli] = ACTIONS(2797),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2797),
    [sym_thTag] = ACTIONS(2797),
    [sym_thrTag] = ACTIONS(2797),
    [sym_tcTag] = ACTIONS(2797),
    [sym_tcrTag] = ACTIONS(2797),
    [anon_sym_BSLASHf] = ACTIONS(2797),
    [anon_sym_BSLASHfe] = ACTIONS(2797),
    [anon_sym_BSLASHef] = ACTIONS(2797),
    [anon_sym_BSLASHfm] = ACTIONS(2797),
    [anon_sym_BSLASHadd] = ACTIONS(2797),
    [anon_sym_BSLASHbk] = ACTIONS(2797),
    [anon_sym_BSLASHdc] = ACTIONS(2797),
    [anon_sym_BSLASHk] = ACTIONS(2797),
    [anon_sym_BSLASHnd] = ACTIONS(2797),
    [anon_sym_BSLASHord] = ACTIONS(2797),
    [anon_sym_BSLASHpn] = ACTIONS(2797),
    [anon_sym_BSLASHpng] = ACTIONS(2797),
    [anon_sym_BSLASHaddpn] = ACTIONS(2797),
    [anon_sym_BSLASHqt] = ACTIONS(2797),
    [anon_sym_BSLASHsig] = ACTIONS(2797),
    [anon_sym_BSLASHsls] = ACTIONS(2797),
    [anon_sym_BSLASHtl] = ACTIONS(2797),
    [anon_sym_BSLASHwj] = ACTIONS(2797),
    [anon_sym_BSLASHem] = ACTIONS(2797),
    [anon_sym_BSLASHbd] = ACTIONS(2797),
    [anon_sym_BSLASHit] = ACTIONS(2797),
    [anon_sym_BSLASHbdit] = ACTIONS(2797),
    [anon_sym_BSLASHno] = ACTIONS(2797),
    [anon_sym_BSLASHsc] = ACTIONS(2797),
    [anon_sym_BSLASHsup] = ACTIONS(2797),
    [anon_sym_BSLASHndx] = ACTIONS(2797),
    [anon_sym_BSLASHpro] = ACTIONS(2797),
    [anon_sym_BSLASHrb] = ACTIONS(2797),
    [anon_sym_BSLASHw] = ACTIONS(2797),
    [anon_sym_BSLASHwg] = ACTIONS(2797),
    [anon_sym_BSLASHwh] = ACTIONS(2797),
    [anon_sym_BSLASHwa] = ACTIONS(2797),
    [anon_sym_BSLASHfig] = ACTIONS(2797),
    [anon_sym_BSLASHjmp] = ACTIONS(2797),
    [anon_sym_BSLASHpb] = ACTIONS(2797),
    [anon_sym_BSLASH] = ACTIONS(2797),
    [sym_milestoneStartTag] = ACTIONS(2797),
    [sym_milestoneEndTag] = ACTIONS(2797),
    [sym_zSpaceTag] = ACTIONS(2797),
    [anon_sym_BSLASHesbe] = ACTIONS(2797),
    [anon_sym_BSLASHcat] = ACTIONS(2797),
  },
  [766] = {
    [aux_sym_text_token1] = ACTIONS(2787),
    [anon_sym_BSLASHsts] = ACTIONS(2789),
    [anon_sym_BSLASHrem] = ACTIONS(2789),
    [anon_sym_BSLASHrestore] = ACTIONS(2789),
    [anon_sym_BSLASHlit] = ACTIONS(2789),
    [anon_sym_BSLASHip] = ACTIONS(2789),
    [anon_sym_BSLASHmte] = ACTIONS(2789),
    [anon_sym_BSLASHms] = ACTIONS(2789),
    [anon_sym_BSLASHs] = ACTIONS(2789),
    [anon_sym_BSLASHr] = ACTIONS(2789),
    [anon_sym_BSLASHsp] = ACTIONS(2789),
    [anon_sym_BSLASHd] = ACTIONS(2789),
    [anon_sym_BSLASHsd] = ACTIONS(2789),
    [anon_sym_BSLASHp] = ACTIONS(2789),
    [anon_sym_BSLASHm] = ACTIONS(2789),
    [anon_sym_BSLASHpo] = ACTIONS(2789),
    [anon_sym_BSLASHpr] = ACTIONS(2789),
    [anon_sym_BSLASHcls] = ACTIONS(2789),
    [anon_sym_BSLASHpmo] = ACTIONS(2789),
    [anon_sym_BSLASHpm] = ACTIONS(2789),
    [anon_sym_BSLASHpmc] = ACTIONS(2789),
    [anon_sym_BSLASHpmr] = ACTIONS(2789),
    [anon_sym_BSLASHpi] = ACTIONS(2789),
    [anon_sym_BSLASHmi] = ACTIONS(2789),
    [anon_sym_BSLASHnb] = ACTIONS(2789),
    [anon_sym_BSLASHpc] = ACTIONS(2789),
    [anon_sym_BSLASHph] = ACTIONS(2789),
    [anon_sym_BSLASHb] = ACTIONS(2789),
    [anon_sym_BSLASHq] = ACTIONS(2789),
    [anon_sym_BSLASHqr] = ACTIONS(2789),
    [anon_sym_BSLASHqc] = ACTIONS(2789),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2789),
    [anon_sym_BSLASHqd] = ACTIONS(2789),
    [anon_sym_BSLASHlh] = ACTIONS(2789),
    [anon_sym_BSLASHli] = ACTIONS(2789),
    [anon_sym_BSLASHlim] = ACTIONS(2789),
    [anon_sym_BSLASHtr] = ACTIONS(2789),
    [sym_thTag] = ACTIONS(2789),
    [sym_thrTag] = ACTIONS(2789),
    [sym_tcTag] = ACTIONS(2789),
    [sym_tcrTag] = ACTIONS(2789),
    [anon_sym_BSLASHf] = ACTIONS(2789),
    [anon_sym_BSLASHfe] = ACTIONS(2789),
    [anon_sym_BSLASHef] = ACTIONS(2789),
    [anon_sym_BSLASHfm] = ACTIONS(2789),
    [anon_sym_BSLASHadd] = ACTIONS(2789),
    [anon_sym_BSLASHbk] = ACTIONS(2789),
    [anon_sym_BSLASHdc] = ACTIONS(2789),
    [anon_sym_BSLASHk] = ACTIONS(2789),
    [anon_sym_BSLASHnd] = ACTIONS(2789),
    [anon_sym_BSLASHord] = ACTIONS(2789),
    [anon_sym_BSLASHpn] = ACTIONS(2789),
    [anon_sym_BSLASHpng] = ACTIONS(2789),
    [anon_sym_BSLASHaddpn] = ACTIONS(2789),
    [anon_sym_BSLASHqt] = ACTIONS(2789),
    [anon_sym_BSLASHsig] = ACTIONS(2789),
    [anon_sym_BSLASHsls] = ACTIONS(2789),
    [anon_sym_BSLASHtl] = ACTIONS(2789),
    [anon_sym_BSLASHwj] = ACTIONS(2789),
    [anon_sym_BSLASHem] = ACTIONS(2789),
    [anon_sym_BSLASHbd] = ACTIONS(2789),
    [anon_sym_BSLASHit] = ACTIONS(2789),
    [anon_sym_BSLASHbdit] = ACTIONS(2789),
    [anon_sym_BSLASHno] = ACTIONS(2789),
    [anon_sym_BSLASHsc] = ACTIONS(2789),
    [anon_sym_BSLASHsup] = ACTIONS(2789),
    [anon_sym_BSLASHndx] = ACTIONS(2789),
    [anon_sym_BSLASHpro] = ACTIONS(2789),
    [anon_sym_BSLASHrb] = ACTIONS(2789),
    [anon_sym_BSLASHw] = ACTIONS(2789),
    [anon_sym_BSLASHwg] = ACTIONS(2789),
    [anon_sym_BSLASHwh] = ACTIONS(2789),
    [anon_sym_BSLASHwa] = ACTIONS(2789),
    [anon_sym_BSLASHfig] = ACTIONS(2789),
    [anon_sym_BSLASHjmp] = ACTIONS(2789),
    [anon_sym_BSLASHpb] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2789),
    [sym_milestoneStartTag] = ACTIONS(2789),
    [sym_milestoneEndTag] = ACTIONS(2789),
    [sym_zSpaceTag] = ACTIONS(2789),
    [anon_sym_BSLASHesbe] = ACTIONS(2789),
    [anon_sym_BSLASHcat] = ACTIONS(2789),
  },
  [767] = {
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [sym_thTag] = ACTIONS(2745),
    [sym_thrTag] = ACTIONS(2745),
    [sym_tcTag] = ACTIONS(2745),
    [sym_tcrTag] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesbe] = ACTIONS(2745),
    [anon_sym_BSLASHcat] = ACTIONS(2745),
  },
  [768] = {
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [sym_thTag] = ACTIONS(2749),
    [sym_thrTag] = ACTIONS(2749),
    [sym_tcTag] = ACTIONS(2749),
    [sym_tcrTag] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesbe] = ACTIONS(2749),
    [anon_sym_BSLASHcat] = ACTIONS(2749),
  },
  [769] = {
    [aux_sym_text_token1] = ACTIONS(2775),
    [anon_sym_BSLASHsts] = ACTIONS(2777),
    [anon_sym_BSLASHrem] = ACTIONS(2777),
    [anon_sym_BSLASHrestore] = ACTIONS(2777),
    [anon_sym_BSLASHlit] = ACTIONS(2777),
    [anon_sym_BSLASHip] = ACTIONS(2777),
    [anon_sym_BSLASHmte] = ACTIONS(2777),
    [anon_sym_BSLASHms] = ACTIONS(2777),
    [anon_sym_BSLASHs] = ACTIONS(2777),
    [anon_sym_BSLASHr] = ACTIONS(2777),
    [anon_sym_BSLASHsp] = ACTIONS(2777),
    [anon_sym_BSLASHd] = ACTIONS(2777),
    [anon_sym_BSLASHsd] = ACTIONS(2777),
    [anon_sym_BSLASHp] = ACTIONS(2777),
    [anon_sym_BSLASHm] = ACTIONS(2777),
    [anon_sym_BSLASHpo] = ACTIONS(2777),
    [anon_sym_BSLASHpr] = ACTIONS(2777),
    [anon_sym_BSLASHcls] = ACTIONS(2777),
    [anon_sym_BSLASHpmo] = ACTIONS(2777),
    [anon_sym_BSLASHpm] = ACTIONS(2777),
    [anon_sym_BSLASHpmc] = ACTIONS(2777),
    [anon_sym_BSLASHpmr] = ACTIONS(2777),
    [anon_sym_BSLASHpi] = ACTIONS(2777),
    [anon_sym_BSLASHmi] = ACTIONS(2777),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2777),
    [anon_sym_BSLASHph] = ACTIONS(2777),
    [anon_sym_BSLASHb] = ACTIONS(2777),
    [anon_sym_BSLASHq] = ACTIONS(2777),
    [anon_sym_BSLASHqr] = ACTIONS(2777),
    [anon_sym_BSLASHqc] = ACTIONS(2777),
    [anon_sym_BSLASHqa] = ACTIONS(2777),
    [anon_sym_BSLASHqm] = ACTIONS(2777),
    [anon_sym_BSLASHqd] = ACTIONS(2777),
    [anon_sym_BSLASHlh] = ACTIONS(2777),
    [anon_sym_BSLASHli] = ACTIONS(2777),
    [anon_sym_BSLASHlim] = ACTIONS(2777),
    [anon_sym_BSLASHtr] = ACTIONS(2777),
    [sym_thTag] = ACTIONS(2777),
    [sym_thrTag] = ACTIONS(2777),
    [sym_tcTag] = ACTIONS(2777),
    [sym_tcrTag] = ACTIONS(2777),
    [anon_sym_BSLASHf] = ACTIONS(2777),
    [anon_sym_BSLASHfe] = ACTIONS(2777),
    [anon_sym_BSLASHef] = ACTIONS(2777),
    [anon_sym_BSLASHfm] = ACTIONS(2777),
    [anon_sym_BSLASHadd] = ACTIONS(2777),
    [anon_sym_BSLASHbk] = ACTIONS(2777),
    [anon_sym_BSLASHdc] = ACTIONS(2777),
    [anon_sym_BSLASHk] = ACTIONS(2777),
    [anon_sym_BSLASHnd] = ACTIONS(2777),
    [anon_sym_BSLASHord] = ACTIONS(2777),
    [anon_sym_BSLASHpn] = ACTIONS(2777),
    [anon_sym_BSLASHpng] = ACTIONS(2777),
    [anon_sym_BSLASHaddpn] = ACTIONS(2777),
    [anon_sym_BSLASHqt] = ACTIONS(2777),
    [anon_sym_BSLASHsig] = ACTIONS(2777),
    [anon_sym_BSLASHsls] = ACTIONS(2777),
    [anon_sym_BSLASHtl] = ACTIONS(2777),
    [anon_sym_BSLASHwj] = ACTIONS(2777),
    [anon_sym_BSLASHem] = ACTIONS(2777),
    [anon_sym_BSLASHbd] = ACTIONS(2777),
    [anon_sym_BSLASHit] = ACTIONS(2777),
    [anon_sym_BSLASHbdit] = ACTIONS(2777),
    [anon_sym_BSLASHno] = ACTIONS(2777),
    [anon_sym_BSLASHsc] = ACTIONS(2777),
    [anon_sym_BSLASHsup] = ACTIONS(2777),
    [anon_sym_BSLASHndx] = ACTIONS(2777),
    [anon_sym_BSLASHpro] = ACTIONS(2777),
    [anon_sym_BSLASHrb] = ACTIONS(2777),
    [anon_sym_BSLASHw] = ACTIONS(2777),
    [anon_sym_BSLASHwg] = ACTIONS(2777),
    [anon_sym_BSLASHwh] = ACTIONS(2777),
    [anon_sym_BSLASHwa] = ACTIONS(2777),
    [anon_sym_BSLASHfig] = ACTIONS(2777),
    [anon_sym_BSLASHjmp] = ACTIONS(2777),
    [anon_sym_BSLASHpb] = ACTIONS(2777),
    [anon_sym_BSLASH] = ACTIONS(2777),
    [sym_milestoneStartTag] = ACTIONS(2777),
    [sym_milestoneEndTag] = ACTIONS(2777),
    [sym_zSpaceTag] = ACTIONS(2777),
    [anon_sym_BSLASHesbe] = ACTIONS(2777),
    [anon_sym_BSLASHcat] = ACTIONS(2777),
  },
  [770] = {
    [aux_sym_text_token1] = ACTIONS(2803),
    [anon_sym_BSLASHsts] = ACTIONS(2805),
    [anon_sym_BSLASHrem] = ACTIONS(2805),
    [anon_sym_BSLASHrestore] = ACTIONS(2805),
    [anon_sym_BSLASHlit] = ACTIONS(2805),
    [anon_sym_BSLASHip] = ACTIONS(2805),
    [anon_sym_BSLASHmte] = ACTIONS(2805),
    [anon_sym_BSLASHms] = ACTIONS(2805),
    [anon_sym_BSLASHs] = ACTIONS(2805),
    [anon_sym_BSLASHr] = ACTIONS(2805),
    [anon_sym_BSLASHsp] = ACTIONS(2805),
    [anon_sym_BSLASHd] = ACTIONS(2805),
    [anon_sym_BSLASHsd] = ACTIONS(2805),
    [anon_sym_BSLASHp] = ACTIONS(2805),
    [anon_sym_BSLASHm] = ACTIONS(2805),
    [anon_sym_BSLASHpo] = ACTIONS(2805),
    [anon_sym_BSLASHpr] = ACTIONS(2805),
    [anon_sym_BSLASHcls] = ACTIONS(2805),
    [anon_sym_BSLASHpmo] = ACTIONS(2805),
    [anon_sym_BSLASHpm] = ACTIONS(2805),
    [anon_sym_BSLASHpmc] = ACTIONS(2805),
    [anon_sym_BSLASHpmr] = ACTIONS(2805),
    [anon_sym_BSLASHpi] = ACTIONS(2805),
    [anon_sym_BSLASHmi] = ACTIONS(2805),
    [anon_sym_BSLASHnb] = ACTIONS(2805),
    [anon_sym_BSLASHpc] = ACTIONS(2805),
    [anon_sym_BSLASHph] = ACTIONS(2805),
    [anon_sym_BSLASHb] = ACTIONS(2805),
    [anon_sym_BSLASHq] = ACTIONS(2805),
    [anon_sym_BSLASHqr] = ACTIONS(2805),
    [anon_sym_BSLASHqc] = ACTIONS(2805),
    [anon_sym_BSLASHqa] = ACTIONS(2805),
    [anon_sym_BSLASHqm] = ACTIONS(2805),
    [anon_sym_BSLASHqd] = ACTIONS(2805),
    [anon_sym_BSLASHlh] = ACTIONS(2805),
    [anon_sym_BSLASHli] = ACTIONS(2805),
    [anon_sym_BSLASHlim] = ACTIONS(2805),
    [anon_sym_BSLASHtr] = ACTIONS(2805),
    [sym_thTag] = ACTIONS(2805),
    [sym_thrTag] = ACTIONS(2805),
    [sym_tcTag] = ACTIONS(2805),
    [sym_tcrTag] = ACTIONS(2805),
    [anon_sym_BSLASHf] = ACTIONS(2805),
    [anon_sym_BSLASHfe] = ACTIONS(2805),
    [anon_sym_BSLASHef] = ACTIONS(2805),
    [anon_sym_BSLASHfm] = ACTIONS(2805),
    [anon_sym_BSLASHadd] = ACTIONS(2805),
    [anon_sym_BSLASHbk] = ACTIONS(2805),
    [anon_sym_BSLASHdc] = ACTIONS(2805),
    [anon_sym_BSLASHk] = ACTIONS(2805),
    [anon_sym_BSLASHnd] = ACTIONS(2805),
    [anon_sym_BSLASHord] = ACTIONS(2805),
    [anon_sym_BSLASHpn] = ACTIONS(2805),
    [anon_sym_BSLASHpng] = ACTIONS(2805),
    [anon_sym_BSLASHaddpn] = ACTIONS(2805),
    [anon_sym_BSLASHqt] = ACTIONS(2805),
    [anon_sym_BSLASHsig] = ACTIONS(2805),
    [anon_sym_BSLASHsls] = ACTIONS(2805),
    [anon_sym_BSLASHtl] = ACTIONS(2805),
    [anon_sym_BSLASHwj] = ACTIONS(2805),
    [anon_sym_BSLASHem] = ACTIONS(2805),
    [anon_sym_BSLASHbd] = ACTIONS(2805),
    [anon_sym_BSLASHit] = ACTIONS(2805),
    [anon_sym_BSLASHbdit] = ACTIONS(2805),
    [anon_sym_BSLASHno] = ACTIONS(2805),
    [anon_sym_BSLASHsc] = ACTIONS(2805),
    [anon_sym_BSLASHsup] = ACTIONS(2805),
    [anon_sym_BSLASHndx] = ACTIONS(2805),
    [anon_sym_BSLASHpro] = ACTIONS(2805),
    [anon_sym_BSLASHrb] = ACTIONS(2805),
    [anon_sym_BSLASHw] = ACTIONS(2805),
    [anon_sym_BSLASHwg] = ACTIONS(2805),
    [anon_sym_BSLASHwh] = ACTIONS(2805),
    [anon_sym_BSLASHwa] = ACTIONS(2805),
    [anon_sym_BSLASHfig] = ACTIONS(2805),
    [anon_sym_BSLASHjmp] = ACTIONS(2805),
    [anon_sym_BSLASHpb] = ACTIONS(2805),
    [anon_sym_BSLASH] = ACTIONS(2805),
    [sym_milestoneStartTag] = ACTIONS(2805),
    [sym_milestoneEndTag] = ACTIONS(2805),
    [sym_zSpaceTag] = ACTIONS(2805),
    [anon_sym_BSLASHesbe] = ACTIONS(2805),
    [anon_sym_BSLASHcat] = ACTIONS(2805),
  },
  [771] = {
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [sym_thTag] = ACTIONS(2673),
    [sym_thrTag] = ACTIONS(2673),
    [sym_tcTag] = ACTIONS(2673),
    [sym_tcrTag] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesbe] = ACTIONS(2673),
    [anon_sym_BSLASHcat] = ACTIONS(2673),
  },
  [772] = {
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [sym_thTag] = ACTIONS(2729),
    [sym_thrTag] = ACTIONS(2729),
    [sym_tcTag] = ACTIONS(2729),
    [sym_tcrTag] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesbe] = ACTIONS(2729),
    [anon_sym_BSLASHcat] = ACTIONS(2729),
  },
  [773] = {
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [sym_thTag] = ACTIONS(2709),
    [sym_thrTag] = ACTIONS(2709),
    [sym_tcTag] = ACTIONS(2709),
    [sym_tcrTag] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesbe] = ACTIONS(2709),
    [anon_sym_BSLASHcat] = ACTIONS(2709),
  },
  [774] = {
    [sym__comments] = STATE(1182),
    [sym_sts] = STATE(1182),
    [sym_rem] = STATE(1182),
    [sym_restore] = STATE(1182),
    [sym_lit] = STATE(1182),
    [sym_imtBlock] = STATE(1182),
    [sym_imt] = STATE(1825),
    [sym_imtTag] = STATE(1213),
    [sym_imteBlock] = STATE(1958),
    [sym_imte] = STATE(1962),
    [sym_imteTag] = STATE(1203),
    [sym__midIntroMarker] = STATE(1182),
    [sym_isBlock] = STATE(1182),
    [sym_is] = STATE(1823),
    [sym_isTag] = STATE(1206),
    [sym_io] = STATE(1182),
    [sym_ioTag] = STATE(1209),
    [sym_iot] = STATE(1182),
    [sym_ip] = STATE(1182),
    [sym_im] = STATE(1182),
    [sym_ipi] = STATE(1182),
    [sym_imi] = STATE(1182),
    [sym_iliBlock] = STATE(1182),
    [sym_ili] = STATE(1821),
    [sym_iliTag] = STATE(1197),
    [sym_ipq] = STATE(1182),
    [sym_imq] = STATE(1182),
    [sym_ipr] = STATE(1182),
    [sym_ib] = STATE(1182),
    [sym_iqBlock] = STATE(1182),
    [sym_iq] = STATE(1822),
    [sym_iqTag] = STATE(1200),
    [sym_ie] = STATE(1971),
    [sym_iex] = STATE(1182),
    [sym_chapter] = STATE(1972),
    [sym_c] = STATE(125),
    [sym_cl] = STATE(2243),
    [sym_milestoneTag] = STATE(2104),
    [sym__milestoneStandaloneMarker] = STATE(1833),
    [sym__milestoneStart] = STATE(1833),
    [sym__milestoneEnd] = STATE(1833),
    [sym_milestone] = STATE(1182),
    [sym__zNameSpaceRegular] = STATE(1846),
    [sym__zNameSpaceClosed] = STATE(1846),
    [sym__zNameSpaceStandaloneMarker] = STATE(1846),
    [sym_zNameSpace] = STATE(1182),
    [sym_esb] = STATE(1182),
    [aux_sym_File_repeat1] = STATE(1182),
    [aux_sym_File_repeat2] = STATE(1972),
    [aux_sym_imtBlock_repeat1] = STATE(1825),
    [aux_sym_imteBlock_repeat1] = STATE(1962),
    [aux_sym_isBlock_repeat1] = STATE(1823),
    [aux_sym_iliBlock_repeat1] = STATE(1821),
    [aux_sym_iqBlock_repeat1] = STATE(1822),
    [ts_builtin_sym_end] = ACTIONS(6676),
    [anon_sym_BSLASHsts] = ACTIONS(6212),
    [anon_sym_BSLASHrem] = ACTIONS(6214),
    [anon_sym_BSLASHrestore] = ACTIONS(6216),
    [anon_sym_BSLASHlit] = ACTIONS(6218),
    [anon_sym_BSLASHimt] = ACTIONS(6220),
    [anon_sym_BSLASHimte] = ACTIONS(6222),
    [anon_sym_BSLASHis] = ACTIONS(6224),
    [anon_sym_BSLASHio] = ACTIONS(6226),
    [anon_sym_BSLASHiot] = ACTIONS(6228),
    [anon_sym_BSLASHip] = ACTIONS(6230),
    [anon_sym_BSLASHim] = ACTIONS(6232),
    [anon_sym_BSLASHipi] = ACTIONS(6234),
    [anon_sym_BSLASHimi] = ACTIONS(6236),
    [anon_sym_BSLASHili] = ACTIONS(6238),
    [anon_sym_BSLASHipq] = ACTIONS(6240),
    [anon_sym_BSLASHimq] = ACTIONS(6242),
    [anon_sym_BSLASHipr] = ACTIONS(6244),
    [anon_sym_BSLASHib] = ACTIONS(6246),
    [anon_sym_BSLASHiq] = ACTIONS(6248),
    [anon_sym_BSLASHie] = ACTIONS(6250),
    [anon_sym_BSLASHiex] = ACTIONS(6252),
    [anon_sym_BSLASHc] = ACTIONS(6254),
    [anon_sym_BSLASHcl] = ACTIONS(6256),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(6260),
    [sym_milestoneEndTag] = ACTIONS(6262),
    [sym_zSpaceTag] = ACTIONS(6264),
    [anon_sym_BSLASHesb] = ACTIONS(6266),
  },
  [775] = {
    [aux_sym_text_token1] = ACTIONS(6202),
    [anon_sym_BSLASHsts] = ACTIONS(6204),
    [anon_sym_BSLASHrem] = ACTIONS(6204),
    [anon_sym_BSLASHrestore] = ACTIONS(6204),
    [anon_sym_BSLASHlit] = ACTIONS(6204),
    [anon_sym_BSLASHip] = ACTIONS(6204),
    [anon_sym_BSLASHmte] = ACTIONS(6204),
    [anon_sym_BSLASHms] = ACTIONS(6204),
    [anon_sym_BSLASHs] = ACTIONS(6204),
    [anon_sym_BSLASHsr] = ACTIONS(6204),
    [anon_sym_BSLASHr] = ACTIONS(6204),
    [anon_sym_BSLASHsp] = ACTIONS(6204),
    [anon_sym_BSLASHd] = ACTIONS(6204),
    [anon_sym_BSLASHsd] = ACTIONS(6204),
    [anon_sym_BSLASHp] = ACTIONS(6204),
    [anon_sym_BSLASHm] = ACTIONS(6204),
    [anon_sym_BSLASHpo] = ACTIONS(6204),
    [anon_sym_BSLASHpr] = ACTIONS(6204),
    [anon_sym_BSLASHcls] = ACTIONS(6204),
    [anon_sym_BSLASHpmo] = ACTIONS(6204),
    [anon_sym_BSLASHpm] = ACTIONS(6204),
    [anon_sym_BSLASHpmc] = ACTIONS(6204),
    [anon_sym_BSLASHpmr] = ACTIONS(6204),
    [anon_sym_BSLASHpi] = ACTIONS(6204),
    [anon_sym_BSLASHmi] = ACTIONS(6204),
    [anon_sym_BSLASHnb] = ACTIONS(6204),
    [anon_sym_BSLASHpc] = ACTIONS(6204),
    [anon_sym_BSLASHph] = ACTIONS(6204),
    [anon_sym_BSLASHb] = ACTIONS(6204),
    [anon_sym_BSLASHq] = ACTIONS(6204),
    [anon_sym_BSLASHqr] = ACTIONS(6204),
    [anon_sym_BSLASHqc] = ACTIONS(6204),
    [anon_sym_BSLASHqa] = ACTIONS(6204),
    [anon_sym_BSLASHqm] = ACTIONS(6204),
    [anon_sym_BSLASHqd] = ACTIONS(6204),
    [anon_sym_BSLASHlh] = ACTIONS(6204),
    [anon_sym_BSLASHli] = ACTIONS(6204),
    [anon_sym_BSLASHlim] = ACTIONS(6204),
    [anon_sym_BSLASHtr] = ACTIONS(6204),
    [anon_sym_BSLASHf] = ACTIONS(6204),
    [anon_sym_BSLASHfe] = ACTIONS(6204),
    [anon_sym_BSLASHef] = ACTIONS(6204),
    [anon_sym_BSLASHfm] = ACTIONS(6204),
    [anon_sym_BSLASHx] = ACTIONS(6204),
    [anon_sym_BSLASHxt] = ACTIONS(6204),
    [anon_sym_BSLASHrq] = ACTIONS(6204),
    [anon_sym_BSLASHadd] = ACTIONS(6204),
    [anon_sym_BSLASHbk] = ACTIONS(6204),
    [anon_sym_BSLASHdc] = ACTIONS(6204),
    [anon_sym_BSLASHk] = ACTIONS(6204),
    [anon_sym_BSLASHnd] = ACTIONS(6204),
    [anon_sym_BSLASHord] = ACTIONS(6204),
    [anon_sym_BSLASHpn] = ACTIONS(6204),
    [anon_sym_BSLASHpng] = ACTIONS(6204),
    [anon_sym_BSLASHaddpn] = ACTIONS(6204),
    [anon_sym_BSLASHqt] = ACTIONS(6204),
    [anon_sym_BSLASHsig] = ACTIONS(6204),
    [anon_sym_BSLASHsls] = ACTIONS(6204),
    [anon_sym_BSLASHtl] = ACTIONS(6204),
    [anon_sym_BSLASHwj] = ACTIONS(6204),
    [anon_sym_BSLASHem] = ACTIONS(6204),
    [anon_sym_BSLASHbd] = ACTIONS(6204),
    [anon_sym_BSLASHit] = ACTIONS(6204),
    [anon_sym_BSLASHbdit] = ACTIONS(6204),
    [anon_sym_BSLASHno] = ACTIONS(6204),
    [anon_sym_BSLASHsc] = ACTIONS(6204),
    [anon_sym_BSLASHsup] = ACTIONS(6204),
    [anon_sym_BSLASHndx] = ACTIONS(6204),
    [anon_sym_BSLASHpro] = ACTIONS(6204),
    [anon_sym_BSLASHrb] = ACTIONS(6204),
    [anon_sym_BSLASHw] = ACTIONS(6204),
    [anon_sym_BSLASHwg] = ACTIONS(6204),
    [anon_sym_BSLASHwh] = ACTIONS(6204),
    [anon_sym_BSLASHwa] = ACTIONS(6204),
    [anon_sym_BSLASHfig] = ACTIONS(6204),
    [anon_sym_BSLASHjmp] = ACTIONS(6204),
    [anon_sym_BSLASHpb] = ACTIONS(6204),
    [anon_sym_BSLASH] = ACTIONS(6204),
    [sym_milestoneStartTag] = ACTIONS(6204),
    [sym_milestoneEndTag] = ACTIONS(6204),
    [sym_zSpaceTag] = ACTIONS(6204),
    [anon_sym_BSLASHesbe] = ACTIONS(6204),
    [anon_sym_BSLASHcat] = ACTIONS(6204),
  },
  [776] = {
    [sym__comments] = STATE(1182),
    [sym_sts] = STATE(1182),
    [sym_rem] = STATE(1182),
    [sym_restore] = STATE(1182),
    [sym_lit] = STATE(1182),
    [sym_imtBlock] = STATE(1182),
    [sym_imt] = STATE(1825),
    [sym_imtTag] = STATE(1213),
    [sym_imteBlock] = STATE(1956),
    [sym_imte] = STATE(1962),
    [sym_imteTag] = STATE(1203),
    [sym__midIntroMarker] = STATE(1182),
    [sym_isBlock] = STATE(1182),
    [sym_is] = STATE(1823),
    [sym_isTag] = STATE(1206),
    [sym_io] = STATE(1182),
    [sym_ioTag] = STATE(1209),
    [sym_iot] = STATE(1182),
    [sym_ip] = STATE(1182),
    [sym_im] = STATE(1182),
    [sym_ipi] = STATE(1182),
    [sym_imi] = STATE(1182),
    [sym_iliBlock] = STATE(1182),
    [sym_ili] = STATE(1821),
    [sym_iliTag] = STATE(1197),
    [sym_ipq] = STATE(1182),
    [sym_imq] = STATE(1182),
    [sym_ipr] = STATE(1182),
    [sym_ib] = STATE(1182),
    [sym_iqBlock] = STATE(1182),
    [sym_iq] = STATE(1822),
    [sym_iqTag] = STATE(1200),
    [sym_ie] = STATE(1965),
    [sym_iex] = STATE(1182),
    [sym_chapter] = STATE(1966),
    [sym_c] = STATE(125),
    [sym_cl] = STATE(2243),
    [sym_milestoneTag] = STATE(2104),
    [sym__milestoneStandaloneMarker] = STATE(1833),
    [sym__milestoneStart] = STATE(1833),
    [sym__milestoneEnd] = STATE(1833),
    [sym_milestone] = STATE(1182),
    [sym__zNameSpaceRegular] = STATE(1846),
    [sym__zNameSpaceClosed] = STATE(1846),
    [sym__zNameSpaceStandaloneMarker] = STATE(1846),
    [sym_zNameSpace] = STATE(1182),
    [sym_esb] = STATE(1182),
    [aux_sym_File_repeat1] = STATE(1182),
    [aux_sym_File_repeat2] = STATE(1966),
    [aux_sym_imtBlock_repeat1] = STATE(1825),
    [aux_sym_imteBlock_repeat1] = STATE(1962),
    [aux_sym_isBlock_repeat1] = STATE(1823),
    [aux_sym_iliBlock_repeat1] = STATE(1821),
    [aux_sym_iqBlock_repeat1] = STATE(1822),
    [ts_builtin_sym_end] = ACTIONS(6678),
    [anon_sym_BSLASHsts] = ACTIONS(6212),
    [anon_sym_BSLASHrem] = ACTIONS(6214),
    [anon_sym_BSLASHrestore] = ACTIONS(6216),
    [anon_sym_BSLASHlit] = ACTIONS(6218),
    [anon_sym_BSLASHimt] = ACTIONS(6220),
    [anon_sym_BSLASHimte] = ACTIONS(6222),
    [anon_sym_BSLASHis] = ACTIONS(6224),
    [anon_sym_BSLASHio] = ACTIONS(6226),
    [anon_sym_BSLASHiot] = ACTIONS(6228),
    [anon_sym_BSLASHip] = ACTIONS(6230),
    [anon_sym_BSLASHim] = ACTIONS(6232),
    [anon_sym_BSLASHipi] = ACTIONS(6234),
    [anon_sym_BSLASHimi] = ACTIONS(6236),
    [anon_sym_BSLASHili] = ACTIONS(6238),
    [anon_sym_BSLASHipq] = ACTIONS(6240),
    [anon_sym_BSLASHimq] = ACTIONS(6242),
    [anon_sym_BSLASHipr] = ACTIONS(6244),
    [anon_sym_BSLASHib] = ACTIONS(6246),
    [anon_sym_BSLASHiq] = ACTIONS(6248),
    [anon_sym_BSLASHie] = ACTIONS(6250),
    [anon_sym_BSLASHiex] = ACTIONS(6252),
    [anon_sym_BSLASHc] = ACTIONS(6254),
    [anon_sym_BSLASHcl] = ACTIONS(6256),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(6260),
    [sym_milestoneEndTag] = ACTIONS(6262),
    [sym_zSpaceTag] = ACTIONS(6264),
    [anon_sym_BSLASHesb] = ACTIONS(6266),
  },
  [777] = {
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [sym_thTag] = ACTIONS(15),
    [sym_thrTag] = ACTIONS(15),
    [sym_tcTag] = ACTIONS(15),
    [sym_tcrTag] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesbe] = ACTIONS(15),
    [anon_sym_BSLASHcat] = ACTIONS(15),
  },
  [778] = {
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [sym_thTag] = ACTIONS(19),
    [sym_thrTag] = ACTIONS(19),
    [sym_tcTag] = ACTIONS(19),
    [sym_tcrTag] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesbe] = ACTIONS(19),
    [anon_sym_BSLASHcat] = ACTIONS(19),
  },
  [779] = {
    [aux_sym_text_token1] = ACTIONS(2771),
    [anon_sym_BSLASHsts] = ACTIONS(2773),
    [anon_sym_BSLASHrem] = ACTIONS(2773),
    [anon_sym_BSLASHrestore] = ACTIONS(2773),
    [anon_sym_BSLASHlit] = ACTIONS(2773),
    [anon_sym_BSLASHip] = ACTIONS(2773),
    [anon_sym_BSLASHmte] = ACTIONS(2773),
    [anon_sym_BSLASHms] = ACTIONS(2773),
    [anon_sym_BSLASHs] = ACTIONS(2773),
    [anon_sym_BSLASHr] = ACTIONS(2773),
    [anon_sym_BSLASHsp] = ACTIONS(2773),
    [anon_sym_BSLASHd] = ACTIONS(2773),
    [anon_sym_BSLASHsd] = ACTIONS(2773),
    [anon_sym_BSLASHp] = ACTIONS(2773),
    [anon_sym_BSLASHm] = ACTIONS(2773),
    [anon_sym_BSLASHpo] = ACTIONS(2773),
    [anon_sym_BSLASHpr] = ACTIONS(2773),
    [anon_sym_BSLASHcls] = ACTIONS(2773),
    [anon_sym_BSLASHpmo] = ACTIONS(2773),
    [anon_sym_BSLASHpm] = ACTIONS(2773),
    [anon_sym_BSLASHpmc] = ACTIONS(2773),
    [anon_sym_BSLASHpmr] = ACTIONS(2773),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2773),
    [anon_sym_BSLASHnb] = ACTIONS(2773),
    [anon_sym_BSLASHpc] = ACTIONS(2773),
    [anon_sym_BSLASHph] = ACTIONS(2773),
    [anon_sym_BSLASHb] = ACTIONS(2773),
    [anon_sym_BSLASHq] = ACTIONS(2773),
    [anon_sym_BSLASHqr] = ACTIONS(2773),
    [anon_sym_BSLASHqc] = ACTIONS(2773),
    [anon_sym_BSLASHqa] = ACTIONS(2773),
    [anon_sym_BSLASHqm] = ACTIONS(2773),
    [anon_sym_BSLASHqd] = ACTIONS(2773),
    [anon_sym_BSLASHlh] = ACTIONS(2773),
    [anon_sym_BSLASHli] = ACTIONS(2773),
    [anon_sym_BSLASHlim] = ACTIONS(2773),
    [anon_sym_BSLASHtr] = ACTIONS(2773),
    [sym_thTag] = ACTIONS(2773),
    [sym_thrTag] = ACTIONS(2773),
    [sym_tcTag] = ACTIONS(2773),
    [sym_tcrTag] = ACTIONS(2773),
    [anon_sym_BSLASHf] = ACTIONS(2773),
    [anon_sym_BSLASHfe] = ACTIONS(2773),
    [anon_sym_BSLASHef] = ACTIONS(2773),
    [anon_sym_BSLASHfm] = ACTIONS(2773),
    [anon_sym_BSLASHadd] = ACTIONS(2773),
    [anon_sym_BSLASHbk] = ACTIONS(2773),
    [anon_sym_BSLASHdc] = ACTIONS(2773),
    [anon_sym_BSLASHk] = ACTIONS(2773),
    [anon_sym_BSLASHnd] = ACTIONS(2773),
    [anon_sym_BSLASHord] = ACTIONS(2773),
    [anon_sym_BSLASHpn] = ACTIONS(2773),
    [anon_sym_BSLASHpng] = ACTIONS(2773),
    [anon_sym_BSLASHaddpn] = ACTIONS(2773),
    [anon_sym_BSLASHqt] = ACTIONS(2773),
    [anon_sym_BSLASHsig] = ACTIONS(2773),
    [anon_sym_BSLASHsls] = ACTIONS(2773),
    [anon_sym_BSLASHtl] = ACTIONS(2773),
    [anon_sym_BSLASHwj] = ACTIONS(2773),
    [anon_sym_BSLASHem] = ACTIONS(2773),
    [anon_sym_BSLASHbd] = ACTIONS(2773),
    [anon_sym_BSLASHit] = ACTIONS(2773),
    [anon_sym_BSLASHbdit] = ACTIONS(2773),
    [anon_sym_BSLASHno] = ACTIONS(2773),
    [anon_sym_BSLASHsc] = ACTIONS(2773),
    [anon_sym_BSLASHsup] = ACTIONS(2773),
    [anon_sym_BSLASHndx] = ACTIONS(2773),
    [anon_sym_BSLASHpro] = ACTIONS(2773),
    [anon_sym_BSLASHrb] = ACTIONS(2773),
    [anon_sym_BSLASHw] = ACTIONS(2773),
    [anon_sym_BSLASHwg] = ACTIONS(2773),
    [anon_sym_BSLASHwh] = ACTIONS(2773),
    [anon_sym_BSLASHwa] = ACTIONS(2773),
    [anon_sym_BSLASHfig] = ACTIONS(2773),
    [anon_sym_BSLASHjmp] = ACTIONS(2773),
    [anon_sym_BSLASHpb] = ACTIONS(2773),
    [anon_sym_BSLASH] = ACTIONS(2773),
    [sym_milestoneStartTag] = ACTIONS(2773),
    [sym_milestoneEndTag] = ACTIONS(2773),
    [sym_zSpaceTag] = ACTIONS(2773),
    [anon_sym_BSLASHesbe] = ACTIONS(2773),
    [anon_sym_BSLASHcat] = ACTIONS(2773),
  },
  [780] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [sym_thTag] = ACTIONS(7),
    [sym_thrTag] = ACTIONS(7),
    [sym_tcTag] = ACTIONS(7),
    [sym_tcrTag] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
  },
  [781] = {
    [aux_sym_text_token1] = ACTIONS(2751),
    [anon_sym_BSLASHsts] = ACTIONS(2753),
    [anon_sym_BSLASHrem] = ACTIONS(2753),
    [anon_sym_BSLASHrestore] = ACTIONS(2753),
    [anon_sym_BSLASHlit] = ACTIONS(2753),
    [anon_sym_BSLASHip] = ACTIONS(2753),
    [anon_sym_BSLASHmte] = ACTIONS(2753),
    [anon_sym_BSLASHms] = ACTIONS(2753),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(2753),
    [anon_sym_BSLASHsp] = ACTIONS(2753),
    [anon_sym_BSLASHd] = ACTIONS(2753),
    [anon_sym_BSLASHsd] = ACTIONS(2753),
    [anon_sym_BSLASHp] = ACTIONS(2753),
    [anon_sym_BSLASHm] = ACTIONS(2753),
    [anon_sym_BSLASHpo] = ACTIONS(2753),
    [anon_sym_BSLASHpr] = ACTIONS(2753),
    [anon_sym_BSLASHcls] = ACTIONS(2753),
    [anon_sym_BSLASHpmo] = ACTIONS(2753),
    [anon_sym_BSLASHpm] = ACTIONS(2753),
    [anon_sym_BSLASHpmc] = ACTIONS(2753),
    [anon_sym_BSLASHpmr] = ACTIONS(2753),
    [anon_sym_BSLASHpi] = ACTIONS(2753),
    [anon_sym_BSLASHmi] = ACTIONS(2753),
    [anon_sym_BSLASHnb] = ACTIONS(2753),
    [anon_sym_BSLASHpc] = ACTIONS(2753),
    [anon_sym_BSLASHph] = ACTIONS(2753),
    [anon_sym_BSLASHb] = ACTIONS(2753),
    [anon_sym_BSLASHq] = ACTIONS(2753),
    [anon_sym_BSLASHqr] = ACTIONS(2753),
    [anon_sym_BSLASHqc] = ACTIONS(2753),
    [anon_sym_BSLASHqa] = ACTIONS(2753),
    [anon_sym_BSLASHqm] = ACTIONS(2753),
    [anon_sym_BSLASHqd] = ACTIONS(2753),
    [anon_sym_BSLASHlh] = ACTIONS(2753),
    [anon_sym_BSLASHli] = ACTIONS(2753),
    [anon_sym_BSLASHlim] = ACTIONS(2753),
    [anon_sym_BSLASHtr] = ACTIONS(2753),
    [sym_thTag] = ACTIONS(2753),
    [sym_thrTag] = ACTIONS(2753),
    [sym_tcTag] = ACTIONS(2753),
    [sym_tcrTag] = ACTIONS(2753),
    [anon_sym_BSLASHf] = ACTIONS(2753),
    [anon_sym_BSLASHfe] = ACTIONS(2753),
    [anon_sym_BSLASHef] = ACTIONS(2753),
    [anon_sym_BSLASHfm] = ACTIONS(2753),
    [anon_sym_BSLASHadd] = ACTIONS(2753),
    [anon_sym_BSLASHbk] = ACTIONS(2753),
    [anon_sym_BSLASHdc] = ACTIONS(2753),
    [anon_sym_BSLASHk] = ACTIONS(2753),
    [anon_sym_BSLASHnd] = ACTIONS(2753),
    [anon_sym_BSLASHord] = ACTIONS(2753),
    [anon_sym_BSLASHpn] = ACTIONS(2753),
    [anon_sym_BSLASHpng] = ACTIONS(2753),
    [anon_sym_BSLASHaddpn] = ACTIONS(2753),
    [anon_sym_BSLASHqt] = ACTIONS(2753),
    [anon_sym_BSLASHsig] = ACTIONS(2753),
    [anon_sym_BSLASHsls] = ACTIONS(2753),
    [anon_sym_BSLASHtl] = ACTIONS(2753),
    [anon_sym_BSLASHwj] = ACTIONS(2753),
    [anon_sym_BSLASHem] = ACTIONS(2753),
    [anon_sym_BSLASHbd] = ACTIONS(2753),
    [anon_sym_BSLASHit] = ACTIONS(2753),
    [anon_sym_BSLASHbdit] = ACTIONS(2753),
    [anon_sym_BSLASHno] = ACTIONS(2753),
    [anon_sym_BSLASHsc] = ACTIONS(2753),
    [anon_sym_BSLASHsup] = ACTIONS(2753),
    [anon_sym_BSLASHndx] = ACTIONS(2753),
    [anon_sym_BSLASHpro] = ACTIONS(2753),
    [anon_sym_BSLASHrb] = ACTIONS(2753),
    [anon_sym_BSLASHw] = ACTIONS(2753),
    [anon_sym_BSLASHwg] = ACTIONS(2753),
    [anon_sym_BSLASHwh] = ACTIONS(2753),
    [anon_sym_BSLASHwa] = ACTIONS(2753),
    [anon_sym_BSLASHfig] = ACTIONS(2753),
    [anon_sym_BSLASHjmp] = ACTIONS(2753),
    [anon_sym_BSLASHpb] = ACTIONS(2753),
    [anon_sym_BSLASH] = ACTIONS(2753),
    [sym_milestoneStartTag] = ACTIONS(2753),
    [sym_milestoneEndTag] = ACTIONS(2753),
    [sym_zSpaceTag] = ACTIONS(2753),
    [anon_sym_BSLASHesbe] = ACTIONS(2753),
    [anon_sym_BSLASHcat] = ACTIONS(2753),
  },
  [782] = {
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [sym_thTag] = ACTIONS(2737),
    [sym_thrTag] = ACTIONS(2737),
    [sym_tcTag] = ACTIONS(2737),
    [sym_tcrTag] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesbe] = ACTIONS(2737),
    [anon_sym_BSLASHcat] = ACTIONS(2737),
  },
  [783] = {
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [sym_thTag] = ACTIONS(2721),
    [sym_thrTag] = ACTIONS(2721),
    [sym_tcTag] = ACTIONS(2721),
    [sym_tcrTag] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesbe] = ACTIONS(2721),
    [anon_sym_BSLASHcat] = ACTIONS(2721),
  },
  [784] = {
    [aux_sym_text_token1] = ACTIONS(2799),
    [anon_sym_BSLASHsts] = ACTIONS(2801),
    [anon_sym_BSLASHrem] = ACTIONS(2801),
    [anon_sym_BSLASHrestore] = ACTIONS(2801),
    [anon_sym_BSLASHlit] = ACTIONS(2801),
    [anon_sym_BSLASHip] = ACTIONS(2801),
    [anon_sym_BSLASHmte] = ACTIONS(2801),
    [anon_sym_BSLASHms] = ACTIONS(2801),
    [anon_sym_BSLASHs] = ACTIONS(2801),
    [anon_sym_BSLASHr] = ACTIONS(2801),
    [anon_sym_BSLASHsp] = ACTIONS(2801),
    [anon_sym_BSLASHd] = ACTIONS(2801),
    [anon_sym_BSLASHsd] = ACTIONS(2801),
    [anon_sym_BSLASHp] = ACTIONS(2801),
    [anon_sym_BSLASHm] = ACTIONS(2801),
    [anon_sym_BSLASHpo] = ACTIONS(2801),
    [anon_sym_BSLASHpr] = ACTIONS(2801),
    [anon_sym_BSLASHcls] = ACTIONS(2801),
    [anon_sym_BSLASHpmo] = ACTIONS(2801),
    [anon_sym_BSLASHpm] = ACTIONS(2801),
    [anon_sym_BSLASHpmc] = ACTIONS(2801),
    [anon_sym_BSLASHpmr] = ACTIONS(2801),
    [anon_sym_BSLASHpi] = ACTIONS(2801),
    [anon_sym_BSLASHmi] = ACTIONS(2801),
    [anon_sym_BSLASHnb] = ACTIONS(2801),
    [anon_sym_BSLASHpc] = ACTIONS(2801),
    [anon_sym_BSLASHph] = ACTIONS(2801),
    [anon_sym_BSLASHb] = ACTIONS(2801),
    [anon_sym_BSLASHq] = ACTIONS(2801),
    [anon_sym_BSLASHqr] = ACTIONS(2801),
    [anon_sym_BSLASHqc] = ACTIONS(2801),
    [anon_sym_BSLASHqa] = ACTIONS(2801),
    [anon_sym_BSLASHqm] = ACTIONS(2801),
    [anon_sym_BSLASHqd] = ACTIONS(2801),
    [anon_sym_BSLASHlh] = ACTIONS(2801),
    [anon_sym_BSLASHli] = ACTIONS(2801),
    [anon_sym_BSLASHlim] = ACTIONS(2801),
    [anon_sym_BSLASHtr] = ACTIONS(2801),
    [sym_thTag] = ACTIONS(2801),
    [sym_thrTag] = ACTIONS(2801),
    [sym_tcTag] = ACTIONS(2801),
    [sym_tcrTag] = ACTIONS(2801),
    [anon_sym_BSLASHf] = ACTIONS(2801),
    [anon_sym_BSLASHfe] = ACTIONS(2801),
    [anon_sym_BSLASHef] = ACTIONS(2801),
    [anon_sym_BSLASHfm] = ACTIONS(2801),
    [anon_sym_BSLASHadd] = ACTIONS(2801),
    [anon_sym_BSLASHbk] = ACTIONS(2801),
    [anon_sym_BSLASHdc] = ACTIONS(2801),
    [anon_sym_BSLASHk] = ACTIONS(2801),
    [anon_sym_BSLASHnd] = ACTIONS(2801),
    [anon_sym_BSLASHord] = ACTIONS(2801),
    [anon_sym_BSLASHpn] = ACTIONS(2801),
    [anon_sym_BSLASHpng] = ACTIONS(2801),
    [anon_sym_BSLASHaddpn] = ACTIONS(2801),
    [anon_sym_BSLASHqt] = ACTIONS(2801),
    [anon_sym_BSLASHsig] = ACTIONS(2801),
    [anon_sym_BSLASHsls] = ACTIONS(2801),
    [anon_sym_BSLASHtl] = ACTIONS(2801),
    [anon_sym_BSLASHwj] = ACTIONS(2801),
    [anon_sym_BSLASHem] = ACTIONS(2801),
    [anon_sym_BSLASHbd] = ACTIONS(2801),
    [anon_sym_BSLASHit] = ACTIONS(2801),
    [anon_sym_BSLASHbdit] = ACTIONS(2801),
    [anon_sym_BSLASHno] = ACTIONS(2801),
    [anon_sym_BSLASHsc] = ACTIONS(2801),
    [anon_sym_BSLASHsup] = ACTIONS(2801),
    [anon_sym_BSLASHndx] = ACTIONS(2801),
    [anon_sym_BSLASHpro] = ACTIONS(2801),
    [anon_sym_BSLASHrb] = ACTIONS(2801),
    [anon_sym_BSLASHw] = ACTIONS(2801),
    [anon_sym_BSLASHwg] = ACTIONS(2801),
    [anon_sym_BSLASHwh] = ACTIONS(2801),
    [anon_sym_BSLASHwa] = ACTIONS(2801),
    [anon_sym_BSLASHfig] = ACTIONS(2801),
    [anon_sym_BSLASHjmp] = ACTIONS(2801),
    [anon_sym_BSLASHpb] = ACTIONS(2801),
    [anon_sym_BSLASH] = ACTIONS(2801),
    [sym_milestoneStartTag] = ACTIONS(2801),
    [sym_milestoneEndTag] = ACTIONS(2801),
    [sym_zSpaceTag] = ACTIONS(2801),
    [anon_sym_BSLASHesbe] = ACTIONS(2801),
    [anon_sym_BSLASHcat] = ACTIONS(2801),
  },
  [785] = {
    [aux_sym_text_token1] = ACTIONS(6206),
    [anon_sym_BSLASHsts] = ACTIONS(6208),
    [anon_sym_BSLASHrem] = ACTIONS(6208),
    [anon_sym_BSLASHrestore] = ACTIONS(6208),
    [anon_sym_BSLASHlit] = ACTIONS(6208),
    [anon_sym_BSLASHip] = ACTIONS(6208),
    [anon_sym_BSLASHmte] = ACTIONS(6208),
    [anon_sym_BSLASHms] = ACTIONS(6208),
    [anon_sym_BSLASHs] = ACTIONS(6208),
    [anon_sym_BSLASHsr] = ACTIONS(6208),
    [anon_sym_BSLASHr] = ACTIONS(6208),
    [anon_sym_BSLASHsp] = ACTIONS(6208),
    [anon_sym_BSLASHd] = ACTIONS(6208),
    [anon_sym_BSLASHsd] = ACTIONS(6208),
    [anon_sym_BSLASHp] = ACTIONS(6208),
    [anon_sym_BSLASHm] = ACTIONS(6208),
    [anon_sym_BSLASHpo] = ACTIONS(6208),
    [anon_sym_BSLASHpr] = ACTIONS(6208),
    [anon_sym_BSLASHcls] = ACTIONS(6208),
    [anon_sym_BSLASHpmo] = ACTIONS(6208),
    [anon_sym_BSLASHpm] = ACTIONS(6208),
    [anon_sym_BSLASHpmc] = ACTIONS(6208),
    [anon_sym_BSLASHpmr] = ACTIONS(6208),
    [anon_sym_BSLASHpi] = ACTIONS(6208),
    [anon_sym_BSLASHmi] = ACTIONS(6208),
    [anon_sym_BSLASHnb] = ACTIONS(6208),
    [anon_sym_BSLASHpc] = ACTIONS(6208),
    [anon_sym_BSLASHph] = ACTIONS(6208),
    [anon_sym_BSLASHb] = ACTIONS(6208),
    [anon_sym_BSLASHq] = ACTIONS(6208),
    [anon_sym_BSLASHqr] = ACTIONS(6208),
    [anon_sym_BSLASHqc] = ACTIONS(6208),
    [anon_sym_BSLASHqa] = ACTIONS(6208),
    [anon_sym_BSLASHqm] = ACTIONS(6208),
    [anon_sym_BSLASHqd] = ACTIONS(6208),
    [anon_sym_BSLASHlh] = ACTIONS(6208),
    [anon_sym_BSLASHli] = ACTIONS(6208),
    [anon_sym_BSLASHlim] = ACTIONS(6208),
    [anon_sym_BSLASHtr] = ACTIONS(6208),
    [anon_sym_BSLASHf] = ACTIONS(6208),
    [anon_sym_BSLASHfe] = ACTIONS(6208),
    [anon_sym_BSLASHef] = ACTIONS(6208),
    [anon_sym_BSLASHfm] = ACTIONS(6208),
    [anon_sym_BSLASHx] = ACTIONS(6208),
    [anon_sym_BSLASHxt] = ACTIONS(6208),
    [anon_sym_BSLASHrq] = ACTIONS(6208),
    [anon_sym_BSLASHadd] = ACTIONS(6208),
    [anon_sym_BSLASHbk] = ACTIONS(6208),
    [anon_sym_BSLASHdc] = ACTIONS(6208),
    [anon_sym_BSLASHk] = ACTIONS(6208),
    [anon_sym_BSLASHnd] = ACTIONS(6208),
    [anon_sym_BSLASHord] = ACTIONS(6208),
    [anon_sym_BSLASHpn] = ACTIONS(6208),
    [anon_sym_BSLASHpng] = ACTIONS(6208),
    [anon_sym_BSLASHaddpn] = ACTIONS(6208),
    [anon_sym_BSLASHqt] = ACTIONS(6208),
    [anon_sym_BSLASHsig] = ACTIONS(6208),
    [anon_sym_BSLASHsls] = ACTIONS(6208),
    [anon_sym_BSLASHtl] = ACTIONS(6208),
    [anon_sym_BSLASHwj] = ACTIONS(6208),
    [anon_sym_BSLASHem] = ACTIONS(6208),
    [anon_sym_BSLASHbd] = ACTIONS(6208),
    [anon_sym_BSLASHit] = ACTIONS(6208),
    [anon_sym_BSLASHbdit] = ACTIONS(6208),
    [anon_sym_BSLASHno] = ACTIONS(6208),
    [anon_sym_BSLASHsc] = ACTIONS(6208),
    [anon_sym_BSLASHsup] = ACTIONS(6208),
    [anon_sym_BSLASHndx] = ACTIONS(6208),
    [anon_sym_BSLASHpro] = ACTIONS(6208),
    [anon_sym_BSLASHrb] = ACTIONS(6208),
    [anon_sym_BSLASHw] = ACTIONS(6208),
    [anon_sym_BSLASHwg] = ACTIONS(6208),
    [anon_sym_BSLASHwh] = ACTIONS(6208),
    [anon_sym_BSLASHwa] = ACTIONS(6208),
    [anon_sym_BSLASHfig] = ACTIONS(6208),
    [anon_sym_BSLASHjmp] = ACTIONS(6208),
    [anon_sym_BSLASHpb] = ACTIONS(6208),
    [anon_sym_BSLASH] = ACTIONS(6208),
    [sym_milestoneStartTag] = ACTIONS(6208),
    [sym_milestoneEndTag] = ACTIONS(6208),
    [sym_zSpaceTag] = ACTIONS(6208),
    [anon_sym_BSLASHesbe] = ACTIONS(6208),
    [anon_sym_BSLASHcat] = ACTIONS(6208),
  },
  [786] = {
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [sym_thTag] = ACTIONS(2705),
    [sym_thrTag] = ACTIONS(2705),
    [sym_tcTag] = ACTIONS(2705),
    [sym_tcrTag] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesbe] = ACTIONS(2705),
    [anon_sym_BSLASHcat] = ACTIONS(2705),
  },
  [787] = {
    [sym_text] = STATE(794),
    [sym_footnote] = STATE(794),
    [sym_f] = STATE(1679),
    [sym_fe] = STATE(1679),
    [sym_ef] = STATE(1679),
    [sym_fm] = STATE(1679),
    [sym_crossref] = STATE(794),
    [sym_x] = STATE(1674),
    [sym_xt_standalone] = STATE(1674),
    [sym_rq] = STATE(1674),
    [sym_addNested] = STATE(794),
    [sym_bkNested] = STATE(794),
    [sym_dcNested] = STATE(794),
    [sym_kNested] = STATE(794),
    [sym_ndNested] = STATE(794),
    [sym_ordNested] = STATE(794),
    [sym_pnNested] = STATE(794),
    [sym_pngNested] = STATE(794),
    [sym_addpnNested] = STATE(794),
    [sym_qtNested] = STATE(794),
    [sym_sigNested] = STATE(794),
    [sym_slsNested] = STATE(794),
    [sym_tlNested] = STATE(794),
    [sym_wjNested] = STATE(794),
    [sym_emNested] = STATE(794),
    [sym_bdNested] = STATE(794),
    [sym_itNested] = STATE(794),
    [sym_bditNested] = STATE(794),
    [sym_noNested] = STATE(794),
    [sym_scNested] = STATE(794),
    [sym_supNested] = STATE(794),
    [sym_ndxNested] = STATE(794),
    [sym_proNested] = STATE(794),
    [sym_rbNested] = STATE(794),
    [sym_wNested] = STATE(794),
    [sym_wgNested] = STATE(794),
    [sym_whNested] = STATE(794),
    [sym_waNested] = STATE(794),
    [sym__nestedCharacterMarker] = STATE(794),
    [sym_fig] = STATE(794),
    [sym_jmpNested] = STATE(794),
    [aux_sym__innerText_repeat1] = STATE(794),
    [aux_sym_text_token1] = ACTIONS(6680),
    [anon_sym_BSLASHf] = ACTIONS(6682),
    [anon_sym_BSLASHfe] = ACTIONS(6684),
    [anon_sym_BSLASHef] = ACTIONS(6686),
    [anon_sym_BSLASHfm] = ACTIONS(6688),
    [anon_sym_BSLASHx] = ACTIONS(6690),
    [anon_sym_BSLASHxt] = ACTIONS(6692),
    [anon_sym_BSLASHrq] = ACTIONS(6694),
    [anon_sym_BSLASHk_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6696),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6698),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6700),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6702),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6704),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6706),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6708),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6710),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6712),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6714),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6716),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6718),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6720),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6722),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6724),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6726),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6728),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6730),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6732),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6734),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6736),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6738),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6740),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6742),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6744),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6746),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6748),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6750),
    [anon_sym_BSLASHfig] = ACTIONS(6752),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6754),
    [anon_sym_PIPE] = ACTIONS(3310),
    [anon_sym_key] = ACTIONS(3310),
  },
  [788] = {
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [sym_thTag] = ACTIONS(2733),
    [sym_thrTag] = ACTIONS(2733),
    [sym_tcTag] = ACTIONS(2733),
    [sym_tcrTag] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesbe] = ACTIONS(2733),
    [anon_sym_BSLASHcat] = ACTIONS(2733),
  },
  [789] = {
    [aux_sym_text_token1] = ACTIONS(2791),
    [anon_sym_BSLASHsts] = ACTIONS(2793),
    [anon_sym_BSLASHrem] = ACTIONS(2793),
    [anon_sym_BSLASHrestore] = ACTIONS(2793),
    [anon_sym_BSLASHlit] = ACTIONS(2793),
    [anon_sym_BSLASHip] = ACTIONS(2793),
    [anon_sym_BSLASHmte] = ACTIONS(2793),
    [anon_sym_BSLASHms] = ACTIONS(2793),
    [anon_sym_BSLASHs] = ACTIONS(2793),
    [anon_sym_BSLASHr] = ACTIONS(2793),
    [anon_sym_BSLASHsp] = ACTIONS(2793),
    [anon_sym_BSLASHd] = ACTIONS(2793),
    [anon_sym_BSLASHsd] = ACTIONS(2793),
    [anon_sym_BSLASHp] = ACTIONS(2793),
    [anon_sym_BSLASHm] = ACTIONS(2793),
    [anon_sym_BSLASHpo] = ACTIONS(2793),
    [anon_sym_BSLASHpr] = ACTIONS(2793),
    [anon_sym_BSLASHcls] = ACTIONS(2793),
    [anon_sym_BSLASHpmo] = ACTIONS(2793),
    [anon_sym_BSLASHpm] = ACTIONS(2793),
    [anon_sym_BSLASHpmc] = ACTIONS(2793),
    [anon_sym_BSLASHpmr] = ACTIONS(2793),
    [anon_sym_BSLASHpi] = ACTIONS(2793),
    [anon_sym_BSLASHmi] = ACTIONS(2793),
    [anon_sym_BSLASHnb] = ACTIONS(2793),
    [anon_sym_BSLASHpc] = ACTIONS(2793),
    [anon_sym_BSLASHph] = ACTIONS(2793),
    [anon_sym_BSLASHb] = ACTIONS(2793),
    [anon_sym_BSLASHq] = ACTIONS(2793),
    [anon_sym_BSLASHqr] = ACTIONS(2793),
    [anon_sym_BSLASHqc] = ACTIONS(2793),
    [anon_sym_BSLASHqa] = ACTIONS(2793),
    [anon_sym_BSLASHqm] = ACTIONS(2793),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(2793),
    [anon_sym_BSLASHli] = ACTIONS(2793),
    [anon_sym_BSLASHlim] = ACTIONS(2793),
    [anon_sym_BSLASHtr] = ACTIONS(2793),
    [sym_thTag] = ACTIONS(2793),
    [sym_thrTag] = ACTIONS(2793),
    [sym_tcTag] = ACTIONS(2793),
    [sym_tcrTag] = ACTIONS(2793),
    [anon_sym_BSLASHf] = ACTIONS(2793),
    [anon_sym_BSLASHfe] = ACTIONS(2793),
    [anon_sym_BSLASHef] = ACTIONS(2793),
    [anon_sym_BSLASHfm] = ACTIONS(2793),
    [anon_sym_BSLASHadd] = ACTIONS(2793),
    [anon_sym_BSLASHbk] = ACTIONS(2793),
    [anon_sym_BSLASHdc] = ACTIONS(2793),
    [anon_sym_BSLASHk] = ACTIONS(2793),
    [anon_sym_BSLASHnd] = ACTIONS(2793),
    [anon_sym_BSLASHord] = ACTIONS(2793),
    [anon_sym_BSLASHpn] = ACTIONS(2793),
    [anon_sym_BSLASHpng] = ACTIONS(2793),
    [anon_sym_BSLASHaddpn] = ACTIONS(2793),
    [anon_sym_BSLASHqt] = ACTIONS(2793),
    [anon_sym_BSLASHsig] = ACTIONS(2793),
    [anon_sym_BSLASHsls] = ACTIONS(2793),
    [anon_sym_BSLASHtl] = ACTIONS(2793),
    [anon_sym_BSLASHwj] = ACTIONS(2793),
    [anon_sym_BSLASHem] = ACTIONS(2793),
    [anon_sym_BSLASHbd] = ACTIONS(2793),
    [anon_sym_BSLASHit] = ACTIONS(2793),
    [anon_sym_BSLASHbdit] = ACTIONS(2793),
    [anon_sym_BSLASHno] = ACTIONS(2793),
    [anon_sym_BSLASHsc] = ACTIONS(2793),
    [anon_sym_BSLASHsup] = ACTIONS(2793),
    [anon_sym_BSLASHndx] = ACTIONS(2793),
    [anon_sym_BSLASHpro] = ACTIONS(2793),
    [anon_sym_BSLASHrb] = ACTIONS(2793),
    [anon_sym_BSLASHw] = ACTIONS(2793),
    [anon_sym_BSLASHwg] = ACTIONS(2793),
    [anon_sym_BSLASHwh] = ACTIONS(2793),
    [anon_sym_BSLASHwa] = ACTIONS(2793),
    [anon_sym_BSLASHfig] = ACTIONS(2793),
    [anon_sym_BSLASHjmp] = ACTIONS(2793),
    [anon_sym_BSLASHpb] = ACTIONS(2793),
    [anon_sym_BSLASH] = ACTIONS(2793),
    [sym_milestoneStartTag] = ACTIONS(2793),
    [sym_milestoneEndTag] = ACTIONS(2793),
    [sym_zSpaceTag] = ACTIONS(2793),
    [anon_sym_BSLASHesbe] = ACTIONS(2793),
    [anon_sym_BSLASHcat] = ACTIONS(2793),
  },
  [790] = {
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [sym_thTag] = ACTIONS(2713),
    [sym_thrTag] = ACTIONS(2713),
    [sym_tcTag] = ACTIONS(2713),
    [sym_tcrTag] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesbe] = ACTIONS(2713),
    [anon_sym_BSLASHcat] = ACTIONS(2713),
  },
  [791] = {
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [sym_thTag] = ACTIONS(2701),
    [sym_thrTag] = ACTIONS(2701),
    [sym_tcTag] = ACTIONS(2701),
    [sym_tcrTag] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesbe] = ACTIONS(2701),
    [anon_sym_BSLASHcat] = ACTIONS(2701),
  },
  [792] = {
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [sym_thTag] = ACTIONS(2697),
    [sym_thrTag] = ACTIONS(2697),
    [sym_tcTag] = ACTIONS(2697),
    [sym_tcrTag] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesbe] = ACTIONS(2697),
    [anon_sym_BSLASHcat] = ACTIONS(2697),
  },
  [793] = {
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [sym_thTag] = ACTIONS(2685),
    [sym_thrTag] = ACTIONS(2685),
    [sym_tcTag] = ACTIONS(2685),
    [sym_tcrTag] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesbe] = ACTIONS(2685),
    [anon_sym_BSLASHcat] = ACTIONS(2685),
  },
  [794] = {
    [sym_text] = STATE(794),
    [sym_footnote] = STATE(794),
    [sym_f] = STATE(1679),
    [sym_fe] = STATE(1679),
    [sym_ef] = STATE(1679),
    [sym_fm] = STATE(1679),
    [sym_crossref] = STATE(794),
    [sym_x] = STATE(1674),
    [sym_xt_standalone] = STATE(1674),
    [sym_rq] = STATE(1674),
    [sym_addNested] = STATE(794),
    [sym_bkNested] = STATE(794),
    [sym_dcNested] = STATE(794),
    [sym_kNested] = STATE(794),
    [sym_ndNested] = STATE(794),
    [sym_ordNested] = STATE(794),
    [sym_pnNested] = STATE(794),
    [sym_pngNested] = STATE(794),
    [sym_addpnNested] = STATE(794),
    [sym_qtNested] = STATE(794),
    [sym_sigNested] = STATE(794),
    [sym_slsNested] = STATE(794),
    [sym_tlNested] = STATE(794),
    [sym_wjNested] = STATE(794),
    [sym_emNested] = STATE(794),
    [sym_bdNested] = STATE(794),
    [sym_itNested] = STATE(794),
    [sym_bditNested] = STATE(794),
    [sym_noNested] = STATE(794),
    [sym_scNested] = STATE(794),
    [sym_supNested] = STATE(794),
    [sym_ndxNested] = STATE(794),
    [sym_proNested] = STATE(794),
    [sym_rbNested] = STATE(794),
    [sym_wNested] = STATE(794),
    [sym_wgNested] = STATE(794),
    [sym_whNested] = STATE(794),
    [sym_waNested] = STATE(794),
    [sym__nestedCharacterMarker] = STATE(794),
    [sym_fig] = STATE(794),
    [sym_jmpNested] = STATE(794),
    [aux_sym__innerText_repeat1] = STATE(794),
    [aux_sym_text_token1] = ACTIONS(6756),
    [anon_sym_BSLASHf] = ACTIONS(6759),
    [anon_sym_BSLASHfe] = ACTIONS(6762),
    [anon_sym_BSLASHef] = ACTIONS(6765),
    [anon_sym_BSLASHfm] = ACTIONS(6768),
    [anon_sym_BSLASHx] = ACTIONS(6771),
    [anon_sym_BSLASHxt] = ACTIONS(6774),
    [anon_sym_BSLASHrq] = ACTIONS(6777),
    [anon_sym_BSLASHk_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6780),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6783),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6786),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6789),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6792),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6795),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6798),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6801),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6804),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6807),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6810),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6813),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6816),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6819),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6822),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6825),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6828),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6831),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6834),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6837),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6840),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6843),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6846),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6849),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6852),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6855),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6858),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6861),
    [anon_sym_BSLASHfig] = ACTIONS(6864),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6867),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_key] = ACTIONS(3196),
  },
  [795] = {
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [sym_thTag] = ACTIONS(2689),
    [sym_thrTag] = ACTIONS(2689),
    [sym_tcTag] = ACTIONS(2689),
    [sym_tcrTag] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesbe] = ACTIONS(2689),
    [anon_sym_BSLASHcat] = ACTIONS(2689),
  },
  [796] = {
    [sym__comments] = STATE(776),
    [sym_sts] = STATE(776),
    [sym_rem] = STATE(776),
    [sym_restore] = STATE(776),
    [sym_lit] = STATE(776),
    [sym_imtBlock] = STATE(776),
    [sym_imt] = STATE(1825),
    [sym_imtTag] = STATE(1213),
    [sym_imteBlock] = STATE(1958),
    [sym_imte] = STATE(1962),
    [sym_imteTag] = STATE(1203),
    [sym__midIntroMarker] = STATE(776),
    [sym_isBlock] = STATE(776),
    [sym_is] = STATE(1823),
    [sym_isTag] = STATE(1206),
    [sym_io] = STATE(776),
    [sym_ioTag] = STATE(1209),
    [sym_iot] = STATE(776),
    [sym_ip] = STATE(776),
    [sym_im] = STATE(776),
    [sym_ipi] = STATE(776),
    [sym_imi] = STATE(776),
    [sym_iliBlock] = STATE(776),
    [sym_ili] = STATE(1821),
    [sym_iliTag] = STATE(1197),
    [sym_ipq] = STATE(776),
    [sym_imq] = STATE(776),
    [sym_ipr] = STATE(776),
    [sym_ib] = STATE(776),
    [sym_iqBlock] = STATE(776),
    [sym_iq] = STATE(1822),
    [sym_iqTag] = STATE(1200),
    [sym_ie] = STATE(1971),
    [sym_iex] = STATE(776),
    [sym_chapter] = STATE(1972),
    [sym_c] = STATE(125),
    [sym_cl] = STATE(2243),
    [sym_milestoneTag] = STATE(2104),
    [sym__milestoneStandaloneMarker] = STATE(1833),
    [sym__milestoneStart] = STATE(1833),
    [sym__milestoneEnd] = STATE(1833),
    [sym_milestone] = STATE(776),
    [sym__zNameSpaceRegular] = STATE(1846),
    [sym__zNameSpaceClosed] = STATE(1846),
    [sym__zNameSpaceStandaloneMarker] = STATE(1846),
    [sym_zNameSpace] = STATE(776),
    [sym_esb] = STATE(776),
    [aux_sym_File_repeat1] = STATE(776),
    [aux_sym_File_repeat2] = STATE(1972),
    [aux_sym_imtBlock_repeat1] = STATE(1825),
    [aux_sym_imteBlock_repeat1] = STATE(1962),
    [aux_sym_isBlock_repeat1] = STATE(1823),
    [aux_sym_iliBlock_repeat1] = STATE(1821),
    [aux_sym_iqBlock_repeat1] = STATE(1822),
    [ts_builtin_sym_end] = ACTIONS(6676),
    [anon_sym_BSLASHsts] = ACTIONS(6212),
    [anon_sym_BSLASHrem] = ACTIONS(6214),
    [anon_sym_BSLASHrestore] = ACTIONS(6216),
    [anon_sym_BSLASHlit] = ACTIONS(6218),
    [anon_sym_BSLASHimt] = ACTIONS(6220),
    [anon_sym_BSLASHimte] = ACTIONS(6222),
    [anon_sym_BSLASHis] = ACTIONS(6224),
    [anon_sym_BSLASHio] = ACTIONS(6226),
    [anon_sym_BSLASHiot] = ACTIONS(6228),
    [anon_sym_BSLASHip] = ACTIONS(6230),
    [anon_sym_BSLASHim] = ACTIONS(6232),
    [anon_sym_BSLASHipi] = ACTIONS(6234),
    [anon_sym_BSLASHimi] = ACTIONS(6236),
    [anon_sym_BSLASHili] = ACTIONS(6238),
    [anon_sym_BSLASHipq] = ACTIONS(6240),
    [anon_sym_BSLASHimq] = ACTIONS(6242),
    [anon_sym_BSLASHipr] = ACTIONS(6244),
    [anon_sym_BSLASHib] = ACTIONS(6246),
    [anon_sym_BSLASHiq] = ACTIONS(6248),
    [anon_sym_BSLASHie] = ACTIONS(6250),
    [anon_sym_BSLASHiex] = ACTIONS(6252),
    [anon_sym_BSLASHc] = ACTIONS(6254),
    [anon_sym_BSLASHcl] = ACTIONS(6256),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(6260),
    [sym_milestoneEndTag] = ACTIONS(6262),
    [sym_zSpaceTag] = ACTIONS(6264),
    [anon_sym_BSLASHesb] = ACTIONS(6266),
  },
  [797] = {
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [sym_thTag] = ACTIONS(2693),
    [sym_thrTag] = ACTIONS(2693),
    [sym_tcTag] = ACTIONS(2693),
    [sym_tcrTag] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesbe] = ACTIONS(2693),
    [anon_sym_BSLASHcat] = ACTIONS(2693),
  },
  [798] = {
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [sym_thTag] = ACTIONS(2725),
    [sym_thrTag] = ACTIONS(2725),
    [sym_tcTag] = ACTIONS(2725),
    [sym_tcrTag] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesbe] = ACTIONS(2725),
    [anon_sym_BSLASHcat] = ACTIONS(2725),
  },
  [799] = {
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [sym_thTag] = ACTIONS(11),
    [sym_thrTag] = ACTIONS(11),
    [sym_tcTag] = ACTIONS(11),
    [sym_tcrTag] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesbe] = ACTIONS(11),
    [anon_sym_BSLASHcat] = ACTIONS(11),
  },
  [800] = {
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [sym_thTag] = ACTIONS(2681),
    [sym_thrTag] = ACTIONS(2681),
    [sym_tcTag] = ACTIONS(2681),
    [sym_tcrTag] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesbe] = ACTIONS(2681),
    [anon_sym_BSLASHcat] = ACTIONS(2681),
  },
  [801] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(1909),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(1928),
    [sym__attributesInCrossref] = STATE(1928),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHx_STAR] = ACTIONS(6870),
    [anon_sym_BSLASHxo] = ACTIONS(6870),
    [anon_sym_BSLASHxk] = ACTIONS(6870),
    [anon_sym_BSLASHxq] = ACTIONS(6870),
    [anon_sym_BSLASHxt] = ACTIONS(6870),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(6872),
    [anon_sym_BSLASHxta] = ACTIONS(6870),
    [anon_sym_BSLASHxop] = ACTIONS(6870),
    [anon_sym_BSLASHxot] = ACTIONS(6870),
    [anon_sym_BSLASHxnt] = ACTIONS(6870),
    [anon_sym_BSLASHxdc] = ACTIONS(6870),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(6870),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [802] = {
    [aux_sym_text_token1] = ACTIONS(6268),
    [anon_sym_BSLASHref] = ACTIONS(6270),
    [anon_sym_BSLASHsts] = ACTIONS(6270),
    [anon_sym_BSLASHrem] = ACTIONS(6270),
    [anon_sym_BSLASHrestore] = ACTIONS(6270),
    [anon_sym_BSLASHlit] = ACTIONS(6270),
    [anon_sym_BSLASHiqt] = ACTIONS(6270),
    [anon_sym_BSLASHip] = ACTIONS(6270),
    [anon_sym_BSLASHmte] = ACTIONS(6270),
    [anon_sym_BSLASHms] = ACTIONS(6270),
    [anon_sym_BSLASHs] = ACTIONS(6270),
    [anon_sym_BSLASHr] = ACTIONS(6270),
    [anon_sym_BSLASHsp] = ACTIONS(6270),
    [anon_sym_BSLASHd] = ACTIONS(6270),
    [anon_sym_BSLASHsd] = ACTIONS(6270),
    [anon_sym_BSLASHp] = ACTIONS(6270),
    [anon_sym_BSLASHm] = ACTIONS(6270),
    [anon_sym_BSLASHpo] = ACTIONS(6270),
    [anon_sym_BSLASHpr] = ACTIONS(6270),
    [anon_sym_BSLASHcls] = ACTIONS(6270),
    [anon_sym_BSLASHpmo] = ACTIONS(6270),
    [anon_sym_BSLASHpm] = ACTIONS(6270),
    [anon_sym_BSLASHpmc] = ACTIONS(6270),
    [anon_sym_BSLASHpmr] = ACTIONS(6270),
    [anon_sym_BSLASHpi] = ACTIONS(6270),
    [anon_sym_BSLASHmi] = ACTIONS(6270),
    [anon_sym_BSLASHnb] = ACTIONS(6270),
    [anon_sym_BSLASHpc] = ACTIONS(6270),
    [anon_sym_BSLASHph] = ACTIONS(6270),
    [anon_sym_BSLASHb] = ACTIONS(6270),
    [anon_sym_BSLASHq] = ACTIONS(6270),
    [anon_sym_BSLASHqr] = ACTIONS(6270),
    [anon_sym_BSLASHqc] = ACTIONS(6270),
    [anon_sym_BSLASHqa] = ACTIONS(6270),
    [anon_sym_BSLASHqm] = ACTIONS(6270),
    [anon_sym_BSLASHqd] = ACTIONS(6270),
    [anon_sym_BSLASHlh] = ACTIONS(6270),
    [anon_sym_BSLASHli] = ACTIONS(6270),
    [anon_sym_BSLASHlim] = ACTIONS(6270),
    [anon_sym_BSLASHtr] = ACTIONS(6270),
    [anon_sym_BSLASHf] = ACTIONS(6270),
    [anon_sym_BSLASHfe] = ACTIONS(6270),
    [anon_sym_BSLASHef] = ACTIONS(6270),
    [anon_sym_BSLASHfm] = ACTIONS(6270),
    [anon_sym_BSLASHxt] = ACTIONS(6270),
    [anon_sym_BSLASHadd] = ACTIONS(6270),
    [anon_sym_BSLASHbk] = ACTIONS(6270),
    [anon_sym_BSLASHdc] = ACTIONS(6270),
    [anon_sym_BSLASHk] = ACTIONS(6270),
    [anon_sym_BSLASHnd] = ACTIONS(6270),
    [anon_sym_BSLASHord] = ACTIONS(6270),
    [anon_sym_BSLASHpn] = ACTIONS(6270),
    [anon_sym_BSLASHpng] = ACTIONS(6270),
    [anon_sym_BSLASHaddpn] = ACTIONS(6270),
    [anon_sym_BSLASHqt] = ACTIONS(6270),
    [anon_sym_BSLASHsig] = ACTIONS(6270),
    [anon_sym_BSLASHsls] = ACTIONS(6270),
    [anon_sym_BSLASHtl] = ACTIONS(6270),
    [anon_sym_BSLASHwj] = ACTIONS(6270),
    [anon_sym_BSLASHem] = ACTIONS(6270),
    [anon_sym_BSLASHbd] = ACTIONS(6270),
    [anon_sym_BSLASHit] = ACTIONS(6270),
    [anon_sym_BSLASHbdit] = ACTIONS(6270),
    [anon_sym_BSLASHno] = ACTIONS(6270),
    [anon_sym_BSLASHsc] = ACTIONS(6270),
    [anon_sym_BSLASHsup] = ACTIONS(6270),
    [anon_sym_BSLASHndx] = ACTIONS(6270),
    [anon_sym_BSLASHpro] = ACTIONS(6270),
    [anon_sym_BSLASHrb] = ACTIONS(6270),
    [anon_sym_BSLASHw] = ACTIONS(6270),
    [anon_sym_BSLASHwg] = ACTIONS(6270),
    [anon_sym_BSLASHwh] = ACTIONS(6270),
    [anon_sym_BSLASHwa] = ACTIONS(6270),
    [anon_sym_BSLASHfig] = ACTIONS(6270),
    [anon_sym_BSLASHjmp] = ACTIONS(6270),
    [anon_sym_BSLASHpb] = ACTIONS(6270),
    [anon_sym_BSLASH] = ACTIONS(6270),
    [sym_milestoneStartTag] = ACTIONS(6270),
    [sym_milestoneEndTag] = ACTIONS(6270),
    [sym_zSpaceTag] = ACTIONS(6270),
    [anon_sym_BSLASHesbe] = ACTIONS(6270),
    [anon_sym_BSLASHcat] = ACTIONS(6270),
  },
  [803] = {
    [sym_text] = STATE(803),
    [sym_footnote] = STATE(803),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(803),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym_addNested] = STATE(803),
    [sym_bkNested] = STATE(803),
    [sym_dcNested] = STATE(803),
    [sym_kNested] = STATE(803),
    [sym_ndNested] = STATE(803),
    [sym_ordNested] = STATE(803),
    [sym_pnNested] = STATE(803),
    [sym_pngNested] = STATE(803),
    [sym_addpnNested] = STATE(803),
    [sym_qtNested] = STATE(803),
    [sym_sigNested] = STATE(803),
    [sym_slsNested] = STATE(803),
    [sym_tlNested] = STATE(803),
    [sym_wjNested] = STATE(803),
    [sym_emNested] = STATE(803),
    [sym_bdNested] = STATE(803),
    [sym_itNested] = STATE(803),
    [sym_bditNested] = STATE(803),
    [sym_noNested] = STATE(803),
    [sym_scNested] = STATE(803),
    [sym_supNested] = STATE(803),
    [sym_ndxNested] = STATE(803),
    [sym_proNested] = STATE(803),
    [sym_rbNested] = STATE(803),
    [sym_wNested] = STATE(803),
    [sym_wgNested] = STATE(803),
    [sym_whNested] = STATE(803),
    [sym_waNested] = STATE(803),
    [sym__nestedCharacterMarker] = STATE(803),
    [sym_fig] = STATE(803),
    [sym_jmpNested] = STATE(803),
    [aux_sym__innerText_repeat1] = STATE(803),
    [aux_sym_text_token1] = ACTIONS(6876),
    [anon_sym_BSLASHf] = ACTIONS(6879),
    [anon_sym_BSLASHfe] = ACTIONS(6882),
    [anon_sym_BSLASHef] = ACTIONS(6885),
    [anon_sym_BSLASHfm] = ACTIONS(6888),
    [anon_sym_BSLASHx] = ACTIONS(6891),
    [anon_sym_BSLASHxt] = ACTIONS(6894),
    [anon_sym_BSLASHrq] = ACTIONS(6897),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(3196),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3198),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3201),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3204),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3207),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3210),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3213),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3216),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3219),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3222),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3225),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3228),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3231),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3234),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3237),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3240),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3243),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3246),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3249),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3252),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3255),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3258),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3261),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3264),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3267),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3270),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3273),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3276),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3279),
    [anon_sym_BSLASHfig] = ACTIONS(6900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3285),
  },
  [804] = {
    [sym_text] = STATE(803),
    [sym_footnote] = STATE(803),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(803),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym_addNested] = STATE(803),
    [sym_bkNested] = STATE(803),
    [sym_dcNested] = STATE(803),
    [sym_kNested] = STATE(803),
    [sym_ndNested] = STATE(803),
    [sym_ordNested] = STATE(803),
    [sym_pnNested] = STATE(803),
    [sym_pngNested] = STATE(803),
    [sym_addpnNested] = STATE(803),
    [sym_qtNested] = STATE(803),
    [sym_sigNested] = STATE(803),
    [sym_slsNested] = STATE(803),
    [sym_tlNested] = STATE(803),
    [sym_wjNested] = STATE(803),
    [sym_emNested] = STATE(803),
    [sym_bdNested] = STATE(803),
    [sym_itNested] = STATE(803),
    [sym_bditNested] = STATE(803),
    [sym_noNested] = STATE(803),
    [sym_scNested] = STATE(803),
    [sym_supNested] = STATE(803),
    [sym_ndxNested] = STATE(803),
    [sym_proNested] = STATE(803),
    [sym_rbNested] = STATE(803),
    [sym_wNested] = STATE(803),
    [sym_wgNested] = STATE(803),
    [sym_whNested] = STATE(803),
    [sym_waNested] = STATE(803),
    [sym__nestedCharacterMarker] = STATE(803),
    [sym_fig] = STATE(803),
    [sym_jmpNested] = STATE(803),
    [aux_sym__innerText_repeat1] = STATE(803),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(3310),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(3310),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [805] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2450),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [806] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2771),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [807] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2849),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [808] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2587),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [809] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2589),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [810] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2594),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [811] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2595),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [812] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2596),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [813] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2462),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [814] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2603),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [815] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1679),
    [sym_fe] = STATE(1679),
    [sym_ef] = STATE(1679),
    [sym_fm] = STATE(1679),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1674),
    [sym_xt_standalone] = STATE(1674),
    [sym_rq] = STATE(1674),
    [sym__innerText] = STATE(1980),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6921),
    [anon_sym_BSLASHf] = ACTIONS(6682),
    [anon_sym_BSLASHfe] = ACTIONS(6684),
    [anon_sym_BSLASHef] = ACTIONS(6686),
    [anon_sym_BSLASHfm] = ACTIONS(6688),
    [anon_sym_BSLASHx] = ACTIONS(6690),
    [anon_sym_BSLASHxt] = ACTIONS(6692),
    [anon_sym_BSLASHrq] = ACTIONS(6694),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6696),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6698),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6700),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6702),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6704),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6706),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6708),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6710),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6712),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6714),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6716),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6718),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6720),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6722),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6724),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6726),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6728),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6730),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6732),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6734),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6736),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6738),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6740),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6742),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6744),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6746),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6748),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6750),
    [anon_sym_BSLASHfig] = ACTIONS(6752),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6754),
  },
  [816] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2606),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [817] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2607),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [818] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2610),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [819] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2464),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [820] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1679),
    [sym_fe] = STATE(1679),
    [sym_ef] = STATE(1679),
    [sym_fm] = STATE(1679),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1674),
    [sym_xt_standalone] = STATE(1674),
    [sym_rq] = STATE(1674),
    [sym__innerText] = STATE(1981),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6921),
    [anon_sym_BSLASHf] = ACTIONS(6682),
    [anon_sym_BSLASHfe] = ACTIONS(6684),
    [anon_sym_BSLASHef] = ACTIONS(6686),
    [anon_sym_BSLASHfm] = ACTIONS(6688),
    [anon_sym_BSLASHx] = ACTIONS(6690),
    [anon_sym_BSLASHxt] = ACTIONS(6692),
    [anon_sym_BSLASHrq] = ACTIONS(6694),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6696),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6698),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6700),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6702),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6704),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6706),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6708),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6710),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6712),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6714),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6716),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6718),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6720),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6722),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6724),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6726),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6728),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6730),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6732),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6734),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6736),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6738),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6740),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6742),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6744),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6746),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6748),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6750),
    [anon_sym_BSLASHfig] = ACTIONS(6752),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6754),
  },
  [821] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2454),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [822] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2851),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [823] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2434),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [824] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2428),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [825] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2424),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [826] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2423),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [827] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2421),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [828] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2419),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [829] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2417),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [830] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2416),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [831] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2414),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [832] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2855),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [833] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2343),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [834] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2860),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [835] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2410),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [836] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2066),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [837] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2408),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [838] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2407),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [839] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2863),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [840] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2868),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [841] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2406),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [842] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2797),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [843] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2096),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [844] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2875),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [845] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1679),
    [sym_fe] = STATE(1679),
    [sym_ef] = STATE(1679),
    [sym_fm] = STATE(1679),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1674),
    [sym_xt_standalone] = STATE(1674),
    [sym_rq] = STATE(1674),
    [sym__innerText] = STATE(1982),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6921),
    [anon_sym_BSLASHf] = ACTIONS(6682),
    [anon_sym_BSLASHfe] = ACTIONS(6684),
    [anon_sym_BSLASHef] = ACTIONS(6686),
    [anon_sym_BSLASHfm] = ACTIONS(6688),
    [anon_sym_BSLASHx] = ACTIONS(6690),
    [anon_sym_BSLASHxt] = ACTIONS(6692),
    [anon_sym_BSLASHrq] = ACTIONS(6694),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6696),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6698),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6700),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6702),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6704),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6706),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6708),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6710),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6712),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6714),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6716),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6718),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6720),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6722),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6724),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6726),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6728),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6730),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6732),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6734),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6736),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6738),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6740),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6742),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6744),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6746),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6748),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6750),
    [anon_sym_BSLASHfig] = ACTIONS(6752),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6754),
  },
  [846] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2876),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [847] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2086),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [848] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2842),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [849] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2877),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [850] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2097),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [851] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2841),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [852] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2835),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [853] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2108),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [854] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2833),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [855] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2832),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [856] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2082),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [857] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2072),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [858] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2827),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [859] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2824),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [860] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2823),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [861] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2114),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [862] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2822),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [863] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2821),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [864] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2107),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [865] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2059),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [866] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2820),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [867] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2085),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [868] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2576),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [869] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2575),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [870] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2582),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [871] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2581),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [872] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2574),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [873] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2018),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [874] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2572),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [875] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2571),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [876] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2570),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [877] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2569),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [878] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2580),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [879] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2546),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [880] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2568),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [881] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2567),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [882] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2566),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [883] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2545),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [884] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2426),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [885] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2565),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [886] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2564),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [887] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2819),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [888] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2563),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [889] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2562),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [890] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2334),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [891] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2328),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [892] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2537),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [893] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2818),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [894] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2674),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [895] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2684),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [896] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2685),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [897] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2561),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [898] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2560),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [899] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2686),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [900] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2687),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [901] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2701),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [902] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2713),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [903] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2714),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [904] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2959),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [905] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2715),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [906] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2804),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [907] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2808),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [908] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2809),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [909] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2811),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [910] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2559),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [911] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2812),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [912] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2558),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [913] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2878),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [914] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2882),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [915] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2883),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [916] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2885),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [917] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2888),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [918] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2889),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [919] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2845),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [920] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2891),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [921] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2557),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [922] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2029),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [923] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2026),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [924] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2893),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [925] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2896),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [926] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2897),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [927] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2535),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [928] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2783),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [929] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2529),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [930] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2528),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [931] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2527),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [932] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2492),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [933] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2092),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [934] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2799),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [935] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2556),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [936] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2671),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [937] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2796),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [938] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2791),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [939] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2318),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [940] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2788),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [941] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2787),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [942] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2786),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [943] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2298),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [944] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2785),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [945] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2252),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [946] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2468),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [947] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2776),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [948] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2292),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [949] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2775),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [950] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2289),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [951] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2288),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [952] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2287),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [953] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2784),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [954] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2774),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [955] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2253),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [956] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2773),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [957] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2772),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [958] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2254),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [959] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2770),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [960] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2769),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [961] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2255),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [962] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2767),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [963] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2766),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [964] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2256),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [965] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2765),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [966] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2049),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [967] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2257),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [968] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2480),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [969] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2475),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [970] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2463),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [971] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2258),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [972] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2259),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [973] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2260),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [974] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2764),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [975] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2261),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [976] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2262),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [977] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2760),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [978] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2263),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [979] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2264),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [980] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2554),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [981] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2890),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [982] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2265),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [983] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2010),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [984] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2266),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [985] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2022),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [986] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1679),
    [sym_fe] = STATE(1679),
    [sym_ef] = STATE(1679),
    [sym_fm] = STATE(1679),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1674),
    [sym_xt_standalone] = STATE(1674),
    [sym_rq] = STATE(1674),
    [sym__innerText] = STATE(1978),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6921),
    [anon_sym_BSLASHf] = ACTIONS(6682),
    [anon_sym_BSLASHfe] = ACTIONS(6684),
    [anon_sym_BSLASHef] = ACTIONS(6686),
    [anon_sym_BSLASHfm] = ACTIONS(6688),
    [anon_sym_BSLASHx] = ACTIONS(6690),
    [anon_sym_BSLASHxt] = ACTIONS(6692),
    [anon_sym_BSLASHrq] = ACTIONS(6694),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6696),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6698),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6700),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6702),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6704),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6706),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6708),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6710),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6712),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6714),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6716),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6718),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6720),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6722),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6724),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6726),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6728),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6730),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6732),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6734),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6736),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6738),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6740),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6742),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6744),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6746),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6748),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6750),
    [anon_sym_BSLASHfig] = ACTIONS(6752),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6754),
  },
  [987] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2552),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [988] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2267),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [989] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2755),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [990] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2602),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [991] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2751),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [992] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2721),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [993] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2551),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [994] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2469),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [995] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2650),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [996] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2550),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [997] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2649),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [998] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2268),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [999] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2647),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1000] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2295),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1001] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2296),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1002] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2297),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1003] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1679),
    [sym_fe] = STATE(1679),
    [sym_ef] = STATE(1679),
    [sym_fm] = STATE(1679),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1674),
    [sym_xt_standalone] = STATE(1674),
    [sym_rq] = STATE(1674),
    [sym__innerText] = STATE(1985),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6921),
    [anon_sym_BSLASHf] = ACTIONS(6682),
    [anon_sym_BSLASHfe] = ACTIONS(6684),
    [anon_sym_BSLASHef] = ACTIONS(6686),
    [anon_sym_BSLASHfm] = ACTIONS(6688),
    [anon_sym_BSLASHx] = ACTIONS(6690),
    [anon_sym_BSLASHxt] = ACTIONS(6692),
    [anon_sym_BSLASHrq] = ACTIONS(6694),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6696),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6698),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6700),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6702),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6704),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6706),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6708),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6710),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6712),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6714),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6716),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6718),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6720),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6722),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6724),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6726),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6728),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6730),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6732),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6734),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6736),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6738),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6740),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6742),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6744),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6746),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6748),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6750),
    [anon_sym_BSLASHfig] = ACTIONS(6752),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6754),
  },
  [1004] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2299),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1005] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1679),
    [sym_fe] = STATE(1679),
    [sym_ef] = STATE(1679),
    [sym_fm] = STATE(1679),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1674),
    [sym_xt_standalone] = STATE(1674),
    [sym_rq] = STATE(1674),
    [sym__innerText] = STATE(1979),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6921),
    [anon_sym_BSLASHf] = ACTIONS(6682),
    [anon_sym_BSLASHfe] = ACTIONS(6684),
    [anon_sym_BSLASHef] = ACTIONS(6686),
    [anon_sym_BSLASHfm] = ACTIONS(6688),
    [anon_sym_BSLASHx] = ACTIONS(6690),
    [anon_sym_BSLASHxt] = ACTIONS(6692),
    [anon_sym_BSLASHrq] = ACTIONS(6694),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6696),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6698),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6700),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6702),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6704),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6706),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6708),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6710),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6712),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6714),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6716),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6718),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6720),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6722),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6724),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6726),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6728),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6730),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6732),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6734),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6736),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6738),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6740),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6742),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6744),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6746),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6748),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6750),
    [anon_sym_BSLASHfig] = ACTIONS(6752),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6754),
  },
  [1006] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2646),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1007] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2645),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1008] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2644),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1009] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2523),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1010] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2643),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1011] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2542),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1012] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2641),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1013] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2470),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1014] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2300),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1015] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2301),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1016] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2302),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1017] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2303),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1018] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2640),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1019] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2634),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1020] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2471),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1021] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2304),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1022] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2305),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1023] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2306),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1024] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2307),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1025] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2308),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1026] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2309),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1027] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2310),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1028] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2311),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1029] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2312),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1030] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2313),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1031] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2472),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1032] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2314),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1033] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2315),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1034] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2316),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1035] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2522),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1036] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2633),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1037] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2317),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1038] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2027),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1039] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2521),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1040] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2039),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1041] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2319),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1042] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2631),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1043] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2630),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1044] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2021),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1045] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2519),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1046] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2518),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1047] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2517),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1048] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2516),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1049] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2515),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1050] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2320),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1051] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2321),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1052] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2364),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1053] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2365),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1054] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2366),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1055] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1679),
    [sym_fe] = STATE(1679),
    [sym_ef] = STATE(1679),
    [sym_fm] = STATE(1679),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1674),
    [sym_xt_standalone] = STATE(1674),
    [sym_rq] = STATE(1674),
    [sym__innerText] = STATE(1989),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6921),
    [anon_sym_BSLASHf] = ACTIONS(6682),
    [anon_sym_BSLASHfe] = ACTIONS(6684),
    [anon_sym_BSLASHef] = ACTIONS(6686),
    [anon_sym_BSLASHfm] = ACTIONS(6688),
    [anon_sym_BSLASHx] = ACTIONS(6690),
    [anon_sym_BSLASHxt] = ACTIONS(6692),
    [anon_sym_BSLASHrq] = ACTIONS(6694),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6696),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6698),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6700),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6702),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6704),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6706),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6708),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6710),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6712),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6714),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6716),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6718),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6720),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6722),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6724),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6726),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6728),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6730),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6732),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6734),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6736),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6738),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6740),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6742),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6744),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6746),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6748),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6750),
    [anon_sym_BSLASHfig] = ACTIONS(6752),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6754),
  },
  [1056] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2368),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1057] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2514),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1058] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2513),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1059] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2512),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1060] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2511),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1061] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2510),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1062] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2509),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1063] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2508),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1064] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2507),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1065] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2506),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1066] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2505),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1067] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2504),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1068] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2503),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1069] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2502),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1070] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2501),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1071] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1679),
    [sym_fe] = STATE(1679),
    [sym_ef] = STATE(1679),
    [sym_fm] = STATE(1679),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1674),
    [sym_xt_standalone] = STATE(1674),
    [sym_rq] = STATE(1674),
    [sym__innerText] = STATE(1991),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6921),
    [anon_sym_BSLASHf] = ACTIONS(6682),
    [anon_sym_BSLASHfe] = ACTIONS(6684),
    [anon_sym_BSLASHef] = ACTIONS(6686),
    [anon_sym_BSLASHfm] = ACTIONS(6688),
    [anon_sym_BSLASHx] = ACTIONS(6690),
    [anon_sym_BSLASHxt] = ACTIONS(6692),
    [anon_sym_BSLASHrq] = ACTIONS(6694),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6696),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6698),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6700),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6702),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6704),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6706),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6708),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6710),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6712),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6714),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6716),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6718),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6720),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6722),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6724),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6726),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6728),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6730),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6732),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6734),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6736),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6738),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6740),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6742),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6744),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6746),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6748),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6750),
    [anon_sym_BSLASHfig] = ACTIONS(6752),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6754),
  },
  [1072] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2499),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1073] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2498),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1074] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2497),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1075] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2457),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1076] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2456),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1077] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2455),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1078] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2064),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1079] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2453),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1080] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2452),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1081] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2451),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1082] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2879),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1083] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2449),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1084] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2448),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1085] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2447),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1086] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2446),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1087] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2627),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1088] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2445),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1089] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2388),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1090] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2444),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1091] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2369),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1092] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2443),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1093] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2625),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1094] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2370),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1095] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2442),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1096] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2441),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1097] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2440),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1098] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2439),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1099] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2555),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1100] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2437),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1101] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2436),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1102] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2371),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1103] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2372),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1104] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2435),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1105] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1679),
    [sym_fe] = STATE(1679),
    [sym_ef] = STATE(1679),
    [sym_fm] = STATE(1679),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1674),
    [sym_xt_standalone] = STATE(1674),
    [sym_rq] = STATE(1674),
    [sym__innerText] = STATE(1995),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6921),
    [anon_sym_BSLASHf] = ACTIONS(6682),
    [anon_sym_BSLASHfe] = ACTIONS(6684),
    [anon_sym_BSLASHef] = ACTIONS(6686),
    [anon_sym_BSLASHfm] = ACTIONS(6688),
    [anon_sym_BSLASHx] = ACTIONS(6690),
    [anon_sym_BSLASHxt] = ACTIONS(6692),
    [anon_sym_BSLASHrq] = ACTIONS(6694),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6696),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6698),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6700),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6702),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6704),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6706),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6708),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6710),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6712),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6714),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6716),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6718),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6720),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6722),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6724),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6726),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6728),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6730),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6732),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6734),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6736),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6738),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6740),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6742),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6744),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6746),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6748),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6750),
    [anon_sym_BSLASHfig] = ACTIONS(6752),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6754),
  },
  [1106] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2433),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1107] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2432),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1108] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2431),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1109] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2390),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1110] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2623),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1111] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1679),
    [sym_fe] = STATE(1679),
    [sym_ef] = STATE(1679),
    [sym_fm] = STATE(1679),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1674),
    [sym_xt_standalone] = STATE(1674),
    [sym_rq] = STATE(1674),
    [sym__innerText] = STATE(1994),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6921),
    [anon_sym_BSLASHf] = ACTIONS(6682),
    [anon_sym_BSLASHfe] = ACTIONS(6684),
    [anon_sym_BSLASHef] = ACTIONS(6686),
    [anon_sym_BSLASHfm] = ACTIONS(6688),
    [anon_sym_BSLASHx] = ACTIONS(6690),
    [anon_sym_BSLASHxt] = ACTIONS(6692),
    [anon_sym_BSLASHrq] = ACTIONS(6694),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6696),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6698),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6700),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6702),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6704),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6706),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6708),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6710),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6712),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6714),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6716),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6718),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6720),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6722),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6724),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6726),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6728),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6730),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6732),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6734),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6736),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6738),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6740),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6742),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6744),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6746),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6748),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6750),
    [anon_sym_BSLASHfig] = ACTIONS(6752),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6754),
  },
  [1112] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2389),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1113] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2473),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1114] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2438),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1115] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2373),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1116] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2056),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1117] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2386),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1118] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2385),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1119] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2474),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1120] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2384),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1121] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2383),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1122] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2382),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1123] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2476),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1124] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2604),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1125] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2381),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1126] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2622),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1127] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2374),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1128] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2380),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1129] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2379),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1130] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2378),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1131] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2621),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1132] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2377),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1133] = {
    [sym_text] = STATE(804),
    [sym_footnote] = STATE(804),
    [sym_f] = STATE(1736),
    [sym_fe] = STATE(1736),
    [sym_ef] = STATE(1736),
    [sym_fm] = STATE(1736),
    [sym_crossref] = STATE(804),
    [sym_x] = STATE(1734),
    [sym_xt_standalone] = STATE(1734),
    [sym_rq] = STATE(1734),
    [sym__innerText] = STATE(2376),
    [sym_addNested] = STATE(804),
    [sym_bkNested] = STATE(804),
    [sym_dcNested] = STATE(804),
    [sym_kNested] = STATE(804),
    [sym_ndNested] = STATE(804),
    [sym_ordNested] = STATE(804),
    [sym_pnNested] = STATE(804),
    [sym_pngNested] = STATE(804),
    [sym_addpnNested] = STATE(804),
    [sym_qtNested] = STATE(804),
    [sym_sigNested] = STATE(804),
    [sym_slsNested] = STATE(804),
    [sym_tlNested] = STATE(804),
    [sym_wjNested] = STATE(804),
    [sym_emNested] = STATE(804),
    [sym_bdNested] = STATE(804),
    [sym_itNested] = STATE(804),
    [sym_bditNested] = STATE(804),
    [sym_noNested] = STATE(804),
    [sym_scNested] = STATE(804),
    [sym_supNested] = STATE(804),
    [sym_ndxNested] = STATE(804),
    [sym_proNested] = STATE(804),
    [sym_rbNested] = STATE(804),
    [sym_wNested] = STATE(804),
    [sym_wgNested] = STATE(804),
    [sym_whNested] = STATE(804),
    [sym_waNested] = STATE(804),
    [sym__nestedCharacterMarker] = STATE(804),
    [sym_fig] = STATE(804),
    [sym_jmpNested] = STATE(804),
    [aux_sym__innerText_repeat1] = STATE(804),
    [aux_sym_text_token1] = ACTIONS(6903),
    [anon_sym_BSLASHf] = ACTIONS(6905),
    [anon_sym_BSLASHfe] = ACTIONS(6907),
    [anon_sym_BSLASHef] = ACTIONS(6909),
    [anon_sym_BSLASHfm] = ACTIONS(6911),
    [anon_sym_BSLASHx] = ACTIONS(6913),
    [anon_sym_BSLASHxt] = ACTIONS(6915),
    [anon_sym_BSLASHrq] = ACTIONS(6917),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(6919),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1134] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2620),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1135] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2619),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1136] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2375),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1137] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2614),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1138] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2605),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1139] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2608),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1140] = {
    [sym_text] = STATE(306),
    [sym_footnote] = STATE(306),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(306),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2031),
    [sym_addNested] = STATE(306),
    [sym_bkNested] = STATE(306),
    [sym_dcNested] = STATE(306),
    [sym_kNested] = STATE(306),
    [sym_ndNested] = STATE(306),
    [sym_ordNested] = STATE(306),
    [sym_pnNested] = STATE(306),
    [sym_pngNested] = STATE(306),
    [sym_addpnNested] = STATE(306),
    [sym_qtNested] = STATE(306),
    [sym_sigNested] = STATE(306),
    [sym_slsNested] = STATE(306),
    [sym_tlNested] = STATE(306),
    [sym_wjNested] = STATE(306),
    [sym_emNested] = STATE(306),
    [sym_bdNested] = STATE(306),
    [sym_itNested] = STATE(306),
    [sym_bditNested] = STATE(306),
    [sym_noNested] = STATE(306),
    [sym_scNested] = STATE(306),
    [sym_supNested] = STATE(306),
    [sym_ndxNested] = STATE(306),
    [sym_proNested] = STATE(306),
    [sym_rbNested] = STATE(306),
    [sym_wNested] = STATE(306),
    [sym_wgNested] = STATE(306),
    [sym_whNested] = STATE(306),
    [sym_waNested] = STATE(306),
    [sym__nestedCharacterMarker] = STATE(306),
    [sym_fig] = STATE(306),
    [sym_jmpNested] = STATE(306),
    [aux_sym__innerText_repeat1] = STATE(306),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
  },
  [1141] = {
    [sym_text] = STATE(322),
    [sym_footnote] = STATE(322),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(322),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [aux_sym_ms_repeat1] = STATE(322),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
  },
  [1142] = {
    [sym_text] = STATE(328),
    [sym_footnote] = STATE(328),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(328),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(328),
    [sym_bk] = STATE(328),
    [sym_dc] = STATE(328),
    [sym_k] = STATE(328),
    [sym_nd] = STATE(328),
    [sym_ord] = STATE(328),
    [sym_pn] = STATE(328),
    [sym_png] = STATE(328),
    [sym_addpn] = STATE(328),
    [sym_qt] = STATE(328),
    [sym_sig] = STATE(328),
    [sym_sls] = STATE(328),
    [sym_tl] = STATE(328),
    [sym_wj] = STATE(328),
    [sym_em] = STATE(328),
    [sym_bd] = STATE(328),
    [sym_it] = STATE(328),
    [sym_bdit] = STATE(328),
    [sym_no] = STATE(328),
    [sym_sc] = STATE(328),
    [sym_sup] = STATE(328),
    [sym_ndx] = STATE(328),
    [sym_pro] = STATE(328),
    [sym_rb] = STATE(328),
    [sym_w] = STATE(328),
    [sym_wg] = STATE(328),
    [sym_wh] = STATE(328),
    [sym_wa] = STATE(328),
    [sym__characterMarker] = STATE(328),
    [sym_fig] = STATE(328),
    [sym_jmp] = STATE(328),
    [aux_sym_ms_repeat1] = STATE(328),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHf] = ACTIONS(838),
    [anon_sym_BSLASHfe] = ACTIONS(840),
    [anon_sym_BSLASHef] = ACTIONS(842),
    [anon_sym_BSLASHfm] = ACTIONS(844),
    [anon_sym_BSLASHx] = ACTIONS(846),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHrq] = ACTIONS(850),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
  },
  [1143] = {
    [sym_text] = STATE(309),
    [sym_footnote] = STATE(309),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(309),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [aux_sym_ms_repeat1] = STATE(309),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
  },
  [1144] = {
    [sym_text] = STATE(307),
    [sym_footnote] = STATE(307),
    [sym_f] = STATE(436),
    [sym_fe] = STATE(436),
    [sym_ef] = STATE(436),
    [sym_fm] = STATE(436),
    [sym_crossref] = STATE(307),
    [sym_x] = STATE(423),
    [sym_xt_standalone] = STATE(423),
    [sym_rq] = STATE(423),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [aux_sym_ms_repeat1] = STATE(307),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHf] = ACTIONS(412),
    [anon_sym_BSLASHfe] = ACTIONS(414),
    [anon_sym_BSLASHef] = ACTIONS(416),
    [anon_sym_BSLASHfm] = ACTIONS(418),
    [anon_sym_BSLASHx] = ACTIONS(420),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHrq] = ACTIONS(424),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
  },
  [1145] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(1929),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHx_STAR] = ACTIONS(6923),
    [anon_sym_BSLASHxo] = ACTIONS(6923),
    [anon_sym_BSLASHxk] = ACTIONS(6923),
    [anon_sym_BSLASHxq] = ACTIONS(6923),
    [anon_sym_BSLASHxt] = ACTIONS(6923),
    [anon_sym_BSLASHxta] = ACTIONS(6923),
    [anon_sym_BSLASHxop] = ACTIONS(6923),
    [anon_sym_BSLASHxot] = ACTIONS(6923),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHxnt] = ACTIONS(6923),
    [anon_sym_BSLASHxdc] = ACTIONS(6923),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(6923),
  },
  [1146] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(1932),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHx_STAR] = ACTIONS(6927),
    [anon_sym_BSLASHxo] = ACTIONS(6927),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHxk] = ACTIONS(6927),
    [anon_sym_BSLASHxq] = ACTIONS(6927),
    [anon_sym_BSLASHxt] = ACTIONS(6927),
    [anon_sym_BSLASHxta] = ACTIONS(6927),
    [anon_sym_BSLASHxop] = ACTIONS(6927),
    [anon_sym_BSLASHxot] = ACTIONS(6927),
    [anon_sym_BSLASHxnt] = ACTIONS(6927),
    [anon_sym_BSLASHxdc] = ACTIONS(6927),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(6927),
  },
  [1147] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(1922),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHx_STAR] = ACTIONS(6931),
    [anon_sym_BSLASHxo] = ACTIONS(6931),
    [anon_sym_BSLASHxk] = ACTIONS(6931),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHxq] = ACTIONS(6931),
    [anon_sym_BSLASHxt] = ACTIONS(6931),
    [anon_sym_BSLASHxta] = ACTIONS(6931),
    [anon_sym_BSLASHxop] = ACTIONS(6931),
    [anon_sym_BSLASHxot] = ACTIONS(6931),
    [anon_sym_BSLASHxnt] = ACTIONS(6931),
    [anon_sym_BSLASHxdc] = ACTIONS(6931),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(6931),
  },
  [1148] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(1921),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHx_STAR] = ACTIONS(6935),
    [anon_sym_BSLASHxo] = ACTIONS(6935),
    [anon_sym_BSLASHxk] = ACTIONS(6935),
    [anon_sym_BSLASHxq] = ACTIONS(6935),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHxt] = ACTIONS(6935),
    [anon_sym_BSLASHxta] = ACTIONS(6935),
    [anon_sym_BSLASHxop] = ACTIONS(6935),
    [anon_sym_BSLASHxot] = ACTIONS(6935),
    [anon_sym_BSLASHxnt] = ACTIONS(6935),
    [anon_sym_BSLASHxdc] = ACTIONS(6935),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(6935),
  },
  [1149] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(1926),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHx_STAR] = ACTIONS(6939),
    [anon_sym_BSLASHxo] = ACTIONS(6939),
    [anon_sym_BSLASHxk] = ACTIONS(6939),
    [anon_sym_BSLASHxq] = ACTIONS(6939),
    [anon_sym_BSLASHxt] = ACTIONS(6939),
    [anon_sym_BSLASHxta] = ACTIONS(6939),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHxop] = ACTIONS(6939),
    [anon_sym_BSLASHxot] = ACTIONS(6939),
    [anon_sym_BSLASHxnt] = ACTIONS(6939),
    [anon_sym_BSLASHxdc] = ACTIONS(6939),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(6939),
  },
  [1150] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(1930),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHx_STAR] = ACTIONS(6943),
    [anon_sym_BSLASHxo] = ACTIONS(6943),
    [anon_sym_BSLASHxk] = ACTIONS(6943),
    [anon_sym_BSLASHxq] = ACTIONS(6943),
    [anon_sym_BSLASHxt] = ACTIONS(6943),
    [anon_sym_BSLASHxta] = ACTIONS(6943),
    [anon_sym_BSLASHxop] = ACTIONS(6943),
    [anon_sym_BSLASHxot] = ACTIONS(6943),
    [anon_sym_BSLASHxnt] = ACTIONS(6943),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHxdc] = ACTIONS(6943),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(6943),
  },
  [1151] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(1925),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHx_STAR] = ACTIONS(6947),
    [anon_sym_BSLASHxo] = ACTIONS(6947),
    [anon_sym_BSLASHxk] = ACTIONS(6947),
    [anon_sym_BSLASHxq] = ACTIONS(6947),
    [anon_sym_BSLASHxt] = ACTIONS(6947),
    [anon_sym_BSLASHxta] = ACTIONS(6947),
    [anon_sym_BSLASHxop] = ACTIONS(6947),
    [anon_sym_BSLASHxot] = ACTIONS(6947),
    [anon_sym_BSLASHxnt] = ACTIONS(6947),
    [anon_sym_BSLASHxdc] = ACTIONS(6947),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(6949),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(6947),
  },
  [1152] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(1927),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHx_STAR] = ACTIONS(6951),
    [anon_sym_BSLASHxo] = ACTIONS(6951),
    [anon_sym_BSLASHxk] = ACTIONS(6951),
    [anon_sym_BSLASHxq] = ACTIONS(6951),
    [anon_sym_BSLASHxt] = ACTIONS(6951),
    [anon_sym_BSLASHxta] = ACTIONS(6951),
    [anon_sym_BSLASHxop] = ACTIONS(6951),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(6953),
    [anon_sym_BSLASHxot] = ACTIONS(6951),
    [anon_sym_BSLASHxnt] = ACTIONS(6951),
    [anon_sym_BSLASHxdc] = ACTIONS(6951),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_BSLASHcat] = ACTIONS(6951),
  },
  [1153] = {
    [aux_sym_text_token1] = ACTIONS(6955),
    [anon_sym_BSLASHref] = ACTIONS(6957),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6957),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6957),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6957),
    [anon_sym_BSLASHfr] = ACTIONS(6957),
    [anon_sym_BSLASHfq] = ACTIONS(6957),
    [anon_sym_BSLASHfqa] = ACTIONS(6957),
    [anon_sym_BSLASHfk] = ACTIONS(6957),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(6959),
    [anon_sym_BSLASHfl] = ACTIONS(6957),
    [anon_sym_BSLASHfw] = ACTIONS(6957),
    [anon_sym_BSLASHfp] = ACTIONS(6957),
    [anon_sym_BSLASHft] = ACTIONS(6957),
    [anon_sym_BSLASHfdc] = ACTIONS(6957),
    [anon_sym_BSLASHfv] = ACTIONS(6957),
    [anon_sym_BSLASHxt] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6957),
    [anon_sym_BSLASHadd] = ACTIONS(6957),
    [anon_sym_BSLASHbk] = ACTIONS(6957),
    [anon_sym_BSLASHdc] = ACTIONS(6957),
    [anon_sym_BSLASHk] = ACTIONS(6957),
    [anon_sym_BSLASHnd] = ACTIONS(6957),
    [anon_sym_BSLASHord] = ACTIONS(6957),
    [anon_sym_BSLASHpn] = ACTIONS(6957),
    [anon_sym_BSLASHpng] = ACTIONS(6957),
    [anon_sym_BSLASHaddpn] = ACTIONS(6957),
    [anon_sym_BSLASHqt] = ACTIONS(6957),
    [anon_sym_BSLASHsig] = ACTIONS(6957),
    [anon_sym_BSLASHsls] = ACTIONS(6957),
    [anon_sym_BSLASHtl] = ACTIONS(6957),
    [anon_sym_BSLASHwj] = ACTIONS(6957),
    [anon_sym_BSLASHem] = ACTIONS(6957),
    [anon_sym_BSLASHbd] = ACTIONS(6957),
    [anon_sym_BSLASHit] = ACTIONS(6957),
    [anon_sym_BSLASHbdit] = ACTIONS(6957),
    [anon_sym_BSLASHno] = ACTIONS(6957),
    [anon_sym_BSLASHsc] = ACTIONS(6957),
    [anon_sym_BSLASHsup] = ACTIONS(6957),
    [anon_sym_BSLASHndx] = ACTIONS(6957),
    [anon_sym_BSLASHpro] = ACTIONS(6957),
    [anon_sym_BSLASHrb] = ACTIONS(6957),
    [anon_sym_BSLASHw] = ACTIONS(6957),
    [anon_sym_BSLASHwg] = ACTIONS(6957),
    [anon_sym_BSLASHwh] = ACTIONS(6957),
    [anon_sym_BSLASHwa] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6957),
    [anon_sym_BSLASHfig] = ACTIONS(6957),
    [anon_sym_BSLASHjmp] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6957),
    [anon_sym_BSLASHcat] = ACTIONS(6957),
  },
  [1154] = {
    [aux_sym_text_token1] = ACTIONS(6961),
    [anon_sym_BSLASHref] = ACTIONS(6963),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6963),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6963),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6963),
    [anon_sym_BSLASHfr] = ACTIONS(6963),
    [anon_sym_BSLASHfq] = ACTIONS(6963),
    [anon_sym_BSLASHfqa] = ACTIONS(6963),
    [anon_sym_BSLASHfk] = ACTIONS(6963),
    [anon_sym_BSLASHfl] = ACTIONS(6963),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(6965),
    [anon_sym_BSLASHfw] = ACTIONS(6963),
    [anon_sym_BSLASHfp] = ACTIONS(6963),
    [anon_sym_BSLASHft] = ACTIONS(6963),
    [anon_sym_BSLASHfdc] = ACTIONS(6963),
    [anon_sym_BSLASHfv] = ACTIONS(6963),
    [anon_sym_BSLASHxt] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6963),
    [anon_sym_BSLASHadd] = ACTIONS(6963),
    [anon_sym_BSLASHbk] = ACTIONS(6963),
    [anon_sym_BSLASHdc] = ACTIONS(6963),
    [anon_sym_BSLASHk] = ACTIONS(6963),
    [anon_sym_BSLASHnd] = ACTIONS(6963),
    [anon_sym_BSLASHord] = ACTIONS(6963),
    [anon_sym_BSLASHpn] = ACTIONS(6963),
    [anon_sym_BSLASHpng] = ACTIONS(6963),
    [anon_sym_BSLASHaddpn] = ACTIONS(6963),
    [anon_sym_BSLASHqt] = ACTIONS(6963),
    [anon_sym_BSLASHsig] = ACTIONS(6963),
    [anon_sym_BSLASHsls] = ACTIONS(6963),
    [anon_sym_BSLASHtl] = ACTIONS(6963),
    [anon_sym_BSLASHwj] = ACTIONS(6963),
    [anon_sym_BSLASHem] = ACTIONS(6963),
    [anon_sym_BSLASHbd] = ACTIONS(6963),
    [anon_sym_BSLASHit] = ACTIONS(6963),
    [anon_sym_BSLASHbdit] = ACTIONS(6963),
    [anon_sym_BSLASHno] = ACTIONS(6963),
    [anon_sym_BSLASHsc] = ACTIONS(6963),
    [anon_sym_BSLASHsup] = ACTIONS(6963),
    [anon_sym_BSLASHndx] = ACTIONS(6963),
    [anon_sym_BSLASHpro] = ACTIONS(6963),
    [anon_sym_BSLASHrb] = ACTIONS(6963),
    [anon_sym_BSLASHw] = ACTIONS(6963),
    [anon_sym_BSLASHwg] = ACTIONS(6963),
    [anon_sym_BSLASHwh] = ACTIONS(6963),
    [anon_sym_BSLASHwa] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6963),
    [anon_sym_BSLASHfig] = ACTIONS(6963),
    [anon_sym_BSLASHjmp] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6963),
    [anon_sym_BSLASHcat] = ACTIONS(6963),
  },
  [1155] = {
    [aux_sym_text_token1] = ACTIONS(6967),
    [anon_sym_BSLASHref] = ACTIONS(6969),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6969),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6969),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6969),
    [anon_sym_BSLASHfr] = ACTIONS(6969),
    [anon_sym_BSLASHfq] = ACTIONS(6969),
    [anon_sym_BSLASHfqa] = ACTIONS(6969),
    [anon_sym_BSLASHfk] = ACTIONS(6969),
    [anon_sym_BSLASHfl] = ACTIONS(6969),
    [anon_sym_BSLASHfw] = ACTIONS(6969),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(6971),
    [anon_sym_BSLASHfp] = ACTIONS(6969),
    [anon_sym_BSLASHft] = ACTIONS(6969),
    [anon_sym_BSLASHfdc] = ACTIONS(6969),
    [anon_sym_BSLASHfv] = ACTIONS(6969),
    [anon_sym_BSLASHxt] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6969),
    [anon_sym_BSLASHadd] = ACTIONS(6969),
    [anon_sym_BSLASHbk] = ACTIONS(6969),
    [anon_sym_BSLASHdc] = ACTIONS(6969),
    [anon_sym_BSLASHk] = ACTIONS(6969),
    [anon_sym_BSLASHnd] = ACTIONS(6969),
    [anon_sym_BSLASHord] = ACTIONS(6969),
    [anon_sym_BSLASHpn] = ACTIONS(6969),
    [anon_sym_BSLASHpng] = ACTIONS(6969),
    [anon_sym_BSLASHaddpn] = ACTIONS(6969),
    [anon_sym_BSLASHqt] = ACTIONS(6969),
    [anon_sym_BSLASHsig] = ACTIONS(6969),
    [anon_sym_BSLASHsls] = ACTIONS(6969),
    [anon_sym_BSLASHtl] = ACTIONS(6969),
    [anon_sym_BSLASHwj] = ACTIONS(6969),
    [anon_sym_BSLASHem] = ACTIONS(6969),
    [anon_sym_BSLASHbd] = ACTIONS(6969),
    [anon_sym_BSLASHit] = ACTIONS(6969),
    [anon_sym_BSLASHbdit] = ACTIONS(6969),
    [anon_sym_BSLASHno] = ACTIONS(6969),
    [anon_sym_BSLASHsc] = ACTIONS(6969),
    [anon_sym_BSLASHsup] = ACTIONS(6969),
    [anon_sym_BSLASHndx] = ACTIONS(6969),
    [anon_sym_BSLASHpro] = ACTIONS(6969),
    [anon_sym_BSLASHrb] = ACTIONS(6969),
    [anon_sym_BSLASHw] = ACTIONS(6969),
    [anon_sym_BSLASHwg] = ACTIONS(6969),
    [anon_sym_BSLASHwh] = ACTIONS(6969),
    [anon_sym_BSLASHwa] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6969),
    [anon_sym_BSLASHfig] = ACTIONS(6969),
    [anon_sym_BSLASHjmp] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6969),
    [anon_sym_BSLASHcat] = ACTIONS(6969),
  },
  [1156] = {
    [aux_sym_text_token1] = ACTIONS(6973),
    [anon_sym_BSLASHref] = ACTIONS(6975),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6975),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6975),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6975),
    [anon_sym_BSLASHfr] = ACTIONS(6975),
    [anon_sym_BSLASHfq] = ACTIONS(6975),
    [anon_sym_BSLASHfqa] = ACTIONS(6975),
    [anon_sym_BSLASHfk] = ACTIONS(6975),
    [anon_sym_BSLASHfl] = ACTIONS(6975),
    [anon_sym_BSLASHfw] = ACTIONS(6975),
    [anon_sym_BSLASHfp] = ACTIONS(6975),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(6977),
    [anon_sym_BSLASHft] = ACTIONS(6975),
    [anon_sym_BSLASHfdc] = ACTIONS(6975),
    [anon_sym_BSLASHfv] = ACTIONS(6975),
    [anon_sym_BSLASHxt] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6975),
    [anon_sym_BSLASHadd] = ACTIONS(6975),
    [anon_sym_BSLASHbk] = ACTIONS(6975),
    [anon_sym_BSLASHdc] = ACTIONS(6975),
    [anon_sym_BSLASHk] = ACTIONS(6975),
    [anon_sym_BSLASHnd] = ACTIONS(6975),
    [anon_sym_BSLASHord] = ACTIONS(6975),
    [anon_sym_BSLASHpn] = ACTIONS(6975),
    [anon_sym_BSLASHpng] = ACTIONS(6975),
    [anon_sym_BSLASHaddpn] = ACTIONS(6975),
    [anon_sym_BSLASHqt] = ACTIONS(6975),
    [anon_sym_BSLASHsig] = ACTIONS(6975),
    [anon_sym_BSLASHsls] = ACTIONS(6975),
    [anon_sym_BSLASHtl] = ACTIONS(6975),
    [anon_sym_BSLASHwj] = ACTIONS(6975),
    [anon_sym_BSLASHem] = ACTIONS(6975),
    [anon_sym_BSLASHbd] = ACTIONS(6975),
    [anon_sym_BSLASHit] = ACTIONS(6975),
    [anon_sym_BSLASHbdit] = ACTIONS(6975),
    [anon_sym_BSLASHno] = ACTIONS(6975),
    [anon_sym_BSLASHsc] = ACTIONS(6975),
    [anon_sym_BSLASHsup] = ACTIONS(6975),
    [anon_sym_BSLASHndx] = ACTIONS(6975),
    [anon_sym_BSLASHpro] = ACTIONS(6975),
    [anon_sym_BSLASHrb] = ACTIONS(6975),
    [anon_sym_BSLASHw] = ACTIONS(6975),
    [anon_sym_BSLASHwg] = ACTIONS(6975),
    [anon_sym_BSLASHwh] = ACTIONS(6975),
    [anon_sym_BSLASHwa] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6975),
    [anon_sym_BSLASHfig] = ACTIONS(6975),
    [anon_sym_BSLASHjmp] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6975),
    [anon_sym_BSLASHcat] = ACTIONS(6975),
  },
  [1157] = {
    [aux_sym_text_token1] = ACTIONS(6979),
    [anon_sym_BSLASHref] = ACTIONS(6981),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6981),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6981),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6981),
    [anon_sym_BSLASHfr] = ACTIONS(6981),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(6983),
    [anon_sym_BSLASHfq] = ACTIONS(6981),
    [anon_sym_BSLASHfqa] = ACTIONS(6981),
    [anon_sym_BSLASHfk] = ACTIONS(6981),
    [anon_sym_BSLASHfl] = ACTIONS(6981),
    [anon_sym_BSLASHfw] = ACTIONS(6981),
    [anon_sym_BSLASHfp] = ACTIONS(6981),
    [anon_sym_BSLASHft] = ACTIONS(6981),
    [anon_sym_BSLASHfdc] = ACTIONS(6981),
    [anon_sym_BSLASHfv] = ACTIONS(6981),
    [anon_sym_BSLASHxt] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6981),
    [anon_sym_BSLASHadd] = ACTIONS(6981),
    [anon_sym_BSLASHbk] = ACTIONS(6981),
    [anon_sym_BSLASHdc] = ACTIONS(6981),
    [anon_sym_BSLASHk] = ACTIONS(6981),
    [anon_sym_BSLASHnd] = ACTIONS(6981),
    [anon_sym_BSLASHord] = ACTIONS(6981),
    [anon_sym_BSLASHpn] = ACTIONS(6981),
    [anon_sym_BSLASHpng] = ACTIONS(6981),
    [anon_sym_BSLASHaddpn] = ACTIONS(6981),
    [anon_sym_BSLASHqt] = ACTIONS(6981),
    [anon_sym_BSLASHsig] = ACTIONS(6981),
    [anon_sym_BSLASHsls] = ACTIONS(6981),
    [anon_sym_BSLASHtl] = ACTIONS(6981),
    [anon_sym_BSLASHwj] = ACTIONS(6981),
    [anon_sym_BSLASHem] = ACTIONS(6981),
    [anon_sym_BSLASHbd] = ACTIONS(6981),
    [anon_sym_BSLASHit] = ACTIONS(6981),
    [anon_sym_BSLASHbdit] = ACTIONS(6981),
    [anon_sym_BSLASHno] = ACTIONS(6981),
    [anon_sym_BSLASHsc] = ACTIONS(6981),
    [anon_sym_BSLASHsup] = ACTIONS(6981),
    [anon_sym_BSLASHndx] = ACTIONS(6981),
    [anon_sym_BSLASHpro] = ACTIONS(6981),
    [anon_sym_BSLASHrb] = ACTIONS(6981),
    [anon_sym_BSLASHw] = ACTIONS(6981),
    [anon_sym_BSLASHwg] = ACTIONS(6981),
    [anon_sym_BSLASHwh] = ACTIONS(6981),
    [anon_sym_BSLASHwa] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6981),
    [anon_sym_BSLASHfig] = ACTIONS(6981),
    [anon_sym_BSLASHjmp] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6981),
    [anon_sym_BSLASHcat] = ACTIONS(6981),
  },
  [1158] = {
    [aux_sym_text_token1] = ACTIONS(6985),
    [anon_sym_BSLASHref] = ACTIONS(6987),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6987),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6987),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6987),
    [anon_sym_BSLASHfr] = ACTIONS(6987),
    [anon_sym_BSLASHfq] = ACTIONS(6987),
    [anon_sym_BSLASHfqa] = ACTIONS(6987),
    [anon_sym_BSLASHfk] = ACTIONS(6987),
    [anon_sym_BSLASHfl] = ACTIONS(6987),
    [anon_sym_BSLASHfw] = ACTIONS(6987),
    [anon_sym_BSLASHfp] = ACTIONS(6987),
    [anon_sym_BSLASHft] = ACTIONS(6987),
    [anon_sym_BSLASHft_STAR] = ACTIONS(6989),
    [anon_sym_BSLASHfdc] = ACTIONS(6987),
    [anon_sym_BSLASHfv] = ACTIONS(6987),
    [anon_sym_BSLASHxt] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6987),
    [anon_sym_BSLASHadd] = ACTIONS(6987),
    [anon_sym_BSLASHbk] = ACTIONS(6987),
    [anon_sym_BSLASHdc] = ACTIONS(6987),
    [anon_sym_BSLASHk] = ACTIONS(6987),
    [anon_sym_BSLASHnd] = ACTIONS(6987),
    [anon_sym_BSLASHord] = ACTIONS(6987),
    [anon_sym_BSLASHpn] = ACTIONS(6987),
    [anon_sym_BSLASHpng] = ACTIONS(6987),
    [anon_sym_BSLASHaddpn] = ACTIONS(6987),
    [anon_sym_BSLASHqt] = ACTIONS(6987),
    [anon_sym_BSLASHsig] = ACTIONS(6987),
    [anon_sym_BSLASHsls] = ACTIONS(6987),
    [anon_sym_BSLASHtl] = ACTIONS(6987),
    [anon_sym_BSLASHwj] = ACTIONS(6987),
    [anon_sym_BSLASHem] = ACTIONS(6987),
    [anon_sym_BSLASHbd] = ACTIONS(6987),
    [anon_sym_BSLASHit] = ACTIONS(6987),
    [anon_sym_BSLASHbdit] = ACTIONS(6987),
    [anon_sym_BSLASHno] = ACTIONS(6987),
    [anon_sym_BSLASHsc] = ACTIONS(6987),
    [anon_sym_BSLASHsup] = ACTIONS(6987),
    [anon_sym_BSLASHndx] = ACTIONS(6987),
    [anon_sym_BSLASHpro] = ACTIONS(6987),
    [anon_sym_BSLASHrb] = ACTIONS(6987),
    [anon_sym_BSLASHw] = ACTIONS(6987),
    [anon_sym_BSLASHwg] = ACTIONS(6987),
    [anon_sym_BSLASHwh] = ACTIONS(6987),
    [anon_sym_BSLASHwa] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6987),
    [anon_sym_BSLASHfig] = ACTIONS(6987),
    [anon_sym_BSLASHjmp] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6987),
    [anon_sym_BSLASHcat] = ACTIONS(6987),
  },
  [1159] = {
    [aux_sym_text_token1] = ACTIONS(6991),
    [anon_sym_BSLASHref] = ACTIONS(6993),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6993),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6993),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6993),
    [anon_sym_BSLASHfr] = ACTIONS(6993),
    [anon_sym_BSLASHfq] = ACTIONS(6993),
    [anon_sym_BSLASHfqa] = ACTIONS(6993),
    [anon_sym_BSLASHfk] = ACTIONS(6993),
    [anon_sym_BSLASHfl] = ACTIONS(6993),
    [anon_sym_BSLASHfw] = ACTIONS(6993),
    [anon_sym_BSLASHfp] = ACTIONS(6993),
    [anon_sym_BSLASHft] = ACTIONS(6993),
    [anon_sym_BSLASHfdc] = ACTIONS(6993),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(6995),
    [anon_sym_BSLASHfv] = ACTIONS(6993),
    [anon_sym_BSLASHxt] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6993),
    [anon_sym_BSLASHadd] = ACTIONS(6993),
    [anon_sym_BSLASHbk] = ACTIONS(6993),
    [anon_sym_BSLASHdc] = ACTIONS(6993),
    [anon_sym_BSLASHk] = ACTIONS(6993),
    [anon_sym_BSLASHnd] = ACTIONS(6993),
    [anon_sym_BSLASHord] = ACTIONS(6993),
    [anon_sym_BSLASHpn] = ACTIONS(6993),
    [anon_sym_BSLASHpng] = ACTIONS(6993),
    [anon_sym_BSLASHaddpn] = ACTIONS(6993),
    [anon_sym_BSLASHqt] = ACTIONS(6993),
    [anon_sym_BSLASHsig] = ACTIONS(6993),
    [anon_sym_BSLASHsls] = ACTIONS(6993),
    [anon_sym_BSLASHtl] = ACTIONS(6993),
    [anon_sym_BSLASHwj] = ACTIONS(6993),
    [anon_sym_BSLASHem] = ACTIONS(6993),
    [anon_sym_BSLASHbd] = ACTIONS(6993),
    [anon_sym_BSLASHit] = ACTIONS(6993),
    [anon_sym_BSLASHbdit] = ACTIONS(6993),
    [anon_sym_BSLASHno] = ACTIONS(6993),
    [anon_sym_BSLASHsc] = ACTIONS(6993),
    [anon_sym_BSLASHsup] = ACTIONS(6993),
    [anon_sym_BSLASHndx] = ACTIONS(6993),
    [anon_sym_BSLASHpro] = ACTIONS(6993),
    [anon_sym_BSLASHrb] = ACTIONS(6993),
    [anon_sym_BSLASHw] = ACTIONS(6993),
    [anon_sym_BSLASHwg] = ACTIONS(6993),
    [anon_sym_BSLASHwh] = ACTIONS(6993),
    [anon_sym_BSLASHwa] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6993),
    [anon_sym_BSLASHfig] = ACTIONS(6993),
    [anon_sym_BSLASHjmp] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6993),
    [anon_sym_BSLASHcat] = ACTIONS(6993),
  },
  [1160] = {
    [aux_sym_text_token1] = ACTIONS(6997),
    [anon_sym_BSLASHref] = ACTIONS(6999),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6999),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6999),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6999),
    [anon_sym_BSLASHfr] = ACTIONS(6999),
    [anon_sym_BSLASHfq] = ACTIONS(6999),
    [anon_sym_BSLASHfqa] = ACTIONS(6999),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHfk] = ACTIONS(6999),
    [anon_sym_BSLASHfl] = ACTIONS(6999),
    [anon_sym_BSLASHfw] = ACTIONS(6999),
    [anon_sym_BSLASHfp] = ACTIONS(6999),
    [anon_sym_BSLASHft] = ACTIONS(6999),
    [anon_sym_BSLASHfdc] = ACTIONS(6999),
    [anon_sym_BSLASHfv] = ACTIONS(6999),
    [anon_sym_BSLASHxt] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6999),
    [anon_sym_BSLASHadd] = ACTIONS(6999),
    [anon_sym_BSLASHbk] = ACTIONS(6999),
    [anon_sym_BSLASHdc] = ACTIONS(6999),
    [anon_sym_BSLASHk] = ACTIONS(6999),
    [anon_sym_BSLASHnd] = ACTIONS(6999),
    [anon_sym_BSLASHord] = ACTIONS(6999),
    [anon_sym_BSLASHpn] = ACTIONS(6999),
    [anon_sym_BSLASHpng] = ACTIONS(6999),
    [anon_sym_BSLASHaddpn] = ACTIONS(6999),
    [anon_sym_BSLASHqt] = ACTIONS(6999),
    [anon_sym_BSLASHsig] = ACTIONS(6999),
    [anon_sym_BSLASHsls] = ACTIONS(6999),
    [anon_sym_BSLASHtl] = ACTIONS(6999),
    [anon_sym_BSLASHwj] = ACTIONS(6999),
    [anon_sym_BSLASHem] = ACTIONS(6999),
    [anon_sym_BSLASHbd] = ACTIONS(6999),
    [anon_sym_BSLASHit] = ACTIONS(6999),
    [anon_sym_BSLASHbdit] = ACTIONS(6999),
    [anon_sym_BSLASHno] = ACTIONS(6999),
    [anon_sym_BSLASHsc] = ACTIONS(6999),
    [anon_sym_BSLASHsup] = ACTIONS(6999),
    [anon_sym_BSLASHndx] = ACTIONS(6999),
    [anon_sym_BSLASHpro] = ACTIONS(6999),
    [anon_sym_BSLASHrb] = ACTIONS(6999),
    [anon_sym_BSLASHw] = ACTIONS(6999),
    [anon_sym_BSLASHwg] = ACTIONS(6999),
    [anon_sym_BSLASHwh] = ACTIONS(6999),
    [anon_sym_BSLASHwa] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6999),
    [anon_sym_BSLASHfig] = ACTIONS(6999),
    [anon_sym_BSLASHjmp] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6999),
    [anon_sym_BSLASHcat] = ACTIONS(6999),
  },
  [1161] = {
    [aux_sym_text_token1] = ACTIONS(7003),
    [anon_sym_BSLASHref] = ACTIONS(7005),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHfr] = ACTIONS(7005),
    [anon_sym_BSLASHfq] = ACTIONS(7005),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(7007),
    [anon_sym_BSLASHfqa] = ACTIONS(7005),
    [anon_sym_BSLASHfk] = ACTIONS(7005),
    [anon_sym_BSLASHfl] = ACTIONS(7005),
    [anon_sym_BSLASHfw] = ACTIONS(7005),
    [anon_sym_BSLASHfp] = ACTIONS(7005),
    [anon_sym_BSLASHft] = ACTIONS(7005),
    [anon_sym_BSLASHfdc] = ACTIONS(7005),
    [anon_sym_BSLASHfv] = ACTIONS(7005),
    [anon_sym_BSLASHxt] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7005),
    [anon_sym_BSLASHadd] = ACTIONS(7005),
    [anon_sym_BSLASHbk] = ACTIONS(7005),
    [anon_sym_BSLASHdc] = ACTIONS(7005),
    [anon_sym_BSLASHk] = ACTIONS(7005),
    [anon_sym_BSLASHnd] = ACTIONS(7005),
    [anon_sym_BSLASHord] = ACTIONS(7005),
    [anon_sym_BSLASHpn] = ACTIONS(7005),
    [anon_sym_BSLASHpng] = ACTIONS(7005),
    [anon_sym_BSLASHaddpn] = ACTIONS(7005),
    [anon_sym_BSLASHqt] = ACTIONS(7005),
    [anon_sym_BSLASHsig] = ACTIONS(7005),
    [anon_sym_BSLASHsls] = ACTIONS(7005),
    [anon_sym_BSLASHtl] = ACTIONS(7005),
    [anon_sym_BSLASHwj] = ACTIONS(7005),
    [anon_sym_BSLASHem] = ACTIONS(7005),
    [anon_sym_BSLASHbd] = ACTIONS(7005),
    [anon_sym_BSLASHit] = ACTIONS(7005),
    [anon_sym_BSLASHbdit] = ACTIONS(7005),
    [anon_sym_BSLASHno] = ACTIONS(7005),
    [anon_sym_BSLASHsc] = ACTIONS(7005),
    [anon_sym_BSLASHsup] = ACTIONS(7005),
    [anon_sym_BSLASHndx] = ACTIONS(7005),
    [anon_sym_BSLASHpro] = ACTIONS(7005),
    [anon_sym_BSLASHrb] = ACTIONS(7005),
    [anon_sym_BSLASHw] = ACTIONS(7005),
    [anon_sym_BSLASHwg] = ACTIONS(7005),
    [anon_sym_BSLASHwh] = ACTIONS(7005),
    [anon_sym_BSLASHwa] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7005),
    [anon_sym_BSLASHfig] = ACTIONS(7005),
    [anon_sym_BSLASHjmp] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7005),
    [anon_sym_BSLASHcat] = ACTIONS(7005),
  },
  [1162] = {
    [aux_sym_text_token1] = ACTIONS(7009),
    [anon_sym_BSLASHref] = ACTIONS(7011),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7011),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7011),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7011),
    [anon_sym_BSLASHfr] = ACTIONS(7011),
    [anon_sym_BSLASHfq] = ACTIONS(7011),
    [anon_sym_BSLASHfqa] = ACTIONS(7011),
    [anon_sym_BSLASHfk] = ACTIONS(7011),
    [anon_sym_BSLASHfl] = ACTIONS(7011),
    [anon_sym_BSLASHfw] = ACTIONS(7011),
    [anon_sym_BSLASHfp] = ACTIONS(7011),
    [anon_sym_BSLASHft] = ACTIONS(7011),
    [anon_sym_BSLASHfdc] = ACTIONS(7011),
    [anon_sym_BSLASHfv] = ACTIONS(7011),
    [anon_sym_BSLASHxt] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7011),
    [anon_sym_BSLASHadd] = ACTIONS(7011),
    [anon_sym_BSLASHbk] = ACTIONS(7011),
    [anon_sym_BSLASHdc] = ACTIONS(7011),
    [anon_sym_BSLASHk] = ACTIONS(7011),
    [anon_sym_BSLASHnd] = ACTIONS(7011),
    [anon_sym_BSLASHord] = ACTIONS(7011),
    [anon_sym_BSLASHpn] = ACTIONS(7011),
    [anon_sym_BSLASHpng] = ACTIONS(7011),
    [anon_sym_BSLASHaddpn] = ACTIONS(7011),
    [anon_sym_BSLASHqt] = ACTIONS(7011),
    [anon_sym_BSLASHsig] = ACTIONS(7011),
    [anon_sym_BSLASHsls] = ACTIONS(7011),
    [anon_sym_BSLASHtl] = ACTIONS(7011),
    [anon_sym_BSLASHwj] = ACTIONS(7011),
    [anon_sym_BSLASHem] = ACTIONS(7011),
    [anon_sym_BSLASHbd] = ACTIONS(7011),
    [anon_sym_BSLASHit] = ACTIONS(7011),
    [anon_sym_BSLASHbdit] = ACTIONS(7011),
    [anon_sym_BSLASHno] = ACTIONS(7011),
    [anon_sym_BSLASHsc] = ACTIONS(7011),
    [anon_sym_BSLASHsup] = ACTIONS(7011),
    [anon_sym_BSLASHndx] = ACTIONS(7011),
    [anon_sym_BSLASHpro] = ACTIONS(7011),
    [anon_sym_BSLASHrb] = ACTIONS(7011),
    [anon_sym_BSLASHw] = ACTIONS(7011),
    [anon_sym_BSLASHwg] = ACTIONS(7011),
    [anon_sym_BSLASHwh] = ACTIONS(7011),
    [anon_sym_BSLASHwa] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7011),
    [anon_sym_BSLASHfig] = ACTIONS(7011),
    [anon_sym_BSLASHjmp] = ACTIONS(7011),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7011),
    [anon_sym_BSLASHcat] = ACTIONS(7011),
  },
  [1163] = {
    [aux_sym_text_token1] = ACTIONS(6979),
    [anon_sym_BSLASHref] = ACTIONS(6981),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6981),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6981),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6981),
    [anon_sym_BSLASHfr] = ACTIONS(6981),
    [anon_sym_BSLASHfq] = ACTIONS(6981),
    [anon_sym_BSLASHfqa] = ACTIONS(6981),
    [anon_sym_BSLASHfk] = ACTIONS(6981),
    [anon_sym_BSLASHfl] = ACTIONS(6981),
    [anon_sym_BSLASHfw] = ACTIONS(6981),
    [anon_sym_BSLASHfp] = ACTIONS(6981),
    [anon_sym_BSLASHft] = ACTIONS(6981),
    [anon_sym_BSLASHfdc] = ACTIONS(6981),
    [anon_sym_BSLASHfv] = ACTIONS(6981),
    [anon_sym_BSLASHxt] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6981),
    [anon_sym_BSLASHadd] = ACTIONS(6981),
    [anon_sym_BSLASHbk] = ACTIONS(6981),
    [anon_sym_BSLASHdc] = ACTIONS(6981),
    [anon_sym_BSLASHk] = ACTIONS(6981),
    [anon_sym_BSLASHnd] = ACTIONS(6981),
    [anon_sym_BSLASHord] = ACTIONS(6981),
    [anon_sym_BSLASHpn] = ACTIONS(6981),
    [anon_sym_BSLASHpng] = ACTIONS(6981),
    [anon_sym_BSLASHaddpn] = ACTIONS(6981),
    [anon_sym_BSLASHqt] = ACTIONS(6981),
    [anon_sym_BSLASHsig] = ACTIONS(6981),
    [anon_sym_BSLASHsls] = ACTIONS(6981),
    [anon_sym_BSLASHtl] = ACTIONS(6981),
    [anon_sym_BSLASHwj] = ACTIONS(6981),
    [anon_sym_BSLASHem] = ACTIONS(6981),
    [anon_sym_BSLASHbd] = ACTIONS(6981),
    [anon_sym_BSLASHit] = ACTIONS(6981),
    [anon_sym_BSLASHbdit] = ACTIONS(6981),
    [anon_sym_BSLASHno] = ACTIONS(6981),
    [anon_sym_BSLASHsc] = ACTIONS(6981),
    [anon_sym_BSLASHsup] = ACTIONS(6981),
    [anon_sym_BSLASHndx] = ACTIONS(6981),
    [anon_sym_BSLASHpro] = ACTIONS(6981),
    [anon_sym_BSLASHrb] = ACTIONS(6981),
    [anon_sym_BSLASHw] = ACTIONS(6981),
    [anon_sym_BSLASHwg] = ACTIONS(6981),
    [anon_sym_BSLASHwh] = ACTIONS(6981),
    [anon_sym_BSLASHwa] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6981),
    [anon_sym_BSLASHfig] = ACTIONS(6981),
    [anon_sym_BSLASHjmp] = ACTIONS(6981),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6981),
    [anon_sym_BSLASHcat] = ACTIONS(6981),
  },
  [1164] = {
    [aux_sym_text_token1] = ACTIONS(7013),
    [anon_sym_BSLASHref] = ACTIONS(7015),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7015),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7015),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7015),
    [anon_sym_BSLASHfr] = ACTIONS(7015),
    [anon_sym_BSLASHfq] = ACTIONS(7015),
    [anon_sym_BSLASHfqa] = ACTIONS(7015),
    [anon_sym_BSLASHfk] = ACTIONS(7015),
    [anon_sym_BSLASHfl] = ACTIONS(7015),
    [anon_sym_BSLASHfw] = ACTIONS(7015),
    [anon_sym_BSLASHfp] = ACTIONS(7015),
    [anon_sym_BSLASHft] = ACTIONS(7015),
    [anon_sym_BSLASHfdc] = ACTIONS(7015),
    [anon_sym_BSLASHfv] = ACTIONS(7015),
    [anon_sym_BSLASHxt] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7015),
    [anon_sym_BSLASHadd] = ACTIONS(7015),
    [anon_sym_BSLASHbk] = ACTIONS(7015),
    [anon_sym_BSLASHdc] = ACTIONS(7015),
    [anon_sym_BSLASHk] = ACTIONS(7015),
    [anon_sym_BSLASHnd] = ACTIONS(7015),
    [anon_sym_BSLASHord] = ACTIONS(7015),
    [anon_sym_BSLASHpn] = ACTIONS(7015),
    [anon_sym_BSLASHpng] = ACTIONS(7015),
    [anon_sym_BSLASHaddpn] = ACTIONS(7015),
    [anon_sym_BSLASHqt] = ACTIONS(7015),
    [anon_sym_BSLASHsig] = ACTIONS(7015),
    [anon_sym_BSLASHsls] = ACTIONS(7015),
    [anon_sym_BSLASHtl] = ACTIONS(7015),
    [anon_sym_BSLASHwj] = ACTIONS(7015),
    [anon_sym_BSLASHem] = ACTIONS(7015),
    [anon_sym_BSLASHbd] = ACTIONS(7015),
    [anon_sym_BSLASHit] = ACTIONS(7015),
    [anon_sym_BSLASHbdit] = ACTIONS(7015),
    [anon_sym_BSLASHno] = ACTIONS(7015),
    [anon_sym_BSLASHsc] = ACTIONS(7015),
    [anon_sym_BSLASHsup] = ACTIONS(7015),
    [anon_sym_BSLASHndx] = ACTIONS(7015),
    [anon_sym_BSLASHpro] = ACTIONS(7015),
    [anon_sym_BSLASHrb] = ACTIONS(7015),
    [anon_sym_BSLASHw] = ACTIONS(7015),
    [anon_sym_BSLASHwg] = ACTIONS(7015),
    [anon_sym_BSLASHwh] = ACTIONS(7015),
    [anon_sym_BSLASHwa] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7015),
    [anon_sym_BSLASHfig] = ACTIONS(7015),
    [anon_sym_BSLASHjmp] = ACTIONS(7015),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7015),
    [anon_sym_BSLASHcat] = ACTIONS(7015),
  },
  [1165] = {
    [aux_sym_text_token1] = ACTIONS(7017),
    [anon_sym_BSLASHref] = ACTIONS(7019),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7019),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7019),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7019),
    [anon_sym_BSLASHfr] = ACTIONS(7019),
    [anon_sym_BSLASHfq] = ACTIONS(7019),
    [anon_sym_BSLASHfqa] = ACTIONS(7019),
    [anon_sym_BSLASHfk] = ACTIONS(7019),
    [anon_sym_BSLASHfl] = ACTIONS(7019),
    [anon_sym_BSLASHfw] = ACTIONS(7019),
    [anon_sym_BSLASHfp] = ACTIONS(7019),
    [anon_sym_BSLASHft] = ACTIONS(7019),
    [anon_sym_BSLASHfdc] = ACTIONS(7019),
    [anon_sym_BSLASHfv] = ACTIONS(7019),
    [anon_sym_BSLASHxt] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7019),
    [anon_sym_BSLASHadd] = ACTIONS(7019),
    [anon_sym_BSLASHbk] = ACTIONS(7019),
    [anon_sym_BSLASHdc] = ACTIONS(7019),
    [anon_sym_BSLASHk] = ACTIONS(7019),
    [anon_sym_BSLASHnd] = ACTIONS(7019),
    [anon_sym_BSLASHord] = ACTIONS(7019),
    [anon_sym_BSLASHpn] = ACTIONS(7019),
    [anon_sym_BSLASHpng] = ACTIONS(7019),
    [anon_sym_BSLASHaddpn] = ACTIONS(7019),
    [anon_sym_BSLASHqt] = ACTIONS(7019),
    [anon_sym_BSLASHsig] = ACTIONS(7019),
    [anon_sym_BSLASHsls] = ACTIONS(7019),
    [anon_sym_BSLASHtl] = ACTIONS(7019),
    [anon_sym_BSLASHwj] = ACTIONS(7019),
    [anon_sym_BSLASHem] = ACTIONS(7019),
    [anon_sym_BSLASHbd] = ACTIONS(7019),
    [anon_sym_BSLASHit] = ACTIONS(7019),
    [anon_sym_BSLASHbdit] = ACTIONS(7019),
    [anon_sym_BSLASHno] = ACTIONS(7019),
    [anon_sym_BSLASHsc] = ACTIONS(7019),
    [anon_sym_BSLASHsup] = ACTIONS(7019),
    [anon_sym_BSLASHndx] = ACTIONS(7019),
    [anon_sym_BSLASHpro] = ACTIONS(7019),
    [anon_sym_BSLASHrb] = ACTIONS(7019),
    [anon_sym_BSLASHw] = ACTIONS(7019),
    [anon_sym_BSLASHwg] = ACTIONS(7019),
    [anon_sym_BSLASHwh] = ACTIONS(7019),
    [anon_sym_BSLASHwa] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7019),
    [anon_sym_BSLASHfig] = ACTIONS(7019),
    [anon_sym_BSLASHjmp] = ACTIONS(7019),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7019),
    [anon_sym_BSLASHcat] = ACTIONS(7019),
  },
  [1166] = {
    [aux_sym_text_token1] = ACTIONS(7021),
    [anon_sym_BSLASHref] = ACTIONS(7023),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7023),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7023),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7023),
    [anon_sym_BSLASHfr] = ACTIONS(7023),
    [anon_sym_BSLASHfq] = ACTIONS(7023),
    [anon_sym_BSLASHfqa] = ACTIONS(7023),
    [anon_sym_BSLASHfk] = ACTIONS(7023),
    [anon_sym_BSLASHfl] = ACTIONS(7023),
    [anon_sym_BSLASHfw] = ACTIONS(7023),
    [anon_sym_BSLASHfp] = ACTIONS(7023),
    [anon_sym_BSLASHft] = ACTIONS(7023),
    [anon_sym_BSLASHfdc] = ACTIONS(7023),
    [anon_sym_BSLASHfv] = ACTIONS(7023),
    [anon_sym_BSLASHxt] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7023),
    [anon_sym_BSLASHadd] = ACTIONS(7023),
    [anon_sym_BSLASHbk] = ACTIONS(7023),
    [anon_sym_BSLASHdc] = ACTIONS(7023),
    [anon_sym_BSLASHk] = ACTIONS(7023),
    [anon_sym_BSLASHnd] = ACTIONS(7023),
    [anon_sym_BSLASHord] = ACTIONS(7023),
    [anon_sym_BSLASHpn] = ACTIONS(7023),
    [anon_sym_BSLASHpng] = ACTIONS(7023),
    [anon_sym_BSLASHaddpn] = ACTIONS(7023),
    [anon_sym_BSLASHqt] = ACTIONS(7023),
    [anon_sym_BSLASHsig] = ACTIONS(7023),
    [anon_sym_BSLASHsls] = ACTIONS(7023),
    [anon_sym_BSLASHtl] = ACTIONS(7023),
    [anon_sym_BSLASHwj] = ACTIONS(7023),
    [anon_sym_BSLASHem] = ACTIONS(7023),
    [anon_sym_BSLASHbd] = ACTIONS(7023),
    [anon_sym_BSLASHit] = ACTIONS(7023),
    [anon_sym_BSLASHbdit] = ACTIONS(7023),
    [anon_sym_BSLASHno] = ACTIONS(7023),
    [anon_sym_BSLASHsc] = ACTIONS(7023),
    [anon_sym_BSLASHsup] = ACTIONS(7023),
    [anon_sym_BSLASHndx] = ACTIONS(7023),
    [anon_sym_BSLASHpro] = ACTIONS(7023),
    [anon_sym_BSLASHrb] = ACTIONS(7023),
    [anon_sym_BSLASHw] = ACTIONS(7023),
    [anon_sym_BSLASHwg] = ACTIONS(7023),
    [anon_sym_BSLASHwh] = ACTIONS(7023),
    [anon_sym_BSLASHwa] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7023),
    [anon_sym_BSLASHfig] = ACTIONS(7023),
    [anon_sym_BSLASHjmp] = ACTIONS(7023),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7023),
    [anon_sym_BSLASHcat] = ACTIONS(7023),
  },
  [1167] = {
    [aux_sym_text_token1] = ACTIONS(7003),
    [anon_sym_BSLASHref] = ACTIONS(7005),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHfr] = ACTIONS(7005),
    [anon_sym_BSLASHfq] = ACTIONS(7005),
    [anon_sym_BSLASHfqa] = ACTIONS(7005),
    [anon_sym_BSLASHfk] = ACTIONS(7005),
    [anon_sym_BSLASHfl] = ACTIONS(7005),
    [anon_sym_BSLASHfw] = ACTIONS(7005),
    [anon_sym_BSLASHfp] = ACTIONS(7005),
    [anon_sym_BSLASHft] = ACTIONS(7005),
    [anon_sym_BSLASHfdc] = ACTIONS(7005),
    [anon_sym_BSLASHfv] = ACTIONS(7005),
    [anon_sym_BSLASHxt] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7005),
    [anon_sym_BSLASHadd] = ACTIONS(7005),
    [anon_sym_BSLASHbk] = ACTIONS(7005),
    [anon_sym_BSLASHdc] = ACTIONS(7005),
    [anon_sym_BSLASHk] = ACTIONS(7005),
    [anon_sym_BSLASHnd] = ACTIONS(7005),
    [anon_sym_BSLASHord] = ACTIONS(7005),
    [anon_sym_BSLASHpn] = ACTIONS(7005),
    [anon_sym_BSLASHpng] = ACTIONS(7005),
    [anon_sym_BSLASHaddpn] = ACTIONS(7005),
    [anon_sym_BSLASHqt] = ACTIONS(7005),
    [anon_sym_BSLASHsig] = ACTIONS(7005),
    [anon_sym_BSLASHsls] = ACTIONS(7005),
    [anon_sym_BSLASHtl] = ACTIONS(7005),
    [anon_sym_BSLASHwj] = ACTIONS(7005),
    [anon_sym_BSLASHem] = ACTIONS(7005),
    [anon_sym_BSLASHbd] = ACTIONS(7005),
    [anon_sym_BSLASHit] = ACTIONS(7005),
    [anon_sym_BSLASHbdit] = ACTIONS(7005),
    [anon_sym_BSLASHno] = ACTIONS(7005),
    [anon_sym_BSLASHsc] = ACTIONS(7005),
    [anon_sym_BSLASHsup] = ACTIONS(7005),
    [anon_sym_BSLASHndx] = ACTIONS(7005),
    [anon_sym_BSLASHpro] = ACTIONS(7005),
    [anon_sym_BSLASHrb] = ACTIONS(7005),
    [anon_sym_BSLASHw] = ACTIONS(7005),
    [anon_sym_BSLASHwg] = ACTIONS(7005),
    [anon_sym_BSLASHwh] = ACTIONS(7005),
    [anon_sym_BSLASHwa] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7005),
    [anon_sym_BSLASHfig] = ACTIONS(7005),
    [anon_sym_BSLASHjmp] = ACTIONS(7005),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7005),
    [anon_sym_BSLASHcat] = ACTIONS(7005),
  },
  [1168] = {
    [aux_sym_text_token1] = ACTIONS(6997),
    [anon_sym_BSLASHref] = ACTIONS(6999),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6999),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6999),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6999),
    [anon_sym_BSLASHfr] = ACTIONS(6999),
    [anon_sym_BSLASHfq] = ACTIONS(6999),
    [anon_sym_BSLASHfqa] = ACTIONS(6999),
    [anon_sym_BSLASHfk] = ACTIONS(6999),
    [anon_sym_BSLASHfl] = ACTIONS(6999),
    [anon_sym_BSLASHfw] = ACTIONS(6999),
    [anon_sym_BSLASHfp] = ACTIONS(6999),
    [anon_sym_BSLASHft] = ACTIONS(6999),
    [anon_sym_BSLASHfdc] = ACTIONS(6999),
    [anon_sym_BSLASHfv] = ACTIONS(6999),
    [anon_sym_BSLASHxt] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6999),
    [anon_sym_BSLASHadd] = ACTIONS(6999),
    [anon_sym_BSLASHbk] = ACTIONS(6999),
    [anon_sym_BSLASHdc] = ACTIONS(6999),
    [anon_sym_BSLASHk] = ACTIONS(6999),
    [anon_sym_BSLASHnd] = ACTIONS(6999),
    [anon_sym_BSLASHord] = ACTIONS(6999),
    [anon_sym_BSLASHpn] = ACTIONS(6999),
    [anon_sym_BSLASHpng] = ACTIONS(6999),
    [anon_sym_BSLASHaddpn] = ACTIONS(6999),
    [anon_sym_BSLASHqt] = ACTIONS(6999),
    [anon_sym_BSLASHsig] = ACTIONS(6999),
    [anon_sym_BSLASHsls] = ACTIONS(6999),
    [anon_sym_BSLASHtl] = ACTIONS(6999),
    [anon_sym_BSLASHwj] = ACTIONS(6999),
    [anon_sym_BSLASHem] = ACTIONS(6999),
    [anon_sym_BSLASHbd] = ACTIONS(6999),
    [anon_sym_BSLASHit] = ACTIONS(6999),
    [anon_sym_BSLASHbdit] = ACTIONS(6999),
    [anon_sym_BSLASHno] = ACTIONS(6999),
    [anon_sym_BSLASHsc] = ACTIONS(6999),
    [anon_sym_BSLASHsup] = ACTIONS(6999),
    [anon_sym_BSLASHndx] = ACTIONS(6999),
    [anon_sym_BSLASHpro] = ACTIONS(6999),
    [anon_sym_BSLASHrb] = ACTIONS(6999),
    [anon_sym_BSLASHw] = ACTIONS(6999),
    [anon_sym_BSLASHwg] = ACTIONS(6999),
    [anon_sym_BSLASHwh] = ACTIONS(6999),
    [anon_sym_BSLASHwa] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6999),
    [anon_sym_BSLASHfig] = ACTIONS(6999),
    [anon_sym_BSLASHjmp] = ACTIONS(6999),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6999),
    [anon_sym_BSLASHcat] = ACTIONS(6999),
  },
  [1169] = {
    [aux_sym_text_token1] = ACTIONS(6955),
    [anon_sym_BSLASHref] = ACTIONS(6957),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6957),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6957),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6957),
    [anon_sym_BSLASHfr] = ACTIONS(6957),
    [anon_sym_BSLASHfq] = ACTIONS(6957),
    [anon_sym_BSLASHfqa] = ACTIONS(6957),
    [anon_sym_BSLASHfk] = ACTIONS(6957),
    [anon_sym_BSLASHfl] = ACTIONS(6957),
    [anon_sym_BSLASHfw] = ACTIONS(6957),
    [anon_sym_BSLASHfp] = ACTIONS(6957),
    [anon_sym_BSLASHft] = ACTIONS(6957),
    [anon_sym_BSLASHfdc] = ACTIONS(6957),
    [anon_sym_BSLASHfv] = ACTIONS(6957),
    [anon_sym_BSLASHxt] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6957),
    [anon_sym_BSLASHadd] = ACTIONS(6957),
    [anon_sym_BSLASHbk] = ACTIONS(6957),
    [anon_sym_BSLASHdc] = ACTIONS(6957),
    [anon_sym_BSLASHk] = ACTIONS(6957),
    [anon_sym_BSLASHnd] = ACTIONS(6957),
    [anon_sym_BSLASHord] = ACTIONS(6957),
    [anon_sym_BSLASHpn] = ACTIONS(6957),
    [anon_sym_BSLASHpng] = ACTIONS(6957),
    [anon_sym_BSLASHaddpn] = ACTIONS(6957),
    [anon_sym_BSLASHqt] = ACTIONS(6957),
    [anon_sym_BSLASHsig] = ACTIONS(6957),
    [anon_sym_BSLASHsls] = ACTIONS(6957),
    [anon_sym_BSLASHtl] = ACTIONS(6957),
    [anon_sym_BSLASHwj] = ACTIONS(6957),
    [anon_sym_BSLASHem] = ACTIONS(6957),
    [anon_sym_BSLASHbd] = ACTIONS(6957),
    [anon_sym_BSLASHit] = ACTIONS(6957),
    [anon_sym_BSLASHbdit] = ACTIONS(6957),
    [anon_sym_BSLASHno] = ACTIONS(6957),
    [anon_sym_BSLASHsc] = ACTIONS(6957),
    [anon_sym_BSLASHsup] = ACTIONS(6957),
    [anon_sym_BSLASHndx] = ACTIONS(6957),
    [anon_sym_BSLASHpro] = ACTIONS(6957),
    [anon_sym_BSLASHrb] = ACTIONS(6957),
    [anon_sym_BSLASHw] = ACTIONS(6957),
    [anon_sym_BSLASHwg] = ACTIONS(6957),
    [anon_sym_BSLASHwh] = ACTIONS(6957),
    [anon_sym_BSLASHwa] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6957),
    [anon_sym_BSLASHfig] = ACTIONS(6957),
    [anon_sym_BSLASHjmp] = ACTIONS(6957),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6957),
    [anon_sym_BSLASHcat] = ACTIONS(6957),
  },
  [1170] = {
    [aux_sym_text_token1] = ACTIONS(7025),
    [anon_sym_BSLASHref] = ACTIONS(7027),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7027),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7027),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7027),
    [anon_sym_BSLASHfr] = ACTIONS(7027),
    [anon_sym_BSLASHfq] = ACTIONS(7027),
    [anon_sym_BSLASHfqa] = ACTIONS(7027),
    [anon_sym_BSLASHfk] = ACTIONS(7027),
    [anon_sym_BSLASHfl] = ACTIONS(7027),
    [anon_sym_BSLASHfw] = ACTIONS(7027),
    [anon_sym_BSLASHfp] = ACTIONS(7027),
    [anon_sym_BSLASHft] = ACTIONS(7027),
    [anon_sym_BSLASHfdc] = ACTIONS(7027),
    [anon_sym_BSLASHfv] = ACTIONS(7027),
    [anon_sym_BSLASHxt] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7027),
    [anon_sym_BSLASHadd] = ACTIONS(7027),
    [anon_sym_BSLASHbk] = ACTIONS(7027),
    [anon_sym_BSLASHdc] = ACTIONS(7027),
    [anon_sym_BSLASHk] = ACTIONS(7027),
    [anon_sym_BSLASHnd] = ACTIONS(7027),
    [anon_sym_BSLASHord] = ACTIONS(7027),
    [anon_sym_BSLASHpn] = ACTIONS(7027),
    [anon_sym_BSLASHpng] = ACTIONS(7027),
    [anon_sym_BSLASHaddpn] = ACTIONS(7027),
    [anon_sym_BSLASHqt] = ACTIONS(7027),
    [anon_sym_BSLASHsig] = ACTIONS(7027),
    [anon_sym_BSLASHsls] = ACTIONS(7027),
    [anon_sym_BSLASHtl] = ACTIONS(7027),
    [anon_sym_BSLASHwj] = ACTIONS(7027),
    [anon_sym_BSLASHem] = ACTIONS(7027),
    [anon_sym_BSLASHbd] = ACTIONS(7027),
    [anon_sym_BSLASHit] = ACTIONS(7027),
    [anon_sym_BSLASHbdit] = ACTIONS(7027),
    [anon_sym_BSLASHno] = ACTIONS(7027),
    [anon_sym_BSLASHsc] = ACTIONS(7027),
    [anon_sym_BSLASHsup] = ACTIONS(7027),
    [anon_sym_BSLASHndx] = ACTIONS(7027),
    [anon_sym_BSLASHpro] = ACTIONS(7027),
    [anon_sym_BSLASHrb] = ACTIONS(7027),
    [anon_sym_BSLASHw] = ACTIONS(7027),
    [anon_sym_BSLASHwg] = ACTIONS(7027),
    [anon_sym_BSLASHwh] = ACTIONS(7027),
    [anon_sym_BSLASHwa] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7027),
    [anon_sym_BSLASHfig] = ACTIONS(7027),
    [anon_sym_BSLASHjmp] = ACTIONS(7027),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7027),
    [anon_sym_BSLASHcat] = ACTIONS(7027),
  },
  [1171] = {
    [aux_sym_text_token1] = ACTIONS(6961),
    [anon_sym_BSLASHref] = ACTIONS(6963),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6963),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6963),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6963),
    [anon_sym_BSLASHfr] = ACTIONS(6963),
    [anon_sym_BSLASHfq] = ACTIONS(6963),
    [anon_sym_BSLASHfqa] = ACTIONS(6963),
    [anon_sym_BSLASHfk] = ACTIONS(6963),
    [anon_sym_BSLASHfl] = ACTIONS(6963),
    [anon_sym_BSLASHfw] = ACTIONS(6963),
    [anon_sym_BSLASHfp] = ACTIONS(6963),
    [anon_sym_BSLASHft] = ACTIONS(6963),
    [anon_sym_BSLASHfdc] = ACTIONS(6963),
    [anon_sym_BSLASHfv] = ACTIONS(6963),
    [anon_sym_BSLASHxt] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6963),
    [anon_sym_BSLASHadd] = ACTIONS(6963),
    [anon_sym_BSLASHbk] = ACTIONS(6963),
    [anon_sym_BSLASHdc] = ACTIONS(6963),
    [anon_sym_BSLASHk] = ACTIONS(6963),
    [anon_sym_BSLASHnd] = ACTIONS(6963),
    [anon_sym_BSLASHord] = ACTIONS(6963),
    [anon_sym_BSLASHpn] = ACTIONS(6963),
    [anon_sym_BSLASHpng] = ACTIONS(6963),
    [anon_sym_BSLASHaddpn] = ACTIONS(6963),
    [anon_sym_BSLASHqt] = ACTIONS(6963),
    [anon_sym_BSLASHsig] = ACTIONS(6963),
    [anon_sym_BSLASHsls] = ACTIONS(6963),
    [anon_sym_BSLASHtl] = ACTIONS(6963),
    [anon_sym_BSLASHwj] = ACTIONS(6963),
    [anon_sym_BSLASHem] = ACTIONS(6963),
    [anon_sym_BSLASHbd] = ACTIONS(6963),
    [anon_sym_BSLASHit] = ACTIONS(6963),
    [anon_sym_BSLASHbdit] = ACTIONS(6963),
    [anon_sym_BSLASHno] = ACTIONS(6963),
    [anon_sym_BSLASHsc] = ACTIONS(6963),
    [anon_sym_BSLASHsup] = ACTIONS(6963),
    [anon_sym_BSLASHndx] = ACTIONS(6963),
    [anon_sym_BSLASHpro] = ACTIONS(6963),
    [anon_sym_BSLASHrb] = ACTIONS(6963),
    [anon_sym_BSLASHw] = ACTIONS(6963),
    [anon_sym_BSLASHwg] = ACTIONS(6963),
    [anon_sym_BSLASHwh] = ACTIONS(6963),
    [anon_sym_BSLASHwa] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6963),
    [anon_sym_BSLASHfig] = ACTIONS(6963),
    [anon_sym_BSLASHjmp] = ACTIONS(6963),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6963),
    [anon_sym_BSLASHcat] = ACTIONS(6963),
  },
  [1172] = {
    [aux_sym_text_token1] = ACTIONS(7029),
    [anon_sym_BSLASHref] = ACTIONS(7031),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7031),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7031),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7031),
    [anon_sym_BSLASHfr] = ACTIONS(7031),
    [anon_sym_BSLASHfq] = ACTIONS(7031),
    [anon_sym_BSLASHfqa] = ACTIONS(7031),
    [anon_sym_BSLASHfk] = ACTIONS(7031),
    [anon_sym_BSLASHfl] = ACTIONS(7031),
    [anon_sym_BSLASHfw] = ACTIONS(7031),
    [anon_sym_BSLASHfp] = ACTIONS(7031),
    [anon_sym_BSLASHft] = ACTIONS(7031),
    [anon_sym_BSLASHfdc] = ACTIONS(7031),
    [anon_sym_BSLASHfv] = ACTIONS(7031),
    [anon_sym_BSLASHxt] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7031),
    [anon_sym_BSLASHadd] = ACTIONS(7031),
    [anon_sym_BSLASHbk] = ACTIONS(7031),
    [anon_sym_BSLASHdc] = ACTIONS(7031),
    [anon_sym_BSLASHk] = ACTIONS(7031),
    [anon_sym_BSLASHnd] = ACTIONS(7031),
    [anon_sym_BSLASHord] = ACTIONS(7031),
    [anon_sym_BSLASHpn] = ACTIONS(7031),
    [anon_sym_BSLASHpng] = ACTIONS(7031),
    [anon_sym_BSLASHaddpn] = ACTIONS(7031),
    [anon_sym_BSLASHqt] = ACTIONS(7031),
    [anon_sym_BSLASHsig] = ACTIONS(7031),
    [anon_sym_BSLASHsls] = ACTIONS(7031),
    [anon_sym_BSLASHtl] = ACTIONS(7031),
    [anon_sym_BSLASHwj] = ACTIONS(7031),
    [anon_sym_BSLASHem] = ACTIONS(7031),
    [anon_sym_BSLASHbd] = ACTIONS(7031),
    [anon_sym_BSLASHit] = ACTIONS(7031),
    [anon_sym_BSLASHbdit] = ACTIONS(7031),
    [anon_sym_BSLASHno] = ACTIONS(7031),
    [anon_sym_BSLASHsc] = ACTIONS(7031),
    [anon_sym_BSLASHsup] = ACTIONS(7031),
    [anon_sym_BSLASHndx] = ACTIONS(7031),
    [anon_sym_BSLASHpro] = ACTIONS(7031),
    [anon_sym_BSLASHrb] = ACTIONS(7031),
    [anon_sym_BSLASHw] = ACTIONS(7031),
    [anon_sym_BSLASHwg] = ACTIONS(7031),
    [anon_sym_BSLASHwh] = ACTIONS(7031),
    [anon_sym_BSLASHwa] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7031),
    [anon_sym_BSLASHfig] = ACTIONS(7031),
    [anon_sym_BSLASHjmp] = ACTIONS(7031),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7031),
    [anon_sym_BSLASHcat] = ACTIONS(7031),
  },
  [1173] = {
    [aux_sym_text_token1] = ACTIONS(6967),
    [anon_sym_BSLASHref] = ACTIONS(6969),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6969),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6969),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6969),
    [anon_sym_BSLASHfr] = ACTIONS(6969),
    [anon_sym_BSLASHfq] = ACTIONS(6969),
    [anon_sym_BSLASHfqa] = ACTIONS(6969),
    [anon_sym_BSLASHfk] = ACTIONS(6969),
    [anon_sym_BSLASHfl] = ACTIONS(6969),
    [anon_sym_BSLASHfw] = ACTIONS(6969),
    [anon_sym_BSLASHfp] = ACTIONS(6969),
    [anon_sym_BSLASHft] = ACTIONS(6969),
    [anon_sym_BSLASHfdc] = ACTIONS(6969),
    [anon_sym_BSLASHfv] = ACTIONS(6969),
    [anon_sym_BSLASHxt] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6969),
    [anon_sym_BSLASHadd] = ACTIONS(6969),
    [anon_sym_BSLASHbk] = ACTIONS(6969),
    [anon_sym_BSLASHdc] = ACTIONS(6969),
    [anon_sym_BSLASHk] = ACTIONS(6969),
    [anon_sym_BSLASHnd] = ACTIONS(6969),
    [anon_sym_BSLASHord] = ACTIONS(6969),
    [anon_sym_BSLASHpn] = ACTIONS(6969),
    [anon_sym_BSLASHpng] = ACTIONS(6969),
    [anon_sym_BSLASHaddpn] = ACTIONS(6969),
    [anon_sym_BSLASHqt] = ACTIONS(6969),
    [anon_sym_BSLASHsig] = ACTIONS(6969),
    [anon_sym_BSLASHsls] = ACTIONS(6969),
    [anon_sym_BSLASHtl] = ACTIONS(6969),
    [anon_sym_BSLASHwj] = ACTIONS(6969),
    [anon_sym_BSLASHem] = ACTIONS(6969),
    [anon_sym_BSLASHbd] = ACTIONS(6969),
    [anon_sym_BSLASHit] = ACTIONS(6969),
    [anon_sym_BSLASHbdit] = ACTIONS(6969),
    [anon_sym_BSLASHno] = ACTIONS(6969),
    [anon_sym_BSLASHsc] = ACTIONS(6969),
    [anon_sym_BSLASHsup] = ACTIONS(6969),
    [anon_sym_BSLASHndx] = ACTIONS(6969),
    [anon_sym_BSLASHpro] = ACTIONS(6969),
    [anon_sym_BSLASHrb] = ACTIONS(6969),
    [anon_sym_BSLASHw] = ACTIONS(6969),
    [anon_sym_BSLASHwg] = ACTIONS(6969),
    [anon_sym_BSLASHwh] = ACTIONS(6969),
    [anon_sym_BSLASHwa] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6969),
    [anon_sym_BSLASHfig] = ACTIONS(6969),
    [anon_sym_BSLASHjmp] = ACTIONS(6969),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6969),
    [anon_sym_BSLASHcat] = ACTIONS(6969),
  },
  [1174] = {
    [aux_sym_text_token1] = ACTIONS(7033),
    [anon_sym_BSLASHref] = ACTIONS(7035),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7035),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7035),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7035),
    [anon_sym_BSLASHfr] = ACTIONS(7035),
    [anon_sym_BSLASHfq] = ACTIONS(7035),
    [anon_sym_BSLASHfqa] = ACTIONS(7035),
    [anon_sym_BSLASHfk] = ACTIONS(7035),
    [anon_sym_BSLASHfl] = ACTIONS(7035),
    [anon_sym_BSLASHfw] = ACTIONS(7035),
    [anon_sym_BSLASHfp] = ACTIONS(7035),
    [anon_sym_BSLASHft] = ACTIONS(7035),
    [anon_sym_BSLASHfdc] = ACTIONS(7035),
    [anon_sym_BSLASHfv] = ACTIONS(7035),
    [anon_sym_BSLASHxt] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7035),
    [anon_sym_BSLASHadd] = ACTIONS(7035),
    [anon_sym_BSLASHbk] = ACTIONS(7035),
    [anon_sym_BSLASHdc] = ACTIONS(7035),
    [anon_sym_BSLASHk] = ACTIONS(7035),
    [anon_sym_BSLASHnd] = ACTIONS(7035),
    [anon_sym_BSLASHord] = ACTIONS(7035),
    [anon_sym_BSLASHpn] = ACTIONS(7035),
    [anon_sym_BSLASHpng] = ACTIONS(7035),
    [anon_sym_BSLASHaddpn] = ACTIONS(7035),
    [anon_sym_BSLASHqt] = ACTIONS(7035),
    [anon_sym_BSLASHsig] = ACTIONS(7035),
    [anon_sym_BSLASHsls] = ACTIONS(7035),
    [anon_sym_BSLASHtl] = ACTIONS(7035),
    [anon_sym_BSLASHwj] = ACTIONS(7035),
    [anon_sym_BSLASHem] = ACTIONS(7035),
    [anon_sym_BSLASHbd] = ACTIONS(7035),
    [anon_sym_BSLASHit] = ACTIONS(7035),
    [anon_sym_BSLASHbdit] = ACTIONS(7035),
    [anon_sym_BSLASHno] = ACTIONS(7035),
    [anon_sym_BSLASHsc] = ACTIONS(7035),
    [anon_sym_BSLASHsup] = ACTIONS(7035),
    [anon_sym_BSLASHndx] = ACTIONS(7035),
    [anon_sym_BSLASHpro] = ACTIONS(7035),
    [anon_sym_BSLASHrb] = ACTIONS(7035),
    [anon_sym_BSLASHw] = ACTIONS(7035),
    [anon_sym_BSLASHwg] = ACTIONS(7035),
    [anon_sym_BSLASHwh] = ACTIONS(7035),
    [anon_sym_BSLASHwa] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7035),
    [anon_sym_BSLASHfig] = ACTIONS(7035),
    [anon_sym_BSLASHjmp] = ACTIONS(7035),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7035),
    [anon_sym_BSLASHcat] = ACTIONS(7035),
  },
  [1175] = {
    [aux_sym_text_token1] = ACTIONS(6973),
    [anon_sym_BSLASHref] = ACTIONS(6975),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6975),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6975),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6975),
    [anon_sym_BSLASHfr] = ACTIONS(6975),
    [anon_sym_BSLASHfq] = ACTIONS(6975),
    [anon_sym_BSLASHfqa] = ACTIONS(6975),
    [anon_sym_BSLASHfk] = ACTIONS(6975),
    [anon_sym_BSLASHfl] = ACTIONS(6975),
    [anon_sym_BSLASHfw] = ACTIONS(6975),
    [anon_sym_BSLASHfp] = ACTIONS(6975),
    [anon_sym_BSLASHft] = ACTIONS(6975),
    [anon_sym_BSLASHfdc] = ACTIONS(6975),
    [anon_sym_BSLASHfv] = ACTIONS(6975),
    [anon_sym_BSLASHxt] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6975),
    [anon_sym_BSLASHadd] = ACTIONS(6975),
    [anon_sym_BSLASHbk] = ACTIONS(6975),
    [anon_sym_BSLASHdc] = ACTIONS(6975),
    [anon_sym_BSLASHk] = ACTIONS(6975),
    [anon_sym_BSLASHnd] = ACTIONS(6975),
    [anon_sym_BSLASHord] = ACTIONS(6975),
    [anon_sym_BSLASHpn] = ACTIONS(6975),
    [anon_sym_BSLASHpng] = ACTIONS(6975),
    [anon_sym_BSLASHaddpn] = ACTIONS(6975),
    [anon_sym_BSLASHqt] = ACTIONS(6975),
    [anon_sym_BSLASHsig] = ACTIONS(6975),
    [anon_sym_BSLASHsls] = ACTIONS(6975),
    [anon_sym_BSLASHtl] = ACTIONS(6975),
    [anon_sym_BSLASHwj] = ACTIONS(6975),
    [anon_sym_BSLASHem] = ACTIONS(6975),
    [anon_sym_BSLASHbd] = ACTIONS(6975),
    [anon_sym_BSLASHit] = ACTIONS(6975),
    [anon_sym_BSLASHbdit] = ACTIONS(6975),
    [anon_sym_BSLASHno] = ACTIONS(6975),
    [anon_sym_BSLASHsc] = ACTIONS(6975),
    [anon_sym_BSLASHsup] = ACTIONS(6975),
    [anon_sym_BSLASHndx] = ACTIONS(6975),
    [anon_sym_BSLASHpro] = ACTIONS(6975),
    [anon_sym_BSLASHrb] = ACTIONS(6975),
    [anon_sym_BSLASHw] = ACTIONS(6975),
    [anon_sym_BSLASHwg] = ACTIONS(6975),
    [anon_sym_BSLASHwh] = ACTIONS(6975),
    [anon_sym_BSLASHwa] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6975),
    [anon_sym_BSLASHfig] = ACTIONS(6975),
    [anon_sym_BSLASHjmp] = ACTIONS(6975),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6975),
    [anon_sym_BSLASHcat] = ACTIONS(6975),
  },
  [1176] = {
    [aux_sym_text_token1] = ACTIONS(6985),
    [anon_sym_BSLASHref] = ACTIONS(6987),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6987),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6987),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6987),
    [anon_sym_BSLASHfr] = ACTIONS(6987),
    [anon_sym_BSLASHfq] = ACTIONS(6987),
    [anon_sym_BSLASHfqa] = ACTIONS(6987),
    [anon_sym_BSLASHfk] = ACTIONS(6987),
    [anon_sym_BSLASHfl] = ACTIONS(6987),
    [anon_sym_BSLASHfw] = ACTIONS(6987),
    [anon_sym_BSLASHfp] = ACTIONS(6987),
    [anon_sym_BSLASHft] = ACTIONS(6987),
    [anon_sym_BSLASHfdc] = ACTIONS(6987),
    [anon_sym_BSLASHfv] = ACTIONS(6987),
    [anon_sym_BSLASHxt] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6987),
    [anon_sym_BSLASHadd] = ACTIONS(6987),
    [anon_sym_BSLASHbk] = ACTIONS(6987),
    [anon_sym_BSLASHdc] = ACTIONS(6987),
    [anon_sym_BSLASHk] = ACTIONS(6987),
    [anon_sym_BSLASHnd] = ACTIONS(6987),
    [anon_sym_BSLASHord] = ACTIONS(6987),
    [anon_sym_BSLASHpn] = ACTIONS(6987),
    [anon_sym_BSLASHpng] = ACTIONS(6987),
    [anon_sym_BSLASHaddpn] = ACTIONS(6987),
    [anon_sym_BSLASHqt] = ACTIONS(6987),
    [anon_sym_BSLASHsig] = ACTIONS(6987),
    [anon_sym_BSLASHsls] = ACTIONS(6987),
    [anon_sym_BSLASHtl] = ACTIONS(6987),
    [anon_sym_BSLASHwj] = ACTIONS(6987),
    [anon_sym_BSLASHem] = ACTIONS(6987),
    [anon_sym_BSLASHbd] = ACTIONS(6987),
    [anon_sym_BSLASHit] = ACTIONS(6987),
    [anon_sym_BSLASHbdit] = ACTIONS(6987),
    [anon_sym_BSLASHno] = ACTIONS(6987),
    [anon_sym_BSLASHsc] = ACTIONS(6987),
    [anon_sym_BSLASHsup] = ACTIONS(6987),
    [anon_sym_BSLASHndx] = ACTIONS(6987),
    [anon_sym_BSLASHpro] = ACTIONS(6987),
    [anon_sym_BSLASHrb] = ACTIONS(6987),
    [anon_sym_BSLASHw] = ACTIONS(6987),
    [anon_sym_BSLASHwg] = ACTIONS(6987),
    [anon_sym_BSLASHwh] = ACTIONS(6987),
    [anon_sym_BSLASHwa] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6987),
    [anon_sym_BSLASHfig] = ACTIONS(6987),
    [anon_sym_BSLASHjmp] = ACTIONS(6987),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6987),
    [anon_sym_BSLASHcat] = ACTIONS(6987),
  },
  [1177] = {
    [aux_sym_text_token1] = ACTIONS(7037),
    [anon_sym_BSLASHref] = ACTIONS(7039),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7039),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7039),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7039),
    [anon_sym_BSLASHfr] = ACTIONS(7039),
    [anon_sym_BSLASHfq] = ACTIONS(7039),
    [anon_sym_BSLASHfqa] = ACTIONS(7039),
    [anon_sym_BSLASHfk] = ACTIONS(7039),
    [anon_sym_BSLASHfl] = ACTIONS(7039),
    [anon_sym_BSLASHfw] = ACTIONS(7039),
    [anon_sym_BSLASHfp] = ACTIONS(7039),
    [anon_sym_BSLASHft] = ACTIONS(7039),
    [anon_sym_BSLASHfdc] = ACTIONS(7039),
    [anon_sym_BSLASHfv] = ACTIONS(7039),
    [anon_sym_BSLASHxt] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7039),
    [anon_sym_BSLASHadd] = ACTIONS(7039),
    [anon_sym_BSLASHbk] = ACTIONS(7039),
    [anon_sym_BSLASHdc] = ACTIONS(7039),
    [anon_sym_BSLASHk] = ACTIONS(7039),
    [anon_sym_BSLASHnd] = ACTIONS(7039),
    [anon_sym_BSLASHord] = ACTIONS(7039),
    [anon_sym_BSLASHpn] = ACTIONS(7039),
    [anon_sym_BSLASHpng] = ACTIONS(7039),
    [anon_sym_BSLASHaddpn] = ACTIONS(7039),
    [anon_sym_BSLASHqt] = ACTIONS(7039),
    [anon_sym_BSLASHsig] = ACTIONS(7039),
    [anon_sym_BSLASHsls] = ACTIONS(7039),
    [anon_sym_BSLASHtl] = ACTIONS(7039),
    [anon_sym_BSLASHwj] = ACTIONS(7039),
    [anon_sym_BSLASHem] = ACTIONS(7039),
    [anon_sym_BSLASHbd] = ACTIONS(7039),
    [anon_sym_BSLASHit] = ACTIONS(7039),
    [anon_sym_BSLASHbdit] = ACTIONS(7039),
    [anon_sym_BSLASHno] = ACTIONS(7039),
    [anon_sym_BSLASHsc] = ACTIONS(7039),
    [anon_sym_BSLASHsup] = ACTIONS(7039),
    [anon_sym_BSLASHndx] = ACTIONS(7039),
    [anon_sym_BSLASHpro] = ACTIONS(7039),
    [anon_sym_BSLASHrb] = ACTIONS(7039),
    [anon_sym_BSLASHw] = ACTIONS(7039),
    [anon_sym_BSLASHwg] = ACTIONS(7039),
    [anon_sym_BSLASHwh] = ACTIONS(7039),
    [anon_sym_BSLASHwa] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7039),
    [anon_sym_BSLASHfig] = ACTIONS(7039),
    [anon_sym_BSLASHjmp] = ACTIONS(7039),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7039),
    [anon_sym_BSLASHcat] = ACTIONS(7039),
  },
  [1178] = {
    [aux_sym_text_token1] = ACTIONS(6991),
    [anon_sym_BSLASHref] = ACTIONS(6993),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6993),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6993),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6993),
    [anon_sym_BSLASHfr] = ACTIONS(6993),
    [anon_sym_BSLASHfq] = ACTIONS(6993),
    [anon_sym_BSLASHfqa] = ACTIONS(6993),
    [anon_sym_BSLASHfk] = ACTIONS(6993),
    [anon_sym_BSLASHfl] = ACTIONS(6993),
    [anon_sym_BSLASHfw] = ACTIONS(6993),
    [anon_sym_BSLASHfp] = ACTIONS(6993),
    [anon_sym_BSLASHft] = ACTIONS(6993),
    [anon_sym_BSLASHfdc] = ACTIONS(6993),
    [anon_sym_BSLASHfv] = ACTIONS(6993),
    [anon_sym_BSLASHxt] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6993),
    [anon_sym_BSLASHadd] = ACTIONS(6993),
    [anon_sym_BSLASHbk] = ACTIONS(6993),
    [anon_sym_BSLASHdc] = ACTIONS(6993),
    [anon_sym_BSLASHk] = ACTIONS(6993),
    [anon_sym_BSLASHnd] = ACTIONS(6993),
    [anon_sym_BSLASHord] = ACTIONS(6993),
    [anon_sym_BSLASHpn] = ACTIONS(6993),
    [anon_sym_BSLASHpng] = ACTIONS(6993),
    [anon_sym_BSLASHaddpn] = ACTIONS(6993),
    [anon_sym_BSLASHqt] = ACTIONS(6993),
    [anon_sym_BSLASHsig] = ACTIONS(6993),
    [anon_sym_BSLASHsls] = ACTIONS(6993),
    [anon_sym_BSLASHtl] = ACTIONS(6993),
    [anon_sym_BSLASHwj] = ACTIONS(6993),
    [anon_sym_BSLASHem] = ACTIONS(6993),
    [anon_sym_BSLASHbd] = ACTIONS(6993),
    [anon_sym_BSLASHit] = ACTIONS(6993),
    [anon_sym_BSLASHbdit] = ACTIONS(6993),
    [anon_sym_BSLASHno] = ACTIONS(6993),
    [anon_sym_BSLASHsc] = ACTIONS(6993),
    [anon_sym_BSLASHsup] = ACTIONS(6993),
    [anon_sym_BSLASHndx] = ACTIONS(6993),
    [anon_sym_BSLASHpro] = ACTIONS(6993),
    [anon_sym_BSLASHrb] = ACTIONS(6993),
    [anon_sym_BSLASHw] = ACTIONS(6993),
    [anon_sym_BSLASHwg] = ACTIONS(6993),
    [anon_sym_BSLASHwh] = ACTIONS(6993),
    [anon_sym_BSLASHwa] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6993),
    [anon_sym_BSLASHfig] = ACTIONS(6993),
    [anon_sym_BSLASHjmp] = ACTIONS(6993),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6993),
    [anon_sym_BSLASHcat] = ACTIONS(6993),
  },
  [1179] = {
    [aux_sym_text_token1] = ACTIONS(7041),
    [anon_sym_BSLASHref] = ACTIONS(7043),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7043),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7043),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7043),
    [anon_sym_BSLASHfr] = ACTIONS(7043),
    [anon_sym_BSLASHfq] = ACTIONS(7043),
    [anon_sym_BSLASHfqa] = ACTIONS(7043),
    [anon_sym_BSLASHfk] = ACTIONS(7043),
    [anon_sym_BSLASHfl] = ACTIONS(7043),
    [anon_sym_BSLASHfw] = ACTIONS(7043),
    [anon_sym_BSLASHfp] = ACTIONS(7043),
    [anon_sym_BSLASHft] = ACTIONS(7043),
    [anon_sym_BSLASHfdc] = ACTIONS(7043),
    [anon_sym_BSLASHfv] = ACTIONS(7043),
    [anon_sym_BSLASHxt] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7043),
    [anon_sym_BSLASHadd] = ACTIONS(7043),
    [anon_sym_BSLASHbk] = ACTIONS(7043),
    [anon_sym_BSLASHdc] = ACTIONS(7043),
    [anon_sym_BSLASHk] = ACTIONS(7043),
    [anon_sym_BSLASHnd] = ACTIONS(7043),
    [anon_sym_BSLASHord] = ACTIONS(7043),
    [anon_sym_BSLASHpn] = ACTIONS(7043),
    [anon_sym_BSLASHpng] = ACTIONS(7043),
    [anon_sym_BSLASHaddpn] = ACTIONS(7043),
    [anon_sym_BSLASHqt] = ACTIONS(7043),
    [anon_sym_BSLASHsig] = ACTIONS(7043),
    [anon_sym_BSLASHsls] = ACTIONS(7043),
    [anon_sym_BSLASHtl] = ACTIONS(7043),
    [anon_sym_BSLASHwj] = ACTIONS(7043),
    [anon_sym_BSLASHem] = ACTIONS(7043),
    [anon_sym_BSLASHbd] = ACTIONS(7043),
    [anon_sym_BSLASHit] = ACTIONS(7043),
    [anon_sym_BSLASHbdit] = ACTIONS(7043),
    [anon_sym_BSLASHno] = ACTIONS(7043),
    [anon_sym_BSLASHsc] = ACTIONS(7043),
    [anon_sym_BSLASHsup] = ACTIONS(7043),
    [anon_sym_BSLASHndx] = ACTIONS(7043),
    [anon_sym_BSLASHpro] = ACTIONS(7043),
    [anon_sym_BSLASHrb] = ACTIONS(7043),
    [anon_sym_BSLASHw] = ACTIONS(7043),
    [anon_sym_BSLASHwg] = ACTIONS(7043),
    [anon_sym_BSLASHwh] = ACTIONS(7043),
    [anon_sym_BSLASHwa] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7043),
    [anon_sym_BSLASHfig] = ACTIONS(7043),
    [anon_sym_BSLASHjmp] = ACTIONS(7043),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7043),
    [anon_sym_BSLASHcat] = ACTIONS(7043),
  },
  [1180] = {
    [aux_sym_text_token1] = ACTIONS(7045),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7047),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7047),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7047),
    [anon_sym_BSLASHfr] = ACTIONS(7047),
    [anon_sym_BSLASHfq] = ACTIONS(7047),
    [anon_sym_BSLASHfqa] = ACTIONS(7047),
    [anon_sym_BSLASHfk] = ACTIONS(7047),
    [anon_sym_BSLASHfl] = ACTIONS(7047),
    [anon_sym_BSLASHfw] = ACTIONS(7047),
    [anon_sym_BSLASHfp] = ACTIONS(7047),
    [anon_sym_BSLASHft] = ACTIONS(7047),
    [anon_sym_BSLASHfdc] = ACTIONS(7047),
    [anon_sym_BSLASHfv] = ACTIONS(7047),
    [anon_sym_BSLASHxt] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7047),
    [anon_sym_BSLASHadd] = ACTIONS(7047),
    [anon_sym_BSLASHbk] = ACTIONS(7047),
    [anon_sym_BSLASHdc] = ACTIONS(7047),
    [anon_sym_BSLASHk] = ACTIONS(7047),
    [anon_sym_BSLASHnd] = ACTIONS(7047),
    [anon_sym_BSLASHord] = ACTIONS(7047),
    [anon_sym_BSLASHpn] = ACTIONS(7047),
    [anon_sym_BSLASHpng] = ACTIONS(7047),
    [anon_sym_BSLASHaddpn] = ACTIONS(7047),
    [anon_sym_BSLASHqt] = ACTIONS(7047),
    [anon_sym_BSLASHsig] = ACTIONS(7047),
    [anon_sym_BSLASHsls] = ACTIONS(7047),
    [anon_sym_BSLASHtl] = ACTIONS(7047),
    [anon_sym_BSLASHwj] = ACTIONS(7047),
    [anon_sym_BSLASHem] = ACTIONS(7047),
    [anon_sym_BSLASHbd] = ACTIONS(7047),
    [anon_sym_BSLASHit] = ACTIONS(7047),
    [anon_sym_BSLASHbdit] = ACTIONS(7047),
    [anon_sym_BSLASHno] = ACTIONS(7047),
    [anon_sym_BSLASHsc] = ACTIONS(7047),
    [anon_sym_BSLASHsup] = ACTIONS(7047),
    [anon_sym_BSLASHndx] = ACTIONS(7047),
    [anon_sym_BSLASHpro] = ACTIONS(7047),
    [anon_sym_BSLASHrb] = ACTIONS(7047),
    [anon_sym_BSLASHw] = ACTIONS(7047),
    [anon_sym_BSLASHwg] = ACTIONS(7047),
    [anon_sym_BSLASHwh] = ACTIONS(7047),
    [anon_sym_BSLASHwa] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7047),
    [anon_sym_BSLASHfig] = ACTIONS(7047),
    [anon_sym_BSLASHjmp] = ACTIONS(7047),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7047),
    [anon_sym_BSLASHcat] = ACTIONS(7047),
  },
  [1181] = {
    [sym_text] = STATE(358),
    [sym_ref] = STATE(358),
    [aux_sym__introText] = STATE(358),
    [sym_iqt] = STATE(358),
    [sym_xt_standalone] = STATE(358),
    [sym_add] = STATE(358),
    [sym_bk] = STATE(358),
    [sym_dc] = STATE(358),
    [sym_k] = STATE(358),
    [sym_nd] = STATE(358),
    [sym_ord] = STATE(358),
    [sym_pn] = STATE(358),
    [sym_png] = STATE(358),
    [sym_addpn] = STATE(358),
    [sym_qt] = STATE(358),
    [sym_sig] = STATE(358),
    [sym_sls] = STATE(358),
    [sym_tl] = STATE(358),
    [sym_wj] = STATE(358),
    [sym_em] = STATE(358),
    [sym_bd] = STATE(358),
    [sym_it] = STATE(358),
    [sym_bdit] = STATE(358),
    [sym_no] = STATE(358),
    [sym_sc] = STATE(358),
    [sym_sup] = STATE(358),
    [sym_ndx] = STATE(358),
    [sym_pro] = STATE(358),
    [sym_rb] = STATE(358),
    [sym_w] = STATE(358),
    [sym_wg] = STATE(358),
    [sym_wh] = STATE(358),
    [sym_wa] = STATE(358),
    [sym__characterMarker] = STATE(358),
    [sym_fig] = STATE(358),
    [sym_jmp] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(7049),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHimte] = ACTIONS(7051),
    [anon_sym_BSLASHie] = ACTIONS(7051),
    [anon_sym_BSLASHc] = ACTIONS(7051),
    [anon_sym_BSLASHcl] = ACTIONS(7051),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1182] = {
    [sym__comments] = STATE(1182),
    [sym_sts] = STATE(1182),
    [sym_rem] = STATE(1182),
    [sym_restore] = STATE(1182),
    [sym_lit] = STATE(1182),
    [sym_imtBlock] = STATE(1182),
    [sym_imt] = STATE(1825),
    [sym_imtTag] = STATE(1213),
    [sym__midIntroMarker] = STATE(1182),
    [sym_isBlock] = STATE(1182),
    [sym_is] = STATE(1823),
    [sym_isTag] = STATE(1206),
    [sym_io] = STATE(1182),
    [sym_ioTag] = STATE(1209),
    [sym_iot] = STATE(1182),
    [sym_ip] = STATE(1182),
    [sym_im] = STATE(1182),
    [sym_ipi] = STATE(1182),
    [sym_imi] = STATE(1182),
    [sym_iliBlock] = STATE(1182),
    [sym_ili] = STATE(1821),
    [sym_iliTag] = STATE(1197),
    [sym_ipq] = STATE(1182),
    [sym_imq] = STATE(1182),
    [sym_ipr] = STATE(1182),
    [sym_ib] = STATE(1182),
    [sym_iqBlock] = STATE(1182),
    [sym_iq] = STATE(1822),
    [sym_iqTag] = STATE(1200),
    [sym_iex] = STATE(1182),
    [sym_milestoneTag] = STATE(2104),
    [sym__milestoneStandaloneMarker] = STATE(1833),
    [sym__milestoneStart] = STATE(1833),
    [sym__milestoneEnd] = STATE(1833),
    [sym_milestone] = STATE(1182),
    [sym__zNameSpaceRegular] = STATE(1846),
    [sym__zNameSpaceClosed] = STATE(1846),
    [sym__zNameSpaceStandaloneMarker] = STATE(1846),
    [sym_zNameSpace] = STATE(1182),
    [sym_esb] = STATE(1182),
    [aux_sym_File_repeat1] = STATE(1182),
    [aux_sym_imtBlock_repeat1] = STATE(1825),
    [aux_sym_isBlock_repeat1] = STATE(1823),
    [aux_sym_iliBlock_repeat1] = STATE(1821),
    [aux_sym_iqBlock_repeat1] = STATE(1822),
    [ts_builtin_sym_end] = ACTIONS(7053),
    [anon_sym_BSLASHsts] = ACTIONS(7055),
    [anon_sym_BSLASHrem] = ACTIONS(7058),
    [anon_sym_BSLASHrestore] = ACTIONS(7061),
    [anon_sym_BSLASHlit] = ACTIONS(7064),
    [anon_sym_BSLASHimt] = ACTIONS(7067),
    [anon_sym_BSLASHimte] = ACTIONS(7053),
    [anon_sym_BSLASHis] = ACTIONS(7070),
    [anon_sym_BSLASHio] = ACTIONS(7073),
    [anon_sym_BSLASHiot] = ACTIONS(7076),
    [anon_sym_BSLASHip] = ACTIONS(7079),
    [anon_sym_BSLASHim] = ACTIONS(7082),
    [anon_sym_BSLASHipi] = ACTIONS(7085),
    [anon_sym_BSLASHimi] = ACTIONS(7088),
    [anon_sym_BSLASHili] = ACTIONS(7091),
    [anon_sym_BSLASHipq] = ACTIONS(7094),
    [anon_sym_BSLASHimq] = ACTIONS(7097),
    [anon_sym_BSLASHipr] = ACTIONS(7100),
    [anon_sym_BSLASHib] = ACTIONS(7103),
    [anon_sym_BSLASHiq] = ACTIONS(7106),
    [anon_sym_BSLASHie] = ACTIONS(7109),
    [anon_sym_BSLASHiex] = ACTIONS(7111),
    [anon_sym_BSLASHc] = ACTIONS(7053),
    [anon_sym_BSLASHcl] = ACTIONS(7053),
    [anon_sym_BSLASH] = ACTIONS(7114),
    [sym_milestoneStartTag] = ACTIONS(7117),
    [sym_milestoneEndTag] = ACTIONS(7120),
    [sym_zSpaceTag] = ACTIONS(7123),
    [anon_sym_BSLASHesb] = ACTIONS(7126),
  },
  [1183] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(2044),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(2353),
    [sym__attributesInCrossref] = STATE(2353),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7129),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [1184] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(2015),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(2284),
    [sym__attributesInCrossref] = STATE(2284),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7131),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [1185] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(2037),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(2346),
    [sym__attributesInCrossref] = STATE(2346),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7133),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [1186] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(2065),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(2663),
    [sym__attributesInCrossref] = STATE(2663),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7135),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [1187] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(2051),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(2490),
    [sym__attributesInCrossref] = STATE(2490),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7137),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [1188] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(2043),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(2931),
    [sym__attributesInCrossref] = STATE(2931),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7139),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [1189] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(2071),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(2420),
    [sym__attributesInCrossref] = STATE(2420),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7141),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [1190] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(2032),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(2711),
    [sym__attributesInCrossref] = STATE(2711),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7143),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [1191] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(2060),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(2486),
    [sym__attributesInCrossref] = STATE(2486),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7145),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [1192] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(2019),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(2541),
    [sym__attributesInCrossref] = STATE(2541),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7147),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [1193] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(2046),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(2624),
    [sym__attributesInCrossref] = STATE(2624),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7149),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [1194] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(2035),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(2609),
    [sym__attributesInCrossref] = STATE(2609),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7151),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [1195] = {
    [sym_text] = STATE(288),
    [sym_ref] = STATE(288),
    [sym_crossrefText] = STATE(2024),
    [sym_addNested] = STATE(288),
    [sym_bkNested] = STATE(288),
    [sym_dcNested] = STATE(288),
    [sym_kNested] = STATE(288),
    [sym_ndNested] = STATE(288),
    [sym_ordNested] = STATE(288),
    [sym_pnNested] = STATE(288),
    [sym_pngNested] = STATE(288),
    [sym_addpnNested] = STATE(288),
    [sym_qtNested] = STATE(288),
    [sym_sigNested] = STATE(288),
    [sym_slsNested] = STATE(288),
    [sym_tlNested] = STATE(288),
    [sym_wjNested] = STATE(288),
    [sym_emNested] = STATE(288),
    [sym_bdNested] = STATE(288),
    [sym_itNested] = STATE(288),
    [sym_bditNested] = STATE(288),
    [sym_noNested] = STATE(288),
    [sym_scNested] = STATE(288),
    [sym_supNested] = STATE(288),
    [sym_ndxNested] = STATE(288),
    [sym_proNested] = STATE(288),
    [sym_rbNested] = STATE(288),
    [sym_wNested] = STATE(288),
    [sym_wgNested] = STATE(288),
    [sym_whNested] = STATE(288),
    [sym_waNested] = STATE(288),
    [sym__nestedCharacterMarker] = STATE(288),
    [sym_fig] = STATE(288),
    [sym_jmpNested] = STATE(288),
    [sym_defaultAttribute] = STATE(2591),
    [sym__attributesInCrossref] = STATE(2591),
    [aux_sym_crossrefText_repeat1] = STATE(288),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7153),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1593),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1595),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1597),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1599),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1601),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1603),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1605),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1607),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1609),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1611),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1613),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1615),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1619),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1623),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1627),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1631),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1635),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1639),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1643),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1647),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(6874),
  },
  [1196] = {
    [sym_text] = STATE(379),
    [sym_ref] = STATE(379),
    [aux_sym__introText] = STATE(379),
    [sym_iqt] = STATE(379),
    [sym_xt_standalone] = STATE(379),
    [sym_add] = STATE(379),
    [sym_bk] = STATE(379),
    [sym_dc] = STATE(379),
    [sym_k] = STATE(379),
    [sym_nd] = STATE(379),
    [sym_ord] = STATE(379),
    [sym_pn] = STATE(379),
    [sym_png] = STATE(379),
    [sym_addpn] = STATE(379),
    [sym_qt] = STATE(379),
    [sym_sig] = STATE(379),
    [sym_sls] = STATE(379),
    [sym_tl] = STATE(379),
    [sym_wj] = STATE(379),
    [sym_em] = STATE(379),
    [sym_bd] = STATE(379),
    [sym_it] = STATE(379),
    [sym_bdit] = STATE(379),
    [sym_no] = STATE(379),
    [sym_sc] = STATE(379),
    [sym_sup] = STATE(379),
    [sym_ndx] = STATE(379),
    [sym_pro] = STATE(379),
    [sym_rb] = STATE(379),
    [sym_w] = STATE(379),
    [sym_wg] = STATE(379),
    [sym_wh] = STATE(379),
    [sym_wa] = STATE(379),
    [sym__characterMarker] = STATE(379),
    [sym_fig] = STATE(379),
    [sym_jmp] = STATE(379),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1197] = {
    [sym_text] = STATE(390),
    [sym_ref] = STATE(390),
    [aux_sym__introText] = STATE(390),
    [sym_iqt] = STATE(390),
    [sym_xt_standalone] = STATE(390),
    [sym_add] = STATE(390),
    [sym_bk] = STATE(390),
    [sym_dc] = STATE(390),
    [sym_k] = STATE(390),
    [sym_nd] = STATE(390),
    [sym_ord] = STATE(390),
    [sym_pn] = STATE(390),
    [sym_png] = STATE(390),
    [sym_addpn] = STATE(390),
    [sym_qt] = STATE(390),
    [sym_sig] = STATE(390),
    [sym_sls] = STATE(390),
    [sym_tl] = STATE(390),
    [sym_wj] = STATE(390),
    [sym_em] = STATE(390),
    [sym_bd] = STATE(390),
    [sym_it] = STATE(390),
    [sym_bdit] = STATE(390),
    [sym_no] = STATE(390),
    [sym_sc] = STATE(390),
    [sym_sup] = STATE(390),
    [sym_ndx] = STATE(390),
    [sym_pro] = STATE(390),
    [sym_rb] = STATE(390),
    [sym_w] = STATE(390),
    [sym_wg] = STATE(390),
    [sym_wh] = STATE(390),
    [sym_wa] = STATE(390),
    [sym__characterMarker] = STATE(390),
    [sym_fig] = STATE(390),
    [sym_jmp] = STATE(390),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1198] = {
    [sym_text] = STATE(373),
    [sym_ref] = STATE(373),
    [aux_sym__introText] = STATE(373),
    [sym_iqt] = STATE(373),
    [sym_xt_standalone] = STATE(373),
    [sym_add] = STATE(373),
    [sym_bk] = STATE(373),
    [sym_dc] = STATE(373),
    [sym_k] = STATE(373),
    [sym_nd] = STATE(373),
    [sym_ord] = STATE(373),
    [sym_pn] = STATE(373),
    [sym_png] = STATE(373),
    [sym_addpn] = STATE(373),
    [sym_qt] = STATE(373),
    [sym_sig] = STATE(373),
    [sym_sls] = STATE(373),
    [sym_tl] = STATE(373),
    [sym_wj] = STATE(373),
    [sym_em] = STATE(373),
    [sym_bd] = STATE(373),
    [sym_it] = STATE(373),
    [sym_bdit] = STATE(373),
    [sym_no] = STATE(373),
    [sym_sc] = STATE(373),
    [sym_sup] = STATE(373),
    [sym_ndx] = STATE(373),
    [sym_pro] = STATE(373),
    [sym_rb] = STATE(373),
    [sym_w] = STATE(373),
    [sym_wg] = STATE(373),
    [sym_wh] = STATE(373),
    [sym_wa] = STATE(373),
    [sym__characterMarker] = STATE(373),
    [sym_fig] = STATE(373),
    [sym_jmp] = STATE(373),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1199] = {
    [sym_text] = STATE(374),
    [sym_ref] = STATE(374),
    [aux_sym__introText] = STATE(374),
    [sym_iqt] = STATE(374),
    [sym_xt_standalone] = STATE(374),
    [sym_add] = STATE(374),
    [sym_bk] = STATE(374),
    [sym_dc] = STATE(374),
    [sym_k] = STATE(374),
    [sym_nd] = STATE(374),
    [sym_ord] = STATE(374),
    [sym_pn] = STATE(374),
    [sym_png] = STATE(374),
    [sym_addpn] = STATE(374),
    [sym_qt] = STATE(374),
    [sym_sig] = STATE(374),
    [sym_sls] = STATE(374),
    [sym_tl] = STATE(374),
    [sym_wj] = STATE(374),
    [sym_em] = STATE(374),
    [sym_bd] = STATE(374),
    [sym_it] = STATE(374),
    [sym_bdit] = STATE(374),
    [sym_no] = STATE(374),
    [sym_sc] = STATE(374),
    [sym_sup] = STATE(374),
    [sym_ndx] = STATE(374),
    [sym_pro] = STATE(374),
    [sym_rb] = STATE(374),
    [sym_w] = STATE(374),
    [sym_wg] = STATE(374),
    [sym_wh] = STATE(374),
    [sym_wa] = STATE(374),
    [sym__characterMarker] = STATE(374),
    [sym_fig] = STATE(374),
    [sym_jmp] = STATE(374),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1200] = {
    [sym_text] = STATE(397),
    [sym_ref] = STATE(397),
    [aux_sym__introText] = STATE(397),
    [sym_iqt] = STATE(397),
    [sym_xt_standalone] = STATE(397),
    [sym_add] = STATE(397),
    [sym_bk] = STATE(397),
    [sym_dc] = STATE(397),
    [sym_k] = STATE(397),
    [sym_nd] = STATE(397),
    [sym_ord] = STATE(397),
    [sym_pn] = STATE(397),
    [sym_png] = STATE(397),
    [sym_addpn] = STATE(397),
    [sym_qt] = STATE(397),
    [sym_sig] = STATE(397),
    [sym_sls] = STATE(397),
    [sym_tl] = STATE(397),
    [sym_wj] = STATE(397),
    [sym_em] = STATE(397),
    [sym_bd] = STATE(397),
    [sym_it] = STATE(397),
    [sym_bdit] = STATE(397),
    [sym_no] = STATE(397),
    [sym_sc] = STATE(397),
    [sym_sup] = STATE(397),
    [sym_ndx] = STATE(397),
    [sym_pro] = STATE(397),
    [sym_rb] = STATE(397),
    [sym_w] = STATE(397),
    [sym_wg] = STATE(397),
    [sym_wh] = STATE(397),
    [sym_wa] = STATE(397),
    [sym__characterMarker] = STATE(397),
    [sym_fig] = STATE(397),
    [sym_jmp] = STATE(397),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1201] = {
    [sym_text] = STATE(376),
    [sym_ref] = STATE(376),
    [aux_sym__introText] = STATE(376),
    [sym_iqt] = STATE(376),
    [sym_xt_standalone] = STATE(376),
    [sym_add] = STATE(376),
    [sym_bk] = STATE(376),
    [sym_dc] = STATE(376),
    [sym_k] = STATE(376),
    [sym_nd] = STATE(376),
    [sym_ord] = STATE(376),
    [sym_pn] = STATE(376),
    [sym_png] = STATE(376),
    [sym_addpn] = STATE(376),
    [sym_qt] = STATE(376),
    [sym_sig] = STATE(376),
    [sym_sls] = STATE(376),
    [sym_tl] = STATE(376),
    [sym_wj] = STATE(376),
    [sym_em] = STATE(376),
    [sym_bd] = STATE(376),
    [sym_it] = STATE(376),
    [sym_bdit] = STATE(376),
    [sym_no] = STATE(376),
    [sym_sc] = STATE(376),
    [sym_sup] = STATE(376),
    [sym_ndx] = STATE(376),
    [sym_pro] = STATE(376),
    [sym_rb] = STATE(376),
    [sym_w] = STATE(376),
    [sym_wg] = STATE(376),
    [sym_wh] = STATE(376),
    [sym_wa] = STATE(376),
    [sym__characterMarker] = STATE(376),
    [sym_fig] = STATE(376),
    [sym_jmp] = STATE(376),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1202] = {
    [sym_text] = STATE(377),
    [sym_ref] = STATE(377),
    [aux_sym__introText] = STATE(377),
    [sym_iqt] = STATE(377),
    [sym_xt_standalone] = STATE(377),
    [sym_add] = STATE(377),
    [sym_bk] = STATE(377),
    [sym_dc] = STATE(377),
    [sym_k] = STATE(377),
    [sym_nd] = STATE(377),
    [sym_ord] = STATE(377),
    [sym_pn] = STATE(377),
    [sym_png] = STATE(377),
    [sym_addpn] = STATE(377),
    [sym_qt] = STATE(377),
    [sym_sig] = STATE(377),
    [sym_sls] = STATE(377),
    [sym_tl] = STATE(377),
    [sym_wj] = STATE(377),
    [sym_em] = STATE(377),
    [sym_bd] = STATE(377),
    [sym_it] = STATE(377),
    [sym_bdit] = STATE(377),
    [sym_no] = STATE(377),
    [sym_sc] = STATE(377),
    [sym_sup] = STATE(377),
    [sym_ndx] = STATE(377),
    [sym_pro] = STATE(377),
    [sym_rb] = STATE(377),
    [sym_w] = STATE(377),
    [sym_wg] = STATE(377),
    [sym_wh] = STATE(377),
    [sym_wa] = STATE(377),
    [sym__characterMarker] = STATE(377),
    [sym_fig] = STATE(377),
    [sym_jmp] = STATE(377),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1203] = {
    [sym_text] = STATE(1181),
    [sym_ref] = STATE(1181),
    [aux_sym__introText] = STATE(1181),
    [sym_iqt] = STATE(1181),
    [sym_xt_standalone] = STATE(1181),
    [sym_add] = STATE(1181),
    [sym_bk] = STATE(1181),
    [sym_dc] = STATE(1181),
    [sym_k] = STATE(1181),
    [sym_nd] = STATE(1181),
    [sym_ord] = STATE(1181),
    [sym_pn] = STATE(1181),
    [sym_png] = STATE(1181),
    [sym_addpn] = STATE(1181),
    [sym_qt] = STATE(1181),
    [sym_sig] = STATE(1181),
    [sym_sls] = STATE(1181),
    [sym_tl] = STATE(1181),
    [sym_wj] = STATE(1181),
    [sym_em] = STATE(1181),
    [sym_bd] = STATE(1181),
    [sym_it] = STATE(1181),
    [sym_bdit] = STATE(1181),
    [sym_no] = STATE(1181),
    [sym_sc] = STATE(1181),
    [sym_sup] = STATE(1181),
    [sym_ndx] = STATE(1181),
    [sym_pro] = STATE(1181),
    [sym_rb] = STATE(1181),
    [sym_w] = STATE(1181),
    [sym_wg] = STATE(1181),
    [sym_wh] = STATE(1181),
    [sym_wa] = STATE(1181),
    [sym__characterMarker] = STATE(1181),
    [sym_fig] = STATE(1181),
    [sym_jmp] = STATE(1181),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1204] = {
    [sym_text] = STATE(346),
    [sym_ref] = STATE(346),
    [aux_sym__introText] = STATE(346),
    [sym_iqt] = STATE(346),
    [sym_xt_standalone] = STATE(346),
    [sym_add] = STATE(346),
    [sym_bk] = STATE(346),
    [sym_dc] = STATE(346),
    [sym_k] = STATE(346),
    [sym_nd] = STATE(346),
    [sym_ord] = STATE(346),
    [sym_pn] = STATE(346),
    [sym_png] = STATE(346),
    [sym_addpn] = STATE(346),
    [sym_qt] = STATE(346),
    [sym_sig] = STATE(346),
    [sym_sls] = STATE(346),
    [sym_tl] = STATE(346),
    [sym_wj] = STATE(346),
    [sym_em] = STATE(346),
    [sym_bd] = STATE(346),
    [sym_it] = STATE(346),
    [sym_bdit] = STATE(346),
    [sym_no] = STATE(346),
    [sym_sc] = STATE(346),
    [sym_sup] = STATE(346),
    [sym_ndx] = STATE(346),
    [sym_pro] = STATE(346),
    [sym_rb] = STATE(346),
    [sym_w] = STATE(346),
    [sym_wg] = STATE(346),
    [sym_wh] = STATE(346),
    [sym_wa] = STATE(346),
    [sym__characterMarker] = STATE(346),
    [sym_fig] = STATE(346),
    [sym_jmp] = STATE(346),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHref] = ACTIONS(818),
    [anon_sym_BSLASHiqt] = ACTIONS(4950),
    [anon_sym_BSLASHxt] = ACTIONS(848),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
  },
  [1205] = {
    [sym_text] = STATE(378),
    [sym_ref] = STATE(378),
    [aux_sym__introText] = STATE(378),
    [sym_iqt] = STATE(378),
    [sym_xt_standalone] = STATE(378),
    [sym_add] = STATE(378),
    [sym_bk] = STATE(378),
    [sym_dc] = STATE(378),
    [sym_k] = STATE(378),
    [sym_nd] = STATE(378),
    [sym_ord] = STATE(378),
    [sym_pn] = STATE(378),
    [sym_png] = STATE(378),
    [sym_addpn] = STATE(378),
    [sym_qt] = STATE(378),
    [sym_sig] = STATE(378),
    [sym_sls] = STATE(378),
    [sym_tl] = STATE(378),
    [sym_wj] = STATE(378),
    [sym_em] = STATE(378),
    [sym_bd] = STATE(378),
    [sym_it] = STATE(378),
    [sym_bdit] = STATE(378),
    [sym_no] = STATE(378),
    [sym_sc] = STATE(378),
    [sym_sup] = STATE(378),
    [sym_ndx] = STATE(378),
    [sym_pro] = STATE(378),
    [sym_rb] = STATE(378),
    [sym_w] = STATE(378),
    [sym_wg] = STATE(378),
    [sym_wh] = STATE(378),
    [sym_wa] = STATE(378),
    [sym__characterMarker] = STATE(378),
    [sym_fig] = STATE(378),
    [sym_jmp] = STATE(378),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1206] = {
    [sym_text] = STATE(384),
    [sym_ref] = STATE(384),
    [aux_sym__introText] = STATE(384),
    [sym_iqt] = STATE(384),
    [sym_xt_standalone] = STATE(384),
    [sym_add] = STATE(384),
    [sym_bk] = STATE(384),
    [sym_dc] = STATE(384),
    [sym_k] = STATE(384),
    [sym_nd] = STATE(384),
    [sym_ord] = STATE(384),
    [sym_pn] = STATE(384),
    [sym_png] = STATE(384),
    [sym_addpn] = STATE(384),
    [sym_qt] = STATE(384),
    [sym_sig] = STATE(384),
    [sym_sls] = STATE(384),
    [sym_tl] = STATE(384),
    [sym_wj] = STATE(384),
    [sym_em] = STATE(384),
    [sym_bd] = STATE(384),
    [sym_it] = STATE(384),
    [sym_bdit] = STATE(384),
    [sym_no] = STATE(384),
    [sym_sc] = STATE(384),
    [sym_sup] = STATE(384),
    [sym_ndx] = STATE(384),
    [sym_pro] = STATE(384),
    [sym_rb] = STATE(384),
    [sym_w] = STATE(384),
    [sym_wg] = STATE(384),
    [sym_wh] = STATE(384),
    [sym_wa] = STATE(384),
    [sym__characterMarker] = STATE(384),
    [sym_fig] = STATE(384),
    [sym_jmp] = STATE(384),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1207] = {
    [sym_text] = STATE(380),
    [sym_ref] = STATE(380),
    [aux_sym__introText] = STATE(380),
    [sym_iqt] = STATE(380),
    [sym_xt_standalone] = STATE(380),
    [sym_add] = STATE(380),
    [sym_bk] = STATE(380),
    [sym_dc] = STATE(380),
    [sym_k] = STATE(380),
    [sym_nd] = STATE(380),
    [sym_ord] = STATE(380),
    [sym_pn] = STATE(380),
    [sym_png] = STATE(380),
    [sym_addpn] = STATE(380),
    [sym_qt] = STATE(380),
    [sym_sig] = STATE(380),
    [sym_sls] = STATE(380),
    [sym_tl] = STATE(380),
    [sym_wj] = STATE(380),
    [sym_em] = STATE(380),
    [sym_bd] = STATE(380),
    [sym_it] = STATE(380),
    [sym_bdit] = STATE(380),
    [sym_no] = STATE(380),
    [sym_sc] = STATE(380),
    [sym_sup] = STATE(380),
    [sym_ndx] = STATE(380),
    [sym_pro] = STATE(380),
    [sym_rb] = STATE(380),
    [sym_w] = STATE(380),
    [sym_wg] = STATE(380),
    [sym_wh] = STATE(380),
    [sym_wa] = STATE(380),
    [sym__characterMarker] = STATE(380),
    [sym_fig] = STATE(380),
    [sym_jmp] = STATE(380),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1208] = {
    [sym_text] = STATE(383),
    [sym_ref] = STATE(383),
    [aux_sym__introText] = STATE(383),
    [sym_iqt] = STATE(383),
    [sym_xt_standalone] = STATE(383),
    [sym_add] = STATE(383),
    [sym_bk] = STATE(383),
    [sym_dc] = STATE(383),
    [sym_k] = STATE(383),
    [sym_nd] = STATE(383),
    [sym_ord] = STATE(383),
    [sym_pn] = STATE(383),
    [sym_png] = STATE(383),
    [sym_addpn] = STATE(383),
    [sym_qt] = STATE(383),
    [sym_sig] = STATE(383),
    [sym_sls] = STATE(383),
    [sym_tl] = STATE(383),
    [sym_wj] = STATE(383),
    [sym_em] = STATE(383),
    [sym_bd] = STATE(383),
    [sym_it] = STATE(383),
    [sym_bdit] = STATE(383),
    [sym_no] = STATE(383),
    [sym_sc] = STATE(383),
    [sym_sup] = STATE(383),
    [sym_ndx] = STATE(383),
    [sym_pro] = STATE(383),
    [sym_rb] = STATE(383),
    [sym_w] = STATE(383),
    [sym_wg] = STATE(383),
    [sym_wh] = STATE(383),
    [sym_wa] = STATE(383),
    [sym__characterMarker] = STATE(383),
    [sym_fig] = STATE(383),
    [sym_jmp] = STATE(383),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1209] = {
    [sym_text] = STATE(355),
    [sym_ref] = STATE(355),
    [aux_sym__introText] = STATE(355),
    [sym_iqt] = STATE(355),
    [sym_xt_standalone] = STATE(355),
    [sym_add] = STATE(355),
    [sym_bk] = STATE(355),
    [sym_dc] = STATE(355),
    [sym_k] = STATE(355),
    [sym_nd] = STATE(355),
    [sym_ord] = STATE(355),
    [sym_pn] = STATE(355),
    [sym_png] = STATE(355),
    [sym_addpn] = STATE(355),
    [sym_qt] = STATE(355),
    [sym_sig] = STATE(355),
    [sym_sls] = STATE(355),
    [sym_tl] = STATE(355),
    [sym_wj] = STATE(355),
    [sym_em] = STATE(355),
    [sym_bd] = STATE(355),
    [sym_it] = STATE(355),
    [sym_bdit] = STATE(355),
    [sym_no] = STATE(355),
    [sym_sc] = STATE(355),
    [sym_sup] = STATE(355),
    [sym_ndx] = STATE(355),
    [sym_pro] = STATE(355),
    [sym_rb] = STATE(355),
    [sym_w] = STATE(355),
    [sym_wg] = STATE(355),
    [sym_wh] = STATE(355),
    [sym_wa] = STATE(355),
    [sym__characterMarker] = STATE(355),
    [sym_fig] = STATE(355),
    [sym_jmp] = STATE(355),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1210] = {
    [sym_text] = STATE(375),
    [sym_ref] = STATE(375),
    [aux_sym__introText] = STATE(375),
    [sym_iqt] = STATE(375),
    [sym_xt_standalone] = STATE(375),
    [sym_add] = STATE(375),
    [sym_bk] = STATE(375),
    [sym_dc] = STATE(375),
    [sym_k] = STATE(375),
    [sym_nd] = STATE(375),
    [sym_ord] = STATE(375),
    [sym_pn] = STATE(375),
    [sym_png] = STATE(375),
    [sym_addpn] = STATE(375),
    [sym_qt] = STATE(375),
    [sym_sig] = STATE(375),
    [sym_sls] = STATE(375),
    [sym_tl] = STATE(375),
    [sym_wj] = STATE(375),
    [sym_em] = STATE(375),
    [sym_bd] = STATE(375),
    [sym_it] = STATE(375),
    [sym_bdit] = STATE(375),
    [sym_no] = STATE(375),
    [sym_sc] = STATE(375),
    [sym_sup] = STATE(375),
    [sym_ndx] = STATE(375),
    [sym_pro] = STATE(375),
    [sym_rb] = STATE(375),
    [sym_w] = STATE(375),
    [sym_wg] = STATE(375),
    [sym_wh] = STATE(375),
    [sym_wa] = STATE(375),
    [sym__characterMarker] = STATE(375),
    [sym_fig] = STATE(375),
    [sym_jmp] = STATE(375),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1211] = {
    [sym_text] = STATE(327),
    [sym_ref] = STATE(327),
    [aux_sym__introText] = STATE(327),
    [sym_iqt] = STATE(327),
    [sym_xt_standalone] = STATE(327),
    [sym_add] = STATE(327),
    [sym_bk] = STATE(327),
    [sym_dc] = STATE(327),
    [sym_k] = STATE(327),
    [sym_nd] = STATE(327),
    [sym_ord] = STATE(327),
    [sym_pn] = STATE(327),
    [sym_png] = STATE(327),
    [sym_addpn] = STATE(327),
    [sym_qt] = STATE(327),
    [sym_sig] = STATE(327),
    [sym_sls] = STATE(327),
    [sym_tl] = STATE(327),
    [sym_wj] = STATE(327),
    [sym_em] = STATE(327),
    [sym_bd] = STATE(327),
    [sym_it] = STATE(327),
    [sym_bdit] = STATE(327),
    [sym_no] = STATE(327),
    [sym_sc] = STATE(327),
    [sym_sup] = STATE(327),
    [sym_ndx] = STATE(327),
    [sym_pro] = STATE(327),
    [sym_rb] = STATE(327),
    [sym_w] = STATE(327),
    [sym_wg] = STATE(327),
    [sym_wh] = STATE(327),
    [sym_wa] = STATE(327),
    [sym__characterMarker] = STATE(327),
    [sym_fig] = STATE(327),
    [sym_jmp] = STATE(327),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHiqt] = ACTIONS(4145),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
  },
  [1212] = {
    [sym_text] = STATE(326),
    [sym_ref] = STATE(326),
    [aux_sym__introText] = STATE(326),
    [sym_iqt] = STATE(326),
    [sym_xt_standalone] = STATE(326),
    [sym_add] = STATE(326),
    [sym_bk] = STATE(326),
    [sym_dc] = STATE(326),
    [sym_k] = STATE(326),
    [sym_nd] = STATE(326),
    [sym_ord] = STATE(326),
    [sym_pn] = STATE(326),
    [sym_png] = STATE(326),
    [sym_addpn] = STATE(326),
    [sym_qt] = STATE(326),
    [sym_sig] = STATE(326),
    [sym_sls] = STATE(326),
    [sym_tl] = STATE(326),
    [sym_wj] = STATE(326),
    [sym_em] = STATE(326),
    [sym_bd] = STATE(326),
    [sym_it] = STATE(326),
    [sym_bdit] = STATE(326),
    [sym_no] = STATE(326),
    [sym_sc] = STATE(326),
    [sym_sup] = STATE(326),
    [sym_ndx] = STATE(326),
    [sym_pro] = STATE(326),
    [sym_rb] = STATE(326),
    [sym_w] = STATE(326),
    [sym_wg] = STATE(326),
    [sym_wh] = STATE(326),
    [sym_wa] = STATE(326),
    [sym__characterMarker] = STATE(326),
    [sym_fig] = STATE(326),
    [sym_jmp] = STATE(326),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHref] = ACTIONS(388),
    [anon_sym_BSLASHiqt] = ACTIONS(4145),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
  },
  [1213] = {
    [sym_text] = STATE(365),
    [sym_ref] = STATE(365),
    [aux_sym__introText] = STATE(365),
    [sym_iqt] = STATE(365),
    [sym_xt_standalone] = STATE(365),
    [sym_add] = STATE(365),
    [sym_bk] = STATE(365),
    [sym_dc] = STATE(365),
    [sym_k] = STATE(365),
    [sym_nd] = STATE(365),
    [sym_ord] = STATE(365),
    [sym_pn] = STATE(365),
    [sym_png] = STATE(365),
    [sym_addpn] = STATE(365),
    [sym_qt] = STATE(365),
    [sym_sig] = STATE(365),
    [sym_sls] = STATE(365),
    [sym_tl] = STATE(365),
    [sym_wj] = STATE(365),
    [sym_em] = STATE(365),
    [sym_bd] = STATE(365),
    [sym_it] = STATE(365),
    [sym_bdit] = STATE(365),
    [sym_no] = STATE(365),
    [sym_sc] = STATE(365),
    [sym_sup] = STATE(365),
    [sym_ndx] = STATE(365),
    [sym_pro] = STATE(365),
    [sym_rb] = STATE(365),
    [sym_w] = STATE(365),
    [sym_wg] = STATE(365),
    [sym_wh] = STATE(365),
    [sym_wa] = STATE(365),
    [sym__characterMarker] = STATE(365),
    [sym_fig] = STATE(365),
    [sym_jmp] = STATE(365),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHiqt] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5496),
    [anon_sym_BSLASHbk] = ACTIONS(5498),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5502),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5506),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5510),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5514),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5520),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5526),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5532),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5536),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5540),
    [anon_sym_BSLASHrb] = ACTIONS(5542),
    [anon_sym_BSLASHw] = ACTIONS(5544),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5548),
    [anon_sym_BSLASHwa] = ACTIONS(5550),
    [anon_sym_BSLASHfig] = ACTIONS(5552),
    [anon_sym_BSLASHjmp] = ACTIONS(5554),
  },
  [1214] = {
    [sym_text] = STATE(1214),
    [sym_footnote] = STATE(1214),
    [sym_f] = STATE(1362),
    [sym_fe] = STATE(1362),
    [sym_ef] = STATE(1362),
    [sym_fm] = STATE(1362),
    [sym_crossref] = STATE(1214),
    [sym_x] = STATE(1361),
    [sym_xt_standalone] = STATE(1361),
    [sym_rq] = STATE(1361),
    [aux_sym_mt_repeat1] = STATE(1214),
    [ts_builtin_sym_end] = ACTIONS(7155),
    [aux_sym_text_token1] = ACTIONS(7157),
    [anon_sym_BSLASHsts] = ACTIONS(7160),
    [anon_sym_BSLASHrem] = ACTIONS(7160),
    [anon_sym_BSLASHrestore] = ACTIONS(7160),
    [anon_sym_BSLASHlit] = ACTIONS(7160),
    [anon_sym_BSLASHip] = ACTIONS(7160),
    [anon_sym_BSLASHiex] = ACTIONS(7160),
    [anon_sym_BSLASHc] = ACTIONS(7160),
    [anon_sym_BSLASHcl] = ACTIONS(7160),
    [anon_sym_BSLASHca] = ACTIONS(7160),
    [anon_sym_BSLASHcp] = ACTIONS(7160),
    [anon_sym_BSLASHcd] = ACTIONS(7160),
    [anon_sym_BSLASHmte] = ACTIONS(7160),
    [anon_sym_BSLASHms] = ACTIONS(7160),
    [anon_sym_BSLASHs] = ACTIONS(7160),
    [anon_sym_BSLASHr] = ACTIONS(7160),
    [anon_sym_BSLASHsp] = ACTIONS(7160),
    [anon_sym_BSLASHd] = ACTIONS(7160),
    [anon_sym_BSLASHsd] = ACTIONS(7160),
    [anon_sym_BSLASHp] = ACTIONS(7160),
    [anon_sym_BSLASHm] = ACTIONS(7160),
    [anon_sym_BSLASHpo] = ACTIONS(7160),
    [anon_sym_BSLASHpr] = ACTIONS(7160),
    [anon_sym_BSLASHcls] = ACTIONS(7160),
    [anon_sym_BSLASHpmo] = ACTIONS(7160),
    [anon_sym_BSLASHpm] = ACTIONS(7160),
    [anon_sym_BSLASHpmc] = ACTIONS(7160),
    [anon_sym_BSLASHpmr] = ACTIONS(7160),
    [anon_sym_BSLASHpi] = ACTIONS(7160),
    [anon_sym_BSLASHmi] = ACTIONS(7160),
    [anon_sym_BSLASHnb] = ACTIONS(7160),
    [anon_sym_BSLASHpc] = ACTIONS(7160),
    [anon_sym_BSLASHph] = ACTIONS(7160),
    [anon_sym_BSLASHb] = ACTIONS(7160),
    [anon_sym_BSLASHq] = ACTIONS(7160),
    [anon_sym_BSLASHqr] = ACTIONS(7160),
    [anon_sym_BSLASHqc] = ACTIONS(7160),
    [anon_sym_BSLASHqa] = ACTIONS(7160),
    [anon_sym_BSLASHqm] = ACTIONS(7160),
    [anon_sym_BSLASHqd] = ACTIONS(7160),
    [anon_sym_BSLASHlh] = ACTIONS(7160),
    [anon_sym_BSLASHli] = ACTIONS(7160),
    [anon_sym_BSLASHlim] = ACTIONS(7160),
    [anon_sym_BSLASHtr] = ACTIONS(7160),
    [anon_sym_BSLASHf] = ACTIONS(7162),
    [anon_sym_BSLASHfe] = ACTIONS(7165),
    [anon_sym_BSLASHef] = ACTIONS(7168),
    [anon_sym_BSLASHfm] = ACTIONS(7171),
    [anon_sym_BSLASHx] = ACTIONS(7174),
    [anon_sym_BSLASHxt] = ACTIONS(7177),
    [anon_sym_BSLASHrq] = ACTIONS(7180),
    [anon_sym_BSLASHpb] = ACTIONS(7160),
    [anon_sym_BSLASH] = ACTIONS(7160),
    [sym_milestoneStartTag] = ACTIONS(7160),
    [sym_milestoneEndTag] = ACTIONS(7160),
    [sym_zSpaceTag] = ACTIONS(7160),
    [anon_sym_BSLASHesb] = ACTIONS(7160),
  },
  [1215] = {
    [sym_text] = STATE(1214),
    [sym_footnote] = STATE(1214),
    [sym_f] = STATE(1362),
    [sym_fe] = STATE(1362),
    [sym_ef] = STATE(1362),
    [sym_fm] = STATE(1362),
    [sym_crossref] = STATE(1214),
    [sym_x] = STATE(1361),
    [sym_xt_standalone] = STATE(1361),
    [sym_rq] = STATE(1361),
    [aux_sym_mt_repeat1] = STATE(1214),
    [ts_builtin_sym_end] = ACTIONS(7183),
    [aux_sym_text_token1] = ACTIONS(7185),
    [anon_sym_BSLASHsts] = ACTIONS(7187),
    [anon_sym_BSLASHrem] = ACTIONS(7187),
    [anon_sym_BSLASHrestore] = ACTIONS(7187),
    [anon_sym_BSLASHlit] = ACTIONS(7187),
    [anon_sym_BSLASHip] = ACTIONS(7187),
    [anon_sym_BSLASHiex] = ACTIONS(7187),
    [anon_sym_BSLASHc] = ACTIONS(7187),
    [anon_sym_BSLASHcl] = ACTIONS(7187),
    [anon_sym_BSLASHca] = ACTIONS(7187),
    [anon_sym_BSLASHcp] = ACTIONS(7187),
    [anon_sym_BSLASHcd] = ACTIONS(7187),
    [anon_sym_BSLASHmte] = ACTIONS(7187),
    [anon_sym_BSLASHms] = ACTIONS(7187),
    [anon_sym_BSLASHs] = ACTIONS(7187),
    [anon_sym_BSLASHr] = ACTIONS(7187),
    [anon_sym_BSLASHsp] = ACTIONS(7187),
    [anon_sym_BSLASHd] = ACTIONS(7187),
    [anon_sym_BSLASHsd] = ACTIONS(7187),
    [anon_sym_BSLASHp] = ACTIONS(7187),
    [anon_sym_BSLASHm] = ACTIONS(7187),
    [anon_sym_BSLASHpo] = ACTIONS(7187),
    [anon_sym_BSLASHpr] = ACTIONS(7187),
    [anon_sym_BSLASHcls] = ACTIONS(7187),
    [anon_sym_BSLASHpmo] = ACTIONS(7187),
    [anon_sym_BSLASHpm] = ACTIONS(7187),
    [anon_sym_BSLASHpmc] = ACTIONS(7187),
    [anon_sym_BSLASHpmr] = ACTIONS(7187),
    [anon_sym_BSLASHpi] = ACTIONS(7187),
    [anon_sym_BSLASHmi] = ACTIONS(7187),
    [anon_sym_BSLASHnb] = ACTIONS(7187),
    [anon_sym_BSLASHpc] = ACTIONS(7187),
    [anon_sym_BSLASHph] = ACTIONS(7187),
    [anon_sym_BSLASHb] = ACTIONS(7187),
    [anon_sym_BSLASHq] = ACTIONS(7187),
    [anon_sym_BSLASHqr] = ACTIONS(7187),
    [anon_sym_BSLASHqc] = ACTIONS(7187),
    [anon_sym_BSLASHqa] = ACTIONS(7187),
    [anon_sym_BSLASHqm] = ACTIONS(7187),
    [anon_sym_BSLASHqd] = ACTIONS(7187),
    [anon_sym_BSLASHlh] = ACTIONS(7187),
    [anon_sym_BSLASHli] = ACTIONS(7187),
    [anon_sym_BSLASHlim] = ACTIONS(7187),
    [anon_sym_BSLASHtr] = ACTIONS(7187),
    [anon_sym_BSLASHf] = ACTIONS(7189),
    [anon_sym_BSLASHfe] = ACTIONS(7191),
    [anon_sym_BSLASHef] = ACTIONS(7193),
    [anon_sym_BSLASHfm] = ACTIONS(7195),
    [anon_sym_BSLASHx] = ACTIONS(7197),
    [anon_sym_BSLASHxt] = ACTIONS(7199),
    [anon_sym_BSLASHrq] = ACTIONS(7201),
    [anon_sym_BSLASHpb] = ACTIONS(7187),
    [anon_sym_BSLASH] = ACTIONS(7187),
    [sym_milestoneStartTag] = ACTIONS(7187),
    [sym_milestoneEndTag] = ACTIONS(7187),
    [sym_zSpaceTag] = ACTIONS(7187),
    [anon_sym_BSLASHesb] = ACTIONS(7187),
  },
  [1216] = {
    [sym_text] = STATE(324),
    [sym_verseText] = STATE(1217),
    [sym_livTag] = STATE(3002),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_liv_repeat1] = STATE(1217),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHliv] = ACTIONS(406),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
  },
  [1217] = {
    [sym_text] = STATE(324),
    [sym_verseText] = STATE(1223),
    [sym_livTag] = STATE(2997),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_liv_repeat1] = STATE(1223),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHliv] = ACTIONS(406),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
  },
  [1218] = {
    [sym_text] = STATE(324),
    [sym_verseText] = STATE(1223),
    [sym_livTag] = STATE(2688),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_liv_repeat1] = STATE(1223),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHliv] = ACTIONS(406),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
  },
  [1219] = {
    [sym_text] = STATE(324),
    [sym_verseText] = STATE(1218),
    [sym_livTag] = STATE(2699),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_liv_repeat1] = STATE(1218),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHliv] = ACTIONS(406),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
  },
  [1220] = {
    [sym__bookHeader] = STATE(1220),
    [sym_usfm] = STATE(1220),
    [sym_ide] = STATE(1220),
    [sym_hBlock] = STATE(1220),
    [sym_tocBlock] = STATE(1220),
    [sym_tocaBlock] = STATE(1220),
    [sym_ref] = STATE(1220),
    [sym_h] = STATE(1749),
    [sym_hTag] = STATE(2177),
    [sym_toc] = STATE(1751),
    [sym_tocTag] = STATE(2164),
    [sym_toca] = STATE(1748),
    [sym_tocaTag] = STATE(2163),
    [sym__comments] = STATE(1220),
    [sym_sts] = STATE(1220),
    [sym_rem] = STATE(1220),
    [sym_restore] = STATE(1220),
    [sym_lit] = STATE(1220),
    [sym_milestoneTag] = STATE(2105),
    [sym__milestoneStandaloneMarker] = STATE(1777),
    [sym__milestoneStart] = STATE(1777),
    [sym__milestoneEnd] = STATE(1777),
    [sym_milestone] = STATE(1220),
    [sym__zNameSpaceRegular] = STATE(1780),
    [sym__zNameSpaceClosed] = STATE(1780),
    [sym__zNameSpaceStandaloneMarker] = STATE(1780),
    [sym_zNameSpace] = STATE(1220),
    [sym_esb] = STATE(1220),
    [aux_sym__mandatoryHead_repeat1] = STATE(1220),
    [aux_sym_hBlock_repeat1] = STATE(1749),
    [aux_sym_tocBlock_repeat1] = STATE(1751),
    [aux_sym_tocaBlock_repeat1] = STATE(1748),
    [ts_builtin_sym_end] = ACTIONS(7203),
    [anon_sym_BSLASHusfm] = ACTIONS(7205),
    [anon_sym_BSLASHide] = ACTIONS(7208),
    [anon_sym_BSLASHref] = ACTIONS(7211),
    [anon_sym_BSLASHh] = ACTIONS(7214),
    [anon_sym_BSLASHtoc] = ACTIONS(7217),
    [anon_sym_BSLASHtoca] = ACTIONS(7220),
    [anon_sym_BSLASHsts] = ACTIONS(7223),
    [anon_sym_BSLASHrem] = ACTIONS(7226),
    [anon_sym_BSLASHrestore] = ACTIONS(7229),
    [anon_sym_BSLASHlit] = ACTIONS(7232),
    [anon_sym_BSLASHimt] = ACTIONS(7235),
    [anon_sym_BSLASHimte] = ACTIONS(7203),
    [anon_sym_BSLASHis] = ACTIONS(7203),
    [anon_sym_BSLASHio] = ACTIONS(7235),
    [anon_sym_BSLASHiot] = ACTIONS(7203),
    [anon_sym_BSLASHip] = ACTIONS(7203),
    [anon_sym_BSLASHim] = ACTIONS(7203),
    [anon_sym_BSLASHipi] = ACTIONS(7203),
    [anon_sym_BSLASHimi] = ACTIONS(7203),
    [anon_sym_BSLASHili] = ACTIONS(7203),
    [anon_sym_BSLASHipq] = ACTIONS(7203),
    [anon_sym_BSLASHimq] = ACTIONS(7203),
    [anon_sym_BSLASHipr] = ACTIONS(7203),
    [anon_sym_BSLASHib] = ACTIONS(7203),
    [anon_sym_BSLASHiq] = ACTIONS(7203),
    [anon_sym_BSLASHie] = ACTIONS(7235),
    [anon_sym_BSLASHiex] = ACTIONS(7203),
    [anon_sym_BSLASHc] = ACTIONS(7203),
    [anon_sym_BSLASHcl] = ACTIONS(7203),
    [anon_sym_BSLASHmt] = ACTIONS(7203),
    [anon_sym_BSLASH] = ACTIONS(7237),
    [sym_milestoneStartTag] = ACTIONS(7240),
    [sym_milestoneEndTag] = ACTIONS(7243),
    [sym_zSpaceTag] = ACTIONS(7246),
    [anon_sym_BSLASHesb] = ACTIONS(7249),
  },
  [1221] = {
    [sym__bookHeader] = STATE(1220),
    [sym_usfm] = STATE(1220),
    [sym_ide] = STATE(1220),
    [sym_hBlock] = STATE(1220),
    [sym_tocBlock] = STATE(1220),
    [sym_tocaBlock] = STATE(1220),
    [sym_ref] = STATE(1220),
    [sym_h] = STATE(1749),
    [sym_hTag] = STATE(2177),
    [sym_toc] = STATE(1751),
    [sym_tocTag] = STATE(2164),
    [sym_toca] = STATE(1748),
    [sym_tocaTag] = STATE(2163),
    [sym__comments] = STATE(1220),
    [sym_sts] = STATE(1220),
    [sym_rem] = STATE(1220),
    [sym_restore] = STATE(1220),
    [sym_lit] = STATE(1220),
    [sym_milestoneTag] = STATE(2105),
    [sym__milestoneStandaloneMarker] = STATE(1777),
    [sym__milestoneStart] = STATE(1777),
    [sym__milestoneEnd] = STATE(1777),
    [sym_milestone] = STATE(1220),
    [sym__zNameSpaceRegular] = STATE(1780),
    [sym__zNameSpaceClosed] = STATE(1780),
    [sym__zNameSpaceStandaloneMarker] = STATE(1780),
    [sym_zNameSpace] = STATE(1220),
    [sym_esb] = STATE(1220),
    [aux_sym__mandatoryHead_repeat1] = STATE(1220),
    [aux_sym_hBlock_repeat1] = STATE(1749),
    [aux_sym_tocBlock_repeat1] = STATE(1751),
    [aux_sym_tocaBlock_repeat1] = STATE(1748),
    [ts_builtin_sym_end] = ACTIONS(7252),
    [anon_sym_BSLASHusfm] = ACTIONS(7254),
    [anon_sym_BSLASHide] = ACTIONS(7256),
    [anon_sym_BSLASHref] = ACTIONS(7258),
    [anon_sym_BSLASHh] = ACTIONS(7260),
    [anon_sym_BSLASHtoc] = ACTIONS(7262),
    [anon_sym_BSLASHtoca] = ACTIONS(7264),
    [anon_sym_BSLASHsts] = ACTIONS(7266),
    [anon_sym_BSLASHrem] = ACTIONS(7268),
    [anon_sym_BSLASHrestore] = ACTIONS(7270),
    [anon_sym_BSLASHlit] = ACTIONS(7272),
    [anon_sym_BSLASHimt] = ACTIONS(7274),
    [anon_sym_BSLASHimte] = ACTIONS(7252),
    [anon_sym_BSLASHis] = ACTIONS(7252),
    [anon_sym_BSLASHio] = ACTIONS(7274),
    [anon_sym_BSLASHiot] = ACTIONS(7252),
    [anon_sym_BSLASHip] = ACTIONS(7252),
    [anon_sym_BSLASHim] = ACTIONS(7252),
    [anon_sym_BSLASHipi] = ACTIONS(7252),
    [anon_sym_BSLASHimi] = ACTIONS(7252),
    [anon_sym_BSLASHili] = ACTIONS(7252),
    [anon_sym_BSLASHipq] = ACTIONS(7252),
    [anon_sym_BSLASHimq] = ACTIONS(7252),
    [anon_sym_BSLASHipr] = ACTIONS(7252),
    [anon_sym_BSLASHib] = ACTIONS(7252),
    [anon_sym_BSLASHiq] = ACTIONS(7252),
    [anon_sym_BSLASHie] = ACTIONS(7274),
    [anon_sym_BSLASHiex] = ACTIONS(7252),
    [anon_sym_BSLASHc] = ACTIONS(7252),
    [anon_sym_BSLASHcl] = ACTIONS(7252),
    [anon_sym_BSLASHmt] = ACTIONS(7252),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(7276),
    [sym_milestoneEndTag] = ACTIONS(7278),
    [sym_zSpaceTag] = ACTIONS(7280),
    [anon_sym_BSLASHesb] = ACTIONS(7282),
  },
  [1222] = {
    [sym__bookHeader] = STATE(1221),
    [sym_usfm] = STATE(1221),
    [sym_ide] = STATE(1221),
    [sym_hBlock] = STATE(1221),
    [sym_tocBlock] = STATE(1221),
    [sym_tocaBlock] = STATE(1221),
    [sym_ref] = STATE(1221),
    [sym_h] = STATE(1749),
    [sym_hTag] = STATE(2177),
    [sym_toc] = STATE(1751),
    [sym_tocTag] = STATE(2164),
    [sym_toca] = STATE(1748),
    [sym_tocaTag] = STATE(2163),
    [sym__comments] = STATE(1221),
    [sym_sts] = STATE(1221),
    [sym_rem] = STATE(1221),
    [sym_restore] = STATE(1221),
    [sym_lit] = STATE(1221),
    [sym_milestoneTag] = STATE(2105),
    [sym__milestoneStandaloneMarker] = STATE(1777),
    [sym__milestoneStart] = STATE(1777),
    [sym__milestoneEnd] = STATE(1777),
    [sym_milestone] = STATE(1221),
    [sym__zNameSpaceRegular] = STATE(1780),
    [sym__zNameSpaceClosed] = STATE(1780),
    [sym__zNameSpaceStandaloneMarker] = STATE(1780),
    [sym_zNameSpace] = STATE(1221),
    [sym_esb] = STATE(1221),
    [aux_sym__mandatoryHead_repeat1] = STATE(1221),
    [aux_sym_hBlock_repeat1] = STATE(1749),
    [aux_sym_tocBlock_repeat1] = STATE(1751),
    [aux_sym_tocaBlock_repeat1] = STATE(1748),
    [ts_builtin_sym_end] = ACTIONS(7284),
    [anon_sym_BSLASHusfm] = ACTIONS(7254),
    [anon_sym_BSLASHide] = ACTIONS(7256),
    [anon_sym_BSLASHref] = ACTIONS(7258),
    [anon_sym_BSLASHh] = ACTIONS(7260),
    [anon_sym_BSLASHtoc] = ACTIONS(7262),
    [anon_sym_BSLASHtoca] = ACTIONS(7264),
    [anon_sym_BSLASHsts] = ACTIONS(7266),
    [anon_sym_BSLASHrem] = ACTIONS(7268),
    [anon_sym_BSLASHrestore] = ACTIONS(7270),
    [anon_sym_BSLASHlit] = ACTIONS(7272),
    [anon_sym_BSLASHimt] = ACTIONS(7286),
    [anon_sym_BSLASHimte] = ACTIONS(7284),
    [anon_sym_BSLASHis] = ACTIONS(7284),
    [anon_sym_BSLASHio] = ACTIONS(7286),
    [anon_sym_BSLASHiot] = ACTIONS(7284),
    [anon_sym_BSLASHip] = ACTIONS(7284),
    [anon_sym_BSLASHim] = ACTIONS(7284),
    [anon_sym_BSLASHipi] = ACTIONS(7284),
    [anon_sym_BSLASHimi] = ACTIONS(7284),
    [anon_sym_BSLASHili] = ACTIONS(7284),
    [anon_sym_BSLASHipq] = ACTIONS(7284),
    [anon_sym_BSLASHimq] = ACTIONS(7284),
    [anon_sym_BSLASHipr] = ACTIONS(7284),
    [anon_sym_BSLASHib] = ACTIONS(7284),
    [anon_sym_BSLASHiq] = ACTIONS(7284),
    [anon_sym_BSLASHie] = ACTIONS(7286),
    [anon_sym_BSLASHiex] = ACTIONS(7284),
    [anon_sym_BSLASHc] = ACTIONS(7284),
    [anon_sym_BSLASHcl] = ACTIONS(7284),
    [anon_sym_BSLASHmt] = ACTIONS(7284),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(7276),
    [sym_milestoneEndTag] = ACTIONS(7278),
    [sym_zSpaceTag] = ACTIONS(7280),
    [anon_sym_BSLASHesb] = ACTIONS(7282),
  },
  [1223] = {
    [sym_text] = STATE(324),
    [sym_verseText] = STATE(1223),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_liv_repeat1] = STATE(1223),
    [aux_sym_text_token1] = ACTIONS(7288),
    [anon_sym_BSLASHliv] = ACTIONS(7291),
    [anon_sym_BSLASHadd] = ACTIONS(7293),
    [anon_sym_BSLASHbk] = ACTIONS(7296),
    [anon_sym_BSLASHdc] = ACTIONS(7299),
    [anon_sym_BSLASHk] = ACTIONS(7302),
    [anon_sym_BSLASHnd] = ACTIONS(7305),
    [anon_sym_BSLASHord] = ACTIONS(7308),
    [anon_sym_BSLASHpn] = ACTIONS(7311),
    [anon_sym_BSLASHpng] = ACTIONS(7314),
    [anon_sym_BSLASHaddpn] = ACTIONS(7317),
    [anon_sym_BSLASHqt] = ACTIONS(7320),
    [anon_sym_BSLASHsig] = ACTIONS(7323),
    [anon_sym_BSLASHsls] = ACTIONS(7326),
    [anon_sym_BSLASHtl] = ACTIONS(7329),
    [anon_sym_BSLASHwj] = ACTIONS(7332),
    [anon_sym_BSLASHem] = ACTIONS(7335),
    [anon_sym_BSLASHbd] = ACTIONS(7338),
    [anon_sym_BSLASHit] = ACTIONS(7341),
    [anon_sym_BSLASHbdit] = ACTIONS(7344),
    [anon_sym_BSLASHno] = ACTIONS(7347),
    [anon_sym_BSLASHsc] = ACTIONS(7350),
    [anon_sym_BSLASHsup] = ACTIONS(7353),
    [anon_sym_BSLASHndx] = ACTIONS(7356),
    [anon_sym_BSLASHpro] = ACTIONS(7359),
    [anon_sym_BSLASHrb] = ACTIONS(7362),
    [anon_sym_BSLASHw] = ACTIONS(7365),
    [anon_sym_BSLASHwg] = ACTIONS(7368),
    [anon_sym_BSLASHwh] = ACTIONS(7371),
    [anon_sym_BSLASHwa] = ACTIONS(7374),
    [anon_sym_BSLASHfig] = ACTIONS(7377),
    [anon_sym_BSLASHjmp] = ACTIONS(7380),
  },
  [1224] = {
    [ts_builtin_sym_end] = ACTIONS(2755),
    [aux_sym_text_token1] = ACTIONS(2755),
    [anon_sym_BSLASHusfm] = ACTIONS(2757),
    [anon_sym_BSLASHide] = ACTIONS(2757),
    [anon_sym_BSLASHref] = ACTIONS(2757),
    [anon_sym_BSLASHh] = ACTIONS(2757),
    [anon_sym_BSLASHtoc] = ACTIONS(2757),
    [anon_sym_BSLASHtoca] = ACTIONS(2757),
    [anon_sym_BSLASHsts] = ACTIONS(2757),
    [anon_sym_BSLASHrem] = ACTIONS(2757),
    [anon_sym_BSLASHrestore] = ACTIONS(2757),
    [anon_sym_BSLASHlit] = ACTIONS(2757),
    [anon_sym_BSLASHimt] = ACTIONS(2757),
    [anon_sym_BSLASHimte] = ACTIONS(2757),
    [anon_sym_BSLASHis] = ACTIONS(2757),
    [anon_sym_BSLASHio] = ACTIONS(2757),
    [anon_sym_BSLASHiot] = ACTIONS(2757),
    [anon_sym_BSLASHip] = ACTIONS(2757),
    [anon_sym_BSLASHim] = ACTIONS(2757),
    [anon_sym_BSLASHipi] = ACTIONS(2757),
    [anon_sym_BSLASHimi] = ACTIONS(2757),
    [anon_sym_BSLASHili] = ACTIONS(2757),
    [anon_sym_BSLASHipq] = ACTIONS(2757),
    [anon_sym_BSLASHimq] = ACTIONS(2757),
    [anon_sym_BSLASHipr] = ACTIONS(2757),
    [anon_sym_BSLASHib] = ACTIONS(2757),
    [anon_sym_BSLASHiq] = ACTIONS(2757),
    [anon_sym_BSLASHie] = ACTIONS(2757),
    [anon_sym_BSLASHiex] = ACTIONS(2757),
    [anon_sym_BSLASHc] = ACTIONS(2757),
    [anon_sym_BSLASHcl] = ACTIONS(2757),
    [anon_sym_BSLASHmt] = ACTIONS(2757),
    [anon_sym_BSLASHadd] = ACTIONS(2757),
    [anon_sym_BSLASHbk] = ACTIONS(2757),
    [anon_sym_BSLASHdc] = ACTIONS(2757),
    [anon_sym_BSLASHk] = ACTIONS(2757),
    [anon_sym_BSLASHnd] = ACTIONS(2757),
    [anon_sym_BSLASHord] = ACTIONS(2757),
    [anon_sym_BSLASHpn] = ACTIONS(2757),
    [anon_sym_BSLASHpng] = ACTIONS(2757),
    [anon_sym_BSLASHaddpn] = ACTIONS(2757),
    [anon_sym_BSLASHqt] = ACTIONS(2757),
    [anon_sym_BSLASHsig] = ACTIONS(2757),
    [anon_sym_BSLASHsls] = ACTIONS(2757),
    [anon_sym_BSLASHtl] = ACTIONS(2757),
    [anon_sym_BSLASHwj] = ACTIONS(2757),
    [anon_sym_BSLASHem] = ACTIONS(2757),
    [anon_sym_BSLASHbd] = ACTIONS(2757),
    [anon_sym_BSLASHit] = ACTIONS(2757),
    [anon_sym_BSLASHbdit] = ACTIONS(2757),
    [anon_sym_BSLASHno] = ACTIONS(2757),
    [anon_sym_BSLASHsc] = ACTIONS(2757),
    [anon_sym_BSLASHsup] = ACTIONS(2757),
    [anon_sym_BSLASHndx] = ACTIONS(2757),
    [anon_sym_BSLASHpro] = ACTIONS(2757),
    [anon_sym_BSLASHrb] = ACTIONS(2757),
    [anon_sym_BSLASHw] = ACTIONS(2757),
    [anon_sym_BSLASHwg] = ACTIONS(2757),
    [anon_sym_BSLASHwh] = ACTIONS(2757),
    [anon_sym_BSLASHwa] = ACTIONS(2757),
    [anon_sym_BSLASHjmp] = ACTIONS(2757),
    [anon_sym_BSLASH] = ACTIONS(2757),
    [sym_milestoneStartTag] = ACTIONS(2757),
    [sym_milestoneEndTag] = ACTIONS(2757),
    [sym_zSpaceTag] = ACTIONS(2757),
    [anon_sym_BSLASHesb] = ACTIONS(2757),
  },
  [1225] = {
    [sym_qBlock] = STATE(1225),
    [sym_q] = STATE(1408),
    [sym_qTag] = STATE(73),
    [sym_qr] = STATE(1225),
    [sym_qc] = STATE(1225),
    [sym_qmBlock] = STATE(1225),
    [sym_qm] = STATE(1409),
    [sym_qmTag] = STATE(64),
    [sym_qd] = STATE(1225),
    [aux_sym_poetry_repeat1] = STATE(1225),
    [aux_sym_qBlock_repeat1] = STATE(1408),
    [aux_sym_qmBlock_repeat1] = STATE(1409),
    [ts_builtin_sym_end] = ACTIONS(7383),
    [anon_sym_BSLASHsts] = ACTIONS(7383),
    [anon_sym_BSLASHrem] = ACTIONS(7383),
    [anon_sym_BSLASHrestore] = ACTIONS(7383),
    [anon_sym_BSLASHlit] = ACTIONS(7383),
    [anon_sym_BSLASHip] = ACTIONS(7383),
    [anon_sym_BSLASHiex] = ACTIONS(7383),
    [anon_sym_BSLASHc] = ACTIONS(7383),
    [anon_sym_BSLASHcl] = ACTIONS(7383),
    [anon_sym_BSLASHca] = ACTIONS(7383),
    [anon_sym_BSLASHcp] = ACTIONS(7383),
    [anon_sym_BSLASHcd] = ACTIONS(7383),
    [anon_sym_BSLASHmte] = ACTIONS(7383),
    [anon_sym_BSLASHms] = ACTIONS(7383),
    [anon_sym_BSLASHs] = ACTIONS(7385),
    [anon_sym_BSLASHr] = ACTIONS(7383),
    [anon_sym_BSLASHsp] = ACTIONS(7383),
    [anon_sym_BSLASHd] = ACTIONS(7383),
    [anon_sym_BSLASHsd] = ACTIONS(7383),
    [anon_sym_BSLASHp] = ACTIONS(7385),
    [anon_sym_BSLASHm] = ACTIONS(7385),
    [anon_sym_BSLASHpo] = ACTIONS(7383),
    [anon_sym_BSLASHpr] = ACTIONS(7383),
    [anon_sym_BSLASHcls] = ACTIONS(7383),
    [anon_sym_BSLASHpmo] = ACTIONS(7383),
    [anon_sym_BSLASHpm] = ACTIONS(7385),
    [anon_sym_BSLASHpmc] = ACTIONS(7383),
    [anon_sym_BSLASHpmr] = ACTIONS(7383),
    [anon_sym_BSLASHpi] = ACTIONS(7383),
    [anon_sym_BSLASHmi] = ACTIONS(7383),
    [anon_sym_BSLASHnb] = ACTIONS(7383),
    [anon_sym_BSLASHpc] = ACTIONS(7383),
    [anon_sym_BSLASHph] = ACTIONS(7383),
    [anon_sym_BSLASHb] = ACTIONS(7383),
    [anon_sym_BSLASHq] = ACTIONS(7387),
    [anon_sym_BSLASHqr] = ACTIONS(7390),
    [anon_sym_BSLASHqc] = ACTIONS(7393),
    [anon_sym_BSLASHqa] = ACTIONS(7383),
    [anon_sym_BSLASHqm] = ACTIONS(7396),
    [anon_sym_BSLASHqd] = ACTIONS(7399),
    [anon_sym_BSLASHlh] = ACTIONS(7383),
    [anon_sym_BSLASHli] = ACTIONS(7385),
    [anon_sym_BSLASHlim] = ACTIONS(7383),
    [anon_sym_BSLASHtr] = ACTIONS(7383),
    [anon_sym_BSLASHf] = ACTIONS(7383),
    [anon_sym_BSLASHfe] = ACTIONS(7383),
    [anon_sym_BSLASHef] = ACTIONS(7383),
    [anon_sym_BSLASHfm] = ACTIONS(7383),
    [anon_sym_BSLASHpb] = ACTIONS(7383),
    [anon_sym_BSLASH] = ACTIONS(7385),
    [sym_milestoneStartTag] = ACTIONS(7383),
    [sym_milestoneEndTag] = ACTIONS(7383),
    [sym_zSpaceTag] = ACTIONS(7383),
    [anon_sym_BSLASHesb] = ACTIONS(7383),
  },
  [1226] = {
    [ts_builtin_sym_end] = ACTIONS(2751),
    [aux_sym_text_token1] = ACTIONS(2751),
    [anon_sym_BSLASHusfm] = ACTIONS(2753),
    [anon_sym_BSLASHide] = ACTIONS(2753),
    [anon_sym_BSLASHref] = ACTIONS(2753),
    [anon_sym_BSLASHh] = ACTIONS(2753),
    [anon_sym_BSLASHtoc] = ACTIONS(2753),
    [anon_sym_BSLASHtoca] = ACTIONS(2753),
    [anon_sym_BSLASHsts] = ACTIONS(2753),
    [anon_sym_BSLASHrem] = ACTIONS(2753),
    [anon_sym_BSLASHrestore] = ACTIONS(2753),
    [anon_sym_BSLASHlit] = ACTIONS(2753),
    [anon_sym_BSLASHimt] = ACTIONS(2753),
    [anon_sym_BSLASHimte] = ACTIONS(2753),
    [anon_sym_BSLASHis] = ACTIONS(2753),
    [anon_sym_BSLASHio] = ACTIONS(2753),
    [anon_sym_BSLASHiot] = ACTIONS(2753),
    [anon_sym_BSLASHip] = ACTIONS(2753),
    [anon_sym_BSLASHim] = ACTIONS(2753),
    [anon_sym_BSLASHipi] = ACTIONS(2753),
    [anon_sym_BSLASHimi] = ACTIONS(2753),
    [anon_sym_BSLASHili] = ACTIONS(2753),
    [anon_sym_BSLASHipq] = ACTIONS(2753),
    [anon_sym_BSLASHimq] = ACTIONS(2753),
    [anon_sym_BSLASHipr] = ACTIONS(2753),
    [anon_sym_BSLASHib] = ACTIONS(2753),
    [anon_sym_BSLASHiq] = ACTIONS(2753),
    [anon_sym_BSLASHie] = ACTIONS(2753),
    [anon_sym_BSLASHiex] = ACTIONS(2753),
    [anon_sym_BSLASHc] = ACTIONS(2753),
    [anon_sym_BSLASHcl] = ACTIONS(2753),
    [anon_sym_BSLASHmt] = ACTIONS(2753),
    [anon_sym_BSLASHadd] = ACTIONS(2753),
    [anon_sym_BSLASHbk] = ACTIONS(2753),
    [anon_sym_BSLASHdc] = ACTIONS(2753),
    [anon_sym_BSLASHk] = ACTIONS(2753),
    [anon_sym_BSLASHnd] = ACTIONS(2753),
    [anon_sym_BSLASHord] = ACTIONS(2753),
    [anon_sym_BSLASHpn] = ACTIONS(2753),
    [anon_sym_BSLASHpng] = ACTIONS(2753),
    [anon_sym_BSLASHaddpn] = ACTIONS(2753),
    [anon_sym_BSLASHqt] = ACTIONS(2753),
    [anon_sym_BSLASHsig] = ACTIONS(2753),
    [anon_sym_BSLASHsls] = ACTIONS(2753),
    [anon_sym_BSLASHtl] = ACTIONS(2753),
    [anon_sym_BSLASHwj] = ACTIONS(2753),
    [anon_sym_BSLASHem] = ACTIONS(2753),
    [anon_sym_BSLASHbd] = ACTIONS(2753),
    [anon_sym_BSLASHit] = ACTIONS(2753),
    [anon_sym_BSLASHbdit] = ACTIONS(2753),
    [anon_sym_BSLASHno] = ACTIONS(2753),
    [anon_sym_BSLASHsc] = ACTIONS(2753),
    [anon_sym_BSLASHsup] = ACTIONS(2753),
    [anon_sym_BSLASHndx] = ACTIONS(2753),
    [anon_sym_BSLASHpro] = ACTIONS(2753),
    [anon_sym_BSLASHrb] = ACTIONS(2753),
    [anon_sym_BSLASHw] = ACTIONS(2753),
    [anon_sym_BSLASHwg] = ACTIONS(2753),
    [anon_sym_BSLASHwh] = ACTIONS(2753),
    [anon_sym_BSLASHwa] = ACTIONS(2753),
    [anon_sym_BSLASHjmp] = ACTIONS(2753),
    [anon_sym_BSLASH] = ACTIONS(2753),
    [sym_milestoneStartTag] = ACTIONS(2753),
    [sym_milestoneEndTag] = ACTIONS(2753),
    [sym_zSpaceTag] = ACTIONS(2753),
    [anon_sym_BSLASHesb] = ACTIONS(2753),
  },
  [1227] = {
    [ts_builtin_sym_end] = ACTIONS(2799),
    [aux_sym_text_token1] = ACTIONS(2799),
    [anon_sym_BSLASHusfm] = ACTIONS(2801),
    [anon_sym_BSLASHide] = ACTIONS(2801),
    [anon_sym_BSLASHref] = ACTIONS(2801),
    [anon_sym_BSLASHh] = ACTIONS(2801),
    [anon_sym_BSLASHtoc] = ACTIONS(2801),
    [anon_sym_BSLASHtoca] = ACTIONS(2801),
    [anon_sym_BSLASHsts] = ACTIONS(2801),
    [anon_sym_BSLASHrem] = ACTIONS(2801),
    [anon_sym_BSLASHrestore] = ACTIONS(2801),
    [anon_sym_BSLASHlit] = ACTIONS(2801),
    [anon_sym_BSLASHimt] = ACTIONS(2801),
    [anon_sym_BSLASHimte] = ACTIONS(2801),
    [anon_sym_BSLASHis] = ACTIONS(2801),
    [anon_sym_BSLASHio] = ACTIONS(2801),
    [anon_sym_BSLASHiot] = ACTIONS(2801),
    [anon_sym_BSLASHip] = ACTIONS(2801),
    [anon_sym_BSLASHim] = ACTIONS(2801),
    [anon_sym_BSLASHipi] = ACTIONS(2801),
    [anon_sym_BSLASHimi] = ACTIONS(2801),
    [anon_sym_BSLASHili] = ACTIONS(2801),
    [anon_sym_BSLASHipq] = ACTIONS(2801),
    [anon_sym_BSLASHimq] = ACTIONS(2801),
    [anon_sym_BSLASHipr] = ACTIONS(2801),
    [anon_sym_BSLASHib] = ACTIONS(2801),
    [anon_sym_BSLASHiq] = ACTIONS(2801),
    [anon_sym_BSLASHie] = ACTIONS(2801),
    [anon_sym_BSLASHiex] = ACTIONS(2801),
    [anon_sym_BSLASHc] = ACTIONS(2801),
    [anon_sym_BSLASHcl] = ACTIONS(2801),
    [anon_sym_BSLASHmt] = ACTIONS(2801),
    [anon_sym_BSLASHadd] = ACTIONS(2801),
    [anon_sym_BSLASHbk] = ACTIONS(2801),
    [anon_sym_BSLASHdc] = ACTIONS(2801),
    [anon_sym_BSLASHk] = ACTIONS(2801),
    [anon_sym_BSLASHnd] = ACTIONS(2801),
    [anon_sym_BSLASHord] = ACTIONS(2801),
    [anon_sym_BSLASHpn] = ACTIONS(2801),
    [anon_sym_BSLASHpng] = ACTIONS(2801),
    [anon_sym_BSLASHaddpn] = ACTIONS(2801),
    [anon_sym_BSLASHqt] = ACTIONS(2801),
    [anon_sym_BSLASHsig] = ACTIONS(2801),
    [anon_sym_BSLASHsls] = ACTIONS(2801),
    [anon_sym_BSLASHtl] = ACTIONS(2801),
    [anon_sym_BSLASHwj] = ACTIONS(2801),
    [anon_sym_BSLASHem] = ACTIONS(2801),
    [anon_sym_BSLASHbd] = ACTIONS(2801),
    [anon_sym_BSLASHit] = ACTIONS(2801),
    [anon_sym_BSLASHbdit] = ACTIONS(2801),
    [anon_sym_BSLASHno] = ACTIONS(2801),
    [anon_sym_BSLASHsc] = ACTIONS(2801),
    [anon_sym_BSLASHsup] = ACTIONS(2801),
    [anon_sym_BSLASHndx] = ACTIONS(2801),
    [anon_sym_BSLASHpro] = ACTIONS(2801),
    [anon_sym_BSLASHrb] = ACTIONS(2801),
    [anon_sym_BSLASHw] = ACTIONS(2801),
    [anon_sym_BSLASHwg] = ACTIONS(2801),
    [anon_sym_BSLASHwh] = ACTIONS(2801),
    [anon_sym_BSLASHwa] = ACTIONS(2801),
    [anon_sym_BSLASHjmp] = ACTIONS(2801),
    [anon_sym_BSLASH] = ACTIONS(2801),
    [sym_milestoneStartTag] = ACTIONS(2801),
    [sym_milestoneEndTag] = ACTIONS(2801),
    [sym_zSpaceTag] = ACTIONS(2801),
    [anon_sym_BSLASHesb] = ACTIONS(2801),
  },
  [1228] = {
    [ts_builtin_sym_end] = ACTIONS(2759),
    [aux_sym_text_token1] = ACTIONS(2759),
    [anon_sym_BSLASHusfm] = ACTIONS(2761),
    [anon_sym_BSLASHide] = ACTIONS(2761),
    [anon_sym_BSLASHref] = ACTIONS(2761),
    [anon_sym_BSLASHh] = ACTIONS(2761),
    [anon_sym_BSLASHtoc] = ACTIONS(2761),
    [anon_sym_BSLASHtoca] = ACTIONS(2761),
    [anon_sym_BSLASHsts] = ACTIONS(2761),
    [anon_sym_BSLASHrem] = ACTIONS(2761),
    [anon_sym_BSLASHrestore] = ACTIONS(2761),
    [anon_sym_BSLASHlit] = ACTIONS(2761),
    [anon_sym_BSLASHimt] = ACTIONS(2761),
    [anon_sym_BSLASHimte] = ACTIONS(2761),
    [anon_sym_BSLASHis] = ACTIONS(2761),
    [anon_sym_BSLASHio] = ACTIONS(2761),
    [anon_sym_BSLASHiot] = ACTIONS(2761),
    [anon_sym_BSLASHip] = ACTIONS(2761),
    [anon_sym_BSLASHim] = ACTIONS(2761),
    [anon_sym_BSLASHipi] = ACTIONS(2761),
    [anon_sym_BSLASHimi] = ACTIONS(2761),
    [anon_sym_BSLASHili] = ACTIONS(2761),
    [anon_sym_BSLASHipq] = ACTIONS(2761),
    [anon_sym_BSLASHimq] = ACTIONS(2761),
    [anon_sym_BSLASHipr] = ACTIONS(2761),
    [anon_sym_BSLASHib] = ACTIONS(2761),
    [anon_sym_BSLASHiq] = ACTIONS(2761),
    [anon_sym_BSLASHie] = ACTIONS(2761),
    [anon_sym_BSLASHiex] = ACTIONS(2761),
    [anon_sym_BSLASHc] = ACTIONS(2761),
    [anon_sym_BSLASHcl] = ACTIONS(2761),
    [anon_sym_BSLASHmt] = ACTIONS(2761),
    [anon_sym_BSLASHadd] = ACTIONS(2761),
    [anon_sym_BSLASHbk] = ACTIONS(2761),
    [anon_sym_BSLASHdc] = ACTIONS(2761),
    [anon_sym_BSLASHk] = ACTIONS(2761),
    [anon_sym_BSLASHnd] = ACTIONS(2761),
    [anon_sym_BSLASHord] = ACTIONS(2761),
    [anon_sym_BSLASHpn] = ACTIONS(2761),
    [anon_sym_BSLASHpng] = ACTIONS(2761),
    [anon_sym_BSLASHaddpn] = ACTIONS(2761),
    [anon_sym_BSLASHqt] = ACTIONS(2761),
    [anon_sym_BSLASHsig] = ACTIONS(2761),
    [anon_sym_BSLASHsls] = ACTIONS(2761),
    [anon_sym_BSLASHtl] = ACTIONS(2761),
    [anon_sym_BSLASHwj] = ACTIONS(2761),
    [anon_sym_BSLASHem] = ACTIONS(2761),
    [anon_sym_BSLASHbd] = ACTIONS(2761),
    [anon_sym_BSLASHit] = ACTIONS(2761),
    [anon_sym_BSLASHbdit] = ACTIONS(2761),
    [anon_sym_BSLASHno] = ACTIONS(2761),
    [anon_sym_BSLASHsc] = ACTIONS(2761),
    [anon_sym_BSLASHsup] = ACTIONS(2761),
    [anon_sym_BSLASHndx] = ACTIONS(2761),
    [anon_sym_BSLASHpro] = ACTIONS(2761),
    [anon_sym_BSLASHrb] = ACTIONS(2761),
    [anon_sym_BSLASHw] = ACTIONS(2761),
    [anon_sym_BSLASHwg] = ACTIONS(2761),
    [anon_sym_BSLASHwh] = ACTIONS(2761),
    [anon_sym_BSLASHwa] = ACTIONS(2761),
    [anon_sym_BSLASHjmp] = ACTIONS(2761),
    [anon_sym_BSLASH] = ACTIONS(2761),
    [sym_milestoneStartTag] = ACTIONS(2761),
    [sym_milestoneEndTag] = ACTIONS(2761),
    [sym_zSpaceTag] = ACTIONS(2761),
    [anon_sym_BSLASHesb] = ACTIONS(2761),
  },
  [1229] = {
    [ts_builtin_sym_end] = ACTIONS(2763),
    [aux_sym_text_token1] = ACTIONS(2763),
    [anon_sym_BSLASHusfm] = ACTIONS(2765),
    [anon_sym_BSLASHide] = ACTIONS(2765),
    [anon_sym_BSLASHref] = ACTIONS(2765),
    [anon_sym_BSLASHh] = ACTIONS(2765),
    [anon_sym_BSLASHtoc] = ACTIONS(2765),
    [anon_sym_BSLASHtoca] = ACTIONS(2765),
    [anon_sym_BSLASHsts] = ACTIONS(2765),
    [anon_sym_BSLASHrem] = ACTIONS(2765),
    [anon_sym_BSLASHrestore] = ACTIONS(2765),
    [anon_sym_BSLASHlit] = ACTIONS(2765),
    [anon_sym_BSLASHimt] = ACTIONS(2765),
    [anon_sym_BSLASHimte] = ACTIONS(2765),
    [anon_sym_BSLASHis] = ACTIONS(2765),
    [anon_sym_BSLASHio] = ACTIONS(2765),
    [anon_sym_BSLASHiot] = ACTIONS(2765),
    [anon_sym_BSLASHip] = ACTIONS(2765),
    [anon_sym_BSLASHim] = ACTIONS(2765),
    [anon_sym_BSLASHipi] = ACTIONS(2765),
    [anon_sym_BSLASHimi] = ACTIONS(2765),
    [anon_sym_BSLASHili] = ACTIONS(2765),
    [anon_sym_BSLASHipq] = ACTIONS(2765),
    [anon_sym_BSLASHimq] = ACTIONS(2765),
    [anon_sym_BSLASHipr] = ACTIONS(2765),
    [anon_sym_BSLASHib] = ACTIONS(2765),
    [anon_sym_BSLASHiq] = ACTIONS(2765),
    [anon_sym_BSLASHie] = ACTIONS(2765),
    [anon_sym_BSLASHiex] = ACTIONS(2765),
    [anon_sym_BSLASHc] = ACTIONS(2765),
    [anon_sym_BSLASHcl] = ACTIONS(2765),
    [anon_sym_BSLASHmt] = ACTIONS(2765),
    [anon_sym_BSLASHadd] = ACTIONS(2765),
    [anon_sym_BSLASHbk] = ACTIONS(2765),
    [anon_sym_BSLASHdc] = ACTIONS(2765),
    [anon_sym_BSLASHk] = ACTIONS(2765),
    [anon_sym_BSLASHnd] = ACTIONS(2765),
    [anon_sym_BSLASHord] = ACTIONS(2765),
    [anon_sym_BSLASHpn] = ACTIONS(2765),
    [anon_sym_BSLASHpng] = ACTIONS(2765),
    [anon_sym_BSLASHaddpn] = ACTIONS(2765),
    [anon_sym_BSLASHqt] = ACTIONS(2765),
    [anon_sym_BSLASHsig] = ACTIONS(2765),
    [anon_sym_BSLASHsls] = ACTIONS(2765),
    [anon_sym_BSLASHtl] = ACTIONS(2765),
    [anon_sym_BSLASHwj] = ACTIONS(2765),
    [anon_sym_BSLASHem] = ACTIONS(2765),
    [anon_sym_BSLASHbd] = ACTIONS(2765),
    [anon_sym_BSLASHit] = ACTIONS(2765),
    [anon_sym_BSLASHbdit] = ACTIONS(2765),
    [anon_sym_BSLASHno] = ACTIONS(2765),
    [anon_sym_BSLASHsc] = ACTIONS(2765),
    [anon_sym_BSLASHsup] = ACTIONS(2765),
    [anon_sym_BSLASHndx] = ACTIONS(2765),
    [anon_sym_BSLASHpro] = ACTIONS(2765),
    [anon_sym_BSLASHrb] = ACTIONS(2765),
    [anon_sym_BSLASHw] = ACTIONS(2765),
    [anon_sym_BSLASHwg] = ACTIONS(2765),
    [anon_sym_BSLASHwh] = ACTIONS(2765),
    [anon_sym_BSLASHwa] = ACTIONS(2765),
    [anon_sym_BSLASHjmp] = ACTIONS(2765),
    [anon_sym_BSLASH] = ACTIONS(2765),
    [sym_milestoneStartTag] = ACTIONS(2765),
    [sym_milestoneEndTag] = ACTIONS(2765),
    [sym_zSpaceTag] = ACTIONS(2765),
    [anon_sym_BSLASHesb] = ACTIONS(2765),
  },
  [1230] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [aux_sym_text_token1] = ACTIONS(2767),
    [anon_sym_BSLASHusfm] = ACTIONS(2769),
    [anon_sym_BSLASHide] = ACTIONS(2769),
    [anon_sym_BSLASHref] = ACTIONS(2769),
    [anon_sym_BSLASHh] = ACTIONS(2769),
    [anon_sym_BSLASHtoc] = ACTIONS(2769),
    [anon_sym_BSLASHtoca] = ACTIONS(2769),
    [anon_sym_BSLASHsts] = ACTIONS(2769),
    [anon_sym_BSLASHrem] = ACTIONS(2769),
    [anon_sym_BSLASHrestore] = ACTIONS(2769),
    [anon_sym_BSLASHlit] = ACTIONS(2769),
    [anon_sym_BSLASHimt] = ACTIONS(2769),
    [anon_sym_BSLASHimte] = ACTIONS(2769),
    [anon_sym_BSLASHis] = ACTIONS(2769),
    [anon_sym_BSLASHio] = ACTIONS(2769),
    [anon_sym_BSLASHiot] = ACTIONS(2769),
    [anon_sym_BSLASHip] = ACTIONS(2769),
    [anon_sym_BSLASHim] = ACTIONS(2769),
    [anon_sym_BSLASHipi] = ACTIONS(2769),
    [anon_sym_BSLASHimi] = ACTIONS(2769),
    [anon_sym_BSLASHili] = ACTIONS(2769),
    [anon_sym_BSLASHipq] = ACTIONS(2769),
    [anon_sym_BSLASHimq] = ACTIONS(2769),
    [anon_sym_BSLASHipr] = ACTIONS(2769),
    [anon_sym_BSLASHib] = ACTIONS(2769),
    [anon_sym_BSLASHiq] = ACTIONS(2769),
    [anon_sym_BSLASHie] = ACTIONS(2769),
    [anon_sym_BSLASHiex] = ACTIONS(2769),
    [anon_sym_BSLASHc] = ACTIONS(2769),
    [anon_sym_BSLASHcl] = ACTIONS(2769),
    [anon_sym_BSLASHmt] = ACTIONS(2769),
    [anon_sym_BSLASHadd] = ACTIONS(2769),
    [anon_sym_BSLASHbk] = ACTIONS(2769),
    [anon_sym_BSLASHdc] = ACTIONS(2769),
    [anon_sym_BSLASHk] = ACTIONS(2769),
    [anon_sym_BSLASHnd] = ACTIONS(2769),
    [anon_sym_BSLASHord] = ACTIONS(2769),
    [anon_sym_BSLASHpn] = ACTIONS(2769),
    [anon_sym_BSLASHpng] = ACTIONS(2769),
    [anon_sym_BSLASHaddpn] = ACTIONS(2769),
    [anon_sym_BSLASHqt] = ACTIONS(2769),
    [anon_sym_BSLASHsig] = ACTIONS(2769),
    [anon_sym_BSLASHsls] = ACTIONS(2769),
    [anon_sym_BSLASHtl] = ACTIONS(2769),
    [anon_sym_BSLASHwj] = ACTIONS(2769),
    [anon_sym_BSLASHem] = ACTIONS(2769),
    [anon_sym_BSLASHbd] = ACTIONS(2769),
    [anon_sym_BSLASHit] = ACTIONS(2769),
    [anon_sym_BSLASHbdit] = ACTIONS(2769),
    [anon_sym_BSLASHno] = ACTIONS(2769),
    [anon_sym_BSLASHsc] = ACTIONS(2769),
    [anon_sym_BSLASHsup] = ACTIONS(2769),
    [anon_sym_BSLASHndx] = ACTIONS(2769),
    [anon_sym_BSLASHpro] = ACTIONS(2769),
    [anon_sym_BSLASHrb] = ACTIONS(2769),
    [anon_sym_BSLASHw] = ACTIONS(2769),
    [anon_sym_BSLASHwg] = ACTIONS(2769),
    [anon_sym_BSLASHwh] = ACTIONS(2769),
    [anon_sym_BSLASHwa] = ACTIONS(2769),
    [anon_sym_BSLASHjmp] = ACTIONS(2769),
    [anon_sym_BSLASH] = ACTIONS(2769),
    [sym_milestoneStartTag] = ACTIONS(2769),
    [sym_milestoneEndTag] = ACTIONS(2769),
    [sym_zSpaceTag] = ACTIONS(2769),
    [anon_sym_BSLASHesb] = ACTIONS(2769),
  },
  [1231] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHusfm] = ACTIONS(2677),
    [anon_sym_BSLASHide] = ACTIONS(2677),
    [anon_sym_BSLASHref] = ACTIONS(2677),
    [anon_sym_BSLASHh] = ACTIONS(2677),
    [anon_sym_BSLASHtoc] = ACTIONS(2677),
    [anon_sym_BSLASHtoca] = ACTIONS(2677),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHimt] = ACTIONS(2677),
    [anon_sym_BSLASHimte] = ACTIONS(2677),
    [anon_sym_BSLASHis] = ACTIONS(2677),
    [anon_sym_BSLASHio] = ACTIONS(2677),
    [anon_sym_BSLASHiot] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHim] = ACTIONS(2677),
    [anon_sym_BSLASHipi] = ACTIONS(2677),
    [anon_sym_BSLASHimi] = ACTIONS(2677),
    [anon_sym_BSLASHili] = ACTIONS(2677),
    [anon_sym_BSLASHipq] = ACTIONS(2677),
    [anon_sym_BSLASHimq] = ACTIONS(2677),
    [anon_sym_BSLASHipr] = ACTIONS(2677),
    [anon_sym_BSLASHib] = ACTIONS(2677),
    [anon_sym_BSLASHiq] = ACTIONS(2677),
    [anon_sym_BSLASHie] = ACTIONS(2677),
    [anon_sym_BSLASHiex] = ACTIONS(2677),
    [anon_sym_BSLASHc] = ACTIONS(2677),
    [anon_sym_BSLASHcl] = ACTIONS(2677),
    [anon_sym_BSLASHmt] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesb] = ACTIONS(2677),
  },
  [1232] = {
    [ts_builtin_sym_end] = ACTIONS(2779),
    [aux_sym_text_token1] = ACTIONS(2779),
    [anon_sym_BSLASHusfm] = ACTIONS(2781),
    [anon_sym_BSLASHide] = ACTIONS(2781),
    [anon_sym_BSLASHref] = ACTIONS(2781),
    [anon_sym_BSLASHh] = ACTIONS(2781),
    [anon_sym_BSLASHtoc] = ACTIONS(2781),
    [anon_sym_BSLASHtoca] = ACTIONS(2781),
    [anon_sym_BSLASHsts] = ACTIONS(2781),
    [anon_sym_BSLASHrem] = ACTIONS(2781),
    [anon_sym_BSLASHrestore] = ACTIONS(2781),
    [anon_sym_BSLASHlit] = ACTIONS(2781),
    [anon_sym_BSLASHimt] = ACTIONS(2781),
    [anon_sym_BSLASHimte] = ACTIONS(2781),
    [anon_sym_BSLASHis] = ACTIONS(2781),
    [anon_sym_BSLASHio] = ACTIONS(2781),
    [anon_sym_BSLASHiot] = ACTIONS(2781),
    [anon_sym_BSLASHip] = ACTIONS(2781),
    [anon_sym_BSLASHim] = ACTIONS(2781),
    [anon_sym_BSLASHipi] = ACTIONS(2781),
    [anon_sym_BSLASHimi] = ACTIONS(2781),
    [anon_sym_BSLASHili] = ACTIONS(2781),
    [anon_sym_BSLASHipq] = ACTIONS(2781),
    [anon_sym_BSLASHimq] = ACTIONS(2781),
    [anon_sym_BSLASHipr] = ACTIONS(2781),
    [anon_sym_BSLASHib] = ACTIONS(2781),
    [anon_sym_BSLASHiq] = ACTIONS(2781),
    [anon_sym_BSLASHie] = ACTIONS(2781),
    [anon_sym_BSLASHiex] = ACTIONS(2781),
    [anon_sym_BSLASHc] = ACTIONS(2781),
    [anon_sym_BSLASHcl] = ACTIONS(2781),
    [anon_sym_BSLASHmt] = ACTIONS(2781),
    [anon_sym_BSLASHadd] = ACTIONS(2781),
    [anon_sym_BSLASHbk] = ACTIONS(2781),
    [anon_sym_BSLASHdc] = ACTIONS(2781),
    [anon_sym_BSLASHk] = ACTIONS(2781),
    [anon_sym_BSLASHnd] = ACTIONS(2781),
    [anon_sym_BSLASHord] = ACTIONS(2781),
    [anon_sym_BSLASHpn] = ACTIONS(2781),
    [anon_sym_BSLASHpng] = ACTIONS(2781),
    [anon_sym_BSLASHaddpn] = ACTIONS(2781),
    [anon_sym_BSLASHqt] = ACTIONS(2781),
    [anon_sym_BSLASHsig] = ACTIONS(2781),
    [anon_sym_BSLASHsls] = ACTIONS(2781),
    [anon_sym_BSLASHtl] = ACTIONS(2781),
    [anon_sym_BSLASHwj] = ACTIONS(2781),
    [anon_sym_BSLASHem] = ACTIONS(2781),
    [anon_sym_BSLASHbd] = ACTIONS(2781),
    [anon_sym_BSLASHit] = ACTIONS(2781),
    [anon_sym_BSLASHbdit] = ACTIONS(2781),
    [anon_sym_BSLASHno] = ACTIONS(2781),
    [anon_sym_BSLASHsc] = ACTIONS(2781),
    [anon_sym_BSLASHsup] = ACTIONS(2781),
    [anon_sym_BSLASHndx] = ACTIONS(2781),
    [anon_sym_BSLASHpro] = ACTIONS(2781),
    [anon_sym_BSLASHrb] = ACTIONS(2781),
    [anon_sym_BSLASHw] = ACTIONS(2781),
    [anon_sym_BSLASHwg] = ACTIONS(2781),
    [anon_sym_BSLASHwh] = ACTIONS(2781),
    [anon_sym_BSLASHwa] = ACTIONS(2781),
    [anon_sym_BSLASHjmp] = ACTIONS(2781),
    [anon_sym_BSLASH] = ACTIONS(2781),
    [sym_milestoneStartTag] = ACTIONS(2781),
    [sym_milestoneEndTag] = ACTIONS(2781),
    [sym_zSpaceTag] = ACTIONS(2781),
    [anon_sym_BSLASHesb] = ACTIONS(2781),
  },
  [1233] = {
    [ts_builtin_sym_end] = ACTIONS(2783),
    [aux_sym_text_token1] = ACTIONS(2783),
    [anon_sym_BSLASHusfm] = ACTIONS(2785),
    [anon_sym_BSLASHide] = ACTIONS(2785),
    [anon_sym_BSLASHref] = ACTIONS(2785),
    [anon_sym_BSLASHh] = ACTIONS(2785),
    [anon_sym_BSLASHtoc] = ACTIONS(2785),
    [anon_sym_BSLASHtoca] = ACTIONS(2785),
    [anon_sym_BSLASHsts] = ACTIONS(2785),
    [anon_sym_BSLASHrem] = ACTIONS(2785),
    [anon_sym_BSLASHrestore] = ACTIONS(2785),
    [anon_sym_BSLASHlit] = ACTIONS(2785),
    [anon_sym_BSLASHimt] = ACTIONS(2785),
    [anon_sym_BSLASHimte] = ACTIONS(2785),
    [anon_sym_BSLASHis] = ACTIONS(2785),
    [anon_sym_BSLASHio] = ACTIONS(2785),
    [anon_sym_BSLASHiot] = ACTIONS(2785),
    [anon_sym_BSLASHip] = ACTIONS(2785),
    [anon_sym_BSLASHim] = ACTIONS(2785),
    [anon_sym_BSLASHipi] = ACTIONS(2785),
    [anon_sym_BSLASHimi] = ACTIONS(2785),
    [anon_sym_BSLASHili] = ACTIONS(2785),
    [anon_sym_BSLASHipq] = ACTIONS(2785),
    [anon_sym_BSLASHimq] = ACTIONS(2785),
    [anon_sym_BSLASHipr] = ACTIONS(2785),
    [anon_sym_BSLASHib] = ACTIONS(2785),
    [anon_sym_BSLASHiq] = ACTIONS(2785),
    [anon_sym_BSLASHie] = ACTIONS(2785),
    [anon_sym_BSLASHiex] = ACTIONS(2785),
    [anon_sym_BSLASHc] = ACTIONS(2785),
    [anon_sym_BSLASHcl] = ACTIONS(2785),
    [anon_sym_BSLASHmt] = ACTIONS(2785),
    [anon_sym_BSLASHadd] = ACTIONS(2785),
    [anon_sym_BSLASHbk] = ACTIONS(2785),
    [anon_sym_BSLASHdc] = ACTIONS(2785),
    [anon_sym_BSLASHk] = ACTIONS(2785),
    [anon_sym_BSLASHnd] = ACTIONS(2785),
    [anon_sym_BSLASHord] = ACTIONS(2785),
    [anon_sym_BSLASHpn] = ACTIONS(2785),
    [anon_sym_BSLASHpng] = ACTIONS(2785),
    [anon_sym_BSLASHaddpn] = ACTIONS(2785),
    [anon_sym_BSLASHqt] = ACTIONS(2785),
    [anon_sym_BSLASHsig] = ACTIONS(2785),
    [anon_sym_BSLASHsls] = ACTIONS(2785),
    [anon_sym_BSLASHtl] = ACTIONS(2785),
    [anon_sym_BSLASHwj] = ACTIONS(2785),
    [anon_sym_BSLASHem] = ACTIONS(2785),
    [anon_sym_BSLASHbd] = ACTIONS(2785),
    [anon_sym_BSLASHit] = ACTIONS(2785),
    [anon_sym_BSLASHbdit] = ACTIONS(2785),
    [anon_sym_BSLASHno] = ACTIONS(2785),
    [anon_sym_BSLASHsc] = ACTIONS(2785),
    [anon_sym_BSLASHsup] = ACTIONS(2785),
    [anon_sym_BSLASHndx] = ACTIONS(2785),
    [anon_sym_BSLASHpro] = ACTIONS(2785),
    [anon_sym_BSLASHrb] = ACTIONS(2785),
    [anon_sym_BSLASHw] = ACTIONS(2785),
    [anon_sym_BSLASHwg] = ACTIONS(2785),
    [anon_sym_BSLASHwh] = ACTIONS(2785),
    [anon_sym_BSLASHwa] = ACTIONS(2785),
    [anon_sym_BSLASHjmp] = ACTIONS(2785),
    [anon_sym_BSLASH] = ACTIONS(2785),
    [sym_milestoneStartTag] = ACTIONS(2785),
    [sym_milestoneEndTag] = ACTIONS(2785),
    [sym_zSpaceTag] = ACTIONS(2785),
    [anon_sym_BSLASHesb] = ACTIONS(2785),
  },
  [1234] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [aux_sym_text_token1] = ACTIONS(2795),
    [anon_sym_BSLASHusfm] = ACTIONS(2797),
    [anon_sym_BSLASHide] = ACTIONS(2797),
    [anon_sym_BSLASHref] = ACTIONS(2797),
    [anon_sym_BSLASHh] = ACTIONS(2797),
    [anon_sym_BSLASHtoc] = ACTIONS(2797),
    [anon_sym_BSLASHtoca] = ACTIONS(2797),
    [anon_sym_BSLASHsts] = ACTIONS(2797),
    [anon_sym_BSLASHrem] = ACTIONS(2797),
    [anon_sym_BSLASHrestore] = ACTIONS(2797),
    [anon_sym_BSLASHlit] = ACTIONS(2797),
    [anon_sym_BSLASHimt] = ACTIONS(2797),
    [anon_sym_BSLASHimte] = ACTIONS(2797),
    [anon_sym_BSLASHis] = ACTIONS(2797),
    [anon_sym_BSLASHio] = ACTIONS(2797),
    [anon_sym_BSLASHiot] = ACTIONS(2797),
    [anon_sym_BSLASHip] = ACTIONS(2797),
    [anon_sym_BSLASHim] = ACTIONS(2797),
    [anon_sym_BSLASHipi] = ACTIONS(2797),
    [anon_sym_BSLASHimi] = ACTIONS(2797),
    [anon_sym_BSLASHili] = ACTIONS(2797),
    [anon_sym_BSLASHipq] = ACTIONS(2797),
    [anon_sym_BSLASHimq] = ACTIONS(2797),
    [anon_sym_BSLASHipr] = ACTIONS(2797),
    [anon_sym_BSLASHib] = ACTIONS(2797),
    [anon_sym_BSLASHiq] = ACTIONS(2797),
    [anon_sym_BSLASHie] = ACTIONS(2797),
    [anon_sym_BSLASHiex] = ACTIONS(2797),
    [anon_sym_BSLASHc] = ACTIONS(2797),
    [anon_sym_BSLASHcl] = ACTIONS(2797),
    [anon_sym_BSLASHmt] = ACTIONS(2797),
    [anon_sym_BSLASHadd] = ACTIONS(2797),
    [anon_sym_BSLASHbk] = ACTIONS(2797),
    [anon_sym_BSLASHdc] = ACTIONS(2797),
    [anon_sym_BSLASHk] = ACTIONS(2797),
    [anon_sym_BSLASHnd] = ACTIONS(2797),
    [anon_sym_BSLASHord] = ACTIONS(2797),
    [anon_sym_BSLASHpn] = ACTIONS(2797),
    [anon_sym_BSLASHpng] = ACTIONS(2797),
    [anon_sym_BSLASHaddpn] = ACTIONS(2797),
    [anon_sym_BSLASHqt] = ACTIONS(2797),
    [anon_sym_BSLASHsig] = ACTIONS(2797),
    [anon_sym_BSLASHsls] = ACTIONS(2797),
    [anon_sym_BSLASHtl] = ACTIONS(2797),
    [anon_sym_BSLASHwj] = ACTIONS(2797),
    [anon_sym_BSLASHem] = ACTIONS(2797),
    [anon_sym_BSLASHbd] = ACTIONS(2797),
    [anon_sym_BSLASHit] = ACTIONS(2797),
    [anon_sym_BSLASHbdit] = ACTIONS(2797),
    [anon_sym_BSLASHno] = ACTIONS(2797),
    [anon_sym_BSLASHsc] = ACTIONS(2797),
    [anon_sym_BSLASHsup] = ACTIONS(2797),
    [anon_sym_BSLASHndx] = ACTIONS(2797),
    [anon_sym_BSLASHpro] = ACTIONS(2797),
    [anon_sym_BSLASHrb] = ACTIONS(2797),
    [anon_sym_BSLASHw] = ACTIONS(2797),
    [anon_sym_BSLASHwg] = ACTIONS(2797),
    [anon_sym_BSLASHwh] = ACTIONS(2797),
    [anon_sym_BSLASHwa] = ACTIONS(2797),
    [anon_sym_BSLASHjmp] = ACTIONS(2797),
    [anon_sym_BSLASH] = ACTIONS(2797),
    [sym_milestoneStartTag] = ACTIONS(2797),
    [sym_milestoneEndTag] = ACTIONS(2797),
    [sym_zSpaceTag] = ACTIONS(2797),
    [anon_sym_BSLASHesb] = ACTIONS(2797),
  },
  [1235] = {
    [ts_builtin_sym_end] = ACTIONS(2787),
    [aux_sym_text_token1] = ACTIONS(2787),
    [anon_sym_BSLASHusfm] = ACTIONS(2789),
    [anon_sym_BSLASHide] = ACTIONS(2789),
    [anon_sym_BSLASHref] = ACTIONS(2789),
    [anon_sym_BSLASHh] = ACTIONS(2789),
    [anon_sym_BSLASHtoc] = ACTIONS(2789),
    [anon_sym_BSLASHtoca] = ACTIONS(2789),
    [anon_sym_BSLASHsts] = ACTIONS(2789),
    [anon_sym_BSLASHrem] = ACTIONS(2789),
    [anon_sym_BSLASHrestore] = ACTIONS(2789),
    [anon_sym_BSLASHlit] = ACTIONS(2789),
    [anon_sym_BSLASHimt] = ACTIONS(2789),
    [anon_sym_BSLASHimte] = ACTIONS(2789),
    [anon_sym_BSLASHis] = ACTIONS(2789),
    [anon_sym_BSLASHio] = ACTIONS(2789),
    [anon_sym_BSLASHiot] = ACTIONS(2789),
    [anon_sym_BSLASHip] = ACTIONS(2789),
    [anon_sym_BSLASHim] = ACTIONS(2789),
    [anon_sym_BSLASHipi] = ACTIONS(2789),
    [anon_sym_BSLASHimi] = ACTIONS(2789),
    [anon_sym_BSLASHili] = ACTIONS(2789),
    [anon_sym_BSLASHipq] = ACTIONS(2789),
    [anon_sym_BSLASHimq] = ACTIONS(2789),
    [anon_sym_BSLASHipr] = ACTIONS(2789),
    [anon_sym_BSLASHib] = ACTIONS(2789),
    [anon_sym_BSLASHiq] = ACTIONS(2789),
    [anon_sym_BSLASHie] = ACTIONS(2789),
    [anon_sym_BSLASHiex] = ACTIONS(2789),
    [anon_sym_BSLASHc] = ACTIONS(2789),
    [anon_sym_BSLASHcl] = ACTIONS(2789),
    [anon_sym_BSLASHmt] = ACTIONS(2789),
    [anon_sym_BSLASHadd] = ACTIONS(2789),
    [anon_sym_BSLASHbk] = ACTIONS(2789),
    [anon_sym_BSLASHdc] = ACTIONS(2789),
    [anon_sym_BSLASHk] = ACTIONS(2789),
    [anon_sym_BSLASHnd] = ACTIONS(2789),
    [anon_sym_BSLASHord] = ACTIONS(2789),
    [anon_sym_BSLASHpn] = ACTIONS(2789),
    [anon_sym_BSLASHpng] = ACTIONS(2789),
    [anon_sym_BSLASHaddpn] = ACTIONS(2789),
    [anon_sym_BSLASHqt] = ACTIONS(2789),
    [anon_sym_BSLASHsig] = ACTIONS(2789),
    [anon_sym_BSLASHsls] = ACTIONS(2789),
    [anon_sym_BSLASHtl] = ACTIONS(2789),
    [anon_sym_BSLASHwj] = ACTIONS(2789),
    [anon_sym_BSLASHem] = ACTIONS(2789),
    [anon_sym_BSLASHbd] = ACTIONS(2789),
    [anon_sym_BSLASHit] = ACTIONS(2789),
    [anon_sym_BSLASHbdit] = ACTIONS(2789),
    [anon_sym_BSLASHno] = ACTIONS(2789),
    [anon_sym_BSLASHsc] = ACTIONS(2789),
    [anon_sym_BSLASHsup] = ACTIONS(2789),
    [anon_sym_BSLASHndx] = ACTIONS(2789),
    [anon_sym_BSLASHpro] = ACTIONS(2789),
    [anon_sym_BSLASHrb] = ACTIONS(2789),
    [anon_sym_BSLASHw] = ACTIONS(2789),
    [anon_sym_BSLASHwg] = ACTIONS(2789),
    [anon_sym_BSLASHwh] = ACTIONS(2789),
    [anon_sym_BSLASHwa] = ACTIONS(2789),
    [anon_sym_BSLASHjmp] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2789),
    [sym_milestoneStartTag] = ACTIONS(2789),
    [sym_milestoneEndTag] = ACTIONS(2789),
    [sym_zSpaceTag] = ACTIONS(2789),
    [anon_sym_BSLASHesb] = ACTIONS(2789),
  },
  [1236] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHusfm] = ACTIONS(2721),
    [anon_sym_BSLASHide] = ACTIONS(2721),
    [anon_sym_BSLASHref] = ACTIONS(2721),
    [anon_sym_BSLASHh] = ACTIONS(2721),
    [anon_sym_BSLASHtoc] = ACTIONS(2721),
    [anon_sym_BSLASHtoca] = ACTIONS(2721),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHimt] = ACTIONS(2721),
    [anon_sym_BSLASHimte] = ACTIONS(2721),
    [anon_sym_BSLASHis] = ACTIONS(2721),
    [anon_sym_BSLASHio] = ACTIONS(2721),
    [anon_sym_BSLASHiot] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHim] = ACTIONS(2721),
    [anon_sym_BSLASHipi] = ACTIONS(2721),
    [anon_sym_BSLASHimi] = ACTIONS(2721),
    [anon_sym_BSLASHili] = ACTIONS(2721),
    [anon_sym_BSLASHipq] = ACTIONS(2721),
    [anon_sym_BSLASHimq] = ACTIONS(2721),
    [anon_sym_BSLASHipr] = ACTIONS(2721),
    [anon_sym_BSLASHib] = ACTIONS(2721),
    [anon_sym_BSLASHiq] = ACTIONS(2721),
    [anon_sym_BSLASHie] = ACTIONS(2721),
    [anon_sym_BSLASHiex] = ACTIONS(2721),
    [anon_sym_BSLASHc] = ACTIONS(2721),
    [anon_sym_BSLASHcl] = ACTIONS(2721),
    [anon_sym_BSLASHmt] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesb] = ACTIONS(2721),
  },
  [1237] = {
    [ts_builtin_sym_end] = ACTIONS(2743),
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHusfm] = ACTIONS(2745),
    [anon_sym_BSLASHide] = ACTIONS(2745),
    [anon_sym_BSLASHref] = ACTIONS(2745),
    [anon_sym_BSLASHh] = ACTIONS(2745),
    [anon_sym_BSLASHtoc] = ACTIONS(2745),
    [anon_sym_BSLASHtoca] = ACTIONS(2745),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHimt] = ACTIONS(2745),
    [anon_sym_BSLASHimte] = ACTIONS(2745),
    [anon_sym_BSLASHis] = ACTIONS(2745),
    [anon_sym_BSLASHio] = ACTIONS(2745),
    [anon_sym_BSLASHiot] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHim] = ACTIONS(2745),
    [anon_sym_BSLASHipi] = ACTIONS(2745),
    [anon_sym_BSLASHimi] = ACTIONS(2745),
    [anon_sym_BSLASHili] = ACTIONS(2745),
    [anon_sym_BSLASHipq] = ACTIONS(2745),
    [anon_sym_BSLASHimq] = ACTIONS(2745),
    [anon_sym_BSLASHipr] = ACTIONS(2745),
    [anon_sym_BSLASHib] = ACTIONS(2745),
    [anon_sym_BSLASHiq] = ACTIONS(2745),
    [anon_sym_BSLASHie] = ACTIONS(2745),
    [anon_sym_BSLASHiex] = ACTIONS(2745),
    [anon_sym_BSLASHc] = ACTIONS(2745),
    [anon_sym_BSLASHcl] = ACTIONS(2745),
    [anon_sym_BSLASHmt] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesb] = ACTIONS(2745),
  },
  [1238] = {
    [ts_builtin_sym_end] = ACTIONS(2747),
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHusfm] = ACTIONS(2749),
    [anon_sym_BSLASHide] = ACTIONS(2749),
    [anon_sym_BSLASHref] = ACTIONS(2749),
    [anon_sym_BSLASHh] = ACTIONS(2749),
    [anon_sym_BSLASHtoc] = ACTIONS(2749),
    [anon_sym_BSLASHtoca] = ACTIONS(2749),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHimt] = ACTIONS(2749),
    [anon_sym_BSLASHimte] = ACTIONS(2749),
    [anon_sym_BSLASHis] = ACTIONS(2749),
    [anon_sym_BSLASHio] = ACTIONS(2749),
    [anon_sym_BSLASHiot] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHim] = ACTIONS(2749),
    [anon_sym_BSLASHipi] = ACTIONS(2749),
    [anon_sym_BSLASHimi] = ACTIONS(2749),
    [anon_sym_BSLASHili] = ACTIONS(2749),
    [anon_sym_BSLASHipq] = ACTIONS(2749),
    [anon_sym_BSLASHimq] = ACTIONS(2749),
    [anon_sym_BSLASHipr] = ACTIONS(2749),
    [anon_sym_BSLASHib] = ACTIONS(2749),
    [anon_sym_BSLASHiq] = ACTIONS(2749),
    [anon_sym_BSLASHie] = ACTIONS(2749),
    [anon_sym_BSLASHiex] = ACTIONS(2749),
    [anon_sym_BSLASHc] = ACTIONS(2749),
    [anon_sym_BSLASHcl] = ACTIONS(2749),
    [anon_sym_BSLASHmt] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesb] = ACTIONS(2749),
  },
  [1239] = {
    [ts_builtin_sym_end] = ACTIONS(2775),
    [aux_sym_text_token1] = ACTIONS(2775),
    [anon_sym_BSLASHusfm] = ACTIONS(2777),
    [anon_sym_BSLASHide] = ACTIONS(2777),
    [anon_sym_BSLASHref] = ACTIONS(2777),
    [anon_sym_BSLASHh] = ACTIONS(2777),
    [anon_sym_BSLASHtoc] = ACTIONS(2777),
    [anon_sym_BSLASHtoca] = ACTIONS(2777),
    [anon_sym_BSLASHsts] = ACTIONS(2777),
    [anon_sym_BSLASHrem] = ACTIONS(2777),
    [anon_sym_BSLASHrestore] = ACTIONS(2777),
    [anon_sym_BSLASHlit] = ACTIONS(2777),
    [anon_sym_BSLASHimt] = ACTIONS(2777),
    [anon_sym_BSLASHimte] = ACTIONS(2777),
    [anon_sym_BSLASHis] = ACTIONS(2777),
    [anon_sym_BSLASHio] = ACTIONS(2777),
    [anon_sym_BSLASHiot] = ACTIONS(2777),
    [anon_sym_BSLASHip] = ACTIONS(2777),
    [anon_sym_BSLASHim] = ACTIONS(2777),
    [anon_sym_BSLASHipi] = ACTIONS(2777),
    [anon_sym_BSLASHimi] = ACTIONS(2777),
    [anon_sym_BSLASHili] = ACTIONS(2777),
    [anon_sym_BSLASHipq] = ACTIONS(2777),
    [anon_sym_BSLASHimq] = ACTIONS(2777),
    [anon_sym_BSLASHipr] = ACTIONS(2777),
    [anon_sym_BSLASHib] = ACTIONS(2777),
    [anon_sym_BSLASHiq] = ACTIONS(2777),
    [anon_sym_BSLASHie] = ACTIONS(2777),
    [anon_sym_BSLASHiex] = ACTIONS(2777),
    [anon_sym_BSLASHc] = ACTIONS(2777),
    [anon_sym_BSLASHcl] = ACTIONS(2777),
    [anon_sym_BSLASHmt] = ACTIONS(2777),
    [anon_sym_BSLASHadd] = ACTIONS(2777),
    [anon_sym_BSLASHbk] = ACTIONS(2777),
    [anon_sym_BSLASHdc] = ACTIONS(2777),
    [anon_sym_BSLASHk] = ACTIONS(2777),
    [anon_sym_BSLASHnd] = ACTIONS(2777),
    [anon_sym_BSLASHord] = ACTIONS(2777),
    [anon_sym_BSLASHpn] = ACTIONS(2777),
    [anon_sym_BSLASHpng] = ACTIONS(2777),
    [anon_sym_BSLASHaddpn] = ACTIONS(2777),
    [anon_sym_BSLASHqt] = ACTIONS(2777),
    [anon_sym_BSLASHsig] = ACTIONS(2777),
    [anon_sym_BSLASHsls] = ACTIONS(2777),
    [anon_sym_BSLASHtl] = ACTIONS(2777),
    [anon_sym_BSLASHwj] = ACTIONS(2777),
    [anon_sym_BSLASHem] = ACTIONS(2777),
    [anon_sym_BSLASHbd] = ACTIONS(2777),
    [anon_sym_BSLASHit] = ACTIONS(2777),
    [anon_sym_BSLASHbdit] = ACTIONS(2777),
    [anon_sym_BSLASHno] = ACTIONS(2777),
    [anon_sym_BSLASHsc] = ACTIONS(2777),
    [anon_sym_BSLASHsup] = ACTIONS(2777),
    [anon_sym_BSLASHndx] = ACTIONS(2777),
    [anon_sym_BSLASHpro] = ACTIONS(2777),
    [anon_sym_BSLASHrb] = ACTIONS(2777),
    [anon_sym_BSLASHw] = ACTIONS(2777),
    [anon_sym_BSLASHwg] = ACTIONS(2777),
    [anon_sym_BSLASHwh] = ACTIONS(2777),
    [anon_sym_BSLASHwa] = ACTIONS(2777),
    [anon_sym_BSLASHjmp] = ACTIONS(2777),
    [anon_sym_BSLASH] = ACTIONS(2777),
    [sym_milestoneStartTag] = ACTIONS(2777),
    [sym_milestoneEndTag] = ACTIONS(2777),
    [sym_zSpaceTag] = ACTIONS(2777),
    [anon_sym_BSLASHesb] = ACTIONS(2777),
  },
  [1240] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHusfm] = ACTIONS(2705),
    [anon_sym_BSLASHide] = ACTIONS(2705),
    [anon_sym_BSLASHref] = ACTIONS(2705),
    [anon_sym_BSLASHh] = ACTIONS(2705),
    [anon_sym_BSLASHtoc] = ACTIONS(2705),
    [anon_sym_BSLASHtoca] = ACTIONS(2705),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHimt] = ACTIONS(2705),
    [anon_sym_BSLASHimte] = ACTIONS(2705),
    [anon_sym_BSLASHis] = ACTIONS(2705),
    [anon_sym_BSLASHio] = ACTIONS(2705),
    [anon_sym_BSLASHiot] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHim] = ACTIONS(2705),
    [anon_sym_BSLASHipi] = ACTIONS(2705),
    [anon_sym_BSLASHimi] = ACTIONS(2705),
    [anon_sym_BSLASHili] = ACTIONS(2705),
    [anon_sym_BSLASHipq] = ACTIONS(2705),
    [anon_sym_BSLASHimq] = ACTIONS(2705),
    [anon_sym_BSLASHipr] = ACTIONS(2705),
    [anon_sym_BSLASHib] = ACTIONS(2705),
    [anon_sym_BSLASHiq] = ACTIONS(2705),
    [anon_sym_BSLASHie] = ACTIONS(2705),
    [anon_sym_BSLASHiex] = ACTIONS(2705),
    [anon_sym_BSLASHc] = ACTIONS(2705),
    [anon_sym_BSLASHcl] = ACTIONS(2705),
    [anon_sym_BSLASHmt] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesb] = ACTIONS(2705),
  },
  [1241] = {
    [ts_builtin_sym_end] = ACTIONS(2803),
    [aux_sym_text_token1] = ACTIONS(2803),
    [anon_sym_BSLASHusfm] = ACTIONS(2805),
    [anon_sym_BSLASHide] = ACTIONS(2805),
    [anon_sym_BSLASHref] = ACTIONS(2805),
    [anon_sym_BSLASHh] = ACTIONS(2805),
    [anon_sym_BSLASHtoc] = ACTIONS(2805),
    [anon_sym_BSLASHtoca] = ACTIONS(2805),
    [anon_sym_BSLASHsts] = ACTIONS(2805),
    [anon_sym_BSLASHrem] = ACTIONS(2805),
    [anon_sym_BSLASHrestore] = ACTIONS(2805),
    [anon_sym_BSLASHlit] = ACTIONS(2805),
    [anon_sym_BSLASHimt] = ACTIONS(2805),
    [anon_sym_BSLASHimte] = ACTIONS(2805),
    [anon_sym_BSLASHis] = ACTIONS(2805),
    [anon_sym_BSLASHio] = ACTIONS(2805),
    [anon_sym_BSLASHiot] = ACTIONS(2805),
    [anon_sym_BSLASHip] = ACTIONS(2805),
    [anon_sym_BSLASHim] = ACTIONS(2805),
    [anon_sym_BSLASHipi] = ACTIONS(2805),
    [anon_sym_BSLASHimi] = ACTIONS(2805),
    [anon_sym_BSLASHili] = ACTIONS(2805),
    [anon_sym_BSLASHipq] = ACTIONS(2805),
    [anon_sym_BSLASHimq] = ACTIONS(2805),
    [anon_sym_BSLASHipr] = ACTIONS(2805),
    [anon_sym_BSLASHib] = ACTIONS(2805),
    [anon_sym_BSLASHiq] = ACTIONS(2805),
    [anon_sym_BSLASHie] = ACTIONS(2805),
    [anon_sym_BSLASHiex] = ACTIONS(2805),
    [anon_sym_BSLASHc] = ACTIONS(2805),
    [anon_sym_BSLASHcl] = ACTIONS(2805),
    [anon_sym_BSLASHmt] = ACTIONS(2805),
    [anon_sym_BSLASHadd] = ACTIONS(2805),
    [anon_sym_BSLASHbk] = ACTIONS(2805),
    [anon_sym_BSLASHdc] = ACTIONS(2805),
    [anon_sym_BSLASHk] = ACTIONS(2805),
    [anon_sym_BSLASHnd] = ACTIONS(2805),
    [anon_sym_BSLASHord] = ACTIONS(2805),
    [anon_sym_BSLASHpn] = ACTIONS(2805),
    [anon_sym_BSLASHpng] = ACTIONS(2805),
    [anon_sym_BSLASHaddpn] = ACTIONS(2805),
    [anon_sym_BSLASHqt] = ACTIONS(2805),
    [anon_sym_BSLASHsig] = ACTIONS(2805),
    [anon_sym_BSLASHsls] = ACTIONS(2805),
    [anon_sym_BSLASHtl] = ACTIONS(2805),
    [anon_sym_BSLASHwj] = ACTIONS(2805),
    [anon_sym_BSLASHem] = ACTIONS(2805),
    [anon_sym_BSLASHbd] = ACTIONS(2805),
    [anon_sym_BSLASHit] = ACTIONS(2805),
    [anon_sym_BSLASHbdit] = ACTIONS(2805),
    [anon_sym_BSLASHno] = ACTIONS(2805),
    [anon_sym_BSLASHsc] = ACTIONS(2805),
    [anon_sym_BSLASHsup] = ACTIONS(2805),
    [anon_sym_BSLASHndx] = ACTIONS(2805),
    [anon_sym_BSLASHpro] = ACTIONS(2805),
    [anon_sym_BSLASHrb] = ACTIONS(2805),
    [anon_sym_BSLASHw] = ACTIONS(2805),
    [anon_sym_BSLASHwg] = ACTIONS(2805),
    [anon_sym_BSLASHwh] = ACTIONS(2805),
    [anon_sym_BSLASHwa] = ACTIONS(2805),
    [anon_sym_BSLASHjmp] = ACTIONS(2805),
    [anon_sym_BSLASH] = ACTIONS(2805),
    [sym_milestoneStartTag] = ACTIONS(2805),
    [sym_milestoneEndTag] = ACTIONS(2805),
    [sym_zSpaceTag] = ACTIONS(2805),
    [anon_sym_BSLASHesb] = ACTIONS(2805),
  },
  [1242] = {
    [ts_builtin_sym_end] = ACTIONS(2791),
    [aux_sym_text_token1] = ACTIONS(2791),
    [anon_sym_BSLASHusfm] = ACTIONS(2793),
    [anon_sym_BSLASHide] = ACTIONS(2793),
    [anon_sym_BSLASHref] = ACTIONS(2793),
    [anon_sym_BSLASHh] = ACTIONS(2793),
    [anon_sym_BSLASHtoc] = ACTIONS(2793),
    [anon_sym_BSLASHtoca] = ACTIONS(2793),
    [anon_sym_BSLASHsts] = ACTIONS(2793),
    [anon_sym_BSLASHrem] = ACTIONS(2793),
    [anon_sym_BSLASHrestore] = ACTIONS(2793),
    [anon_sym_BSLASHlit] = ACTIONS(2793),
    [anon_sym_BSLASHimt] = ACTIONS(2793),
    [anon_sym_BSLASHimte] = ACTIONS(2793),
    [anon_sym_BSLASHis] = ACTIONS(2793),
    [anon_sym_BSLASHio] = ACTIONS(2793),
    [anon_sym_BSLASHiot] = ACTIONS(2793),
    [anon_sym_BSLASHip] = ACTIONS(2793),
    [anon_sym_BSLASHim] = ACTIONS(2793),
    [anon_sym_BSLASHipi] = ACTIONS(2793),
    [anon_sym_BSLASHimi] = ACTIONS(2793),
    [anon_sym_BSLASHili] = ACTIONS(2793),
    [anon_sym_BSLASHipq] = ACTIONS(2793),
    [anon_sym_BSLASHimq] = ACTIONS(2793),
    [anon_sym_BSLASHipr] = ACTIONS(2793),
    [anon_sym_BSLASHib] = ACTIONS(2793),
    [anon_sym_BSLASHiq] = ACTIONS(2793),
    [anon_sym_BSLASHie] = ACTIONS(2793),
    [anon_sym_BSLASHiex] = ACTIONS(2793),
    [anon_sym_BSLASHc] = ACTIONS(2793),
    [anon_sym_BSLASHcl] = ACTIONS(2793),
    [anon_sym_BSLASHmt] = ACTIONS(2793),
    [anon_sym_BSLASHadd] = ACTIONS(2793),
    [anon_sym_BSLASHbk] = ACTIONS(2793),
    [anon_sym_BSLASHdc] = ACTIONS(2793),
    [anon_sym_BSLASHk] = ACTIONS(2793),
    [anon_sym_BSLASHnd] = ACTIONS(2793),
    [anon_sym_BSLASHord] = ACTIONS(2793),
    [anon_sym_BSLASHpn] = ACTIONS(2793),
    [anon_sym_BSLASHpng] = ACTIONS(2793),
    [anon_sym_BSLASHaddpn] = ACTIONS(2793),
    [anon_sym_BSLASHqt] = ACTIONS(2793),
    [anon_sym_BSLASHsig] = ACTIONS(2793),
    [anon_sym_BSLASHsls] = ACTIONS(2793),
    [anon_sym_BSLASHtl] = ACTIONS(2793),
    [anon_sym_BSLASHwj] = ACTIONS(2793),
    [anon_sym_BSLASHem] = ACTIONS(2793),
    [anon_sym_BSLASHbd] = ACTIONS(2793),
    [anon_sym_BSLASHit] = ACTIONS(2793),
    [anon_sym_BSLASHbdit] = ACTIONS(2793),
    [anon_sym_BSLASHno] = ACTIONS(2793),
    [anon_sym_BSLASHsc] = ACTIONS(2793),
    [anon_sym_BSLASHsup] = ACTIONS(2793),
    [anon_sym_BSLASHndx] = ACTIONS(2793),
    [anon_sym_BSLASHpro] = ACTIONS(2793),
    [anon_sym_BSLASHrb] = ACTIONS(2793),
    [anon_sym_BSLASHw] = ACTIONS(2793),
    [anon_sym_BSLASHwg] = ACTIONS(2793),
    [anon_sym_BSLASHwh] = ACTIONS(2793),
    [anon_sym_BSLASHwa] = ACTIONS(2793),
    [anon_sym_BSLASHjmp] = ACTIONS(2793),
    [anon_sym_BSLASH] = ACTIONS(2793),
    [sym_milestoneStartTag] = ACTIONS(2793),
    [sym_milestoneEndTag] = ACTIONS(2793),
    [sym_zSpaceTag] = ACTIONS(2793),
    [anon_sym_BSLASHesb] = ACTIONS(2793),
  },
  [1243] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHusfm] = ACTIONS(2713),
    [anon_sym_BSLASHide] = ACTIONS(2713),
    [anon_sym_BSLASHref] = ACTIONS(2713),
    [anon_sym_BSLASHh] = ACTIONS(2713),
    [anon_sym_BSLASHtoc] = ACTIONS(2713),
    [anon_sym_BSLASHtoca] = ACTIONS(2713),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHimt] = ACTIONS(2713),
    [anon_sym_BSLASHimte] = ACTIONS(2713),
    [anon_sym_BSLASHis] = ACTIONS(2713),
    [anon_sym_BSLASHio] = ACTIONS(2713),
    [anon_sym_BSLASHiot] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHim] = ACTIONS(2713),
    [anon_sym_BSLASHipi] = ACTIONS(2713),
    [anon_sym_BSLASHimi] = ACTIONS(2713),
    [anon_sym_BSLASHili] = ACTIONS(2713),
    [anon_sym_BSLASHipq] = ACTIONS(2713),
    [anon_sym_BSLASHimq] = ACTIONS(2713),
    [anon_sym_BSLASHipr] = ACTIONS(2713),
    [anon_sym_BSLASHib] = ACTIONS(2713),
    [anon_sym_BSLASHiq] = ACTIONS(2713),
    [anon_sym_BSLASHie] = ACTIONS(2713),
    [anon_sym_BSLASHiex] = ACTIONS(2713),
    [anon_sym_BSLASHc] = ACTIONS(2713),
    [anon_sym_BSLASHcl] = ACTIONS(2713),
    [anon_sym_BSLASHmt] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesb] = ACTIONS(2713),
  },
  [1244] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHusfm] = ACTIONS(2701),
    [anon_sym_BSLASHide] = ACTIONS(2701),
    [anon_sym_BSLASHref] = ACTIONS(2701),
    [anon_sym_BSLASHh] = ACTIONS(2701),
    [anon_sym_BSLASHtoc] = ACTIONS(2701),
    [anon_sym_BSLASHtoca] = ACTIONS(2701),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHimt] = ACTIONS(2701),
    [anon_sym_BSLASHimte] = ACTIONS(2701),
    [anon_sym_BSLASHis] = ACTIONS(2701),
    [anon_sym_BSLASHio] = ACTIONS(2701),
    [anon_sym_BSLASHiot] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHim] = ACTIONS(2701),
    [anon_sym_BSLASHipi] = ACTIONS(2701),
    [anon_sym_BSLASHimi] = ACTIONS(2701),
    [anon_sym_BSLASHili] = ACTIONS(2701),
    [anon_sym_BSLASHipq] = ACTIONS(2701),
    [anon_sym_BSLASHimq] = ACTIONS(2701),
    [anon_sym_BSLASHipr] = ACTIONS(2701),
    [anon_sym_BSLASHib] = ACTIONS(2701),
    [anon_sym_BSLASHiq] = ACTIONS(2701),
    [anon_sym_BSLASHie] = ACTIONS(2701),
    [anon_sym_BSLASHiex] = ACTIONS(2701),
    [anon_sym_BSLASHc] = ACTIONS(2701),
    [anon_sym_BSLASHcl] = ACTIONS(2701),
    [anon_sym_BSLASHmt] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesb] = ACTIONS(2701),
  },
  [1245] = {
    [ts_builtin_sym_end] = ACTIONS(2739),
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHusfm] = ACTIONS(2741),
    [anon_sym_BSLASHide] = ACTIONS(2741),
    [anon_sym_BSLASHref] = ACTIONS(2741),
    [anon_sym_BSLASHh] = ACTIONS(2741),
    [anon_sym_BSLASHtoc] = ACTIONS(2741),
    [anon_sym_BSLASHtoca] = ACTIONS(2741),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHimt] = ACTIONS(2741),
    [anon_sym_BSLASHimte] = ACTIONS(2741),
    [anon_sym_BSLASHis] = ACTIONS(2741),
    [anon_sym_BSLASHio] = ACTIONS(2741),
    [anon_sym_BSLASHiot] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHim] = ACTIONS(2741),
    [anon_sym_BSLASHipi] = ACTIONS(2741),
    [anon_sym_BSLASHimi] = ACTIONS(2741),
    [anon_sym_BSLASHili] = ACTIONS(2741),
    [anon_sym_BSLASHipq] = ACTIONS(2741),
    [anon_sym_BSLASHimq] = ACTIONS(2741),
    [anon_sym_BSLASHipr] = ACTIONS(2741),
    [anon_sym_BSLASHib] = ACTIONS(2741),
    [anon_sym_BSLASHiq] = ACTIONS(2741),
    [anon_sym_BSLASHie] = ACTIONS(2741),
    [anon_sym_BSLASHiex] = ACTIONS(2741),
    [anon_sym_BSLASHc] = ACTIONS(2741),
    [anon_sym_BSLASHcl] = ACTIONS(2741),
    [anon_sym_BSLASHmt] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesb] = ACTIONS(2741),
  },
  [1246] = {
    [sym_qBlock] = STATE(1225),
    [sym_q] = STATE(1408),
    [sym_qTag] = STATE(73),
    [sym_qr] = STATE(1225),
    [sym_qc] = STATE(1225),
    [sym_qmBlock] = STATE(1225),
    [sym_qm] = STATE(1409),
    [sym_qmTag] = STATE(64),
    [sym_qd] = STATE(1225),
    [aux_sym_poetry_repeat1] = STATE(1225),
    [aux_sym_qBlock_repeat1] = STATE(1408),
    [aux_sym_qmBlock_repeat1] = STATE(1409),
    [ts_builtin_sym_end] = ACTIONS(7402),
    [anon_sym_BSLASHsts] = ACTIONS(7402),
    [anon_sym_BSLASHrem] = ACTIONS(7402),
    [anon_sym_BSLASHrestore] = ACTIONS(7402),
    [anon_sym_BSLASHlit] = ACTIONS(7402),
    [anon_sym_BSLASHip] = ACTIONS(7402),
    [anon_sym_BSLASHiex] = ACTIONS(7402),
    [anon_sym_BSLASHc] = ACTIONS(7402),
    [anon_sym_BSLASHcl] = ACTIONS(7402),
    [anon_sym_BSLASHca] = ACTIONS(7402),
    [anon_sym_BSLASHcp] = ACTIONS(7402),
    [anon_sym_BSLASHcd] = ACTIONS(7402),
    [anon_sym_BSLASHmte] = ACTIONS(7402),
    [anon_sym_BSLASHms] = ACTIONS(7402),
    [anon_sym_BSLASHs] = ACTIONS(7404),
    [anon_sym_BSLASHr] = ACTIONS(7402),
    [anon_sym_BSLASHsp] = ACTIONS(7402),
    [anon_sym_BSLASHd] = ACTIONS(7402),
    [anon_sym_BSLASHsd] = ACTIONS(7402),
    [anon_sym_BSLASHp] = ACTIONS(7404),
    [anon_sym_BSLASHm] = ACTIONS(7404),
    [anon_sym_BSLASHpo] = ACTIONS(7402),
    [anon_sym_BSLASHpr] = ACTIONS(7402),
    [anon_sym_BSLASHcls] = ACTIONS(7402),
    [anon_sym_BSLASHpmo] = ACTIONS(7402),
    [anon_sym_BSLASHpm] = ACTIONS(7404),
    [anon_sym_BSLASHpmc] = ACTIONS(7402),
    [anon_sym_BSLASHpmr] = ACTIONS(7402),
    [anon_sym_BSLASHpi] = ACTIONS(7402),
    [anon_sym_BSLASHmi] = ACTIONS(7402),
    [anon_sym_BSLASHnb] = ACTIONS(7402),
    [anon_sym_BSLASHpc] = ACTIONS(7402),
    [anon_sym_BSLASHph] = ACTIONS(7402),
    [anon_sym_BSLASHb] = ACTIONS(7402),
    [anon_sym_BSLASHq] = ACTIONS(1843),
    [anon_sym_BSLASHqr] = ACTIONS(1845),
    [anon_sym_BSLASHqc] = ACTIONS(1847),
    [anon_sym_BSLASHqa] = ACTIONS(7402),
    [anon_sym_BSLASHqm] = ACTIONS(1851),
    [anon_sym_BSLASHqd] = ACTIONS(1853),
    [anon_sym_BSLASHlh] = ACTIONS(7402),
    [anon_sym_BSLASHli] = ACTIONS(7404),
    [anon_sym_BSLASHlim] = ACTIONS(7402),
    [anon_sym_BSLASHtr] = ACTIONS(7402),
    [anon_sym_BSLASHf] = ACTIONS(7402),
    [anon_sym_BSLASHfe] = ACTIONS(7402),
    [anon_sym_BSLASHef] = ACTIONS(7402),
    [anon_sym_BSLASHfm] = ACTIONS(7402),
    [anon_sym_BSLASHpb] = ACTIONS(7402),
    [anon_sym_BSLASH] = ACTIONS(7404),
    [sym_milestoneStartTag] = ACTIONS(7402),
    [sym_milestoneEndTag] = ACTIONS(7402),
    [sym_zSpaceTag] = ACTIONS(7402),
    [anon_sym_BSLASHesb] = ACTIONS(7402),
  },
  [1247] = {
    [sym_lf] = STATE(1459),
    [sym__listMarker] = STATE(1264),
    [sym_liBlock] = STATE(1264),
    [sym_li] = STATE(1373),
    [sym_liTag] = STATE(60),
    [sym_limBlock] = STATE(1264),
    [sym_lim] = STATE(1364),
    [sym_limTag] = STATE(59),
    [aux_sym_list_repeat1] = STATE(1264),
    [aux_sym_liBlock_repeat1] = STATE(1373),
    [aux_sym_limBlock_repeat1] = STATE(1364),
    [ts_builtin_sym_end] = ACTIONS(7406),
    [anon_sym_BSLASHsts] = ACTIONS(7406),
    [anon_sym_BSLASHrem] = ACTIONS(7406),
    [anon_sym_BSLASHrestore] = ACTIONS(7406),
    [anon_sym_BSLASHlit] = ACTIONS(7406),
    [anon_sym_BSLASHip] = ACTIONS(7406),
    [anon_sym_BSLASHiex] = ACTIONS(7406),
    [anon_sym_BSLASHc] = ACTIONS(7406),
    [anon_sym_BSLASHcl] = ACTIONS(7406),
    [anon_sym_BSLASHca] = ACTIONS(7406),
    [anon_sym_BSLASHcp] = ACTIONS(7406),
    [anon_sym_BSLASHcd] = ACTIONS(7406),
    [anon_sym_BSLASHmte] = ACTIONS(7406),
    [anon_sym_BSLASHms] = ACTIONS(7406),
    [anon_sym_BSLASHs] = ACTIONS(7408),
    [anon_sym_BSLASHr] = ACTIONS(7406),
    [anon_sym_BSLASHsp] = ACTIONS(7406),
    [anon_sym_BSLASHd] = ACTIONS(7406),
    [anon_sym_BSLASHsd] = ACTIONS(7406),
    [anon_sym_BSLASHp] = ACTIONS(7408),
    [anon_sym_BSLASHm] = ACTIONS(7408),
    [anon_sym_BSLASHpo] = ACTIONS(7406),
    [anon_sym_BSLASHpr] = ACTIONS(7406),
    [anon_sym_BSLASHcls] = ACTIONS(7406),
    [anon_sym_BSLASHpmo] = ACTIONS(7406),
    [anon_sym_BSLASHpm] = ACTIONS(7408),
    [anon_sym_BSLASHpmc] = ACTIONS(7406),
    [anon_sym_BSLASHpmr] = ACTIONS(7406),
    [anon_sym_BSLASHpi] = ACTIONS(7406),
    [anon_sym_BSLASHmi] = ACTIONS(7406),
    [anon_sym_BSLASHnb] = ACTIONS(7406),
    [anon_sym_BSLASHpc] = ACTIONS(7406),
    [anon_sym_BSLASHph] = ACTIONS(7406),
    [anon_sym_BSLASHb] = ACTIONS(7406),
    [anon_sym_BSLASHq] = ACTIONS(7408),
    [anon_sym_BSLASHqr] = ACTIONS(7406),
    [anon_sym_BSLASHqc] = ACTIONS(7406),
    [anon_sym_BSLASHqa] = ACTIONS(7406),
    [anon_sym_BSLASHqm] = ACTIONS(7406),
    [anon_sym_BSLASHqd] = ACTIONS(7406),
    [anon_sym_BSLASHlh] = ACTIONS(7406),
    [anon_sym_BSLASHlf] = ACTIONS(7410),
    [anon_sym_BSLASHli] = ACTIONS(1857),
    [anon_sym_BSLASHlim] = ACTIONS(1859),
    [anon_sym_BSLASHtr] = ACTIONS(7406),
    [anon_sym_BSLASHf] = ACTIONS(7406),
    [anon_sym_BSLASHfe] = ACTIONS(7406),
    [anon_sym_BSLASHef] = ACTIONS(7406),
    [anon_sym_BSLASHfm] = ACTIONS(7406),
    [anon_sym_BSLASHpb] = ACTIONS(7406),
    [anon_sym_BSLASH] = ACTIONS(7408),
    [sym_milestoneStartTag] = ACTIONS(7406),
    [sym_milestoneEndTag] = ACTIONS(7406),
    [sym_zSpaceTag] = ACTIONS(7406),
    [anon_sym_BSLASHesb] = ACTIONS(7406),
  },
  [1248] = {
    [sym_lf] = STATE(1414),
    [sym__listMarker] = STATE(1264),
    [sym_liBlock] = STATE(1264),
    [sym_li] = STATE(1373),
    [sym_liTag] = STATE(60),
    [sym_limBlock] = STATE(1264),
    [sym_lim] = STATE(1364),
    [sym_limTag] = STATE(59),
    [aux_sym_list_repeat1] = STATE(1264),
    [aux_sym_liBlock_repeat1] = STATE(1373),
    [aux_sym_limBlock_repeat1] = STATE(1364),
    [ts_builtin_sym_end] = ACTIONS(7412),
    [anon_sym_BSLASHsts] = ACTIONS(7412),
    [anon_sym_BSLASHrem] = ACTIONS(7412),
    [anon_sym_BSLASHrestore] = ACTIONS(7412),
    [anon_sym_BSLASHlit] = ACTIONS(7412),
    [anon_sym_BSLASHip] = ACTIONS(7412),
    [anon_sym_BSLASHiex] = ACTIONS(7412),
    [anon_sym_BSLASHc] = ACTIONS(7412),
    [anon_sym_BSLASHcl] = ACTIONS(7412),
    [anon_sym_BSLASHca] = ACTIONS(7412),
    [anon_sym_BSLASHcp] = ACTIONS(7412),
    [anon_sym_BSLASHcd] = ACTIONS(7412),
    [anon_sym_BSLASHmte] = ACTIONS(7412),
    [anon_sym_BSLASHms] = ACTIONS(7412),
    [anon_sym_BSLASHs] = ACTIONS(7414),
    [anon_sym_BSLASHr] = ACTIONS(7412),
    [anon_sym_BSLASHsp] = ACTIONS(7412),
    [anon_sym_BSLASHd] = ACTIONS(7412),
    [anon_sym_BSLASHsd] = ACTIONS(7412),
    [anon_sym_BSLASHp] = ACTIONS(7414),
    [anon_sym_BSLASHm] = ACTIONS(7414),
    [anon_sym_BSLASHpo] = ACTIONS(7412),
    [anon_sym_BSLASHpr] = ACTIONS(7412),
    [anon_sym_BSLASHcls] = ACTIONS(7412),
    [anon_sym_BSLASHpmo] = ACTIONS(7412),
    [anon_sym_BSLASHpm] = ACTIONS(7414),
    [anon_sym_BSLASHpmc] = ACTIONS(7412),
    [anon_sym_BSLASHpmr] = ACTIONS(7412),
    [anon_sym_BSLASHpi] = ACTIONS(7412),
    [anon_sym_BSLASHmi] = ACTIONS(7412),
    [anon_sym_BSLASHnb] = ACTIONS(7412),
    [anon_sym_BSLASHpc] = ACTIONS(7412),
    [anon_sym_BSLASHph] = ACTIONS(7412),
    [anon_sym_BSLASHb] = ACTIONS(7412),
    [anon_sym_BSLASHq] = ACTIONS(7414),
    [anon_sym_BSLASHqr] = ACTIONS(7412),
    [anon_sym_BSLASHqc] = ACTIONS(7412),
    [anon_sym_BSLASHqa] = ACTIONS(7412),
    [anon_sym_BSLASHqm] = ACTIONS(7412),
    [anon_sym_BSLASHqd] = ACTIONS(7412),
    [anon_sym_BSLASHlh] = ACTIONS(7412),
    [anon_sym_BSLASHlf] = ACTIONS(7410),
    [anon_sym_BSLASHli] = ACTIONS(1857),
    [anon_sym_BSLASHlim] = ACTIONS(1859),
    [anon_sym_BSLASHtr] = ACTIONS(7412),
    [anon_sym_BSLASHf] = ACTIONS(7412),
    [anon_sym_BSLASHfe] = ACTIONS(7412),
    [anon_sym_BSLASHef] = ACTIONS(7412),
    [anon_sym_BSLASHfm] = ACTIONS(7412),
    [anon_sym_BSLASHpb] = ACTIONS(7412),
    [anon_sym_BSLASH] = ACTIONS(7414),
    [sym_milestoneStartTag] = ACTIONS(7412),
    [sym_milestoneEndTag] = ACTIONS(7412),
    [sym_zSpaceTag] = ACTIONS(7412),
    [anon_sym_BSLASHesb] = ACTIONS(7412),
  },
  [1249] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHusfm] = ACTIONS(7),
    [anon_sym_BSLASHide] = ACTIONS(7),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHh] = ACTIONS(7),
    [anon_sym_BSLASHtoc] = ACTIONS(7),
    [anon_sym_BSLASHtoca] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHimt] = ACTIONS(7),
    [anon_sym_BSLASHimte] = ACTIONS(7),
    [anon_sym_BSLASHis] = ACTIONS(7),
    [anon_sym_BSLASHio] = ACTIONS(7),
    [anon_sym_BSLASHiot] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHim] = ACTIONS(7),
    [anon_sym_BSLASHipi] = ACTIONS(7),
    [anon_sym_BSLASHimi] = ACTIONS(7),
    [anon_sym_BSLASHili] = ACTIONS(7),
    [anon_sym_BSLASHipq] = ACTIONS(7),
    [anon_sym_BSLASHimq] = ACTIONS(7),
    [anon_sym_BSLASHipr] = ACTIONS(7),
    [anon_sym_BSLASHib] = ACTIONS(7),
    [anon_sym_BSLASHiq] = ACTIONS(7),
    [anon_sym_BSLASHie] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHmt] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
  },
  [1250] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHusfm] = ACTIONS(2689),
    [anon_sym_BSLASHide] = ACTIONS(2689),
    [anon_sym_BSLASHref] = ACTIONS(2689),
    [anon_sym_BSLASHh] = ACTIONS(2689),
    [anon_sym_BSLASHtoc] = ACTIONS(2689),
    [anon_sym_BSLASHtoca] = ACTIONS(2689),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHimt] = ACTIONS(2689),
    [anon_sym_BSLASHimte] = ACTIONS(2689),
    [anon_sym_BSLASHis] = ACTIONS(2689),
    [anon_sym_BSLASHio] = ACTIONS(2689),
    [anon_sym_BSLASHiot] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHim] = ACTIONS(2689),
    [anon_sym_BSLASHipi] = ACTIONS(2689),
    [anon_sym_BSLASHimi] = ACTIONS(2689),
    [anon_sym_BSLASHili] = ACTIONS(2689),
    [anon_sym_BSLASHipq] = ACTIONS(2689),
    [anon_sym_BSLASHimq] = ACTIONS(2689),
    [anon_sym_BSLASHipr] = ACTIONS(2689),
    [anon_sym_BSLASHib] = ACTIONS(2689),
    [anon_sym_BSLASHiq] = ACTIONS(2689),
    [anon_sym_BSLASHie] = ACTIONS(2689),
    [anon_sym_BSLASHiex] = ACTIONS(2689),
    [anon_sym_BSLASHc] = ACTIONS(2689),
    [anon_sym_BSLASHcl] = ACTIONS(2689),
    [anon_sym_BSLASHmt] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesb] = ACTIONS(2689),
  },
  [1251] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHusfm] = ACTIONS(2681),
    [anon_sym_BSLASHide] = ACTIONS(2681),
    [anon_sym_BSLASHref] = ACTIONS(2681),
    [anon_sym_BSLASHh] = ACTIONS(2681),
    [anon_sym_BSLASHtoc] = ACTIONS(2681),
    [anon_sym_BSLASHtoca] = ACTIONS(2681),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHimt] = ACTIONS(2681),
    [anon_sym_BSLASHimte] = ACTIONS(2681),
    [anon_sym_BSLASHis] = ACTIONS(2681),
    [anon_sym_BSLASHio] = ACTIONS(2681),
    [anon_sym_BSLASHiot] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHim] = ACTIONS(2681),
    [anon_sym_BSLASHipi] = ACTIONS(2681),
    [anon_sym_BSLASHimi] = ACTIONS(2681),
    [anon_sym_BSLASHili] = ACTIONS(2681),
    [anon_sym_BSLASHipq] = ACTIONS(2681),
    [anon_sym_BSLASHimq] = ACTIONS(2681),
    [anon_sym_BSLASHipr] = ACTIONS(2681),
    [anon_sym_BSLASHib] = ACTIONS(2681),
    [anon_sym_BSLASHiq] = ACTIONS(2681),
    [anon_sym_BSLASHie] = ACTIONS(2681),
    [anon_sym_BSLASHiex] = ACTIONS(2681),
    [anon_sym_BSLASHc] = ACTIONS(2681),
    [anon_sym_BSLASHcl] = ACTIONS(2681),
    [anon_sym_BSLASHmt] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesb] = ACTIONS(2681),
  },
  [1252] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHusfm] = ACTIONS(2725),
    [anon_sym_BSLASHide] = ACTIONS(2725),
    [anon_sym_BSLASHref] = ACTIONS(2725),
    [anon_sym_BSLASHh] = ACTIONS(2725),
    [anon_sym_BSLASHtoc] = ACTIONS(2725),
    [anon_sym_BSLASHtoca] = ACTIONS(2725),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHimt] = ACTIONS(2725),
    [anon_sym_BSLASHimte] = ACTIONS(2725),
    [anon_sym_BSLASHis] = ACTIONS(2725),
    [anon_sym_BSLASHio] = ACTIONS(2725),
    [anon_sym_BSLASHiot] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHim] = ACTIONS(2725),
    [anon_sym_BSLASHipi] = ACTIONS(2725),
    [anon_sym_BSLASHimi] = ACTIONS(2725),
    [anon_sym_BSLASHili] = ACTIONS(2725),
    [anon_sym_BSLASHipq] = ACTIONS(2725),
    [anon_sym_BSLASHimq] = ACTIONS(2725),
    [anon_sym_BSLASHipr] = ACTIONS(2725),
    [anon_sym_BSLASHib] = ACTIONS(2725),
    [anon_sym_BSLASHiq] = ACTIONS(2725),
    [anon_sym_BSLASHie] = ACTIONS(2725),
    [anon_sym_BSLASHiex] = ACTIONS(2725),
    [anon_sym_BSLASHc] = ACTIONS(2725),
    [anon_sym_BSLASHcl] = ACTIONS(2725),
    [anon_sym_BSLASHmt] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesb] = ACTIONS(2725),
  },
  [1253] = {
    [ts_builtin_sym_end] = ACTIONS(2691),
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHusfm] = ACTIONS(2693),
    [anon_sym_BSLASHide] = ACTIONS(2693),
    [anon_sym_BSLASHref] = ACTIONS(2693),
    [anon_sym_BSLASHh] = ACTIONS(2693),
    [anon_sym_BSLASHtoc] = ACTIONS(2693),
    [anon_sym_BSLASHtoca] = ACTIONS(2693),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHimt] = ACTIONS(2693),
    [anon_sym_BSLASHimte] = ACTIONS(2693),
    [anon_sym_BSLASHis] = ACTIONS(2693),
    [anon_sym_BSLASHio] = ACTIONS(2693),
    [anon_sym_BSLASHiot] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHim] = ACTIONS(2693),
    [anon_sym_BSLASHipi] = ACTIONS(2693),
    [anon_sym_BSLASHimi] = ACTIONS(2693),
    [anon_sym_BSLASHili] = ACTIONS(2693),
    [anon_sym_BSLASHipq] = ACTIONS(2693),
    [anon_sym_BSLASHimq] = ACTIONS(2693),
    [anon_sym_BSLASHipr] = ACTIONS(2693),
    [anon_sym_BSLASHib] = ACTIONS(2693),
    [anon_sym_BSLASHiq] = ACTIONS(2693),
    [anon_sym_BSLASHie] = ACTIONS(2693),
    [anon_sym_BSLASHiex] = ACTIONS(2693),
    [anon_sym_BSLASHc] = ACTIONS(2693),
    [anon_sym_BSLASHcl] = ACTIONS(2693),
    [anon_sym_BSLASHmt] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesb] = ACTIONS(2693),
  },
  [1254] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHusfm] = ACTIONS(2729),
    [anon_sym_BSLASHide] = ACTIONS(2729),
    [anon_sym_BSLASHref] = ACTIONS(2729),
    [anon_sym_BSLASHh] = ACTIONS(2729),
    [anon_sym_BSLASHtoc] = ACTIONS(2729),
    [anon_sym_BSLASHtoca] = ACTIONS(2729),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHimt] = ACTIONS(2729),
    [anon_sym_BSLASHimte] = ACTIONS(2729),
    [anon_sym_BSLASHis] = ACTIONS(2729),
    [anon_sym_BSLASHio] = ACTIONS(2729),
    [anon_sym_BSLASHiot] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHim] = ACTIONS(2729),
    [anon_sym_BSLASHipi] = ACTIONS(2729),
    [anon_sym_BSLASHimi] = ACTIONS(2729),
    [anon_sym_BSLASHili] = ACTIONS(2729),
    [anon_sym_BSLASHipq] = ACTIONS(2729),
    [anon_sym_BSLASHimq] = ACTIONS(2729),
    [anon_sym_BSLASHipr] = ACTIONS(2729),
    [anon_sym_BSLASHib] = ACTIONS(2729),
    [anon_sym_BSLASHiq] = ACTIONS(2729),
    [anon_sym_BSLASHie] = ACTIONS(2729),
    [anon_sym_BSLASHiex] = ACTIONS(2729),
    [anon_sym_BSLASHc] = ACTIONS(2729),
    [anon_sym_BSLASHcl] = ACTIONS(2729),
    [anon_sym_BSLASHmt] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesb] = ACTIONS(2729),
  },
  [1255] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [aux_sym_text_token1] = ACTIONS(2771),
    [anon_sym_BSLASHusfm] = ACTIONS(2773),
    [anon_sym_BSLASHide] = ACTIONS(2773),
    [anon_sym_BSLASHref] = ACTIONS(2773),
    [anon_sym_BSLASHh] = ACTIONS(2773),
    [anon_sym_BSLASHtoc] = ACTIONS(2773),
    [anon_sym_BSLASHtoca] = ACTIONS(2773),
    [anon_sym_BSLASHsts] = ACTIONS(2773),
    [anon_sym_BSLASHrem] = ACTIONS(2773),
    [anon_sym_BSLASHrestore] = ACTIONS(2773),
    [anon_sym_BSLASHlit] = ACTIONS(2773),
    [anon_sym_BSLASHimt] = ACTIONS(2773),
    [anon_sym_BSLASHimte] = ACTIONS(2773),
    [anon_sym_BSLASHis] = ACTIONS(2773),
    [anon_sym_BSLASHio] = ACTIONS(2773),
    [anon_sym_BSLASHiot] = ACTIONS(2773),
    [anon_sym_BSLASHip] = ACTIONS(2773),
    [anon_sym_BSLASHim] = ACTIONS(2773),
    [anon_sym_BSLASHipi] = ACTIONS(2773),
    [anon_sym_BSLASHimi] = ACTIONS(2773),
    [anon_sym_BSLASHili] = ACTIONS(2773),
    [anon_sym_BSLASHipq] = ACTIONS(2773),
    [anon_sym_BSLASHimq] = ACTIONS(2773),
    [anon_sym_BSLASHipr] = ACTIONS(2773),
    [anon_sym_BSLASHib] = ACTIONS(2773),
    [anon_sym_BSLASHiq] = ACTIONS(2773),
    [anon_sym_BSLASHie] = ACTIONS(2773),
    [anon_sym_BSLASHiex] = ACTIONS(2773),
    [anon_sym_BSLASHc] = ACTIONS(2773),
    [anon_sym_BSLASHcl] = ACTIONS(2773),
    [anon_sym_BSLASHmt] = ACTIONS(2773),
    [anon_sym_BSLASHadd] = ACTIONS(2773),
    [anon_sym_BSLASHbk] = ACTIONS(2773),
    [anon_sym_BSLASHdc] = ACTIONS(2773),
    [anon_sym_BSLASHk] = ACTIONS(2773),
    [anon_sym_BSLASHnd] = ACTIONS(2773),
    [anon_sym_BSLASHord] = ACTIONS(2773),
    [anon_sym_BSLASHpn] = ACTIONS(2773),
    [anon_sym_BSLASHpng] = ACTIONS(2773),
    [anon_sym_BSLASHaddpn] = ACTIONS(2773),
    [anon_sym_BSLASHqt] = ACTIONS(2773),
    [anon_sym_BSLASHsig] = ACTIONS(2773),
    [anon_sym_BSLASHsls] = ACTIONS(2773),
    [anon_sym_BSLASHtl] = ACTIONS(2773),
    [anon_sym_BSLASHwj] = ACTIONS(2773),
    [anon_sym_BSLASHem] = ACTIONS(2773),
    [anon_sym_BSLASHbd] = ACTIONS(2773),
    [anon_sym_BSLASHit] = ACTIONS(2773),
    [anon_sym_BSLASHbdit] = ACTIONS(2773),
    [anon_sym_BSLASHno] = ACTIONS(2773),
    [anon_sym_BSLASHsc] = ACTIONS(2773),
    [anon_sym_BSLASHsup] = ACTIONS(2773),
    [anon_sym_BSLASHndx] = ACTIONS(2773),
    [anon_sym_BSLASHpro] = ACTIONS(2773),
    [anon_sym_BSLASHrb] = ACTIONS(2773),
    [anon_sym_BSLASHw] = ACTIONS(2773),
    [anon_sym_BSLASHwg] = ACTIONS(2773),
    [anon_sym_BSLASHwh] = ACTIONS(2773),
    [anon_sym_BSLASHwa] = ACTIONS(2773),
    [anon_sym_BSLASHjmp] = ACTIONS(2773),
    [anon_sym_BSLASH] = ACTIONS(2773),
    [sym_milestoneStartTag] = ACTIONS(2773),
    [sym_milestoneEndTag] = ACTIONS(2773),
    [sym_zSpaceTag] = ACTIONS(2773),
    [anon_sym_BSLASHesb] = ACTIONS(2773),
  },
  [1256] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHusfm] = ACTIONS(2733),
    [anon_sym_BSLASHide] = ACTIONS(2733),
    [anon_sym_BSLASHref] = ACTIONS(2733),
    [anon_sym_BSLASHh] = ACTIONS(2733),
    [anon_sym_BSLASHtoc] = ACTIONS(2733),
    [anon_sym_BSLASHtoca] = ACTIONS(2733),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHimt] = ACTIONS(2733),
    [anon_sym_BSLASHimte] = ACTIONS(2733),
    [anon_sym_BSLASHis] = ACTIONS(2733),
    [anon_sym_BSLASHio] = ACTIONS(2733),
    [anon_sym_BSLASHiot] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHim] = ACTIONS(2733),
    [anon_sym_BSLASHipi] = ACTIONS(2733),
    [anon_sym_BSLASHimi] = ACTIONS(2733),
    [anon_sym_BSLASHili] = ACTIONS(2733),
    [anon_sym_BSLASHipq] = ACTIONS(2733),
    [anon_sym_BSLASHimq] = ACTIONS(2733),
    [anon_sym_BSLASHipr] = ACTIONS(2733),
    [anon_sym_BSLASHib] = ACTIONS(2733),
    [anon_sym_BSLASHiq] = ACTIONS(2733),
    [anon_sym_BSLASHie] = ACTIONS(2733),
    [anon_sym_BSLASHiex] = ACTIONS(2733),
    [anon_sym_BSLASHc] = ACTIONS(2733),
    [anon_sym_BSLASHcl] = ACTIONS(2733),
    [anon_sym_BSLASHmt] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesb] = ACTIONS(2733),
  },
  [1257] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHusfm] = ACTIONS(2673),
    [anon_sym_BSLASHide] = ACTIONS(2673),
    [anon_sym_BSLASHref] = ACTIONS(2673),
    [anon_sym_BSLASHh] = ACTIONS(2673),
    [anon_sym_BSLASHtoc] = ACTIONS(2673),
    [anon_sym_BSLASHtoca] = ACTIONS(2673),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHimt] = ACTIONS(2673),
    [anon_sym_BSLASHimte] = ACTIONS(2673),
    [anon_sym_BSLASHis] = ACTIONS(2673),
    [anon_sym_BSLASHio] = ACTIONS(2673),
    [anon_sym_BSLASHiot] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHim] = ACTIONS(2673),
    [anon_sym_BSLASHipi] = ACTIONS(2673),
    [anon_sym_BSLASHimi] = ACTIONS(2673),
    [anon_sym_BSLASHili] = ACTIONS(2673),
    [anon_sym_BSLASHipq] = ACTIONS(2673),
    [anon_sym_BSLASHimq] = ACTIONS(2673),
    [anon_sym_BSLASHipr] = ACTIONS(2673),
    [anon_sym_BSLASHib] = ACTIONS(2673),
    [anon_sym_BSLASHiq] = ACTIONS(2673),
    [anon_sym_BSLASHie] = ACTIONS(2673),
    [anon_sym_BSLASHiex] = ACTIONS(2673),
    [anon_sym_BSLASHc] = ACTIONS(2673),
    [anon_sym_BSLASHcl] = ACTIONS(2673),
    [anon_sym_BSLASHmt] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesb] = ACTIONS(2673),
  },
  [1258] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHusfm] = ACTIONS(2685),
    [anon_sym_BSLASHide] = ACTIONS(2685),
    [anon_sym_BSLASHref] = ACTIONS(2685),
    [anon_sym_BSLASHh] = ACTIONS(2685),
    [anon_sym_BSLASHtoc] = ACTIONS(2685),
    [anon_sym_BSLASHtoca] = ACTIONS(2685),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHimt] = ACTIONS(2685),
    [anon_sym_BSLASHimte] = ACTIONS(2685),
    [anon_sym_BSLASHis] = ACTIONS(2685),
    [anon_sym_BSLASHio] = ACTIONS(2685),
    [anon_sym_BSLASHiot] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHim] = ACTIONS(2685),
    [anon_sym_BSLASHipi] = ACTIONS(2685),
    [anon_sym_BSLASHimi] = ACTIONS(2685),
    [anon_sym_BSLASHili] = ACTIONS(2685),
    [anon_sym_BSLASHipq] = ACTIONS(2685),
    [anon_sym_BSLASHimq] = ACTIONS(2685),
    [anon_sym_BSLASHipr] = ACTIONS(2685),
    [anon_sym_BSLASHib] = ACTIONS(2685),
    [anon_sym_BSLASHiq] = ACTIONS(2685),
    [anon_sym_BSLASHie] = ACTIONS(2685),
    [anon_sym_BSLASHiex] = ACTIONS(2685),
    [anon_sym_BSLASHc] = ACTIONS(2685),
    [anon_sym_BSLASHcl] = ACTIONS(2685),
    [anon_sym_BSLASHmt] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesb] = ACTIONS(2685),
  },
  [1259] = {
    [sym_text] = STATE(338),
    [sym_xt_standalone] = STATE(338),
    [sym_add] = STATE(338),
    [sym_bk] = STATE(338),
    [sym_dc] = STATE(338),
    [sym_k] = STATE(338),
    [sym_nd] = STATE(338),
    [sym_ord] = STATE(338),
    [sym_pn] = STATE(338),
    [sym_png] = STATE(338),
    [sym_addpn] = STATE(338),
    [sym_qt] = STATE(338),
    [sym_sig] = STATE(338),
    [sym_sls] = STATE(338),
    [sym_tl] = STATE(338),
    [sym_wj] = STATE(338),
    [sym_em] = STATE(338),
    [sym_bd] = STATE(338),
    [sym_it] = STATE(338),
    [sym_bdit] = STATE(338),
    [sym_no] = STATE(338),
    [sym_sc] = STATE(338),
    [sym_sup] = STATE(338),
    [sym_ndx] = STATE(338),
    [sym_pro] = STATE(338),
    [sym_rb] = STATE(338),
    [sym_w] = STATE(338),
    [sym_wg] = STATE(338),
    [sym_wh] = STATE(338),
    [sym_wa] = STATE(338),
    [sym__characterMarker] = STATE(338),
    [sym_fig] = STATE(338),
    [sym_jmp] = STATE(338),
    [aux_sym_cd_repeat1] = STATE(338),
    [aux_sym_text_token1] = ACTIONS(386),
    [anon_sym_BSLASHxt] = ACTIONS(422),
    [anon_sym_BSLASHadd] = ACTIONS(426),
    [anon_sym_BSLASHbk] = ACTIONS(428),
    [anon_sym_BSLASHdc] = ACTIONS(430),
    [anon_sym_BSLASHk] = ACTIONS(432),
    [anon_sym_BSLASHnd] = ACTIONS(434),
    [anon_sym_BSLASHord] = ACTIONS(436),
    [anon_sym_BSLASHpn] = ACTIONS(438),
    [anon_sym_BSLASHpng] = ACTIONS(440),
    [anon_sym_BSLASHaddpn] = ACTIONS(442),
    [anon_sym_BSLASHqt] = ACTIONS(444),
    [anon_sym_BSLASHsig] = ACTIONS(446),
    [anon_sym_BSLASHsls] = ACTIONS(448),
    [anon_sym_BSLASHtl] = ACTIONS(450),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(454),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(458),
    [anon_sym_BSLASHbdit] = ACTIONS(460),
    [anon_sym_BSLASHno] = ACTIONS(462),
    [anon_sym_BSLASHsc] = ACTIONS(464),
    [anon_sym_BSLASHsup] = ACTIONS(466),
    [anon_sym_BSLASHndx] = ACTIONS(468),
    [anon_sym_BSLASHpro] = ACTIONS(470),
    [anon_sym_BSLASHrb] = ACTIONS(472),
    [anon_sym_BSLASHw] = ACTIONS(474),
    [anon_sym_BSLASHwg] = ACTIONS(476),
    [anon_sym_BSLASHwh] = ACTIONS(478),
    [anon_sym_BSLASHwa] = ACTIONS(480),
    [anon_sym_BSLASHfig] = ACTIONS(482),
    [anon_sym_BSLASHjmp] = ACTIONS(484),
  },
  [1260] = {
    [ts_builtin_sym_end] = ACTIONS(2735),
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHusfm] = ACTIONS(2737),
    [anon_sym_BSLASHide] = ACTIONS(2737),
    [anon_sym_BSLASHref] = ACTIONS(2737),
    [anon_sym_BSLASHh] = ACTIONS(2737),
    [anon_sym_BSLASHtoc] = ACTIONS(2737),
    [anon_sym_BSLASHtoca] = ACTIONS(2737),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHimt] = ACTIONS(2737),
    [anon_sym_BSLASHimte] = ACTIONS(2737),
    [anon_sym_BSLASHis] = ACTIONS(2737),
    [anon_sym_BSLASHio] = ACTIONS(2737),
    [anon_sym_BSLASHiot] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHim] = ACTIONS(2737),
    [anon_sym_BSLASHipi] = ACTIONS(2737),
    [anon_sym_BSLASHimi] = ACTIONS(2737),
    [anon_sym_BSLASHili] = ACTIONS(2737),
    [anon_sym_BSLASHipq] = ACTIONS(2737),
    [anon_sym_BSLASHimq] = ACTIONS(2737),
    [anon_sym_BSLASHipr] = ACTIONS(2737),
    [anon_sym_BSLASHib] = ACTIONS(2737),
    [anon_sym_BSLASHiq] = ACTIONS(2737),
    [anon_sym_BSLASHie] = ACTIONS(2737),
    [anon_sym_BSLASHiex] = ACTIONS(2737),
    [anon_sym_BSLASHc] = ACTIONS(2737),
    [anon_sym_BSLASHcl] = ACTIONS(2737),
    [anon_sym_BSLASHmt] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesb] = ACTIONS(2737),
  },
  [1261] = {
    [ts_builtin_sym_end] = ACTIONS(2707),
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHusfm] = ACTIONS(2709),
    [anon_sym_BSLASHide] = ACTIONS(2709),
    [anon_sym_BSLASHref] = ACTIONS(2709),
    [anon_sym_BSLASHh] = ACTIONS(2709),
    [anon_sym_BSLASHtoc] = ACTIONS(2709),
    [anon_sym_BSLASHtoca] = ACTIONS(2709),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHimt] = ACTIONS(2709),
    [anon_sym_BSLASHimte] = ACTIONS(2709),
    [anon_sym_BSLASHis] = ACTIONS(2709),
    [anon_sym_BSLASHio] = ACTIONS(2709),
    [anon_sym_BSLASHiot] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHim] = ACTIONS(2709),
    [anon_sym_BSLASHipi] = ACTIONS(2709),
    [anon_sym_BSLASHimi] = ACTIONS(2709),
    [anon_sym_BSLASHili] = ACTIONS(2709),
    [anon_sym_BSLASHipq] = ACTIONS(2709),
    [anon_sym_BSLASHimq] = ACTIONS(2709),
    [anon_sym_BSLASHipr] = ACTIONS(2709),
    [anon_sym_BSLASHib] = ACTIONS(2709),
    [anon_sym_BSLASHiq] = ACTIONS(2709),
    [anon_sym_BSLASHie] = ACTIONS(2709),
    [anon_sym_BSLASHiex] = ACTIONS(2709),
    [anon_sym_BSLASHc] = ACTIONS(2709),
    [anon_sym_BSLASHcl] = ACTIONS(2709),
    [anon_sym_BSLASHmt] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesb] = ACTIONS(2709),
  },
  [1262] = {
    [ts_builtin_sym_end] = ACTIONS(2695),
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHusfm] = ACTIONS(2697),
    [anon_sym_BSLASHide] = ACTIONS(2697),
    [anon_sym_BSLASHref] = ACTIONS(2697),
    [anon_sym_BSLASHh] = ACTIONS(2697),
    [anon_sym_BSLASHtoc] = ACTIONS(2697),
    [anon_sym_BSLASHtoca] = ACTIONS(2697),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHimt] = ACTIONS(2697),
    [anon_sym_BSLASHimte] = ACTIONS(2697),
    [anon_sym_BSLASHis] = ACTIONS(2697),
    [anon_sym_BSLASHio] = ACTIONS(2697),
    [anon_sym_BSLASHiot] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHim] = ACTIONS(2697),
    [anon_sym_BSLASHipi] = ACTIONS(2697),
    [anon_sym_BSLASHimi] = ACTIONS(2697),
    [anon_sym_BSLASHili] = ACTIONS(2697),
    [anon_sym_BSLASHipq] = ACTIONS(2697),
    [anon_sym_BSLASHimq] = ACTIONS(2697),
    [anon_sym_BSLASHipr] = ACTIONS(2697),
    [anon_sym_BSLASHib] = ACTIONS(2697),
    [anon_sym_BSLASHiq] = ACTIONS(2697),
    [anon_sym_BSLASHie] = ACTIONS(2697),
    [anon_sym_BSLASHiex] = ACTIONS(2697),
    [anon_sym_BSLASHc] = ACTIONS(2697),
    [anon_sym_BSLASHcl] = ACTIONS(2697),
    [anon_sym_BSLASHmt] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesb] = ACTIONS(2697),
  },
  [1263] = {
    [ts_builtin_sym_end] = ACTIONS(2715),
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHusfm] = ACTIONS(2717),
    [anon_sym_BSLASHide] = ACTIONS(2717),
    [anon_sym_BSLASHref] = ACTIONS(2717),
    [anon_sym_BSLASHh] = ACTIONS(2717),
    [anon_sym_BSLASHtoc] = ACTIONS(2717),
    [anon_sym_BSLASHtoca] = ACTIONS(2717),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHimt] = ACTIONS(2717),
    [anon_sym_BSLASHimte] = ACTIONS(2717),
    [anon_sym_BSLASHis] = ACTIONS(2717),
    [anon_sym_BSLASHio] = ACTIONS(2717),
    [anon_sym_BSLASHiot] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHim] = ACTIONS(2717),
    [anon_sym_BSLASHipi] = ACTIONS(2717),
    [anon_sym_BSLASHimi] = ACTIONS(2717),
    [anon_sym_BSLASHili] = ACTIONS(2717),
    [anon_sym_BSLASHipq] = ACTIONS(2717),
    [anon_sym_BSLASHimq] = ACTIONS(2717),
    [anon_sym_BSLASHipr] = ACTIONS(2717),
    [anon_sym_BSLASHib] = ACTIONS(2717),
    [anon_sym_BSLASHiq] = ACTIONS(2717),
    [anon_sym_BSLASHie] = ACTIONS(2717),
    [anon_sym_BSLASHiex] = ACTIONS(2717),
    [anon_sym_BSLASHc] = ACTIONS(2717),
    [anon_sym_BSLASHcl] = ACTIONS(2717),
    [anon_sym_BSLASHmt] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesb] = ACTIONS(2717),
  },
  [1264] = {
    [sym__listMarker] = STATE(1264),
    [sym_liBlock] = STATE(1264),
    [sym_li] = STATE(1373),
    [sym_liTag] = STATE(60),
    [sym_limBlock] = STATE(1264),
    [sym_lim] = STATE(1364),
    [sym_limTag] = STATE(59),
    [aux_sym_list_repeat1] = STATE(1264),
    [aux_sym_liBlock_repeat1] = STATE(1373),
    [aux_sym_limBlock_repeat1] = STATE(1364),
    [ts_builtin_sym_end] = ACTIONS(7416),
    [anon_sym_BSLASHsts] = ACTIONS(7416),
    [anon_sym_BSLASHrem] = ACTIONS(7416),
    [anon_sym_BSLASHrestore] = ACTIONS(7416),
    [anon_sym_BSLASHlit] = ACTIONS(7416),
    [anon_sym_BSLASHip] = ACTIONS(7416),
    [anon_sym_BSLASHiex] = ACTIONS(7416),
    [anon_sym_BSLASHc] = ACTIONS(7416),
    [anon_sym_BSLASHcl] = ACTIONS(7416),
    [anon_sym_BSLASHca] = ACTIONS(7416),
    [anon_sym_BSLASHcp] = ACTIONS(7416),
    [anon_sym_BSLASHcd] = ACTIONS(7416),
    [anon_sym_BSLASHmte] = ACTIONS(7416),
    [anon_sym_BSLASHms] = ACTIONS(7416),
    [anon_sym_BSLASHs] = ACTIONS(7418),
    [anon_sym_BSLASHr] = ACTIONS(7416),
    [anon_sym_BSLASHsp] = ACTIONS(7416),
    [anon_sym_BSLASHd] = ACTIONS(7416),
    [anon_sym_BSLASHsd] = ACTIONS(7416),
    [anon_sym_BSLASHp] = ACTIONS(7418),
    [anon_sym_BSLASHm] = ACTIONS(7418),
    [anon_sym_BSLASHpo] = ACTIONS(7416),
    [anon_sym_BSLASHpr] = ACTIONS(7416),
    [anon_sym_BSLASHcls] = ACTIONS(7416),
    [anon_sym_BSLASHpmo] = ACTIONS(7416),
    [anon_sym_BSLASHpm] = ACTIONS(7418),
    [anon_sym_BSLASHpmc] = ACTIONS(7416),
    [anon_sym_BSLASHpmr] = ACTIONS(7416),
    [anon_sym_BSLASHpi] = ACTIONS(7416),
    [anon_sym_BSLASHmi] = ACTIONS(7416),
    [anon_sym_BSLASHnb] = ACTIONS(7416),
    [anon_sym_BSLASHpc] = ACTIONS(7416),
    [anon_sym_BSLASHph] = ACTIONS(7416),
    [anon_sym_BSLASHb] = ACTIONS(7416),
    [anon_sym_BSLASHq] = ACTIONS(7418),
    [anon_sym_BSLASHqr] = ACTIONS(7416),
    [anon_sym_BSLASHqc] = ACTIONS(7416),
    [anon_sym_BSLASHqa] = ACTIONS(7416),
    [anon_sym_BSLASHqm] = ACTIONS(7416),
    [anon_sym_BSLASHqd] = ACTIONS(7416),
    [anon_sym_BSLASHlh] = ACTIONS(7416),
    [anon_sym_BSLASHlf] = ACTIONS(7416),
    [anon_sym_BSLASHli] = ACTIONS(7420),
    [anon_sym_BSLASHlim] = ACTIONS(7423),
    [anon_sym_BSLASHtr] = ACTIONS(7416),
    [anon_sym_BSLASHf] = ACTIONS(7416),
    [anon_sym_BSLASHfe] = ACTIONS(7416),
    [anon_sym_BSLASHef] = ACTIONS(7416),
    [anon_sym_BSLASHfm] = ACTIONS(7416),
    [anon_sym_BSLASHpb] = ACTIONS(7416),
    [anon_sym_BSLASH] = ACTIONS(7418),
    [sym_milestoneStartTag] = ACTIONS(7416),
    [sym_milestoneEndTag] = ACTIONS(7416),
    [sym_zSpaceTag] = ACTIONS(7416),
    [anon_sym_BSLASHesb] = ACTIONS(7416),
  },
  [1265] = {
    [sym_text] = STATE(324),
    [sym_verseText] = STATE(2805),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
  },
  [1266] = {
    [sym_text] = STATE(324),
    [sym_verseText] = STATE(2530),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
  },
  [1267] = {
    [sym_text] = STATE(324),
    [sym_verseText] = STATE(2401),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
  },
  [1268] = {
    [sym_text] = STATE(324),
    [sym_verseText] = STATE(2806),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_text_token1] = ACTIONS(816),
    [anon_sym_BSLASHadd] = ACTIONS(852),
    [anon_sym_BSLASHbk] = ACTIONS(854),
    [anon_sym_BSLASHdc] = ACTIONS(856),
    [anon_sym_BSLASHk] = ACTIONS(858),
    [anon_sym_BSLASHnd] = ACTIONS(860),
    [anon_sym_BSLASHord] = ACTIONS(862),
    [anon_sym_BSLASHpn] = ACTIONS(864),
    [anon_sym_BSLASHpng] = ACTIONS(866),
    [anon_sym_BSLASHaddpn] = ACTIONS(868),
    [anon_sym_BSLASHqt] = ACTIONS(870),
    [anon_sym_BSLASHsig] = ACTIONS(872),
    [anon_sym_BSLASHsls] = ACTIONS(874),
    [anon_sym_BSLASHtl] = ACTIONS(876),
    [anon_sym_BSLASHwj] = ACTIONS(878),
    [anon_sym_BSLASHem] = ACTIONS(880),
    [anon_sym_BSLASHbd] = ACTIONS(882),
    [anon_sym_BSLASHit] = ACTIONS(884),
    [anon_sym_BSLASHbdit] = ACTIONS(886),
    [anon_sym_BSLASHno] = ACTIONS(888),
    [anon_sym_BSLASHsc] = ACTIONS(890),
    [anon_sym_BSLASHsup] = ACTIONS(892),
    [anon_sym_BSLASHndx] = ACTIONS(894),
    [anon_sym_BSLASHpro] = ACTIONS(896),
    [anon_sym_BSLASHrb] = ACTIONS(898),
    [anon_sym_BSLASHw] = ACTIONS(900),
    [anon_sym_BSLASHwg] = ACTIONS(902),
    [anon_sym_BSLASHwh] = ACTIONS(904),
    [anon_sym_BSLASHwa] = ACTIONS(906),
    [anon_sym_BSLASHfig] = ACTIONS(908),
    [anon_sym_BSLASHjmp] = ACTIONS(910),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 2,
    ACTIONS(2739), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2741), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [69] = 2,
    ACTIONS(2783), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2785), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [138] = 2,
    ACTIONS(2775), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2777), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [207] = 2,
    ACTIONS(2687), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2689), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [276] = 2,
    ACTIONS(2747), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2749), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [345] = 2,
    ACTIONS(2695), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2697), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [414] = 2,
    ACTIONS(2743), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2745), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [483] = 2,
    ACTIONS(506), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(508), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [552] = 2,
    ACTIONS(2787), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2789), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [621] = 2,
    ACTIONS(5), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(7), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [690] = 2,
    ACTIONS(2699), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2701), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [759] = 2,
    ACTIONS(2703), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2705), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [828] = 2,
    ACTIONS(2795), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2797), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [897] = 2,
    ACTIONS(2711), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2713), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [966] = 2,
    ACTIONS(2679), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2681), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1035] = 2,
    ACTIONS(2791), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2793), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1104] = 2,
    ACTIONS(2727), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2729), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1173] = 2,
    ACTIONS(21), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(23), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1242] = 2,
    ACTIONS(17), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(19), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1311] = 2,
    ACTIONS(2735), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2737), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1380] = 2,
    ACTIONS(2671), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2673), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1449] = 2,
    ACTIONS(6268), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(6270), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1518] = 2,
    ACTIONS(510), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(512), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1587] = 2,
    ACTIONS(2707), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2709), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1656] = 2,
    ACTIONS(2719), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2721), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1725] = 2,
    ACTIONS(13), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(15), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1794] = 2,
    ACTIONS(2779), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2781), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1863] = 2,
    ACTIONS(2675), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2677), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1932] = 2,
    ACTIONS(2767), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2769), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2001] = 2,
    ACTIONS(2763), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2765), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2070] = 2,
    ACTIONS(2799), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2801), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2139] = 2,
    ACTIONS(2759), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2761), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2208] = 2,
    ACTIONS(2755), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2757), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2277] = 2,
    ACTIONS(2803), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2805), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2346] = 2,
    ACTIONS(2751), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2753), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2415] = 2,
    ACTIONS(2715), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2717), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2484] = 2,
    ACTIONS(25), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(27), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2553] = 2,
    ACTIONS(2691), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2693), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2622] = 2,
    ACTIONS(9), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(11), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2691] = 2,
    ACTIONS(2731), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2733), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2760] = 2,
    ACTIONS(2683), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2685), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2829] = 2,
    ACTIONS(29), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(31), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2898] = 2,
    ACTIONS(2723), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2725), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2967] = 2,
    ACTIONS(2771), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2773), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [3036] = 12,
    ACTIONS(7426), 1,
      aux_sym_text_token1,
    ACTIONS(7428), 1,
      anon_sym_BSLASHf,
    ACTIONS(7430), 1,
      anon_sym_BSLASHfe,
    ACTIONS(7432), 1,
      anon_sym_BSLASHef,
    ACTIONS(7434), 1,
      anon_sym_BSLASHfm,
    ACTIONS(7436), 1,
      anon_sym_BSLASHx,
    ACTIONS(7438), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7440), 1,
      anon_sym_BSLASHrq,
    STATE(1633), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1317), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1629), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
    ACTIONS(7187), 44,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3124] = 7,
    ACTIONS(7446), 1,
      sym_thTag,
    ACTIONS(7448), 1,
      sym_thrTag,
    ACTIONS(7450), 1,
      sym_tcTag,
    ACTIONS(7452), 1,
      sym_tcrTag,
    STATE(1315), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(7444), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7442), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [3202] = 7,
    ACTIONS(7446), 1,
      sym_thTag,
    ACTIONS(7448), 1,
      sym_thrTag,
    ACTIONS(7450), 1,
      sym_tcTag,
    ACTIONS(7452), 1,
      sym_tcrTag,
    STATE(1316), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(7456), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7454), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [3280] = 7,
    ACTIONS(7462), 1,
      sym_thTag,
    ACTIONS(7465), 1,
      sym_thrTag,
    ACTIONS(7468), 1,
      sym_tcTag,
    ACTIONS(7471), 1,
      sym_tcrTag,
    STATE(1316), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(7460), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7458), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [3358] = 12,
    ACTIONS(7474), 1,
      aux_sym_text_token1,
    ACTIONS(7477), 1,
      anon_sym_BSLASHf,
    ACTIONS(7480), 1,
      anon_sym_BSLASHfe,
    ACTIONS(7483), 1,
      anon_sym_BSLASHef,
    ACTIONS(7486), 1,
      anon_sym_BSLASHfm,
    ACTIONS(7489), 1,
      anon_sym_BSLASHx,
    ACTIONS(7492), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7495), 1,
      anon_sym_BSLASHrq,
    STATE(1633), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1317), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1629), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
    ACTIONS(7160), 44,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3446] = 31,
    ACTIONS(816), 1,
      aux_sym_text_token1,
    ACTIONS(852), 1,
      anon_sym_BSLASHadd,
    ACTIONS(854), 1,
      anon_sym_BSLASHbk,
    ACTIONS(856), 1,
      anon_sym_BSLASHdc,
    ACTIONS(858), 1,
      anon_sym_BSLASHk,
    ACTIONS(860), 1,
      anon_sym_BSLASHnd,
    ACTIONS(862), 1,
      anon_sym_BSLASHord,
    ACTIONS(864), 1,
      anon_sym_BSLASHpn,
    ACTIONS(866), 1,
      anon_sym_BSLASHpng,
    ACTIONS(868), 1,
      anon_sym_BSLASHaddpn,
    ACTIONS(870), 1,
      anon_sym_BSLASHqt,
    ACTIONS(872), 1,
      anon_sym_BSLASHsig,
    ACTIONS(874), 1,
      anon_sym_BSLASHsls,
    ACTIONS(876), 1,
      anon_sym_BSLASHtl,
    ACTIONS(878), 1,
      anon_sym_BSLASHwj,
    ACTIONS(880), 1,
      anon_sym_BSLASHem,
    ACTIONS(882), 1,
      anon_sym_BSLASHbd,
    ACTIONS(884), 1,
      anon_sym_BSLASHit,
    ACTIONS(886), 1,
      anon_sym_BSLASHbdit,
    ACTIONS(888), 1,
      anon_sym_BSLASHno,
    ACTIONS(890), 1,
      anon_sym_BSLASHsc,
    ACTIONS(892), 1,
      anon_sym_BSLASHsup,
    ACTIONS(894), 1,
      anon_sym_BSLASHndx,
    ACTIONS(896), 1,
      anon_sym_BSLASHpro,
    ACTIONS(898), 1,
      anon_sym_BSLASHrb,
    ACTIONS(900), 1,
      anon_sym_BSLASHw,
    ACTIONS(902), 1,
      anon_sym_BSLASHwg,
    ACTIONS(904), 1,
      anon_sym_BSLASHwh,
    ACTIONS(906), 1,
      anon_sym_BSLASHwa,
    ACTIONS(910), 1,
      anon_sym_BSLASHjmp,
    STATE(330), 32,
      sym_text,
      sym_add,
      sym_bk,
      sym_dc,
      sym_k,
      sym_nd,
      sym_ord,
      sym_pn,
      sym_png,
      sym_addpn,
      sym_qt,
      sym_sig,
      sym_sls,
      sym_tl,
      sym_wj,
      sym_em,
      sym_bd,
      sym_it,
      sym_bdit,
      sym_no,
      sym_sc,
      sym_sup,
      sym_ndx,
      sym_pro,
      sym_rb,
      sym_w,
      sym_wg,
      sym_wh,
      sym_wa,
      sym__characterMarker,
      sym_jmp,
      aux_sym_rem_repeat1,
  [3571] = 31,
    ACTIONS(1653), 1,
      aux_sym_text_token1,
    ACTIONS(1689), 1,
      anon_sym_BSLASHadd,
    ACTIONS(1691), 1,
      anon_sym_BSLASHbk,
    ACTIONS(1693), 1,
      anon_sym_BSLASHdc,
    ACTIONS(1695), 1,
      anon_sym_BSLASHk,
    ACTIONS(1697), 1,
      anon_sym_BSLASHnd,
    ACTIONS(1699), 1,
      anon_sym_BSLASHord,
    ACTIONS(1701), 1,
      anon_sym_BSLASHpn,
    ACTIONS(1703), 1,
      anon_sym_BSLASHpng,
    ACTIONS(1705), 1,
      anon_sym_BSLASHaddpn,
    ACTIONS(1707), 1,
      anon_sym_BSLASHqt,
    ACTIONS(1709), 1,
      anon_sym_BSLASHsig,
    ACTIONS(1711), 1,
      anon_sym_BSLASHsls,
    ACTIONS(1713), 1,
      anon_sym_BSLASHtl,
    ACTIONS(1715), 1,
      anon_sym_BSLASHwj,
    ACTIONS(1717), 1,
      anon_sym_BSLASHem,
    ACTIONS(1719), 1,
      anon_sym_BSLASHbd,
    ACTIONS(1721), 1,
      anon_sym_BSLASHit,
    ACTIONS(1723), 1,
      anon_sym_BSLASHbdit,
    ACTIONS(1725), 1,
      anon_sym_BSLASHno,
    ACTIONS(1727), 1,
      anon_sym_BSLASHsc,
    ACTIONS(1729), 1,
      anon_sym_BSLASHsup,
    ACTIONS(1731), 1,
      anon_sym_BSLASHndx,
    ACTIONS(1733), 1,
      anon_sym_BSLASHpro,
    ACTIONS(1735), 1,
      anon_sym_BSLASHrb,
    ACTIONS(1737), 1,
      anon_sym_BSLASHw,
    ACTIONS(1739), 1,
      anon_sym_BSLASHwg,
    ACTIONS(1741), 1,
      anon_sym_BSLASHwh,
    ACTIONS(1743), 1,
      anon_sym_BSLASHwa,
    ACTIONS(1747), 1,
      anon_sym_BSLASHjmp,
    STATE(337), 32,
      sym_text,
      sym_add,
      sym_bk,
      sym_dc,
      sym_k,
      sym_nd,
      sym_ord,
      sym_pn,
      sym_png,
      sym_addpn,
      sym_qt,
      sym_sig,
      sym_sls,
      sym_tl,
      sym_wj,
      sym_em,
      sym_bd,
      sym_it,
      sym_bdit,
      sym_no,
      sym_sc,
      sym_sup,
      sym_ndx,
      sym_pro,
      sym_rb,
      sym_w,
      sym_wg,
      sym_wh,
      sym_wa,
      sym__characterMarker,
      sym_jmp,
      aux_sym_rem_repeat1,
  [3696] = 31,
    ACTIONS(5836), 1,
      aux_sym_text_token1,
    ACTIONS(5838), 1,
      anon_sym_BSLASHadd,
    ACTIONS(5840), 1,
      anon_sym_BSLASHbk,
    ACTIONS(5842), 1,
      anon_sym_BSLASHdc,
    ACTIONS(5844), 1,
      anon_sym_BSLASHk,
    ACTIONS(5846), 1,
      anon_sym_BSLASHnd,
    ACTIONS(5848), 1,
      anon_sym_BSLASHord,
    ACTIONS(5850), 1,
      anon_sym_BSLASHpn,
    ACTIONS(5852), 1,
      anon_sym_BSLASHpng,
    ACTIONS(5854), 1,
      anon_sym_BSLASHaddpn,
    ACTIONS(5856), 1,
      anon_sym_BSLASHqt,
    ACTIONS(5858), 1,
      anon_sym_BSLASHsig,
    ACTIONS(5860), 1,
      anon_sym_BSLASHsls,
    ACTIONS(5862), 1,
      anon_sym_BSLASHtl,
    ACTIONS(5864), 1,
      anon_sym_BSLASHwj,
    ACTIONS(5866), 1,
      anon_sym_BSLASHem,
    ACTIONS(5868), 1,
      anon_sym_BSLASHbd,
    ACTIONS(5870), 1,
      anon_sym_BSLASHit,
    ACTIONS(5872), 1,
      anon_sym_BSLASHbdit,
    ACTIONS(5874), 1,
      anon_sym_BSLASHno,
    ACTIONS(5876), 1,
      anon_sym_BSLASHsc,
    ACTIONS(5878), 1,
      anon_sym_BSLASHsup,
    ACTIONS(5880), 1,
      anon_sym_BSLASHndx,
    ACTIONS(5882), 1,
      anon_sym_BSLASHpro,
    ACTIONS(5884), 1,
      anon_sym_BSLASHrb,
    ACTIONS(5886), 1,
      anon_sym_BSLASHw,
    ACTIONS(5888), 1,
      anon_sym_BSLASHwg,
    ACTIONS(5890), 1,
      anon_sym_BSLASHwh,
    ACTIONS(5892), 1,
      anon_sym_BSLASHwa,
    ACTIONS(5894), 1,
      anon_sym_BSLASHjmp,
    STATE(422), 32,
      sym_text,
      sym_add,
      sym_bk,
      sym_dc,
      sym_k,
      sym_nd,
      sym_ord,
      sym_pn,
      sym_png,
      sym_addpn,
      sym_qt,
      sym_sig,
      sym_sls,
      sym_tl,
      sym_wj,
      sym_em,
      sym_bd,
      sym_it,
      sym_bdit,
      sym_no,
      sym_sc,
      sym_sup,
      sym_ndx,
      sym_pro,
      sym_rb,
      sym_w,
      sym_wg,
      sym_wh,
      sym_wa,
      sym__characterMarker,
      sym_jmp,
      aux_sym_rem_repeat1,
  [3821] = 31,
    ACTIONS(5484), 1,
      aux_sym_text_token1,
    ACTIONS(5496), 1,
      anon_sym_BSLASHadd,
    ACTIONS(5498), 1,
      anon_sym_BSLASHbk,
    ACTIONS(5500), 1,
      anon_sym_BSLASHdc,
    ACTIONS(5502), 1,
      anon_sym_BSLASHk,
    ACTIONS(5504), 1,
      anon_sym_BSLASHnd,
    ACTIONS(5506), 1,
      anon_sym_BSLASHord,
    ACTIONS(5508), 1,
      anon_sym_BSLASHpn,
    ACTIONS(5510), 1,
      anon_sym_BSLASHpng,
    ACTIONS(5512), 1,
      anon_sym_BSLASHaddpn,
    ACTIONS(5514), 1,
      anon_sym_BSLASHqt,
    ACTIONS(5516), 1,
      anon_sym_BSLASHsig,
    ACTIONS(5518), 1,
      anon_sym_BSLASHsls,
    ACTIONS(5520), 1,
      anon_sym_BSLASHtl,
    ACTIONS(5522), 1,
      anon_sym_BSLASHwj,
    ACTIONS(5524), 1,
      anon_sym_BSLASHem,
    ACTIONS(5526), 1,
      anon_sym_BSLASHbd,
    ACTIONS(5528), 1,
      anon_sym_BSLASHit,
    ACTIONS(5530), 1,
      anon_sym_BSLASHbdit,
    ACTIONS(5532), 1,
      anon_sym_BSLASHno,
    ACTIONS(5534), 1,
      anon_sym_BSLASHsc,
    ACTIONS(5536), 1,
      anon_sym_BSLASHsup,
    ACTIONS(5538), 1,
      anon_sym_BSLASHndx,
    ACTIONS(5540), 1,
      anon_sym_BSLASHpro,
    ACTIONS(5542), 1,
      anon_sym_BSLASHrb,
    ACTIONS(5544), 1,
      anon_sym_BSLASHw,
    ACTIONS(5546), 1,
      anon_sym_BSLASHwg,
    ACTIONS(5548), 1,
      anon_sym_BSLASHwh,
    ACTIONS(5550), 1,
      anon_sym_BSLASHwa,
    ACTIONS(5554), 1,
      anon_sym_BSLASHjmp,
    STATE(574), 32,
      sym_text,
      sym_add,
      sym_bk,
      sym_dc,
      sym_k,
      sym_nd,
      sym_ord,
      sym_pn,
      sym_png,
      sym_addpn,
      sym_qt,
      sym_sig,
      sym_sls,
      sym_tl,
      sym_wj,
      sym_em,
      sym_bd,
      sym_it,
      sym_bdit,
      sym_no,
      sym_sc,
      sym_sup,
      sym_ndx,
      sym_pro,
      sym_rb,
      sym_w,
      sym_wg,
      sym_wh,
      sym_wa,
      sym__characterMarker,
      sym_jmp,
      aux_sym_rem_repeat1,
  [3946] = 31,
    ACTIONS(386), 1,
      aux_sym_text_token1,
    ACTIONS(426), 1,
      anon_sym_BSLASHadd,
    ACTIONS(428), 1,
      anon_sym_BSLASHbk,
    ACTIONS(430), 1,
      anon_sym_BSLASHdc,
    ACTIONS(432), 1,
      anon_sym_BSLASHk,
    ACTIONS(434), 1,
      anon_sym_BSLASHnd,
    ACTIONS(436), 1,
      anon_sym_BSLASHord,
    ACTIONS(438), 1,
      anon_sym_BSLASHpn,
    ACTIONS(440), 1,
      anon_sym_BSLASHpng,
    ACTIONS(442), 1,
      anon_sym_BSLASHaddpn,
    ACTIONS(444), 1,
      anon_sym_BSLASHqt,
    ACTIONS(446), 1,
      anon_sym_BSLASHsig,
    ACTIONS(448), 1,
      anon_sym_BSLASHsls,
    ACTIONS(450), 1,
      anon_sym_BSLASHtl,
    ACTIONS(452), 1,
      anon_sym_BSLASHwj,
    ACTIONS(454), 1,
      anon_sym_BSLASHem,
    ACTIONS(456), 1,
      anon_sym_BSLASHbd,
    ACTIONS(458), 1,
      anon_sym_BSLASHit,
    ACTIONS(460), 1,
      anon_sym_BSLASHbdit,
    ACTIONS(462), 1,
      anon_sym_BSLASHno,
    ACTIONS(464), 1,
      anon_sym_BSLASHsc,
    ACTIONS(466), 1,
      anon_sym_BSLASHsup,
    ACTIONS(468), 1,
      anon_sym_BSLASHndx,
    ACTIONS(470), 1,
      anon_sym_BSLASHpro,
    ACTIONS(472), 1,
      anon_sym_BSLASHrb,
    ACTIONS(474), 1,
      anon_sym_BSLASHw,
    ACTIONS(476), 1,
      anon_sym_BSLASHwg,
    ACTIONS(478), 1,
      anon_sym_BSLASHwh,
    ACTIONS(480), 1,
      anon_sym_BSLASHwa,
    ACTIONS(484), 1,
      anon_sym_BSLASHjmp,
    STATE(312), 32,
      sym_text,
      sym_add,
      sym_bk,
      sym_dc,
      sym_k,
      sym_nd,
      sym_ord,
      sym_pn,
      sym_png,
      sym_addpn,
      sym_qt,
      sym_sig,
      sym_sls,
      sym_tl,
      sym_wj,
      sym_em,
      sym_bd,
      sym_it,
      sym_bdit,
      sym_no,
      sym_sc,
      sym_sup,
      sym_ndx,
      sym_pro,
      sym_rb,
      sym_w,
      sym_wg,
      sym_wh,
      sym_wa,
      sym__characterMarker,
      sym_jmp,
      aux_sym_rem_repeat1,
  [4071] = 31,
    ACTIONS(516), 1,
      aux_sym_text_token1,
    ACTIONS(554), 1,
      anon_sym_BSLASHadd,
    ACTIONS(556), 1,
      anon_sym_BSLASHbk,
    ACTIONS(558), 1,
      anon_sym_BSLASHdc,
    ACTIONS(560), 1,
      anon_sym_BSLASHk,
    ACTIONS(562), 1,
      anon_sym_BSLASHnd,
    ACTIONS(564), 1,
      anon_sym_BSLASHord,
    ACTIONS(566), 1,
      anon_sym_BSLASHpn,
    ACTIONS(568), 1,
      anon_sym_BSLASHpng,
    ACTIONS(570), 1,
      anon_sym_BSLASHaddpn,
    ACTIONS(572), 1,
      anon_sym_BSLASHqt,
    ACTIONS(574), 1,
      anon_sym_BSLASHsig,
    ACTIONS(576), 1,
      anon_sym_BSLASHsls,
    ACTIONS(578), 1,
      anon_sym_BSLASHtl,
    ACTIONS(580), 1,
      anon_sym_BSLASHwj,
    ACTIONS(582), 1,
      anon_sym_BSLASHem,
    ACTIONS(584), 1,
      anon_sym_BSLASHbd,
    ACTIONS(586), 1,
      anon_sym_BSLASHit,
    ACTIONS(588), 1,
      anon_sym_BSLASHbdit,
    ACTIONS(590), 1,
      anon_sym_BSLASHno,
    ACTIONS(592), 1,
      anon_sym_BSLASHsc,
    ACTIONS(594), 1,
      anon_sym_BSLASHsup,
    ACTIONS(596), 1,
      anon_sym_BSLASHndx,
    ACTIONS(598), 1,
      anon_sym_BSLASHpro,
    ACTIONS(600), 1,
      anon_sym_BSLASHrb,
    ACTIONS(602), 1,
      anon_sym_BSLASHw,
    ACTIONS(604), 1,
      anon_sym_BSLASHwg,
    ACTIONS(606), 1,
      anon_sym_BSLASHwh,
    ACTIONS(608), 1,
      anon_sym_BSLASHwa,
    ACTIONS(612), 1,
      anon_sym_BSLASHjmp,
    STATE(318), 32,
      sym_text,
      sym_add,
      sym_bk,
      sym_dc,
      sym_k,
      sym_nd,
      sym_ord,
      sym_pn,
      sym_png,
      sym_addpn,
      sym_qt,
      sym_sig,
      sym_sls,
      sym_tl,
      sym_wj,
      sym_em,
      sym_bd,
      sym_it,
      sym_bdit,
      sym_no,
      sym_sc,
      sym_sup,
      sym_ndx,
      sym_pro,
      sym_rb,
      sym_w,
      sym_wg,
      sym_wh,
      sym_wa,
      sym__characterMarker,
      sym_jmp,
      aux_sym_rem_repeat1,
  [4196] = 31,
    ACTIONS(4736), 1,
      aux_sym_text_token1,
    ACTIONS(4774), 1,
      anon_sym_BSLASHadd,
    ACTIONS(4776), 1,
      anon_sym_BSLASHbk,
    ACTIONS(4778), 1,
      anon_sym_BSLASHdc,
    ACTIONS(4780), 1,
      anon_sym_BSLASHk,
    ACTIONS(4782), 1,
      anon_sym_BSLASHnd,
    ACTIONS(4784), 1,
      anon_sym_BSLASHord,
    ACTIONS(4786), 1,
      anon_sym_BSLASHpn,
    ACTIONS(4788), 1,
      anon_sym_BSLASHpng,
    ACTIONS(4790), 1,
      anon_sym_BSLASHaddpn,
    ACTIONS(4792), 1,
      anon_sym_BSLASHqt,
    ACTIONS(4794), 1,
      anon_sym_BSLASHsig,
    ACTIONS(4796), 1,
      anon_sym_BSLASHsls,
    ACTIONS(4798), 1,
      anon_sym_BSLASHtl,
    ACTIONS(4800), 1,
      anon_sym_BSLASHwj,
    ACTIONS(4802), 1,
      anon_sym_BSLASHem,
    ACTIONS(4804), 1,
      anon_sym_BSLASHbd,
    ACTIONS(4806), 1,
      anon_sym_BSLASHit,
    ACTIONS(4808), 1,
      anon_sym_BSLASHbdit,
    ACTIONS(4810), 1,
      anon_sym_BSLASHno,
    ACTIONS(4812), 1,
      anon_sym_BSLASHsc,
    ACTIONS(4814), 1,
      anon_sym_BSLASHsup,
    ACTIONS(4816), 1,
      anon_sym_BSLASHndx,
    ACTIONS(4818), 1,
      anon_sym_BSLASHpro,
    ACTIONS(4820), 1,
      anon_sym_BSLASHrb,
    ACTIONS(4822), 1,
      anon_sym_BSLASHw,
    ACTIONS(4824), 1,
      anon_sym_BSLASHwg,
    ACTIONS(4826), 1,
      anon_sym_BSLASHwh,
    ACTIONS(4828), 1,
      anon_sym_BSLASHwa,
    ACTIONS(4832), 1,
      anon_sym_BSLASHjmp,
    STATE(743), 32,
      sym_text,
      sym_add,
      sym_bk,
      sym_dc,
      sym_k,
      sym_nd,
      sym_ord,
      sym_pn,
      sym_png,
      sym_addpn,
      sym_qt,
      sym_sig,
      sym_sls,
      sym_tl,
      sym_wj,
      sym_em,
      sym_bd,
      sym_it,
      sym_bdit,
      sym_no,
      sym_sc,
      sym_sup,
      sym_ndx,
      sym_pro,
      sym_rb,
      sym_w,
      sym_wg,
      sym_wh,
      sym_wa,
      sym__characterMarker,
      sym_jmp,
      aux_sym_rem_repeat1,
  [4321] = 31,
    ACTIONS(5116), 1,
      aux_sym_text_token1,
    ACTIONS(5150), 1,
      anon_sym_BSLASHadd,
    ACTIONS(5152), 1,
      anon_sym_BSLASHbk,
    ACTIONS(5154), 1,
      anon_sym_BSLASHdc,
    ACTIONS(5156), 1,
      anon_sym_BSLASHk,
    ACTIONS(5158), 1,
      anon_sym_BSLASHnd,
    ACTIONS(5160), 1,
      anon_sym_BSLASHord,
    ACTIONS(5162), 1,
      anon_sym_BSLASHpn,
    ACTIONS(5164), 1,
      anon_sym_BSLASHpng,
    ACTIONS(5166), 1,
      anon_sym_BSLASHaddpn,
    ACTIONS(5168), 1,
      anon_sym_BSLASHqt,
    ACTIONS(5170), 1,
      anon_sym_BSLASHsig,
    ACTIONS(5172), 1,
      anon_sym_BSLASHsls,
    ACTIONS(5174), 1,
      anon_sym_BSLASHtl,
    ACTIONS(5176), 1,
      anon_sym_BSLASHwj,
    ACTIONS(5178), 1,
      anon_sym_BSLASHem,
    ACTIONS(5180), 1,
      anon_sym_BSLASHbd,
    ACTIONS(5182), 1,
      anon_sym_BSLASHit,
    ACTIONS(5184), 1,
      anon_sym_BSLASHbdit,
    ACTIONS(5186), 1,
      anon_sym_BSLASHno,
    ACTIONS(5188), 1,
      anon_sym_BSLASHsc,
    ACTIONS(5190), 1,
      anon_sym_BSLASHsup,
    ACTIONS(5192), 1,
      anon_sym_BSLASHndx,
    ACTIONS(5194), 1,
      anon_sym_BSLASHpro,
    ACTIONS(5196), 1,
      anon_sym_BSLASHrb,
    ACTIONS(5198), 1,
      anon_sym_BSLASHw,
    ACTIONS(5200), 1,
      anon_sym_BSLASHwg,
    ACTIONS(5202), 1,
      anon_sym_BSLASHwh,
    ACTIONS(5204), 1,
      anon_sym_BSLASHwa,
    ACTIONS(5208), 1,
      anon_sym_BSLASHjmp,
    STATE(754), 32,
      sym_text,
      sym_add,
      sym_bk,
      sym_dc,
      sym_k,
      sym_nd,
      sym_ord,
      sym_pn,
      sym_png,
      sym_addpn,
      sym_qt,
      sym_sig,
      sym_sls,
      sym_tl,
      sym_wj,
      sym_em,
      sym_bd,
      sym_it,
      sym_bdit,
      sym_no,
      sym_sc,
      sym_sup,
      sym_ndx,
      sym_pro,
      sym_rb,
      sym_w,
      sym_wg,
      sym_wh,
      sym_wa,
      sym__characterMarker,
      sym_jmp,
      aux_sym_rem_repeat1,
  [4446] = 2,
    ACTIONS(63), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(61), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4511] = 2,
    ACTIONS(7500), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7498), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4576] = 6,
    ACTIONS(7502), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7504), 1,
      sym__zSpaceClose,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    STATE(2115), 1,
      sym__milestoneAttributes,
    ACTIONS(5570), 9,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
    ACTIONS(5568), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4649] = 11,
    ACTIONS(2891), 1,
      anon_sym_BSLASHli,
    ACTIONS(2893), 1,
      anon_sym_BSLASHlim,
    ACTIONS(7508), 1,
      anon_sym_BSLASHlf,
    STATE(74), 1,
      sym_limTag,
    STATE(75), 1,
      sym_liTag,
    STATE(1414), 1,
      sym_lf,
    STATE(1598), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1599), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1360), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
    ACTIONS(7414), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(7412), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4732] = 2,
    ACTIONS(7512), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7510), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4797] = 12,
    ACTIONS(7514), 1,
      anon_sym_BSLASHq,
    ACTIONS(7517), 1,
      anon_sym_BSLASHqr,
    ACTIONS(7520), 1,
      anon_sym_BSLASHqc,
    ACTIONS(7523), 1,
      anon_sym_BSLASHqm,
    ACTIONS(7526), 1,
      anon_sym_BSLASHqd,
    STATE(195), 1,
      sym_qTag,
    STATE(196), 1,
      sym_qmTag,
    STATE(1653), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    STATE(1655), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(7385), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    STATE(1331), 6,
      sym_qBlock,
      sym_qr,
      sym_qc,
      sym_qmBlock,
      sym_qd,
      aux_sym_poetry_repeat1,
    ACTIONS(7383), 37,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4882] = 2,
    ACTIONS(59), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(57), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4947] = 7,
    ACTIONS(7531), 1,
      anon_sym_BSLASHcl,
    ACTIONS(7534), 1,
      anon_sym_BSLASHca,
    ACTIONS(7537), 1,
      anon_sym_BSLASHcp,
    ACTIONS(7540), 1,
      anon_sym_BSLASHcd,
    STATE(1333), 6,
      sym__chapterMeta,
      sym_cl,
      sym_ca,
      sym_cp,
      sym_cd,
      aux_sym_c_repeat1,
    ACTIONS(7543), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7529), 43,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [5022] = 2,
    ACTIONS(7547), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7545), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5087] = 2,
    ACTIONS(7551), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7549), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5152] = 2,
    ACTIONS(75), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(73), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5217] = 2,
    ACTIONS(39), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(37), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5282] = 2,
    ACTIONS(55), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(53), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5347] = 8,
    ACTIONS(5556), 1,
      ts_builtin_sym_end,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(7553), 1,
      aux_sym_text_token1,
    ACTIONS(7555), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7557), 1,
      sym__zSpaceClose,
    STATE(1328), 1,
      sym_text,
    STATE(2190), 1,
      sym__milestoneAttributes,
    ACTIONS(5560), 53,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [5424] = 2,
    ACTIONS(31), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(29), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5489] = 2,
    ACTIONS(512), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(510), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5554] = 2,
    ACTIONS(508), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(506), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5619] = 2,
    ACTIONS(51), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(49), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5684] = 2,
    ACTIONS(67), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(65), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5749] = 2,
    ACTIONS(71), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(69), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5814] = 2,
    ACTIONS(83), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(81), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5879] = 2,
    ACTIONS(47), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(45), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5944] = 2,
    ACTIONS(79), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(77), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [6009] = 11,
    ACTIONS(2891), 1,
      anon_sym_BSLASHli,
    ACTIONS(2893), 1,
      anon_sym_BSLASHlim,
    ACTIONS(7508), 1,
      anon_sym_BSLASHlf,
    STATE(74), 1,
      sym_limTag,
    STATE(75), 1,
      sym_liTag,
    STATE(1459), 1,
      sym_lf,
    STATE(1598), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1599), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1360), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
    ACTIONS(7408), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(7406), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [6092] = 12,
    ACTIONS(2879), 1,
      anon_sym_BSLASHq,
    ACTIONS(2881), 1,
      anon_sym_BSLASHqr,
    ACTIONS(2883), 1,
      anon_sym_BSLASHqc,
    ACTIONS(2887), 1,
      anon_sym_BSLASHqm,
    ACTIONS(2889), 1,
      anon_sym_BSLASHqd,
    STATE(195), 1,
      sym_qTag,
    STATE(196), 1,
      sym_qmTag,
    STATE(1653), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    STATE(1655), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(7404), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    STATE(1331), 6,
      sym_qBlock,
      sym_qr,
      sym_qc,
      sym_qmBlock,
      sym_qd,
      aux_sym_poetry_repeat1,
    ACTIONS(7402), 37,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [6177] = 7,
    ACTIONS(1791), 1,
      anon_sym_BSLASHcl,
    ACTIONS(1793), 1,
      anon_sym_BSLASHca,
    ACTIONS(1795), 1,
      anon_sym_BSLASHcp,
    ACTIONS(1797), 1,
      anon_sym_BSLASHcd,
    STATE(1333), 6,
      sym__chapterMeta,
      sym_cl,
      sym_ca,
      sym_cp,
      sym_cd,
      aux_sym_c_repeat1,
    ACTIONS(7561), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7559), 43,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6252] = 2,
    ACTIONS(27), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(25), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [6317] = 7,
    ACTIONS(1791), 1,
      anon_sym_BSLASHcl,
    ACTIONS(1793), 1,
      anon_sym_BSLASHca,
    ACTIONS(1795), 1,
      anon_sym_BSLASHcp,
    ACTIONS(1797), 1,
      anon_sym_BSLASHcd,
    STATE(1351), 6,
      sym__chapterMeta,
      sym_cl,
      sym_ca,
      sym_cp,
      sym_cd,
      aux_sym_c_repeat1,
    ACTIONS(7565), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7563), 43,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6392] = 2,
    ACTIONS(35), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(33), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [6457] = 2,
    ACTIONS(23), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(21), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [6522] = 2,
    ACTIONS(43), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(41), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [6587] = 5,
    ACTIONS(7571), 1,
      anon_sym_BSLASHsd,
    STATE(1449), 1,
      sym_sdTag,
    STATE(1357), 2,
      sym_sd,
      aux_sym_sdBlock_repeat1,
    ACTIONS(7569), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7567), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [6657] = 5,
    ACTIONS(1811), 1,
      anon_sym_BSLASHsd,
    STATE(1449), 1,
      sym_sdTag,
    STATE(1357), 2,
      sym_sd,
      aux_sym_sdBlock_repeat1,
    ACTIONS(7576), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7574), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [6727] = 2,
    ACTIONS(7), 9,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
    ACTIONS(5), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym__zSpaceClose,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
      anon_sym_PIPE,
  [6791] = 9,
    ACTIONS(7578), 1,
      anon_sym_BSLASHli,
    ACTIONS(7581), 1,
      anon_sym_BSLASHlim,
    STATE(74), 1,
      sym_limTag,
    STATE(75), 1,
      sym_liTag,
    STATE(1598), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1599), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1360), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
    ACTIONS(7418), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(7416), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [6869] = 2,
    ACTIONS(65), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(67), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6932] = 2,
    ACTIONS(45), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(47), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6995] = 2,
    ACTIONS(25), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(27), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7058] = 5,
    ACTIONS(1859), 1,
      anon_sym_BSLASHlim,
    STATE(59), 1,
      sym_limTag,
    STATE(1382), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    ACTIONS(7586), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7584), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7127] = 2,
    ACTIONS(61), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(63), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7190] = 2,
    ACTIONS(73), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(75), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7253] = 2,
    ACTIONS(81), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(83), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7316] = 2,
    ACTIONS(77), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(79), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7379] = 2,
    ACTIONS(49), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(51), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7442] = 2,
    ACTIONS(37), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(39), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7505] = 2,
    ACTIONS(33), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(35), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7568] = 7,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(7588), 1,
      aux_sym_text_token1,
    ACTIONS(7590), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7592), 1,
      sym__zSpaceClose,
    STATE(1401), 1,
      sym_text,
    STATE(2153), 1,
      sym__milestoneAttributes,
    ACTIONS(5560), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [7641] = 5,
    ACTIONS(1857), 1,
      anon_sym_BSLASHli,
    STATE(60), 1,
      sym_liTag,
    STATE(1381), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    ACTIONS(7596), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(7594), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7710] = 2,
    ACTIONS(21), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(23), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7773] = 2,
    ACTIONS(5), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(7), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7836] = 2,
    ACTIONS(41), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(43), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7899] = 2,
    ACTIONS(29), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(31), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7962] = 2,
    ACTIONS(53), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(55), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8025] = 2,
    ACTIONS(69), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(71), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8088] = 2,
    ACTIONS(7047), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7045), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8151] = 5,
    ACTIONS(7602), 1,
      anon_sym_BSLASHli,
    STATE(60), 1,
      sym_liTag,
    STATE(1381), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    ACTIONS(7600), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(7598), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8220] = 5,
    ACTIONS(7609), 1,
      anon_sym_BSLASHlim,
    STATE(59), 1,
      sym_limTag,
    STATE(1382), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    ACTIONS(7607), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7605), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8289] = 2,
    ACTIONS(57), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(59), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8352] = 7,
    ACTIONS(7612), 1,
      sym_thTag,
    ACTIONS(7615), 1,
      sym_thrTag,
    ACTIONS(7618), 1,
      sym_tcTag,
    ACTIONS(7621), 1,
      sym_tcrTag,
    STATE(1384), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(7460), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7458), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8424] = 5,
    ACTIONS(1801), 1,
      anon_sym_BSLASHms,
    STATE(1144), 1,
      sym_msTag,
    STATE(1399), 2,
      sym_ms,
      aux_sym_msBlock_repeat1,
    ACTIONS(7626), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7624), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8492] = 5,
    ACTIONS(4750), 1,
      anon_sym_BSLASHva,
    ACTIONS(4752), 1,
      anon_sym_BSLASHvp,
    ACTIONS(5692), 1,
      aux_sym_text_token1,
    STATE(1407), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5694), 50,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [8560] = 4,
    ACTIONS(7185), 1,
      aux_sym_text_token1,
    ACTIONS(7628), 1,
      ts_builtin_sym_end,
    STATE(1396), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(7630), 53,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8626] = 4,
    ACTIONS(1805), 1,
      anon_sym_BSLASHr,
    STATE(1447), 1,
      sym_r,
    ACTIONS(7634), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7632), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8692] = 5,
    ACTIONS(7640), 1,
      anon_sym_BSLASHq,
    STATE(73), 1,
      sym_qTag,
    STATE(1389), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(7638), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7636), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8760] = 7,
    ACTIONS(7643), 1,
      sym_thTag,
    ACTIONS(7645), 1,
      sym_thrTag,
    ACTIONS(7647), 1,
      sym_tcTag,
    ACTIONS(7649), 1,
      sym_tcrTag,
    STATE(1392), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(7444), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7442), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8832] = 5,
    ACTIONS(4750), 1,
      anon_sym_BSLASHva,
    ACTIONS(4752), 1,
      anon_sym_BSLASHvp,
    ACTIONS(5688), 1,
      aux_sym_text_token1,
    STATE(1386), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5690), 50,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [8900] = 7,
    ACTIONS(7643), 1,
      sym_thTag,
    ACTIONS(7645), 1,
      sym_thrTag,
    ACTIONS(7647), 1,
      sym_tcTag,
    ACTIONS(7649), 1,
      sym_tcrTag,
    STATE(1384), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(7456), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7454), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8972] = 4,
    ACTIONS(7185), 1,
      aux_sym_text_token1,
    ACTIONS(7651), 1,
      ts_builtin_sym_end,
    STATE(1387), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(7653), 53,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9038] = 5,
    ACTIONS(7659), 1,
      anon_sym_BSLASHqm,
    STATE(64), 1,
      sym_qmTag,
    STATE(1394), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(7657), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7655), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9106] = 5,
    ACTIONS(7666), 1,
      anon_sym_BSLASHph,
    STATE(83), 1,
      sym_phTag,
    STATE(1395), 2,
      sym_ph,
      aux_sym_phBlock_repeat1,
    ACTIONS(7664), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7662), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9174] = 4,
    ACTIONS(7669), 1,
      ts_builtin_sym_end,
    ACTIONS(7671), 1,
      aux_sym_text_token1,
    STATE(1396), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(7674), 53,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9240] = 5,
    ACTIONS(7680), 1,
      anon_sym_BSLASHpi,
    STATE(82), 1,
      sym_piTag,
    STATE(1397), 2,
      sym_pi,
      aux_sym_piBlock_repeat1,
    ACTIONS(7678), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7676), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9308] = 5,
    ACTIONS(7685), 1,
      anon_sym_BSLASHs,
    STATE(292), 1,
      sym_sTag,
    STATE(1398), 2,
      sym_s,
      aux_sym_sBlock_repeat1,
    ACTIONS(7688), 6,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7683), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9376] = 5,
    ACTIONS(7692), 1,
      anon_sym_BSLASHms,
    STATE(1144), 1,
      sym_msTag,
    STATE(1399), 2,
      sym_ms,
      aux_sym_msBlock_repeat1,
    ACTIONS(7695), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7690), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9444] = 7,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(7697), 1,
      aux_sym_text_token1,
    ACTIONS(7699), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7701), 1,
      sym__zSpaceClose,
    STATE(1454), 1,
      sym_text,
    STATE(2175), 1,
      sym__milestoneAttributes,
    ACTIONS(5560), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [9516] = 6,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5568), 1,
      aux_sym_text_token1,
    ACTIONS(7703), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7705), 1,
      sym__zSpaceClose,
    STATE(2143), 1,
      sym__milestoneAttributes,
    ACTIONS(5570), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [9586] = 5,
    ACTIONS(1803), 1,
      anon_sym_BSLASHs,
    STATE(292), 1,
      sym_sTag,
    STATE(1398), 2,
      sym_s,
      aux_sym_sBlock_repeat1,
    ACTIONS(7709), 6,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7707), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9654] = 5,
    ACTIONS(1831), 1,
      anon_sym_BSLASHpi,
    STATE(82), 1,
      sym_piTag,
    STATE(1397), 2,
      sym_pi,
      aux_sym_piBlock_repeat1,
    ACTIONS(7713), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7711), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9722] = 5,
    ACTIONS(7717), 1,
      anon_sym_BSLASHmte,
    STATE(1889), 1,
      sym_mteTag,
    STATE(1404), 2,
      sym_mte,
      aux_sym_mteBlock_repeat1,
    ACTIONS(7720), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7715), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9790] = 5,
    ACTIONS(1839), 1,
      anon_sym_BSLASHph,
    STATE(83), 1,
      sym_phTag,
    STATE(1395), 2,
      sym_ph,
      aux_sym_phBlock_repeat1,
    ACTIONS(7724), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7722), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9858] = 4,
    ACTIONS(1805), 1,
      anon_sym_BSLASHr,
    STATE(1445), 1,
      sym_r,
    ACTIONS(3292), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3290), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9924] = 5,
    ACTIONS(5678), 1,
      aux_sym_text_token1,
    ACTIONS(7726), 1,
      anon_sym_BSLASHva,
    ACTIONS(7729), 1,
      anon_sym_BSLASHvp,
    STATE(1407), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5680), 50,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [9992] = 5,
    ACTIONS(1843), 1,
      anon_sym_BSLASHq,
    STATE(73), 1,
      sym_qTag,
    STATE(1389), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(7734), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7732), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [10060] = 5,
    ACTIONS(1851), 1,
      anon_sym_BSLASHqm,
    STATE(64), 1,
      sym_qmTag,
    STATE(1394), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(7738), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7736), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [10128] = 5,
    ACTIONS(1799), 1,
      anon_sym_BSLASHmte,
    STATE(1889), 1,
      sym_mteTag,
    STATE(1404), 2,
      sym_mte,
      aux_sym_mteBlock_repeat1,
    ACTIONS(7742), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7740), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [10196] = 2,
    ACTIONS(5976), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5974), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10257] = 2,
    ACTIONS(5996), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5994), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10318] = 5,
    ACTIONS(5130), 1,
      anon_sym_BSLASHva,
    ACTIONS(5132), 1,
      anon_sym_BSLASHvp,
    ACTIONS(5688), 1,
      aux_sym_text_token1,
    STATE(1418), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5690), 49,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [10385] = 2,
    ACTIONS(7746), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7744), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10446] = 2,
    ACTIONS(7750), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7748), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10507] = 2,
    ACTIONS(43), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(41), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10568] = 2,
    ACTIONS(7754), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7752), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10629] = 5,
    ACTIONS(5130), 1,
      anon_sym_BSLASHva,
    ACTIONS(5132), 1,
      anon_sym_BSLASHvp,
    ACTIONS(5692), 1,
      aux_sym_text_token1,
    STATE(1419), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5694), 49,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [10696] = 5,
    ACTIONS(5678), 1,
      aux_sym_text_token1,
    ACTIONS(7756), 1,
      anon_sym_BSLASHva,
    ACTIONS(7759), 1,
      anon_sym_BSLASHvp,
    STATE(1419), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5680), 49,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [10763] = 2,
    ACTIONS(5924), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5922), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10824] = 2,
    ACTIONS(6000), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5998), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10885] = 2,
    ACTIONS(3292), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3290), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10946] = 2,
    ACTIONS(7764), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7762), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11007] = 2,
    ACTIONS(5964), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5962), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11068] = 2,
    ACTIONS(5968), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5966), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11129] = 2,
    ACTIONS(5972), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5970), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11190] = 2,
    ACTIONS(83), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(81), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11251] = 2,
    ACTIONS(5988), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5986), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11312] = 4,
    ACTIONS(7770), 1,
      anon_sym_BSLASHtr,
    STATE(1429), 2,
      sym_tr,
      aux_sym_table_repeat1,
    ACTIONS(7768), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7766), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [11377] = 2,
    ACTIONS(5992), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5990), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11438] = 2,
    ACTIONS(71), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(69), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11499] = 2,
    ACTIONS(7), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11560] = 2,
    ACTIONS(7775), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7773), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11621] = 2,
    ACTIONS(7779), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7777), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11682] = 2,
    ACTIONS(7783), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7781), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11743] = 2,
    ACTIONS(5984), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5982), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11804] = 2,
    ACTIONS(6020), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6018), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11865] = 2,
    ACTIONS(6016), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6014), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11926] = 2,
    ACTIONS(6012), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6010), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11987] = 2,
    ACTIONS(79), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(77), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12048] = 2,
    ACTIONS(7787), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7785), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12109] = 2,
    ACTIONS(5980), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5978), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12170] = 2,
    ACTIONS(6008), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6006), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12231] = 2,
    ACTIONS(47), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(45), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12292] = 2,
    ACTIONS(7634), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7632), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12353] = 2,
    ACTIONS(7791), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7789), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12414] = 2,
    ACTIONS(7795), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7793), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12475] = 2,
    ACTIONS(35), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(33), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12536] = 2,
    ACTIONS(7799), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7797), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12597] = 2,
    ACTIONS(6004), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6002), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12658] = 2,
    ACTIONS(7803), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7801), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12719] = 4,
    ACTIONS(1861), 1,
      anon_sym_BSLASHtr,
    STATE(1429), 2,
      sym_tr,
      aux_sym_table_repeat1,
    ACTIONS(7807), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7805), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [12784] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 55,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      sym__zSpaceClose,
      anon_sym_PIPE,
  [12845] = 6,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5568), 1,
      aux_sym_text_token1,
    ACTIONS(7809), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7811), 1,
      sym__zSpaceClose,
    STATE(2169), 1,
      sym__milestoneAttributes,
    ACTIONS(5570), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12914] = 2,
    ACTIONS(39), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(37), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12975] = 2,
    ACTIONS(75), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(73), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [13036] = 2,
    ACTIONS(63), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(61), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [13097] = 2,
    ACTIONS(6024), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6022), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [13158] = 2,
    ACTIONS(7414), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7412), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [13219] = 2,
    ACTIONS(7815), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7813), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [13280] = 2,
    ACTIONS(7819), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(7817), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [13341] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 54,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      sym__zSpaceClose,
      anon_sym_PIPE,
  [13401] = 2,
    ACTIONS(7823), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7821), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [13460] = 2,
    ACTIONS(7827), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7825), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [13519] = 7,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(7553), 1,
      aux_sym_text_token1,
    ACTIONS(7555), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7557), 1,
      sym__zSpaceClose,
    STATE(1328), 1,
      sym_text,
    STATE(2190), 1,
      sym__milestoneAttributes,
    ACTIONS(5560), 48,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [13588] = 2,
    ACTIONS(7831), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7829), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [13647] = 2,
    ACTIONS(7835), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7833), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [13706] = 2,
    ACTIONS(7839), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7837), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [13765] = 2,
    ACTIONS(2703), 1,
      aux_sym_text_token1,
    ACTIONS(2705), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13823] = 2,
    ACTIONS(2691), 1,
      aux_sym_text_token1,
    ACTIONS(2693), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13881] = 2,
    ACTIONS(2731), 1,
      aux_sym_text_token1,
    ACTIONS(2733), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13939] = 2,
    ACTIONS(9), 1,
      aux_sym_text_token1,
    ACTIONS(11), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13997] = 2,
    ACTIONS(2771), 1,
      aux_sym_text_token1,
    ACTIONS(2773), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14055] = 2,
    ACTIONS(2683), 1,
      aux_sym_text_token1,
    ACTIONS(2685), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14113] = 2,
    ACTIONS(2715), 1,
      aux_sym_text_token1,
    ACTIONS(2717), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14171] = 2,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14229] = 2,
    ACTIONS(2719), 1,
      aux_sym_text_token1,
    ACTIONS(2721), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14287] = 2,
    ACTIONS(2735), 1,
      aux_sym_text_token1,
    ACTIONS(2737), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14345] = 2,
    ACTIONS(2739), 1,
      aux_sym_text_token1,
    ACTIONS(2741), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14403] = 2,
    ACTIONS(2751), 1,
      aux_sym_text_token1,
    ACTIONS(2753), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14461] = 2,
    ACTIONS(2755), 1,
      aux_sym_text_token1,
    ACTIONS(2757), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14519] = 2,
    ACTIONS(2759), 1,
      aux_sym_text_token1,
    ACTIONS(2761), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14577] = 2,
    ACTIONS(2763), 1,
      aux_sym_text_token1,
    ACTIONS(2765), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14635] = 2,
    ACTIONS(2767), 1,
      aux_sym_text_token1,
    ACTIONS(2769), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14693] = 2,
    ACTIONS(2675), 1,
      aux_sym_text_token1,
    ACTIONS(2677), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14751] = 2,
    ACTIONS(2779), 1,
      aux_sym_text_token1,
    ACTIONS(2781), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14809] = 2,
    ACTIONS(2783), 1,
      aux_sym_text_token1,
    ACTIONS(2785), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14867] = 2,
    ACTIONS(2795), 1,
      aux_sym_text_token1,
    ACTIONS(2797), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14925] = 2,
    ACTIONS(2787), 1,
      aux_sym_text_token1,
    ACTIONS(2789), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14983] = 2,
    ACTIONS(6042), 1,
      aux_sym_text_token1,
    ACTIONS(6044), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15041] = 2,
    ACTIONS(6038), 1,
      aux_sym_text_token1,
    ACTIONS(6040), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15099] = 2,
    ACTIONS(2743), 1,
      aux_sym_text_token1,
    ACTIONS(2745), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15157] = 2,
    ACTIONS(6050), 1,
      aux_sym_text_token1,
    ACTIONS(6052), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15215] = 2,
    ACTIONS(6054), 1,
      aux_sym_text_token1,
    ACTIONS(6056), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15273] = 2,
    ACTIONS(17), 1,
      aux_sym_text_token1,
    ACTIONS(19), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15331] = 2,
    ACTIONS(2747), 1,
      aux_sym_text_token1,
    ACTIONS(2749), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15389] = 2,
    ACTIONS(2775), 1,
      aux_sym_text_token1,
    ACTIONS(2777), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15447] = 2,
    ACTIONS(2803), 1,
      aux_sym_text_token1,
    ACTIONS(2805), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15505] = 2,
    ACTIONS(2723), 1,
      aux_sym_text_token1,
    ACTIONS(2725), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15563] = 2,
    ACTIONS(5954), 1,
      aux_sym_text_token1,
    ACTIONS(5956), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15621] = 2,
    ACTIONS(5958), 1,
      aux_sym_text_token1,
    ACTIONS(5960), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15679] = 2,
    ACTIONS(2679), 1,
      aux_sym_text_token1,
    ACTIONS(2681), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15737] = 2,
    ACTIONS(2687), 1,
      aux_sym_text_token1,
    ACTIONS(2689), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15795] = 2,
    ACTIONS(2695), 1,
      aux_sym_text_token1,
    ACTIONS(2697), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15853] = 2,
    ACTIONS(65), 1,
      aux_sym_text_token1,
    ACTIONS(67), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15911] = 2,
    ACTIONS(2699), 1,
      aux_sym_text_token1,
    ACTIONS(2701), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15969] = 2,
    ACTIONS(2711), 1,
      aux_sym_text_token1,
    ACTIONS(2713), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16027] = 2,
    ACTIONS(2791), 1,
      aux_sym_text_token1,
    ACTIONS(2793), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16085] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16143] = 2,
    ACTIONS(2799), 1,
      aux_sym_text_token1,
    ACTIONS(2801), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16201] = 2,
    ACTIONS(2671), 1,
      aux_sym_text_token1,
    ACTIONS(2673), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16259] = 2,
    ACTIONS(2727), 1,
      aux_sym_text_token1,
    ACTIONS(2729), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16317] = 2,
    ACTIONS(6022), 1,
      aux_sym_text_token1,
    ACTIONS(6024), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16375] = 2,
    ACTIONS(57), 1,
      aux_sym_text_token1,
    ACTIONS(59), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16433] = 2,
    ACTIONS(53), 1,
      aux_sym_text_token1,
    ACTIONS(55), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16491] = 2,
    ACTIONS(6002), 1,
      aux_sym_text_token1,
    ACTIONS(6004), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16549] = 2,
    ACTIONS(2707), 1,
      aux_sym_text_token1,
    ACTIONS(2709), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16607] = 2,
    ACTIONS(5994), 1,
      aux_sym_text_token1,
    ACTIONS(5996), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16665] = 2,
    ACTIONS(5990), 1,
      aux_sym_text_token1,
    ACTIONS(5992), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16723] = 2,
    ACTIONS(5986), 1,
      aux_sym_text_token1,
    ACTIONS(5988), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16781] = 2,
    ACTIONS(49), 1,
      aux_sym_text_token1,
    ACTIONS(51), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16839] = 2,
    ACTIONS(45), 1,
      aux_sym_text_token1,
    ACTIONS(47), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16897] = 2,
    ACTIONS(25), 1,
      aux_sym_text_token1,
    ACTIONS(27), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16955] = 2,
    ACTIONS(41), 1,
      aux_sym_text_token1,
    ACTIONS(43), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17013] = 2,
    ACTIONS(21), 1,
      aux_sym_text_token1,
    ACTIONS(23), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17071] = 2,
    ACTIONS(33), 1,
      aux_sym_text_token1,
    ACTIONS(35), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17129] = 2,
    ACTIONS(37), 1,
      aux_sym_text_token1,
    ACTIONS(39), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17187] = 2,
    ACTIONS(73), 1,
      aux_sym_text_token1,
    ACTIONS(75), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17245] = 2,
    ACTIONS(61), 1,
      aux_sym_text_token1,
    ACTIONS(63), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17303] = 2,
    ACTIONS(5974), 1,
      aux_sym_text_token1,
    ACTIONS(5976), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17361] = 2,
    ACTIONS(5970), 1,
      aux_sym_text_token1,
    ACTIONS(5972), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17419] = 2,
    ACTIONS(29), 1,
      aux_sym_text_token1,
    ACTIONS(31), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17477] = 2,
    ACTIONS(77), 1,
      aux_sym_text_token1,
    ACTIONS(79), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17535] = 2,
    ACTIONS(81), 1,
      aux_sym_text_token1,
    ACTIONS(83), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17593] = 2,
    ACTIONS(510), 1,
      aux_sym_text_token1,
    ACTIONS(512), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17651] = 2,
    ACTIONS(5978), 1,
      aux_sym_text_token1,
    ACTIONS(5980), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17709] = 2,
    ACTIONS(5982), 1,
      aux_sym_text_token1,
    ACTIONS(5984), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17767] = 2,
    ACTIONS(5966), 1,
      aux_sym_text_token1,
    ACTIONS(5968), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17825] = 2,
    ACTIONS(69), 1,
      aux_sym_text_token1,
    ACTIONS(71), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17883] = 2,
    ACTIONS(506), 1,
      aux_sym_text_token1,
    ACTIONS(508), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17941] = 2,
    ACTIONS(5998), 1,
      aux_sym_text_token1,
    ACTIONS(6000), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17999] = 2,
    ACTIONS(6006), 1,
      aux_sym_text_token1,
    ACTIONS(6008), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18057] = 2,
    ACTIONS(6010), 1,
      aux_sym_text_token1,
    ACTIONS(6012), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18115] = 2,
    ACTIONS(5962), 1,
      aux_sym_text_token1,
    ACTIONS(5964), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18173] = 2,
    ACTIONS(5922), 1,
      aux_sym_text_token1,
    ACTIONS(5924), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18231] = 2,
    ACTIONS(6018), 1,
      aux_sym_text_token1,
    ACTIONS(6020), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18289] = 2,
    ACTIONS(6014), 1,
      aux_sym_text_token1,
    ACTIONS(6016), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18347] = 2,
    ACTIONS(2755), 1,
      aux_sym_text_token1,
    ACTIONS(2757), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18404] = 2,
    ACTIONS(81), 1,
      aux_sym_text_token1,
    ACTIONS(83), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18461] = 2,
    ACTIONS(2795), 1,
      aux_sym_text_token1,
    ACTIONS(2797), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18518] = 2,
    ACTIONS(2783), 1,
      aux_sym_text_token1,
    ACTIONS(2785), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18575] = 2,
    ACTIONS(2779), 1,
      aux_sym_text_token1,
    ACTIONS(2781), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18632] = 2,
    ACTIONS(2675), 1,
      aux_sym_text_token1,
    ACTIONS(2677), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18689] = 2,
    ACTIONS(2767), 1,
      aux_sym_text_token1,
    ACTIONS(2769), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18746] = 2,
    ACTIONS(2763), 1,
      aux_sym_text_token1,
    ACTIONS(2765), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18803] = 2,
    ACTIONS(2759), 1,
      aux_sym_text_token1,
    ACTIONS(2761), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18860] = 2,
    ACTIONS(2751), 1,
      aux_sym_text_token1,
    ACTIONS(2753), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18917] = 2,
    ACTIONS(2739), 1,
      aux_sym_text_token1,
    ACTIONS(2741), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18974] = 2,
    ACTIONS(2735), 1,
      aux_sym_text_token1,
    ACTIONS(2737), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19031] = 2,
    ACTIONS(2719), 1,
      aux_sym_text_token1,
    ACTIONS(2721), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19088] = 2,
    ACTIONS(2715), 1,
      aux_sym_text_token1,
    ACTIONS(2717), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19145] = 2,
    ACTIONS(2683), 1,
      aux_sym_text_token1,
    ACTIONS(2685), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19202] = 2,
    ACTIONS(2771), 1,
      aux_sym_text_token1,
    ACTIONS(2773), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19259] = 2,
    ACTIONS(2731), 1,
      aux_sym_text_token1,
    ACTIONS(2733), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19316] = 2,
    ACTIONS(2691), 1,
      aux_sym_text_token1,
    ACTIONS(2693), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19373] = 2,
    ACTIONS(2723), 1,
      aux_sym_text_token1,
    ACTIONS(2725), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19430] = 2,
    ACTIONS(2679), 1,
      aux_sym_text_token1,
    ACTIONS(2681), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19487] = 2,
    ACTIONS(2687), 1,
      aux_sym_text_token1,
    ACTIONS(2689), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19544] = 2,
    ACTIONS(2695), 1,
      aux_sym_text_token1,
    ACTIONS(2697), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19601] = 2,
    ACTIONS(2699), 1,
      aux_sym_text_token1,
    ACTIONS(2701), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19658] = 2,
    ACTIONS(2711), 1,
      aux_sym_text_token1,
    ACTIONS(2713), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19715] = 2,
    ACTIONS(5958), 1,
      aux_sym_text_token1,
    ACTIONS(5960), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19772] = 2,
    ACTIONS(2743), 1,
      aux_sym_text_token1,
    ACTIONS(2745), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19829] = 2,
    ACTIONS(17), 1,
      aux_sym_text_token1,
    ACTIONS(19), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19886] = 2,
    ACTIONS(2747), 1,
      aux_sym_text_token1,
    ACTIONS(2749), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19943] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [20000] = 2,
    ACTIONS(2775), 1,
      aux_sym_text_token1,
    ACTIONS(2777), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20057] = 2,
    ACTIONS(2791), 1,
      aux_sym_text_token1,
    ACTIONS(2793), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20114] = 2,
    ACTIONS(2703), 1,
      aux_sym_text_token1,
    ACTIONS(2705), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20171] = 2,
    ACTIONS(2799), 1,
      aux_sym_text_token1,
    ACTIONS(2801), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20228] = 2,
    ACTIONS(2803), 1,
      aux_sym_text_token1,
    ACTIONS(2805), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20285] = 2,
    ACTIONS(6022), 1,
      aux_sym_text_token1,
    ACTIONS(6024), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20342] = 2,
    ACTIONS(6002), 1,
      aux_sym_text_token1,
    ACTIONS(6004), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20399] = 2,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20456] = 2,
    ACTIONS(5994), 1,
      aux_sym_text_token1,
    ACTIONS(5996), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20513] = 2,
    ACTIONS(2671), 1,
      aux_sym_text_token1,
    ACTIONS(2673), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20570] = 2,
    ACTIONS(5990), 1,
      aux_sym_text_token1,
    ACTIONS(5992), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20627] = 2,
    ACTIONS(5986), 1,
      aux_sym_text_token1,
    ACTIONS(5988), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20684] = 2,
    ACTIONS(5974), 1,
      aux_sym_text_token1,
    ACTIONS(5976), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20741] = 2,
    ACTIONS(5970), 1,
      aux_sym_text_token1,
    ACTIONS(5972), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20798] = 2,
    ACTIONS(5966), 1,
      aux_sym_text_token1,
    ACTIONS(5968), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20855] = 2,
    ACTIONS(5962), 1,
      aux_sym_text_token1,
    ACTIONS(5964), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20912] = 2,
    ACTIONS(2727), 1,
      aux_sym_text_token1,
    ACTIONS(2729), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20969] = 2,
    ACTIONS(69), 1,
      aux_sym_text_token1,
    ACTIONS(71), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21026] = 2,
    ACTIONS(2787), 1,
      aux_sym_text_token1,
    ACTIONS(2789), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21083] = 2,
    ACTIONS(5922), 1,
      aux_sym_text_token1,
    ACTIONS(5924), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21140] = 2,
    ACTIONS(2707), 1,
      aux_sym_text_token1,
    ACTIONS(2709), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21197] = 5,
    ACTIONS(2893), 1,
      anon_sym_BSLASHlim,
    STATE(74), 1,
      sym_limTag,
    STATE(1621), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    ACTIONS(7586), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7584), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [21260] = 5,
    ACTIONS(2891), 1,
      anon_sym_BSLASHli,
    STATE(75), 1,
      sym_liTag,
    STATE(1618), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    ACTIONS(7596), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(7594), 42,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [21323] = 2,
    ACTIONS(77), 1,
      aux_sym_text_token1,
    ACTIONS(79), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21380] = 2,
    ACTIONS(6018), 1,
      aux_sym_text_token1,
    ACTIONS(6020), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21437] = 2,
    ACTIONS(6014), 1,
      aux_sym_text_token1,
    ACTIONS(6016), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21494] = 2,
    ACTIONS(6010), 1,
      aux_sym_text_token1,
    ACTIONS(6012), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21551] = 2,
    ACTIONS(6006), 1,
      aux_sym_text_token1,
    ACTIONS(6008), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21608] = 2,
    ACTIONS(29), 1,
      aux_sym_text_token1,
    ACTIONS(31), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21665] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21722] = 2,
    ACTIONS(5998), 1,
      aux_sym_text_token1,
    ACTIONS(6000), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21779] = 2,
    ACTIONS(506), 1,
      aux_sym_text_token1,
    ACTIONS(508), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21836] = 2,
    ACTIONS(61), 1,
      aux_sym_text_token1,
    ACTIONS(63), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21893] = 2,
    ACTIONS(73), 1,
      aux_sym_text_token1,
    ACTIONS(75), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21950] = 2,
    ACTIONS(37), 1,
      aux_sym_text_token1,
    ACTIONS(39), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22007] = 2,
    ACTIONS(33), 1,
      aux_sym_text_token1,
    ACTIONS(35), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22064] = 2,
    ACTIONS(5982), 1,
      aux_sym_text_token1,
    ACTIONS(5984), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22121] = 2,
    ACTIONS(5978), 1,
      aux_sym_text_token1,
    ACTIONS(5980), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22178] = 2,
    ACTIONS(21), 1,
      aux_sym_text_token1,
    ACTIONS(23), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22235] = 2,
    ACTIONS(41), 1,
      aux_sym_text_token1,
    ACTIONS(43), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22292] = 2,
    ACTIONS(25), 1,
      aux_sym_text_token1,
    ACTIONS(27), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22349] = 5,
    ACTIONS(7841), 1,
      anon_sym_BSLASHli,
    STATE(75), 1,
      sym_liTag,
    STATE(1618), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    ACTIONS(7600), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(7598), 42,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22412] = 2,
    ACTIONS(9), 1,
      aux_sym_text_token1,
    ACTIONS(11), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22469] = 2,
    ACTIONS(45), 1,
      aux_sym_text_token1,
    ACTIONS(47), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22526] = 5,
    ACTIONS(7844), 1,
      anon_sym_BSLASHlim,
    STATE(74), 1,
      sym_limTag,
    STATE(1621), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    ACTIONS(7607), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7605), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22589] = 2,
    ACTIONS(510), 1,
      aux_sym_text_token1,
    ACTIONS(512), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22646] = 2,
    ACTIONS(49), 1,
      aux_sym_text_token1,
    ACTIONS(51), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22703] = 2,
    ACTIONS(65), 1,
      aux_sym_text_token1,
    ACTIONS(67), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22760] = 2,
    ACTIONS(57), 1,
      aux_sym_text_token1,
    ACTIONS(59), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22817] = 2,
    ACTIONS(53), 1,
      aux_sym_text_token1,
    ACTIONS(55), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22874] = 2,
    ACTIONS(49), 1,
      aux_sym_text_token1,
    ACTIONS(51), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22931] = 2,
    ACTIONS(5954), 1,
      aux_sym_text_token1,
    ACTIONS(5956), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22988] = 2,
    ACTIONS(45), 1,
      aux_sym_text_token1,
    ACTIONS(47), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23045] = 2,
    ACTIONS(25), 1,
      aux_sym_text_token1,
    ACTIONS(27), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23102] = 2,
    ACTIONS(41), 1,
      aux_sym_text_token1,
    ACTIONS(43), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23159] = 2,
    ACTIONS(21), 1,
      aux_sym_text_token1,
    ACTIONS(23), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23216] = 2,
    ACTIONS(65), 1,
      aux_sym_text_token1,
    ACTIONS(67), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23273] = 2,
    ACTIONS(37), 1,
      aux_sym_text_token1,
    ACTIONS(39), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23330] = 2,
    ACTIONS(73), 1,
      aux_sym_text_token1,
    ACTIONS(75), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23387] = 2,
    ACTIONS(61), 1,
      aux_sym_text_token1,
    ACTIONS(63), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23444] = 2,
    ACTIONS(29), 1,
      aux_sym_text_token1,
    ACTIONS(31), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23501] = 2,
    ACTIONS(77), 1,
      aux_sym_text_token1,
    ACTIONS(79), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23558] = 2,
    ACTIONS(81), 1,
      aux_sym_text_token1,
    ACTIONS(83), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23615] = 2,
    ACTIONS(69), 1,
      aux_sym_text_token1,
    ACTIONS(71), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23672] = 2,
    ACTIONS(57), 1,
      aux_sym_text_token1,
    ACTIONS(59), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [23729] = 2,
    ACTIONS(53), 1,
      aux_sym_text_token1,
    ACTIONS(55), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [23786] = 2,
    ACTIONS(33), 1,
      aux_sym_text_token1,
    ACTIONS(35), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23843] = 5,
    ACTIONS(7847), 1,
      anon_sym_BSLASHpi,
    STATE(236), 1,
      sym_piTag,
    STATE(1644), 2,
      sym_pi,
      aux_sym_piBlock_repeat1,
    ACTIONS(7678), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7676), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23905] = 3,
    ACTIONS(7850), 1,
      aux_sym_text_token1,
    STATE(1645), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(7674), 48,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23963] = 3,
    ACTIONS(7426), 1,
      aux_sym_text_token1,
    STATE(1645), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(7630), 48,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24021] = 5,
    ACTIONS(7853), 1,
      anon_sym_BSLASHph,
    STATE(231), 1,
      sym_phTag,
    STATE(1647), 2,
      sym_ph,
      aux_sym_phBlock_repeat1,
    ACTIONS(7664), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7662), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24083] = 5,
    ACTIONS(7856), 1,
      anon_sym_BSLASHq,
    STATE(195), 1,
      sym_qTag,
    STATE(1648), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(7638), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7636), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24145] = 5,
    ACTIONS(1799), 1,
      anon_sym_BSLASHmte,
    STATE(1890), 1,
      sym_mteTag,
    STATE(1659), 2,
      sym_mte,
      aux_sym_mteBlock_repeat1,
    ACTIONS(7742), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7740), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24207] = 5,
    ACTIONS(1801), 1,
      anon_sym_BSLASHms,
    STATE(1141), 1,
      sym_msTag,
    STATE(1652), 2,
      sym_ms,
      aux_sym_msBlock_repeat1,
    ACTIONS(7626), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7624), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24269] = 5,
    ACTIONS(7859), 1,
      anon_sym_BSLASHqm,
    STATE(196), 1,
      sym_qmTag,
    STATE(1651), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(7657), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7655), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24331] = 5,
    ACTIONS(7692), 1,
      anon_sym_BSLASHms,
    STATE(1141), 1,
      sym_msTag,
    STATE(1652), 2,
      sym_ms,
      aux_sym_msBlock_repeat1,
    ACTIONS(7695), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7690), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24393] = 5,
    ACTIONS(2887), 1,
      anon_sym_BSLASHqm,
    STATE(196), 1,
      sym_qmTag,
    STATE(1651), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(7738), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7736), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24455] = 5,
    ACTIONS(7862), 1,
      anon_sym_BSLASHs,
    STATE(317), 1,
      sym_sTag,
    STATE(1654), 2,
      sym_s,
      aux_sym_sBlock_repeat1,
    ACTIONS(7688), 6,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7683), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24517] = 5,
    ACTIONS(2879), 1,
      anon_sym_BSLASHq,
    STATE(195), 1,
      sym_qTag,
    STATE(1648), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(7734), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7732), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24579] = 3,
    ACTIONS(7426), 1,
      aux_sym_text_token1,
    STATE(1646), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(7653), 48,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24637] = 5,
    ACTIONS(2847), 1,
      anon_sym_BSLASHs,
    STATE(317), 1,
      sym_sTag,
    STATE(1654), 2,
      sym_s,
      aux_sym_sBlock_repeat1,
    ACTIONS(7709), 6,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7707), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24699] = 5,
    ACTIONS(2869), 1,
      anon_sym_BSLASHpi,
    STATE(236), 1,
      sym_piTag,
    STATE(1644), 2,
      sym_pi,
      aux_sym_piBlock_repeat1,
    ACTIONS(7713), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7711), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24761] = 5,
    ACTIONS(7717), 1,
      anon_sym_BSLASHmte,
    STATE(1890), 1,
      sym_mteTag,
    STATE(1659), 2,
      sym_mte,
      aux_sym_mteBlock_repeat1,
    ACTIONS(7720), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7715), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24823] = 5,
    ACTIONS(2877), 1,
      anon_sym_BSLASHph,
    STATE(231), 1,
      sym_phTag,
    STATE(1647), 2,
      sym_ph,
      aux_sym_phBlock_repeat1,
    ACTIONS(7724), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7722), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24885] = 4,
    ACTIONS(2895), 1,
      anon_sym_BSLASHtr,
    STATE(1662), 2,
      sym_tr,
      aux_sym_table_repeat1,
    ACTIONS(7807), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7805), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [24944] = 4,
    ACTIONS(7865), 1,
      anon_sym_BSLASHtr,
    STATE(1662), 2,
      sym_tr,
      aux_sym_table_repeat1,
    ACTIONS(7768), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(7766), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [25003] = 13,
    ACTIONS(7868), 1,
      ts_builtin_sym_end,
    ACTIONS(7870), 1,
      aux_sym_text_token1,
    ACTIONS(7874), 1,
      anon_sym_BSLASHf,
    ACTIONS(7876), 1,
      anon_sym_BSLASHfe,
    ACTIONS(7878), 1,
      anon_sym_BSLASHef,
    ACTIONS(7880), 1,
      anon_sym_BSLASHfm,
    ACTIONS(7882), 1,
      anon_sym_BSLASHx,
    ACTIONS(7884), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7886), 1,
      anon_sym_BSLASHrq,
    STATE(1772), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1664), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1761), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
    ACTIONS(7872), 29,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [25079] = 13,
    ACTIONS(7155), 1,
      ts_builtin_sym_end,
    ACTIONS(7888), 1,
      aux_sym_text_token1,
    ACTIONS(7891), 1,
      anon_sym_BSLASHf,
    ACTIONS(7894), 1,
      anon_sym_BSLASHfe,
    ACTIONS(7897), 1,
      anon_sym_BSLASHef,
    ACTIONS(7900), 1,
      anon_sym_BSLASHfm,
    ACTIONS(7903), 1,
      anon_sym_BSLASHx,
    ACTIONS(7906), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7909), 1,
      anon_sym_BSLASHrq,
    STATE(1772), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1664), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1761), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
    ACTIONS(7160), 29,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [25155] = 8,
    ACTIONS(5556), 1,
      ts_builtin_sym_end,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(7912), 1,
      aux_sym_text_token1,
    ACTIONS(7914), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7916), 1,
      sym__zSpaceClose,
    STATE(1733), 1,
      sym_text,
    STATE(2228), 1,
      sym__milestoneAttributes,
    ACTIONS(5560), 35,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [25214] = 1,
    ACTIONS(31), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25258] = 1,
    ACTIONS(159), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25302] = 1,
    ACTIONS(15), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25346] = 2,
    ACTIONS(5914), 2,
      anon_sym_x_DASH,
      anon_sym_src,
    ACTIONS(7918), 39,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [25392] = 1,
    ACTIONS(51), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25436] = 1,
    ACTIONS(19), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25480] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 40,
      anon_sym_BSLASHqac_STAR,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [25526] = 1,
    ACTIONS(11), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25570] = 1,
    ACTIONS(67), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25614] = 1,
    ACTIONS(199), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25658] = 1,
    ACTIONS(59), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25702] = 1,
    ACTIONS(103), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25746] = 1,
    ACTIONS(151), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25790] = 1,
    ACTIONS(47), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25834] = 2,
    ACTIONS(5910), 2,
      anon_sym_x_DASH,
      anon_sym_src,
    ACTIONS(7920), 39,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [25880] = 1,
    ACTIONS(147), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25924] = 1,
    ACTIONS(7), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25968] = 1,
    ACTIONS(27), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26012] = 1,
    ACTIONS(155), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26056] = 1,
    ACTIONS(163), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26100] = 1,
    ACTIONS(43), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26144] = 2,
    ACTIONS(5906), 2,
      anon_sym_x_DASH,
      anon_sym_src,
    ACTIONS(7922), 39,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [26190] = 1,
    ACTIONS(23), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26234] = 1,
    ACTIONS(167), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26278] = 1,
    ACTIONS(179), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26322] = 1,
    ACTIONS(35), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26366] = 1,
    ACTIONS(39), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26410] = 1,
    ACTIONS(75), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26454] = 1,
    ACTIONS(63), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26498] = 1,
    ACTIONS(71), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26542] = 1,
    ACTIONS(83), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26586] = 1,
    ACTIONS(183), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26630] = 1,
    ACTIONS(219), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26674] = 1,
    ACTIONS(215), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26718] = 1,
    ACTIONS(211), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26762] = 1,
    ACTIONS(207), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26806] = 1,
    ACTIONS(203), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26850] = 1,
    ACTIONS(195), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26894] = 1,
    ACTIONS(79), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26938] = 1,
    ACTIONS(191), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26982] = 1,
    ACTIONS(187), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27026] = 1,
    ACTIONS(175), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27070] = 1,
    ACTIONS(91), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27114] = 2,
    ACTIONS(5916), 2,
      anon_sym_x_DASH,
      anon_sym_src,
    ACTIONS(7924), 39,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [27160] = 1,
    ACTIONS(171), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27204] = 1,
    ACTIONS(95), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27248] = 1,
    ACTIONS(99), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27292] = 1,
    ACTIONS(55), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27336] = 1,
    ACTIONS(107), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27380] = 1,
    ACTIONS(111), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27424] = 1,
    ACTIONS(115), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27468] = 1,
    ACTIONS(119), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27512] = 1,
    ACTIONS(87), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27556] = 1,
    ACTIONS(123), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27600] = 1,
    ACTIONS(127), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27644] = 1,
    ACTIONS(131), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27688] = 1,
    ACTIONS(135), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27732] = 1,
    ACTIONS(139), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27776] = 1,
    ACTIONS(143), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [27820] = 2,
    ACTIONS(61), 1,
      aux_sym_text_token1,
    ACTIONS(63), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [27865] = 2,
    ACTIONS(37), 1,
      aux_sym_text_token1,
    ACTIONS(39), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [27910] = 2,
    ACTIONS(81), 1,
      aux_sym_text_token1,
    ACTIONS(83), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [27955] = 2,
    ACTIONS(77), 1,
      aux_sym_text_token1,
    ACTIONS(79), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28000] = 2,
    ACTIONS(53), 1,
      aux_sym_text_token1,
    ACTIONS(55), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28045] = 2,
    ACTIONS(57), 1,
      aux_sym_text_token1,
    ACTIONS(59), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28090] = 2,
    ACTIONS(49), 1,
      aux_sym_text_token1,
    ACTIONS(51), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28135] = 2,
    ACTIONS(69), 1,
      aux_sym_text_token1,
    ACTIONS(71), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28180] = 6,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(7926), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7928), 1,
      sym__zSpaceClose,
    STATE(2137), 1,
      sym__milestoneAttributes,
    ACTIONS(5570), 6,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
      sym_zSpaceTag,
    ACTIONS(5568), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      anon_sym_BSLASHesb,
  [28233] = 2,
    ACTIONS(65), 1,
      aux_sym_text_token1,
    ACTIONS(67), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28278] = 2,
    ACTIONS(29), 1,
      aux_sym_text_token1,
    ACTIONS(31), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28323] = 2,
    ACTIONS(45), 1,
      aux_sym_text_token1,
    ACTIONS(47), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28368] = 2,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28413] = 2,
    ACTIONS(25), 1,
      aux_sym_text_token1,
    ACTIONS(27), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28458] = 2,
    ACTIONS(17), 1,
      aux_sym_text_token1,
    ACTIONS(19), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28503] = 2,
    ACTIONS(21), 1,
      aux_sym_text_token1,
    ACTIONS(23), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28548] = 2,
    ACTIONS(9), 1,
      aux_sym_text_token1,
    ACTIONS(11), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28593] = 2,
    ACTIONS(73), 1,
      aux_sym_text_token1,
    ACTIONS(75), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28638] = 2,
    ACTIONS(33), 1,
      aux_sym_text_token1,
    ACTIONS(35), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28683] = 2,
    ACTIONS(41), 1,
      aux_sym_text_token1,
    ACTIONS(43), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [28728] = 2,
    ACTIONS(7), 5,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5), 34,
      ts_builtin_sym_end,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt_STAR,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHior_STAR,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHvp_STAR,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHfv_STAR,
      anon_sym_BSLASHrq_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
      anon_sym_PIPE,
  [28772] = 5,
    ACTIONS(7934), 1,
      anon_sym_BSLASHtoca,
    STATE(2163), 1,
      sym_tocaTag,
    STATE(1746), 2,
      sym_toca,
      aux_sym_tocaBlock_repeat1,
    ACTIONS(7932), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7930), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28822] = 5,
    ACTIONS(7939), 1,
      anon_sym_BSLASHh,
    STATE(2177), 1,
      sym_hTag,
    STATE(1747), 2,
      sym_h,
      aux_sym_hBlock_repeat1,
    ACTIONS(7942), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7937), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28872] = 5,
    ACTIONS(7264), 1,
      anon_sym_BSLASHtoca,
    STATE(2163), 1,
      sym_tocaTag,
    STATE(1746), 2,
      sym_toca,
      aux_sym_tocaBlock_repeat1,
    ACTIONS(7946), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7944), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28922] = 5,
    ACTIONS(7260), 1,
      anon_sym_BSLASHh,
    STATE(2177), 1,
      sym_hTag,
    STATE(1747), 2,
      sym_h,
      aux_sym_hBlock_repeat1,
    ACTIONS(7950), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7948), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28972] = 5,
    ACTIONS(7954), 1,
      anon_sym_BSLASHtoc,
    STATE(2164), 1,
      sym_tocTag,
    STATE(1750), 2,
      sym_toc,
      aux_sym_tocBlock_repeat1,
    ACTIONS(7957), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7952), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29022] = 5,
    ACTIONS(7262), 1,
      anon_sym_BSLASHtoc,
    STATE(2164), 1,
      sym_tocTag,
    STATE(1750), 2,
      sym_toc,
      aux_sym_tocBlock_repeat1,
    ACTIONS(7961), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7959), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29072] = 5,
    ACTIONS(7963), 1,
      ts_builtin_sym_end,
    ACTIONS(7965), 1,
      aux_sym_text_token1,
    STATE(1801), 1,
      sym__text,
    STATE(1802), 1,
      sym_description,
    ACTIONS(7967), 35,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29122] = 2,
    ACTIONS(7), 6,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
      sym_zSpaceTag,
    ACTIONS(5), 33,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym__zSpaceClose,
      anon_sym_BSLASHesb,
      anon_sym_PIPE,
  [29166] = 2,
    ACTIONS(7969), 1,
      aux_sym_text_token1,
    ACTIONS(7971), 37,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29209] = 2,
    ACTIONS(21), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(23), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29252] = 2,
    ACTIONS(5), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(7), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29295] = 2,
    ACTIONS(7973), 1,
      aux_sym_text_token1,
    ACTIONS(7975), 37,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29338] = 2,
    ACTIONS(49), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(51), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29381] = 2,
    ACTIONS(57), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(59), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29424] = 2,
    ACTIONS(53), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(55), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29467] = 2,
    ACTIONS(45), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(47), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29510] = 2,
    ACTIONS(25), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(27), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29553] = 2,
    ACTIONS(33), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(35), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29596] = 2,
    ACTIONS(69), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(71), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29639] = 2,
    ACTIONS(81), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(83), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29682] = 2,
    ACTIONS(77), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(79), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29725] = 2,
    ACTIONS(29), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(31), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29768] = 2,
    ACTIONS(61), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(63), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29811] = 2,
    ACTIONS(73), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(75), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29854] = 2,
    ACTIONS(37), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(39), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29897] = 2,
    ACTIONS(41), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(43), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29940] = 2,
    ACTIONS(65), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(67), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29983] = 2,
    ACTIONS(7827), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7825), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30024] = 2,
    ACTIONS(5924), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5922), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30065] = 2,
    ACTIONS(5996), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5994), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30106] = 2,
    ACTIONS(7979), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7977), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30147] = 2,
    ACTIONS(6024), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6022), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30188] = 2,
    ACTIONS(5988), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5986), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30229] = 2,
    ACTIONS(512), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(510), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30270] = 2,
    ACTIONS(6004), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6002), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30311] = 2,
    ACTIONS(7983), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7981), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30352] = 2,
    ACTIONS(7987), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7985), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30393] = 2,
    ACTIONS(7991), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7989), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30434] = 2,
    ACTIONS(7995), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7993), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30475] = 2,
    ACTIONS(7999), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7997), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30516] = 2,
    ACTIONS(5992), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5990), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30557] = 2,
    ACTIONS(7), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30598] = 2,
    ACTIONS(6008), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6006), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30639] = 2,
    ACTIONS(5984), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5982), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30680] = 2,
    ACTIONS(6000), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5998), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30721] = 2,
    ACTIONS(6012), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6010), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30762] = 2,
    ACTIONS(5976), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5974), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30803] = 2,
    ACTIONS(6016), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6014), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30844] = 2,
    ACTIONS(6020), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6018), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30885] = 2,
    ACTIONS(5980), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5978), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30926] = 2,
    ACTIONS(5972), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5970), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30967] = 2,
    ACTIONS(508), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(506), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31008] = 2,
    ACTIONS(7831), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7829), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31049] = 2,
    ACTIONS(5968), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5966), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31090] = 2,
    ACTIONS(5964), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5962), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31131] = 2,
    ACTIONS(8003), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8001), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31172] = 2,
    ACTIONS(8007), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8005), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31213] = 2,
    ACTIONS(5912), 1,
      anon_sym_x_DASH,
    ACTIONS(6272), 34,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [31253] = 2,
    ACTIONS(5908), 1,
      anon_sym_x_DASH,
    ACTIONS(6274), 34,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [31293] = 8,
    ACTIONS(5556), 1,
      ts_builtin_sym_end,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(8009), 1,
      aux_sym_text_token1,
    ACTIONS(8011), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8013), 1,
      sym__zSpaceClose,
    STATE(1818), 1,
      sym_text,
    STATE(2132), 1,
      sym__milestoneAttributes,
    ACTIONS(5560), 28,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31345] = 2,
    ACTIONS(8015), 1,
      aux_sym_text_token1,
    ACTIONS(8017), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [31384] = 2,
    ACTIONS(8019), 1,
      aux_sym_text_token1,
    ACTIONS(8021), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [31423] = 2,
    ACTIONS(8023), 1,
      aux_sym_text_token1,
    ACTIONS(8025), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [31462] = 2,
    ACTIONS(8027), 1,
      aux_sym_text_token1,
    ACTIONS(8029), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [31501] = 2,
    ACTIONS(8031), 1,
      aux_sym_text_token1,
    ACTIONS(8033), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [31540] = 2,
    ACTIONS(8035), 1,
      aux_sym_text_token1,
    ACTIONS(8037), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [31579] = 2,
    ACTIONS(8039), 1,
      aux_sym_text_token1,
    ACTIONS(8041), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [31618] = 2,
    ACTIONS(8043), 1,
      aux_sym_text_token1,
    ACTIONS(8045), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [31657] = 2,
    ACTIONS(8047), 1,
      aux_sym_text_token1,
    ACTIONS(8049), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [31696] = 2,
    ACTIONS(8051), 1,
      aux_sym_text_token1,
    ACTIONS(8053), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [31735] = 2,
    ACTIONS(8055), 1,
      aux_sym_text_token1,
    ACTIONS(8057), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [31774] = 2,
    ACTIONS(8059), 1,
      aux_sym_text_token1,
    ACTIONS(8061), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [31813] = 6,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8063), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8065), 1,
      sym__zSpaceClose,
    STATE(2199), 1,
      sym__milestoneAttributes,
    ACTIONS(5570), 5,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
      sym_zSpaceTag,
    ACTIONS(5568), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      anon_sym_BSLASHesb,
  [31859] = 5,
    ACTIONS(8071), 1,
      anon_sym_BSLASHmt,
    STATE(1888), 1,
      sym_mtTag,
    STATE(1819), 2,
      sym_mt,
      aux_sym_mtBlock_repeat1,
    ACTIONS(8069), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8067), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31903] = 5,
    ACTIONS(6258), 1,
      anon_sym_BSLASHmt,
    STATE(1888), 1,
      sym_mtTag,
    STATE(1819), 2,
      sym_mt,
      aux_sym_mtBlock_repeat1,
    ACTIONS(8076), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8074), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31947] = 5,
    ACTIONS(6238), 1,
      anon_sym_BSLASHili,
    STATE(1197), 1,
      sym_iliTag,
    STATE(1827), 2,
      sym_ili,
      aux_sym_iliBlock_repeat1,
    ACTIONS(8080), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8078), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31990] = 5,
    ACTIONS(6248), 1,
      anon_sym_BSLASHiq,
    STATE(1200), 1,
      sym_iqTag,
    STATE(1824), 2,
      sym_iq,
      aux_sym_iqBlock_repeat1,
    ACTIONS(8084), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8082), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32033] = 5,
    ACTIONS(6224), 1,
      anon_sym_BSLASHis,
    STATE(1206), 1,
      sym_isTag,
    STATE(1828), 2,
      sym_is,
      aux_sym_isBlock_repeat1,
    ACTIONS(8088), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8086), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32076] = 5,
    ACTIONS(8094), 1,
      anon_sym_BSLASHiq,
    STATE(1200), 1,
      sym_iqTag,
    STATE(1824), 2,
      sym_iq,
      aux_sym_iqBlock_repeat1,
    ACTIONS(8092), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8090), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32119] = 5,
    ACTIONS(6220), 1,
      anon_sym_BSLASHimt,
    STATE(1213), 1,
      sym_imtTag,
    STATE(1829), 2,
      sym_imt,
      aux_sym_imtBlock_repeat1,
    ACTIONS(8099), 3,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8097), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32162] = 2,
    ACTIONS(7), 5,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
      sym_zSpaceTag,
    ACTIONS(5), 27,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym__zSpaceClose,
      anon_sym_BSLASHesb,
      anon_sym_PIPE,
  [32199] = 5,
    ACTIONS(8105), 1,
      anon_sym_BSLASHili,
    STATE(1197), 1,
      sym_iliTag,
    STATE(1827), 2,
      sym_ili,
      aux_sym_iliBlock_repeat1,
    ACTIONS(8103), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8101), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32242] = 5,
    ACTIONS(8112), 1,
      anon_sym_BSLASHis,
    STATE(1206), 1,
      sym_isTag,
    STATE(1828), 2,
      sym_is,
      aux_sym_isBlock_repeat1,
    ACTIONS(8110), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8108), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32285] = 5,
    ACTIONS(8117), 1,
      anon_sym_BSLASHimt,
    STATE(1213), 1,
      sym_imtTag,
    STATE(1829), 2,
      sym_imt,
      aux_sym_imtBlock_repeat1,
    ACTIONS(8120), 3,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8115), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32328] = 2,
    ACTIONS(6020), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6018), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32362] = 2,
    ACTIONS(5972), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5970), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32396] = 2,
    ACTIONS(6008), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6006), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32430] = 2,
    ACTIONS(6024), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6022), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32464] = 2,
    ACTIONS(5988), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5986), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32498] = 2,
    ACTIONS(5992), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5990), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32532] = 2,
    ACTIONS(6012), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6010), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32566] = 2,
    ACTIONS(6016), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6014), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32600] = 2,
    ACTIONS(7831), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7829), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32634] = 2,
    ACTIONS(8124), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8122), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32668] = 2,
    ACTIONS(5996), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5994), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32702] = 14,
    ACTIONS(5466), 1,
      anon_sym_x_DASH,
    ACTIONS(8126), 1,
      anon_sym_DQUOTE,
    ACTIONS(8128), 1,
      sym_customAttributeName,
    ACTIONS(8130), 1,
      sym_attributeValue,
    ACTIONS(8132), 1,
      anon_sym_PIPE,
    ACTIONS(8136), 1,
      anon_sym_alt,
    ACTIONS(8138), 1,
      anon_sym_src,
    ACTIONS(8140), 1,
      anon_sym_size,
    ACTIONS(8142), 1,
      anon_sym_loc,
    ACTIONS(8144), 1,
      anon_sym_copy,
    ACTIONS(8146), 1,
      anon_sym_ref,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(8134), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1854), 10,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      sym_altAttribute,
      sym_srcAttribute,
      sym_sizeAttribute,
      sym_locAttribute,
      sym_copyAttribute,
      sym_refAttribute,
      aux_sym__figAttributes_repeat1,
  [32760] = 2,
    ACTIONS(5924), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5922), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32794] = 2,
    ACTIONS(5976), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5974), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32828] = 2,
    ACTIONS(5968), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5966), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32862] = 2,
    ACTIONS(5980), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5978), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32896] = 2,
    ACTIONS(6004), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6002), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32930] = 2,
    ACTIONS(8150), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8148), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32964] = 2,
    ACTIONS(5984), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5982), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [32998] = 2,
    ACTIONS(5964), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5962), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [33032] = 2,
    ACTIONS(6000), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5998), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [33066] = 2,
    ACTIONS(8154), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(8152), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [33100] = 2,
    ACTIONS(7827), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7825), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [33134] = 13,
    ACTIONS(8156), 1,
      anon_sym_BSLASHfig_STAR,
    ACTIONS(8158), 1,
      sym_customAttributeName,
    ACTIONS(8161), 1,
      anon_sym_PIPE,
    ACTIONS(8167), 1,
      anon_sym_x_DASH,
    ACTIONS(8170), 1,
      anon_sym_alt,
    ACTIONS(8173), 1,
      anon_sym_src,
    ACTIONS(8176), 1,
      anon_sym_size,
    ACTIONS(8179), 1,
      anon_sym_loc,
    ACTIONS(8182), 1,
      anon_sym_copy,
    ACTIONS(8185), 1,
      anon_sym_ref,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(8164), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1853), 10,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      sym_altAttribute,
      sym_srcAttribute,
      sym_sizeAttribute,
      sym_locAttribute,
      sym_copyAttribute,
      sym_refAttribute,
      aux_sym__figAttributes_repeat1,
  [33189] = 13,
    ACTIONS(5466), 1,
      anon_sym_x_DASH,
    ACTIONS(8188), 1,
      anon_sym_BSLASHfig_STAR,
    ACTIONS(8190), 1,
      sym_customAttributeName,
    ACTIONS(8192), 1,
      anon_sym_PIPE,
    ACTIONS(8196), 1,
      anon_sym_alt,
    ACTIONS(8198), 1,
      anon_sym_src,
    ACTIONS(8200), 1,
      anon_sym_size,
    ACTIONS(8202), 1,
      anon_sym_loc,
    ACTIONS(8204), 1,
      anon_sym_copy,
    ACTIONS(8206), 1,
      anon_sym_ref,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(8194), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1853), 10,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      sym_altAttribute,
      sym_srcAttribute,
      sym_sizeAttribute,
      sym_locAttribute,
      sym_copyAttribute,
      sym_refAttribute,
      aux_sym__figAttributes_repeat1,
  [33244] = 7,
    ACTIONS(5466), 1,
      anon_sym_x_DASH,
    ACTIONS(8190), 1,
      sym_customAttributeName,
    ACTIONS(8192), 1,
      anon_sym_PIPE,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1856), 4,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      aux_sym__attributesInCrossref_repeat1,
    ACTIONS(8194), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    ACTIONS(8208), 12,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33286] = 7,
    ACTIONS(5479), 1,
      anon_sym_x_DASH,
    ACTIONS(8212), 1,
      sym_customAttributeName,
    ACTIONS(8215), 1,
      anon_sym_PIPE,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1856), 4,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      aux_sym__attributesInCrossref_repeat1,
    ACTIONS(8218), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    ACTIONS(8210), 12,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33328] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8221), 1,
      anon_sym_BSLASHx_STAR,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    STATE(1865), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [33376] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8241), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1875), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [33424] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8243), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1871), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [33472] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8245), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1875), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [33520] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8247), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1858), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [33568] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8249), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1872), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [33616] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8251), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1875), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [33664] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8253), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1863), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [33712] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8255), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1875), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [33760] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8257), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1860), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [33808] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8259), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1876), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [33856] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8261), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1875), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [33904] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8263), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1875), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [33952] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8265), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1868), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [34000] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8267), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1875), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [34048] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8269), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1875), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [34096] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8271), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1875), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [34144] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8273), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1869), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [34192] = 12,
    ACTIONS(8275), 1,
      anon_sym_BSLASHx_STAR,
    ACTIONS(8277), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8280), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8283), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8286), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8289), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8292), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8295), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8298), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8301), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8304), 1,
      anon_sym_BSLASHcat,
    STATE(1875), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [34240] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8307), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1875), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [34288] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8309), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1881), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [34336] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8311), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1873), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [34384] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8313), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1880), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [34432] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8315), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1875), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [34480] = 12,
    ACTIONS(2901), 1,
      anon_sym_BSLASHcat,
    ACTIONS(8223), 1,
      anon_sym_BSLASHxo,
    ACTIONS(8225), 1,
      anon_sym_BSLASHxk,
    ACTIONS(8227), 1,
      anon_sym_BSLASHxq,
    ACTIONS(8229), 1,
      anon_sym_BSLASHxt,
    ACTIONS(8231), 1,
      anon_sym_BSLASHxta,
    ACTIONS(8233), 1,
      anon_sym_BSLASHxop,
    ACTIONS(8235), 1,
      anon_sym_BSLASHxot,
    ACTIONS(8237), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(8239), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(8317), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1875), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [34528] = 9,
    ACTIONS(8321), 1,
      sym_customAttributeName,
    ACTIONS(8324), 1,
      anon_sym_lemma,
    ACTIONS(8327), 1,
      anon_sym_strong,
    ACTIONS(8330), 1,
      anon_sym_srcloc,
    ACTIONS(8336), 1,
      anon_sym_x_DASH,
    ACTIONS(8319), 2,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(8333), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1882), 6,
      sym_customAttribute,
      sym_lemmaAttribute,
      sym_strongAttribute,
      sym_scrlocAttribute,
      sym_linkAttribute,
      aux_sym__wAttributes_repeat1,
  [34568] = 9,
    ACTIONS(5466), 1,
      anon_sym_x_DASH,
    ACTIONS(8190), 1,
      sym_customAttributeName,
    ACTIONS(8341), 1,
      anon_sym_lemma,
    ACTIONS(8343), 1,
      anon_sym_strong,
    ACTIONS(8345), 1,
      anon_sym_srcloc,
    ACTIONS(8339), 2,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(8194), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1882), 6,
      sym_customAttribute,
      sym_lemmaAttribute,
      sym_strongAttribute,
      sym_scrlocAttribute,
      sym_linkAttribute,
      aux_sym__wAttributes_repeat1,
  [34608] = 10,
    ACTIONS(5466), 1,
      anon_sym_x_DASH,
    ACTIONS(8126), 1,
      anon_sym_DQUOTE,
    ACTIONS(8128), 1,
      sym_customAttributeName,
    ACTIONS(8130), 1,
      sym_attributeValue,
    ACTIONS(8347), 1,
      anon_sym_lemma,
    ACTIONS(8349), 1,
      anon_sym_strong,
    ACTIONS(8351), 1,
      anon_sym_srcloc,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(8134), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1883), 6,
      sym_customAttribute,
      sym_lemmaAttribute,
      sym_strongAttribute,
      sym_scrlocAttribute,
      sym_linkAttribute,
      aux_sym__wAttributes_repeat1,
  [34650] = 8,
    ACTIONS(8355), 1,
      sym_customAttributeName,
    ACTIONS(8361), 1,
      anon_sym_x_DASH,
    STATE(2690), 1,
      sym_milestoneAttributeName,
    ACTIONS(8353), 2,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(8364), 3,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
    STATE(1885), 4,
      sym_customAttribute,
      sym_linkAttribute,
      sym_msAttribute,
      aux_sym__milestoneAttributes_repeat1,
    ACTIONS(8358), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [34687] = 8,
    ACTIONS(5466), 1,
      anon_sym_x_DASH,
    ACTIONS(8190), 1,
      sym_customAttributeName,
    STATE(2690), 1,
      sym_milestoneAttributeName,
    ACTIONS(8367), 2,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(8369), 3,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
    STATE(1885), 4,
      sym_customAttribute,
      sym_linkAttribute,
      sym_msAttribute,
      aux_sym__milestoneAttributes_repeat1,
    ACTIONS(8194), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [34724] = 9,
    ACTIONS(5466), 1,
      anon_sym_x_DASH,
    ACTIONS(8126), 1,
      anon_sym_DQUOTE,
    ACTIONS(8128), 1,
      sym_customAttributeName,
    ACTIONS(8130), 1,
      sym_attributeValue,
    STATE(2690), 1,
      sym_milestoneAttributeName,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(8371), 3,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
    STATE(1886), 4,
      sym_customAttribute,
      sym_linkAttribute,
      sym_msAttribute,
      aux_sym__milestoneAttributes_repeat1,
    ACTIONS(8134), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [34763] = 11,
    ACTIONS(7870), 1,
      aux_sym_text_token1,
    ACTIONS(7874), 1,
      anon_sym_BSLASHf,
    ACTIONS(7876), 1,
      anon_sym_BSLASHfe,
    ACTIONS(7878), 1,
      anon_sym_BSLASHef,
    ACTIONS(7880), 1,
      anon_sym_BSLASHfm,
    ACTIONS(7882), 1,
      anon_sym_BSLASHx,
    ACTIONS(7884), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7886), 1,
      anon_sym_BSLASHrq,
    STATE(1772), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1663), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1761), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
  [34805] = 11,
    ACTIONS(7185), 1,
      aux_sym_text_token1,
    ACTIONS(7189), 1,
      anon_sym_BSLASHf,
    ACTIONS(7191), 1,
      anon_sym_BSLASHfe,
    ACTIONS(7193), 1,
      anon_sym_BSLASHef,
    ACTIONS(7195), 1,
      anon_sym_BSLASHfm,
    ACTIONS(7197), 1,
      anon_sym_BSLASHx,
    ACTIONS(7199), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7201), 1,
      anon_sym_BSLASHrq,
    STATE(1361), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1215), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1362), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
  [34847] = 11,
    ACTIONS(7426), 1,
      aux_sym_text_token1,
    ACTIONS(7428), 1,
      anon_sym_BSLASHf,
    ACTIONS(7430), 1,
      anon_sym_BSLASHfe,
    ACTIONS(7432), 1,
      anon_sym_BSLASHef,
    ACTIONS(7434), 1,
      anon_sym_BSLASHfm,
    ACTIONS(7436), 1,
      anon_sym_BSLASHx,
    ACTIONS(7438), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7440), 1,
      anon_sym_BSLASHrq,
    STATE(1633), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1313), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1629), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
  [34889] = 7,
    ACTIONS(5466), 1,
      anon_sym_x_DASH,
    ACTIONS(8190), 1,
      sym_customAttributeName,
    STATE(2690), 1,
      sym_milestoneAttributeName,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(8369), 3,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
    STATE(1886), 4,
      sym_customAttribute,
      sym_linkAttribute,
      sym_msAttribute,
      aux_sym__milestoneAttributes_repeat1,
    ACTIONS(8194), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [34922] = 7,
    ACTIONS(5466), 1,
      anon_sym_x_DASH,
    ACTIONS(8190), 1,
      sym_customAttributeName,
    ACTIONS(8375), 1,
      anon_sym_gloss,
    ACTIONS(8373), 2,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1894), 4,
      sym_customAttribute,
      sym_glossAttribute,
      sym_linkAttribute,
      aux_sym__rbAttributes_repeat1,
    ACTIONS(8194), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [34954] = 2,
    ACTIONS(8379), 1,
      anon_sym_x_DASH,
    ACTIONS(8377), 16,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [34976] = 7,
    ACTIONS(8383), 1,
      sym_customAttributeName,
    ACTIONS(8386), 1,
      anon_sym_gloss,
    ACTIONS(8392), 1,
      anon_sym_x_DASH,
    ACTIONS(8381), 2,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1894), 4,
      sym_customAttribute,
      sym_glossAttribute,
      sym_linkAttribute,
      aux_sym__rbAttributes_repeat1,
    ACTIONS(8389), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35008] = 8,
    ACTIONS(5460), 1,
      sym_customAttributeName,
    ACTIONS(5462), 1,
      anon_sym_PIPE,
    ACTIONS(5466), 1,
      anon_sym_x_DASH,
    ACTIONS(8395), 1,
      anon_sym_DQUOTE,
    ACTIONS(8397), 1,
      sym_attributeValue,
    STATE(3101), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(353), 4,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      aux_sym__attributesInCrossref_repeat1,
    ACTIONS(5464), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35042] = 8,
    ACTIONS(5466), 1,
      anon_sym_x_DASH,
    ACTIONS(8126), 1,
      anon_sym_DQUOTE,
    ACTIONS(8128), 1,
      sym_customAttributeName,
    ACTIONS(8130), 1,
      sym_attributeValue,
    ACTIONS(8399), 1,
      anon_sym_gloss,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1892), 4,
      sym_customAttribute,
      sym_glossAttribute,
      sym_linkAttribute,
      aux_sym__rbAttributes_repeat1,
    ACTIONS(8134), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35076] = 8,
    ACTIONS(5466), 1,
      anon_sym_x_DASH,
    ACTIONS(8126), 1,
      anon_sym_DQUOTE,
    ACTIONS(8128), 1,
      sym_customAttributeName,
    ACTIONS(8130), 1,
      sym_attributeValue,
    ACTIONS(8132), 1,
      anon_sym_PIPE,
    STATE(2691), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1855), 4,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      aux_sym__attributesInCrossref_repeat1,
    ACTIONS(8134), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35110] = 2,
    ACTIONS(8403), 1,
      anon_sym_x_DASH,
    ACTIONS(8401), 16,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [35132] = 2,
    ACTIONS(8407), 1,
      anon_sym_x_DASH,
    ACTIONS(8405), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [35153] = 2,
    ACTIONS(8411), 1,
      anon_sym_x_DASH,
    ACTIONS(8409), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [35174] = 2,
    ACTIONS(8415), 1,
      anon_sym_x_DASH,
    ACTIONS(8413), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [35195] = 2,
    ACTIONS(8419), 1,
      anon_sym_x_DASH,
    ACTIONS(8417), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [35216] = 2,
    ACTIONS(8423), 1,
      anon_sym_x_DASH,
    ACTIONS(8421), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [35237] = 2,
    ACTIONS(8427), 1,
      anon_sym_x_DASH,
    ACTIONS(8425), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [35258] = 2,
    ACTIONS(8431), 1,
      anon_sym_x_DASH,
    ACTIONS(8429), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [35279] = 2,
    ACTIONS(8435), 1,
      anon_sym_x_DASH,
    ACTIONS(8433), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [35300] = 2,
    ACTIONS(8439), 1,
      anon_sym_x_DASH,
    ACTIONS(8437), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [35321] = 2,
    ACTIONS(8443), 1,
      anon_sym_x_DASH,
    ACTIONS(8441), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [35342] = 4,
    ACTIONS(8447), 1,
      anon_sym_BSLASHxt_STAR,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    STATE(1931), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
    ACTIONS(8445), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35366] = 2,
    ACTIONS(8453), 1,
      anon_sym_x_DASH,
    ACTIONS(8451), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35384] = 2,
    ACTIONS(8457), 1,
      anon_sym_x_DASH,
    ACTIONS(8455), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35402] = 2,
    ACTIONS(8461), 1,
      anon_sym_x_DASH,
    ACTIONS(8459), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35420] = 2,
    ACTIONS(8465), 1,
      anon_sym_x_DASH,
    ACTIONS(8463), 12,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      sym_customAttributeName,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [35438] = 2,
    ACTIONS(8469), 1,
      anon_sym_x_DASH,
    ACTIONS(8467), 12,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      sym_customAttributeName,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [35456] = 5,
    ACTIONS(8475), 1,
      anon_sym_x_DASH,
    ACTIONS(8471), 2,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(1916), 2,
      sym_linkAttribute,
      aux_sym__jmpAttribute_repeat1,
    STATE(3068), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(8473), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35480] = 5,
    ACTIONS(8475), 1,
      anon_sym_x_DASH,
    ACTIONS(8477), 2,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(1918), 2,
      sym_linkAttribute,
      aux_sym__jmpAttribute_repeat1,
    STATE(3068), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(8473), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35504] = 2,
    ACTIONS(8481), 1,
      anon_sym_x_DASH,
    ACTIONS(8479), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35522] = 5,
    ACTIONS(8488), 1,
      anon_sym_x_DASH,
    ACTIONS(8483), 2,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(1918), 2,
      sym_linkAttribute,
      aux_sym__jmpAttribute_repeat1,
    STATE(3068), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(8485), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35546] = 2,
    ACTIONS(8493), 1,
      anon_sym_x_DASH,
    ACTIONS(8491), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35564] = 2,
    ACTIONS(8497), 1,
      anon_sym_x_DASH,
    ACTIONS(8495), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35582] = 2,
    ACTIONS(8501), 1,
      anon_sym_BSLASHxq_STAR,
    ACTIONS(8499), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35599] = 2,
    ACTIONS(8505), 1,
      anon_sym_BSLASHxk_STAR,
    ACTIONS(8503), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35616] = 7,
    ACTIONS(2891), 1,
      anon_sym_BSLASHli,
    ACTIONS(2893), 1,
      anon_sym_BSLASHlim,
    STATE(74), 1,
      sym_limTag,
    STATE(75), 1,
      sym_liTag,
    STATE(1598), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1599), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1329), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
  [35643] = 7,
    ACTIONS(1857), 1,
      anon_sym_BSLASHli,
    ACTIONS(1859), 1,
      anon_sym_BSLASHlim,
    STATE(59), 1,
      sym_limTag,
    STATE(60), 1,
      sym_liTag,
    STATE(1364), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1373), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1248), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
  [35670] = 2,
    ACTIONS(8509), 1,
      anon_sym_BSLASHxdc_STAR,
    ACTIONS(8507), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35687] = 2,
    ACTIONS(8513), 1,
      anon_sym_BSLASHxta_STAR,
    ACTIONS(8511), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35704] = 2,
    ACTIONS(8517), 1,
      anon_sym_BSLASHxop_STAR,
    ACTIONS(8515), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35721] = 2,
    ACTIONS(8447), 1,
      anon_sym_BSLASHxt_STAR,
    ACTIONS(8445), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35738] = 2,
    ACTIONS(8521), 1,
      anon_sym_BSLASHxot_STAR,
    ACTIONS(8519), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35755] = 2,
    ACTIONS(8525), 1,
      anon_sym_BSLASHxnt_STAR,
    ACTIONS(8523), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35772] = 2,
    ACTIONS(8529), 1,
      anon_sym_BSLASHxt_STAR,
    ACTIONS(8527), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35789] = 2,
    ACTIONS(8533), 1,
      anon_sym_BSLASHxo_STAR,
    ACTIONS(8531), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35806] = 1,
    ACTIONS(8535), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35820] = 1,
    ACTIONS(8537), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35834] = 1,
    ACTIONS(8531), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35848] = 1,
    ACTIONS(8503), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35862] = 2,
    ACTIONS(8541), 1,
      anon_sym_x_DASH,
    ACTIONS(8539), 10,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      sym_customAttributeName,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35878] = 1,
    ACTIONS(8543), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35892] = 1,
    ACTIONS(8515), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35906] = 1,
    ACTIONS(8545), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35920] = 1,
    ACTIONS(8499), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35934] = 1,
    ACTIONS(8527), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35948] = 2,
    ACTIONS(8549), 1,
      anon_sym_x_DASH,
    ACTIONS(8547), 10,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      sym_customAttributeName,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [35964] = 1,
    ACTIONS(8523), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35978] = 1,
    ACTIONS(8445), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [35992] = 1,
    ACTIONS(8551), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [36006] = 1,
    ACTIONS(8519), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [36020] = 1,
    ACTIONS(8553), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [36034] = 1,
    ACTIONS(8507), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [36048] = 1,
    ACTIONS(8555), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [36062] = 1,
    ACTIONS(8557), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [36076] = 1,
    ACTIONS(8559), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [36090] = 1,
    ACTIONS(8511), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [36104] = 8,
    ACTIONS(6254), 1,
      anon_sym_BSLASHc,
    ACTIONS(6256), 1,
      anon_sym_BSLASHcl,
    ACTIONS(6676), 1,
      ts_builtin_sym_end,
    ACTIONS(8561), 1,
      anon_sym_BSLASHie,
    STATE(125), 1,
      sym_c,
    STATE(1971), 1,
      sym_ie,
    STATE(2243), 1,
      sym_cl,
    STATE(1972), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [36130] = 1,
    ACTIONS(7918), 9,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_x_DASH,
  [36142] = 8,
    ACTIONS(6254), 1,
      anon_sym_BSLASHc,
    ACTIONS(6256), 1,
      anon_sym_BSLASHcl,
    ACTIONS(8561), 1,
      anon_sym_BSLASHie,
    ACTIONS(8563), 1,
      ts_builtin_sym_end,
    STATE(125), 1,
      sym_c,
    STATE(1973), 1,
      sym_ie,
    STATE(2243), 1,
      sym_cl,
    STATE(1974), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [36168] = 1,
    ACTIONS(7924), 9,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_x_DASH,
  [36180] = 8,
    ACTIONS(6254), 1,
      anon_sym_BSLASHc,
    ACTIONS(6256), 1,
      anon_sym_BSLASHcl,
    ACTIONS(6678), 1,
      ts_builtin_sym_end,
    ACTIONS(8561), 1,
      anon_sym_BSLASHie,
    STATE(125), 1,
      sym_c,
    STATE(1965), 1,
      sym_ie,
    STATE(2243), 1,
      sym_cl,
    STATE(1966), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [36206] = 2,
    ACTIONS(8565), 1,
      aux_sym_text_token1,
    ACTIONS(8567), 7,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
  [36219] = 2,
    ACTIONS(8569), 1,
      aux_sym_text_token1,
    ACTIONS(8571), 7,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
  [36232] = 2,
    ACTIONS(8573), 1,
      aux_sym_text_token1,
    ACTIONS(8575), 7,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
  [36245] = 4,
    ACTIONS(6222), 1,
      anon_sym_BSLASHimte,
    STATE(1203), 1,
      sym_imteTag,
    STATE(1963), 2,
      sym_imte,
      aux_sym_imteBlock_repeat1,
    ACTIONS(8577), 4,
      ts_builtin_sym_end,
      anon_sym_BSLASHie,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
  [36262] = 4,
    ACTIONS(8581), 1,
      anon_sym_BSLASHimte,
    STATE(1203), 1,
      sym_imteTag,
    STATE(1963), 2,
      sym_imte,
      aux_sym_imteBlock_repeat1,
    ACTIONS(8579), 4,
      ts_builtin_sym_end,
      anon_sym_BSLASHie,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
  [36279] = 2,
    ACTIONS(8584), 1,
      aux_sym_text_token1,
    ACTIONS(8586), 7,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
  [36292] = 6,
    ACTIONS(6254), 1,
      anon_sym_BSLASHc,
    ACTIONS(6256), 1,
      anon_sym_BSLASHcl,
    ACTIONS(8563), 1,
      ts_builtin_sym_end,
    STATE(125), 1,
      sym_c,
    STATE(2243), 1,
      sym_cl,
    STATE(1974), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [36312] = 6,
    ACTIONS(6254), 1,
      anon_sym_BSLASHc,
    ACTIONS(6256), 1,
      anon_sym_BSLASHcl,
    ACTIONS(8563), 1,
      ts_builtin_sym_end,
    STATE(125), 1,
      sym_c,
    STATE(2243), 1,
      sym_cl,
    STATE(1967), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [36332] = 6,
    ACTIONS(8588), 1,
      ts_builtin_sym_end,
    ACTIONS(8590), 1,
      anon_sym_BSLASHc,
    ACTIONS(8593), 1,
      anon_sym_BSLASHcl,
    STATE(125), 1,
      sym_c,
    STATE(2243), 1,
      sym_cl,
    STATE(1967), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [36352] = 6,
    ACTIONS(6254), 1,
      anon_sym_BSLASHc,
    ACTIONS(6256), 1,
      anon_sym_BSLASHcl,
    ACTIONS(8596), 1,
      ts_builtin_sym_end,
    STATE(125), 1,
      sym_c,
    STATE(2243), 1,
      sym_cl,
    STATE(1967), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [36372] = 6,
    ACTIONS(6254), 1,
      anon_sym_BSLASHc,
    ACTIONS(6256), 1,
      anon_sym_BSLASHcl,
    ACTIONS(6676), 1,
      ts_builtin_sym_end,
    STATE(125), 1,
      sym_c,
    STATE(2243), 1,
      sym_cl,
    STATE(1972), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [36392] = 6,
    ACTIONS(6254), 1,
      anon_sym_BSLASHc,
    ACTIONS(6256), 1,
      anon_sym_BSLASHcl,
    ACTIONS(6676), 1,
      ts_builtin_sym_end,
    STATE(125), 1,
      sym_c,
    STATE(2243), 1,
      sym_cl,
    STATE(1967), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [36412] = 6,
    ACTIONS(6254), 1,
      anon_sym_BSLASHc,
    ACTIONS(6256), 1,
      anon_sym_BSLASHcl,
    ACTIONS(6678), 1,
      ts_builtin_sym_end,
    STATE(125), 1,
      sym_c,
    STATE(2243), 1,
      sym_cl,
    STATE(1966), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [36432] = 6,
    ACTIONS(6254), 1,
      anon_sym_BSLASHc,
    ACTIONS(6256), 1,
      anon_sym_BSLASHcl,
    ACTIONS(6678), 1,
      ts_builtin_sym_end,
    STATE(125), 1,
      sym_c,
    STATE(2243), 1,
      sym_cl,
    STATE(1967), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [36452] = 6,
    ACTIONS(6254), 1,
      anon_sym_BSLASHc,
    ACTIONS(6256), 1,
      anon_sym_BSLASHcl,
    ACTIONS(8598), 1,
      ts_builtin_sym_end,
    STATE(125), 1,
      sym_c,
    STATE(2243), 1,
      sym_cl,
    STATE(1968), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [36472] = 6,
    ACTIONS(6254), 1,
      anon_sym_BSLASHc,
    ACTIONS(6256), 1,
      anon_sym_BSLASHcl,
    ACTIONS(8598), 1,
      ts_builtin_sym_end,
    STATE(125), 1,
      sym_c,
    STATE(2243), 1,
      sym_cl,
    STATE(1967), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [36492] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8602), 1,
      anon_sym_BSLASHfig_STAR,
    ACTIONS(8604), 1,
      anon_sym_PIPE,
    STATE(2011), 1,
      sym_text,
    STATE(2930), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [36509] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8604), 1,
      anon_sym_PIPE,
    ACTIONS(8606), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2054), 1,
      sym_text,
    STATE(2488), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [36526] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8604), 1,
      anon_sym_PIPE,
    ACTIONS(8608), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2067), 1,
      sym_text,
    STATE(2660), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [36543] = 4,
    ACTIONS(8192), 1,
      anon_sym_PIPE,
    ACTIONS(8610), 1,
      anon_sym_BSLASHk_STAR,
    ACTIONS(8612), 1,
      anon_sym_key,
    STATE(2584), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [36558] = 4,
    ACTIONS(8192), 1,
      anon_sym_PIPE,
    ACTIONS(8612), 1,
      anon_sym_key,
    ACTIONS(8614), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2553), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [36573] = 4,
    ACTIONS(8192), 1,
      anon_sym_PIPE,
    ACTIONS(8612), 1,
      anon_sym_key,
    ACTIONS(8616), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2583), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [36588] = 4,
    ACTIONS(8192), 1,
      anon_sym_PIPE,
    ACTIONS(8612), 1,
      anon_sym_key,
    ACTIONS(8618), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2275), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [36603] = 4,
    ACTIONS(8192), 1,
      anon_sym_PIPE,
    ACTIONS(8612), 1,
      anon_sym_key,
    ACTIONS(8620), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2803), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [36618] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8604), 1,
      anon_sym_PIPE,
    ACTIONS(8622), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2025), 1,
      sym_text,
    STATE(2593), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [36635] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8604), 1,
      anon_sym_PIPE,
    ACTIONS(8624), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2016), 1,
      sym_text,
    STATE(2285), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [36652] = 4,
    ACTIONS(8192), 1,
      anon_sym_PIPE,
    ACTIONS(8612), 1,
      anon_sym_key,
    ACTIONS(8626), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2329), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [36667] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8604), 1,
      anon_sym_PIPE,
    ACTIONS(8628), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2023), 1,
      sym_text,
    STATE(2543), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [36684] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8604), 1,
      anon_sym_PIPE,
    ACTIONS(8630), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2045), 1,
      sym_text,
    STATE(2355), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [36701] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8604), 1,
      anon_sym_PIPE,
    ACTIONS(8632), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2033), 1,
      sym_text,
    STATE(2286), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [36718] = 4,
    ACTIONS(8192), 1,
      anon_sym_PIPE,
    ACTIONS(8612), 1,
      anon_sym_key,
    ACTIONS(8634), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2398), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [36733] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8604), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2008), 1,
      sym_text,
    STATE(2489), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [36750] = 4,
    ACTIONS(8192), 1,
      anon_sym_PIPE,
    ACTIONS(8612), 1,
      anon_sym_key,
    ACTIONS(8638), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2531), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [36765] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8604), 1,
      anon_sym_PIPE,
    ACTIONS(8640), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2034), 1,
      sym_text,
    STATE(2700), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [36782] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8604), 1,
      anon_sym_PIPE,
    ACTIONS(8642), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2069), 1,
      sym_text,
    STATE(2422), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [36799] = 4,
    ACTIONS(8192), 1,
      anon_sym_PIPE,
    ACTIONS(8612), 1,
      anon_sym_key,
    ACTIONS(8644), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2397), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [36814] = 4,
    ACTIONS(8192), 1,
      anon_sym_PIPE,
    ACTIONS(8612), 1,
      anon_sym_key,
    ACTIONS(8646), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2465), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [36829] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8648), 1,
      anon_sym_BSLASHjmp_STAR,
    ACTIONS(8650), 1,
      anon_sym_PIPE,
    STATE(2083), 1,
      sym_text,
    STATE(2484), 1,
      sym__jmpAttribute,
  [36845] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8650), 1,
      anon_sym_PIPE,
    ACTIONS(8652), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2073), 1,
      sym_text,
    STATE(2418), 1,
      sym__jmpAttribute,
  [36861] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8650), 1,
      anon_sym_PIPE,
    ACTIONS(8654), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(2087), 1,
      sym_text,
    STATE(2816), 1,
      sym__jmpAttribute,
  [36877] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8650), 1,
      anon_sym_PIPE,
    ACTIONS(8656), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2098), 1,
      sym_text,
    STATE(2349), 1,
      sym__jmpAttribute,
  [36893] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8650), 1,
      anon_sym_PIPE,
    ACTIONS(8658), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2090), 1,
      sym_text,
    STATE(2491), 1,
      sym__jmpAttribute,
  [36909] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8650), 1,
      anon_sym_PIPE,
    ACTIONS(8660), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2112), 1,
      sym_text,
    STATE(2539), 1,
      sym__jmpAttribute,
  [36925] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8650), 1,
      anon_sym_PIPE,
    ACTIONS(8662), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2095), 1,
      sym_text,
    STATE(2351), 1,
      sym__jmpAttribute,
  [36941] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8650), 1,
      anon_sym_PIPE,
    ACTIONS(8664), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2113), 1,
      sym_text,
    STATE(2768), 1,
      sym__jmpAttribute,
  [36957] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8650), 1,
      anon_sym_PIPE,
    ACTIONS(8666), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2081), 1,
      sym_text,
    STATE(2642), 1,
      sym__jmpAttribute,
  [36973] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8650), 1,
      anon_sym_PIPE,
    ACTIONS(8668), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(2074), 1,
      sym_text,
    STATE(2425), 1,
      sym__jmpAttribute,
  [36989] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8650), 1,
      anon_sym_PIPE,
    ACTIONS(8670), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2093), 1,
      sym_text,
    STATE(2952), 1,
      sym__jmpAttribute,
  [37005] = 5,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8650), 1,
      anon_sym_PIPE,
    ACTIONS(8672), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2111), 1,
      sym_text,
    STATE(2283), 1,
      sym__jmpAttribute,
  [37021] = 3,
    ACTIONS(8674), 1,
      anon_sym_BSLASHfig_STAR,
    ACTIONS(8676), 1,
      anon_sym_PIPE,
    STATE(2403), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [37032] = 3,
    ACTIONS(8678), 1,
      anon_sym_BSLASHref_STAR,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(2880), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [37043] = 3,
    ACTIONS(8682), 1,
      anon_sym_BSLASHw_STAR,
    ACTIONS(8684), 1,
      anon_sym_PIPE,
    STATE(2277), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [37054] = 3,
    ACTIONS(8676), 1,
      anon_sym_PIPE,
    ACTIONS(8686), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2814), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [37065] = 3,
    ACTIONS(7674), 1,
      anon_sym_BSLASHqac_STAR,
    ACTIONS(8688), 1,
      aux_sym_text_token1,
    STATE(2012), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [37076] = 3,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    ACTIONS(8691), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2294), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [37087] = 3,
    ACTIONS(6903), 1,
      aux_sym_text_token1,
    ACTIONS(8693), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(2017), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [37098] = 3,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    ACTIONS(8695), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2323), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [37109] = 3,
    ACTIONS(8676), 1,
      anon_sym_PIPE,
    ACTIONS(8697), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2324), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [37120] = 3,
    ACTIONS(6903), 1,
      aux_sym_text_token1,
    ACTIONS(8699), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(2012), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [37131] = 3,
    ACTIONS(8684), 1,
      anon_sym_PIPE,
    ACTIONS(8701), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2586), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [37142] = 3,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    ACTIONS(8703), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2578), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [37153] = 3,
    ACTIONS(8705), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8707), 1,
      anon_sym_PIPE,
    STATE(2984), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [37164] = 3,
    ACTIONS(8709), 1,
      anon_sym_BSLASH_PLUSrb_STAR,
    ACTIONS(8711), 1,
      anon_sym_PIPE,
    STATE(2698), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [37175] = 3,
    ACTIONS(8684), 1,
      anon_sym_PIPE,
    ACTIONS(8713), 1,
      anon_sym_BSLASH_PLUSw_STAR,
    STATE(2697), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [37186] = 3,
    ACTIONS(8676), 1,
      anon_sym_PIPE,
    ACTIONS(8715), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2579), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [37197] = 3,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2600), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [37208] = 3,
    ACTIONS(8676), 1,
      anon_sym_PIPE,
    ACTIONS(8719), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2601), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [37219] = 3,
    ACTIONS(8684), 1,
      anon_sym_PIPE,
    ACTIONS(8721), 1,
      anon_sym_BSLASH_PLUSw_STAR,
    STATE(2992), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [37230] = 3,
    ACTIONS(8684), 1,
      anon_sym_PIPE,
    ACTIONS(8723), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2331), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [37241] = 3,
    ACTIONS(8707), 1,
      anon_sym_PIPE,
    ACTIONS(8725), 1,
      anon_sym_BSLASH_STAR,
    STATE(2344), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [37252] = 3,
    ACTIONS(8711), 1,
      anon_sym_PIPE,
    ACTIONS(8727), 1,
      anon_sym_BSLASH_PLUSrb_STAR,
    STATE(2990), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [37263] = 3,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    ACTIONS(8729), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2618), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [37274] = 3,
    ACTIONS(8684), 1,
      anon_sym_PIPE,
    ACTIONS(8731), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2413), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [37285] = 3,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    ACTIONS(8733), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2409), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [37296] = 3,
    ACTIONS(8676), 1,
      anon_sym_PIPE,
    ACTIONS(8735), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2271), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [37307] = 3,
    ACTIONS(8676), 1,
      anon_sym_PIPE,
    ACTIONS(8737), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2347), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [37318] = 3,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2616), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [37329] = 3,
    ACTIONS(6903), 1,
      aux_sym_text_token1,
    ACTIONS(8741), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(2012), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [37340] = 3,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    ACTIONS(8743), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2270), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [37351] = 4,
    ACTIONS(8126), 1,
      anon_sym_DQUOTE,
    ACTIONS(8130), 1,
      sym_attributeValue,
    ACTIONS(8142), 1,
      anon_sym_loc,
    STATE(2536), 1,
      sym_locAttribute,
  [37364] = 3,
    ACTIONS(8684), 1,
      anon_sym_PIPE,
    ACTIONS(8745), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2533), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [37375] = 3,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    ACTIONS(8747), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2336), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [37386] = 3,
    ACTIONS(6903), 1,
      aux_sym_text_token1,
    ACTIONS(8749), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(2036), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [37397] = 3,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    ACTIONS(8751), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2363), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [37408] = 3,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    ACTIONS(8753), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2815), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [37419] = 3,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    ACTIONS(8755), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2392), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [37430] = 3,
    ACTIONS(8676), 1,
      anon_sym_PIPE,
    ACTIONS(8757), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2393), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [37441] = 3,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    ACTIONS(8759), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2629), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [37452] = 3,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    ACTIONS(8761), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2479), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [37463] = 3,
    ACTIONS(8707), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      anon_sym_BSLASH_STAR,
    STATE(2683), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [37474] = 3,
    ACTIONS(8684), 1,
      anon_sym_PIPE,
    ACTIONS(8765), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2657), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [37485] = 3,
    ACTIONS(8707), 1,
      anon_sym_PIPE,
    ACTIONS(8767), 1,
      anon_sym_BSLASH_STAR,
    STATE(2356), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [37496] = 3,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    ACTIONS(8769), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2404), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [37507] = 3,
    ACTIONS(6903), 1,
      aux_sym_text_token1,
    ACTIONS(8771), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(2068), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [37518] = 3,
    ACTIONS(8707), 1,
      anon_sym_PIPE,
    ACTIONS(8773), 1,
      anon_sym_BSLASH_STAR,
    STATE(2520), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [37529] = 3,
    ACTIONS(8676), 1,
      anon_sym_PIPE,
    ACTIONS(8775), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2526), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [37540] = 3,
    ACTIONS(8707), 1,
      anon_sym_PIPE,
    ACTIONS(8777), 1,
      anon_sym_BSLASH_STAR,
    STATE(2280), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [37551] = 3,
    ACTIONS(8684), 1,
      anon_sym_PIPE,
    ACTIONS(8779), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2400), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [37562] = 3,
    ACTIONS(8707), 1,
      anon_sym_PIPE,
    ACTIONS(8781), 1,
      anon_sym_BSLASH_STAR,
    STATE(2411), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [37573] = 3,
    ACTIONS(8707), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_BSLASH_STAR,
    STATE(2887), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [37584] = 3,
    ACTIONS(8684), 1,
      anon_sym_PIPE,
    ACTIONS(8785), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2800), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [37595] = 3,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    ACTIONS(8787), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2525), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [37606] = 3,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2651), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [37617] = 3,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2496), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [37628] = 3,
    ACTIONS(8707), 1,
      anon_sym_PIPE,
    ACTIONS(8793), 1,
      anon_sym_BSLASH_STAR,
    STATE(2477), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [37639] = 3,
    ACTIONS(8684), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2467), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [37650] = 3,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    ACTIONS(8797), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2592), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [37661] = 3,
    ACTIONS(8684), 1,
      anon_sym_PIPE,
    ACTIONS(8799), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2387), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [37672] = 3,
    ACTIONS(8676), 1,
      anon_sym_PIPE,
    ACTIONS(8801), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2590), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [37683] = 3,
    ACTIONS(6903), 1,
      aux_sym_text_token1,
    ACTIONS(8803), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(2012), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [37694] = 3,
    ACTIONS(8676), 1,
      anon_sym_PIPE,
    ACTIONS(8805), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2460), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [37705] = 3,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    ACTIONS(8807), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2430), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [37716] = 3,
    ACTIONS(8449), 1,
      anon_sym_PIPE,
    ACTIONS(8809), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2459), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [37727] = 2,
    ACTIONS(8711), 1,
      anon_sym_PIPE,
    STATE(2276), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [37735] = 3,
    ACTIONS(8811), 1,
      anon_sym_BSLASHjmp_STAR,
    ACTIONS(8813), 1,
      anon_sym_PIPE,
    STATE(2458), 1,
      sym__jmpAttribute,
  [37745] = 3,
    ACTIONS(8813), 1,
      anon_sym_PIPE,
    ACTIONS(8815), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(2905), 1,
      sym__jmpAttribute,
  [37755] = 2,
    ACTIONS(8819), 1,
      sym_numberedLevelMax5,
    ACTIONS(8817), 2,
      sym__spaceOrLine,
      anon_sym_STAR,
  [37763] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8821), 1,
      anon_sym_BSLASH_STAR,
    STATE(2415), 1,
      sym__milestoneAttributes,
  [37773] = 3,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    ACTIONS(8823), 1,
      anon_sym_BSLASHfv_STAR,
    STATE(2341), 1,
      sym_text,
  [37783] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8825), 1,
      anon_sym_BSLASH_STAR,
    STATE(2478), 1,
      sym__milestoneAttributes,
  [37793] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8827), 1,
      anon_sym_BSLASH_STAR,
    STATE(2481), 1,
      sym__milestoneAttributes,
  [37803] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8829), 1,
      anon_sym_BSLASH_STAR,
    STATE(2884), 1,
      sym__milestoneAttributes,
  [37813] = 3,
    ACTIONS(8813), 1,
      anon_sym_PIPE,
    ACTIONS(8831), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2598), 1,
      sym__jmpAttribute,
  [37823] = 2,
    ACTIONS(8711), 1,
      anon_sym_PIPE,
    STATE(2330), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [37831] = 3,
    ACTIONS(8813), 1,
      anon_sym_PIPE,
    ACTIONS(8833), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2524), 1,
      sym__jmpAttribute,
  [37841] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8835), 1,
      anon_sym_BSLASH_STAR,
    STATE(2412), 1,
      sym__milestoneAttributes,
  [37851] = 2,
    ACTIONS(8711), 1,
      anon_sym_PIPE,
    STATE(2801), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [37859] = 2,
    ACTIONS(8711), 1,
      anon_sym_PIPE,
    STATE(2532), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [37867] = 3,
    ACTIONS(8813), 1,
      anon_sym_PIPE,
    ACTIONS(8837), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(2720), 1,
      sym__jmpAttribute,
  [37877] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8839), 1,
      anon_sym_BSLASH_STAR,
    STATE(2673), 1,
      sym__milestoneAttributes,
  [37887] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8841), 1,
      anon_sym_BSLASH_STAR,
    STATE(2680), 1,
      sym__milestoneAttributes,
  [37897] = 3,
    ACTIONS(8813), 1,
      anon_sym_PIPE,
    ACTIONS(8843), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2405), 1,
      sym__jmpAttribute,
  [37907] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8845), 1,
      anon_sym_BSLASH_STAR,
    STATE(2354), 1,
      sym__milestoneAttributes,
  [37917] = 2,
    ACTIONS(8711), 1,
      anon_sym_PIPE,
    STATE(2655), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [37925] = 3,
    ACTIONS(8813), 1,
      anon_sym_PIPE,
    ACTIONS(8847), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2817), 1,
      sym__jmpAttribute,
  [37935] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8849), 1,
      anon_sym_BSLASH_STAR,
    STATE(2350), 1,
      sym__milestoneAttributes,
  [37945] = 3,
    ACTIONS(8813), 1,
      anon_sym_PIPE,
    ACTIONS(8851), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2391), 1,
      sym__jmpAttribute,
  [37955] = 2,
    ACTIONS(8711), 1,
      anon_sym_PIPE,
    STATE(2585), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [37963] = 2,
    ACTIONS(8711), 1,
      anon_sym_PIPE,
    STATE(2466), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [37971] = 3,
    ACTIONS(8813), 1,
      anon_sym_PIPE,
    ACTIONS(8853), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2269), 1,
      sym__jmpAttribute,
  [37981] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8855), 1,
      anon_sym_BSLASH_STAR,
    STATE(2494), 1,
      sym__milestoneAttributes,
  [37991] = 1,
    ACTIONS(8857), 3,
      ts_builtin_sym_end,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
  [37997] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8859), 1,
      anon_sym_BSLASH_STAR,
    STATE(2348), 1,
      sym__milestoneAttributes,
  [38007] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8861), 1,
      anon_sym_BSLASH_STAR,
    STATE(2500), 1,
      sym__milestoneAttributes,
  [38017] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8863), 1,
      anon_sym_BSLASH_STAR,
    STATE(2345), 1,
      sym__milestoneAttributes,
  [38027] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8865), 1,
      anon_sym_BSLASH_STAR,
    STATE(2802), 1,
      sym__milestoneAttributes,
  [38037] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8867), 1,
      anon_sym_BSLASH_STAR,
    STATE(2953), 1,
      sym__milestoneAttributes,
  [38047] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8869), 1,
      anon_sym_BSLASH_STAR,
    STATE(2983), 1,
      sym__milestoneAttributes,
  [38057] = 2,
    ACTIONS(8711), 1,
      anon_sym_PIPE,
    STATE(2548), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [38065] = 2,
    ACTIONS(8711), 1,
      anon_sym_PIPE,
    STATE(2399), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [38073] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8871), 1,
      anon_sym_BSLASH_STAR,
    STATE(2281), 1,
      sym__milestoneAttributes,
  [38083] = 3,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(8873), 1,
      anon_sym_BSLASH_STAR,
    STATE(2282), 1,
      sym__milestoneAttributes,
  [38093] = 3,
    ACTIONS(8813), 1,
      anon_sym_PIPE,
    ACTIONS(8875), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2322), 1,
      sym__jmpAttribute,
  [38103] = 3,
    ACTIONS(8813), 1,
      anon_sym_PIPE,
    ACTIONS(8877), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2577), 1,
      sym__jmpAttribute,
  [38113] = 3,
    ACTIONS(8813), 1,
      anon_sym_PIPE,
    ACTIONS(8879), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2461), 1,
      sym__jmpAttribute,
  [38123] = 2,
    ACTIONS(8711), 1,
      anon_sym_PIPE,
    STATE(2394), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [38131] = 2,
    ACTIONS(8881), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8883), 1,
      sym__zSpaceClose,
  [38138] = 2,
    ACTIONS(5116), 1,
      aux_sym_text_token1,
    STATE(1588), 1,
      sym_text,
  [38145] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2070), 1,
      sym_text,
  [38152] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2429), 1,
      sym_text,
  [38159] = 2,
    ACTIONS(8885), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      sym_attributeValue,
  [38166] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2763), 1,
      sym_text,
  [38173] = 2,
    ACTIONS(8889), 1,
      anon_sym_DQUOTE,
    ACTIONS(8891), 1,
      sym_attributeValue,
  [38180] = 2,
    ACTIONS(8893), 1,
      anon_sym_DQUOTE,
    ACTIONS(8895), 1,
      sym_attributeValue,
  [38187] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(1835), 1,
      sym_text,
  [38194] = 2,
    ACTIONS(8897), 1,
      anon_sym_SPACE,
    ACTIONS(8899), 1,
      aux_sym_imteTag_token1,
  [38201] = 2,
    ACTIONS(816), 1,
      aux_sym_text_token1,
    STATE(575), 1,
      sym_text,
  [38208] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2710), 1,
      sym_text,
  [38215] = 2,
    ACTIONS(816), 1,
      aux_sym_text_token1,
    STATE(587), 1,
      sym_text,
  [38222] = 2,
    ACTIONS(816), 1,
      aux_sym_text_token1,
    STATE(576), 1,
      sym_text,
  [38229] = 2,
    ACTIONS(8901), 1,
      anon_sym_DQUOTE,
    ACTIONS(8903), 1,
      sym_attributeValue,
  [38236] = 1,
    ACTIONS(8905), 2,
      anon_sym_BSLASH_STAR,
      anon_sym_PIPE,
  [38241] = 2,
    ACTIONS(8907), 1,
      anon_sym_DQUOTE,
    ACTIONS(8909), 1,
      sym_attributeValue,
  [38248] = 2,
    ACTIONS(8063), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8065), 1,
      sym__zSpaceClose,
  [38255] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2599), 1,
      sym_text,
  [38262] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2062), 1,
      sym_text,
  [38269] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2495), 1,
      sym_text,
  [38276] = 2,
    ACTIONS(8911), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8913), 1,
      sym__zSpaceClose,
  [38283] = 2,
    ACTIONS(8915), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8917), 1,
      sym__zSpaceClose,
  [38290] = 2,
    ACTIONS(8919), 1,
      sym_numberedLevelMax3,
    ACTIONS(8921), 1,
      anon_sym_SPACE,
  [38297] = 2,
    ACTIONS(8923), 1,
      sym_numberedLevelMax5,
    ACTIONS(8925), 1,
      anon_sym_SPACE,
  [38304] = 2,
    ACTIONS(8927), 1,
      aux_sym_text_token1,
    STATE(1435), 1,
      sym_text,
  [38311] = 2,
    ACTIONS(8927), 1,
      aux_sym_text_token1,
    STATE(1434), 1,
      sym_text,
  [38318] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2009), 1,
      sym_text,
  [38325] = 2,
    ACTIONS(8929), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8931), 1,
      sym__zSpaceClose,
  [38332] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2936), 1,
      sym_text,
  [38339] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2881), 1,
      sym_text,
  [38346] = 2,
    ACTIONS(8933), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8935), 1,
      sym__zSpaceClose,
  [38353] = 2,
    ACTIONS(8937), 1,
      sym__spaceOrLine,
    ACTIONS(8939), 1,
      sym_numberedLevelMax4,
  [38360] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(1834), 1,
      sym_text,
  [38367] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2487), 1,
      sym_text,
  [38374] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2362), 1,
      sym_text,
  [38381] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2042), 1,
      sym_text,
  [38388] = 2,
    ACTIONS(8941), 1,
      anon_sym_DQUOTE,
    ACTIONS(8943), 1,
      sym_attributeValue,
  [38395] = 2,
    ACTIONS(8945), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8947), 1,
      sym__zSpaceClose,
  [38402] = 2,
    ACTIONS(8949), 1,
      sym__spaceOrLine,
    ACTIONS(8951), 1,
      sym_numberedLevelMax3,
  [38409] = 2,
    ACTIONS(8953), 1,
      anon_sym_DQUOTE,
    ACTIONS(8955), 1,
      sym_attributeValue,
  [38416] = 2,
    ACTIONS(8957), 1,
      sym__spaceOrLine,
    ACTIONS(8959), 1,
      sym_numberedLevelMax3,
  [38423] = 2,
    ACTIONS(8961), 1,
      anon_sym_DQUOTE,
    ACTIONS(8963), 1,
      sym_attributeValue,
  [38430] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2790), 1,
      sym_text,
  [38437] = 2,
    ACTIONS(8965), 1,
      sym__spaceOrLine,
    ACTIONS(8967), 1,
      sym_numberedLevelMax3,
  [38444] = 2,
    ACTIONS(4736), 1,
      aux_sym_text_token1,
    STATE(1520), 1,
      sym_text,
  [38451] = 2,
    ACTIONS(4736), 1,
      aux_sym_text_token1,
    STATE(1519), 1,
      sym_text,
  [38458] = 2,
    ACTIONS(4736), 1,
      aux_sym_text_token1,
    STATE(1518), 1,
      sym_text,
  [38465] = 2,
    ACTIONS(8969), 1,
      aux_sym_text_token1,
    STATE(1781), 1,
      sym_text,
  [38472] = 2,
    ACTIONS(8969), 1,
      aux_sym_text_token1,
    STATE(1782), 1,
      sym_text,
  [38479] = 2,
    ACTIONS(8971), 1,
      sym__spaceOrLine,
    ACTIONS(8973), 1,
      sym_numberedLevelMax3,
  [38486] = 2,
    ACTIONS(8975), 1,
      sym__spaceOrLine,
    ACTIONS(8977), 1,
      sym_numberedLevelMax4,
  [38493] = 2,
    ACTIONS(8979), 1,
      sym__spaceOrLine,
    ACTIONS(8981), 1,
      sym_numberedLevelMax4,
  [38500] = 2,
    ACTIONS(8126), 1,
      anon_sym_DQUOTE,
    ACTIONS(8983), 1,
      sym_attributeValue,
  [38507] = 2,
    ACTIONS(8985), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8987), 1,
      sym__zSpaceClose,
  [38514] = 2,
    ACTIONS(8989), 1,
      sym__spaceOrLine,
    ACTIONS(8991), 1,
      sym_numberedLevelMax4,
  [38521] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2293), 1,
      sym_text,
  [38528] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2013), 1,
      sym_text,
  [38535] = 2,
    ACTIONS(8993), 1,
      anon_sym_DQUOTE,
    ACTIONS(8995), 1,
      sym_attributeValue,
  [38542] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2862), 1,
      sym_text,
  [38549] = 2,
    ACTIONS(8997), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8999), 1,
      sym__zSpaceClose,
  [38556] = 2,
    ACTIONS(9001), 1,
      sym__spaceOrLine,
    ACTIONS(9003), 1,
      sym_numberedLevelMax4,
  [38563] = 2,
    ACTIONS(8969), 1,
      aux_sym_text_token1,
    STATE(1783), 1,
      sym_text,
  [38570] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2040), 1,
      sym_text,
  [38577] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2357), 1,
      sym_text,
  [38584] = 2,
    ACTIONS(8927), 1,
      aux_sym_text_token1,
    STATE(1461), 1,
      sym_text,
  [38591] = 2,
    ACTIONS(9005), 1,
      anon_sym_DQUOTE,
    ACTIONS(9007), 1,
      sym_attributeValue,
  [38598] = 2,
    ACTIONS(9009), 1,
      anon_sym_DQUOTE,
    ACTIONS(9011), 1,
      sym_attributeValue,
  [38605] = 2,
    ACTIONS(5116), 1,
      aux_sym_text_token1,
    STATE(1587), 1,
      sym_text,
  [38612] = 2,
    ACTIONS(5116), 1,
      aux_sym_text_token1,
    STATE(1585), 1,
      sym_text,
  [38619] = 2,
    ACTIONS(9013), 1,
      sym__spaceOrLine,
    ACTIONS(9015), 1,
      sym_numberedLevelMax3,
  [38626] = 2,
    ACTIONS(9017), 1,
      sym_numberedLevelMax3,
    ACTIONS(9019), 1,
      anon_sym_SPACE,
  [38633] = 1,
    ACTIONS(9021), 2,
      sym__spaceOrLine,
      anon_sym_STAR,
  [38638] = 2,
    ACTIONS(9023), 1,
      sym_numberedLevelMax3,
    ACTIONS(9025), 1,
      anon_sym_SPACE,
  [38645] = 2,
    ACTIONS(9027), 1,
      sym_numberedLevelMax4,
    ACTIONS(9029), 1,
      anon_sym_SPACE,
  [38652] = 2,
    ACTIONS(7502), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7504), 1,
      sym__zSpaceClose,
  [38659] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2826), 1,
      sym_text,
  [38666] = 2,
    ACTIONS(9031), 1,
      sym__spaceOrLine,
    ACTIONS(9033), 1,
      sym_numberedLevelMax3,
  [38673] = 2,
    ACTIONS(9035), 1,
      sym__spaceOrLine,
    ACTIONS(9037), 1,
      sym_numberedLevelMax3,
  [38680] = 2,
    ACTIONS(1653), 1,
      aux_sym_text_token1,
    STATE(643), 1,
      sym_text,
  [38687] = 2,
    ACTIONS(9039), 1,
      anon_sym_DQUOTE,
    ACTIONS(9041), 1,
      sym_attributeValue,
  [38694] = 2,
    ACTIONS(1653), 1,
      aux_sym_text_token1,
    STATE(718), 1,
      sym_text,
  [38701] = 2,
    ACTIONS(1653), 1,
      aux_sym_text_token1,
    STATE(717), 1,
      sym_text,
  [38708] = 2,
    ACTIONS(9043), 1,
      anon_sym_DQUOTE,
    ACTIONS(9045), 1,
      sym_attributeValue,
  [38715] = 2,
    ACTIONS(9047), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(9049), 1,
      sym__zSpaceClose,
  [38722] = 2,
    ACTIONS(9051), 1,
      anon_sym_DQUOTE,
    ACTIONS(9053), 1,
      sym_attributeValue,
  [38729] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2549), 1,
      sym_text,
  [38736] = 2,
    ACTIONS(9055), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(9057), 1,
      sym__zSpaceClose,
  [38743] = 2,
    ACTIONS(9059), 1,
      sym_numberedLevelMax3,
    ACTIONS(9061), 1,
      anon_sym_SPACE,
  [38750] = 2,
    ACTIONS(8927), 1,
      aux_sym_text_token1,
    STATE(1428), 1,
      sym_text,
  [38757] = 2,
    ACTIONS(8927), 1,
      aux_sym_text_token1,
    STATE(1430), 1,
      sym_text,
  [38764] = 2,
    ACTIONS(9063), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(9065), 1,
      sym__zSpaceClose,
  [38771] = 2,
    ACTIONS(8927), 1,
      aux_sym_text_token1,
    STATE(1467), 1,
      sym_text,
  [38778] = 2,
    ACTIONS(8927), 1,
      aux_sym_text_token1,
    STATE(1412), 1,
      sym_text,
  [38785] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2626), 1,
      sym_text,
  [38792] = 2,
    ACTIONS(9067), 1,
      anon_sym_DQUOTE,
    ACTIONS(9069), 1,
      sym_attributeValue,
  [38799] = 2,
    ACTIONS(9071), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(9073), 1,
      sym__zSpaceClose,
  [38806] = 2,
    ACTIONS(9075), 1,
      anon_sym_SPACE,
    ACTIONS(9077), 1,
      aux_sym_imteTag_token1,
  [38813] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2030), 1,
      sym_text,
  [38820] = 2,
    ACTIONS(9079), 1,
      sym_numberedLevelMax3,
    ACTIONS(9081), 1,
      anon_sym_SPACE,
  [38827] = 2,
    ACTIONS(9083), 1,
      sym__spaceOrLine,
    ACTIONS(9085), 1,
      sym_numberedLevelMax3,
  [38834] = 2,
    ACTIONS(9087), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(9089), 1,
      sym__zSpaceClose,
  [38841] = 2,
    ACTIONS(8927), 1,
      aux_sym_text_token1,
    STATE(1415), 1,
      sym_text,
  [38848] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2754), 1,
      sym_text,
  [38855] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2337), 1,
      sym_text,
  [38862] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2061), 1,
      sym_text,
  [38869] = 2,
    ACTIONS(516), 1,
      aux_sym_text_token1,
    STATE(515), 1,
      sym_text,
  [38876] = 2,
    ACTIONS(8969), 1,
      aux_sym_text_token1,
    STATE(1784), 1,
      sym_text,
  [38883] = 2,
    ACTIONS(516), 1,
      aux_sym_text_token1,
    STATE(493), 1,
      sym_text,
  [38890] = 2,
    ACTIONS(516), 1,
      aux_sym_text_token1,
    STATE(494), 1,
      sym_text,
  [38897] = 2,
    ACTIONS(9091), 1,
      anon_sym_DQUOTE,
    ACTIONS(9093), 1,
      sym_attributeValue,
  [38904] = 2,
    ACTIONS(9095), 1,
      anon_sym_DQUOTE,
    ACTIONS(9097), 1,
      sym_attributeValue,
  [38911] = 2,
    ACTIONS(9099), 1,
      sym_numberedLevelMax5,
    ACTIONS(9101), 1,
      anon_sym_SPACE,
  [38918] = 2,
    ACTIONS(7926), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7928), 1,
      sym__zSpaceClose,
  [38925] = 2,
    ACTIONS(9103), 1,
      anon_sym_DQUOTE,
    ACTIONS(9105), 1,
      sym_attributeValue,
  [38932] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2666), 1,
      sym_text,
  [38939] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2652), 1,
      sym_text,
  [38946] = 2,
    ACTIONS(9107), 1,
      sym_numberedLevelMax4,
    ACTIONS(9109), 1,
      anon_sym_SPACE,
  [38953] = 2,
    ACTIONS(9111), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(9113), 1,
      sym__zSpaceClose,
  [38960] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2047), 1,
      sym_text,
  [38967] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2482), 1,
      sym_text,
  [38974] = 2,
    ACTIONS(8927), 1,
      aux_sym_text_token1,
    STATE(1463), 1,
      sym_text,
  [38981] = 2,
    ACTIONS(8969), 1,
      aux_sym_text_token1,
    STATE(1778), 1,
      sym_text,
  [38988] = 2,
    ACTIONS(8969), 1,
      aux_sym_text_token1,
    STATE(1786), 1,
      sym_text,
  [38995] = 2,
    ACTIONS(9115), 1,
      anon_sym_SPACE,
    ACTIONS(9117), 1,
      aux_sym_imteTag_token1,
  [39002] = 2,
    ACTIONS(8969), 1,
      aux_sym_text_token1,
    STATE(1775), 1,
      sym_text,
  [39009] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(1463), 1,
      sym_text,
  [39016] = 2,
    ACTIONS(9119), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(9121), 1,
      sym__zSpaceClose,
  [39023] = 2,
    ACTIONS(6254), 1,
      anon_sym_BSLASHc,
    STATE(200), 1,
      sym_c,
  [39030] = 2,
    ACTIONS(9123), 1,
      anon_sym_SPACE,
    ACTIONS(9125), 1,
      aux_sym_imteTag_token1,
  [39037] = 2,
    ACTIONS(9127), 1,
      sym_numberedLevelMax4,
    ACTIONS(9129), 1,
      anon_sym_SPACE,
  [39044] = 2,
    ACTIONS(386), 1,
      aux_sym_text_token1,
    STATE(465), 1,
      sym_text,
  [39051] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(1840), 1,
      sym_text,
  [39058] = 2,
    ACTIONS(8600), 1,
      aux_sym_text_token1,
    STATE(2615), 1,
      sym_text,
  [39065] = 2,
    ACTIONS(386), 1,
      aux_sym_text_token1,
    STATE(464), 1,
      sym_text,
  [39072] = 2,
    ACTIONS(386), 1,
      aux_sym_text_token1,
    STATE(463), 1,
      sym_text,
  [39079] = 1,
    ACTIONS(9131), 1,
      anon_sym_EQ,
  [39083] = 1,
    ACTIONS(9133), 1,
      anon_sym_BSLASH_PLUSaddpn_STAR,
  [39087] = 1,
    ACTIONS(9135), 1,
      anon_sym_BSLASHsig_STAR,
  [39091] = 1,
    ACTIONS(9137), 1,
      anon_sym_BSLASHsls_STAR,
  [39095] = 1,
    ACTIONS(9139), 1,
      anon_sym_BSLASHtl_STAR,
  [39099] = 1,
    ACTIONS(9141), 1,
      anon_sym_BSLASHwj_STAR,
  [39103] = 1,
    ACTIONS(9143), 1,
      anon_sym_BSLASHem_STAR,
  [39107] = 1,
    ACTIONS(9145), 1,
      anon_sym_BSLASHbd_STAR,
  [39111] = 1,
    ACTIONS(9147), 1,
      anon_sym_BSLASHit_STAR,
  [39115] = 1,
    ACTIONS(9149), 1,
      anon_sym_BSLASHbdit_STAR,
  [39119] = 1,
    ACTIONS(9151), 1,
      anon_sym_BSLASHno_STAR,
  [39123] = 1,
    ACTIONS(9153), 1,
      anon_sym_BSLASHsc_STAR,
  [39127] = 1,
    ACTIONS(9155), 1,
      anon_sym_BSLASHsup_STAR,
  [39131] = 1,
    ACTIONS(9157), 1,
      anon_sym_BSLASHndx_STAR,
  [39135] = 1,
    ACTIONS(9159), 1,
      anon_sym_BSLASHpro_STAR,
  [39139] = 1,
    ACTIONS(9161), 1,
      anon_sym_BSLASHwg_STAR,
  [39143] = 1,
    ACTIONS(9163), 1,
      anon_sym_BSLASHwh_STAR,
  [39147] = 1,
    ACTIONS(9165), 1,
      anon_sym_BSLASHwa_STAR,
  [39151] = 1,
    ACTIONS(9167), 1,
      anon_sym_BSLASHjmp_STAR,
  [39155] = 1,
    ACTIONS(9169), 1,
      anon_sym_BSLASHxt_STAR,
  [39159] = 1,
    ACTIONS(9171), 1,
      anon_sym_BSLASHfig_STAR,
  [39163] = 1,
    ACTIONS(9173), 1,
      sym__spaceOrLine,
  [39167] = 1,
    ACTIONS(9175), 1,
      sym__spaceOrLine,
  [39171] = 1,
    ACTIONS(9177), 1,
      sym__spaceOrLine,
  [39175] = 1,
    ACTIONS(9179), 1,
      anon_sym_BSLASHk_STAR,
  [39179] = 1,
    ACTIONS(9181), 1,
      anon_sym_BSLASHrb_STAR,
  [39183] = 1,
    ACTIONS(9183), 1,
      anon_sym_BSLASHw_STAR,
  [39187] = 1,
    ACTIONS(9185), 1,
      sym__spaceOrLine,
  [39191] = 1,
    ACTIONS(9187), 1,
      sym__spaceOrLine,
  [39195] = 1,
    ACTIONS(9189), 1,
      anon_sym_BSLASH_STAR,
  [39199] = 1,
    ACTIONS(9191), 1,
      anon_sym_BSLASH_STAR,
  [39203] = 1,
    ACTIONS(9193), 1,
      anon_sym_BSLASH_STAR,
  [39207] = 1,
    ACTIONS(9195), 1,
      anon_sym_BSLASHjmp_STAR,
  [39211] = 1,
    ACTIONS(8695), 1,
      anon_sym_BSLASHxt_STAR,
  [39215] = 1,
    ACTIONS(8697), 1,
      anon_sym_BSLASHfig_STAR,
  [39219] = 1,
    ACTIONS(8735), 1,
      anon_sym_BSLASHfig_STAR,
  [39223] = 1,
    ACTIONS(9197), 1,
      anon_sym_BSLASHaddpn_STAR,
  [39227] = 1,
    ACTIONS(9199), 1,
      anon_sym_BSLASHpng_STAR,
  [39231] = 1,
    ACTIONS(9201), 1,
      anon_sym_BSLASHpn_STAR,
  [39235] = 1,
    ACTIONS(9203), 1,
      anon_sym_BSLASHfm_STAR,
  [39239] = 1,
    ACTIONS(9205), 1,
      sym_verseNumber,
  [39243] = 1,
    ACTIONS(9207), 1,
      anon_sym_BSLASHord_STAR,
  [39247] = 1,
    ACTIONS(9209), 1,
      anon_sym_BSLASHrq_STAR,
  [39251] = 1,
    ACTIONS(9211), 1,
      anon_sym_BSLASHref_STAR,
  [39255] = 1,
    ACTIONS(9213), 1,
      anon_sym_BSLASHadd_STAR,
  [39259] = 1,
    ACTIONS(9215), 1,
      anon_sym_BSLASHbk_STAR,
  [39263] = 1,
    ACTIONS(9217), 1,
      anon_sym_BSLASHdc_STAR,
  [39267] = 1,
    ACTIONS(9219), 1,
      anon_sym_BSLASHnd_STAR,
  [39271] = 1,
    ACTIONS(9221), 1,
      anon_sym_BSLASHnd_STAR,
  [39275] = 1,
    ACTIONS(9223), 1,
      anon_sym_BSLASHord_STAR,
  [39279] = 1,
    ACTIONS(9225), 1,
      anon_sym_BSLASHpn_STAR,
  [39283] = 1,
    ACTIONS(9227), 1,
      anon_sym_BSLASHpng_STAR,
  [39287] = 1,
    ACTIONS(9229), 1,
      anon_sym_BSLASHaddpn_STAR,
  [39291] = 1,
    ACTIONS(9231), 1,
      anon_sym_BSLASHqt_STAR,
  [39295] = 1,
    ACTIONS(9233), 1,
      anon_sym_BSLASHsig_STAR,
  [39299] = 1,
    ACTIONS(9235), 1,
      anon_sym_BSLASHsls_STAR,
  [39303] = 1,
    ACTIONS(9237), 1,
      anon_sym_BSLASHtl_STAR,
  [39307] = 1,
    ACTIONS(9239), 1,
      anon_sym_BSLASHwj_STAR,
  [39311] = 1,
    ACTIONS(9241), 1,
      anon_sym_BSLASHem_STAR,
  [39315] = 1,
    ACTIONS(9243), 1,
      anon_sym_BSLASHbd_STAR,
  [39319] = 1,
    ACTIONS(9245), 1,
      anon_sym_BSLASHit_STAR,
  [39323] = 1,
    ACTIONS(9247), 1,
      anon_sym_BSLASHbdit_STAR,
  [39327] = 1,
    ACTIONS(9249), 1,
      anon_sym_BSLASHno_STAR,
  [39331] = 1,
    ACTIONS(9251), 1,
      anon_sym_BSLASHsc_STAR,
  [39335] = 1,
    ACTIONS(9253), 1,
      anon_sym_BSLASHsup_STAR,
  [39339] = 1,
    ACTIONS(9255), 1,
      anon_sym_BSLASHndx_STAR,
  [39343] = 1,
    ACTIONS(9257), 1,
      anon_sym_BSLASHpro_STAR,
  [39347] = 1,
    ACTIONS(9259), 1,
      anon_sym_BSLASHdc_STAR,
  [39351] = 1,
    ACTIONS(9261), 1,
      anon_sym_BSLASHwg_STAR,
  [39355] = 1,
    ACTIONS(9263), 1,
      anon_sym_BSLASHwh_STAR,
  [39359] = 1,
    ACTIONS(9265), 1,
      anon_sym_BSLASHwa_STAR,
  [39363] = 1,
    ACTIONS(9267), 1,
      anon_sym_BSLASHjmp_STAR,
  [39367] = 1,
    ACTIONS(9269), 1,
      anon_sym_BSLASHxt_STAR,
  [39371] = 1,
    ACTIONS(9271), 1,
      anon_sym_BSLASHfig_STAR,
  [39375] = 1,
    ACTIONS(9273), 1,
      anon_sym_DQUOTE,
  [39379] = 1,
    ACTIONS(9275), 1,
      anon_sym_DQUOTE,
  [39383] = 1,
    ACTIONS(9277), 1,
      anon_sym_EQ,
  [39387] = 1,
    ACTIONS(9279), 1,
      anon_sym_BSLASHbk_STAR,
  [39391] = 1,
    ACTIONS(9281), 1,
      anon_sym_BSLASHk_STAR,
  [39395] = 1,
    ACTIONS(9283), 1,
      anon_sym_BSLASHrb_STAR,
  [39399] = 1,
    ACTIONS(9285), 1,
      anon_sym_BSLASHw_STAR,
  [39403] = 1,
    ACTIONS(9287), 1,
      sym__spaceOrLine,
  [39407] = 1,
    ACTIONS(9289), 1,
      sym__spaceOrLine,
  [39411] = 1,
    ACTIONS(9291), 1,
      anon_sym_BSLASHadd_STAR,
  [39415] = 1,
    ACTIONS(9293), 1,
      anon_sym_DQUOTE,
  [39419] = 1,
    ACTIONS(9295), 1,
      anon_sym_BSLASHref_STAR,
  [39423] = 1,
    ACTIONS(9297), 1,
      anon_sym_BSLASHrq_STAR,
  [39427] = 1,
    ACTIONS(9299), 1,
      sym_verseNumber,
  [39431] = 1,
    ACTIONS(9301), 1,
      anon_sym_BSLASHfm_STAR,
  [39435] = 1,
    ACTIONS(9303), 1,
      sym__spaceOrLine,
  [39439] = 1,
    ACTIONS(9305), 1,
      anon_sym_BSLASHfv_STAR,
  [39443] = 1,
    ACTIONS(9307), 1,
      anon_sym_DQUOTE,
  [39447] = 1,
    ACTIONS(9309), 1,
      anon_sym_BSLASHndx_STAR,
  [39451] = 1,
    ACTIONS(9311), 1,
      anon_sym_BSLASH_STAR,
  [39455] = 1,
    ACTIONS(9313), 1,
      anon_sym_BSLASH_STAR,
  [39459] = 1,
    ACTIONS(8743), 1,
      anon_sym_BSLASHxt_STAR,
  [39463] = 1,
    ACTIONS(9315), 1,
      anon_sym_BSLASHfig_STAR,
  [39467] = 1,
    ACTIONS(9317), 1,
      anon_sym_BSLASH_STAR,
  [39471] = 1,
    ACTIONS(9319), 1,
      anon_sym_BSLASHjmp_STAR,
  [39475] = 1,
    ACTIONS(9321), 1,
      anon_sym_BSLASH_STAR,
  [39479] = 1,
    ACTIONS(9323), 1,
      anon_sym_BSLASHjmp_STAR,
  [39483] = 1,
    ACTIONS(9325), 1,
      anon_sym_BSLASHva_STAR,
  [39487] = 1,
    ACTIONS(8755), 1,
      anon_sym_BSLASHxt_STAR,
  [39491] = 1,
    ACTIONS(9327), 1,
      anon_sym_BSLASH_STAR,
  [39495] = 1,
    ACTIONS(8757), 1,
      anon_sym_BSLASHfig_STAR,
  [39499] = 1,
    ACTIONS(9329), 1,
      anon_sym_BSLASH_STAR,
  [39503] = 1,
    ACTIONS(9331), 1,
      anon_sym_BSLASHvp_STAR,
  [39507] = 1,
    ACTIONS(9333), 1,
      anon_sym_EQ,
  [39511] = 1,
    ACTIONS(9335), 1,
      anon_sym_EQ,
  [39515] = 1,
    ACTIONS(9337), 1,
      anon_sym_BSLASHfm_STAR,
  [39519] = 1,
    ACTIONS(9339), 1,
      sym__spaceOrLine,
  [39523] = 1,
    ACTIONS(9341), 1,
      anon_sym_BSLASHrq_STAR,
  [39527] = 1,
    ACTIONS(9343), 1,
      anon_sym_BSLASHref_STAR,
  [39531] = 1,
    ACTIONS(9345), 1,
      anon_sym_BSLASHadd_STAR,
  [39535] = 1,
    ACTIONS(9347), 1,
      anon_sym_BSLASHbk_STAR,
  [39539] = 1,
    ACTIONS(9349), 1,
      anon_sym_BSLASHdc_STAR,
  [39543] = 1,
    ACTIONS(9351), 1,
      sym__spaceOrLine,
  [39547] = 1,
    ACTIONS(9353), 1,
      anon_sym_BSLASHnd_STAR,
  [39551] = 1,
    ACTIONS(9355), 1,
      anon_sym_BSLASHord_STAR,
  [39555] = 1,
    ACTIONS(9357), 1,
      anon_sym_BSLASHpn_STAR,
  [39559] = 1,
    ACTIONS(9359), 1,
      anon_sym_BSLASHpng_STAR,
  [39563] = 1,
    ACTIONS(9361), 1,
      anon_sym_BSLASHaddpn_STAR,
  [39567] = 1,
    ACTIONS(9363), 1,
      anon_sym_BSLASHqt_STAR,
  [39571] = 1,
    ACTIONS(9365), 1,
      anon_sym_BSLASHsig_STAR,
  [39575] = 1,
    ACTIONS(9367), 1,
      anon_sym_BSLASHsls_STAR,
  [39579] = 1,
    ACTIONS(9369), 1,
      anon_sym_BSLASHtl_STAR,
  [39583] = 1,
    ACTIONS(9371), 1,
      anon_sym_BSLASHwj_STAR,
  [39587] = 1,
    ACTIONS(9373), 1,
      anon_sym_BSLASHem_STAR,
  [39591] = 1,
    ACTIONS(9375), 1,
      anon_sym_BSLASHbd_STAR,
  [39595] = 1,
    ACTIONS(9377), 1,
      anon_sym_BSLASHit_STAR,
  [39599] = 1,
    ACTIONS(9379), 1,
      anon_sym_BSLASHbdit_STAR,
  [39603] = 1,
    ACTIONS(9381), 1,
      anon_sym_BSLASHno_STAR,
  [39607] = 1,
    ACTIONS(9383), 1,
      anon_sym_BSLASHsc_STAR,
  [39611] = 1,
    ACTIONS(9385), 1,
      anon_sym_BSLASHsup_STAR,
  [39615] = 1,
    ACTIONS(9387), 1,
      anon_sym_BSLASHndx_STAR,
  [39619] = 1,
    ACTIONS(9389), 1,
      anon_sym_BSLASHpro_STAR,
  [39623] = 1,
    ACTIONS(9391), 1,
      anon_sym_BSLASHw_STAR,
  [39627] = 1,
    ACTIONS(9393), 1,
      anon_sym_BSLASHwg_STAR,
  [39631] = 1,
    ACTIONS(9395), 1,
      anon_sym_BSLASHwh_STAR,
  [39635] = 1,
    ACTIONS(9397), 1,
      anon_sym_BSLASHwa_STAR,
  [39639] = 1,
    ACTIONS(9399), 1,
      anon_sym_BSLASHjmp_STAR,
  [39643] = 1,
    ACTIONS(9401), 1,
      anon_sym_BSLASHxt_STAR,
  [39647] = 1,
    ACTIONS(9403), 1,
      anon_sym_BSLASHfig_STAR,
  [39651] = 1,
    ACTIONS(9405), 1,
      anon_sym_BSLASHrb_STAR,
  [39655] = 1,
    ACTIONS(9407), 1,
      anon_sym_EQ,
  [39659] = 1,
    ACTIONS(9409), 1,
      anon_sym_EQ,
  [39663] = 1,
    ACTIONS(9411), 1,
      anon_sym_BSLASHk_STAR,
  [39667] = 1,
    ACTIONS(9413), 1,
      anon_sym_BSLASHk_STAR,
  [39671] = 1,
    ACTIONS(9415), 1,
      anon_sym_BSLASHrb_STAR,
  [39675] = 1,
    ACTIONS(9417), 1,
      anon_sym_BSLASHw_STAR,
  [39679] = 1,
    ACTIONS(9419), 1,
      anon_sym_BSLASHlik_STAR,
  [39683] = 1,
    ACTIONS(9421), 1,
      anon_sym_EQ,
  [39687] = 1,
    ACTIONS(9423), 1,
      anon_sym_BSLASHfig_STAR,
  [39691] = 1,
    ACTIONS(9425), 1,
      anon_sym_BSLASHxt_STAR,
  [39695] = 1,
    ACTIONS(9427), 1,
      anon_sym_BSLASHjmp_STAR,
  [39699] = 1,
    ACTIONS(9429), 1,
      anon_sym_BSLASHwa_STAR,
  [39703] = 1,
    ACTIONS(9431), 1,
      anon_sym_BSLASHwh_STAR,
  [39707] = 1,
    ACTIONS(9433), 1,
      anon_sym_BSLASHwg_STAR,
  [39711] = 1,
    ACTIONS(9435), 1,
      anon_sym_BSLASHxt_STAR,
  [39715] = 1,
    ACTIONS(9437), 1,
      anon_sym_BSLASHpro_STAR,
  [39719] = 1,
    ACTIONS(9439), 1,
      anon_sym_BSLASH_STAR,
  [39723] = 1,
    ACTIONS(9441), 1,
      anon_sym_BSLASH_STAR,
  [39727] = 1,
    ACTIONS(9443), 1,
      anon_sym_BSLASHw_STAR,
  [39731] = 1,
    ACTIONS(9445), 1,
      anon_sym_BSLASHsup_STAR,
  [39735] = 1,
    ACTIONS(9447), 1,
      anon_sym_BSLASH_STAR,
  [39739] = 1,
    ACTIONS(9449), 1,
      anon_sym_BSLASHsc_STAR,
  [39743] = 1,
    ACTIONS(9451), 1,
      anon_sym_BSLASHno_STAR,
  [39747] = 1,
    ACTIONS(9453), 1,
      anon_sym_BSLASHjmp_STAR,
  [39751] = 1,
    ACTIONS(9455), 1,
      anon_sym_BSLASHbdit_STAR,
  [39755] = 1,
    ACTIONS(8809), 1,
      anon_sym_BSLASHxt_STAR,
  [39759] = 1,
    ACTIONS(9457), 1,
      anon_sym_BSLASHit_STAR,
  [39763] = 1,
    ACTIONS(8805), 1,
      anon_sym_BSLASHfig_STAR,
  [39767] = 1,
    ACTIONS(9459), 1,
      anon_sym_BSLASHbd_STAR,
  [39771] = 1,
    ACTIONS(9461), 1,
      anon_sym_BSLASHem_STAR,
  [39775] = 1,
    ACTIONS(9463), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
  [39779] = 1,
    ACTIONS(9465), 1,
      anon_sym_BSLASHit_STAR,
  [39783] = 1,
    ACTIONS(9467), 1,
      anon_sym_BSLASHfm_STAR,
  [39787] = 1,
    ACTIONS(9469), 1,
      anon_sym_BSLASHwj_STAR,
  [39791] = 1,
    ACTIONS(9471), 1,
      anon_sym_BSLASHrq_STAR,
  [39795] = 1,
    ACTIONS(9473), 1,
      anon_sym_BSLASHref_STAR,
  [39799] = 1,
    ACTIONS(9475), 1,
      anon_sym_BSLASHadd_STAR,
  [39803] = 1,
    ACTIONS(9477), 1,
      anon_sym_BSLASHbk_STAR,
  [39807] = 1,
    ACTIONS(9479), 1,
      anon_sym_BSLASHdc_STAR,
  [39811] = 1,
    ACTIONS(9481), 1,
      anon_sym_BSLASHtl_STAR,
  [39815] = 1,
    ACTIONS(9483), 1,
      anon_sym_BSLASHnd_STAR,
  [39819] = 1,
    ACTIONS(9485), 1,
      anon_sym_BSLASHord_STAR,
  [39823] = 1,
    ACTIONS(9487), 1,
      anon_sym_BSLASHpn_STAR,
  [39827] = 1,
    ACTIONS(9489), 1,
      anon_sym_BSLASHpng_STAR,
  [39831] = 1,
    ACTIONS(9491), 1,
      anon_sym_BSLASHaddpn_STAR,
  [39835] = 1,
    ACTIONS(9493), 1,
      anon_sym_BSLASHqt_STAR,
  [39839] = 1,
    ACTIONS(9495), 1,
      anon_sym_BSLASHsig_STAR,
  [39843] = 1,
    ACTIONS(9497), 1,
      anon_sym_BSLASHsls_STAR,
  [39847] = 1,
    ACTIONS(9499), 1,
      anon_sym_BSLASHtl_STAR,
  [39851] = 1,
    ACTIONS(9501), 1,
      anon_sym_BSLASHwj_STAR,
  [39855] = 1,
    ACTIONS(9503), 1,
      anon_sym_BSLASHem_STAR,
  [39859] = 1,
    ACTIONS(9505), 1,
      anon_sym_BSLASHbd_STAR,
  [39863] = 1,
    ACTIONS(9507), 1,
      anon_sym_BSLASHit_STAR,
  [39867] = 1,
    ACTIONS(9509), 1,
      anon_sym_BSLASHbdit_STAR,
  [39871] = 1,
    ACTIONS(9511), 1,
      anon_sym_BSLASHno_STAR,
  [39875] = 1,
    ACTIONS(9513), 1,
      anon_sym_BSLASHsc_STAR,
  [39879] = 1,
    ACTIONS(9515), 1,
      anon_sym_BSLASHsup_STAR,
  [39883] = 1,
    ACTIONS(9517), 1,
      anon_sym_BSLASHndx_STAR,
  [39887] = 1,
    ACTIONS(9519), 1,
      anon_sym_BSLASHpro_STAR,
  [39891] = 1,
    ACTIONS(9521), 1,
      anon_sym_BSLASHsls_STAR,
  [39895] = 1,
    ACTIONS(9523), 1,
      anon_sym_BSLASHwg_STAR,
  [39899] = 1,
    ACTIONS(9525), 1,
      anon_sym_BSLASHwh_STAR,
  [39903] = 1,
    ACTIONS(9527), 1,
      anon_sym_BSLASHwa_STAR,
  [39907] = 1,
    ACTIONS(9529), 1,
      anon_sym_BSLASHjmp_STAR,
  [39911] = 1,
    ACTIONS(9531), 1,
      anon_sym_BSLASHxt_STAR,
  [39915] = 1,
    ACTIONS(9533), 1,
      anon_sym_BSLASHfig_STAR,
  [39919] = 1,
    ACTIONS(9535), 1,
      anon_sym_BSLASHjmp_STAR,
  [39923] = 1,
    ACTIONS(9537), 1,
      anon_sym_BSLASHsig_STAR,
  [39927] = 1,
    ACTIONS(9539), 1,
      anon_sym_BSLASHwa_STAR,
  [39931] = 1,
    ACTIONS(9541), 1,
      anon_sym_BSLASHqt_STAR,
  [39935] = 1,
    ACTIONS(9543), 1,
      anon_sym_BSLASHk_STAR,
  [39939] = 1,
    ACTIONS(9545), 1,
      anon_sym_BSLASHrb_STAR,
  [39943] = 1,
    ACTIONS(9547), 1,
      anon_sym_BSLASHw_STAR,
  [39947] = 1,
    ACTIONS(9549), 1,
      anon_sym_BSLASHaddpn_STAR,
  [39951] = 1,
    ACTIONS(9551), 1,
      anon_sym_BSLASHpng_STAR,
  [39955] = 1,
    ACTIONS(9553), 1,
      anon_sym_BSLASHpn_STAR,
  [39959] = 1,
    ACTIONS(9555), 1,
      anon_sym_BSLASHord_STAR,
  [39963] = 1,
    ACTIONS(9557), 1,
      anon_sym_BSLASHnd_STAR,
  [39967] = 1,
    ACTIONS(9559), 1,
      anon_sym_BSLASHdc_STAR,
  [39971] = 1,
    ACTIONS(9561), 1,
      anon_sym_BSLASHbk_STAR,
  [39975] = 1,
    ACTIONS(9563), 1,
      anon_sym_BSLASHwh_STAR,
  [39979] = 1,
    ACTIONS(9565), 1,
      anon_sym_BSLASHadd_STAR,
  [39983] = 1,
    ACTIONS(9567), 1,
      anon_sym_BSLASH_STAR,
  [39987] = 1,
    ACTIONS(9569), 1,
      anon_sym_BSLASH_STAR,
  [39991] = 1,
    ACTIONS(9571), 1,
      anon_sym_BSLASHref_STAR,
  [39995] = 1,
    ACTIONS(9573), 1,
      anon_sym_BSLASHwg_STAR,
  [39999] = 1,
    ACTIONS(9575), 1,
      anon_sym_BSLASH_STAR,
  [40003] = 1,
    ACTIONS(9577), 1,
      anon_sym_BSLASHrq_STAR,
  [40007] = 1,
    ACTIONS(9579), 1,
      sym_verseNumber,
  [40011] = 1,
    ACTIONS(9581), 1,
      anon_sym_BSLASHjmp_STAR,
  [40015] = 1,
    ACTIONS(9583), 1,
      anon_sym_BSLASHfm_STAR,
  [40019] = 1,
    ACTIONS(8787), 1,
      anon_sym_BSLASHxt_STAR,
  [40023] = 1,
    ACTIONS(9585), 1,
      anon_sym_BSLASHior_STAR,
  [40027] = 1,
    ACTIONS(8775), 1,
      anon_sym_BSLASHfig_STAR,
  [40031] = 1,
    ACTIONS(8674), 1,
      anon_sym_BSLASHfig_STAR,
  [40035] = 1,
    ACTIONS(8769), 1,
      anon_sym_BSLASHxt_STAR,
  [40039] = 1,
    ACTIONS(9587), 1,
      anon_sym_BSLASHjmp_STAR,
  [40043] = 1,
    ACTIONS(9589), 1,
      anon_sym_BSLASHpro_STAR,
  [40047] = 1,
    ACTIONS(9591), 1,
      anon_sym_BSLASHfm_STAR,
  [40051] = 1,
    ACTIONS(9593), 1,
      anon_sym_BSLASH_STAR,
  [40055] = 1,
    ACTIONS(9595), 1,
      anon_sym_BSLASHrq_STAR,
  [40059] = 1,
    ACTIONS(9597), 1,
      anon_sym_BSLASHref_STAR,
  [40063] = 1,
    ACTIONS(9599), 1,
      anon_sym_BSLASHadd_STAR,
  [40067] = 1,
    ACTIONS(9601), 1,
      anon_sym_BSLASHbk_STAR,
  [40071] = 1,
    ACTIONS(9603), 1,
      anon_sym_BSLASHdc_STAR,
  [40075] = 1,
    ACTIONS(9605), 1,
      anon_sym_BSLASH_STAR,
  [40079] = 1,
    ACTIONS(9607), 1,
      anon_sym_BSLASHnd_STAR,
  [40083] = 1,
    ACTIONS(9609), 1,
      anon_sym_BSLASHord_STAR,
  [40087] = 1,
    ACTIONS(9611), 1,
      anon_sym_BSLASHpn_STAR,
  [40091] = 1,
    ACTIONS(9613), 1,
      anon_sym_BSLASHpng_STAR,
  [40095] = 1,
    ACTIONS(9615), 1,
      anon_sym_BSLASHaddpn_STAR,
  [40099] = 1,
    ACTIONS(9617), 1,
      anon_sym_BSLASHqt_STAR,
  [40103] = 1,
    ACTIONS(9619), 1,
      anon_sym_BSLASHsig_STAR,
  [40107] = 1,
    ACTIONS(9621), 1,
      anon_sym_BSLASHsls_STAR,
  [40111] = 1,
    ACTIONS(9623), 1,
      anon_sym_BSLASHtl_STAR,
  [40115] = 1,
    ACTIONS(9625), 1,
      anon_sym_BSLASHwj_STAR,
  [40119] = 1,
    ACTIONS(9627), 1,
      anon_sym_BSLASHem_STAR,
  [40123] = 1,
    ACTIONS(9629), 1,
      anon_sym_BSLASHbd_STAR,
  [40127] = 1,
    ACTIONS(9631), 1,
      anon_sym_BSLASHit_STAR,
  [40131] = 1,
    ACTIONS(9633), 1,
      anon_sym_BSLASHbdit_STAR,
  [40135] = 1,
    ACTIONS(9635), 1,
      anon_sym_BSLASHno_STAR,
  [40139] = 1,
    ACTIONS(9637), 1,
      anon_sym_BSLASHsc_STAR,
  [40143] = 1,
    ACTIONS(9639), 1,
      anon_sym_BSLASHsup_STAR,
  [40147] = 1,
    ACTIONS(9641), 1,
      anon_sym_BSLASHndx_STAR,
  [40151] = 1,
    ACTIONS(9643), 1,
      anon_sym_BSLASHpro_STAR,
  [40155] = 1,
    ACTIONS(9645), 1,
      anon_sym_BSLASH_STAR,
  [40159] = 1,
    ACTIONS(9647), 1,
      anon_sym_BSLASHwg_STAR,
  [40163] = 1,
    ACTIONS(9649), 1,
      anon_sym_BSLASHwh_STAR,
  [40167] = 1,
    ACTIONS(9651), 1,
      anon_sym_BSLASHwa_STAR,
  [40171] = 1,
    ACTIONS(9653), 1,
      anon_sym_BSLASHjmp_STAR,
  [40175] = 1,
    ACTIONS(9655), 1,
      anon_sym_BSLASHxt_STAR,
  [40179] = 1,
    ACTIONS(9657), 1,
      anon_sym_BSLASHfig_STAR,
  [40183] = 1,
    ACTIONS(9659), 1,
      anon_sym_BSLASHndx_STAR,
  [40187] = 1,
    ACTIONS(9661), 1,
      anon_sym_BSLASHsup_STAR,
  [40191] = 1,
    ACTIONS(9663), 1,
      anon_sym_BSLASHsc_STAR,
  [40195] = 1,
    ACTIONS(9665), 1,
      anon_sym_BSLASHlitl_STAR,
  [40199] = 1,
    ACTIONS(9667), 1,
      anon_sym_BSLASHk_STAR,
  [40203] = 1,
    ACTIONS(9669), 1,
      anon_sym_BSLASHrb_STAR,
  [40207] = 1,
    ACTIONS(9671), 1,
      anon_sym_BSLASHw_STAR,
  [40211] = 1,
    ACTIONS(9673), 1,
      anon_sym_DQUOTE,
  [40215] = 1,
    ACTIONS(9675), 1,
      anon_sym_BSLASHno_STAR,
  [40219] = 1,
    ACTIONS(9677), 1,
      anon_sym_BSLASHref_STAR,
  [40223] = 1,
    ACTIONS(9679), 1,
      anon_sym_BSLASHbdit_STAR,
  [40227] = 1,
    ACTIONS(9681), 1,
      sym__spaceOrLine,
  [40231] = 1,
    ACTIONS(9683), 1,
      anon_sym_BSLASHjmp_STAR,
  [40235] = 1,
    ACTIONS(9685), 1,
      sym__spaceOrLine,
  [40239] = 1,
    ACTIONS(8703), 1,
      anon_sym_BSLASHxt_STAR,
  [40243] = 1,
    ACTIONS(9687), 1,
      anon_sym_BSLASHaddpn_STAR,
  [40247] = 1,
    ACTIONS(8715), 1,
      anon_sym_BSLASHfig_STAR,
  [40251] = 1,
    ACTIONS(9689), 1,
      sym__spaceOrLine,
  [40255] = 1,
    ACTIONS(9691), 1,
      anon_sym_BSLASHbd_STAR,
  [40259] = 1,
    ACTIONS(9693), 1,
      anon_sym_BSLASHem_STAR,
  [40263] = 1,
    ACTIONS(9695), 1,
      anon_sym_BSLASHfm_STAR,
  [40267] = 1,
    ACTIONS(9697), 1,
      anon_sym_BSLASHrb_STAR,
  [40271] = 1,
    ACTIONS(9699), 1,
      anon_sym_BSLASHrq_STAR,
  [40275] = 1,
    ACTIONS(9701), 1,
      anon_sym_BSLASHadd_STAR,
  [40279] = 1,
    ACTIONS(9703), 1,
      anon_sym_BSLASHbk_STAR,
  [40283] = 1,
    ACTIONS(9705), 1,
      anon_sym_BSLASHdc_STAR,
  [40287] = 1,
    ACTIONS(9707), 1,
      anon_sym_BSLASHk_STAR,
  [40291] = 1,
    ACTIONS(9709), 1,
      anon_sym_BSLASHnd_STAR,
  [40295] = 1,
    ACTIONS(9711), 1,
      anon_sym_BSLASHord_STAR,
  [40299] = 1,
    ACTIONS(9713), 1,
      anon_sym_BSLASHpn_STAR,
  [40303] = 1,
    ACTIONS(9715), 1,
      anon_sym_BSLASHpng_STAR,
  [40307] = 1,
    ACTIONS(9717), 1,
      anon_sym_BSLASHaddpn_STAR,
  [40311] = 1,
    ACTIONS(9719), 1,
      anon_sym_BSLASHqt_STAR,
  [40315] = 1,
    ACTIONS(9721), 1,
      anon_sym_BSLASHsig_STAR,
  [40319] = 1,
    ACTIONS(9723), 1,
      anon_sym_BSLASHsls_STAR,
  [40323] = 1,
    ACTIONS(9725), 1,
      anon_sym_BSLASHtl_STAR,
  [40327] = 1,
    ACTIONS(9727), 1,
      anon_sym_BSLASHwj_STAR,
  [40331] = 1,
    ACTIONS(9729), 1,
      anon_sym_BSLASHem_STAR,
  [40335] = 1,
    ACTIONS(9731), 1,
      anon_sym_BSLASHbd_STAR,
  [40339] = 1,
    ACTIONS(9733), 1,
      anon_sym_BSLASHit_STAR,
  [40343] = 1,
    ACTIONS(9735), 1,
      anon_sym_BSLASHbdit_STAR,
  [40347] = 1,
    ACTIONS(9737), 1,
      anon_sym_BSLASHno_STAR,
  [40351] = 1,
    ACTIONS(9739), 1,
      anon_sym_BSLASHsc_STAR,
  [40355] = 1,
    ACTIONS(9741), 1,
      anon_sym_BSLASHsup_STAR,
  [40359] = 1,
    ACTIONS(9743), 1,
      anon_sym_BSLASHndx_STAR,
  [40363] = 1,
    ACTIONS(9745), 1,
      anon_sym_BSLASHpro_STAR,
  [40367] = 1,
    ACTIONS(9747), 1,
      anon_sym_EQ,
  [40371] = 1,
    ACTIONS(9749), 1,
      anon_sym_BSLASHwg_STAR,
  [40375] = 1,
    ACTIONS(9751), 1,
      anon_sym_BSLASHwh_STAR,
  [40379] = 1,
    ACTIONS(9753), 1,
      anon_sym_BSLASHwa_STAR,
  [40383] = 1,
    ACTIONS(9755), 1,
      anon_sym_BSLASHjmp_STAR,
  [40387] = 1,
    ACTIONS(9757), 1,
      anon_sym_BSLASHxt_STAR,
  [40391] = 1,
    ACTIONS(9759), 1,
      anon_sym_BSLASHfig_STAR,
  [40395] = 1,
    ACTIONS(9761), 1,
      anon_sym_BSLASHwj_STAR,
  [40399] = 1,
    ACTIONS(9763), 1,
      anon_sym_BSLASHtl_STAR,
  [40403] = 1,
    ACTIONS(9765), 1,
      anon_sym_BSLASHsls_STAR,
  [40407] = 1,
    ACTIONS(9767), 1,
      anon_sym_BSLASHk_STAR,
  [40411] = 1,
    ACTIONS(9769), 1,
      anon_sym_BSLASHk_STAR,
  [40415] = 1,
    ACTIONS(9771), 1,
      anon_sym_BSLASHrb_STAR,
  [40419] = 1,
    ACTIONS(9773), 1,
      anon_sym_BSLASHw_STAR,
  [40423] = 1,
    ACTIONS(9775), 1,
      anon_sym_BSLASHsig_STAR,
  [40427] = 1,
    ACTIONS(9777), 1,
      anon_sym_DQUOTE,
  [40431] = 1,
    ACTIONS(9779), 1,
      anon_sym_BSLASHqt_STAR,
  [40435] = 1,
    ACTIONS(9781), 1,
      anon_sym_BSLASHfig_STAR,
  [40439] = 1,
    ACTIONS(8717), 1,
      anon_sym_BSLASHxt_STAR,
  [40443] = 1,
    ACTIONS(9783), 1,
      anon_sym_BSLASHxt_STAR,
  [40447] = 1,
    ACTIONS(8719), 1,
      anon_sym_BSLASHfig_STAR,
  [40451] = 1,
    ACTIONS(9785), 1,
      anon_sym_BSLASHaddpn_STAR,
  [40455] = 1,
    ACTIONS(9787), 1,
      anon_sym_BSLASHpng_STAR,
  [40459] = 1,
    ACTIONS(9789), 1,
      anon_sym_BSLASHpn_STAR,
  [40463] = 1,
    ACTIONS(9791), 1,
      anon_sym_BSLASHfm_STAR,
  [40467] = 1,
    ACTIONS(9793), 1,
      anon_sym_BSLASHjmp_STAR,
  [40471] = 1,
    ACTIONS(9795), 1,
      anon_sym_BSLASHrq_STAR,
  [40475] = 1,
    ACTIONS(9797), 1,
      anon_sym_BSLASHxt_STAR,
  [40479] = 1,
    ACTIONS(9799), 1,
      anon_sym_BSLASHfig_STAR,
  [40483] = 1,
    ACTIONS(9801), 1,
      anon_sym_BSLASHord_STAR,
  [40487] = 1,
    ACTIONS(9803), 1,
      anon_sym_BSLASHnd_STAR,
  [40491] = 1,
    ACTIONS(9805), 1,
      anon_sym_BSLASHwa_STAR,
  [40495] = 1,
    ACTIONS(9807), 1,
      anon_sym_BSLASHwh_STAR,
  [40499] = 1,
    ACTIONS(9809), 1,
      anon_sym_BSLASHdc_STAR,
  [40503] = 1,
    ACTIONS(9811), 1,
      anon_sym_BSLASHbk_STAR,
  [40507] = 1,
    ACTIONS(9813), 1,
      anon_sym_BSLASHwg_STAR,
  [40511] = 1,
    ACTIONS(8739), 1,
      anon_sym_BSLASHxt_STAR,
  [40515] = 1,
    ACTIONS(9815), 1,
      anon_sym_BSLASHadd_STAR,
  [40519] = 1,
    ACTIONS(9817), 1,
      aux_sym_text_token1,
  [40523] = 1,
    ACTIONS(9819), 1,
      aux_sym_text_token1,
  [40527] = 1,
    ACTIONS(9821), 1,
      anon_sym_BSLASHfm_STAR,
  [40531] = 1,
    ACTIONS(9823), 1,
      anon_sym_BSLASHpro_STAR,
  [40535] = 1,
    ACTIONS(9825), 1,
      anon_sym_BSLASHrq_STAR,
  [40539] = 1,
    ACTIONS(9827), 1,
      anon_sym_BSLASHxt_STAR,
  [40543] = 1,
    ACTIONS(9829), 1,
      aux_sym_text_token1,
  [40547] = 1,
    ACTIONS(9831), 1,
      anon_sym_BSLASHref_STAR,
  [40551] = 1,
    ACTIONS(9833), 1,
      anon_sym_BSLASHndx_STAR,
  [40555] = 1,
    ACTIONS(9835), 1,
      anon_sym_BSLASHsup_STAR,
  [40559] = 1,
    ACTIONS(9837), 1,
      anon_sym_BSLASHsc_STAR,
  [40563] = 1,
    ACTIONS(9839), 1,
      anon_sym_BSLASHno_STAR,
  [40567] = 1,
    ACTIONS(9841), 1,
      anon_sym_BSLASHbdit_STAR,
  [40571] = 1,
    ACTIONS(8759), 1,
      anon_sym_BSLASHxt_STAR,
  [40575] = 1,
    ACTIONS(9843), 1,
      anon_sym_BSLASHit_STAR,
  [40579] = 1,
    ACTIONS(9845), 1,
      anon_sym_BSLASHrq_STAR,
  [40583] = 1,
    ACTIONS(9847), 1,
      anon_sym_BSLASHbd_STAR,
  [40587] = 1,
    ACTIONS(9849), 1,
      anon_sym_BSLASHfm_STAR,
  [40591] = 1,
    ACTIONS(9851), 1,
      anon_sym_BSLASHxt_STAR,
  [40595] = 1,
    ACTIONS(9853), 1,
      anon_sym_BSLASHem_STAR,
  [40599] = 1,
    ACTIONS(9855), 1,
      anon_sym_BSLASHwj_STAR,
  [40603] = 1,
    ACTIONS(9857), 1,
      anon_sym_BSLASHca_STAR,
  [40607] = 1,
    ACTIONS(9859), 1,
      anon_sym_BSLASHtl_STAR,
  [40611] = 1,
    ACTIONS(9861), 1,
      anon_sym_BSLASHsls_STAR,
  [40615] = 1,
    ACTIONS(9863), 1,
      sym_caller,
  [40619] = 1,
    ACTIONS(9865), 1,
      sym_caller,
  [40623] = 1,
    ACTIONS(9867), 1,
      sym_caller,
  [40627] = 1,
    ACTIONS(9869), 1,
      sym_category,
  [40631] = 1,
    ACTIONS(9871), 1,
      sym_caller,
  [40635] = 1,
    ACTIONS(9873), 1,
      anon_sym_BSLASHsig_STAR,
  [40639] = 1,
    ACTIONS(9875), 1,
      anon_sym_BSLASHqt_STAR,
  [40643] = 1,
    ACTIONS(9877), 1,
      anon_sym_BSLASHjmp_STAR,
  [40647] = 1,
    ACTIONS(9879), 1,
      anon_sym_BSLASHpng_STAR,
  [40651] = 1,
    ACTIONS(9881), 1,
      anon_sym_BSLASHpn_STAR,
  [40655] = 1,
    ACTIONS(9883), 1,
      anon_sym_BSLASHord_STAR,
  [40659] = 1,
    ACTIONS(9885), 1,
      anon_sym_BSLASHnd_STAR,
  [40663] = 1,
    ACTIONS(9887), 1,
      anon_sym_BSLASHdc_STAR,
  [40667] = 1,
    ACTIONS(9889), 1,
      sym__spaceOrLine,
  [40671] = 1,
    ACTIONS(9891), 1,
      anon_sym_BSLASHbk_STAR,
  [40675] = 1,
    ACTIONS(9893), 1,
      anon_sym_BSLASHadd_STAR,
  [40679] = 1,
    ACTIONS(9895), 1,
      anon_sym_BSLASHref_STAR,
  [40683] = 1,
    ACTIONS(9897), 1,
      anon_sym_BSLASHrq_STAR,
  [40687] = 1,
    ACTIONS(9899), 1,
      sym_verseNumber,
  [40691] = 1,
    ACTIONS(9901), 1,
      anon_sym_BSLASHfm_STAR,
  [40695] = 1,
    ACTIONS(9903), 1,
      anon_sym_BSLASHrb_STAR,
  [40699] = 1,
    ACTIONS(9905), 1,
      sym__spaceOrLine,
  [40703] = 1,
    ACTIONS(9907), 1,
      anon_sym_BSLASHw_STAR,
  [40707] = 1,
    ACTIONS(9909), 1,
      sym__spaceOrLine,
  [40711] = 1,
    ACTIONS(9911), 1,
      sym__spaceOrLine,
  [40715] = 1,
    ACTIONS(8801), 1,
      anon_sym_BSLASHfig_STAR,
  [40719] = 1,
    ACTIONS(9913), 1,
      sym_verseNumber,
  [40723] = 1,
    ACTIONS(9915), 1,
      sym_verseNumber,
  [40727] = 1,
    ACTIONS(8797), 1,
      anon_sym_BSLASHxt_STAR,
  [40731] = 1,
    ACTIONS(9917), 1,
      anon_sym_BSLASHcat_STAR,
  [40735] = 1,
    ACTIONS(9919), 1,
      anon_sym_BSLASHfm_STAR,
  [40739] = 1,
    ACTIONS(9921), 1,
      anon_sym_BSLASHiqt_STAR,
  [40743] = 1,
    ACTIONS(9923), 1,
      sym__spaceOrLine,
  [40747] = 1,
    ACTIONS(9925), 1,
      sym_attributeValue,
  [40751] = 1,
    ACTIONS(9927), 1,
      sym__spaceOrLine,
  [40755] = 1,
    ACTIONS(9929), 1,
      sym__spaceOrLine,
  [40759] = 1,
    ACTIONS(9931), 1,
      anon_sym_BSLASH_PLUSbk_STAR,
  [40763] = 1,
    ACTIONS(9933), 1,
      sym__spaceOrLine,
  [40767] = 1,
    ACTIONS(9935), 1,
      anon_sym_BSLASH_STAR,
  [40771] = 1,
    ACTIONS(9937), 1,
      anon_sym_BSLASH_PLUSadd_STAR,
  [40775] = 1,
    ACTIONS(9939), 1,
      sym__spaceOrLine,
  [40779] = 1,
    ACTIONS(9941), 1,
      sym__spaceOrLine,
  [40783] = 1,
    ACTIONS(9943), 1,
      sym__spaceOrLine,
  [40787] = 1,
    ACTIONS(9945), 1,
      sym__spaceOrLine,
  [40791] = 1,
    ACTIONS(9947), 1,
      anon_sym_SPACE,
  [40795] = 1,
    ACTIONS(9949), 1,
      anon_sym_BSLASH_STAR,
  [40799] = 1,
    ACTIONS(9951), 1,
      anon_sym_SPACE,
  [40803] = 1,
    ACTIONS(9953), 1,
      anon_sym_SPACE,
  [40807] = 1,
    ACTIONS(9955), 1,
      anon_sym_BSLASH_STAR,
  [40811] = 1,
    ACTIONS(9957), 1,
      anon_sym_BSLASH_PLUSbk_STAR,
  [40815] = 1,
    ACTIONS(9959), 1,
      anon_sym_BSLASH_PLUSdc_STAR,
  [40819] = 1,
    ACTIONS(9961), 1,
      anon_sym_BSLASH_PLUSk_STAR,
  [40823] = 1,
    ACTIONS(9963), 1,
      anon_sym_BSLASH_PLUSnd_STAR,
  [40827] = 1,
    ACTIONS(9965), 1,
      anon_sym_STAR,
  [40831] = 1,
    ACTIONS(9967), 1,
      anon_sym_DQUOTE,
  [40835] = 1,
    ACTIONS(9969), 1,
      anon_sym_EQ,
  [40839] = 1,
    ACTIONS(9971), 1,
      anon_sym_EQ,
  [40843] = 1,
    ACTIONS(9973), 1,
      anon_sym_EQ,
  [40847] = 1,
    ACTIONS(9975), 1,
      aux_sym__linkAttributeUserDefinedName_token1,
  [40851] = 1,
    ACTIONS(9977), 1,
      anon_sym_DQUOTE,
  [40855] = 1,
    ACTIONS(9979), 1,
      anon_sym_EQ,
  [40859] = 1,
    ACTIONS(9981), 1,
      sym_attributeValue,
  [40863] = 1,
    ACTIONS(9983), 1,
      anon_sym_BSLASH_PLUSw_STAR,
  [40867] = 1,
    ACTIONS(9985), 1,
      anon_sym_BSLASH_PLUSrb_STAR,
  [40871] = 1,
    ACTIONS(9987), 1,
      anon_sym_STAR,
  [40875] = 1,
    ACTIONS(8737), 1,
      anon_sym_BSLASHfig_STAR,
  [40879] = 1,
    ACTIONS(9989), 1,
      anon_sym_BSLASH_PLUSord_STAR,
  [40883] = 1,
    ACTIONS(9991), 1,
      anon_sym_DQUOTE,
  [40887] = 1,
    ACTIONS(9993), 1,
      anon_sym_DQUOTE,
  [40891] = 1,
    ACTIONS(9995), 1,
      sym__spaceOrLine,
  [40895] = 1,
    ACTIONS(9997), 1,
      sym__spaceOrLine,
  [40899] = 1,
    ACTIONS(9999), 1,
      sym__spaceOrLine,
  [40903] = 1,
    ACTIONS(10001), 1,
      sym__spaceOrLine,
  [40907] = 1,
    ACTIONS(10003), 1,
      sym__spaceOrLine,
  [40911] = 1,
    ACTIONS(10005), 1,
      anon_sym_BSLASHva_STAR,
  [40915] = 1,
    ACTIONS(10007), 1,
      anon_sym_BSLASHvp_STAR,
  [40919] = 1,
    ACTIONS(8733), 1,
      anon_sym_BSLASHxt_STAR,
  [40923] = 1,
    ACTIONS(10009), 1,
      sym__spaceOrLine,
  [40927] = 1,
    ACTIONS(10011), 1,
      anon_sym_BSLASH_PLUSpn_STAR,
  [40931] = 1,
    ACTIONS(10013), 1,
      anon_sym_BSLASH_PLUSpng_STAR,
  [40935] = 1,
    ACTIONS(10015), 1,
      anon_sym_BSLASH_PLUSqt_STAR,
  [40939] = 1,
    ACTIONS(10017), 1,
      sym_caller,
  [40943] = 1,
    ACTIONS(10019), 1,
      sym_caller,
  [40947] = 1,
    ACTIONS(10021), 1,
      sym_caller,
  [40951] = 1,
    ACTIONS(10023), 1,
      sym_caller,
  [40955] = 1,
    ACTIONS(10025), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
  [40959] = 1,
    ACTIONS(10027), 1,
      anon_sym_BSLASH_PLUSwa_STAR,
  [40963] = 1,
    ACTIONS(10029), 1,
      sym__spaceOrLine,
  [40967] = 1,
    ACTIONS(10031), 1,
      sym__spaceOrLine,
  [40971] = 1,
    ACTIONS(10033), 1,
      sym__spaceOrLine,
  [40975] = 1,
    ACTIONS(10035), 1,
      sym__spaceOrLine,
  [40979] = 1,
    ACTIONS(10037), 1,
      sym__spaceOrLine,
  [40983] = 1,
    ACTIONS(10039), 1,
      sym__spaceOrLine,
  [40987] = 1,
    ACTIONS(10041), 1,
      sym__spaceOrLine,
  [40991] = 1,
    ACTIONS(10043), 1,
      sym__spaceOrLine,
  [40995] = 1,
    ACTIONS(10045), 1,
      sym__spaceOrLine,
  [40999] = 1,
    ACTIONS(10047), 1,
      sym__spaceOrLine,
  [41003] = 1,
    ACTIONS(10049), 1,
      sym__spaceOrLine,
  [41007] = 1,
    ACTIONS(10051), 1,
      sym__spaceOrLine,
  [41011] = 1,
    ACTIONS(10053), 1,
      sym__spaceOrLine,
  [41015] = 1,
    ACTIONS(10055), 1,
      sym__spaceOrLine,
  [41019] = 1,
    ACTIONS(10057), 1,
      sym__spaceOrLine,
  [41023] = 1,
    ACTIONS(10059), 1,
      sym__spaceOrLine,
  [41027] = 1,
    ACTIONS(10061), 1,
      sym__spaceOrLine,
  [41031] = 1,
    ACTIONS(10063), 1,
      sym__spaceOrLine,
  [41035] = 1,
    ACTIONS(10065), 1,
      sym__spaceOrLine,
  [41039] = 1,
    ACTIONS(10067), 1,
      sym__spaceOrLine,
  [41043] = 1,
    ACTIONS(10069), 1,
      sym__spaceOrLine,
  [41047] = 1,
    ACTIONS(10071), 1,
      sym__spaceOrLine,
  [41051] = 1,
    ACTIONS(10073), 1,
      sym__spaceOrLine,
  [41055] = 1,
    ACTIONS(10075), 1,
      sym__spaceOrLine,
  [41059] = 1,
    ACTIONS(10077), 1,
      sym__spaceOrLine,
  [41063] = 1,
    ACTIONS(10079), 1,
      sym__spaceOrLine,
  [41067] = 1,
    ACTIONS(10081), 1,
      sym_attributeValue,
  [41071] = 1,
    ACTIONS(10083), 1,
      sym__spaceOrLine,
  [41075] = 1,
    ACTIONS(10085), 1,
      sym__spaceOrLine,
  [41079] = 1,
    ACTIONS(10087), 1,
      anon_sym_BSLASH_PLUSwh_STAR,
  [41083] = 1,
    ACTIONS(10089), 1,
      anon_sym_DQUOTE,
  [41087] = 1,
    ACTIONS(10091), 1,
      anon_sym_BSLASHva_STAR,
  [41091] = 1,
    ACTIONS(10093), 1,
      anon_sym_BSLASHvp_STAR,
  [41095] = 1,
    ACTIONS(10095), 1,
      anon_sym_BSLASH_PLUSwg_STAR,
  [41099] = 1,
    ACTIONS(10097), 1,
      sym_caller,
  [41103] = 1,
    ACTIONS(10099), 1,
      sym_caller,
  [41107] = 1,
    ACTIONS(10101), 1,
      sym_caller,
  [41111] = 1,
    ACTIONS(10103), 1,
      sym_caller,
  [41115] = 1,
    ACTIONS(10105), 1,
      anon_sym_BSLASH_PLUSpro_STAR,
  [41119] = 1,
    ACTIONS(10107), 1,
      sym__spaceOrLine,
  [41123] = 1,
    ACTIONS(10109), 1,
      sym__spaceOrLine,
  [41127] = 1,
    ACTIONS(10111), 1,
      anon_sym_BSLASHiqt_STAR,
  [41131] = 1,
    ACTIONS(10113), 1,
      anon_sym_BSLASH_PLUSndx_STAR,
  [41135] = 1,
    ACTIONS(10115), 1,
      anon_sym_BSLASH_PLUSsup_STAR,
  [41139] = 1,
    ACTIONS(10117), 1,
      anon_sym_BSLASH_PLUSsc_STAR,
  [41143] = 1,
    ACTIONS(10119), 1,
      anon_sym_BSLASH_PLUSno_STAR,
  [41147] = 1,
    ACTIONS(10121), 1,
      anon_sym_BSLASHjmp_STAR,
  [41151] = 1,
    ACTIONS(10123), 1,
      anon_sym_BSLASH_PLUSbdit_STAR,
  [41155] = 1,
    ACTIONS(10125), 1,
      anon_sym_BSLASH_PLUSit_STAR,
  [41159] = 1,
    ACTIONS(10127), 1,
      anon_sym_BSLASH_PLUSbd_STAR,
  [41163] = 1,
    ACTIONS(10129), 1,
      anon_sym_BSLASH_PLUSem_STAR,
  [41167] = 1,
    ACTIONS(10131), 1,
      anon_sym_BSLASH_PLUSwj_STAR,
  [41171] = 1,
    ACTIONS(10133), 1,
      anon_sym_BSLASH_PLUStl_STAR,
  [41175] = 1,
    ACTIONS(10135), 1,
      anon_sym_BSLASH_PLUSsls_STAR,
  [41179] = 1,
    ACTIONS(10137), 1,
      anon_sym_BSLASH_PLUSsig_STAR,
  [41183] = 1,
    ACTIONS(10139), 1,
      aux_sym_text_token1,
  [41187] = 1,
    ACTIONS(10141), 1,
      anon_sym_SPACE,
  [41191] = 1,
    ACTIONS(10143), 1,
      aux_sym_text_token1,
  [41195] = 1,
    ACTIONS(10145), 1,
      anon_sym_SPACE,
  [41199] = 1,
    ACTIONS(10147), 1,
      aux_sym_text_token1,
  [41203] = 1,
    ACTIONS(10149), 1,
      anon_sym_SPACE,
  [41207] = 1,
    ACTIONS(10151), 1,
      anon_sym_BSLASH_PLUSqt_STAR,
  [41211] = 1,
    ACTIONS(10153), 1,
      anon_sym_BSLASHqt_STAR,
  [41215] = 1,
    ACTIONS(10155), 1,
      anon_sym_BSLASH_PLUSpng_STAR,
  [41219] = 1,
    ACTIONS(10157), 1,
      anon_sym_BSLASH_PLUSpn_STAR,
  [41223] = 1,
    ACTIONS(10159), 1,
      anon_sym_BSLASH_PLUSord_STAR,
  [41227] = 1,
    ACTIONS(10161), 1,
      anon_sym_BSLASH_PLUSnd_STAR,
  [41231] = 1,
    ACTIONS(10163), 1,
      anon_sym_BSLASHva_STAR,
  [41235] = 1,
    ACTIONS(10165), 1,
      anon_sym_BSLASHvp_STAR,
  [41239] = 1,
    ACTIONS(10167), 1,
      anon_sym_BSLASH_PLUSk_STAR,
  [41243] = 1,
    ACTIONS(10169), 1,
      sym_caller,
  [41247] = 1,
    ACTIONS(10171), 1,
      sym_caller,
  [41251] = 1,
    ACTIONS(10173), 1,
      sym_caller,
  [41255] = 1,
    ACTIONS(10175), 1,
      sym_caller,
  [41259] = 1,
    ACTIONS(10177), 1,
      anon_sym_BSLASH_PLUSdc_STAR,
  [41263] = 1,
    ACTIONS(10179), 1,
      anon_sym_BSLASHord_STAR,
  [41267] = 1,
    ACTIONS(10181), 1,
      anon_sym_SPACE,
  [41271] = 1,
    ACTIONS(10183), 1,
      anon_sym_BSLASH_PLUSadd_STAR,
  [41275] = 1,
    ACTIONS(10185), 1,
      anon_sym_BSLASHw_STAR,
  [41279] = 1,
    ACTIONS(10187), 1,
      anon_sym_BSLASHrb_STAR,
  [41283] = 1,
    ACTIONS(10189), 1,
      anon_sym_BSLASH_STAR,
  [41287] = 1,
    ACTIONS(10191), 1,
      anon_sym_BSLASHk_STAR,
  [41291] = 1,
    ACTIONS(10193), 1,
      anon_sym_BSLASH_PLUSsig_STAR,
  [41295] = 1,
    ACTIONS(10195), 1,
      anon_sym_BSLASHlitl_STAR,
  [41299] = 1,
    ACTIONS(10197), 1,
      anon_sym_BSLASHlik_STAR,
  [41303] = 1,
    ACTIONS(10199), 1,
      sym_caller,
  [41307] = 1,
    ACTIONS(10201), 1,
      anon_sym_BSLASH_PLUSsls_STAR,
  [41311] = 1,
    ACTIONS(10203), 1,
      anon_sym_BSLASH_PLUStl_STAR,
  [41315] = 1,
    ACTIONS(10205), 1,
      sym_chapterNumber,
  [41319] = 1,
    ACTIONS(10207), 1,
      anon_sym_BSLASH_PLUSwj_STAR,
  [41323] = 1,
    ACTIONS(10209), 1,
      anon_sym_BSLASH_PLUSem_STAR,
  [41327] = 1,
    ACTIONS(10211), 1,
      anon_sym_DQUOTE,
  [41331] = 1,
    ACTIONS(10213), 1,
      anon_sym_BSLASHfig_STAR,
  [41335] = 1,
    ACTIONS(10215), 1,
      anon_sym_BSLASHxt_STAR,
  [41339] = 1,
    ACTIONS(10217), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
  [41343] = 1,
    ACTIONS(10219), 1,
      anon_sym_BSLASHjmp_STAR,
  [41347] = 1,
    ACTIONS(10221), 1,
      anon_sym_BSLASHwa_STAR,
  [41351] = 1,
    ACTIONS(10223), 1,
      anon_sym_BSLASHwh_STAR,
  [41355] = 1,
    ACTIONS(10225), 1,
      anon_sym_BSLASHwg_STAR,
  [41359] = 1,
    ACTIONS(10227), 1,
      anon_sym_BSLASHpro_STAR,
  [41363] = 1,
    ACTIONS(10229), 1,
      anon_sym_BSLASHndx_STAR,
  [41367] = 1,
    ACTIONS(10231), 1,
      anon_sym_BSLASHsup_STAR,
  [41371] = 1,
    ACTIONS(10233), 1,
      anon_sym_BSLASHsc_STAR,
  [41375] = 1,
    ACTIONS(10235), 1,
      anon_sym_BSLASHva_STAR,
  [41379] = 1,
    ACTIONS(10237), 1,
      anon_sym_BSLASHvp_STAR,
  [41383] = 1,
    ACTIONS(10239), 1,
      anon_sym_BSLASHno_STAR,
  [41387] = 1,
    ACTIONS(10241), 1,
      sym_caller,
  [41391] = 1,
    ACTIONS(10243), 1,
      sym_caller,
  [41395] = 1,
    ACTIONS(10245), 1,
      sym_caller,
  [41399] = 1,
    ACTIONS(10247), 1,
      sym_caller,
  [41403] = 1,
    ACTIONS(10249), 1,
      anon_sym_BSLASHbdit_STAR,
  [41407] = 1,
    ACTIONS(10251), 1,
      anon_sym_BSLASHit_STAR,
  [41411] = 1,
    ACTIONS(10253), 1,
      sym_category,
  [41415] = 1,
    ACTIONS(10255), 1,
      anon_sym_BSLASHbd_STAR,
  [41419] = 1,
    ACTIONS(10257), 1,
      sym__spaceOrLine,
  [41423] = 1,
    ACTIONS(10259), 1,
      sym_caller,
  [41427] = 1,
    ACTIONS(10261), 1,
      sym_caller,
  [41431] = 1,
    ACTIONS(10263), 1,
      sym_caller,
  [41435] = 1,
    ACTIONS(10265), 1,
      sym__spaceOrLine,
  [41439] = 1,
    ACTIONS(10267), 1,
      anon_sym_BSLASHem_STAR,
  [41443] = 1,
    ACTIONS(10269), 1,
      anon_sym_BSLASHwj_STAR,
  [41447] = 1,
    ACTIONS(10271), 1,
      sym__spaceOrLine,
  [41451] = 1,
    ACTIONS(10273), 1,
      sym__spaceOrLine,
  [41455] = 1,
    ACTIONS(10275), 1,
      anon_sym_BSLASHtl_STAR,
  [41459] = 1,
    ACTIONS(10277), 1,
      sym__spaceOrLine,
  [41463] = 1,
    ACTIONS(10279), 1,
      sym__spaceOrLine,
  [41467] = 1,
    ACTIONS(10281), 1,
      sym__spaceOrLine,
  [41471] = 1,
    ACTIONS(10283), 1,
      anon_sym_BSLASHsls_STAR,
  [41475] = 1,
    ACTIONS(10285), 1,
      sym__spaceOrLine,
  [41479] = 1,
    ACTIONS(10287), 1,
      anon_sym_BSLASHsig_STAR,
  [41483] = 1,
    ACTIONS(10289), 1,
      sym__spaceOrLine,
  [41487] = 1,
    ACTIONS(10291), 1,
      sym__spaceOrLine,
  [41491] = 1,
    ACTIONS(10293), 1,
      sym__spaceOrLine,
  [41495] = 1,
    ACTIONS(10295), 1,
      anon_sym_BSLASHqt_STAR,
  [41499] = 1,
    ACTIONS(10297), 1,
      sym__spaceOrLine,
  [41503] = 1,
    ACTIONS(10299), 1,
      sym__spaceOrLine,
  [41507] = 1,
    ACTIONS(10301), 1,
      sym__spaceOrLine,
  [41511] = 1,
    ACTIONS(10303), 1,
      sym__spaceOrLine,
  [41515] = 1,
    ACTIONS(10305), 1,
      anon_sym_BSLASHaddpn_STAR,
  [41519] = 1,
    ACTIONS(10307), 1,
      anon_sym_BSLASHva_STAR,
  [41523] = 1,
    ACTIONS(10309), 1,
      anon_sym_BSLASHvp_STAR,
  [41527] = 1,
    ACTIONS(10311), 1,
      anon_sym_BSLASHpng_STAR,
  [41531] = 1,
    ACTIONS(10313), 1,
      sym_caller,
  [41535] = 1,
    ACTIONS(10315), 1,
      sym_caller,
  [41539] = 1,
    ACTIONS(10317), 1,
      sym_caller,
  [41543] = 1,
    ACTIONS(10319), 1,
      sym_caller,
  [41547] = 1,
    ACTIONS(10321), 1,
      anon_sym_BSLASHpn_STAR,
  [41551] = 1,
    ACTIONS(10323), 1,
      sym__spaceOrLine,
  [41555] = 1,
    ACTIONS(10325), 1,
      sym__spaceOrLine,
  [41559] = 1,
    ACTIONS(10327), 1,
      sym__spaceOrLine,
  [41563] = 1,
    ACTIONS(10329), 1,
      sym__spaceOrLine,
  [41567] = 1,
    ACTIONS(10331), 1,
      sym__spaceOrLine,
  [41571] = 1,
    ACTIONS(10333), 1,
      anon_sym_SPACE,
  [41575] = 1,
    ACTIONS(10335), 1,
      anon_sym_BSLASHnd_STAR,
  [41579] = 1,
    ACTIONS(10337), 1,
      anon_sym_BSLASHdc_STAR,
  [41583] = 1,
    ACTIONS(10339), 1,
      anon_sym_BSLASHbk_STAR,
  [41587] = 1,
    ACTIONS(10341), 1,
      anon_sym_BSLASH_PLUSbd_STAR,
  [41591] = 1,
    ACTIONS(10343), 1,
      anon_sym_BSLASHadd_STAR,
  [41595] = 1,
    ACTIONS(10345), 1,
      anon_sym_BSLASHref_STAR,
  [41599] = 1,
    ACTIONS(10347), 1,
      anon_sym_BSLASHrq_STAR,
  [41603] = 1,
    ACTIONS(10349), 1,
      anon_sym_BSLASH_PLUSit_STAR,
  [41607] = 1,
    ACTIONS(10351), 1,
      anon_sym_BSLASH_PLUSbdit_STAR,
  [41611] = 1,
    ACTIONS(10353), 1,
      anon_sym_BSLASH_STAR,
  [41615] = 1,
    ACTIONS(10355), 1,
      anon_sym_BSLASH_PLUSno_STAR,
  [41619] = 1,
    ACTIONS(10357), 1,
      sym__spaceOrLine,
  [41623] = 1,
    ACTIONS(10359), 1,
      anon_sym_BSLASH_STAR,
  [41627] = 1,
    ACTIONS(10361), 1,
      anon_sym_BSLASH_PLUSsc_STAR,
  [41631] = 1,
    ACTIONS(10363), 1,
      anon_sym_BSLASH_PLUSsup_STAR,
  [41635] = 1,
    ACTIONS(10365), 1,
      anon_sym_BSLASH_PLUSndx_STAR,
  [41639] = 1,
    ACTIONS(10367), 1,
      anon_sym_BSLASH_PLUSpro_STAR,
  [41643] = 1,
    ACTIONS(10369), 1,
      anon_sym_SPACE,
  [41647] = 1,
    ACTIONS(10371), 1,
      anon_sym_BSLASH_PLUSwg_STAR,
  [41651] = 1,
    ACTIONS(10373), 1,
      sym__spaceOrLine,
  [41655] = 1,
    ACTIONS(10375), 1,
      anon_sym_SPACE,
  [41659] = 1,
    ACTIONS(10377), 1,
      anon_sym_BSLASH_PLUSwh_STAR,
  [41663] = 1,
    ACTIONS(10379), 1,
      anon_sym_BSLASH_PLUSwa_STAR,
  [41667] = 1,
    ACTIONS(10381), 1,
      sym_caller,
  [41671] = 1,
    ACTIONS(10383), 1,
      sym_caller,
  [41675] = 1,
    ACTIONS(10385), 1,
      sym_caller,
  [41679] = 1,
    ACTIONS(10387), 1,
      sym_caller,
  [41683] = 1,
    ACTIONS(10389), 1,
      sym_verseNumber,
  [41687] = 1,
    ACTIONS(10391), 1,
      anon_sym_BSLASHcat_STAR,
  [41691] = 1,
    ACTIONS(10393), 1,
      anon_sym_BSLASHfm_STAR,
  [41695] = 1,
    ACTIONS(10395), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
  [41699] = 1,
    ACTIONS(10397), 1,
      anon_sym_DQUOTE,
  [41703] = 1,
    ACTIONS(10399), 1,
      anon_sym_SPACE,
  [41707] = 1,
    ACTIONS(10401), 1,
      anon_sym_SPACE,
  [41711] = 1,
    ACTIONS(10403), 1,
      sym__spaceOrLine,
  [41715] = 1,
    ACTIONS(10405), 1,
      anon_sym_SPACE,
  [41719] = 1,
    ACTIONS(10407), 1,
      sym__spaceOrLine,
  [41723] = 1,
    ACTIONS(10409), 1,
      sym__spaceOrLine,
  [41727] = 1,
    ACTIONS(10411), 1,
      anon_sym_SPACE,
  [41731] = 1,
    ACTIONS(10413), 1,
      sym__spaceOrLine,
  [41735] = 1,
    ACTIONS(10415), 1,
      sym__spaceOrLine,
  [41739] = 1,
    ACTIONS(10417), 1,
      sym__spaceOrLine,
  [41743] = 1,
    ACTIONS(10419), 1,
      sym__spaceOrLine,
  [41747] = 1,
    ACTIONS(10421), 1,
      sym__spaceOrLine,
  [41751] = 1,
    ACTIONS(10423), 1,
      sym__spaceOrLine,
  [41755] = 1,
    ACTIONS(10425), 1,
      sym__spaceOrLine,
  [41759] = 1,
    ACTIONS(10427), 1,
      sym__spaceOrLine,
  [41763] = 1,
    ACTIONS(10429), 1,
      sym__spaceOrLine,
  [41767] = 1,
    ACTIONS(10431), 1,
      sym__spaceOrLine,
  [41771] = 1,
    ACTIONS(10433), 1,
      sym__spaceOrLine,
  [41775] = 1,
    ACTIONS(10435), 1,
      sym__spaceOrLine,
  [41779] = 1,
    ACTIONS(10437), 1,
      anon_sym_DQUOTE,
  [41783] = 1,
    ACTIONS(10439), 1,
      sym__spaceOrLine,
  [41787] = 1,
    ACTIONS(10441), 1,
      sym__spaceOrLine,
  [41791] = 1,
    ACTIONS(10443), 1,
      sym__spaceOrLine,
  [41795] = 1,
    ACTIONS(8686), 1,
      anon_sym_BSLASHfig_STAR,
  [41799] = 1,
    ACTIONS(8753), 1,
      anon_sym_BSLASHxt_STAR,
  [41803] = 1,
    ACTIONS(10445), 1,
      sym_caller,
  [41807] = 1,
    ACTIONS(10447), 1,
      sym_caller,
  [41811] = 1,
    ACTIONS(10449), 1,
      sym_caller,
  [41815] = 1,
    ACTIONS(10451), 1,
      sym_caller,
  [41819] = 1,
    ACTIONS(10453), 1,
      anon_sym_BSLASHiqt_STAR,
  [41823] = 1,
    ACTIONS(10455), 1,
      sym__spaceOrLine,
  [41827] = 1,
    ACTIONS(10457), 1,
      sym__spaceOrLine,
  [41831] = 1,
    ACTIONS(10459), 1,
      sym__spaceOrLine,
  [41835] = 1,
    ACTIONS(10461), 1,
      sym__spaceOrLine,
  [41839] = 1,
    ACTIONS(10463), 1,
      sym__spaceOrLine,
  [41843] = 1,
    ACTIONS(10465), 1,
      sym__spaceOrLine,
  [41847] = 1,
    ACTIONS(10467), 1,
      sym__spaceOrLine,
  [41851] = 1,
    ACTIONS(10469), 1,
      sym__spaceOrLine,
  [41855] = 1,
    ACTIONS(10471), 1,
      sym__spaceOrLine,
  [41859] = 1,
    ACTIONS(10473), 1,
      sym__spaceOrLine,
  [41863] = 1,
    ACTIONS(10475), 1,
      sym__spaceOrLine,
  [41867] = 1,
    ACTIONS(10477), 1,
      sym__spaceOrLine,
  [41871] = 1,
    ACTIONS(10479), 1,
      sym__spaceOrLine,
  [41875] = 1,
    ACTIONS(10481), 1,
      sym__spaceOrLine,
  [41879] = 1,
    ACTIONS(10483), 1,
      sym__spaceOrLine,
  [41883] = 1,
    ACTIONS(10485), 1,
      anon_sym_BSLASHjmp_STAR,
  [41887] = 1,
    ACTIONS(10487), 1,
      anon_sym_BSLASH_STAR,
  [41891] = 1,
    ACTIONS(10489), 1,
      anon_sym_DQUOTE,
  [41895] = 1,
    ACTIONS(10491), 1,
      anon_sym_DQUOTE,
  [41899] = 1,
    ACTIONS(10493), 1,
      anon_sym_DQUOTE,
  [41903] = 1,
    ACTIONS(10495), 1,
      anon_sym_DQUOTE,
  [41907] = 1,
    ACTIONS(10497), 1,
      anon_sym_DQUOTE,
  [41911] = 1,
    ACTIONS(10499), 1,
      anon_sym_BSLASH_PLUSaddpn_STAR,
  [41915] = 1,
    ACTIONS(10501), 1,
      sym__spaceOrLine,
  [41919] = 1,
    ACTIONS(10503), 1,
      sym__spaceOrLine,
  [41923] = 1,
    ACTIONS(10505), 1,
      sym__spaceOrLine,
  [41927] = 1,
    ACTIONS(10507), 1,
      sym__spaceOrLine,
  [41931] = 1,
    ACTIONS(10509), 1,
      sym__spaceOrLine,
  [41935] = 1,
    ACTIONS(10511), 1,
      sym_caller,
  [41939] = 1,
    ACTIONS(10513), 1,
      sym_caller,
  [41943] = 1,
    ACTIONS(10515), 1,
      sym_caller,
  [41947] = 1,
    ACTIONS(10517), 1,
      sym_caller,
  [41951] = 1,
    ACTIONS(10519), 1,
      sym__spaceOrLine,
  [41955] = 1,
    ACTIONS(10521), 1,
      sym__spaceOrLine,
  [41959] = 1,
    ACTIONS(10523), 1,
      sym__spaceOrLine,
  [41963] = 1,
    ACTIONS(10525), 1,
      sym__spaceOrLine,
  [41967] = 1,
    ACTIONS(10527), 1,
      sym_versionNumber,
  [41971] = 1,
    ACTIONS(10529), 1,
      sym__spaceOrLine,
  [41975] = 1,
    ACTIONS(10531), 1,
      sym__spaceOrLine,
  [41979] = 1,
    ACTIONS(10533), 1,
      sym__spaceOrLine,
  [41983] = 1,
    ACTIONS(10535), 1,
      sym__spaceOrLine,
  [41987] = 1,
    ACTIONS(10537), 1,
      sym__spaceOrLine,
  [41991] = 1,
    ACTIONS(10539), 1,
      sym__spaceOrLine,
  [41995] = 1,
    ACTIONS(10541), 1,
      sym__spaceOrLine,
  [41999] = 1,
    ACTIONS(10543), 1,
      sym__spaceOrLine,
  [42003] = 1,
    ACTIONS(10545), 1,
      sym__spaceOrLine,
  [42007] = 1,
    ACTIONS(10547), 1,
      anon_sym_BSLASH_STAR,
  [42011] = 1,
    ACTIONS(10549), 1,
      anon_sym_BSLASH_STAR,
  [42015] = 1,
    ACTIONS(10551), 1,
      anon_sym_DQUOTE,
  [42019] = 1,
    ACTIONS(10553), 1,
      anon_sym_EQ,
  [42023] = 1,
    ACTIONS(10555), 1,
      anon_sym_EQ,
  [42027] = 1,
    ACTIONS(10557), 1,
      anon_sym_EQ,
  [42031] = 1,
    ACTIONS(10559), 1,
      anon_sym_EQ,
  [42035] = 1,
    ACTIONS(10561), 1,
      anon_sym_BSLASH_PLUSrb_STAR,
  [42039] = 1,
    ACTIONS(10563), 1,
      aux_sym_milestoneTag_token1,
  [42043] = 1,
    ACTIONS(10565), 1,
      anon_sym_BSLASH_PLUSw_STAR,
  [42047] = 1,
    ACTIONS(10567), 1,
      anon_sym_DQUOTE,
  [42051] = 1,
    ACTIONS(10569), 1,
      sym_chapterNumber,
  [42055] = 1,
    ACTIONS(10571), 1,
      anon_sym_DQUOTE,
  [42059] = 1,
    ACTIONS(10573), 1,
      anon_sym_DQUOTE,
  [42063] = 1,
    ACTIONS(10575), 1,
      anon_sym_STAR,
  [42067] = 1,
    ACTIONS(10577), 1,
      sym_caller,
  [42071] = 1,
    ACTIONS(10579), 1,
      sym_caller,
  [42075] = 1,
    ACTIONS(10581), 1,
      sym_caller,
  [42079] = 1,
    ACTIONS(10583), 1,
      sym_caller,
  [42083] = 1,
    ACTIONS(10585), 1,
      anon_sym_STAR,
  [42087] = 1,
    ACTIONS(10587), 1,
      sym_caller,
  [42091] = 1,
    ACTIONS(10589), 1,
      sym_caller,
  [42095] = 1,
    ACTIONS(10591), 1,
      sym_caller,
  [42099] = 1,
    ACTIONS(10593), 1,
      sym_caller,
  [42103] = 1,
    ACTIONS(10595), 1,
      anon_sym_DQUOTE,
  [42107] = 1,
    ACTIONS(10597), 1,
      sym_caller,
  [42111] = 1,
    ACTIONS(10599), 1,
      sym_caller,
  [42115] = 1,
    ACTIONS(10601), 1,
      sym_caller,
  [42119] = 1,
    ACTIONS(10603), 1,
      sym__spaceOrLine,
  [42123] = 1,
    ACTIONS(10605), 1,
      sym__spaceOrLine,
  [42127] = 1,
    ACTIONS(10607), 1,
      sym__spaceOrLine,
  [42131] = 1,
    ACTIONS(10609), 1,
      sym__spaceOrLine,
  [42135] = 1,
    ACTIONS(10611), 1,
      sym__spaceOrLine,
  [42139] = 1,
    ACTIONS(10613), 1,
      sym__spaceOrLine,
  [42143] = 1,
    ACTIONS(10615), 1,
      sym__spaceOrLine,
  [42147] = 1,
    ACTIONS(10617), 1,
      sym__spaceOrLine,
  [42151] = 1,
    ACTIONS(10619), 1,
      sym__spaceOrLine,
  [42155] = 1,
    ACTIONS(10621), 1,
      sym__spaceOrLine,
  [42159] = 1,
    ACTIONS(10623), 1,
      sym__spaceOrLine,
  [42163] = 1,
    ACTIONS(10625), 1,
      sym__spaceOrLine,
  [42167] = 1,
    ACTIONS(10627), 1,
      sym__spaceOrLine,
  [42171] = 1,
    ACTIONS(10629), 1,
      sym__spaceOrLine,
  [42175] = 1,
    ACTIONS(10631), 1,
      sym__spaceOrLine,
  [42179] = 1,
    ACTIONS(10633), 1,
      sym__spaceOrLine,
  [42183] = 1,
    ACTIONS(10635), 1,
      sym__spaceOrLine,
  [42187] = 1,
    ACTIONS(10637), 1,
      sym__spaceOrLine,
  [42191] = 1,
    ACTIONS(10639), 1,
      sym__spaceOrLine,
  [42195] = 1,
    ACTIONS(10641), 1,
      sym__spaceOrLine,
  [42199] = 1,
    ACTIONS(10643), 1,
      sym__spaceOrLine,
  [42203] = 1,
    ACTIONS(10645), 1,
      sym__spaceOrLine,
  [42207] = 1,
    ACTIONS(10647), 1,
      sym__spaceOrLine,
  [42211] = 1,
    ACTIONS(10649), 1,
      sym__spaceOrLine,
  [42215] = 1,
    ACTIONS(10651), 1,
      sym__spaceOrLine,
  [42219] = 1,
    ACTIONS(10653), 1,
      sym__spaceOrLine,
  [42223] = 1,
    ACTIONS(10655), 1,
      sym__spaceOrLine,
  [42227] = 1,
    ACTIONS(10657), 1,
      anon_sym_DQUOTE,
  [42231] = 1,
    ACTIONS(10659), 1,
      sym__spaceOrLine,
  [42235] = 1,
    ACTIONS(10661), 1,
      sym__spaceOrLine,
  [42239] = 1,
    ACTIONS(10663), 1,
      sym__spaceOrLine,
  [42243] = 1,
    ACTIONS(10665), 1,
      sym__spaceOrLine,
  [42247] = 1,
    ACTIONS(10667), 1,
      sym__spaceOrLine,
  [42251] = 1,
    ACTIONS(10669), 1,
      sym__spaceOrLine,
  [42255] = 1,
    ACTIONS(10671), 1,
      sym__spaceOrLine,
  [42259] = 1,
    ACTIONS(10673), 1,
      sym__spaceOrLine,
  [42263] = 1,
    ACTIONS(10675), 1,
      sym__spaceOrLine,
  [42267] = 1,
    ACTIONS(10677), 1,
      sym__spaceOrLine,
  [42271] = 1,
    ACTIONS(10679), 1,
      sym__spaceOrLine,
  [42275] = 1,
    ACTIONS(10681), 1,
      sym__spaceOrLine,
  [42279] = 1,
    ACTIONS(10683), 1,
      sym__spaceOrLine,
  [42283] = 1,
    ACTIONS(10685), 1,
      sym__spaceOrLine,
  [42287] = 1,
    ACTIONS(10687), 1,
      sym__spaceOrLine,
  [42291] = 1,
    ACTIONS(10689), 1,
      sym__spaceOrLine,
  [42295] = 1,
    ACTIONS(10691), 1,
      sym__spaceOrLine,
  [42299] = 1,
    ACTIONS(10693), 1,
      sym__spaceOrLine,
  [42303] = 1,
    ACTIONS(10695), 1,
      sym__spaceOrLine,
  [42307] = 1,
    ACTIONS(10697), 1,
      sym__spaceOrLine,
  [42311] = 1,
    ACTIONS(10699), 1,
      sym__spaceOrLine,
  [42315] = 1,
    ACTIONS(10701), 1,
      sym__spaceOrLine,
  [42319] = 1,
    ACTIONS(10703), 1,
      sym__spaceOrLine,
  [42323] = 1,
    ACTIONS(10705), 1,
      sym__spaceOrLine,
  [42327] = 1,
    ACTIONS(10707), 1,
      sym__spaceOrLine,
  [42331] = 1,
    ACTIONS(10709), 1,
      sym__spaceOrLine,
  [42335] = 1,
    ACTIONS(10711), 1,
      sym__spaceOrLine,
  [42339] = 1,
    ACTIONS(10713), 1,
      sym__spaceOrLine,
  [42343] = 1,
    ACTIONS(10715), 1,
      anon_sym_EQ,
  [42347] = 1,
    ACTIONS(10717), 1,
      anon_sym_EQ,
  [42351] = 1,
    ACTIONS(10719), 1,
      anon_sym_BSLASHk_STAR,
  [42355] = 1,
    ACTIONS(10721), 1,
      sym_verseNumber,
  [42359] = 1,
    ACTIONS(10723), 1,
      anon_sym_DQUOTE,
  [42363] = 1,
    ACTIONS(10725), 1,
      sym__spaceOrLine,
  [42367] = 1,
    ACTIONS(10727), 1,
      sym__spaceOrLine,
  [42371] = 1,
    ACTIONS(10729), 1,
      sym__spaceOrLine,
  [42375] = 1,
    ACTIONS(10731), 1,
      sym__spaceOrLine,
  [42379] = 1,
    ACTIONS(10733), 1,
      sym__spaceOrLine,
  [42383] = 1,
    ACTIONS(10735), 1,
      sym__spaceOrLine,
  [42387] = 1,
    ACTIONS(10737), 1,
      sym__spaceOrLine,
  [42391] = 1,
    ACTIONS(10739), 1,
      sym__spaceOrLine,
  [42395] = 1,
    ACTIONS(10741), 1,
      sym__spaceOrLine,
  [42399] = 1,
    ACTIONS(10743), 1,
      sym__spaceOrLine,
  [42403] = 1,
    ACTIONS(10745), 1,
      sym__spaceOrLine,
  [42407] = 1,
    ACTIONS(10747), 1,
      sym__spaceOrLine,
  [42411] = 1,
    ACTIONS(10749), 1,
      sym__spaceOrLine,
  [42415] = 1,
    ACTIONS(10751), 1,
      sym__spaceOrLine,
  [42419] = 1,
    ACTIONS(10753), 1,
      sym__spaceOrLine,
  [42423] = 1,
    ACTIONS(10755), 1,
      sym__spaceOrLine,
  [42427] = 1,
    ACTIONS(10757), 1,
      sym__spaceOrLine,
  [42431] = 1,
    ACTIONS(10759), 1,
      sym__spaceOrLine,
  [42435] = 1,
    ACTIONS(10761), 1,
      sym__spaceOrLine,
  [42439] = 1,
    ACTIONS(10763), 1,
      sym__spaceOrLine,
  [42443] = 1,
    ACTIONS(10765), 1,
      sym__spaceOrLine,
  [42447] = 1,
    ACTIONS(10767), 1,
      sym__spaceOrLine,
  [42451] = 1,
    ACTIONS(10769), 1,
      sym__spaceOrLine,
  [42455] = 1,
    ACTIONS(10771), 1,
      sym__spaceOrLine,
  [42459] = 1,
    ACTIONS(10773), 1,
      sym__spaceOrLine,
  [42463] = 1,
    ACTIONS(10775), 1,
      sym__spaceOrLine,
  [42467] = 1,
    ACTIONS(10777), 1,
      sym__spaceOrLine,
  [42471] = 1,
    ACTIONS(10779), 1,
      sym__spaceOrLine,
  [42475] = 1,
    ACTIONS(10781), 1,
      anon_sym_DQUOTE,
  [42479] = 1,
    ACTIONS(10783), 1,
      anon_sym_EQ,
  [42483] = 1,
    ACTIONS(10785), 1,
      sym_verseNumber,
  [42487] = 1,
    ACTIONS(10787), 1,
      anon_sym_DQUOTE,
  [42491] = 1,
    ACTIONS(10789), 1,
      sym__spaceOrLine,
  [42495] = 1,
    ACTIONS(10791), 1,
      sym__spaceOrLine,
  [42499] = 1,
    ACTIONS(10793), 1,
      sym__spaceOrLine,
  [42503] = 1,
    ACTIONS(10795), 1,
      sym__spaceOrLine,
  [42507] = 1,
    ACTIONS(10797), 1,
      sym__spaceOrLine,
  [42511] = 1,
    ACTIONS(10799), 1,
      sym__spaceOrLine,
  [42515] = 1,
    ACTIONS(10801), 1,
      sym__spaceOrLine,
  [42519] = 1,
    ACTIONS(10803), 1,
      sym__spaceOrLine,
  [42523] = 1,
    ACTIONS(10805), 1,
      sym__spaceOrLine,
  [42527] = 1,
    ACTIONS(10807), 1,
      sym__spaceOrLine,
  [42531] = 1,
    ACTIONS(10809), 1,
      sym__spaceOrLine,
  [42535] = 1,
    ACTIONS(10811), 1,
      sym__spaceOrLine,
  [42539] = 1,
    ACTIONS(10813), 1,
      sym__spaceOrLine,
  [42543] = 1,
    ACTIONS(10815), 1,
      sym__spaceOrLine,
  [42547] = 1,
    ACTIONS(10817), 1,
      sym__spaceOrLine,
  [42551] = 1,
    ACTIONS(10819), 1,
      sym__spaceOrLine,
  [42555] = 1,
    ACTIONS(10821), 1,
      sym__spaceOrLine,
  [42559] = 1,
    ACTIONS(10823), 1,
      sym__spaceOrLine,
  [42563] = 1,
    ACTIONS(10825), 1,
      sym__spaceOrLine,
  [42567] = 1,
    ACTIONS(10827), 1,
      sym__spaceOrLine,
  [42571] = 1,
    ACTIONS(10829), 1,
      sym__spaceOrLine,
  [42575] = 1,
    ACTIONS(10831), 1,
      sym__spaceOrLine,
  [42579] = 1,
    ACTIONS(10833), 1,
      sym__spaceOrLine,
  [42583] = 1,
    ACTIONS(10835), 1,
      sym__spaceOrLine,
  [42587] = 1,
    ACTIONS(10837), 1,
      sym__spaceOrLine,
  [42591] = 1,
    ACTIONS(10839), 1,
      sym__spaceOrLine,
  [42595] = 1,
    ACTIONS(10841), 1,
      sym__spaceOrLine,
  [42599] = 1,
    ACTIONS(10843), 1,
      anon_sym_DQUOTE,
  [42603] = 1,
    ACTIONS(10845), 1,
      sym_verseNumber,
  [42607] = 1,
    ACTIONS(10847), 1,
      anon_sym_DQUOTE,
  [42611] = 1,
    ACTIONS(10849), 1,
      sym__spaceOrLine,
  [42615] = 1,
    ACTIONS(10851), 1,
      sym__spaceOrLine,
  [42619] = 1,
    ACTIONS(10853), 1,
      sym__spaceOrLine,
  [42623] = 1,
    ACTIONS(10855), 1,
      sym__spaceOrLine,
  [42627] = 1,
    ACTIONS(10857), 1,
      sym__spaceOrLine,
  [42631] = 1,
    ACTIONS(10859), 1,
      sym__spaceOrLine,
  [42635] = 1,
    ACTIONS(10861), 1,
      sym__spaceOrLine,
  [42639] = 1,
    ACTIONS(10863), 1,
      sym__spaceOrLine,
  [42643] = 1,
    ACTIONS(10865), 1,
      sym__spaceOrLine,
  [42647] = 1,
    ACTIONS(10867), 1,
      sym__spaceOrLine,
  [42651] = 1,
    ACTIONS(10869), 1,
      sym__spaceOrLine,
  [42655] = 1,
    ACTIONS(10871), 1,
      sym__spaceOrLine,
  [42659] = 1,
    ACTIONS(10873), 1,
      sym__spaceOrLine,
  [42663] = 1,
    ACTIONS(10875), 1,
      sym__spaceOrLine,
  [42667] = 1,
    ACTIONS(10877), 1,
      sym__spaceOrLine,
  [42671] = 1,
    ACTIONS(10879), 1,
      sym__spaceOrLine,
  [42675] = 1,
    ACTIONS(10881), 1,
      sym__spaceOrLine,
  [42679] = 1,
    ACTIONS(10883), 1,
      sym__spaceOrLine,
  [42683] = 1,
    ACTIONS(10885), 1,
      sym__spaceOrLine,
  [42687] = 1,
    ACTIONS(10887), 1,
      sym__spaceOrLine,
  [42691] = 1,
    ACTIONS(10889), 1,
      sym__spaceOrLine,
  [42695] = 1,
    ACTIONS(10891), 1,
      sym__spaceOrLine,
  [42699] = 1,
    ACTIONS(10893), 1,
      sym__spaceOrLine,
  [42703] = 1,
    ACTIONS(10895), 1,
      sym__spaceOrLine,
  [42707] = 1,
    ACTIONS(10897), 1,
      sym__spaceOrLine,
  [42711] = 1,
    ACTIONS(10899), 1,
      sym__spaceOrLine,
  [42715] = 1,
    ACTIONS(10901), 1,
      sym__spaceOrLine,
  [42719] = 1,
    ACTIONS(10903), 1,
      anon_sym_DQUOTE,
  [42723] = 1,
    ACTIONS(10905), 1,
      sym_verseNumber,
  [42727] = 1,
    ACTIONS(10907), 1,
      anon_sym_DQUOTE,
  [42731] = 1,
    ACTIONS(10909), 1,
      sym__spaceOrLine,
  [42735] = 1,
    ACTIONS(10911), 1,
      sym__spaceOrLine,
  [42739] = 1,
    ACTIONS(10913), 1,
      sym__spaceOrLine,
  [42743] = 1,
    ACTIONS(10915), 1,
      sym__spaceOrLine,
  [42747] = 1,
    ACTIONS(10917), 1,
      sym__spaceOrLine,
  [42751] = 1,
    ACTIONS(10919), 1,
      sym__spaceOrLine,
  [42755] = 1,
    ACTIONS(10921), 1,
      sym__spaceOrLine,
  [42759] = 1,
    ACTIONS(10923), 1,
      sym__spaceOrLine,
  [42763] = 1,
    ACTIONS(10925), 1,
      sym__spaceOrLine,
  [42767] = 1,
    ACTIONS(10927), 1,
      sym__spaceOrLine,
  [42771] = 1,
    ACTIONS(10929), 1,
      sym__spaceOrLine,
  [42775] = 1,
    ACTIONS(10931), 1,
      sym__spaceOrLine,
  [42779] = 1,
    ACTIONS(10933), 1,
      sym__spaceOrLine,
  [42783] = 1,
    ACTIONS(10935), 1,
      sym__spaceOrLine,
  [42787] = 1,
    ACTIONS(10937), 1,
      sym__spaceOrLine,
  [42791] = 1,
    ACTIONS(10939), 1,
      sym__spaceOrLine,
  [42795] = 1,
    ACTIONS(10941), 1,
      sym__spaceOrLine,
  [42799] = 1,
    ACTIONS(10943), 1,
      sym__spaceOrLine,
  [42803] = 1,
    ACTIONS(10945), 1,
      sym__spaceOrLine,
  [42807] = 1,
    ACTIONS(10947), 1,
      sym__spaceOrLine,
  [42811] = 1,
    ACTIONS(10949), 1,
      sym__spaceOrLine,
  [42815] = 1,
    ACTIONS(10951), 1,
      sym__spaceOrLine,
  [42819] = 1,
    ACTIONS(10953), 1,
      sym__spaceOrLine,
  [42823] = 1,
    ACTIONS(10955), 1,
      sym__spaceOrLine,
  [42827] = 1,
    ACTIONS(10957), 1,
      sym__spaceOrLine,
  [42831] = 1,
    ACTIONS(10959), 1,
      sym__spaceOrLine,
  [42835] = 1,
    ACTIONS(10961), 1,
      sym__spaceOrLine,
  [42839] = 1,
    ACTIONS(10963), 1,
      sym_bookcode,
  [42843] = 1,
    ACTIONS(10965), 1,
      sym_verseNumber,
  [42847] = 1,
    ACTIONS(10967), 1,
      anon_sym_DQUOTE,
  [42851] = 1,
    ACTIONS(10969), 1,
      sym__spaceOrLine,
  [42855] = 1,
    ACTIONS(10971), 1,
      sym__spaceOrLine,
  [42859] = 1,
    ACTIONS(10973), 1,
      sym__spaceOrLine,
  [42863] = 1,
    ACTIONS(10975), 1,
      sym__spaceOrLine,
  [42867] = 1,
    ACTIONS(10977), 1,
      sym__spaceOrLine,
  [42871] = 1,
    ACTIONS(10979), 1,
      sym__spaceOrLine,
  [42875] = 1,
    ACTIONS(10981), 1,
      sym__spaceOrLine,
  [42879] = 1,
    ACTIONS(10983), 1,
      sym__spaceOrLine,
  [42883] = 1,
    ACTIONS(10985), 1,
      sym__spaceOrLine,
  [42887] = 1,
    ACTIONS(10987), 1,
      sym__spaceOrLine,
  [42891] = 1,
    ACTIONS(10989), 1,
      sym__spaceOrLine,
  [42895] = 1,
    ACTIONS(10991), 1,
      sym__spaceOrLine,
  [42899] = 1,
    ACTIONS(10993), 1,
      sym__spaceOrLine,
  [42903] = 1,
    ACTIONS(10995), 1,
      sym__spaceOrLine,
  [42907] = 1,
    ACTIONS(10997), 1,
      sym__spaceOrLine,
  [42911] = 1,
    ACTIONS(10999), 1,
      sym__spaceOrLine,
  [42915] = 1,
    ACTIONS(11001), 1,
      sym__spaceOrLine,
  [42919] = 1,
    ACTIONS(11003), 1,
      sym__spaceOrLine,
  [42923] = 1,
    ACTIONS(11005), 1,
      sym__spaceOrLine,
  [42927] = 1,
    ACTIONS(11007), 1,
      sym__spaceOrLine,
  [42931] = 1,
    ACTIONS(11009), 1,
      sym__spaceOrLine,
  [42935] = 1,
    ACTIONS(11011), 1,
      sym__spaceOrLine,
  [42939] = 1,
    ACTIONS(11013), 1,
      sym__spaceOrLine,
  [42943] = 1,
    ACTIONS(11015), 1,
      sym__spaceOrLine,
  [42947] = 1,
    ACTIONS(11017), 1,
      sym__spaceOrLine,
  [42951] = 1,
    ACTIONS(11019), 1,
      sym__spaceOrLine,
  [42955] = 1,
    ACTIONS(11021), 1,
      sym__spaceOrLine,
  [42959] = 1,
    ACTIONS(11023), 1,
      anon_sym_DQUOTE,
  [42963] = 1,
    ACTIONS(11025), 1,
      sym__spaceOrLine,
  [42967] = 1,
    ACTIONS(11027), 1,
      sym__spaceOrLine,
  [42971] = 1,
    ACTIONS(11029), 1,
      sym__spaceOrLine,
  [42975] = 1,
    ACTIONS(11031), 1,
      sym__spaceOrLine,
  [42979] = 1,
    ACTIONS(11033), 1,
      sym__spaceOrLine,
  [42983] = 1,
    ACTIONS(11035), 1,
      sym__spaceOrLine,
  [42987] = 1,
    ACTIONS(11037), 1,
      sym__spaceOrLine,
  [42991] = 1,
    ACTIONS(11039), 1,
      sym__spaceOrLine,
  [42995] = 1,
    ACTIONS(11041), 1,
      sym__spaceOrLine,
  [42999] = 1,
    ACTIONS(11043), 1,
      sym__spaceOrLine,
  [43003] = 1,
    ACTIONS(11045), 1,
      sym__spaceOrLine,
  [43007] = 1,
    ACTIONS(11047), 1,
      sym__spaceOrLine,
  [43011] = 1,
    ACTIONS(11049), 1,
      sym__spaceOrLine,
  [43015] = 1,
    ACTIONS(11051), 1,
      sym__spaceOrLine,
  [43019] = 1,
    ACTIONS(11053), 1,
      sym__spaceOrLine,
  [43023] = 1,
    ACTIONS(11055), 1,
      sym__spaceOrLine,
  [43027] = 1,
    ACTIONS(11057), 1,
      sym__spaceOrLine,
  [43031] = 1,
    ACTIONS(11059), 1,
      sym__spaceOrLine,
  [43035] = 1,
    ACTIONS(11061), 1,
      sym__spaceOrLine,
  [43039] = 1,
    ACTIONS(11063), 1,
      sym__spaceOrLine,
  [43043] = 1,
    ACTIONS(11065), 1,
      sym__spaceOrLine,
  [43047] = 1,
    ACTIONS(11067), 1,
      sym__spaceOrLine,
  [43051] = 1,
    ACTIONS(11069), 1,
      sym__spaceOrLine,
  [43055] = 1,
    ACTIONS(11071), 1,
      sym__spaceOrLine,
  [43059] = 1,
    ACTIONS(11073), 1,
      sym__spaceOrLine,
  [43063] = 1,
    ACTIONS(11075), 1,
      sym__spaceOrLine,
  [43067] = 1,
    ACTIONS(11077), 1,
      sym__spaceOrLine,
  [43071] = 1,
    ACTIONS(11079), 1,
      anon_sym_BSLASHk_STAR,
  [43075] = 1,
    ACTIONS(11081), 1,
      sym__spaceOrLine,
  [43079] = 1,
    ACTIONS(11083), 1,
      sym__spaceOrLine,
  [43083] = 1,
    ACTIONS(11085), 1,
      sym__spaceOrLine,
  [43087] = 1,
    ACTIONS(11087), 1,
      sym__spaceOrLine,
  [43091] = 1,
    ACTIONS(11089), 1,
      sym__spaceOrLine,
  [43095] = 1,
    ACTIONS(11091), 1,
      sym__spaceOrLine,
  [43099] = 1,
    ACTIONS(11093), 1,
      sym__spaceOrLine,
  [43103] = 1,
    ACTIONS(11095), 1,
      sym__spaceOrLine,
  [43107] = 1,
    ACTIONS(11097), 1,
      sym__spaceOrLine,
  [43111] = 1,
    ACTIONS(11099), 1,
      sym__spaceOrLine,
  [43115] = 1,
    ACTIONS(11101), 1,
      sym__spaceOrLine,
  [43119] = 1,
    ACTIONS(11103), 1,
      sym__spaceOrLine,
  [43123] = 1,
    ACTIONS(11105), 1,
      sym__spaceOrLine,
  [43127] = 1,
    ACTIONS(11107), 1,
      sym__spaceOrLine,
  [43131] = 1,
    ACTIONS(11109), 1,
      sym__spaceOrLine,
  [43135] = 1,
    ACTIONS(11111), 1,
      sym__spaceOrLine,
  [43139] = 1,
    ACTIONS(11113), 1,
      sym__spaceOrLine,
  [43143] = 1,
    ACTIONS(11115), 1,
      sym__spaceOrLine,
  [43147] = 1,
    ACTIONS(11117), 1,
      sym__spaceOrLine,
  [43151] = 1,
    ACTIONS(11119), 1,
      sym__spaceOrLine,
  [43155] = 1,
    ACTIONS(11121), 1,
      sym__spaceOrLine,
  [43159] = 1,
    ACTIONS(11123), 1,
      sym__spaceOrLine,
  [43163] = 1,
    ACTIONS(11125), 1,
      sym__spaceOrLine,
  [43167] = 1,
    ACTIONS(11127), 1,
      sym__spaceOrLine,
  [43171] = 1,
    ACTIONS(11129), 1,
      sym__spaceOrLine,
  [43175] = 1,
    ACTIONS(11131), 1,
      sym__spaceOrLine,
  [43179] = 1,
    ACTIONS(11133), 1,
      sym__spaceOrLine,
  [43183] = 1,
    ACTIONS(11135), 1,
      anon_sym_DQUOTE,
  [43187] = 1,
    ACTIONS(11137), 1,
      sym__spaceOrLine,
  [43191] = 1,
    ACTIONS(11139), 1,
      sym__spaceOrLine,
  [43195] = 1,
    ACTIONS(11141), 1,
      sym__spaceOrLine,
  [43199] = 1,
    ACTIONS(11143), 1,
      sym__spaceOrLine,
  [43203] = 1,
    ACTIONS(11145), 1,
      sym__spaceOrLine,
  [43207] = 1,
    ACTIONS(11147), 1,
      sym__spaceOrLine,
  [43211] = 1,
    ACTIONS(11149), 1,
      sym__spaceOrLine,
  [43215] = 1,
    ACTIONS(11151), 1,
      sym__spaceOrLine,
  [43219] = 1,
    ACTIONS(11153), 1,
      sym__spaceOrLine,
  [43223] = 1,
    ACTIONS(11155), 1,
      sym__spaceOrLine,
  [43227] = 1,
    ACTIONS(11157), 1,
      sym__spaceOrLine,
  [43231] = 1,
    ACTIONS(11159), 1,
      sym__spaceOrLine,
  [43235] = 1,
    ACTIONS(11161), 1,
      sym__spaceOrLine,
  [43239] = 1,
    ACTIONS(11163), 1,
      sym__spaceOrLine,
  [43243] = 1,
    ACTIONS(11165), 1,
      sym__spaceOrLine,
  [43247] = 1,
    ACTIONS(11167), 1,
      sym__spaceOrLine,
  [43251] = 1,
    ACTIONS(11169), 1,
      sym__spaceOrLine,
  [43255] = 1,
    ACTIONS(11171), 1,
      sym__spaceOrLine,
  [43259] = 1,
    ACTIONS(11173), 1,
      sym__spaceOrLine,
  [43263] = 1,
    ACTIONS(11175), 1,
      sym__spaceOrLine,
  [43267] = 1,
    ACTIONS(11177), 1,
      sym__spaceOrLine,
  [43271] = 1,
    ACTIONS(11179), 1,
      sym__spaceOrLine,
  [43275] = 1,
    ACTIONS(11181), 1,
      sym__spaceOrLine,
  [43279] = 1,
    ACTIONS(11183), 1,
      sym__spaceOrLine,
  [43283] = 1,
    ACTIONS(11185), 1,
      sym__spaceOrLine,
  [43287] = 1,
    ACTIONS(11187), 1,
      sym__spaceOrLine,
  [43291] = 1,
    ACTIONS(11189), 1,
      sym__spaceOrLine,
  [43295] = 1,
    ACTIONS(11191), 1,
      anon_sym_DQUOTE,
  [43299] = 1,
    ACTIONS(11193), 1,
      sym__spaceOrLine,
  [43303] = 1,
    ACTIONS(11195), 1,
      sym__spaceOrLine,
  [43307] = 1,
    ACTIONS(11197), 1,
      anon_sym_DQUOTE,
  [43311] = 1,
    ACTIONS(11199), 1,
      ts_builtin_sym_end,
  [43315] = 1,
    ACTIONS(11201), 1,
      sym__spaceOrLine,
  [43319] = 1,
    ACTIONS(11203), 1,
      sym__spaceOrLine,
  [43323] = 1,
    ACTIONS(11205), 1,
      sym__spaceOrLine,
  [43327] = 1,
    ACTIONS(11207), 1,
      sym__spaceOrLine,
  [43331] = 1,
    ACTIONS(11209), 1,
      sym__spaceOrLine,
  [43335] = 1,
    ACTIONS(11211), 1,
      sym__spaceOrLine,
  [43339] = 1,
    ACTIONS(11213), 1,
      sym__spaceOrLine,
  [43343] = 1,
    ACTIONS(11215), 1,
      sym__spaceOrLine,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1269)] = 0,
  [SMALL_STATE(1270)] = 69,
  [SMALL_STATE(1271)] = 138,
  [SMALL_STATE(1272)] = 207,
  [SMALL_STATE(1273)] = 276,
  [SMALL_STATE(1274)] = 345,
  [SMALL_STATE(1275)] = 414,
  [SMALL_STATE(1276)] = 483,
  [SMALL_STATE(1277)] = 552,
  [SMALL_STATE(1278)] = 621,
  [SMALL_STATE(1279)] = 690,
  [SMALL_STATE(1280)] = 759,
  [SMALL_STATE(1281)] = 828,
  [SMALL_STATE(1282)] = 897,
  [SMALL_STATE(1283)] = 966,
  [SMALL_STATE(1284)] = 1035,
  [SMALL_STATE(1285)] = 1104,
  [SMALL_STATE(1286)] = 1173,
  [SMALL_STATE(1287)] = 1242,
  [SMALL_STATE(1288)] = 1311,
  [SMALL_STATE(1289)] = 1380,
  [SMALL_STATE(1290)] = 1449,
  [SMALL_STATE(1291)] = 1518,
  [SMALL_STATE(1292)] = 1587,
  [SMALL_STATE(1293)] = 1656,
  [SMALL_STATE(1294)] = 1725,
  [SMALL_STATE(1295)] = 1794,
  [SMALL_STATE(1296)] = 1863,
  [SMALL_STATE(1297)] = 1932,
  [SMALL_STATE(1298)] = 2001,
  [SMALL_STATE(1299)] = 2070,
  [SMALL_STATE(1300)] = 2139,
  [SMALL_STATE(1301)] = 2208,
  [SMALL_STATE(1302)] = 2277,
  [SMALL_STATE(1303)] = 2346,
  [SMALL_STATE(1304)] = 2415,
  [SMALL_STATE(1305)] = 2484,
  [SMALL_STATE(1306)] = 2553,
  [SMALL_STATE(1307)] = 2622,
  [SMALL_STATE(1308)] = 2691,
  [SMALL_STATE(1309)] = 2760,
  [SMALL_STATE(1310)] = 2829,
  [SMALL_STATE(1311)] = 2898,
  [SMALL_STATE(1312)] = 2967,
  [SMALL_STATE(1313)] = 3036,
  [SMALL_STATE(1314)] = 3124,
  [SMALL_STATE(1315)] = 3202,
  [SMALL_STATE(1316)] = 3280,
  [SMALL_STATE(1317)] = 3358,
  [SMALL_STATE(1318)] = 3446,
  [SMALL_STATE(1319)] = 3571,
  [SMALL_STATE(1320)] = 3696,
  [SMALL_STATE(1321)] = 3821,
  [SMALL_STATE(1322)] = 3946,
  [SMALL_STATE(1323)] = 4071,
  [SMALL_STATE(1324)] = 4196,
  [SMALL_STATE(1325)] = 4321,
  [SMALL_STATE(1326)] = 4446,
  [SMALL_STATE(1327)] = 4511,
  [SMALL_STATE(1328)] = 4576,
  [SMALL_STATE(1329)] = 4649,
  [SMALL_STATE(1330)] = 4732,
  [SMALL_STATE(1331)] = 4797,
  [SMALL_STATE(1332)] = 4882,
  [SMALL_STATE(1333)] = 4947,
  [SMALL_STATE(1334)] = 5022,
  [SMALL_STATE(1335)] = 5087,
  [SMALL_STATE(1336)] = 5152,
  [SMALL_STATE(1337)] = 5217,
  [SMALL_STATE(1338)] = 5282,
  [SMALL_STATE(1339)] = 5347,
  [SMALL_STATE(1340)] = 5424,
  [SMALL_STATE(1341)] = 5489,
  [SMALL_STATE(1342)] = 5554,
  [SMALL_STATE(1343)] = 5619,
  [SMALL_STATE(1344)] = 5684,
  [SMALL_STATE(1345)] = 5749,
  [SMALL_STATE(1346)] = 5814,
  [SMALL_STATE(1347)] = 5879,
  [SMALL_STATE(1348)] = 5944,
  [SMALL_STATE(1349)] = 6009,
  [SMALL_STATE(1350)] = 6092,
  [SMALL_STATE(1351)] = 6177,
  [SMALL_STATE(1352)] = 6252,
  [SMALL_STATE(1353)] = 6317,
  [SMALL_STATE(1354)] = 6392,
  [SMALL_STATE(1355)] = 6457,
  [SMALL_STATE(1356)] = 6522,
  [SMALL_STATE(1357)] = 6587,
  [SMALL_STATE(1358)] = 6657,
  [SMALL_STATE(1359)] = 6727,
  [SMALL_STATE(1360)] = 6791,
  [SMALL_STATE(1361)] = 6869,
  [SMALL_STATE(1362)] = 6932,
  [SMALL_STATE(1363)] = 6995,
  [SMALL_STATE(1364)] = 7058,
  [SMALL_STATE(1365)] = 7127,
  [SMALL_STATE(1366)] = 7190,
  [SMALL_STATE(1367)] = 7253,
  [SMALL_STATE(1368)] = 7316,
  [SMALL_STATE(1369)] = 7379,
  [SMALL_STATE(1370)] = 7442,
  [SMALL_STATE(1371)] = 7505,
  [SMALL_STATE(1372)] = 7568,
  [SMALL_STATE(1373)] = 7641,
  [SMALL_STATE(1374)] = 7710,
  [SMALL_STATE(1375)] = 7773,
  [SMALL_STATE(1376)] = 7836,
  [SMALL_STATE(1377)] = 7899,
  [SMALL_STATE(1378)] = 7962,
  [SMALL_STATE(1379)] = 8025,
  [SMALL_STATE(1380)] = 8088,
  [SMALL_STATE(1381)] = 8151,
  [SMALL_STATE(1382)] = 8220,
  [SMALL_STATE(1383)] = 8289,
  [SMALL_STATE(1384)] = 8352,
  [SMALL_STATE(1385)] = 8424,
  [SMALL_STATE(1386)] = 8492,
  [SMALL_STATE(1387)] = 8560,
  [SMALL_STATE(1388)] = 8626,
  [SMALL_STATE(1389)] = 8692,
  [SMALL_STATE(1390)] = 8760,
  [SMALL_STATE(1391)] = 8832,
  [SMALL_STATE(1392)] = 8900,
  [SMALL_STATE(1393)] = 8972,
  [SMALL_STATE(1394)] = 9038,
  [SMALL_STATE(1395)] = 9106,
  [SMALL_STATE(1396)] = 9174,
  [SMALL_STATE(1397)] = 9240,
  [SMALL_STATE(1398)] = 9308,
  [SMALL_STATE(1399)] = 9376,
  [SMALL_STATE(1400)] = 9444,
  [SMALL_STATE(1401)] = 9516,
  [SMALL_STATE(1402)] = 9586,
  [SMALL_STATE(1403)] = 9654,
  [SMALL_STATE(1404)] = 9722,
  [SMALL_STATE(1405)] = 9790,
  [SMALL_STATE(1406)] = 9858,
  [SMALL_STATE(1407)] = 9924,
  [SMALL_STATE(1408)] = 9992,
  [SMALL_STATE(1409)] = 10060,
  [SMALL_STATE(1410)] = 10128,
  [SMALL_STATE(1411)] = 10196,
  [SMALL_STATE(1412)] = 10257,
  [SMALL_STATE(1413)] = 10318,
  [SMALL_STATE(1414)] = 10385,
  [SMALL_STATE(1415)] = 10446,
  [SMALL_STATE(1416)] = 10507,
  [SMALL_STATE(1417)] = 10568,
  [SMALL_STATE(1418)] = 10629,
  [SMALL_STATE(1419)] = 10696,
  [SMALL_STATE(1420)] = 10763,
  [SMALL_STATE(1421)] = 10824,
  [SMALL_STATE(1422)] = 10885,
  [SMALL_STATE(1423)] = 10946,
  [SMALL_STATE(1424)] = 11007,
  [SMALL_STATE(1425)] = 11068,
  [SMALL_STATE(1426)] = 11129,
  [SMALL_STATE(1427)] = 11190,
  [SMALL_STATE(1428)] = 11251,
  [SMALL_STATE(1429)] = 11312,
  [SMALL_STATE(1430)] = 11377,
  [SMALL_STATE(1431)] = 11438,
  [SMALL_STATE(1432)] = 11499,
  [SMALL_STATE(1433)] = 11560,
  [SMALL_STATE(1434)] = 11621,
  [SMALL_STATE(1435)] = 11682,
  [SMALL_STATE(1436)] = 11743,
  [SMALL_STATE(1437)] = 11804,
  [SMALL_STATE(1438)] = 11865,
  [SMALL_STATE(1439)] = 11926,
  [SMALL_STATE(1440)] = 11987,
  [SMALL_STATE(1441)] = 12048,
  [SMALL_STATE(1442)] = 12109,
  [SMALL_STATE(1443)] = 12170,
  [SMALL_STATE(1444)] = 12231,
  [SMALL_STATE(1445)] = 12292,
  [SMALL_STATE(1446)] = 12353,
  [SMALL_STATE(1447)] = 12414,
  [SMALL_STATE(1448)] = 12475,
  [SMALL_STATE(1449)] = 12536,
  [SMALL_STATE(1450)] = 12597,
  [SMALL_STATE(1451)] = 12658,
  [SMALL_STATE(1452)] = 12719,
  [SMALL_STATE(1453)] = 12784,
  [SMALL_STATE(1454)] = 12845,
  [SMALL_STATE(1455)] = 12914,
  [SMALL_STATE(1456)] = 12975,
  [SMALL_STATE(1457)] = 13036,
  [SMALL_STATE(1458)] = 13097,
  [SMALL_STATE(1459)] = 13158,
  [SMALL_STATE(1460)] = 13219,
  [SMALL_STATE(1461)] = 13280,
  [SMALL_STATE(1462)] = 13341,
  [SMALL_STATE(1463)] = 13401,
  [SMALL_STATE(1464)] = 13460,
  [SMALL_STATE(1465)] = 13519,
  [SMALL_STATE(1466)] = 13588,
  [SMALL_STATE(1467)] = 13647,
  [SMALL_STATE(1468)] = 13706,
  [SMALL_STATE(1469)] = 13765,
  [SMALL_STATE(1470)] = 13823,
  [SMALL_STATE(1471)] = 13881,
  [SMALL_STATE(1472)] = 13939,
  [SMALL_STATE(1473)] = 13997,
  [SMALL_STATE(1474)] = 14055,
  [SMALL_STATE(1475)] = 14113,
  [SMALL_STATE(1476)] = 14171,
  [SMALL_STATE(1477)] = 14229,
  [SMALL_STATE(1478)] = 14287,
  [SMALL_STATE(1479)] = 14345,
  [SMALL_STATE(1480)] = 14403,
  [SMALL_STATE(1481)] = 14461,
  [SMALL_STATE(1482)] = 14519,
  [SMALL_STATE(1483)] = 14577,
  [SMALL_STATE(1484)] = 14635,
  [SMALL_STATE(1485)] = 14693,
  [SMALL_STATE(1486)] = 14751,
  [SMALL_STATE(1487)] = 14809,
  [SMALL_STATE(1488)] = 14867,
  [SMALL_STATE(1489)] = 14925,
  [SMALL_STATE(1490)] = 14983,
  [SMALL_STATE(1491)] = 15041,
  [SMALL_STATE(1492)] = 15099,
  [SMALL_STATE(1493)] = 15157,
  [SMALL_STATE(1494)] = 15215,
  [SMALL_STATE(1495)] = 15273,
  [SMALL_STATE(1496)] = 15331,
  [SMALL_STATE(1497)] = 15389,
  [SMALL_STATE(1498)] = 15447,
  [SMALL_STATE(1499)] = 15505,
  [SMALL_STATE(1500)] = 15563,
  [SMALL_STATE(1501)] = 15621,
  [SMALL_STATE(1502)] = 15679,
  [SMALL_STATE(1503)] = 15737,
  [SMALL_STATE(1504)] = 15795,
  [SMALL_STATE(1505)] = 15853,
  [SMALL_STATE(1506)] = 15911,
  [SMALL_STATE(1507)] = 15969,
  [SMALL_STATE(1508)] = 16027,
  [SMALL_STATE(1509)] = 16085,
  [SMALL_STATE(1510)] = 16143,
  [SMALL_STATE(1511)] = 16201,
  [SMALL_STATE(1512)] = 16259,
  [SMALL_STATE(1513)] = 16317,
  [SMALL_STATE(1514)] = 16375,
  [SMALL_STATE(1515)] = 16433,
  [SMALL_STATE(1516)] = 16491,
  [SMALL_STATE(1517)] = 16549,
  [SMALL_STATE(1518)] = 16607,
  [SMALL_STATE(1519)] = 16665,
  [SMALL_STATE(1520)] = 16723,
  [SMALL_STATE(1521)] = 16781,
  [SMALL_STATE(1522)] = 16839,
  [SMALL_STATE(1523)] = 16897,
  [SMALL_STATE(1524)] = 16955,
  [SMALL_STATE(1525)] = 17013,
  [SMALL_STATE(1526)] = 17071,
  [SMALL_STATE(1527)] = 17129,
  [SMALL_STATE(1528)] = 17187,
  [SMALL_STATE(1529)] = 17245,
  [SMALL_STATE(1530)] = 17303,
  [SMALL_STATE(1531)] = 17361,
  [SMALL_STATE(1532)] = 17419,
  [SMALL_STATE(1533)] = 17477,
  [SMALL_STATE(1534)] = 17535,
  [SMALL_STATE(1535)] = 17593,
  [SMALL_STATE(1536)] = 17651,
  [SMALL_STATE(1537)] = 17709,
  [SMALL_STATE(1538)] = 17767,
  [SMALL_STATE(1539)] = 17825,
  [SMALL_STATE(1540)] = 17883,
  [SMALL_STATE(1541)] = 17941,
  [SMALL_STATE(1542)] = 17999,
  [SMALL_STATE(1543)] = 18057,
  [SMALL_STATE(1544)] = 18115,
  [SMALL_STATE(1545)] = 18173,
  [SMALL_STATE(1546)] = 18231,
  [SMALL_STATE(1547)] = 18289,
  [SMALL_STATE(1548)] = 18347,
  [SMALL_STATE(1549)] = 18404,
  [SMALL_STATE(1550)] = 18461,
  [SMALL_STATE(1551)] = 18518,
  [SMALL_STATE(1552)] = 18575,
  [SMALL_STATE(1553)] = 18632,
  [SMALL_STATE(1554)] = 18689,
  [SMALL_STATE(1555)] = 18746,
  [SMALL_STATE(1556)] = 18803,
  [SMALL_STATE(1557)] = 18860,
  [SMALL_STATE(1558)] = 18917,
  [SMALL_STATE(1559)] = 18974,
  [SMALL_STATE(1560)] = 19031,
  [SMALL_STATE(1561)] = 19088,
  [SMALL_STATE(1562)] = 19145,
  [SMALL_STATE(1563)] = 19202,
  [SMALL_STATE(1564)] = 19259,
  [SMALL_STATE(1565)] = 19316,
  [SMALL_STATE(1566)] = 19373,
  [SMALL_STATE(1567)] = 19430,
  [SMALL_STATE(1568)] = 19487,
  [SMALL_STATE(1569)] = 19544,
  [SMALL_STATE(1570)] = 19601,
  [SMALL_STATE(1571)] = 19658,
  [SMALL_STATE(1572)] = 19715,
  [SMALL_STATE(1573)] = 19772,
  [SMALL_STATE(1574)] = 19829,
  [SMALL_STATE(1575)] = 19886,
  [SMALL_STATE(1576)] = 19943,
  [SMALL_STATE(1577)] = 20000,
  [SMALL_STATE(1578)] = 20057,
  [SMALL_STATE(1579)] = 20114,
  [SMALL_STATE(1580)] = 20171,
  [SMALL_STATE(1581)] = 20228,
  [SMALL_STATE(1582)] = 20285,
  [SMALL_STATE(1583)] = 20342,
  [SMALL_STATE(1584)] = 20399,
  [SMALL_STATE(1585)] = 20456,
  [SMALL_STATE(1586)] = 20513,
  [SMALL_STATE(1587)] = 20570,
  [SMALL_STATE(1588)] = 20627,
  [SMALL_STATE(1589)] = 20684,
  [SMALL_STATE(1590)] = 20741,
  [SMALL_STATE(1591)] = 20798,
  [SMALL_STATE(1592)] = 20855,
  [SMALL_STATE(1593)] = 20912,
  [SMALL_STATE(1594)] = 20969,
  [SMALL_STATE(1595)] = 21026,
  [SMALL_STATE(1596)] = 21083,
  [SMALL_STATE(1597)] = 21140,
  [SMALL_STATE(1598)] = 21197,
  [SMALL_STATE(1599)] = 21260,
  [SMALL_STATE(1600)] = 21323,
  [SMALL_STATE(1601)] = 21380,
  [SMALL_STATE(1602)] = 21437,
  [SMALL_STATE(1603)] = 21494,
  [SMALL_STATE(1604)] = 21551,
  [SMALL_STATE(1605)] = 21608,
  [SMALL_STATE(1606)] = 21665,
  [SMALL_STATE(1607)] = 21722,
  [SMALL_STATE(1608)] = 21779,
  [SMALL_STATE(1609)] = 21836,
  [SMALL_STATE(1610)] = 21893,
  [SMALL_STATE(1611)] = 21950,
  [SMALL_STATE(1612)] = 22007,
  [SMALL_STATE(1613)] = 22064,
  [SMALL_STATE(1614)] = 22121,
  [SMALL_STATE(1615)] = 22178,
  [SMALL_STATE(1616)] = 22235,
  [SMALL_STATE(1617)] = 22292,
  [SMALL_STATE(1618)] = 22349,
  [SMALL_STATE(1619)] = 22412,
  [SMALL_STATE(1620)] = 22469,
  [SMALL_STATE(1621)] = 22526,
  [SMALL_STATE(1622)] = 22589,
  [SMALL_STATE(1623)] = 22646,
  [SMALL_STATE(1624)] = 22703,
  [SMALL_STATE(1625)] = 22760,
  [SMALL_STATE(1626)] = 22817,
  [SMALL_STATE(1627)] = 22874,
  [SMALL_STATE(1628)] = 22931,
  [SMALL_STATE(1629)] = 22988,
  [SMALL_STATE(1630)] = 23045,
  [SMALL_STATE(1631)] = 23102,
  [SMALL_STATE(1632)] = 23159,
  [SMALL_STATE(1633)] = 23216,
  [SMALL_STATE(1634)] = 23273,
  [SMALL_STATE(1635)] = 23330,
  [SMALL_STATE(1636)] = 23387,
  [SMALL_STATE(1637)] = 23444,
  [SMALL_STATE(1638)] = 23501,
  [SMALL_STATE(1639)] = 23558,
  [SMALL_STATE(1640)] = 23615,
  [SMALL_STATE(1641)] = 23672,
  [SMALL_STATE(1642)] = 23729,
  [SMALL_STATE(1643)] = 23786,
  [SMALL_STATE(1644)] = 23843,
  [SMALL_STATE(1645)] = 23905,
  [SMALL_STATE(1646)] = 23963,
  [SMALL_STATE(1647)] = 24021,
  [SMALL_STATE(1648)] = 24083,
  [SMALL_STATE(1649)] = 24145,
  [SMALL_STATE(1650)] = 24207,
  [SMALL_STATE(1651)] = 24269,
  [SMALL_STATE(1652)] = 24331,
  [SMALL_STATE(1653)] = 24393,
  [SMALL_STATE(1654)] = 24455,
  [SMALL_STATE(1655)] = 24517,
  [SMALL_STATE(1656)] = 24579,
  [SMALL_STATE(1657)] = 24637,
  [SMALL_STATE(1658)] = 24699,
  [SMALL_STATE(1659)] = 24761,
  [SMALL_STATE(1660)] = 24823,
  [SMALL_STATE(1661)] = 24885,
  [SMALL_STATE(1662)] = 24944,
  [SMALL_STATE(1663)] = 25003,
  [SMALL_STATE(1664)] = 25079,
  [SMALL_STATE(1665)] = 25155,
  [SMALL_STATE(1666)] = 25214,
  [SMALL_STATE(1667)] = 25258,
  [SMALL_STATE(1668)] = 25302,
  [SMALL_STATE(1669)] = 25346,
  [SMALL_STATE(1670)] = 25392,
  [SMALL_STATE(1671)] = 25436,
  [SMALL_STATE(1672)] = 25480,
  [SMALL_STATE(1673)] = 25526,
  [SMALL_STATE(1674)] = 25570,
  [SMALL_STATE(1675)] = 25614,
  [SMALL_STATE(1676)] = 25658,
  [SMALL_STATE(1677)] = 25702,
  [SMALL_STATE(1678)] = 25746,
  [SMALL_STATE(1679)] = 25790,
  [SMALL_STATE(1680)] = 25834,
  [SMALL_STATE(1681)] = 25880,
  [SMALL_STATE(1682)] = 25924,
  [SMALL_STATE(1683)] = 25968,
  [SMALL_STATE(1684)] = 26012,
  [SMALL_STATE(1685)] = 26056,
  [SMALL_STATE(1686)] = 26100,
  [SMALL_STATE(1687)] = 26144,
  [SMALL_STATE(1688)] = 26190,
  [SMALL_STATE(1689)] = 26234,
  [SMALL_STATE(1690)] = 26278,
  [SMALL_STATE(1691)] = 26322,
  [SMALL_STATE(1692)] = 26366,
  [SMALL_STATE(1693)] = 26410,
  [SMALL_STATE(1694)] = 26454,
  [SMALL_STATE(1695)] = 26498,
  [SMALL_STATE(1696)] = 26542,
  [SMALL_STATE(1697)] = 26586,
  [SMALL_STATE(1698)] = 26630,
  [SMALL_STATE(1699)] = 26674,
  [SMALL_STATE(1700)] = 26718,
  [SMALL_STATE(1701)] = 26762,
  [SMALL_STATE(1702)] = 26806,
  [SMALL_STATE(1703)] = 26850,
  [SMALL_STATE(1704)] = 26894,
  [SMALL_STATE(1705)] = 26938,
  [SMALL_STATE(1706)] = 26982,
  [SMALL_STATE(1707)] = 27026,
  [SMALL_STATE(1708)] = 27070,
  [SMALL_STATE(1709)] = 27114,
  [SMALL_STATE(1710)] = 27160,
  [SMALL_STATE(1711)] = 27204,
  [SMALL_STATE(1712)] = 27248,
  [SMALL_STATE(1713)] = 27292,
  [SMALL_STATE(1714)] = 27336,
  [SMALL_STATE(1715)] = 27380,
  [SMALL_STATE(1716)] = 27424,
  [SMALL_STATE(1717)] = 27468,
  [SMALL_STATE(1718)] = 27512,
  [SMALL_STATE(1719)] = 27556,
  [SMALL_STATE(1720)] = 27600,
  [SMALL_STATE(1721)] = 27644,
  [SMALL_STATE(1722)] = 27688,
  [SMALL_STATE(1723)] = 27732,
  [SMALL_STATE(1724)] = 27776,
  [SMALL_STATE(1725)] = 27820,
  [SMALL_STATE(1726)] = 27865,
  [SMALL_STATE(1727)] = 27910,
  [SMALL_STATE(1728)] = 27955,
  [SMALL_STATE(1729)] = 28000,
  [SMALL_STATE(1730)] = 28045,
  [SMALL_STATE(1731)] = 28090,
  [SMALL_STATE(1732)] = 28135,
  [SMALL_STATE(1733)] = 28180,
  [SMALL_STATE(1734)] = 28233,
  [SMALL_STATE(1735)] = 28278,
  [SMALL_STATE(1736)] = 28323,
  [SMALL_STATE(1737)] = 28368,
  [SMALL_STATE(1738)] = 28413,
  [SMALL_STATE(1739)] = 28458,
  [SMALL_STATE(1740)] = 28503,
  [SMALL_STATE(1741)] = 28548,
  [SMALL_STATE(1742)] = 28593,
  [SMALL_STATE(1743)] = 28638,
  [SMALL_STATE(1744)] = 28683,
  [SMALL_STATE(1745)] = 28728,
  [SMALL_STATE(1746)] = 28772,
  [SMALL_STATE(1747)] = 28822,
  [SMALL_STATE(1748)] = 28872,
  [SMALL_STATE(1749)] = 28922,
  [SMALL_STATE(1750)] = 28972,
  [SMALL_STATE(1751)] = 29022,
  [SMALL_STATE(1752)] = 29072,
  [SMALL_STATE(1753)] = 29122,
  [SMALL_STATE(1754)] = 29166,
  [SMALL_STATE(1755)] = 29209,
  [SMALL_STATE(1756)] = 29252,
  [SMALL_STATE(1757)] = 29295,
  [SMALL_STATE(1758)] = 29338,
  [SMALL_STATE(1759)] = 29381,
  [SMALL_STATE(1760)] = 29424,
  [SMALL_STATE(1761)] = 29467,
  [SMALL_STATE(1762)] = 29510,
  [SMALL_STATE(1763)] = 29553,
  [SMALL_STATE(1764)] = 29596,
  [SMALL_STATE(1765)] = 29639,
  [SMALL_STATE(1766)] = 29682,
  [SMALL_STATE(1767)] = 29725,
  [SMALL_STATE(1768)] = 29768,
  [SMALL_STATE(1769)] = 29811,
  [SMALL_STATE(1770)] = 29854,
  [SMALL_STATE(1771)] = 29897,
  [SMALL_STATE(1772)] = 29940,
  [SMALL_STATE(1773)] = 29983,
  [SMALL_STATE(1774)] = 30024,
  [SMALL_STATE(1775)] = 30065,
  [SMALL_STATE(1776)] = 30106,
  [SMALL_STATE(1777)] = 30147,
  [SMALL_STATE(1778)] = 30188,
  [SMALL_STATE(1779)] = 30229,
  [SMALL_STATE(1780)] = 30270,
  [SMALL_STATE(1781)] = 30311,
  [SMALL_STATE(1782)] = 30352,
  [SMALL_STATE(1783)] = 30393,
  [SMALL_STATE(1784)] = 30434,
  [SMALL_STATE(1785)] = 30475,
  [SMALL_STATE(1786)] = 30516,
  [SMALL_STATE(1787)] = 30557,
  [SMALL_STATE(1788)] = 30598,
  [SMALL_STATE(1789)] = 30639,
  [SMALL_STATE(1790)] = 30680,
  [SMALL_STATE(1791)] = 30721,
  [SMALL_STATE(1792)] = 30762,
  [SMALL_STATE(1793)] = 30803,
  [SMALL_STATE(1794)] = 30844,
  [SMALL_STATE(1795)] = 30885,
  [SMALL_STATE(1796)] = 30926,
  [SMALL_STATE(1797)] = 30967,
  [SMALL_STATE(1798)] = 31008,
  [SMALL_STATE(1799)] = 31049,
  [SMALL_STATE(1800)] = 31090,
  [SMALL_STATE(1801)] = 31131,
  [SMALL_STATE(1802)] = 31172,
  [SMALL_STATE(1803)] = 31213,
  [SMALL_STATE(1804)] = 31253,
  [SMALL_STATE(1805)] = 31293,
  [SMALL_STATE(1806)] = 31345,
  [SMALL_STATE(1807)] = 31384,
  [SMALL_STATE(1808)] = 31423,
  [SMALL_STATE(1809)] = 31462,
  [SMALL_STATE(1810)] = 31501,
  [SMALL_STATE(1811)] = 31540,
  [SMALL_STATE(1812)] = 31579,
  [SMALL_STATE(1813)] = 31618,
  [SMALL_STATE(1814)] = 31657,
  [SMALL_STATE(1815)] = 31696,
  [SMALL_STATE(1816)] = 31735,
  [SMALL_STATE(1817)] = 31774,
  [SMALL_STATE(1818)] = 31813,
  [SMALL_STATE(1819)] = 31859,
  [SMALL_STATE(1820)] = 31903,
  [SMALL_STATE(1821)] = 31947,
  [SMALL_STATE(1822)] = 31990,
  [SMALL_STATE(1823)] = 32033,
  [SMALL_STATE(1824)] = 32076,
  [SMALL_STATE(1825)] = 32119,
  [SMALL_STATE(1826)] = 32162,
  [SMALL_STATE(1827)] = 32199,
  [SMALL_STATE(1828)] = 32242,
  [SMALL_STATE(1829)] = 32285,
  [SMALL_STATE(1830)] = 32328,
  [SMALL_STATE(1831)] = 32362,
  [SMALL_STATE(1832)] = 32396,
  [SMALL_STATE(1833)] = 32430,
  [SMALL_STATE(1834)] = 32464,
  [SMALL_STATE(1835)] = 32498,
  [SMALL_STATE(1836)] = 32532,
  [SMALL_STATE(1837)] = 32566,
  [SMALL_STATE(1838)] = 32600,
  [SMALL_STATE(1839)] = 32634,
  [SMALL_STATE(1840)] = 32668,
  [SMALL_STATE(1841)] = 32702,
  [SMALL_STATE(1842)] = 32760,
  [SMALL_STATE(1843)] = 32794,
  [SMALL_STATE(1844)] = 32828,
  [SMALL_STATE(1845)] = 32862,
  [SMALL_STATE(1846)] = 32896,
  [SMALL_STATE(1847)] = 32930,
  [SMALL_STATE(1848)] = 32964,
  [SMALL_STATE(1849)] = 32998,
  [SMALL_STATE(1850)] = 33032,
  [SMALL_STATE(1851)] = 33066,
  [SMALL_STATE(1852)] = 33100,
  [SMALL_STATE(1853)] = 33134,
  [SMALL_STATE(1854)] = 33189,
  [SMALL_STATE(1855)] = 33244,
  [SMALL_STATE(1856)] = 33286,
  [SMALL_STATE(1857)] = 33328,
  [SMALL_STATE(1858)] = 33376,
  [SMALL_STATE(1859)] = 33424,
  [SMALL_STATE(1860)] = 33472,
  [SMALL_STATE(1861)] = 33520,
  [SMALL_STATE(1862)] = 33568,
  [SMALL_STATE(1863)] = 33616,
  [SMALL_STATE(1864)] = 33664,
  [SMALL_STATE(1865)] = 33712,
  [SMALL_STATE(1866)] = 33760,
  [SMALL_STATE(1867)] = 33808,
  [SMALL_STATE(1868)] = 33856,
  [SMALL_STATE(1869)] = 33904,
  [SMALL_STATE(1870)] = 33952,
  [SMALL_STATE(1871)] = 34000,
  [SMALL_STATE(1872)] = 34048,
  [SMALL_STATE(1873)] = 34096,
  [SMALL_STATE(1874)] = 34144,
  [SMALL_STATE(1875)] = 34192,
  [SMALL_STATE(1876)] = 34240,
  [SMALL_STATE(1877)] = 34288,
  [SMALL_STATE(1878)] = 34336,
  [SMALL_STATE(1879)] = 34384,
  [SMALL_STATE(1880)] = 34432,
  [SMALL_STATE(1881)] = 34480,
  [SMALL_STATE(1882)] = 34528,
  [SMALL_STATE(1883)] = 34568,
  [SMALL_STATE(1884)] = 34608,
  [SMALL_STATE(1885)] = 34650,
  [SMALL_STATE(1886)] = 34687,
  [SMALL_STATE(1887)] = 34724,
  [SMALL_STATE(1888)] = 34763,
  [SMALL_STATE(1889)] = 34805,
  [SMALL_STATE(1890)] = 34847,
  [SMALL_STATE(1891)] = 34889,
  [SMALL_STATE(1892)] = 34922,
  [SMALL_STATE(1893)] = 34954,
  [SMALL_STATE(1894)] = 34976,
  [SMALL_STATE(1895)] = 35008,
  [SMALL_STATE(1896)] = 35042,
  [SMALL_STATE(1897)] = 35076,
  [SMALL_STATE(1898)] = 35110,
  [SMALL_STATE(1899)] = 35132,
  [SMALL_STATE(1900)] = 35153,
  [SMALL_STATE(1901)] = 35174,
  [SMALL_STATE(1902)] = 35195,
  [SMALL_STATE(1903)] = 35216,
  [SMALL_STATE(1904)] = 35237,
  [SMALL_STATE(1905)] = 35258,
  [SMALL_STATE(1906)] = 35279,
  [SMALL_STATE(1907)] = 35300,
  [SMALL_STATE(1908)] = 35321,
  [SMALL_STATE(1909)] = 35342,
  [SMALL_STATE(1910)] = 35366,
  [SMALL_STATE(1911)] = 35384,
  [SMALL_STATE(1912)] = 35402,
  [SMALL_STATE(1913)] = 35420,
  [SMALL_STATE(1914)] = 35438,
  [SMALL_STATE(1915)] = 35456,
  [SMALL_STATE(1916)] = 35480,
  [SMALL_STATE(1917)] = 35504,
  [SMALL_STATE(1918)] = 35522,
  [SMALL_STATE(1919)] = 35546,
  [SMALL_STATE(1920)] = 35564,
  [SMALL_STATE(1921)] = 35582,
  [SMALL_STATE(1922)] = 35599,
  [SMALL_STATE(1923)] = 35616,
  [SMALL_STATE(1924)] = 35643,
  [SMALL_STATE(1925)] = 35670,
  [SMALL_STATE(1926)] = 35687,
  [SMALL_STATE(1927)] = 35704,
  [SMALL_STATE(1928)] = 35721,
  [SMALL_STATE(1929)] = 35738,
  [SMALL_STATE(1930)] = 35755,
  [SMALL_STATE(1931)] = 35772,
  [SMALL_STATE(1932)] = 35789,
  [SMALL_STATE(1933)] = 35806,
  [SMALL_STATE(1934)] = 35820,
  [SMALL_STATE(1935)] = 35834,
  [SMALL_STATE(1936)] = 35848,
  [SMALL_STATE(1937)] = 35862,
  [SMALL_STATE(1938)] = 35878,
  [SMALL_STATE(1939)] = 35892,
  [SMALL_STATE(1940)] = 35906,
  [SMALL_STATE(1941)] = 35920,
  [SMALL_STATE(1942)] = 35934,
  [SMALL_STATE(1943)] = 35948,
  [SMALL_STATE(1944)] = 35964,
  [SMALL_STATE(1945)] = 35978,
  [SMALL_STATE(1946)] = 35992,
  [SMALL_STATE(1947)] = 36006,
  [SMALL_STATE(1948)] = 36020,
  [SMALL_STATE(1949)] = 36034,
  [SMALL_STATE(1950)] = 36048,
  [SMALL_STATE(1951)] = 36062,
  [SMALL_STATE(1952)] = 36076,
  [SMALL_STATE(1953)] = 36090,
  [SMALL_STATE(1954)] = 36104,
  [SMALL_STATE(1955)] = 36130,
  [SMALL_STATE(1956)] = 36142,
  [SMALL_STATE(1957)] = 36168,
  [SMALL_STATE(1958)] = 36180,
  [SMALL_STATE(1959)] = 36206,
  [SMALL_STATE(1960)] = 36219,
  [SMALL_STATE(1961)] = 36232,
  [SMALL_STATE(1962)] = 36245,
  [SMALL_STATE(1963)] = 36262,
  [SMALL_STATE(1964)] = 36279,
  [SMALL_STATE(1965)] = 36292,
  [SMALL_STATE(1966)] = 36312,
  [SMALL_STATE(1967)] = 36332,
  [SMALL_STATE(1968)] = 36352,
  [SMALL_STATE(1969)] = 36372,
  [SMALL_STATE(1970)] = 36392,
  [SMALL_STATE(1971)] = 36412,
  [SMALL_STATE(1972)] = 36432,
  [SMALL_STATE(1973)] = 36452,
  [SMALL_STATE(1974)] = 36472,
  [SMALL_STATE(1975)] = 36492,
  [SMALL_STATE(1976)] = 36509,
  [SMALL_STATE(1977)] = 36526,
  [SMALL_STATE(1978)] = 36543,
  [SMALL_STATE(1979)] = 36558,
  [SMALL_STATE(1980)] = 36573,
  [SMALL_STATE(1981)] = 36588,
  [SMALL_STATE(1982)] = 36603,
  [SMALL_STATE(1983)] = 36618,
  [SMALL_STATE(1984)] = 36635,
  [SMALL_STATE(1985)] = 36652,
  [SMALL_STATE(1986)] = 36667,
  [SMALL_STATE(1987)] = 36684,
  [SMALL_STATE(1988)] = 36701,
  [SMALL_STATE(1989)] = 36718,
  [SMALL_STATE(1990)] = 36733,
  [SMALL_STATE(1991)] = 36750,
  [SMALL_STATE(1992)] = 36765,
  [SMALL_STATE(1993)] = 36782,
  [SMALL_STATE(1994)] = 36799,
  [SMALL_STATE(1995)] = 36814,
  [SMALL_STATE(1996)] = 36829,
  [SMALL_STATE(1997)] = 36845,
  [SMALL_STATE(1998)] = 36861,
  [SMALL_STATE(1999)] = 36877,
  [SMALL_STATE(2000)] = 36893,
  [SMALL_STATE(2001)] = 36909,
  [SMALL_STATE(2002)] = 36925,
  [SMALL_STATE(2003)] = 36941,
  [SMALL_STATE(2004)] = 36957,
  [SMALL_STATE(2005)] = 36973,
  [SMALL_STATE(2006)] = 36989,
  [SMALL_STATE(2007)] = 37005,
  [SMALL_STATE(2008)] = 37021,
  [SMALL_STATE(2009)] = 37032,
  [SMALL_STATE(2010)] = 37043,
  [SMALL_STATE(2011)] = 37054,
  [SMALL_STATE(2012)] = 37065,
  [SMALL_STATE(2013)] = 37076,
  [SMALL_STATE(2014)] = 37087,
  [SMALL_STATE(2015)] = 37098,
  [SMALL_STATE(2016)] = 37109,
  [SMALL_STATE(2017)] = 37120,
  [SMALL_STATE(2018)] = 37131,
  [SMALL_STATE(2019)] = 37142,
  [SMALL_STATE(2020)] = 37153,
  [SMALL_STATE(2021)] = 37164,
  [SMALL_STATE(2022)] = 37175,
  [SMALL_STATE(2023)] = 37186,
  [SMALL_STATE(2024)] = 37197,
  [SMALL_STATE(2025)] = 37208,
  [SMALL_STATE(2026)] = 37219,
  [SMALL_STATE(2027)] = 37230,
  [SMALL_STATE(2028)] = 37241,
  [SMALL_STATE(2029)] = 37252,
  [SMALL_STATE(2030)] = 37263,
  [SMALL_STATE(2031)] = 37274,
  [SMALL_STATE(2032)] = 37285,
  [SMALL_STATE(2033)] = 37296,
  [SMALL_STATE(2034)] = 37307,
  [SMALL_STATE(2035)] = 37318,
  [SMALL_STATE(2036)] = 37329,
  [SMALL_STATE(2037)] = 37340,
  [SMALL_STATE(2038)] = 37351,
  [SMALL_STATE(2039)] = 37364,
  [SMALL_STATE(2040)] = 37375,
  [SMALL_STATE(2041)] = 37386,
  [SMALL_STATE(2042)] = 37397,
  [SMALL_STATE(2043)] = 37408,
  [SMALL_STATE(2044)] = 37419,
  [SMALL_STATE(2045)] = 37430,
  [SMALL_STATE(2046)] = 37441,
  [SMALL_STATE(2047)] = 37452,
  [SMALL_STATE(2048)] = 37463,
  [SMALL_STATE(2049)] = 37474,
  [SMALL_STATE(2050)] = 37485,
  [SMALL_STATE(2051)] = 37496,
  [SMALL_STATE(2052)] = 37507,
  [SMALL_STATE(2053)] = 37518,
  [SMALL_STATE(2054)] = 37529,
  [SMALL_STATE(2055)] = 37540,
  [SMALL_STATE(2056)] = 37551,
  [SMALL_STATE(2057)] = 37562,
  [SMALL_STATE(2058)] = 37573,
  [SMALL_STATE(2059)] = 37584,
  [SMALL_STATE(2060)] = 37595,
  [SMALL_STATE(2061)] = 37606,
  [SMALL_STATE(2062)] = 37617,
  [SMALL_STATE(2063)] = 37628,
  [SMALL_STATE(2064)] = 37639,
  [SMALL_STATE(2065)] = 37650,
  [SMALL_STATE(2066)] = 37661,
  [SMALL_STATE(2067)] = 37672,
  [SMALL_STATE(2068)] = 37683,
  [SMALL_STATE(2069)] = 37694,
  [SMALL_STATE(2070)] = 37705,
  [SMALL_STATE(2071)] = 37716,
  [SMALL_STATE(2072)] = 37727,
  [SMALL_STATE(2073)] = 37735,
  [SMALL_STATE(2074)] = 37745,
  [SMALL_STATE(2075)] = 37755,
  [SMALL_STATE(2076)] = 37763,
  [SMALL_STATE(2077)] = 37773,
  [SMALL_STATE(2078)] = 37783,
  [SMALL_STATE(2079)] = 37793,
  [SMALL_STATE(2080)] = 37803,
  [SMALL_STATE(2081)] = 37813,
  [SMALL_STATE(2082)] = 37823,
  [SMALL_STATE(2083)] = 37831,
  [SMALL_STATE(2084)] = 37841,
  [SMALL_STATE(2085)] = 37851,
  [SMALL_STATE(2086)] = 37859,
  [SMALL_STATE(2087)] = 37867,
  [SMALL_STATE(2088)] = 37877,
  [SMALL_STATE(2089)] = 37887,
  [SMALL_STATE(2090)] = 37897,
  [SMALL_STATE(2091)] = 37907,
  [SMALL_STATE(2092)] = 37917,
  [SMALL_STATE(2093)] = 37925,
  [SMALL_STATE(2094)] = 37935,
  [SMALL_STATE(2095)] = 37945,
  [SMALL_STATE(2096)] = 37955,
  [SMALL_STATE(2097)] = 37963,
  [SMALL_STATE(2098)] = 37971,
  [SMALL_STATE(2099)] = 37981,
  [SMALL_STATE(2100)] = 37991,
  [SMALL_STATE(2101)] = 37997,
  [SMALL_STATE(2102)] = 38007,
  [SMALL_STATE(2103)] = 38017,
  [SMALL_STATE(2104)] = 38027,
  [SMALL_STATE(2105)] = 38037,
  [SMALL_STATE(2106)] = 38047,
  [SMALL_STATE(2107)] = 38057,
  [SMALL_STATE(2108)] = 38065,
  [SMALL_STATE(2109)] = 38073,
  [SMALL_STATE(2110)] = 38083,
  [SMALL_STATE(2111)] = 38093,
  [SMALL_STATE(2112)] = 38103,
  [SMALL_STATE(2113)] = 38113,
  [SMALL_STATE(2114)] = 38123,
  [SMALL_STATE(2115)] = 38131,
  [SMALL_STATE(2116)] = 38138,
  [SMALL_STATE(2117)] = 38145,
  [SMALL_STATE(2118)] = 38152,
  [SMALL_STATE(2119)] = 38159,
  [SMALL_STATE(2120)] = 38166,
  [SMALL_STATE(2121)] = 38173,
  [SMALL_STATE(2122)] = 38180,
  [SMALL_STATE(2123)] = 38187,
  [SMALL_STATE(2124)] = 38194,
  [SMALL_STATE(2125)] = 38201,
  [SMALL_STATE(2126)] = 38208,
  [SMALL_STATE(2127)] = 38215,
  [SMALL_STATE(2128)] = 38222,
  [SMALL_STATE(2129)] = 38229,
  [SMALL_STATE(2130)] = 38236,
  [SMALL_STATE(2131)] = 38241,
  [SMALL_STATE(2132)] = 38248,
  [SMALL_STATE(2133)] = 38255,
  [SMALL_STATE(2134)] = 38262,
  [SMALL_STATE(2135)] = 38269,
  [SMALL_STATE(2136)] = 38276,
  [SMALL_STATE(2137)] = 38283,
  [SMALL_STATE(2138)] = 38290,
  [SMALL_STATE(2139)] = 38297,
  [SMALL_STATE(2140)] = 38304,
  [SMALL_STATE(2141)] = 38311,
  [SMALL_STATE(2142)] = 38318,
  [SMALL_STATE(2143)] = 38325,
  [SMALL_STATE(2144)] = 38332,
  [SMALL_STATE(2145)] = 38339,
  [SMALL_STATE(2146)] = 38346,
  [SMALL_STATE(2147)] = 38353,
  [SMALL_STATE(2148)] = 38360,
  [SMALL_STATE(2149)] = 38367,
  [SMALL_STATE(2150)] = 38374,
  [SMALL_STATE(2151)] = 38381,
  [SMALL_STATE(2152)] = 38388,
  [SMALL_STATE(2153)] = 38395,
  [SMALL_STATE(2154)] = 38402,
  [SMALL_STATE(2155)] = 38409,
  [SMALL_STATE(2156)] = 38416,
  [SMALL_STATE(2157)] = 38423,
  [SMALL_STATE(2158)] = 38430,
  [SMALL_STATE(2159)] = 38437,
  [SMALL_STATE(2160)] = 38444,
  [SMALL_STATE(2161)] = 38451,
  [SMALL_STATE(2162)] = 38458,
  [SMALL_STATE(2163)] = 38465,
  [SMALL_STATE(2164)] = 38472,
  [SMALL_STATE(2165)] = 38479,
  [SMALL_STATE(2166)] = 38486,
  [SMALL_STATE(2167)] = 38493,
  [SMALL_STATE(2168)] = 38500,
  [SMALL_STATE(2169)] = 38507,
  [SMALL_STATE(2170)] = 38514,
  [SMALL_STATE(2171)] = 38521,
  [SMALL_STATE(2172)] = 38528,
  [SMALL_STATE(2173)] = 38535,
  [SMALL_STATE(2174)] = 38542,
  [SMALL_STATE(2175)] = 38549,
  [SMALL_STATE(2176)] = 38556,
  [SMALL_STATE(2177)] = 38563,
  [SMALL_STATE(2178)] = 38570,
  [SMALL_STATE(2179)] = 38577,
  [SMALL_STATE(2180)] = 38584,
  [SMALL_STATE(2181)] = 38591,
  [SMALL_STATE(2182)] = 38598,
  [SMALL_STATE(2183)] = 38605,
  [SMALL_STATE(2184)] = 38612,
  [SMALL_STATE(2185)] = 38619,
  [SMALL_STATE(2186)] = 38626,
  [SMALL_STATE(2187)] = 38633,
  [SMALL_STATE(2188)] = 38638,
  [SMALL_STATE(2189)] = 38645,
  [SMALL_STATE(2190)] = 38652,
  [SMALL_STATE(2191)] = 38659,
  [SMALL_STATE(2192)] = 38666,
  [SMALL_STATE(2193)] = 38673,
  [SMALL_STATE(2194)] = 38680,
  [SMALL_STATE(2195)] = 38687,
  [SMALL_STATE(2196)] = 38694,
  [SMALL_STATE(2197)] = 38701,
  [SMALL_STATE(2198)] = 38708,
  [SMALL_STATE(2199)] = 38715,
  [SMALL_STATE(2200)] = 38722,
  [SMALL_STATE(2201)] = 38729,
  [SMALL_STATE(2202)] = 38736,
  [SMALL_STATE(2203)] = 38743,
  [SMALL_STATE(2204)] = 38750,
  [SMALL_STATE(2205)] = 38757,
  [SMALL_STATE(2206)] = 38764,
  [SMALL_STATE(2207)] = 38771,
  [SMALL_STATE(2208)] = 38778,
  [SMALL_STATE(2209)] = 38785,
  [SMALL_STATE(2210)] = 38792,
  [SMALL_STATE(2211)] = 38799,
  [SMALL_STATE(2212)] = 38806,
  [SMALL_STATE(2213)] = 38813,
  [SMALL_STATE(2214)] = 38820,
  [SMALL_STATE(2215)] = 38827,
  [SMALL_STATE(2216)] = 38834,
  [SMALL_STATE(2217)] = 38841,
  [SMALL_STATE(2218)] = 38848,
  [SMALL_STATE(2219)] = 38855,
  [SMALL_STATE(2220)] = 38862,
  [SMALL_STATE(2221)] = 38869,
  [SMALL_STATE(2222)] = 38876,
  [SMALL_STATE(2223)] = 38883,
  [SMALL_STATE(2224)] = 38890,
  [SMALL_STATE(2225)] = 38897,
  [SMALL_STATE(2226)] = 38904,
  [SMALL_STATE(2227)] = 38911,
  [SMALL_STATE(2228)] = 38918,
  [SMALL_STATE(2229)] = 38925,
  [SMALL_STATE(2230)] = 38932,
  [SMALL_STATE(2231)] = 38939,
  [SMALL_STATE(2232)] = 38946,
  [SMALL_STATE(2233)] = 38953,
  [SMALL_STATE(2234)] = 38960,
  [SMALL_STATE(2235)] = 38967,
  [SMALL_STATE(2236)] = 38974,
  [SMALL_STATE(2237)] = 38981,
  [SMALL_STATE(2238)] = 38988,
  [SMALL_STATE(2239)] = 38995,
  [SMALL_STATE(2240)] = 39002,
  [SMALL_STATE(2241)] = 39009,
  [SMALL_STATE(2242)] = 39016,
  [SMALL_STATE(2243)] = 39023,
  [SMALL_STATE(2244)] = 39030,
  [SMALL_STATE(2245)] = 39037,
  [SMALL_STATE(2246)] = 39044,
  [SMALL_STATE(2247)] = 39051,
  [SMALL_STATE(2248)] = 39058,
  [SMALL_STATE(2249)] = 39065,
  [SMALL_STATE(2250)] = 39072,
  [SMALL_STATE(2251)] = 39079,
  [SMALL_STATE(2252)] = 39083,
  [SMALL_STATE(2253)] = 39087,
  [SMALL_STATE(2254)] = 39091,
  [SMALL_STATE(2255)] = 39095,
  [SMALL_STATE(2256)] = 39099,
  [SMALL_STATE(2257)] = 39103,
  [SMALL_STATE(2258)] = 39107,
  [SMALL_STATE(2259)] = 39111,
  [SMALL_STATE(2260)] = 39115,
  [SMALL_STATE(2261)] = 39119,
  [SMALL_STATE(2262)] = 39123,
  [SMALL_STATE(2263)] = 39127,
  [SMALL_STATE(2264)] = 39131,
  [SMALL_STATE(2265)] = 39135,
  [SMALL_STATE(2266)] = 39139,
  [SMALL_STATE(2267)] = 39143,
  [SMALL_STATE(2268)] = 39147,
  [SMALL_STATE(2269)] = 39151,
  [SMALL_STATE(2270)] = 39155,
  [SMALL_STATE(2271)] = 39159,
  [SMALL_STATE(2272)] = 39163,
  [SMALL_STATE(2273)] = 39167,
  [SMALL_STATE(2274)] = 39171,
  [SMALL_STATE(2275)] = 39175,
  [SMALL_STATE(2276)] = 39179,
  [SMALL_STATE(2277)] = 39183,
  [SMALL_STATE(2278)] = 39187,
  [SMALL_STATE(2279)] = 39191,
  [SMALL_STATE(2280)] = 39195,
  [SMALL_STATE(2281)] = 39199,
  [SMALL_STATE(2282)] = 39203,
  [SMALL_STATE(2283)] = 39207,
  [SMALL_STATE(2284)] = 39211,
  [SMALL_STATE(2285)] = 39215,
  [SMALL_STATE(2286)] = 39219,
  [SMALL_STATE(2287)] = 39223,
  [SMALL_STATE(2288)] = 39227,
  [SMALL_STATE(2289)] = 39231,
  [SMALL_STATE(2290)] = 39235,
  [SMALL_STATE(2291)] = 39239,
  [SMALL_STATE(2292)] = 39243,
  [SMALL_STATE(2293)] = 39247,
  [SMALL_STATE(2294)] = 39251,
  [SMALL_STATE(2295)] = 39255,
  [SMALL_STATE(2296)] = 39259,
  [SMALL_STATE(2297)] = 39263,
  [SMALL_STATE(2298)] = 39267,
  [SMALL_STATE(2299)] = 39271,
  [SMALL_STATE(2300)] = 39275,
  [SMALL_STATE(2301)] = 39279,
  [SMALL_STATE(2302)] = 39283,
  [SMALL_STATE(2303)] = 39287,
  [SMALL_STATE(2304)] = 39291,
  [SMALL_STATE(2305)] = 39295,
  [SMALL_STATE(2306)] = 39299,
  [SMALL_STATE(2307)] = 39303,
  [SMALL_STATE(2308)] = 39307,
  [SMALL_STATE(2309)] = 39311,
  [SMALL_STATE(2310)] = 39315,
  [SMALL_STATE(2311)] = 39319,
  [SMALL_STATE(2312)] = 39323,
  [SMALL_STATE(2313)] = 39327,
  [SMALL_STATE(2314)] = 39331,
  [SMALL_STATE(2315)] = 39335,
  [SMALL_STATE(2316)] = 39339,
  [SMALL_STATE(2317)] = 39343,
  [SMALL_STATE(2318)] = 39347,
  [SMALL_STATE(2319)] = 39351,
  [SMALL_STATE(2320)] = 39355,
  [SMALL_STATE(2321)] = 39359,
  [SMALL_STATE(2322)] = 39363,
  [SMALL_STATE(2323)] = 39367,
  [SMALL_STATE(2324)] = 39371,
  [SMALL_STATE(2325)] = 39375,
  [SMALL_STATE(2326)] = 39379,
  [SMALL_STATE(2327)] = 39383,
  [SMALL_STATE(2328)] = 39387,
  [SMALL_STATE(2329)] = 39391,
  [SMALL_STATE(2330)] = 39395,
  [SMALL_STATE(2331)] = 39399,
  [SMALL_STATE(2332)] = 39403,
  [SMALL_STATE(2333)] = 39407,
  [SMALL_STATE(2334)] = 39411,
  [SMALL_STATE(2335)] = 39415,
  [SMALL_STATE(2336)] = 39419,
  [SMALL_STATE(2337)] = 39423,
  [SMALL_STATE(2338)] = 39427,
  [SMALL_STATE(2339)] = 39431,
  [SMALL_STATE(2340)] = 39435,
  [SMALL_STATE(2341)] = 39439,
  [SMALL_STATE(2342)] = 39443,
  [SMALL_STATE(2343)] = 39447,
  [SMALL_STATE(2344)] = 39451,
  [SMALL_STATE(2345)] = 39455,
  [SMALL_STATE(2346)] = 39459,
  [SMALL_STATE(2347)] = 39463,
  [SMALL_STATE(2348)] = 39467,
  [SMALL_STATE(2349)] = 39471,
  [SMALL_STATE(2350)] = 39475,
  [SMALL_STATE(2351)] = 39479,
  [SMALL_STATE(2352)] = 39483,
  [SMALL_STATE(2353)] = 39487,
  [SMALL_STATE(2354)] = 39491,
  [SMALL_STATE(2355)] = 39495,
  [SMALL_STATE(2356)] = 39499,
  [SMALL_STATE(2357)] = 39503,
  [SMALL_STATE(2358)] = 39507,
  [SMALL_STATE(2359)] = 39511,
  [SMALL_STATE(2360)] = 39515,
  [SMALL_STATE(2361)] = 39519,
  [SMALL_STATE(2362)] = 39523,
  [SMALL_STATE(2363)] = 39527,
  [SMALL_STATE(2364)] = 39531,
  [SMALL_STATE(2365)] = 39535,
  [SMALL_STATE(2366)] = 39539,
  [SMALL_STATE(2367)] = 39543,
  [SMALL_STATE(2368)] = 39547,
  [SMALL_STATE(2369)] = 39551,
  [SMALL_STATE(2370)] = 39555,
  [SMALL_STATE(2371)] = 39559,
  [SMALL_STATE(2372)] = 39563,
  [SMALL_STATE(2373)] = 39567,
  [SMALL_STATE(2374)] = 39571,
  [SMALL_STATE(2375)] = 39575,
  [SMALL_STATE(2376)] = 39579,
  [SMALL_STATE(2377)] = 39583,
  [SMALL_STATE(2378)] = 39587,
  [SMALL_STATE(2379)] = 39591,
  [SMALL_STATE(2380)] = 39595,
  [SMALL_STATE(2381)] = 39599,
  [SMALL_STATE(2382)] = 39603,
  [SMALL_STATE(2383)] = 39607,
  [SMALL_STATE(2384)] = 39611,
  [SMALL_STATE(2385)] = 39615,
  [SMALL_STATE(2386)] = 39619,
  [SMALL_STATE(2387)] = 39623,
  [SMALL_STATE(2388)] = 39627,
  [SMALL_STATE(2389)] = 39631,
  [SMALL_STATE(2390)] = 39635,
  [SMALL_STATE(2391)] = 39639,
  [SMALL_STATE(2392)] = 39643,
  [SMALL_STATE(2393)] = 39647,
  [SMALL_STATE(2394)] = 39651,
  [SMALL_STATE(2395)] = 39655,
  [SMALL_STATE(2396)] = 39659,
  [SMALL_STATE(2397)] = 39663,
  [SMALL_STATE(2398)] = 39667,
  [SMALL_STATE(2399)] = 39671,
  [SMALL_STATE(2400)] = 39675,
  [SMALL_STATE(2401)] = 39679,
  [SMALL_STATE(2402)] = 39683,
  [SMALL_STATE(2403)] = 39687,
  [SMALL_STATE(2404)] = 39691,
  [SMALL_STATE(2405)] = 39695,
  [SMALL_STATE(2406)] = 39699,
  [SMALL_STATE(2407)] = 39703,
  [SMALL_STATE(2408)] = 39707,
  [SMALL_STATE(2409)] = 39711,
  [SMALL_STATE(2410)] = 39715,
  [SMALL_STATE(2411)] = 39719,
  [SMALL_STATE(2412)] = 39723,
  [SMALL_STATE(2413)] = 39727,
  [SMALL_STATE(2414)] = 39731,
  [SMALL_STATE(2415)] = 39735,
  [SMALL_STATE(2416)] = 39739,
  [SMALL_STATE(2417)] = 39743,
  [SMALL_STATE(2418)] = 39747,
  [SMALL_STATE(2419)] = 39751,
  [SMALL_STATE(2420)] = 39755,
  [SMALL_STATE(2421)] = 39759,
  [SMALL_STATE(2422)] = 39763,
  [SMALL_STATE(2423)] = 39767,
  [SMALL_STATE(2424)] = 39771,
  [SMALL_STATE(2425)] = 39775,
  [SMALL_STATE(2426)] = 39779,
  [SMALL_STATE(2427)] = 39783,
  [SMALL_STATE(2428)] = 39787,
  [SMALL_STATE(2429)] = 39791,
  [SMALL_STATE(2430)] = 39795,
  [SMALL_STATE(2431)] = 39799,
  [SMALL_STATE(2432)] = 39803,
  [SMALL_STATE(2433)] = 39807,
  [SMALL_STATE(2434)] = 39811,
  [SMALL_STATE(2435)] = 39815,
  [SMALL_STATE(2436)] = 39819,
  [SMALL_STATE(2437)] = 39823,
  [SMALL_STATE(2438)] = 39827,
  [SMALL_STATE(2439)] = 39831,
  [SMALL_STATE(2440)] = 39835,
  [SMALL_STATE(2441)] = 39839,
  [SMALL_STATE(2442)] = 39843,
  [SMALL_STATE(2443)] = 39847,
  [SMALL_STATE(2444)] = 39851,
  [SMALL_STATE(2445)] = 39855,
  [SMALL_STATE(2446)] = 39859,
  [SMALL_STATE(2447)] = 39863,
  [SMALL_STATE(2448)] = 39867,
  [SMALL_STATE(2449)] = 39871,
  [SMALL_STATE(2450)] = 39875,
  [SMALL_STATE(2451)] = 39879,
  [SMALL_STATE(2452)] = 39883,
  [SMALL_STATE(2453)] = 39887,
  [SMALL_STATE(2454)] = 39891,
  [SMALL_STATE(2455)] = 39895,
  [SMALL_STATE(2456)] = 39899,
  [SMALL_STATE(2457)] = 39903,
  [SMALL_STATE(2458)] = 39907,
  [SMALL_STATE(2459)] = 39911,
  [SMALL_STATE(2460)] = 39915,
  [SMALL_STATE(2461)] = 39919,
  [SMALL_STATE(2462)] = 39923,
  [SMALL_STATE(2463)] = 39927,
  [SMALL_STATE(2464)] = 39931,
  [SMALL_STATE(2465)] = 39935,
  [SMALL_STATE(2466)] = 39939,
  [SMALL_STATE(2467)] = 39943,
  [SMALL_STATE(2468)] = 39947,
  [SMALL_STATE(2469)] = 39951,
  [SMALL_STATE(2470)] = 39955,
  [SMALL_STATE(2471)] = 39959,
  [SMALL_STATE(2472)] = 39963,
  [SMALL_STATE(2473)] = 39967,
  [SMALL_STATE(2474)] = 39971,
  [SMALL_STATE(2475)] = 39975,
  [SMALL_STATE(2476)] = 39979,
  [SMALL_STATE(2477)] = 39983,
  [SMALL_STATE(2478)] = 39987,
  [SMALL_STATE(2479)] = 39991,
  [SMALL_STATE(2480)] = 39995,
  [SMALL_STATE(2481)] = 39999,
  [SMALL_STATE(2482)] = 40003,
  [SMALL_STATE(2483)] = 40007,
  [SMALL_STATE(2484)] = 40011,
  [SMALL_STATE(2485)] = 40015,
  [SMALL_STATE(2486)] = 40019,
  [SMALL_STATE(2487)] = 40023,
  [SMALL_STATE(2488)] = 40027,
  [SMALL_STATE(2489)] = 40031,
  [SMALL_STATE(2490)] = 40035,
  [SMALL_STATE(2491)] = 40039,
  [SMALL_STATE(2492)] = 40043,
  [SMALL_STATE(2493)] = 40047,
  [SMALL_STATE(2494)] = 40051,
  [SMALL_STATE(2495)] = 40055,
  [SMALL_STATE(2496)] = 40059,
  [SMALL_STATE(2497)] = 40063,
  [SMALL_STATE(2498)] = 40067,
  [SMALL_STATE(2499)] = 40071,
  [SMALL_STATE(2500)] = 40075,
  [SMALL_STATE(2501)] = 40079,
  [SMALL_STATE(2502)] = 40083,
  [SMALL_STATE(2503)] = 40087,
  [SMALL_STATE(2504)] = 40091,
  [SMALL_STATE(2505)] = 40095,
  [SMALL_STATE(2506)] = 40099,
  [SMALL_STATE(2507)] = 40103,
  [SMALL_STATE(2508)] = 40107,
  [SMALL_STATE(2509)] = 40111,
  [SMALL_STATE(2510)] = 40115,
  [SMALL_STATE(2511)] = 40119,
  [SMALL_STATE(2512)] = 40123,
  [SMALL_STATE(2513)] = 40127,
  [SMALL_STATE(2514)] = 40131,
  [SMALL_STATE(2515)] = 40135,
  [SMALL_STATE(2516)] = 40139,
  [SMALL_STATE(2517)] = 40143,
  [SMALL_STATE(2518)] = 40147,
  [SMALL_STATE(2519)] = 40151,
  [SMALL_STATE(2520)] = 40155,
  [SMALL_STATE(2521)] = 40159,
  [SMALL_STATE(2522)] = 40163,
  [SMALL_STATE(2523)] = 40167,
  [SMALL_STATE(2524)] = 40171,
  [SMALL_STATE(2525)] = 40175,
  [SMALL_STATE(2526)] = 40179,
  [SMALL_STATE(2527)] = 40183,
  [SMALL_STATE(2528)] = 40187,
  [SMALL_STATE(2529)] = 40191,
  [SMALL_STATE(2530)] = 40195,
  [SMALL_STATE(2531)] = 40199,
  [SMALL_STATE(2532)] = 40203,
  [SMALL_STATE(2533)] = 40207,
  [SMALL_STATE(2534)] = 40211,
  [SMALL_STATE(2535)] = 40215,
  [SMALL_STATE(2536)] = 40219,
  [SMALL_STATE(2537)] = 40223,
  [SMALL_STATE(2538)] = 40227,
  [SMALL_STATE(2539)] = 40231,
  [SMALL_STATE(2540)] = 40235,
  [SMALL_STATE(2541)] = 40239,
  [SMALL_STATE(2542)] = 40243,
  [SMALL_STATE(2543)] = 40247,
  [SMALL_STATE(2544)] = 40251,
  [SMALL_STATE(2545)] = 40255,
  [SMALL_STATE(2546)] = 40259,
  [SMALL_STATE(2547)] = 40263,
  [SMALL_STATE(2548)] = 40267,
  [SMALL_STATE(2549)] = 40271,
  [SMALL_STATE(2550)] = 40275,
  [SMALL_STATE(2551)] = 40279,
  [SMALL_STATE(2552)] = 40283,
  [SMALL_STATE(2553)] = 40287,
  [SMALL_STATE(2554)] = 40291,
  [SMALL_STATE(2555)] = 40295,
  [SMALL_STATE(2556)] = 40299,
  [SMALL_STATE(2557)] = 40303,
  [SMALL_STATE(2558)] = 40307,
  [SMALL_STATE(2559)] = 40311,
  [SMALL_STATE(2560)] = 40315,
  [SMALL_STATE(2561)] = 40319,
  [SMALL_STATE(2562)] = 40323,
  [SMALL_STATE(2563)] = 40327,
  [SMALL_STATE(2564)] = 40331,
  [SMALL_STATE(2565)] = 40335,
  [SMALL_STATE(2566)] = 40339,
  [SMALL_STATE(2567)] = 40343,
  [SMALL_STATE(2568)] = 40347,
  [SMALL_STATE(2569)] = 40351,
  [SMALL_STATE(2570)] = 40355,
  [SMALL_STATE(2571)] = 40359,
  [SMALL_STATE(2572)] = 40363,
  [SMALL_STATE(2573)] = 40367,
  [SMALL_STATE(2574)] = 40371,
  [SMALL_STATE(2575)] = 40375,
  [SMALL_STATE(2576)] = 40379,
  [SMALL_STATE(2577)] = 40383,
  [SMALL_STATE(2578)] = 40387,
  [SMALL_STATE(2579)] = 40391,
  [SMALL_STATE(2580)] = 40395,
  [SMALL_STATE(2581)] = 40399,
  [SMALL_STATE(2582)] = 40403,
  [SMALL_STATE(2583)] = 40407,
  [SMALL_STATE(2584)] = 40411,
  [SMALL_STATE(2585)] = 40415,
  [SMALL_STATE(2586)] = 40419,
  [SMALL_STATE(2587)] = 40423,
  [SMALL_STATE(2588)] = 40427,
  [SMALL_STATE(2589)] = 40431,
  [SMALL_STATE(2590)] = 40435,
  [SMALL_STATE(2591)] = 40439,
  [SMALL_STATE(2592)] = 40443,
  [SMALL_STATE(2593)] = 40447,
  [SMALL_STATE(2594)] = 40451,
  [SMALL_STATE(2595)] = 40455,
  [SMALL_STATE(2596)] = 40459,
  [SMALL_STATE(2597)] = 40463,
  [SMALL_STATE(2598)] = 40467,
  [SMALL_STATE(2599)] = 40471,
  [SMALL_STATE(2600)] = 40475,
  [SMALL_STATE(2601)] = 40479,
  [SMALL_STATE(2602)] = 40483,
  [SMALL_STATE(2603)] = 40487,
  [SMALL_STATE(2604)] = 40491,
  [SMALL_STATE(2605)] = 40495,
  [SMALL_STATE(2606)] = 40499,
  [SMALL_STATE(2607)] = 40503,
  [SMALL_STATE(2608)] = 40507,
  [SMALL_STATE(2609)] = 40511,
  [SMALL_STATE(2610)] = 40515,
  [SMALL_STATE(2611)] = 40519,
  [SMALL_STATE(2612)] = 40523,
  [SMALL_STATE(2613)] = 40527,
  [SMALL_STATE(2614)] = 40531,
  [SMALL_STATE(2615)] = 40535,
  [SMALL_STATE(2616)] = 40539,
  [SMALL_STATE(2617)] = 40543,
  [SMALL_STATE(2618)] = 40547,
  [SMALL_STATE(2619)] = 40551,
  [SMALL_STATE(2620)] = 40555,
  [SMALL_STATE(2621)] = 40559,
  [SMALL_STATE(2622)] = 40563,
  [SMALL_STATE(2623)] = 40567,
  [SMALL_STATE(2624)] = 40571,
  [SMALL_STATE(2625)] = 40575,
  [SMALL_STATE(2626)] = 40579,
  [SMALL_STATE(2627)] = 40583,
  [SMALL_STATE(2628)] = 40587,
  [SMALL_STATE(2629)] = 40591,
  [SMALL_STATE(2630)] = 40595,
  [SMALL_STATE(2631)] = 40599,
  [SMALL_STATE(2632)] = 40603,
  [SMALL_STATE(2633)] = 40607,
  [SMALL_STATE(2634)] = 40611,
  [SMALL_STATE(2635)] = 40615,
  [SMALL_STATE(2636)] = 40619,
  [SMALL_STATE(2637)] = 40623,
  [SMALL_STATE(2638)] = 40627,
  [SMALL_STATE(2639)] = 40631,
  [SMALL_STATE(2640)] = 40635,
  [SMALL_STATE(2641)] = 40639,
  [SMALL_STATE(2642)] = 40643,
  [SMALL_STATE(2643)] = 40647,
  [SMALL_STATE(2644)] = 40651,
  [SMALL_STATE(2645)] = 40655,
  [SMALL_STATE(2646)] = 40659,
  [SMALL_STATE(2647)] = 40663,
  [SMALL_STATE(2648)] = 40667,
  [SMALL_STATE(2649)] = 40671,
  [SMALL_STATE(2650)] = 40675,
  [SMALL_STATE(2651)] = 40679,
  [SMALL_STATE(2652)] = 40683,
  [SMALL_STATE(2653)] = 40687,
  [SMALL_STATE(2654)] = 40691,
  [SMALL_STATE(2655)] = 40695,
  [SMALL_STATE(2656)] = 40699,
  [SMALL_STATE(2657)] = 40703,
  [SMALL_STATE(2658)] = 40707,
  [SMALL_STATE(2659)] = 40711,
  [SMALL_STATE(2660)] = 40715,
  [SMALL_STATE(2661)] = 40719,
  [SMALL_STATE(2662)] = 40723,
  [SMALL_STATE(2663)] = 40727,
  [SMALL_STATE(2664)] = 40731,
  [SMALL_STATE(2665)] = 40735,
  [SMALL_STATE(2666)] = 40739,
  [SMALL_STATE(2667)] = 40743,
  [SMALL_STATE(2668)] = 40747,
  [SMALL_STATE(2669)] = 40751,
  [SMALL_STATE(2670)] = 40755,
  [SMALL_STATE(2671)] = 40759,
  [SMALL_STATE(2672)] = 40763,
  [SMALL_STATE(2673)] = 40767,
  [SMALL_STATE(2674)] = 40771,
  [SMALL_STATE(2675)] = 40775,
  [SMALL_STATE(2676)] = 40779,
  [SMALL_STATE(2677)] = 40783,
  [SMALL_STATE(2678)] = 40787,
  [SMALL_STATE(2679)] = 40791,
  [SMALL_STATE(2680)] = 40795,
  [SMALL_STATE(2681)] = 40799,
  [SMALL_STATE(2682)] = 40803,
  [SMALL_STATE(2683)] = 40807,
  [SMALL_STATE(2684)] = 40811,
  [SMALL_STATE(2685)] = 40815,
  [SMALL_STATE(2686)] = 40819,
  [SMALL_STATE(2687)] = 40823,
  [SMALL_STATE(2688)] = 40827,
  [SMALL_STATE(2689)] = 40831,
  [SMALL_STATE(2690)] = 40835,
  [SMALL_STATE(2691)] = 40839,
  [SMALL_STATE(2692)] = 40843,
  [SMALL_STATE(2693)] = 40847,
  [SMALL_STATE(2694)] = 40851,
  [SMALL_STATE(2695)] = 40855,
  [SMALL_STATE(2696)] = 40859,
  [SMALL_STATE(2697)] = 40863,
  [SMALL_STATE(2698)] = 40867,
  [SMALL_STATE(2699)] = 40871,
  [SMALL_STATE(2700)] = 40875,
  [SMALL_STATE(2701)] = 40879,
  [SMALL_STATE(2702)] = 40883,
  [SMALL_STATE(2703)] = 40887,
  [SMALL_STATE(2704)] = 40891,
  [SMALL_STATE(2705)] = 40895,
  [SMALL_STATE(2706)] = 40899,
  [SMALL_STATE(2707)] = 40903,
  [SMALL_STATE(2708)] = 40907,
  [SMALL_STATE(2709)] = 40911,
  [SMALL_STATE(2710)] = 40915,
  [SMALL_STATE(2711)] = 40919,
  [SMALL_STATE(2712)] = 40923,
  [SMALL_STATE(2713)] = 40927,
  [SMALL_STATE(2714)] = 40931,
  [SMALL_STATE(2715)] = 40935,
  [SMALL_STATE(2716)] = 40939,
  [SMALL_STATE(2717)] = 40943,
  [SMALL_STATE(2718)] = 40947,
  [SMALL_STATE(2719)] = 40951,
  [SMALL_STATE(2720)] = 40955,
  [SMALL_STATE(2721)] = 40959,
  [SMALL_STATE(2722)] = 40963,
  [SMALL_STATE(2723)] = 40967,
  [SMALL_STATE(2724)] = 40971,
  [SMALL_STATE(2725)] = 40975,
  [SMALL_STATE(2726)] = 40979,
  [SMALL_STATE(2727)] = 40983,
  [SMALL_STATE(2728)] = 40987,
  [SMALL_STATE(2729)] = 40991,
  [SMALL_STATE(2730)] = 40995,
  [SMALL_STATE(2731)] = 40999,
  [SMALL_STATE(2732)] = 41003,
  [SMALL_STATE(2733)] = 41007,
  [SMALL_STATE(2734)] = 41011,
  [SMALL_STATE(2735)] = 41015,
  [SMALL_STATE(2736)] = 41019,
  [SMALL_STATE(2737)] = 41023,
  [SMALL_STATE(2738)] = 41027,
  [SMALL_STATE(2739)] = 41031,
  [SMALL_STATE(2740)] = 41035,
  [SMALL_STATE(2741)] = 41039,
  [SMALL_STATE(2742)] = 41043,
  [SMALL_STATE(2743)] = 41047,
  [SMALL_STATE(2744)] = 41051,
  [SMALL_STATE(2745)] = 41055,
  [SMALL_STATE(2746)] = 41059,
  [SMALL_STATE(2747)] = 41063,
  [SMALL_STATE(2748)] = 41067,
  [SMALL_STATE(2749)] = 41071,
  [SMALL_STATE(2750)] = 41075,
  [SMALL_STATE(2751)] = 41079,
  [SMALL_STATE(2752)] = 41083,
  [SMALL_STATE(2753)] = 41087,
  [SMALL_STATE(2754)] = 41091,
  [SMALL_STATE(2755)] = 41095,
  [SMALL_STATE(2756)] = 41099,
  [SMALL_STATE(2757)] = 41103,
  [SMALL_STATE(2758)] = 41107,
  [SMALL_STATE(2759)] = 41111,
  [SMALL_STATE(2760)] = 41115,
  [SMALL_STATE(2761)] = 41119,
  [SMALL_STATE(2762)] = 41123,
  [SMALL_STATE(2763)] = 41127,
  [SMALL_STATE(2764)] = 41131,
  [SMALL_STATE(2765)] = 41135,
  [SMALL_STATE(2766)] = 41139,
  [SMALL_STATE(2767)] = 41143,
  [SMALL_STATE(2768)] = 41147,
  [SMALL_STATE(2769)] = 41151,
  [SMALL_STATE(2770)] = 41155,
  [SMALL_STATE(2771)] = 41159,
  [SMALL_STATE(2772)] = 41163,
  [SMALL_STATE(2773)] = 41167,
  [SMALL_STATE(2774)] = 41171,
  [SMALL_STATE(2775)] = 41175,
  [SMALL_STATE(2776)] = 41179,
  [SMALL_STATE(2777)] = 41183,
  [SMALL_STATE(2778)] = 41187,
  [SMALL_STATE(2779)] = 41191,
  [SMALL_STATE(2780)] = 41195,
  [SMALL_STATE(2781)] = 41199,
  [SMALL_STATE(2782)] = 41203,
  [SMALL_STATE(2783)] = 41207,
  [SMALL_STATE(2784)] = 41211,
  [SMALL_STATE(2785)] = 41215,
  [SMALL_STATE(2786)] = 41219,
  [SMALL_STATE(2787)] = 41223,
  [SMALL_STATE(2788)] = 41227,
  [SMALL_STATE(2789)] = 41231,
  [SMALL_STATE(2790)] = 41235,
  [SMALL_STATE(2791)] = 41239,
  [SMALL_STATE(2792)] = 41243,
  [SMALL_STATE(2793)] = 41247,
  [SMALL_STATE(2794)] = 41251,
  [SMALL_STATE(2795)] = 41255,
  [SMALL_STATE(2796)] = 41259,
  [SMALL_STATE(2797)] = 41263,
  [SMALL_STATE(2798)] = 41267,
  [SMALL_STATE(2799)] = 41271,
  [SMALL_STATE(2800)] = 41275,
  [SMALL_STATE(2801)] = 41279,
  [SMALL_STATE(2802)] = 41283,
  [SMALL_STATE(2803)] = 41287,
  [SMALL_STATE(2804)] = 41291,
  [SMALL_STATE(2805)] = 41295,
  [SMALL_STATE(2806)] = 41299,
  [SMALL_STATE(2807)] = 41303,
  [SMALL_STATE(2808)] = 41307,
  [SMALL_STATE(2809)] = 41311,
  [SMALL_STATE(2810)] = 41315,
  [SMALL_STATE(2811)] = 41319,
  [SMALL_STATE(2812)] = 41323,
  [SMALL_STATE(2813)] = 41327,
  [SMALL_STATE(2814)] = 41331,
  [SMALL_STATE(2815)] = 41335,
  [SMALL_STATE(2816)] = 41339,
  [SMALL_STATE(2817)] = 41343,
  [SMALL_STATE(2818)] = 41347,
  [SMALL_STATE(2819)] = 41351,
  [SMALL_STATE(2820)] = 41355,
  [SMALL_STATE(2821)] = 41359,
  [SMALL_STATE(2822)] = 41363,
  [SMALL_STATE(2823)] = 41367,
  [SMALL_STATE(2824)] = 41371,
  [SMALL_STATE(2825)] = 41375,
  [SMALL_STATE(2826)] = 41379,
  [SMALL_STATE(2827)] = 41383,
  [SMALL_STATE(2828)] = 41387,
  [SMALL_STATE(2829)] = 41391,
  [SMALL_STATE(2830)] = 41395,
  [SMALL_STATE(2831)] = 41399,
  [SMALL_STATE(2832)] = 41403,
  [SMALL_STATE(2833)] = 41407,
  [SMALL_STATE(2834)] = 41411,
  [SMALL_STATE(2835)] = 41415,
  [SMALL_STATE(2836)] = 41419,
  [SMALL_STATE(2837)] = 41423,
  [SMALL_STATE(2838)] = 41427,
  [SMALL_STATE(2839)] = 41431,
  [SMALL_STATE(2840)] = 41435,
  [SMALL_STATE(2841)] = 41439,
  [SMALL_STATE(2842)] = 41443,
  [SMALL_STATE(2843)] = 41447,
  [SMALL_STATE(2844)] = 41451,
  [SMALL_STATE(2845)] = 41455,
  [SMALL_STATE(2846)] = 41459,
  [SMALL_STATE(2847)] = 41463,
  [SMALL_STATE(2848)] = 41467,
  [SMALL_STATE(2849)] = 41471,
  [SMALL_STATE(2850)] = 41475,
  [SMALL_STATE(2851)] = 41479,
  [SMALL_STATE(2852)] = 41483,
  [SMALL_STATE(2853)] = 41487,
  [SMALL_STATE(2854)] = 41491,
  [SMALL_STATE(2855)] = 41495,
  [SMALL_STATE(2856)] = 41499,
  [SMALL_STATE(2857)] = 41503,
  [SMALL_STATE(2858)] = 41507,
  [SMALL_STATE(2859)] = 41511,
  [SMALL_STATE(2860)] = 41515,
  [SMALL_STATE(2861)] = 41519,
  [SMALL_STATE(2862)] = 41523,
  [SMALL_STATE(2863)] = 41527,
  [SMALL_STATE(2864)] = 41531,
  [SMALL_STATE(2865)] = 41535,
  [SMALL_STATE(2866)] = 41539,
  [SMALL_STATE(2867)] = 41543,
  [SMALL_STATE(2868)] = 41547,
  [SMALL_STATE(2869)] = 41551,
  [SMALL_STATE(2870)] = 41555,
  [SMALL_STATE(2871)] = 41559,
  [SMALL_STATE(2872)] = 41563,
  [SMALL_STATE(2873)] = 41567,
  [SMALL_STATE(2874)] = 41571,
  [SMALL_STATE(2875)] = 41575,
  [SMALL_STATE(2876)] = 41579,
  [SMALL_STATE(2877)] = 41583,
  [SMALL_STATE(2878)] = 41587,
  [SMALL_STATE(2879)] = 41591,
  [SMALL_STATE(2880)] = 41595,
  [SMALL_STATE(2881)] = 41599,
  [SMALL_STATE(2882)] = 41603,
  [SMALL_STATE(2883)] = 41607,
  [SMALL_STATE(2884)] = 41611,
  [SMALL_STATE(2885)] = 41615,
  [SMALL_STATE(2886)] = 41619,
  [SMALL_STATE(2887)] = 41623,
  [SMALL_STATE(2888)] = 41627,
  [SMALL_STATE(2889)] = 41631,
  [SMALL_STATE(2890)] = 41635,
  [SMALL_STATE(2891)] = 41639,
  [SMALL_STATE(2892)] = 41643,
  [SMALL_STATE(2893)] = 41647,
  [SMALL_STATE(2894)] = 41651,
  [SMALL_STATE(2895)] = 41655,
  [SMALL_STATE(2896)] = 41659,
  [SMALL_STATE(2897)] = 41663,
  [SMALL_STATE(2898)] = 41667,
  [SMALL_STATE(2899)] = 41671,
  [SMALL_STATE(2900)] = 41675,
  [SMALL_STATE(2901)] = 41679,
  [SMALL_STATE(2902)] = 41683,
  [SMALL_STATE(2903)] = 41687,
  [SMALL_STATE(2904)] = 41691,
  [SMALL_STATE(2905)] = 41695,
  [SMALL_STATE(2906)] = 41699,
  [SMALL_STATE(2907)] = 41703,
  [SMALL_STATE(2908)] = 41707,
  [SMALL_STATE(2909)] = 41711,
  [SMALL_STATE(2910)] = 41715,
  [SMALL_STATE(2911)] = 41719,
  [SMALL_STATE(2912)] = 41723,
  [SMALL_STATE(2913)] = 41727,
  [SMALL_STATE(2914)] = 41731,
  [SMALL_STATE(2915)] = 41735,
  [SMALL_STATE(2916)] = 41739,
  [SMALL_STATE(2917)] = 41743,
  [SMALL_STATE(2918)] = 41747,
  [SMALL_STATE(2919)] = 41751,
  [SMALL_STATE(2920)] = 41755,
  [SMALL_STATE(2921)] = 41759,
  [SMALL_STATE(2922)] = 41763,
  [SMALL_STATE(2923)] = 41767,
  [SMALL_STATE(2924)] = 41771,
  [SMALL_STATE(2925)] = 41775,
  [SMALL_STATE(2926)] = 41779,
  [SMALL_STATE(2927)] = 41783,
  [SMALL_STATE(2928)] = 41787,
  [SMALL_STATE(2929)] = 41791,
  [SMALL_STATE(2930)] = 41795,
  [SMALL_STATE(2931)] = 41799,
  [SMALL_STATE(2932)] = 41803,
  [SMALL_STATE(2933)] = 41807,
  [SMALL_STATE(2934)] = 41811,
  [SMALL_STATE(2935)] = 41815,
  [SMALL_STATE(2936)] = 41819,
  [SMALL_STATE(2937)] = 41823,
  [SMALL_STATE(2938)] = 41827,
  [SMALL_STATE(2939)] = 41831,
  [SMALL_STATE(2940)] = 41835,
  [SMALL_STATE(2941)] = 41839,
  [SMALL_STATE(2942)] = 41843,
  [SMALL_STATE(2943)] = 41847,
  [SMALL_STATE(2944)] = 41851,
  [SMALL_STATE(2945)] = 41855,
  [SMALL_STATE(2946)] = 41859,
  [SMALL_STATE(2947)] = 41863,
  [SMALL_STATE(2948)] = 41867,
  [SMALL_STATE(2949)] = 41871,
  [SMALL_STATE(2950)] = 41875,
  [SMALL_STATE(2951)] = 41879,
  [SMALL_STATE(2952)] = 41883,
  [SMALL_STATE(2953)] = 41887,
  [SMALL_STATE(2954)] = 41891,
  [SMALL_STATE(2955)] = 41895,
  [SMALL_STATE(2956)] = 41899,
  [SMALL_STATE(2957)] = 41903,
  [SMALL_STATE(2958)] = 41907,
  [SMALL_STATE(2959)] = 41911,
  [SMALL_STATE(2960)] = 41915,
  [SMALL_STATE(2961)] = 41919,
  [SMALL_STATE(2962)] = 41923,
  [SMALL_STATE(2963)] = 41927,
  [SMALL_STATE(2964)] = 41931,
  [SMALL_STATE(2965)] = 41935,
  [SMALL_STATE(2966)] = 41939,
  [SMALL_STATE(2967)] = 41943,
  [SMALL_STATE(2968)] = 41947,
  [SMALL_STATE(2969)] = 41951,
  [SMALL_STATE(2970)] = 41955,
  [SMALL_STATE(2971)] = 41959,
  [SMALL_STATE(2972)] = 41963,
  [SMALL_STATE(2973)] = 41967,
  [SMALL_STATE(2974)] = 41971,
  [SMALL_STATE(2975)] = 41975,
  [SMALL_STATE(2976)] = 41979,
  [SMALL_STATE(2977)] = 41983,
  [SMALL_STATE(2978)] = 41987,
  [SMALL_STATE(2979)] = 41991,
  [SMALL_STATE(2980)] = 41995,
  [SMALL_STATE(2981)] = 41999,
  [SMALL_STATE(2982)] = 42003,
  [SMALL_STATE(2983)] = 42007,
  [SMALL_STATE(2984)] = 42011,
  [SMALL_STATE(2985)] = 42015,
  [SMALL_STATE(2986)] = 42019,
  [SMALL_STATE(2987)] = 42023,
  [SMALL_STATE(2988)] = 42027,
  [SMALL_STATE(2989)] = 42031,
  [SMALL_STATE(2990)] = 42035,
  [SMALL_STATE(2991)] = 42039,
  [SMALL_STATE(2992)] = 42043,
  [SMALL_STATE(2993)] = 42047,
  [SMALL_STATE(2994)] = 42051,
  [SMALL_STATE(2995)] = 42055,
  [SMALL_STATE(2996)] = 42059,
  [SMALL_STATE(2997)] = 42063,
  [SMALL_STATE(2998)] = 42067,
  [SMALL_STATE(2999)] = 42071,
  [SMALL_STATE(3000)] = 42075,
  [SMALL_STATE(3001)] = 42079,
  [SMALL_STATE(3002)] = 42083,
  [SMALL_STATE(3003)] = 42087,
  [SMALL_STATE(3004)] = 42091,
  [SMALL_STATE(3005)] = 42095,
  [SMALL_STATE(3006)] = 42099,
  [SMALL_STATE(3007)] = 42103,
  [SMALL_STATE(3008)] = 42107,
  [SMALL_STATE(3009)] = 42111,
  [SMALL_STATE(3010)] = 42115,
  [SMALL_STATE(3011)] = 42119,
  [SMALL_STATE(3012)] = 42123,
  [SMALL_STATE(3013)] = 42127,
  [SMALL_STATE(3014)] = 42131,
  [SMALL_STATE(3015)] = 42135,
  [SMALL_STATE(3016)] = 42139,
  [SMALL_STATE(3017)] = 42143,
  [SMALL_STATE(3018)] = 42147,
  [SMALL_STATE(3019)] = 42151,
  [SMALL_STATE(3020)] = 42155,
  [SMALL_STATE(3021)] = 42159,
  [SMALL_STATE(3022)] = 42163,
  [SMALL_STATE(3023)] = 42167,
  [SMALL_STATE(3024)] = 42171,
  [SMALL_STATE(3025)] = 42175,
  [SMALL_STATE(3026)] = 42179,
  [SMALL_STATE(3027)] = 42183,
  [SMALL_STATE(3028)] = 42187,
  [SMALL_STATE(3029)] = 42191,
  [SMALL_STATE(3030)] = 42195,
  [SMALL_STATE(3031)] = 42199,
  [SMALL_STATE(3032)] = 42203,
  [SMALL_STATE(3033)] = 42207,
  [SMALL_STATE(3034)] = 42211,
  [SMALL_STATE(3035)] = 42215,
  [SMALL_STATE(3036)] = 42219,
  [SMALL_STATE(3037)] = 42223,
  [SMALL_STATE(3038)] = 42227,
  [SMALL_STATE(3039)] = 42231,
  [SMALL_STATE(3040)] = 42235,
  [SMALL_STATE(3041)] = 42239,
  [SMALL_STATE(3042)] = 42243,
  [SMALL_STATE(3043)] = 42247,
  [SMALL_STATE(3044)] = 42251,
  [SMALL_STATE(3045)] = 42255,
  [SMALL_STATE(3046)] = 42259,
  [SMALL_STATE(3047)] = 42263,
  [SMALL_STATE(3048)] = 42267,
  [SMALL_STATE(3049)] = 42271,
  [SMALL_STATE(3050)] = 42275,
  [SMALL_STATE(3051)] = 42279,
  [SMALL_STATE(3052)] = 42283,
  [SMALL_STATE(3053)] = 42287,
  [SMALL_STATE(3054)] = 42291,
  [SMALL_STATE(3055)] = 42295,
  [SMALL_STATE(3056)] = 42299,
  [SMALL_STATE(3057)] = 42303,
  [SMALL_STATE(3058)] = 42307,
  [SMALL_STATE(3059)] = 42311,
  [SMALL_STATE(3060)] = 42315,
  [SMALL_STATE(3061)] = 42319,
  [SMALL_STATE(3062)] = 42323,
  [SMALL_STATE(3063)] = 42327,
  [SMALL_STATE(3064)] = 42331,
  [SMALL_STATE(3065)] = 42335,
  [SMALL_STATE(3066)] = 42339,
  [SMALL_STATE(3067)] = 42343,
  [SMALL_STATE(3068)] = 42347,
  [SMALL_STATE(3069)] = 42351,
  [SMALL_STATE(3070)] = 42355,
  [SMALL_STATE(3071)] = 42359,
  [SMALL_STATE(3072)] = 42363,
  [SMALL_STATE(3073)] = 42367,
  [SMALL_STATE(3074)] = 42371,
  [SMALL_STATE(3075)] = 42375,
  [SMALL_STATE(3076)] = 42379,
  [SMALL_STATE(3077)] = 42383,
  [SMALL_STATE(3078)] = 42387,
  [SMALL_STATE(3079)] = 42391,
  [SMALL_STATE(3080)] = 42395,
  [SMALL_STATE(3081)] = 42399,
  [SMALL_STATE(3082)] = 42403,
  [SMALL_STATE(3083)] = 42407,
  [SMALL_STATE(3084)] = 42411,
  [SMALL_STATE(3085)] = 42415,
  [SMALL_STATE(3086)] = 42419,
  [SMALL_STATE(3087)] = 42423,
  [SMALL_STATE(3088)] = 42427,
  [SMALL_STATE(3089)] = 42431,
  [SMALL_STATE(3090)] = 42435,
  [SMALL_STATE(3091)] = 42439,
  [SMALL_STATE(3092)] = 42443,
  [SMALL_STATE(3093)] = 42447,
  [SMALL_STATE(3094)] = 42451,
  [SMALL_STATE(3095)] = 42455,
  [SMALL_STATE(3096)] = 42459,
  [SMALL_STATE(3097)] = 42463,
  [SMALL_STATE(3098)] = 42467,
  [SMALL_STATE(3099)] = 42471,
  [SMALL_STATE(3100)] = 42475,
  [SMALL_STATE(3101)] = 42479,
  [SMALL_STATE(3102)] = 42483,
  [SMALL_STATE(3103)] = 42487,
  [SMALL_STATE(3104)] = 42491,
  [SMALL_STATE(3105)] = 42495,
  [SMALL_STATE(3106)] = 42499,
  [SMALL_STATE(3107)] = 42503,
  [SMALL_STATE(3108)] = 42507,
  [SMALL_STATE(3109)] = 42511,
  [SMALL_STATE(3110)] = 42515,
  [SMALL_STATE(3111)] = 42519,
  [SMALL_STATE(3112)] = 42523,
  [SMALL_STATE(3113)] = 42527,
  [SMALL_STATE(3114)] = 42531,
  [SMALL_STATE(3115)] = 42535,
  [SMALL_STATE(3116)] = 42539,
  [SMALL_STATE(3117)] = 42543,
  [SMALL_STATE(3118)] = 42547,
  [SMALL_STATE(3119)] = 42551,
  [SMALL_STATE(3120)] = 42555,
  [SMALL_STATE(3121)] = 42559,
  [SMALL_STATE(3122)] = 42563,
  [SMALL_STATE(3123)] = 42567,
  [SMALL_STATE(3124)] = 42571,
  [SMALL_STATE(3125)] = 42575,
  [SMALL_STATE(3126)] = 42579,
  [SMALL_STATE(3127)] = 42583,
  [SMALL_STATE(3128)] = 42587,
  [SMALL_STATE(3129)] = 42591,
  [SMALL_STATE(3130)] = 42595,
  [SMALL_STATE(3131)] = 42599,
  [SMALL_STATE(3132)] = 42603,
  [SMALL_STATE(3133)] = 42607,
  [SMALL_STATE(3134)] = 42611,
  [SMALL_STATE(3135)] = 42615,
  [SMALL_STATE(3136)] = 42619,
  [SMALL_STATE(3137)] = 42623,
  [SMALL_STATE(3138)] = 42627,
  [SMALL_STATE(3139)] = 42631,
  [SMALL_STATE(3140)] = 42635,
  [SMALL_STATE(3141)] = 42639,
  [SMALL_STATE(3142)] = 42643,
  [SMALL_STATE(3143)] = 42647,
  [SMALL_STATE(3144)] = 42651,
  [SMALL_STATE(3145)] = 42655,
  [SMALL_STATE(3146)] = 42659,
  [SMALL_STATE(3147)] = 42663,
  [SMALL_STATE(3148)] = 42667,
  [SMALL_STATE(3149)] = 42671,
  [SMALL_STATE(3150)] = 42675,
  [SMALL_STATE(3151)] = 42679,
  [SMALL_STATE(3152)] = 42683,
  [SMALL_STATE(3153)] = 42687,
  [SMALL_STATE(3154)] = 42691,
  [SMALL_STATE(3155)] = 42695,
  [SMALL_STATE(3156)] = 42699,
  [SMALL_STATE(3157)] = 42703,
  [SMALL_STATE(3158)] = 42707,
  [SMALL_STATE(3159)] = 42711,
  [SMALL_STATE(3160)] = 42715,
  [SMALL_STATE(3161)] = 42719,
  [SMALL_STATE(3162)] = 42723,
  [SMALL_STATE(3163)] = 42727,
  [SMALL_STATE(3164)] = 42731,
  [SMALL_STATE(3165)] = 42735,
  [SMALL_STATE(3166)] = 42739,
  [SMALL_STATE(3167)] = 42743,
  [SMALL_STATE(3168)] = 42747,
  [SMALL_STATE(3169)] = 42751,
  [SMALL_STATE(3170)] = 42755,
  [SMALL_STATE(3171)] = 42759,
  [SMALL_STATE(3172)] = 42763,
  [SMALL_STATE(3173)] = 42767,
  [SMALL_STATE(3174)] = 42771,
  [SMALL_STATE(3175)] = 42775,
  [SMALL_STATE(3176)] = 42779,
  [SMALL_STATE(3177)] = 42783,
  [SMALL_STATE(3178)] = 42787,
  [SMALL_STATE(3179)] = 42791,
  [SMALL_STATE(3180)] = 42795,
  [SMALL_STATE(3181)] = 42799,
  [SMALL_STATE(3182)] = 42803,
  [SMALL_STATE(3183)] = 42807,
  [SMALL_STATE(3184)] = 42811,
  [SMALL_STATE(3185)] = 42815,
  [SMALL_STATE(3186)] = 42819,
  [SMALL_STATE(3187)] = 42823,
  [SMALL_STATE(3188)] = 42827,
  [SMALL_STATE(3189)] = 42831,
  [SMALL_STATE(3190)] = 42835,
  [SMALL_STATE(3191)] = 42839,
  [SMALL_STATE(3192)] = 42843,
  [SMALL_STATE(3193)] = 42847,
  [SMALL_STATE(3194)] = 42851,
  [SMALL_STATE(3195)] = 42855,
  [SMALL_STATE(3196)] = 42859,
  [SMALL_STATE(3197)] = 42863,
  [SMALL_STATE(3198)] = 42867,
  [SMALL_STATE(3199)] = 42871,
  [SMALL_STATE(3200)] = 42875,
  [SMALL_STATE(3201)] = 42879,
  [SMALL_STATE(3202)] = 42883,
  [SMALL_STATE(3203)] = 42887,
  [SMALL_STATE(3204)] = 42891,
  [SMALL_STATE(3205)] = 42895,
  [SMALL_STATE(3206)] = 42899,
  [SMALL_STATE(3207)] = 42903,
  [SMALL_STATE(3208)] = 42907,
  [SMALL_STATE(3209)] = 42911,
  [SMALL_STATE(3210)] = 42915,
  [SMALL_STATE(3211)] = 42919,
  [SMALL_STATE(3212)] = 42923,
  [SMALL_STATE(3213)] = 42927,
  [SMALL_STATE(3214)] = 42931,
  [SMALL_STATE(3215)] = 42935,
  [SMALL_STATE(3216)] = 42939,
  [SMALL_STATE(3217)] = 42943,
  [SMALL_STATE(3218)] = 42947,
  [SMALL_STATE(3219)] = 42951,
  [SMALL_STATE(3220)] = 42955,
  [SMALL_STATE(3221)] = 42959,
  [SMALL_STATE(3222)] = 42963,
  [SMALL_STATE(3223)] = 42967,
  [SMALL_STATE(3224)] = 42971,
  [SMALL_STATE(3225)] = 42975,
  [SMALL_STATE(3226)] = 42979,
  [SMALL_STATE(3227)] = 42983,
  [SMALL_STATE(3228)] = 42987,
  [SMALL_STATE(3229)] = 42991,
  [SMALL_STATE(3230)] = 42995,
  [SMALL_STATE(3231)] = 42999,
  [SMALL_STATE(3232)] = 43003,
  [SMALL_STATE(3233)] = 43007,
  [SMALL_STATE(3234)] = 43011,
  [SMALL_STATE(3235)] = 43015,
  [SMALL_STATE(3236)] = 43019,
  [SMALL_STATE(3237)] = 43023,
  [SMALL_STATE(3238)] = 43027,
  [SMALL_STATE(3239)] = 43031,
  [SMALL_STATE(3240)] = 43035,
  [SMALL_STATE(3241)] = 43039,
  [SMALL_STATE(3242)] = 43043,
  [SMALL_STATE(3243)] = 43047,
  [SMALL_STATE(3244)] = 43051,
  [SMALL_STATE(3245)] = 43055,
  [SMALL_STATE(3246)] = 43059,
  [SMALL_STATE(3247)] = 43063,
  [SMALL_STATE(3248)] = 43067,
  [SMALL_STATE(3249)] = 43071,
  [SMALL_STATE(3250)] = 43075,
  [SMALL_STATE(3251)] = 43079,
  [SMALL_STATE(3252)] = 43083,
  [SMALL_STATE(3253)] = 43087,
  [SMALL_STATE(3254)] = 43091,
  [SMALL_STATE(3255)] = 43095,
  [SMALL_STATE(3256)] = 43099,
  [SMALL_STATE(3257)] = 43103,
  [SMALL_STATE(3258)] = 43107,
  [SMALL_STATE(3259)] = 43111,
  [SMALL_STATE(3260)] = 43115,
  [SMALL_STATE(3261)] = 43119,
  [SMALL_STATE(3262)] = 43123,
  [SMALL_STATE(3263)] = 43127,
  [SMALL_STATE(3264)] = 43131,
  [SMALL_STATE(3265)] = 43135,
  [SMALL_STATE(3266)] = 43139,
  [SMALL_STATE(3267)] = 43143,
  [SMALL_STATE(3268)] = 43147,
  [SMALL_STATE(3269)] = 43151,
  [SMALL_STATE(3270)] = 43155,
  [SMALL_STATE(3271)] = 43159,
  [SMALL_STATE(3272)] = 43163,
  [SMALL_STATE(3273)] = 43167,
  [SMALL_STATE(3274)] = 43171,
  [SMALL_STATE(3275)] = 43175,
  [SMALL_STATE(3276)] = 43179,
  [SMALL_STATE(3277)] = 43183,
  [SMALL_STATE(3278)] = 43187,
  [SMALL_STATE(3279)] = 43191,
  [SMALL_STATE(3280)] = 43195,
  [SMALL_STATE(3281)] = 43199,
  [SMALL_STATE(3282)] = 43203,
  [SMALL_STATE(3283)] = 43207,
  [SMALL_STATE(3284)] = 43211,
  [SMALL_STATE(3285)] = 43215,
  [SMALL_STATE(3286)] = 43219,
  [SMALL_STATE(3287)] = 43223,
  [SMALL_STATE(3288)] = 43227,
  [SMALL_STATE(3289)] = 43231,
  [SMALL_STATE(3290)] = 43235,
  [SMALL_STATE(3291)] = 43239,
  [SMALL_STATE(3292)] = 43243,
  [SMALL_STATE(3293)] = 43247,
  [SMALL_STATE(3294)] = 43251,
  [SMALL_STATE(3295)] = 43255,
  [SMALL_STATE(3296)] = 43259,
  [SMALL_STATE(3297)] = 43263,
  [SMALL_STATE(3298)] = 43267,
  [SMALL_STATE(3299)] = 43271,
  [SMALL_STATE(3300)] = 43275,
  [SMALL_STATE(3301)] = 43279,
  [SMALL_STATE(3302)] = 43283,
  [SMALL_STATE(3303)] = 43287,
  [SMALL_STATE(3304)] = 43291,
  [SMALL_STATE(3305)] = 43295,
  [SMALL_STATE(3306)] = 43299,
  [SMALL_STATE(3307)] = 43303,
  [SMALL_STATE(3308)] = 43307,
  [SMALL_STATE(3309)] = 43311,
  [SMALL_STATE(3310)] = 43315,
  [SMALL_STATE(3311)] = 43319,
  [SMALL_STATE(3312)] = 43323,
  [SMALL_STATE(3313)] = 43327,
  [SMALL_STATE(3314)] = 43331,
  [SMALL_STATE(3315)] = 43335,
  [SMALL_STATE(3316)] = 43339,
  [SMALL_STATE(3317)] = 43343,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fig, 4, 0, 0),
  [11] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fig, 4, 0, 0),
  [13] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fig, 3, 0, 0),
  [15] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fig, 3, 0, 0),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fig, 2, 0, 0),
  [19] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fig, 2, 0, 0),
  [21] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt_standalone, 3, 0, 0),
  [23] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xt_standalone, 3, 0, 0),
  [25] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt_standalone, 2, 0, 0),
  [27] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xt_standalone, 2, 0, 0),
  [29] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt_standalone, 4, 0, 0),
  [31] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xt_standalone, 4, 0, 0),
  [33] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_f, 3, 0, 0),
  [35] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_f, 3, 0, 0),
  [37] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fe, 3, 0, 0),
  [39] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fe, 3, 0, 0),
  [41] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fm, 2, 0, 0),
  [43] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fm, 2, 0, 0),
  [45] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_footnote, 1, 0, 0),
  [47] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_footnote, 1, 0, 0),
  [49] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_x, 4, 0, 0),
  [51] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_x, 4, 0, 0),
  [53] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rq, 3, 0, 0),
  [55] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rq, 3, 0, 0),
  [57] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_x, 3, 0, 0),
  [59] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_x, 3, 0, 0),
  [61] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fm, 3, 0, 0),
  [63] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fm, 3, 0, 0),
  [65] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_crossref, 1, 0, 0),
  [67] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_crossref, 1, 0, 0),
  [69] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ef, 4, 0, 0),
  [71] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ef, 4, 0, 0),
  [73] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ef, 3, 0, 0),
  [75] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ef, 3, 0, 0),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_f, 4, 0, 0),
  [79] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_f, 4, 0, 0),
  [81] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fe, 4, 0, 0),
  [83] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fe, 4, 0, 0),
  [85] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proNested, 4, 0, 0),
  [87] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proNested, 4, 0, 0),
  [89] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tlNested, 4, 0, 0),
  [91] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tlNested, 4, 0, 0),
  [93] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bdNested, 4, 0, 0),
  [95] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bdNested, 4, 0, 0),
  [97] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_itNested, 4, 0, 0),
  [99] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_itNested, 4, 0, 0),
  [101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bditNested, 4, 0, 0),
  [103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bditNested, 4, 0, 0),
  [105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noNested, 4, 0, 0),
  [107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noNested, 4, 0, 0),
  [109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scNested, 4, 0, 0),
  [111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scNested, 4, 0, 0),
  [113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_supNested, 4, 0, 0),
  [115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_supNested, 4, 0, 0),
  [117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ndxNested, 4, 0, 0),
  [119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ndxNested, 4, 0, 0),
  [121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rbNested, 4, 0, 0),
  [123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rbNested, 4, 0, 0),
  [125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wNested, 4, 0, 0),
  [127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wNested, 4, 0, 0),
  [129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wgNested, 4, 0, 0),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wgNested, 4, 0, 0),
  [133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_whNested, 4, 0, 0),
  [135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_whNested, 4, 0, 0),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_waNested, 4, 0, 0),
  [139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_waNested, 4, 0, 0),
  [141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmpNested, 4, 0, 1),
  [143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmpNested, 4, 0, 1),
  [145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rbNested, 5, 0, 0),
  [147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rbNested, 5, 0, 0),
  [149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wNested, 5, 0, 0),
  [151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wNested, 5, 0, 0),
  [153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmpNested, 3, 0, 1),
  [155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmpNested, 3, 0, 1),
  [157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wjNested, 4, 0, 0),
  [159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wjNested, 4, 0, 0),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmpNested, 3, 0, 0),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmpNested, 3, 0, 0),
  [165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_addNested, 4, 0, 0),
  [167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_addNested, 4, 0, 0),
  [169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_emNested, 4, 0, 0),
  [171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_emNested, 4, 0, 0),
  [173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slsNested, 4, 0, 0),
  [175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slsNested, 4, 0, 0),
  [177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bkNested, 4, 0, 0),
  [179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bkNested, 4, 0, 0),
  [181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dcNested, 4, 0, 0),
  [183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dcNested, 4, 0, 0),
  [185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sigNested, 4, 0, 0),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sigNested, 4, 0, 0),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qtNested, 4, 0, 0),
  [191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qtNested, 4, 0, 0),
  [193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_addpnNested, 4, 0, 0),
  [195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_addpnNested, 4, 0, 0),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmpNested, 2, 0, 0),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmpNested, 2, 0, 0),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pngNested, 4, 0, 0),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pngNested, 4, 0, 0),
  [205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pnNested, 4, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pnNested, 4, 0, 0),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordNested, 4, 0, 0),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ordNested, 4, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ndNested, 4, 0, 0),
  [215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ndNested, 4, 0, 0),
  [217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kNested, 4, 0, 0),
  [219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kNested, 4, 0, 0),
  [221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0),
  [223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2178),
  [229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2246),
  [232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2249),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2250),
  [241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2653),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3102),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2218),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2075),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1268),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1265),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2828),
  [264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2829),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2830),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(294),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2795),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1184),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2219),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3134),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3135),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3136),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3137),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3138),
  [297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3139),
  [300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3140),
  [303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3141),
  [306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3142),
  [309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3143),
  [312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3144),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3145),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3146),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3147),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3148),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3149),
  [330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3150),
  [333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3151),
  [336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3152),
  [339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3153),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3154),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3155),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3156),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3312),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3157),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3158),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3159),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3160),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1999),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2055),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2109),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(356),
  [384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lim, 2, 0, 0),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lim, 2, 0, 0),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3148),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3151),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3156),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3160),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_li, 2, 0, 0),
  [496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_li, 2, 0, 0),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lim, 1, 0, 0),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lim, 1, 0, 0),
  [502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_li, 1, 0, 0),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_li, 1, 0, 0),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref, 3, 0, 0),
  [508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref, 3, 0, 0),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref, 4, 0, 0),
  [512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref, 4, 0, 0),
  [514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qd, 3, 0, 0),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qd, 3, 0, 0),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3164),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3166),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3167),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3168),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3169),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3172),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3175),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3176),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3177),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3178),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3180),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3182),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3313),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3187),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3188),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qm, 1, 0, 0),
  [622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qm, 1, 0, 0),
  [624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qr, 2, 0, 0),
  [626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qr, 2, 0, 0),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qr, 3, 0, 0),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qr, 3, 0, 0),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qc, 3, 0, 0),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qc, 3, 0, 0),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qc, 2, 0, 0),
  [638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qc, 2, 0, 0),
  [640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0),
  [642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(478),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2172),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2224),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2223),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2221),
  [660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2483),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3132),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2158),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2669),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2670),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2898),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2899),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2900),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(303),
  [689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1189),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2150),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3164),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3165),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3166),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3167),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3168),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3169),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3170),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3171),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3172),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3173),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3174),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3175),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3176),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3177),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3178),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3179),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3180),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3181),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3182),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3183),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3184),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3185),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3186),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3313),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3187),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3188),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3189),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3190),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1988),
  [785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2007),
  [788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2028),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2103),
  [797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(366),
  [800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qd, 2, 0, 0),
  [802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qd, 2, 0, 0),
  [804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_q, 2, 0, 0),
  [806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_q, 2, 0, 0),
  [808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qm, 2, 0, 0),
  [810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qm, 2, 0, 0),
  [812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_q, 1, 0, 0),
  [814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_q, 1, 0, 0),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2220),
  [924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2125),
  [927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1318),
  [930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2127),
  [933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2128),
  [936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2662),
  [939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2661),
  [942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2179),
  [945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2716),
  [954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2717),
  [957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2718),
  [960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(301),
  [963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2639),
  [966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1186),
  [969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2145),
  [972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3073),
  [975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3074),
  [978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3076),
  [984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3077),
  [987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3081),
  [999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3082),
  [1002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3083),
  [1005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [1008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3085),
  [1011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [1014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3087),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3088),
  [1020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3089),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3090),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3091),
  [1029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3092),
  [1032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3093),
  [1035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3094),
  [1038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3095),
  [1041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3310),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3096),
  [1047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [1050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3098),
  [1053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3099),
  [1056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1975),
  [1059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2004),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2053),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2102),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(473),
  [1071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2220),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(272),
  [1082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(273),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(280),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(279),
  [1091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(278),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(277),
  [1097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(276),
  [1100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(275),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(274),
  [1106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2077),
  [1109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(1186),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(321),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3073),
  [1118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3074),
  [1121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3076),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3077),
  [1130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [1133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [1136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [1139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3081),
  [1142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3082),
  [1145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3083),
  [1148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [1151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3085),
  [1154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [1157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3087),
  [1160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3088),
  [1163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3089),
  [1166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3090),
  [1169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3091),
  [1172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3092),
  [1175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3093),
  [1178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3094),
  [1181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3095),
  [1184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3310),
  [1187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3096),
  [1190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [1193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3098),
  [1196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3099),
  [1199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2762),
  [1202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2761),
  [1205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [1208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2746),
  [1211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2745),
  [1214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2744),
  [1217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2743),
  [1220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2742),
  [1223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2741),
  [1226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2740),
  [1229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2739),
  [1232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2738),
  [1235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2737),
  [1238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2736),
  [1241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2735),
  [1244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2734),
  [1247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2733),
  [1250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2732),
  [1253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2731),
  [1256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2730),
  [1259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2729),
  [1262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2728),
  [1265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2727),
  [1268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2726),
  [1271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2725),
  [1274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2724),
  [1277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2723),
  [1280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2722),
  [1283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(1975),
  [1286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2004),
  [1289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2005),
  [1292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2638),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmr, 3, 0, 0),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmr, 3, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lf, 3, 0, 0),
  [1301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lf, 3, 0, 0),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pi, 1, 0, 0),
  [1305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pi, 1, 0, 0),
  [1307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ph, 1, 0, 0),
  [1309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ph, 1, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_p, 2, 0, 0),
  [1313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_p, 2, 0, 0),
  [1315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_m, 2, 0, 0),
  [1317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_m, 2, 0, 0),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_po, 2, 0, 0),
  [1321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_po, 2, 0, 0),
  [1323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pr, 2, 0, 0),
  [1325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pr, 2, 0, 0),
  [1327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cls, 2, 0, 0),
  [1329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cls, 2, 0, 0),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmo, 2, 0, 0),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmo, 2, 0, 0),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pm, 2, 0, 0),
  [1337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pm, 2, 0, 0),
  [1339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmc, 2, 0, 0),
  [1341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmc, 2, 0, 0),
  [1343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmr, 2, 0, 0),
  [1345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmr, 2, 0, 0),
  [1347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mi, 2, 0, 0),
  [1349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mi, 2, 0, 0),
  [1351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nb, 2, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nb, 2, 0, 0),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pc, 2, 0, 0),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pc, 2, 0, 0),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pi, 2, 0, 0),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pi, 2, 0, 0),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ph, 2, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ph, 2, 0, 0),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_p, 3, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_p, 3, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_m, 3, 0, 0),
  [1373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_m, 3, 0, 0),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_po, 3, 0, 0),
  [1377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_po, 3, 0, 0),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pr, 3, 0, 0),
  [1381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pr, 3, 0, 0),
  [1383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cls, 3, 0, 0),
  [1385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cls, 3, 0, 0),
  [1387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmo, 3, 0, 0),
  [1389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmo, 3, 0, 0),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pm, 3, 0, 0),
  [1393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pm, 3, 0, 0),
  [1395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmc, 3, 0, 0),
  [1397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmc, 3, 0, 0),
  [1399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mi, 3, 0, 0),
  [1401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mi, 3, 0, 0),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nb, 3, 0, 0),
  [1405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nb, 3, 0, 0),
  [1407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pc, 3, 0, 0),
  [1409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pc, 3, 0, 0),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0),
  [1413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [1416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2178),
  [1419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2246),
  [1422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [1425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2249),
  [1428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2250),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0),
  [1433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2653),
  [1436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3102),
  [1439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2218),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2828),
  [1445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2829),
  [1448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2830),
  [1451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(294),
  [1454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2795),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1184),
  [1460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2219),
  [1463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3134),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3135),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3136),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3137),
  [1475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3138),
  [1478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3139),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3140),
  [1484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3141),
  [1487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3142),
  [1490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3143),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3144),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3145),
  [1499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3146),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3147),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3148),
  [1508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3149),
  [1511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3150),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3151),
  [1517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3152),
  [1520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3153),
  [1523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3154),
  [1526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3155),
  [1529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3156),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3312),
  [1535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3157),
  [1538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3158),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3159),
  [1544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3160),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [1550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1999),
  [1553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [1556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2055),
  [1559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2109),
  [1562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(356),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lf, 2, 0, 0),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lf, 2, 0, 0),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3125),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3129),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chapter, 1, 0, 0),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [1883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(690),
  [1886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2234),
  [1889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2194),
  [1892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1319),
  [1895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2196),
  [1898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2197),
  [1901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2902),
  [1904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3070),
  [1907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2126),
  [1910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2659),
  [1913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2658),
  [1916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2792),
  [1919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2793),
  [1922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2794),
  [1925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(302),
  [1928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2759),
  [1931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1185),
  [1934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2235),
  [1937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3104),
  [1940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3105),
  [1943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3106),
  [1946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3107),
  [1949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3108),
  [1952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3109),
  [1955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3110),
  [1958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3111),
  [1961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3112),
  [1964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3113),
  [1967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3114),
  [1970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3115),
  [1973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3116),
  [1976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [1979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3118),
  [1982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [1985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3120),
  [1988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3121),
  [1991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3122),
  [1994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3123),
  [1997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3124),
  [2000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3125),
  [2003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3126),
  [2006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3311),
  [2009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3127),
  [2012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3128),
  [2015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3129),
  [2018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3130),
  [2021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1977),
  [2024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2000),
  [2027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2050),
  [2030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2091),
  [2033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [2108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chapter, 3, 0, 0),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0),
  [2112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2208),
  [2115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [2118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2205),
  [2121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2204),
  [2124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1211),
  [2127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1212),
  [2130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2236),
  [2133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2810),
  [2136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2207),
  [2139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1259),
  [2142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2212),
  [2145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2138),
  [2148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2227),
  [2151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2140),
  [2154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2141),
  [2157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1143),
  [2160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2147),
  [2163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2982),
  [2166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2981),
  [2169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2980),
  [2172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2979),
  [2175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2978),
  [2178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2977),
  [2181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2976),
  [2184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2975),
  [2187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2974),
  [2190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2215),
  [2193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2972),
  [2196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2971),
  [2199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2970),
  [2202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2193),
  [2205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [2208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2192),
  [2211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2969),
  [2214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [2217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2963),
  [2220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2185),
  [2223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2962),
  [2226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2843),
  [2229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2176),
  [2232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2167),
  [2235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(3307),
  [2238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2839),
  [2241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2838),
  [2244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2837),
  [2247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(300),
  [2250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2836),
  [2253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [2256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2048),
  [2259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2089),
  [2262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1339),
  [2265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(285),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chapter, 2, 0, 0),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_footnoteText, 1, 0, 0),
  [2330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [2333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2220),
  [2336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0),
  [2338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2077),
  [2341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(1186),
  [2344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(321),
  [2347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3073),
  [2350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3074),
  [2353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [2356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3076),
  [2359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3077),
  [2362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [2365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [2368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [2371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3081),
  [2374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3082),
  [2377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3083),
  [2380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [2383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3085),
  [2386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [2389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3087),
  [2392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3088),
  [2395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3089),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3090),
  [2401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3091),
  [2404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3092),
  [2407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3093),
  [2410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3094),
  [2413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3095),
  [2416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3310),
  [2419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3096),
  [2422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [2425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3098),
  [2428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3099),
  [2431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2762),
  [2434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2761),
  [2437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [2440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2746),
  [2443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2745),
  [2446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2744),
  [2449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2743),
  [2452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2742),
  [2455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2741),
  [2458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2740),
  [2461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2739),
  [2464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2738),
  [2467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2737),
  [2470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2736),
  [2473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2735),
  [2476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2734),
  [2479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2733),
  [2482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2732),
  [2485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2731),
  [2488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2730),
  [2491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2729),
  [2494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2728),
  [2497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2727),
  [2500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2726),
  [2503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2725),
  [2506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2724),
  [2509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2723),
  [2512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2722),
  [2515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(1975),
  [2518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2004),
  [2521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2005),
  [2524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [2527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2220),
  [2530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2125),
  [2533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1318),
  [2536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2127),
  [2539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2128),
  [2542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2662),
  [2545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2661),
  [2548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2179),
  [2551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2716),
  [2554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2717),
  [2557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2718),
  [2560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(301),
  [2563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2639),
  [2566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1186),
  [2569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2145),
  [2572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3073),
  [2575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3074),
  [2578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [2581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3076),
  [2584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3077),
  [2587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [2590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [2593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [2596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3081),
  [2599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3082),
  [2602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3083),
  [2605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [2608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3085),
  [2611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [2614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3087),
  [2617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3088),
  [2620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3089),
  [2623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3090),
  [2626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3091),
  [2629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3092),
  [2632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3093),
  [2635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3094),
  [2638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3095),
  [2641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3310),
  [2644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3096),
  [2647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [2650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3098),
  [2653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3099),
  [2656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1975),
  [2659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2004),
  [2662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2053),
  [2665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2102),
  [2668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(473),
  [2671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmp, 3, 0, 0),
  [2673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmp, 3, 0, 0),
  [2675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_addpn, 4, 0, 0),
  [2677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_addpn, 4, 0, 0),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_w, 4, 0, 0),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_w, 4, 0, 0),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_no, 4, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_no, 4, 0, 0),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wg, 4, 0, 0),
  [2689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wg, 4, 0, 0),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ndx, 4, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ndx, 4, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wh, 4, 0, 0),
  [2697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wh, 4, 0, 0),
  [2699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wa, 4, 0, 0),
  [2701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wa, 4, 0, 0),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rb, 5, 0, 0),
  [2705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rb, 5, 0, 0),
  [2707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmp, 2, 0, 0),
  [2709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmp, 2, 0, 0),
  [2711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmp, 4, 0, 1),
  [2713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmp, 4, 0, 1),
  [2715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bdit, 4, 0, 0),
  [2717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bdit, 4, 0, 0),
  [2719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_it, 4, 0, 0),
  [2721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_it, 4, 0, 0),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pro, 4, 0, 0),
  [2725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pro, 4, 0, 0),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmp, 3, 0, 1),
  [2729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmp, 3, 0, 1),
  [2731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sup, 4, 0, 0),
  [2733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sup, 4, 0, 0),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bd, 4, 0, 0),
  [2737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bd, 4, 0, 0),
  [2739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_em, 4, 0, 0),
  [2741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_em, 4, 0, 0),
  [2743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_k, 4, 0, 0),
  [2745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_k, 4, 0, 0),
  [2747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dc, 4, 0, 0),
  [2749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dc, 4, 0, 0),
  [2751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wj, 4, 0, 0),
  [2753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wj, 4, 0, 0),
  [2755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tl, 4, 0, 0),
  [2757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tl, 4, 0, 0),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sls, 4, 0, 0),
  [2761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sls, 4, 0, 0),
  [2763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sig, 4, 0, 0),
  [2765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sig, 4, 0, 0),
  [2767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qt, 4, 0, 0),
  [2769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qt, 4, 0, 0),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sc, 4, 0, 0),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sc, 4, 0, 0),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bk, 4, 0, 0),
  [2777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bk, 4, 0, 0),
  [2779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_png, 4, 0, 0),
  [2781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_png, 4, 0, 0),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pn, 4, 0, 0),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pn, 4, 0, 0),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nd, 4, 0, 0),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nd, 4, 0, 0),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_k, 5, 0, 0),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_k, 5, 0, 0),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ord, 4, 0, 0),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ord, 4, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_w, 5, 0, 0),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_w, 5, 0, 0),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add, 4, 0, 0),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add, 4, 0, 0),
  [2807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fr, 1, 0, 0),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [2811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fq, 1, 0, 0),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [2815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fdc, 1, 0, 0),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [2819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ft, 1, 0, 0),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [2823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fp, 1, 0, 0),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [2827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fw, 1, 0, 0),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [2831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fl, 1, 0, 0),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [2835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fk, 1, 0, 0),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [2839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fqa, 1, 0, 0),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [2907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2208),
  [2910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1318),
  [2913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2205),
  [2916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2204),
  [2919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1204),
  [2922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2212),
  [2925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2138),
  [2928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2139),
  [2931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2140),
  [2934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2141),
  [2937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1142),
  [2940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2147),
  [2943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [2946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [2949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [2952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [2955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [2958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [2961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [2964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [2967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [2970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2154),
  [2973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [2976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [2979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [2982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2156),
  [2985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [2988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2159),
  [2991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [2994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [2997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2846),
  [3000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2165),
  [3003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2844),
  [3006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2843),
  [3009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2166),
  [3012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2170),
  [3015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2840),
  [3018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2839),
  [3021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2838),
  [3024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2837),
  [3027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(300),
  [3030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2836),
  [3033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [3036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2048),
  [3039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2089),
  [3042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1465),
  [3045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0),
  [3047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2834),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_crossrefText, 1, 0, 0),
  [3058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [3061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2220),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0),
  [3066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2762),
  [3069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2761),
  [3072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [3075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2746),
  [3078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2745),
  [3081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2744),
  [3084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2743),
  [3087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2742),
  [3090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2741),
  [3093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2740),
  [3096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2739),
  [3099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2738),
  [3102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2737),
  [3105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2736),
  [3108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2735),
  [3111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2734),
  [3114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2733),
  [3117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2732),
  [3120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2731),
  [3123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2730),
  [3126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2729),
  [3129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2728),
  [3132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2727),
  [3135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2726),
  [3138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2725),
  [3141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2724),
  [3144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2723),
  [3147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2722),
  [3150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(1975),
  [3153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2005),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [3160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_s, 1, 0, 0),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_s, 1, 0, 0),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [3172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [3175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2716),
  [3178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2717),
  [3181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2718),
  [3184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(301),
  [3187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2639),
  [3190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1186),
  [3193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2145),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0),
  [3198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2762),
  [3201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2761),
  [3204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [3207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2746),
  [3210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2745),
  [3213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2744),
  [3216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2743),
  [3219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2742),
  [3222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2741),
  [3225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2740),
  [3228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2739),
  [3231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2738),
  [3234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2737),
  [3237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2736),
  [3240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2735),
  [3243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2734),
  [3246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2733),
  [3249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2732),
  [3252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2731),
  [3255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2730),
  [3258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2729),
  [3261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2728),
  [3264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2727),
  [3267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2726),
  [3270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2725),
  [3273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2724),
  [3276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2723),
  [3279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2722),
  [3282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1975),
  [3285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2005),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [3290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_s, 2, 0, 0),
  [3292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_s, 2, 0, 0),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [3296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [3310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__innerText, 1, 0, 0),
  [3312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms, 2, 0, 0),
  [3314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms, 2, 0, 0),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0),
  [3320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0),
  [3325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2828),
  [3328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2829),
  [3331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2830),
  [3334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(294),
  [3337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2795),
  [3340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1184),
  [3343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2219),
  [3346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3134),
  [3349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3135),
  [3352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3136),
  [3355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3137),
  [3358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3138),
  [3361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3139),
  [3364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3140),
  [3367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3141),
  [3370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3142),
  [3373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3143),
  [3376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3144),
  [3379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3145),
  [3382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3146),
  [3385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3147),
  [3388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3148),
  [3391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3149),
  [3394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3150),
  [3397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3151),
  [3400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3152),
  [3403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3153),
  [3406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3154),
  [3409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3155),
  [3412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3156),
  [3415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3312),
  [3418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3157),
  [3421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3158),
  [3424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3159),
  [3427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3160),
  [3430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [3433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1999),
  [3436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_d, 2, 0, 0),
  [3438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_d, 2, 0, 0),
  [3440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verseText, 1, 0, 0),
  [3442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verseText, 1, 0, 0),
  [3444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0),
  [3446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [3449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0),
  [3451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3134),
  [3454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3135),
  [3457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3136),
  [3460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3137),
  [3463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3138),
  [3466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3139),
  [3469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3140),
  [3472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3141),
  [3475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3142),
  [3478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3143),
  [3481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3144),
  [3484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3145),
  [3487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3146),
  [3490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3147),
  [3493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3148),
  [3496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3149),
  [3499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3150),
  [3502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3151),
  [3505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3152),
  [3508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3153),
  [3511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3154),
  [3514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3155),
  [3517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3156),
  [3520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3312),
  [3523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3157),
  [3526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3158),
  [3529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3159),
  [3532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3160),
  [3535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [3538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1999),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rem, 2, 0, 0),
  [3543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rem, 2, 0, 0),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0),
  [3547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [3550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0),
  [3552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3134),
  [3555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3135),
  [3558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3136),
  [3561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3137),
  [3564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3138),
  [3567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3139),
  [3570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3140),
  [3573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3141),
  [3576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3142),
  [3579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3143),
  [3582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3144),
  [3585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3145),
  [3588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3146),
  [3591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3147),
  [3594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3148),
  [3597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3149),
  [3600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3150),
  [3603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3151),
  [3606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3152),
  [3609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3153),
  [3612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3154),
  [3615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3155),
  [3618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3156),
  [3621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3312),
  [3624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3157),
  [3627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3158),
  [3630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3159),
  [3633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3160),
  [3636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(1999),
  [3639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(478),
  [3642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3164),
  [3645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3165),
  [3648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3166),
  [3651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3167),
  [3654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3168),
  [3657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3169),
  [3660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3170),
  [3663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3171),
  [3666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3172),
  [3669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3173),
  [3672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3174),
  [3675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3175),
  [3678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3176),
  [3681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3177),
  [3684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3178),
  [3687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3179),
  [3690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3180),
  [3693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3181),
  [3696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3182),
  [3699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3183),
  [3702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3184),
  [3705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3185),
  [3708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3186),
  [3711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3313),
  [3714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3187),
  [3717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3188),
  [3720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3189),
  [3723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3190),
  [3726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1988),
  [3729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2007),
  [3732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(478),
  [3735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3164),
  [3738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3165),
  [3741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3166),
  [3744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3167),
  [3747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3168),
  [3750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3169),
  [3753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3170),
  [3756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3171),
  [3759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3172),
  [3762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3173),
  [3765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3174),
  [3768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3175),
  [3771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3176),
  [3774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3177),
  [3777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3178),
  [3780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3179),
  [3783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3180),
  [3786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3181),
  [3789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3182),
  [3792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3183),
  [3795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3184),
  [3798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3185),
  [3801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3186),
  [3804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3313),
  [3807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3187),
  [3810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3188),
  [3813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3189),
  [3816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3190),
  [3819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2007),
  [3822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [3825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2716),
  [3828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2717),
  [3831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2718),
  [3834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(301),
  [3837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2639),
  [3840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1186),
  [3843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2145),
  [3846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3073),
  [3849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3074),
  [3852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [3855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3076),
  [3858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3077),
  [3861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [3864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [3867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [3870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3081),
  [3873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3082),
  [3876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3083),
  [3879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [3882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3085),
  [3885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [3888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3087),
  [3891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3088),
  [3894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3089),
  [3897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3090),
  [3900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3091),
  [3903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3092),
  [3906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3093),
  [3909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3094),
  [3912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3095),
  [3915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3310),
  [3918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3096),
  [3921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [3924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3098),
  [3927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3099),
  [3930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1975),
  [3933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2004),
  [3936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xtNested, 1, 0, 0),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [3942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [3945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3073),
  [3948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3074),
  [3951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [3954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3076),
  [3957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3077),
  [3960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [3963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [3966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [3969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3081),
  [3972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3082),
  [3975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3083),
  [3978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [3981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3085),
  [3984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [3987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3087),
  [3990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3088),
  [3993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3089),
  [3996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3090),
  [3999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3091),
  [4002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3092),
  [4005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3093),
  [4008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3094),
  [4011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3095),
  [4014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3310),
  [4017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3096),
  [4020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [4023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3098),
  [4026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3099),
  [4029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1975),
  [4032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2004),
  [4035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__introText, 2, 0, 0),
  [4037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(415),
  [4040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2178),
  [4043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0),
  [4045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2230),
  [4048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1184),
  [4051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3134),
  [4054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3135),
  [4057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3136),
  [4060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3137),
  [4063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3138),
  [4066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3139),
  [4069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3140),
  [4072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3141),
  [4075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3142),
  [4078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3143),
  [4081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3144),
  [4084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3145),
  [4087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3146),
  [4090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3147),
  [4093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3148),
  [4096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3149),
  [4099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3150),
  [4102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3151),
  [4105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3152),
  [4108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3153),
  [4111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3154),
  [4114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3155),
  [4117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3156),
  [4120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3312),
  [4123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3157),
  [4126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3158),
  [4129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3159),
  [4132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3160),
  [4135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1990),
  [4138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1999),
  [4141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iex, 2, 0, 0),
  [4143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iex, 2, 0, 0),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [4147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ip, 2, 0, 0),
  [4149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ip, 2, 0, 0),
  [4151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(625),
  [4154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3278),
  [4157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3279),
  [4160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3280),
  [4163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3281),
  [4166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3282),
  [4169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3283),
  [4172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3284),
  [4175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3285),
  [4178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3286),
  [4181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3287),
  [4184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3288),
  [4187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3289),
  [4190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3290),
  [4193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3291),
  [4196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3292),
  [4199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3293),
  [4202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3294),
  [4205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3295),
  [4208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3296),
  [4211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3297),
  [4214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3298),
  [4217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3299),
  [4220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3300),
  [4223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3317),
  [4226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3301),
  [4229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3302),
  [4232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3303),
  [4235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3304),
  [4238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1983),
  [4241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2001),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3278),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3284),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3286),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [4268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [4272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [4274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [4276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3293),
  [4278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [4280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3295),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3296),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3297),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3299),
  [4290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3300),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3301),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3303),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [4306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [4309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3073),
  [4312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3074),
  [4315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [4318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3076),
  [4321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3077),
  [4324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [4327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [4330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [4333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3081),
  [4336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3082),
  [4339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3083),
  [4342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [4345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3085),
  [4348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [4351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3087),
  [4354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3088),
  [4357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3089),
  [4360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3090),
  [4363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3091),
  [4366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3092),
  [4369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3093),
  [4372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3094),
  [4375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3095),
  [4378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3310),
  [4381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3096),
  [4384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [4387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3098),
  [4390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3099),
  [4393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2004),
  [4396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(690),
  [4399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3104),
  [4402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3105),
  [4405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3106),
  [4408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3107),
  [4411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3108),
  [4414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3109),
  [4417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3110),
  [4420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3111),
  [4423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3112),
  [4426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3113),
  [4429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3114),
  [4432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3115),
  [4435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3116),
  [4438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [4441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3118),
  [4444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [4447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3120),
  [4450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3121),
  [4453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3122),
  [4456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3123),
  [4459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3124),
  [4462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3125),
  [4465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3126),
  [4468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3311),
  [4471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3127),
  [4474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3128),
  [4477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3129),
  [4480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3130),
  [4483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1977),
  [4486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2000),
  [4489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1509),
  [4492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2117),
  [4495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2162),
  [4498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1324),
  [4501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2161),
  [4504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2160),
  [4507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2291),
  [4510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3192),
  [4513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2174),
  [4516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2749),
  [4519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2750),
  [4522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3003),
  [4525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3004),
  [4528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3005),
  [4531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(298),
  [4534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3001),
  [4537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1194),
  [4540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2133),
  [4543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3222),
  [4546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3223),
  [4549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3224),
  [4552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3225),
  [4555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3226),
  [4558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3227),
  [4561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3228),
  [4564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3229),
  [4567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3230),
  [4570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3231),
  [4573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3232),
  [4576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3233),
  [4579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3234),
  [4582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3235),
  [4585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3236),
  [4588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3237),
  [4591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3238),
  [4594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3239),
  [4597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3240),
  [4600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3241),
  [4603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3242),
  [4606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3243),
  [4609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3244),
  [4612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3315),
  [4615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3245),
  [4618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3246),
  [4621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3247),
  [4624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3248),
  [4627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1976),
  [4630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1997),
  [4633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2063),
  [4636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2078),
  [4639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [4642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(690),
  [4645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3104),
  [4648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3105),
  [4651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3106),
  [4654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3107),
  [4657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3108),
  [4660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3109),
  [4663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3110),
  [4666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3111),
  [4669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3112),
  [4672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3113),
  [4675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3114),
  [4678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3115),
  [4681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3116),
  [4684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [4687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3118),
  [4690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [4693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3120),
  [4696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3121),
  [4699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3122),
  [4702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3123),
  [4705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3124),
  [4708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3125),
  [4711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3126),
  [4714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3311),
  [4717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3127),
  [4720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3128),
  [4723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3129),
  [4726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3130),
  [4729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2000),
  [4732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cd, 2, 0, 0),
  [4734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cd, 2, 0, 0),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [4740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [4744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [4768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [4774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3222),
  [4776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3223),
  [4778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [4780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3225),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [4784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3227),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3228),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3229),
  [4790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3230),
  [4792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3233),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [4802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [4806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3239),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3241),
  [4814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3242),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [4818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [4820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [4822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [4824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [4826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [4832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [4836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [4838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [4840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0),
  [4842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [4845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0),
  [4847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(1184),
  [4850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3134),
  [4853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3135),
  [4856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3136),
  [4859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3137),
  [4862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3138),
  [4865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3139),
  [4868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3140),
  [4871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3141),
  [4874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3142),
  [4877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3143),
  [4880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3144),
  [4883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3145),
  [4886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3146),
  [4889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3147),
  [4892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3148),
  [4895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3149),
  [4898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3150),
  [4901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3151),
  [4904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3152),
  [4907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3153),
  [4910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3154),
  [4913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3155),
  [4916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3156),
  [4919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3312),
  [4922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3157),
  [4925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3158),
  [4928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3159),
  [4931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3160),
  [4934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [4937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(1999),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [4942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [4944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [4948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [4950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [4952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2),
  [4955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2220),
  [4958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2144),
  [4961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1186),
  [4964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3073),
  [4967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3074),
  [4970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3075),
  [4973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3076),
  [4976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3077),
  [4979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3078),
  [4982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3079),
  [4985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3080),
  [4988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3081),
  [4991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3082),
  [4994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3083),
  [4997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3084),
  [5000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3085),
  [5003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3086),
  [5006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3087),
  [5009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3088),
  [5012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3089),
  [5015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3090),
  [5018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3091),
  [5021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3092),
  [5024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3093),
  [5027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3094),
  [5030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3095),
  [5033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3310),
  [5036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3096),
  [5039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3097),
  [5042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3098),
  [5045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3099),
  [5048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1975),
  [5051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2004),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [5060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [5064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [5066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3255),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [5070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [5072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [5074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [5076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3261),
  [5080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [5086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [5090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3267),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3268),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [5096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [5100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [5102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [5104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [5106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [5108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [5114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [5124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [5130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [5132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [5134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lh, 3, 0, 0),
  [5136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [5140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [5142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [5144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [5146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [5148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [5150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [5152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3195),
  [5154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [5156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [5158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3198),
  [5160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [5162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [5164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [5166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [5168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3203),
  [5170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [5174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [5180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3209),
  [5182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [5184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [5186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [5190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [5194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [5196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [5198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3217),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [5204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [5210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [5212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [5214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [5216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lh, 2, 0, 0),
  [5218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1606),
  [5221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2151),
  [5224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2184),
  [5227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [5230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2183),
  [5233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2116),
  [5236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2338),
  [5239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3162),
  [5242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2191),
  [5245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2998),
  [5248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2999),
  [5251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3000),
  [5254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(299),
  [5257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2968),
  [5260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1195),
  [5263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2201),
  [5266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3194),
  [5269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3195),
  [5272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3196),
  [5275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [5278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3198),
  [5281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3199),
  [5284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3200),
  [5287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3201),
  [5290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3202),
  [5293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [5296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3204),
  [5299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3205),
  [5302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3206),
  [5305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3207),
  [5308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3208),
  [5311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3209),
  [5314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3210),
  [5317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3211),
  [5320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3212),
  [5323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3213),
  [5326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3214),
  [5329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3215),
  [5332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3216),
  [5335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3314),
  [5338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3217),
  [5341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3218),
  [5344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3219),
  [5347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3220),
  [5350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1993),
  [5353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [5356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2057),
  [5359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2084),
  [5362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1400),
  [5365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [5368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3250),
  [5371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3251),
  [5374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3252),
  [5377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3253),
  [5380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3254),
  [5383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3255),
  [5386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3256),
  [5389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3257),
  [5392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3258),
  [5395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3259),
  [5398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3260),
  [5401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3261),
  [5404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3262),
  [5407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3263),
  [5410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3264),
  [5413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3265),
  [5416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3266),
  [5419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3267),
  [5422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3268),
  [5425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3269),
  [5428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3270),
  [5431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3271),
  [5434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3272),
  [5437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3316),
  [5440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3273),
  [5443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3274),
  [5446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3275),
  [5449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3276),
  [5452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1986),
  [5455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1996),
  [5458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attributesInCrossref, 2, 0, 0),
  [5460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [5462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [5464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [5466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [5468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0),
  [5470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(3067),
  [5473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2129),
  [5476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(3101),
  [5479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2693),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_io, 2, 0, 0),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [5488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_io, 2, 0, 0),
  [5490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [5492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [5494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2951),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [5500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [5502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [5504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [5506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [5508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [5514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [5516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [5518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [5520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [5522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [5524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [5526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [5532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [5538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [5542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [5544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [5548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [5550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [5554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [5556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceRegular, 1, 0, 0),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [5560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceRegular, 1, 0, 0),
  [5562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [5566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [5568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceRegular, 2, 0, 0),
  [5570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceRegular, 2, 0, 0),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [5574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [5576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1278),
  [5579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2142),
  [5582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2120),
  [5585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1190),
  [5588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2951),
  [5591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2950),
  [5594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2949),
  [5597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2948),
  [5600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2947),
  [5603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2946),
  [5606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2945),
  [5609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2944),
  [5612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2943),
  [5615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2942),
  [5618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2941),
  [5621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2940),
  [5624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2939),
  [5627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2938),
  [5630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2937),
  [5633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2929),
  [5636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2928),
  [5639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2927),
  [5642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2894),
  [5645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2925),
  [5648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2924),
  [5651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2923),
  [5654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2922),
  [5657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2921),
  [5660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2920),
  [5663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2919),
  [5666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2918),
  [5669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2917),
  [5672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1992),
  [5675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2003),
  [5678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0),
  [5680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0),
  [5682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(3102),
  [5685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2218),
  [5688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_v, 2, 0, 0),
  [5690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_v, 2, 0, 0),
  [5692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_v, 3, 0, 0),
  [5694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_v, 3, 0, 0),
  [5696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imt, 2, 0, 0),
  [5698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imt, 2, 0, 0),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [5706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ipr, 2, 0, 0),
  [5708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ipr, 2, 0, 0),
  [5710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imq, 2, 0, 0),
  [5712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imq, 2, 0, 0),
  [5714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ipq, 2, 0, 0),
  [5716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ipq, 2, 0, 0),
  [5718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imi, 2, 0, 0),
  [5720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imi, 2, 0, 0),
  [5722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ipi, 2, 0, 0),
  [5724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ipi, 2, 0, 0),
  [5726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_im, 2, 0, 0),
  [5728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_im, 2, 0, 0),
  [5730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iot, 2, 0, 0),
  [5732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iot, 2, 0, 0),
  [5734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_is, 2, 0, 0),
  [5736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is, 2, 0, 0),
  [5738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ili, 2, 0, 0),
  [5740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ili, 2, 0, 0),
  [5742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iq, 2, 0, 0),
  [5744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iq, 2, 0, 0),
  [5746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(1249),
  [5749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3011),
  [5752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3012),
  [5755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3013),
  [5758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3014),
  [5761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3015),
  [5764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3016),
  [5767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3017),
  [5770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3018),
  [5773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3019),
  [5776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3020),
  [5779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3021),
  [5782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3022),
  [5785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3023),
  [5788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3024),
  [5791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3025),
  [5794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3026),
  [5797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3027),
  [5800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3028),
  [5803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3029),
  [5806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3030),
  [5809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3031),
  [5812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3032),
  [5815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3033),
  [5818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3306),
  [5821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3034),
  [5824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [5827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3036),
  [5830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3037),
  [5833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2006),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [5842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [5844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [5846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [5858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [5872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [5874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [5880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [5882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [5886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [5888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [5890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [5896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(3132),
  [5899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2158),
  [5902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [5904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [5906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_customAttribute, 5, 0, 0),
  [5908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defaultAttribute, 2, 0, 0),
  [5910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_customAttribute, 4, 0, 0),
  [5912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defaultAttribute, 4, 0, 0),
  [5914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkAttribute, 4, 0, 0),
  [5916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkAttribute, 5, 0, 0),
  [5918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lik, 3, 0, 0),
  [5920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lik, 3, 0, 0),
  [5922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneStandaloneMarker, 2, 0, 0),
  [5924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneStandaloneMarker, 2, 0, 0),
  [5926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liTag, 2, 0, 0),
  [5928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liTag, 2, 0, 0),
  [5930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limTag, 2, 0, 0),
  [5932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limTag, 2, 0, 0),
  [5934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liTag, 3, 0, 0),
  [5936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liTag, 3, 0, 0),
  [5938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limTag, 3, 0, 0),
  [5940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limTag, 3, 0, 0),
  [5942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_litl, 3, 0, 0),
  [5944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_litl, 3, 0, 0),
  [5946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liv, 4, 0, 0),
  [5948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liv, 4, 0, 0),
  [5950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liv, 5, 0, 0),
  [5952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liv, 5, 0, 0),
  [5954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_va, 4, 0, 0),
  [5956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_va, 4, 0, 0),
  [5958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vp, 4, 0, 0),
  [5960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vp, 4, 0, 0),
  [5962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceClosed, 2, 0, 0),
  [5964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceClosed, 2, 0, 0),
  [5966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceStandaloneMarker, 2, 0, 0),
  [5968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceStandaloneMarker, 2, 0, 0),
  [5970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneEnd, 2, 0, 0),
  [5972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneEnd, 2, 0, 0),
  [5974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneStart, 2, 0, 0),
  [5976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneStart, 2, 0, 0),
  [5978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceClosed, 4, 0, 0),
  [5980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceClosed, 4, 0, 0),
  [5982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceStandaloneMarker, 4, 0, 0),
  [5984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceStandaloneMarker, 4, 0, 0),
  [5986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lit, 2, 0, 0),
  [5988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lit, 2, 0, 0),
  [5990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_restore, 2, 0, 0),
  [5992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_restore, 2, 0, 0),
  [5994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sts, 2, 0, 0),
  [5996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sts, 2, 0, 0),
  [5998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneStandaloneMarker, 3, 0, 0),
  [6000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneStandaloneMarker, 3, 0, 0),
  [6002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_zNameSpace, 1, 0, 0),
  [6004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_zNameSpace, 1, 0, 0),
  [6006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceClosed, 3, 0, 0),
  [6008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceClosed, 3, 0, 0),
  [6010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceStandaloneMarker, 3, 0, 0),
  [6012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceStandaloneMarker, 3, 0, 0),
  [6014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneEnd, 3, 0, 0),
  [6016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneEnd, 3, 0, 0),
  [6018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneStart, 3, 0, 0),
  [6020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneStart, 3, 0, 0),
  [6022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_milestone, 1, 0, 0),
  [6024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_milestone, 1, 0, 0),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [6028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [6032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2661),
  [6035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2179),
  [6038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qs, 4, 0, 0),
  [6040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qs, 4, 0, 0),
  [6042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qac, 4, 0, 0),
  [6044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qac, 4, 0, 0),
  [6046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [6048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [6050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qac, 3, 0, 0),
  [6052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qac, 3, 0, 0),
  [6054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qs, 3, 0, 0),
  [6056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qs, 3, 0, 0),
  [6058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qmTag, 3, 0, 0),
  [6060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qmTag, 3, 0, 0),
  [6062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qTag, 3, 0, 0),
  [6064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qTag, 3, 0, 0),
  [6066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qTag, 2, 0, 0),
  [6068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qTag, 2, 0, 0),
  [6070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qmTag, 2, 0, 0),
  [6072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qmTag, 2, 0, 0),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [6076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [6078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [6080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_piTag, 2, 0, 0),
  [6082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_piTag, 2, 0, 0),
  [6084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [6088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(3070),
  [6091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2126),
  [6094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_piTag, 3, 0, 0),
  [6096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_piTag, 3, 0, 0),
  [6098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phTag, 3, 0, 0),
  [6100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phTag, 3, 0, 0),
  [6102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phTag, 2, 0, 0),
  [6104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phTag, 2, 0, 0),
  [6106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(1278),
  [6109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [6112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2950),
  [6115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [6118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2948),
  [6121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [6124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2946),
  [6127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2945),
  [6130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2944),
  [6133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2943),
  [6136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2942),
  [6139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2941),
  [6142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2940),
  [6145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2939),
  [6148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2938),
  [6151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2937),
  [6154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2929),
  [6157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2928),
  [6160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2927),
  [6163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2894),
  [6166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2925),
  [6169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2924),
  [6172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2923),
  [6175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2922),
  [6178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2921),
  [6181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2920),
  [6184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2919),
  [6187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2918),
  [6190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2917),
  [6193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2003),
  [6196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xtNested, 2, 0, 0),
  [6198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xtNested, 2, 0, 0),
  [6200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [6202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sTag, 2, 0, 0),
  [6204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sTag, 2, 0, 0),
  [6206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sTag, 3, 0, 0),
  [6208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sTag, 3, 0, 0),
  [6210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 1, 0, 0),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [6220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [6226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [6250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [6268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iqt, 3, 0, 0),
  [6270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iqt, 3, 0, 0),
  [6272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defaultAttribute, 4, 0, 0),
  [6274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defaultAttribute, 2, 0, 0),
  [6276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xtNested, 3, 0, 0),
  [6278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xtNested, 3, 0, 0),
  [6280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [6282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fv, 3, 0, 0),
  [6284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fv, 3, 0, 0),
  [6286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fv, 2, 0, 0),
  [6288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fv, 2, 0, 0),
  [6290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xtNested, 4, 0, 0),
  [6292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xtNested, 4, 0, 0),
  [6294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1509),
  [6297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3222),
  [6300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3223),
  [6303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3224),
  [6306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3225),
  [6309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3226),
  [6312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3227),
  [6315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3228),
  [6318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3229),
  [6321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3230),
  [6324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3231),
  [6327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3232),
  [6330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3233),
  [6333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3234),
  [6336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3235),
  [6339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3236),
  [6342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3237),
  [6345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3238),
  [6348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3239),
  [6351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3240),
  [6354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3241),
  [6357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3242),
  [6360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3243),
  [6363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3244),
  [6366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3315),
  [6369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3245),
  [6372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3246),
  [6375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3247),
  [6378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3248),
  [6381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1976),
  [6384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1997),
  [6387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1606),
  [6390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3194),
  [6393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3195),
  [6396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3196),
  [6399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [6402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3198),
  [6405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3199),
  [6408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3200),
  [6411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3201),
  [6414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3202),
  [6417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [6420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3204),
  [6423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3205),
  [6426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3206),
  [6429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3207),
  [6432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3208),
  [6435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3209),
  [6438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3210),
  [6441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3211),
  [6444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3212),
  [6447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3213),
  [6450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3214),
  [6453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3215),
  [6456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3216),
  [6459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3314),
  [6462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3217),
  [6465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3218),
  [6468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3219),
  [6471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3220),
  [6474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1993),
  [6477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [6480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(1509),
  [6483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3222),
  [6486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3223),
  [6489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3224),
  [6492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3225),
  [6495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3226),
  [6498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3227),
  [6501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3228),
  [6504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3229),
  [6507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3230),
  [6510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3231),
  [6513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3232),
  [6516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3233),
  [6519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3234),
  [6522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3235),
  [6525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3236),
  [6528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3237),
  [6531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3238),
  [6534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3239),
  [6537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3240),
  [6540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3241),
  [6543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3242),
  [6546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3243),
  [6549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3244),
  [6552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3315),
  [6555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3245),
  [6558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3246),
  [6561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3247),
  [6564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3248),
  [6567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(1997),
  [6570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [6572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [6574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [6576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [6578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [6580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [6584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [6586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(1606),
  [6589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3194),
  [6592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3195),
  [6595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3196),
  [6598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [6601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3198),
  [6604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3199),
  [6607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3200),
  [6610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3201),
  [6613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3202),
  [6616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [6619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3204),
  [6622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3205),
  [6625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3206),
  [6628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3207),
  [6631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3208),
  [6634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3209),
  [6637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3210),
  [6640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3211),
  [6643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3212),
  [6646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3213),
  [6649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3214),
  [6652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3215),
  [6655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3216),
  [6658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3314),
  [6661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3217),
  [6664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3218),
  [6667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3219),
  [6670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(3220),
  [6673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rem_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [6676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 2, 0, 0),
  [6678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 3, 0, 0),
  [6680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [6682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [6684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [6686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [6688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [6690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [6692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [6694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [6696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [6698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [6700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [6702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [6704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [6706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [6708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [6710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [6712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [6714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [6716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [6718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [6724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [6726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [6728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [6730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [6732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [6734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [6736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [6738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [6740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [6742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [6744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [6746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [6748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [6750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [6752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [6754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [6756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1682),
  [6759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2932),
  [6762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2933),
  [6765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2934),
  [6768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(291),
  [6771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2901),
  [6774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1191),
  [6777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2118),
  [6780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3039),
  [6783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3040),
  [6786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3041),
  [6789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3042),
  [6792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3043),
  [6795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3044),
  [6798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3045),
  [6801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3046),
  [6804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3047),
  [6807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3048),
  [6810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3049),
  [6813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3050),
  [6816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3051),
  [6819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3052),
  [6822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3053),
  [6825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3054),
  [6828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3055),
  [6831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3056),
  [6834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3057),
  [6837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3058),
  [6840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3059),
  [6843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3060),
  [6846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3061),
  [6849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3062),
  [6852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3063),
  [6855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3064),
  [6858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3065),
  [6861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(3066),
  [6864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1984),
  [6867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1998),
  [6870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xt, 1, 0, 0),
  [6872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [6876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1672),
  [6879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2965),
  [6882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2966),
  [6885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2967),
  [6888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(305),
  [6891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2935),
  [6894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1192),
  [6897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2135),
  [6900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1987),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [6905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [6907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [6911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [6923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xot, 1, 0, 0),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [6927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xo, 1, 0, 0),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [6931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xk, 1, 0, 0),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [6935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xq, 1, 0, 0),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [6939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xta, 1, 0, 0),
  [6941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [6943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xnt, 1, 0, 0),
  [6945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [6947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xdc, 1, 0, 0),
  [6949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [6951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xop, 1, 0, 0),
  [6953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [6955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fk, 2, 0, 0),
  [6957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fk, 2, 0, 0),
  [6959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [6961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fl, 2, 0, 0),
  [6963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fl, 2, 0, 0),
  [6965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [6967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fw, 2, 0, 0),
  [6969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fw, 2, 0, 0),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [6973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fp, 2, 0, 0),
  [6975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fp, 2, 0, 0),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [6979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fr, 2, 0, 0),
  [6981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fr, 2, 0, 0),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [6985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ft, 2, 0, 0),
  [6987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ft, 2, 0, 0),
  [6989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [6991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fdc, 2, 0, 0),
  [6993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fdc, 2, 0, 0),
  [6995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [6997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fqa, 2, 0, 0),
  [6999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fqa, 2, 0, 0),
  [7001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [7003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fq, 2, 0, 0),
  [7005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fq, 2, 0, 0),
  [7007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [7009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fw, 3, 0, 0),
  [7011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fw, 3, 0, 0),
  [7013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ft, 3, 0, 0),
  [7015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ft, 3, 0, 0),
  [7017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fp, 3, 0, 0),
  [7019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fp, 3, 0, 0),
  [7021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fdc, 3, 0, 0),
  [7023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fdc, 3, 0, 0),
  [7025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fr, 3, 0, 0),
  [7027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fr, 3, 0, 0),
  [7029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fq, 3, 0, 0),
  [7031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fq, 3, 0, 0),
  [7033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fqa, 3, 0, 0),
  [7035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fqa, 3, 0, 0),
  [7037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fk, 3, 0, 0),
  [7039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fk, 3, 0, 0),
  [7041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fl, 3, 0, 0),
  [7043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fl, 3, 0, 0),
  [7045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cat, 3, 0, 0),
  [7047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cat, 3, 0, 0),
  [7049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imte, 2, 0, 0),
  [7051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imte, 2, 0, 0),
  [7053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0),
  [7055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2247),
  [7058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [7061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2123),
  [7064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2148),
  [7067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2189),
  [7070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2244),
  [7073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2232),
  [7076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1207),
  [7079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1196),
  [7082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1205),
  [7085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1202),
  [7088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1201),
  [7091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2124),
  [7094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1210),
  [7097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1199),
  [7100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1198),
  [7103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1839),
  [7106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2214),
  [7109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0),
  [7111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1208),
  [7114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [7117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2058),
  [7120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [7123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1805),
  [7126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(287),
  [7129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [7131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [7133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [7135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [7137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [7139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [7141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [7143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [7145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [7147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [7149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [7151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [7153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [7155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0),
  [7157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1375),
  [7160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0),
  [7162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [7165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [7168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [7171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(293),
  [7174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2831),
  [7177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1183),
  [7180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2171),
  [7183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mte, 2, 0, 0),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [7187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mte, 2, 0, 0),
  [7189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [7191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [7193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [7195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [7197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [7199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [7201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [7203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0),
  [7205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2973),
  [7208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2222),
  [7211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2213),
  [7214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2203),
  [7217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2188),
  [7220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2186),
  [7223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2240),
  [7226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(1320),
  [7229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2238),
  [7232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2237),
  [7235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0),
  [7237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [7240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2020),
  [7243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2106),
  [7246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(1665),
  [7249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(281),
  [7252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mandatoryHead, 2, 0, 0),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [7262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [7274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mandatoryHead, 2, 0, 0),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [7284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mandatoryHead, 1, 0, 0),
  [7286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mandatoryHead, 1, 0, 0),
  [7288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [7291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0),
  [7293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3073),
  [7296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3074),
  [7299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [7302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3076),
  [7305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3077),
  [7308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [7311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [7314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [7317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3081),
  [7320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3082),
  [7323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3083),
  [7326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [7329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3085),
  [7332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [7335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3087),
  [7338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3088),
  [7341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3089),
  [7344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3090),
  [7347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3091),
  [7350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3092),
  [7353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3093),
  [7356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3094),
  [7359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3095),
  [7362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3310),
  [7365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3096),
  [7368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [7371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3098),
  [7374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3099),
  [7377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(1975),
  [7380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2004),
  [7383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0),
  [7385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0),
  [7387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2192),
  [7390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2969),
  [7393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [7396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2185),
  [7399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2962),
  [7402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_poetry, 1, 0, 0),
  [7404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_poetry, 1, 0, 0),
  [7406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 1, 0, 0),
  [7408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 1, 0, 0),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [7412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [7414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [7416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0),
  [7418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0),
  [7420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2176),
  [7423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2167),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [7428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [7430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [7432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [7436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [7438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [7440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [7442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 2, 0, 0),
  [7444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 2, 0, 0),
  [7446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [7450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [7454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 3, 0, 0),
  [7456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 3, 0, 0),
  [7458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0),
  [7460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0),
  [7462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2704),
  [7465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2705),
  [7468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2706),
  [7471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2707),
  [7474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1576),
  [7477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2756),
  [7480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2757),
  [7483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2758),
  [7486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(290),
  [7489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2719),
  [7492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1187),
  [7495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2231),
  [7498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tc, 3, 0, 0),
  [7500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tc, 3, 0, 0),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [7510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_thr, 3, 0, 0),
  [7512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_thr, 3, 0, 0),
  [7514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2159),
  [7517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [7520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [7523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2165),
  [7526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2844),
  [7529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0),
  [7531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0), SHIFT_REPEAT(2236),
  [7534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0), SHIFT_REPEAT(2810),
  [7537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0), SHIFT_REPEAT(2207),
  [7540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0), SHIFT_REPEAT(1259),
  [7543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0),
  [7545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tcr, 3, 0, 0),
  [7547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tcr, 3, 0, 0),
  [7549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_th, 3, 0, 0),
  [7551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_th, 3, 0, 0),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [7555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [7557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [7559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c, 3, 0, 0),
  [7561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c, 3, 0, 0),
  [7563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c, 2, 0, 0),
  [7565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c, 2, 0, 0),
  [7567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sdBlock_repeat1, 2, 0, 0),
  [7569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sdBlock_repeat1, 2, 0, 0),
  [7571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sdBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2147),
  [7574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sdBlock, 1, 0, 0),
  [7576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sdBlock, 1, 0, 0),
  [7578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2166),
  [7581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2170),
  [7584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limBlock, 1, 0, 0),
  [7586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limBlock, 1, 0, 0),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [7590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [7592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [7594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liBlock, 1, 0, 0),
  [7596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liBlock, 1, 0, 0),
  [7598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_liBlock_repeat1, 2, 0, 0),
  [7600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_liBlock_repeat1, 2, 0, 0),
  [7602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2176),
  [7605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_limBlock_repeat1, 2, 0, 0),
  [7607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_limBlock_repeat1, 2, 0, 0),
  [7609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_limBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2167),
  [7612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2274),
  [7615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2273),
  [7618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2272),
  [7621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2340),
  [7624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msBlock, 1, 0, 0),
  [7626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msBlock, 1, 0, 0),
  [7628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qa, 3, 0, 0),
  [7630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qa, 3, 0, 0),
  [7632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_s, 3, 0, 0),
  [7634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_s, 3, 0, 0),
  [7636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_qBlock_repeat1, 2, 0, 0),
  [7638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_qBlock_repeat1, 2, 0, 0),
  [7640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_qBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2192),
  [7643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [7647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [7651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qa, 2, 0, 0),
  [7653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qa, 2, 0, 0),
  [7655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_qmBlock_repeat1, 2, 0, 0),
  [7657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_qmBlock_repeat1, 2, 0, 0),
  [7659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qmBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2185),
  [7662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_phBlock_repeat1, 2, 0, 0),
  [7664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_phBlock_repeat1, 2, 0, 0),
  [7666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_phBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2193),
  [7669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0),
  [7671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0), SHIFT_REPEAT(1375),
  [7674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0),
  [7676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_piBlock_repeat1, 2, 0, 0),
  [7678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_piBlock_repeat1, 2, 0, 0),
  [7680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_piBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2215),
  [7683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sBlock_repeat1, 2, 0, 0),
  [7685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2227),
  [7688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sBlock_repeat1, 2, 0, 0),
  [7690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_msBlock_repeat1, 2, 0, 0),
  [7692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_msBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2138),
  [7695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_msBlock_repeat1, 2, 0, 0),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [7699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [7701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [7703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [7705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [7707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sBlock, 1, 0, 0),
  [7709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sBlock, 1, 0, 0),
  [7711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_piBlock, 1, 0, 0),
  [7713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_piBlock, 1, 0, 0),
  [7715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_mteBlock_repeat1, 2, 0, 0),
  [7717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mteBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2212),
  [7720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_mteBlock_repeat1, 2, 0, 0),
  [7722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phBlock, 1, 0, 0),
  [7724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phBlock, 1, 0, 0),
  [7726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(3192),
  [7729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2174),
  [7732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qBlock, 1, 0, 0),
  [7734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qBlock, 1, 0, 0),
  [7736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qmBlock, 1, 0, 0),
  [7738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qmBlock, 1, 0, 0),
  [7740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mteBlock, 1, 0, 0),
  [7742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mteBlock, 1, 0, 0),
  [7744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [7746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [7748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mr, 2, 0, 0),
  [7750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mr, 2, 0, 0),
  [7752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pb, 2, 0, 0),
  [7754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pb, 2, 0, 0),
  [7756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(3162),
  [7759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2191),
  [7762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_b, 2, 0, 0),
  [7764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_b, 2, 0, 0),
  [7766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_repeat1, 2, 0, 0),
  [7768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_table_repeat1, 2, 0, 0),
  [7770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_repeat1, 2, 0, 0), SHIFT_REPEAT(3307),
  [7773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sdTag, 2, 0, 0),
  [7775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sdTag, 2, 0, 0),
  [7777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sp, 2, 0, 0),
  [7779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sp, 2, 0, 0),
  [7781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_r, 2, 0, 0),
  [7783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_r, 2, 0, 0),
  [7785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sdTag, 3, 0, 0),
  [7787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sdTag, 3, 0, 0),
  [7789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paragraph, 1, 0, 0),
  [7791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paragraph, 1, 0, 0),
  [7793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_s, 4, 0, 0),
  [7795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_s, 4, 0, 0),
  [7797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sd, 1, 0, 0),
  [7799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sd, 1, 0, 0),
  [7801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_title, 1, 0, 0),
  [7803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_title, 1, 0, 0),
  [7805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table, 1, 0, 0),
  [7807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table, 1, 0, 0),
  [7809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [7811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [7813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms, 3, 0, 0),
  [7815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms, 3, 0, 0),
  [7817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sr, 2, 0, 0),
  [7819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sr, 2, 0, 0),
  [7821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cl, 2, 0, 0),
  [7823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cl, 2, 0, 0),
  [7825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_esb, 3, 0, 0),
  [7827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_esb, 3, 0, 0),
  [7829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_esb, 2, 0, 0),
  [7831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_esb, 2, 0, 0),
  [7833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cp, 2, 0, 0),
  [7835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cp, 2, 0, 0),
  [7837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ca, 3, 0, 0),
  [7839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ca, 3, 0, 0),
  [7841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2166),
  [7844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_limBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2170),
  [7847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_piBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2154),
  [7850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0), SHIFT_REPEAT(1576),
  [7853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_phBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2156),
  [7856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_qBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2159),
  [7859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qmBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2165),
  [7862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2139),
  [7865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_repeat1, 2, 0, 0), SHIFT_REPEAT(2840),
  [7868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mt, 2, 0, 0),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [7872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mt, 2, 0, 0),
  [7874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [7876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [7878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [7880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [7882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [7884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [7886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [7888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1756),
  [7891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2635),
  [7894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2636),
  [7897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2637),
  [7900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(296),
  [7903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2807),
  [7906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1188),
  [7909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2209),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [7918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkAttribute, 4, 0, 0),
  [7920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_customAttribute, 4, 0, 0),
  [7922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_customAttribute, 5, 0, 0),
  [7924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkAttribute, 5, 0, 0),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [7930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tocaBlock_repeat1, 2, 0, 0),
  [7932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tocaBlock_repeat1, 2, 0, 0),
  [7934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tocaBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2186),
  [7937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_hBlock_repeat1, 2, 0, 0),
  [7939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2203),
  [7942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_hBlock_repeat1, 2, 0, 0),
  [7944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocaBlock, 1, 0, 0),
  [7946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tocaBlock, 1, 0, 0),
  [7948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hBlock, 1, 0, 0),
  [7950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hBlock, 1, 0, 0),
  [7952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tocBlock_repeat1, 2, 0, 0),
  [7954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tocBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2188),
  [7957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tocBlock_repeat1, 2, 0, 0),
  [7959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocBlock, 1, 0, 0),
  [7961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tocBlock, 1, 0, 0),
  [7963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_id, 2, 0, 0),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [7967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_id, 2, 0, 0),
  [7969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msTag, 2, 0, 0),
  [7971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msTag, 2, 0, 0),
  [7973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msTag, 3, 0, 0),
  [7975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msTag, 3, 0, 0),
  [7977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_book, 1, 0, 0),
  [7979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_book, 1, 0, 0),
  [7981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toca, 2, 0, 0),
  [7983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toca, 2, 0, 0),
  [7985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toc, 2, 0, 0),
  [7987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toc, 2, 0, 0),
  [7989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_h, 2, 0, 0),
  [7991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_h, 2, 0, 0),
  [7993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ide, 2, 0, 0),
  [7995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ide, 2, 0, 0),
  [7997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_usfm, 2, 0, 0),
  [7999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_usfm, 2, 0, 0),
  [8001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_description, 1, 0, 0),
  [8003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_description, 1, 0, 0),
  [8005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_id, 3, 0, 0),
  [8007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_id, 3, 0, 0),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [8011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [8015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_isTag, 2, 0, 0),
  [8017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_isTag, 2, 0, 0),
  [8019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imteTag, 2, 0, 0),
  [8021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imteTag, 2, 0, 0),
  [8023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imtTag, 2, 0, 0),
  [8025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imtTag, 2, 0, 0),
  [8027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ioTag, 2, 0, 0),
  [8029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ioTag, 2, 0, 0),
  [8031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iliTag, 2, 0, 0),
  [8033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iliTag, 2, 0, 0),
  [8035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iqTag, 2, 0, 0),
  [8037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iqTag, 2, 0, 0),
  [8039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imtTag, 3, 0, 0),
  [8041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imtTag, 3, 0, 0),
  [8043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imteTag, 3, 0, 0),
  [8045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imteTag, 3, 0, 0),
  [8047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_isTag, 3, 0, 0),
  [8049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_isTag, 3, 0, 0),
  [8051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ioTag, 3, 0, 0),
  [8053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ioTag, 3, 0, 0),
  [8055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iliTag, 3, 0, 0),
  [8057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iliTag, 3, 0, 0),
  [8059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iqTag, 3, 0, 0),
  [8061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iqTag, 3, 0, 0),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [8067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_mtBlock_repeat1, 2, 0, 0),
  [8069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_mtBlock_repeat1, 2, 0, 0),
  [8071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mtBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2245),
  [8074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mtBlock, 1, 0, 0),
  [8076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mtBlock, 1, 0, 0),
  [8078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iliBlock, 1, 0, 0),
  [8080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iliBlock, 1, 0, 0),
  [8082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iqBlock, 1, 0, 0),
  [8084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iqBlock, 1, 0, 0),
  [8086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_isBlock, 1, 0, 0),
  [8088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_isBlock, 1, 0, 0),
  [8090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_iqBlock_repeat1, 2, 0, 0),
  [8092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_iqBlock_repeat1, 2, 0, 0),
  [8094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_iqBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2214),
  [8097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imtBlock, 1, 0, 0),
  [8099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imtBlock, 1, 0, 0),
  [8101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_iliBlock_repeat1, 2, 0, 0),
  [8103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_iliBlock_repeat1, 2, 0, 0),
  [8105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_iliBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2124),
  [8108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_isBlock_repeat1, 2, 0, 0),
  [8110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_isBlock_repeat1, 2, 0, 0),
  [8112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_isBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2244),
  [8115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_imtBlock_repeat1, 2, 0, 0),
  [8117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imtBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2189),
  [8120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_imtBlock_repeat1, 2, 0, 0),
  [8122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ib, 1, 0, 0),
  [8124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ib, 1, 0, 0),
  [8126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [8128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [8130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [8132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [8138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [8142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [8144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [8146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [8148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ior, 3, 0, 0),
  [8150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ior, 3, 0, 0),
  [8152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_io, 3, 0, 0),
  [8154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_io, 3, 0, 0),
  [8156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0),
  [8158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2695),
  [8161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2168),
  [8164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2691),
  [8167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2693),
  [8170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2402),
  [8173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2396),
  [8176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2395),
  [8179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2251),
  [8182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2359),
  [8185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2358),
  [8188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__figAttributes, 2, 0, 0),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [8208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attributesInCrossref, 2, 0, 0),
  [8210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0),
  [8212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2695),
  [8215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2168),
  [8218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2691),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [8275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0),
  [8277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1146),
  [8280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1147),
  [8283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1148),
  [8286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(801),
  [8289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1149),
  [8292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1152),
  [8295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [8298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1150),
  [8301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1151),
  [8304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(2834),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [8319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0),
  [8321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2695),
  [8324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2987),
  [8327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2988),
  [8330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2989),
  [8333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2691),
  [8336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2693),
  [8339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__wAttributes, 2, 0, 0),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [8347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [8349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [8351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [8353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0),
  [8355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2695),
  [8358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2691),
  [8361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2693),
  [8364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2692),
  [8367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneAttributes, 2, 0, 0),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [8371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [8373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rbAttributes, 2, 0, 0),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [8377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_locAttribute, 5, 0, 0),
  [8379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_locAttribute, 5, 0, 0),
  [8381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0),
  [8383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2695),
  [8386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2986),
  [8389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2691),
  [8392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2693),
  [8395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [8397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [8399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [8401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_locAttribute, 4, 0, 0),
  [8403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_locAttribute, 4, 0, 0),
  [8405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeAttribute, 4, 0, 0),
  [8407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeAttribute, 4, 0, 0),
  [8409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_copyAttribute, 5, 0, 0),
  [8411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_copyAttribute, 5, 0, 0),
  [8413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_altAttribute, 5, 0, 0),
  [8415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_altAttribute, 5, 0, 0),
  [8417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_srcAttribute, 5, 0, 0),
  [8419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_srcAttribute, 5, 0, 0),
  [8421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refAttribute, 4, 0, 0),
  [8423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refAttribute, 4, 0, 0),
  [8425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeAttribute, 5, 0, 0),
  [8427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeAttribute, 5, 0, 0),
  [8429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_copyAttribute, 4, 0, 0),
  [8431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_copyAttribute, 4, 0, 0),
  [8433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_srcAttribute, 4, 0, 0),
  [8435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_srcAttribute, 4, 0, 0),
  [8437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_altAttribute, 4, 0, 0),
  [8439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_altAttribute, 4, 0, 0),
  [8441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refAttribute, 5, 0, 0),
  [8443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refAttribute, 5, 0, 0),
  [8445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt, 2, 0, 0),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [8451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strongAttribute, 5, 0, 0),
  [8453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strongAttribute, 5, 0, 0),
  [8455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemmaAttribute, 4, 0, 0),
  [8457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemmaAttribute, 4, 0, 0),
  [8459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strongAttribute, 4, 0, 0),
  [8461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strongAttribute, 4, 0, 0),
  [8463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msAttribute, 4, 0, 0),
  [8465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msAttribute, 4, 0, 0),
  [8467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msAttribute, 5, 0, 0),
  [8469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msAttribute, 5, 0, 0),
  [8471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jmpAttribute, 1, 0, 0),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [8477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jmpAttribute, 2, 0, 0),
  [8479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scrlocAttribute, 4, 0, 0),
  [8481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scrlocAttribute, 4, 0, 0),
  [8483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jmpAttribute_repeat1, 2, 0, 0),
  [8485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jmpAttribute_repeat1, 2, 0, 0), SHIFT_REPEAT(3068),
  [8488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jmpAttribute_repeat1, 2, 0, 0), SHIFT_REPEAT(2693),
  [8491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scrlocAttribute, 5, 0, 0),
  [8493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scrlocAttribute, 5, 0, 0),
  [8495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemmaAttribute, 5, 0, 0),
  [8497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemmaAttribute, 5, 0, 0),
  [8499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xq, 2, 0, 0),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [8503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xk, 2, 0, 0),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [8507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xdc, 2, 0, 0),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [8511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xta, 2, 0, 0),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [8515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xop, 2, 0, 0),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [8519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xot, 2, 0, 0),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [8523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xnt, 2, 0, 0),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [8527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt, 3, 0, 0),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [8531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xo, 2, 0, 0),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [8535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xq, 3, 0, 0),
  [8537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xta, 3, 0, 0),
  [8539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glossAttribute, 4, 0, 0),
  [8541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glossAttribute, 4, 0, 0),
  [8543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt, 4, 0, 0),
  [8545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xop, 3, 0, 0),
  [8547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glossAttribute, 5, 0, 0),
  [8549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glossAttribute, 5, 0, 0),
  [8551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xo, 3, 0, 0),
  [8553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xk, 3, 0, 0),
  [8555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xdc, 3, 0, 0),
  [8557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xnt, 3, 0, 0),
  [8559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xot, 3, 0, 0),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [8563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 4, 0, 0),
  [8565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mteTag, 3, 0, 0),
  [8567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mteTag, 3, 0, 0),
  [8569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mtTag, 3, 0, 0),
  [8571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mtTag, 3, 0, 0),
  [8573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mtTag, 2, 0, 0),
  [8575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mtTag, 2, 0, 0),
  [8577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imteBlock, 1, 0, 0),
  [8579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_imteBlock_repeat1, 2, 0, 0),
  [8581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imteBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2239),
  [8584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mteTag, 2, 0, 0),
  [8586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mteTag, 2, 0, 0),
  [8588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_File_repeat2, 2, 0, 0),
  [8590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat2, 2, 0, 0), SHIFT_REPEAT(2994),
  [8593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat2, 2, 0, 0), SHIFT_REPEAT(2241),
  [8596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 6, 0, 0),
  [8598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 5, 0, 0),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [8602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [8604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [8606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [8608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [8622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [8624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [8628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [8630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [8632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [8636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [8640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [8642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [8648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [8650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [8652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [8654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [8656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [8658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [8660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [8662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [8664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [8666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [8668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [8670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [8672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [8688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0), SHIFT_REPEAT(1672),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [8693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [8699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [8741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [8749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [8771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [8803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [8817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_livTag, 1, 0, 0),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [8823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [8857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ie, 1, 0, 0),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [8885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [8889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [8893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [8901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [8905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_milestoneTag, 2, 0, 0),
  [8907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [8941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [8953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [8961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [8993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [9005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [9009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [9021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_livTag, 2, 0, 0),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [9039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [9043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [9051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [9067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [9091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [9095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [9103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [9277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__linkAttributeUserDefinedName, 2, 0, 0),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [9391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [9399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [9549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [9555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [9677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__refAttributes, 2, 0, 0),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [9803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [9817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocaTag, 3, 0, 0),
  [9819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocTag, 3, 0, 0),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [9829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hTag, 3, 0, 0),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [9973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_milestoneAttributeName, 1, 0, 0),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [10139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocaTag, 2, 0, 0),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [10143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocTag, 2, 0, 0),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [10147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hTag, 2, 0, 0),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [10171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [10175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [10215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [10297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [10395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [10435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [10495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [10499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [10505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [10511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [10513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [10517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [10521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [10523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [10535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [10537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [10539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [10597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [10607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [10609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [10613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [10615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [10617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [10621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [10623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [10625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [10629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [10631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [10633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [10635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [10639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [10641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [10645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [10651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [10653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [10655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [10659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [10661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [10663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [10665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [10671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [10673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [10677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [10679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [10681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [10683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [10685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [10687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [10689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [10697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [10699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [10701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [10705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [10707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [10709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [10719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyAttribute, 4, 0, 0),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [10789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [10797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [10799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [10805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [10819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [10823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [10831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [10833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [10835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [10837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [10839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [10841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [10843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [10849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [10853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [10855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [10859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [10861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [10863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [10865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [10871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [10873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [10875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [10877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [10881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [10895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [10899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [10901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [10903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [10909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [10915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [10917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [10919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [10925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [10929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [10935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [10965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [11023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [11039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [11043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [11045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [11049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [11051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [11053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [11055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [11057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [11059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [11061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [11065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [11069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [11071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [11073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [11077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [11079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyAttribute, 5, 0, 0),
  [11081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [11083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [11087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [11089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [11091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [11093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [11095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [11097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [11099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [11101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [11103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [11105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [11107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [11111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [11115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [11119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [11121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [11123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [11129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [11131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [11135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [11139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [11143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [11147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [11159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [11163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [11165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [11167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [11169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [11171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [11175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [11183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [11189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [11193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [11195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [11199] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [11205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [11211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [11215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_usfm3(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
